// Copyright (c) 2021 Terminus, Inc.
//
// This program is free software: you can use, redistribute, and/or modify
// it under the terms of the GNU Affero General Public License, version 3
// or later ("AGPL"), as published by the Free Software Foundation.
//
// This program is distributed in the hope that it will be useful, but WITHOUT
// ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or
// FITNESS FOR A PARTICULAR PURPOSE.
//
// You should have received a copy of the GNU Affero General Public License
// along with this program. If not, see <http://www.gnu.org/licenses/>.

package utils

import (
	"math"
	"regexp"
)

// Round 保留小数点计算
func Round(f float64, n int) float64 {
	shift := math.Pow(10, float64(n))
	fv := 0.0000000001 + f //对浮点数产生.xxx999999999 计算不准进行处理

	return math.Floor(fv*shift+.5) / shift
}

var svcRegexp, _ = regexp.Compile(`^[a-z0-9]+([-]*[a-z0-9])+$`)

// IsValidK8sSvcName is valid service name
func IsValidK8sSvcName(name string) bool {
	return svcRegexp.MatchString(name) && len(name) <= 63
}
