-- MIGRATION_BASE

CREATE TABLE `sp_alert_notify_template` (
  `id` bigint(20) NOT NULL AUTO_INCREMENT COMMENT '主键ID',
  `name` varchar(255) NOT NULL COMMENT '名称',
  `alert_type` varchar(32) NOT NULL COMMENT '类型',
  `alert_index` varchar(255) NOT NULL COMMENT '索引',
  `target` varchar(255) NOT NULL COMMENT '发送类型',
  `trigger` varchar(255) NOT NULL COMMENT '触发类似，alert| recovery',
  `title` varchar(4096) NOT NULL COMMENT '模板标题',
  `template` varchar(4096) NOT NULL COMMENT '模板JSON，包含cyle、agg、operator、value、unit等信息',
  `formats` varchar(4096) NOT NULL DEFAULT '{}' COMMENT '字段格式化定义',
  `version` varchar(255) NOT NULL DEFAULT '1.0' COMMENT '版本',
  `create_time` datetime NOT NULL DEFAULT CURRENT_TIMESTAMP COMMENT '创建时间',
  `update_time` datetime NOT NULL DEFAULT CURRENT_TIMESTAMP ON UPDATE CURRENT_TIMESTAMP COMMENT '修改时间',
  `enable` tinyint(1) NOT NULL DEFAULT '1' COMMENT '逻辑删除',
  PRIMARY KEY (`id`)
) ENGINE=InnoDB AUTO_INCREMENT=6770 DEFAULT CHARSET=utf8mb4 COMMENT='告警模板表';


INSERT INTO `sp_alert_notify_template` (`id`, `name`, `alert_type`, `alert_index`, `target`, `trigger`, `title`, `template`, `formats`, `version`, `create_time`, `update_time`, `enable`) VALUES (637,'应用异常','app_exception','app_exception_count','dingding','alert','【{{application_name}}应用{{service_name}}服务异常告警】\n','【应用异常告警】\n\n项目: {{project_name}}\n\n应用: {{application_name}}\n\n服务: {{runtime_name}} - {{service_name}}\n\n实例: {{instance_id}}\n\n类: {{class}}\n\n方法: {{method}}\n\n行数: {{line}}\n\n错误: {{type}}\n\n事件: {{window}}分钟内出现 {{count_sum}} 次\n\n时间: {{timestamp}}\n\n[查看详情]({{display_url}})\n','','1.0','2021-05-28 11:54:51','2021-05-28 11:54:55',0),(638,'应用异常','app_exception','app_exception_count','ticket','alert','【{{application_name}}应用{{service_name}}服务异常告警】\n','【应用异常告警】\n\n项目: {{project_name}}\n\n应用: {{application_name}}\n\n服务: {{runtime_name}} - {{service_name}}\n\n实例: {{instance_id}}\n\n类: {{class}}\n\n方法: {{method}}\n\n行数: {{line}}\n\n错误: {{type}}\n\n事件: {{window}}分钟内出现 {{count_sum}} 次\n\n时间: {{timestamp}}\n\n[查看详情]({{display_url}})\n','','1.0','2021-05-28 11:54:51','2021-05-28 11:54:55',0),(639,'应用异常','app_exception','app_exception_count','email','alert','【{{application_name}}应用{{service_name}}服务异常告警】\n','【应用异常告警】\n\n项目: {{project_name}}\n\n应用: {{application_name}}\n\n服务: {{runtime_name}} - {{service_name}}\n\n实例: {{instance_id}}\n\n类: {{class}}\n\n方法: {{method}}\n\n行数: {{line}}\n\n错误: {{type}}\n\n事件: {{window}}分钟内出现 {{count_sum}} 次\n\n时间: {{timestamp}}\n\n[查看详情]({{display_url}})\n','','1.0','2021-05-28 11:54:51','2021-05-28 11:54:55',0),(640,'应用异常','app_exception','app_exception_count','mbox','alert','【{{application_name}}应用{{service_name}}服务异常告警】\n','【应用异常告警】\n\n项目: {{project_name}}\n\n应用: {{application_name}}\n\n服务: {{runtime_name}} - {{service_name}}\n\n实例: {{instance_id}}\n\n类: {{class}}\n\n方法: {{method}}\n\n行数: {{line}}\n\n错误: {{type}}\n\n事件: {{window}}分钟内出现 {{count_sum}} 次\n\n时间: {{timestamp}}\n\n[查看详情]({{display_url}})\n','','1.0','2021-05-28 11:54:51','2021-05-28 11:54:55',0),(641,'应用异常','app_exception','app_exception_count','dingding','recover','【{{application_name}}应用{{service_name}}服务异常恢复】\n','【应用异常恢复】\n\n项目: {{project_name}}\n\n应用: {{application_name}}\n\n服务: {{runtime_name}} - {{service_name}}\n\n实例: {{instance_id}}\n\n类: {{class}}\n\n方法: {{method}}\n\n行数: {{line}}\n\n错误: {{type}}\n\n持续时间: {{trigger_duration_min}}\n\n恢复时间: {{timestamp}}','','1.0','2021-05-28 11:54:51','2021-05-28 11:54:55',0),(642,'应用异常','app_exception','app_exception_count','ticket','recover','【{{application_name}}应用{{service_name}}服务异常恢复】\n','【应用异常恢复】\n\n项目: {{project_name}}\n\n应用: {{application_name}}\n\n服务: {{runtime_name}} - {{service_name}}\n\n实例: {{instance_id}}\n\n类: {{class}}\n\n方法: {{method}}\n\n行数: {{line}}\n\n错误: {{type}}\n\n持续时间: {{trigger_duration_min}}\n\n恢复时间: {{timestamp}}','','1.0','2021-05-28 11:54:51','2021-05-28 11:54:55',0),(643,'应用异常','app_exception','app_exception_count','email','recover','【{{application_name}}应用{{service_name}}服务异常恢复】\n','【应用异常恢复】\n\n项目: {{project_name}}\n\n应用: {{application_name}}\n\n服务: {{runtime_name}} - {{service_name}}\n\n实例: {{instance_id}}\n\n类: {{class}}\n\n方法: {{method}}\n\n行数: {{line}}\n\n错误: {{type}}\n\n持续时间: {{trigger_duration_min}}\n\n恢复时间: {{timestamp}}','','1.0','2021-05-28 11:54:51','2021-05-28 11:54:55',0),(644,'应用异常','app_exception','app_exception_count','mbox','recover','【{{application_name}}应用{{service_name}}服务异常恢复】\n','【应用异常恢复】\n\n项目: {{project_name}}\n\n应用: {{application_name}}\n\n服务: {{runtime_name}} - {{service_name}}\n\n实例: {{instance_id}}\n\n类: {{class}}\n\n方法: {{method}}\n\n行数: {{line}}\n\n错误: {{type}}\n\n持续时间: {{trigger_duration_min}}\n\n恢复时间: {{timestamp}}','','1.0','2021-05-28 11:54:51','2021-05-28 11:54:55',0),(645,'应用实例CPU使用率异常','app_resource','app_resource_container_cpu','dingding','alert','【{{application_name}}应用{{service_name}}服务实例CPU使用率告警】\n','【应用实例CPU使用率异常告警】\n\n项目: {{project_name}}\n\n应用: {{application_name}}\n\n服务实例: {{runtime_name}} - {{service_name}}.{{container_id}}\n\nCPU平均使用率: {{usage_percent_avg}}\n\nCPU限制: {{limit_value}}核\n\n机器: {{host_ip}}\n\n时间: {{timestamp}}\n\n[查看详情]({{display_url}})\n','{\"container_id\":\"string:6\",\"limit_value\":\"fraction:1\",\"usage_percent_avg\":\"percent:1\"}','1.0','2021-05-28 11:54:51','2021-05-28 11:54:55',0),(646,'应用实例CPU使用率异常','app_resource','app_resource_container_cpu','ticket','alert','【{{application_name}}应用{{service_name}}服务实例CPU使用率告警】\n','【应用实例CPU使用率异常告警】\n\n项目: {{project_name}}\n\n应用: {{application_name}}\n\n服务实例: {{runtime_name}} - {{service_name}}.{{container_id}}\n\nCPU平均使用率: {{usage_percent_avg}}\n\nCPU限制: {{limit_value}}核\n\n机器: {{host_ip}}\n\n时间: {{timestamp}}\n\n[查看详情]({{display_url}})\n','{\"container_id\":\"string:6\",\"limit_value\":\"fraction:1\",\"usage_percent_avg\":\"percent:1\"}','1.0','2021-05-28 11:54:51','2021-05-28 11:54:55',0),(647,'应用实例CPU使用率异常','app_resource','app_resource_container_cpu','email','alert','【{{application_name}}应用{{service_name}}服务实例CPU使用率告警】\n','【应用实例CPU使用率异常告警】\n\n项目: {{project_name}}\n\n应用: {{application_name}}\n\n服务实例: {{runtime_name}} - {{service_name}}.{{container_id}}\n\nCPU平均使用率: {{usage_percent_avg}}\n\nCPU限制: {{limit_value}}核\n\n机器: {{host_ip}}\n\n时间: {{timestamp}}\n\n[查看详情]({{display_url}})\n','{\"container_id\":\"string:6\",\"limit_value\":\"fraction:1\",\"usage_percent_avg\":\"percent:1\"}','1.0','2021-05-28 11:54:51','2021-05-28 11:54:55',0),(648,'应用实例CPU使用率异常','app_resource','app_resource_container_cpu','mbox','alert','【{{application_name}}应用{{service_name}}服务实例CPU使用率告警】\n','【应用实例CPU使用率异常告警】\n\n项目: {{project_name}}\n\n应用: {{application_name}}\n\n服务实例: {{runtime_name}} - {{service_name}}.{{container_id}}\n\nCPU平均使用率: {{usage_percent_avg}}\n\nCPU限制: {{limit_value}}核\n\n机器: {{host_ip}}\n\n时间: {{timestamp}}\n\n[查看详情]({{display_url}})\n','{\"container_id\":\"string:6\",\"limit_value\":\"fraction:1\",\"usage_percent_avg\":\"percent:1\"}','1.0','2021-05-28 11:54:51','2021-05-28 11:54:55',0),(649,'应用实例CPU使用率恢复','app_resource','app_resource_container_cpu','dingding','recover','【{{application_name}}应用{{service_name}}服务实例CPU使用率恢复】\n','【应用实例CPU使用率恢复】\n\n项目: {{project_name}}\n\n应用: {{application_name}}\n\n服务实例: {{runtime_name}} - {{service_name}}.{{container_id}}\n\n平均使用率: {{usage_percent_avg}}\n\n机器: {{host_ip}}\n\n容器ID: {{container_id}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}','{\"container_id\":\"string:6\",\"trigger_duration\":\"time:ms\",\"usage_percent_avg\":\"percent:1\"}','1.0','2021-05-28 11:54:51','2021-05-28 11:54:55',0),(650,'应用实例CPU使用率恢复','app_resource','app_resource_container_cpu','ticket','recover','【{{application_name}}应用{{service_name}}服务实例CPU使用率恢复】\n','【应用实例CPU使用率恢复】\n\n项目: {{project_name}}\n\n应用: {{application_name}}\n\n服务实例: {{runtime_name}} - {{service_name}}.{{container_id}}\n\n平均使用率: {{usage_percent_avg}}\n\n机器: {{host_ip}}\n\n容器ID: {{container_id}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}','{\"container_id\":\"string:6\",\"trigger_duration\":\"time:ms\",\"usage_percent_avg\":\"percent:1\"}','1.0','2021-05-28 11:54:51','2021-05-28 11:54:55',0),(651,'应用实例CPU使用率恢复','app_resource','app_resource_container_cpu','email','recover','【{{application_name}}应用{{service_name}}服务实例CPU使用率恢复】\n','【应用实例CPU使用率恢复】\n\n项目: {{project_name}}\n\n应用: {{application_name}}\n\n服务实例: {{runtime_name}} - {{service_name}}.{{container_id}}\n\n平均使用率: {{usage_percent_avg}}\n\n机器: {{host_ip}}\n\n容器ID: {{container_id}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}','{\"container_id\":\"string:6\",\"trigger_duration\":\"time:ms\",\"usage_percent_avg\":\"percent:1\"}','1.0','2021-05-28 11:54:51','2021-05-28 11:54:55',0),(652,'应用实例CPU使用率恢复','app_resource','app_resource_container_cpu','mbox','recover','【{{application_name}}应用{{service_name}}服务实例CPU使用率恢复】\n','【应用实例CPU使用率恢复】\n\n项目: {{project_name}}\n\n应用: {{application_name}}\n\n服务实例: {{runtime_name}} - {{service_name}}.{{container_id}}\n\n平均使用率: {{usage_percent_avg}}\n\n机器: {{host_ip}}\n\n容器ID: {{container_id}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}','{\"container_id\":\"string:6\",\"trigger_duration\":\"time:ms\",\"usage_percent_avg\":\"percent:1\"}','1.0','2021-05-28 11:54:51','2021-05-28 11:54:55',0),(653,'应用实例内存使用率异常','app_resource','app_resource_container_mem','dingding','alert','【{{application_name}}应用{{service_name}}服务内存使用率异常告警】\n','【应用实例内存使用率异常告警】\n\n项目: {{project_name}}\n\n应用: {{application_name}}\n\n服务实例: {{runtime_name}} - {{service_name}}.{{container_id}}\n\n内存使用率: {{usage_percent_avg}}\n\n内存使用: {{usage_value}}\n\n内存限制: {{limit_value}}\n\n机器: {{host_ip}}\n\n时间: {{timestamp}}\n\n[查看详情]({{display_url}})\n','{\"container_id\":\"string:6\",\"limit_value\":\"size:byte\",\"usage_percent_avg\":\"percent:1\",\"usage_value\":\"size:byte\"}','1.0','2021-05-28 11:54:51','2021-05-28 11:54:55',0),(654,'应用实例内存使用率异常','app_resource','app_resource_container_mem','ticket','alert','【{{application_name}}应用{{service_name}}服务内存使用率异常告警】\n','【应用实例内存使用率异常告警】\n\n项目: {{project_name}}\n\n应用: {{application_name}}\n\n服务实例: {{runtime_name}} - {{service_name}}.{{container_id}}\n\n内存使用率: {{usage_percent_avg}}\n\n内存使用: {{usage_value}}\n\n内存限制: {{limit_value}}\n\n机器: {{host_ip}}\n\n时间: {{timestamp}}\n\n[查看详情]({{display_url}})\n','{\"container_id\":\"string:6\",\"limit_value\":\"size:byte\",\"usage_percent_avg\":\"percent:1\",\"usage_value\":\"size:byte\"}','1.0','2021-05-28 11:54:51','2021-05-28 11:54:55',0),(655,'应用实例内存使用率异常','app_resource','app_resource_container_mem','email','alert','【{{application_name}}应用{{service_name}}服务内存使用率异常告警】\n','【应用实例内存使用率异常告警】\n\n项目: {{project_name}}\n\n应用: {{application_name}}\n\n服务实例: {{runtime_name}} - {{service_name}}.{{container_id}}\n\n内存使用率: {{usage_percent_avg}}\n\n内存使用: {{usage_value}}\n\n内存限制: {{limit_value}}\n\n机器: {{host_ip}}\n\n时间: {{timestamp}}\n\n[查看详情]({{display_url}})\n','{\"container_id\":\"string:6\",\"limit_value\":\"size:byte\",\"usage_percent_avg\":\"percent:1\",\"usage_value\":\"size:byte\"}','1.0','2021-05-28 11:54:51','2021-05-28 11:54:55',0),(656,'应用实例内存使用率异常','app_resource','app_resource_container_mem','mbox','alert','【{{application_name}}应用{{service_name}}服务内存使用率异常告警】\n','【应用实例内存使用率异常告警】\n\n项目: {{project_name}}\n\n应用: {{application_name}}\n\n服务实例: {{runtime_name}} - {{service_name}}.{{container_id}}\n\n内存使用率: {{usage_percent_avg}}\n\n内存使用: {{usage_value}}\n\n内存限制: {{limit_value}}\n\n机器: {{host_ip}}\n\n时间: {{timestamp}}\n\n[查看详情]({{display_url}})\n','{\"container_id\":\"string:6\",\"limit_value\":\"size:byte\",\"usage_percent_avg\":\"percent:1\",\"usage_value\":\"size:byte\"}','1.0','2021-05-28 11:54:51','2021-05-28 11:54:55',0),(657,'应用实例内存异常','app_resource','app_resource_container_mem','dingding','recover','【{{application_name}}应用{{service_name}}服务内存使用率异常恢复】\n','【应用实例内存使用率异常恢复】\n\n项目: {{project_name}}\n\n应用: {{application_name}}\n\n服务实例: {{runtime_name}} - {{service_name}}.{{container_id}}\n\n内存使用率: {{usage_percent_avg}}\n\n内存使用: {{usage_value}}\n\n内存限制: {{limit_value}}\n\n机器: {{host_ip}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}','{\"container_id\":\"string:6\",\"trigger_duration\":\"time:ms\",\"usage_percent_avg\":\"percent:1\"}','1.0','2021-05-28 11:54:51','2021-05-28 11:54:55',0),(658,'应用实例内存异常','app_resource','app_resource_container_mem','ticket','recover','【{{application_name}}应用{{service_name}}服务内存使用率异常恢复】\n','【应用实例内存使用率异常恢复】\n\n项目: {{project_name}}\n\n应用: {{application_name}}\n\n服务实例: {{runtime_name}} - {{service_name}}.{{container_id}}\n\n内存使用率: {{usage_percent_avg}}\n\n内存使用: {{usage_value}}\n\n内存限制: {{limit_value}}\n\n机器: {{host_ip}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}','{\"container_id\":\"string:6\",\"trigger_duration\":\"time:ms\",\"usage_percent_avg\":\"percent:1\"}','1.0','2021-05-28 11:54:51','2021-05-28 11:54:55',0),(659,'应用实例内存异常','app_resource','app_resource_container_mem','email','recover','【{{application_name}}应用{{service_name}}服务内存使用率异常恢复】\n','【应用实例内存使用率异常恢复】\n\n项目: {{project_name}}\n\n应用: {{application_name}}\n\n服务实例: {{runtime_name}} - {{service_name}}.{{container_id}}\n\n内存使用率: {{usage_percent_avg}}\n\n内存使用: {{usage_value}}\n\n内存限制: {{limit_value}}\n\n机器: {{host_ip}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}','{\"container_id\":\"string:6\",\"trigger_duration\":\"time:ms\",\"usage_percent_avg\":\"percent:1\"}','1.0','2021-05-28 11:54:51','2021-05-28 11:54:55',0),(660,'应用实例内存异常','app_resource','app_resource_container_mem','mbox','recover','【{{application_name}}应用{{service_name}}服务内存使用率异常恢复】\n','【应用实例内存使用率异常恢复】\n\n项目: {{project_name}}\n\n应用: {{application_name}}\n\n服务实例: {{runtime_name}} - {{service_name}}.{{container_id}}\n\n内存使用率: {{usage_percent_avg}}\n\n内存使用: {{usage_value}}\n\n内存限制: {{limit_value}}\n\n机器: {{host_ip}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}','{\"container_id\":\"string:6\",\"trigger_duration\":\"time:ms\",\"usage_percent_avg\":\"percent:1\"}','1.0','2021-05-28 11:54:51','2021-05-28 11:54:55',0),(661,'应用实例OOM告警','app_resource','app_resource_container_oom','dingding','alert','【{{application_name}}应用{{service_name}}服务实例OOM告警】\n','【应用实例OOM告警】\n\n项目: {{project_name}}\n\n应用: {{application_name}}\n\n服务实例: {{runtime_name}} - {{service_name}}.{{container_id}}\n\n事件: 服务实例发生OOM\n\n机器: {{host_ip}}\n\n时间: {{timestamp}}\n\n[查看详情]({{display_url}})','{\"container_id\":\"string:6\"}','1.0','2021-05-28 11:54:51','2021-05-28 11:54:55',0),(662,'应用实例OOM告警','app_resource','app_resource_container_oom','ticket','alert','【{{application_name}}应用{{service_name}}服务实例OOM告警】\n','【应用实例OOM告警】\n\n项目: {{project_name}}\n\n应用: {{application_name}}\n\n服务实例: {{runtime_name}} - {{service_name}}.{{container_id}}\n\n事件: 服务实例发生OOM\n\n机器: {{host_ip}}\n\n时间: {{timestamp}}\n\n[查看详情]({{display_url}})','{\"container_id\":\"string:6\"}','1.0','2021-05-28 11:54:51','2021-05-28 11:54:55',0),(663,'应用实例OOM告警','app_resource','app_resource_container_oom','email','alert','【{{application_name}}应用{{service_name}}服务实例OOM告警】\n','【应用实例OOM告警】\n\n项目: {{project_name}}\n\n应用: {{application_name}}\n\n服务实例: {{runtime_name}} - {{service_name}}.{{container_id}}\n\n事件: 服务实例发生OOM\n\n机器: {{host_ip}}\n\n时间: {{timestamp}}\n\n[查看详情]({{display_url}})','{\"container_id\":\"string:6\"}','1.0','2021-05-28 11:54:51','2021-05-28 11:54:55',0),(664,'应用实例OOM告警','app_resource','app_resource_container_oom','mbox','alert','【{{application_name}}应用{{service_name}}服务实例OOM告警】\n','【应用实例OOM告警】\n\n项目: {{project_name}}\n\n应用: {{application_name}}\n\n服务实例: {{runtime_name}} - {{service_name}}.{{container_id}}\n\n事件: 服务实例发生OOM\n\n机器: {{host_ip}}\n\n时间: {{timestamp}}\n\n[查看详情]({{display_url}})','{\"container_id\":\"string:6\"}','1.0','2021-05-28 11:54:51','2021-05-28 11:54:55',0),(665,'应用JVM GC次数异常','app_resource','app_resource_jvm_gc_count','dingding','alert','【{{application_name}}应用{{service_name}}服务JVM GC次数异常告警】\n','【应用JVM GC次数异常告警】\n\n实例GC次数太多 !\n\n项目: {{project_name}}\n\n应用: {{application_name}}\n\n服务: {{runtime_name}} / {{service_name}}\n\n老年代GC次数: {{count_sum}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n时间: {{timestamp}}\n\n[查看详情]({{display_url}})\n','','1.0','2021-05-28 11:54:51','2021-05-28 11:54:55',0),(666,'应用JVM GC次数异常','app_resource','app_resource_jvm_gc_count','ticket','alert','【{{application_name}}应用{{service_name}}服务JVM GC次数异常告警】\n','【应用JVM GC次数异常告警】\n\n实例GC次数太多 !\n\n项目: {{project_name}}\n\n应用: {{application_name}}\n\n服务: {{runtime_name}} / {{service_name}}\n\n老年代GC次数: {{count_sum}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n时间: {{timestamp}}\n\n[查看详情]({{display_url}})\n','','1.0','2021-05-28 11:54:51','2021-05-28 11:54:55',0),(667,'应用JVM GC次数异常','app_resource','app_resource_jvm_gc_count','email','alert','【{{application_name}}应用{{service_name}}服务JVM GC次数异常告警】\n','【应用JVM GC次数异常告警】\n\n实例GC次数太多 !\n\n项目: {{project_name}}\n\n应用: {{application_name}}\n\n服务: {{runtime_name}} / {{service_name}}\n\n老年代GC次数: {{count_sum}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n时间: {{timestamp}}\n\n[查看详情]({{display_url}})\n','','1.0','2021-05-28 11:54:51','2021-05-28 11:54:55',0),(668,'应用JVM GC次数异常','app_resource','app_resource_jvm_gc_count','mbox','alert','【{{application_name}}应用{{service_name}}服务JVM GC次数异常告警】\n','【应用JVM GC次数异常告警】\n\n实例GC次数太多 !\n\n项目: {{project_name}}\n\n应用: {{application_name}}\n\n服务: {{runtime_name}} / {{service_name}}\n\n老年代GC次数: {{count_sum}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n时间: {{timestamp}}\n\n[查看详情]({{display_url}})\n','','1.0','2021-05-28 11:54:51','2021-05-28 11:54:55',0),(669,'应用JVM GC次数异常','app_resource','app_resource_jvm_gc_count','dingding','recover','【{{application_name}}应用{{service_name}}服务JVM GC次数异常恢复】\n','【应用JVM GC次数异常恢复】\n\n实例GC次数已恢复正常值 .\n\n项目: {{project_name}}\n\n应用: {{application_name}}\n\n服务: {{runtime_name}} / {{service_name}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n持续时间: {{trigger_duration_min}}\n\n恢复时间: {{timestamp}}\n','','1.0','2021-05-28 11:54:51','2021-05-28 11:54:55',0),(670,'应用JVM GC次数异常','app_resource','app_resource_jvm_gc_count','ticket','recover','【{{application_name}}应用{{service_name}}服务JVM GC次数异常恢复】\n','【应用JVM GC次数异常恢复】\n\n实例GC次数已恢复正常值 .\n\n项目: {{project_name}}\n\n应用: {{application_name}}\n\n服务: {{runtime_name}} / {{service_name}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n持续时间: {{trigger_duration_min}}\n\n恢复时间: {{timestamp}}\n','','1.0','2021-05-28 11:54:51','2021-05-28 11:54:55',0),(671,'应用JVM GC次数异常','app_resource','app_resource_jvm_gc_count','email','recover','【{{application_name}}应用{{service_name}}服务JVM GC次数异常恢复】\n','【应用JVM GC次数异常恢复】\n\n实例GC次数已恢复正常值 .\n\n项目: {{project_name}}\n\n应用: {{application_name}}\n\n服务: {{runtime_name}} / {{service_name}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n持续时间: {{trigger_duration_min}}\n\n恢复时间: {{timestamp}}\n','','1.0','2021-05-28 11:54:51','2021-05-28 11:54:55',0),(672,'应用JVM GC次数异常','app_resource','app_resource_jvm_gc_count','mbox','recover','【{{application_name}}应用{{service_name}}服务JVM GC次数异常恢复】\n','【应用JVM GC次数异常恢复】\n\n实例GC次数已恢复正常值 .\n\n项目: {{project_name}}\n\n应用: {{application_name}}\n\n服务: {{runtime_name}} / {{service_name}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n持续时间: {{trigger_duration_min}}\n\n恢复时间: {{timestamp}}\n','','1.0','2021-05-28 11:54:51','2021-05-28 11:54:55',0),(673,'应用JVM GC耗时异常','app_resource','app_resource_jvm_gc_time','dingding','alert','【{{application_name}}应用{{service_name}}服务JVM GC耗时异常告警】\n','【应用JVM GC耗时异常告警】\n\n实例GC耗时过长 !\n\n项目: {{project_name}}\n\n应用: {{application_name}}\n\n服务: {{runtime_name}} / {{service_name}}\n\n老年代GC耗时: 总耗时{{time_sum}}，最后一次耗时{{time_value}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n时间: {{timestamp}}\n\n[查看详情]({{display_url}})\n','{\"time_sum\":\"time:ms\",\"time_value\":\"time:ms\"}','1.0','2021-05-28 11:54:51','2021-05-28 11:54:55',0),(674,'应用JVM GC耗时异常','app_resource','app_resource_jvm_gc_time','ticket','alert','【{{application_name}}应用{{service_name}}服务JVM GC耗时异常告警】\n','【应用JVM GC耗时异常告警】\n\n实例GC耗时过长 !\n\n项目: {{project_name}}\n\n应用: {{application_name}}\n\n服务: {{runtime_name}} / {{service_name}}\n\n老年代GC耗时: 总耗时{{time_sum}}，最后一次耗时{{time_value}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n时间: {{timestamp}}\n\n[查看详情]({{display_url}})\n','{\"time_sum\":\"time:ms\",\"time_value\":\"time:ms\"}','1.0','2021-05-28 11:54:51','2021-05-28 11:54:55',0),(675,'应用JVM GC耗时异常','app_resource','app_resource_jvm_gc_time','email','alert','【{{application_name}}应用{{service_name}}服务JVM GC耗时异常告警】\n','【应用JVM GC耗时异常告警】\n\n实例GC耗时过长 !\n\n项目: {{project_name}}\n\n应用: {{application_name}}\n\n服务: {{runtime_name}} / {{service_name}}\n\n老年代GC耗时: 总耗时{{time_sum}}，最后一次耗时{{time_value}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n时间: {{timestamp}}\n\n[查看详情]({{display_url}})\n','{\"time_sum\":\"time:ms\",\"time_value\":\"time:ms\"}','1.0','2021-05-28 11:54:51','2021-05-28 11:54:55',0),(676,'应用JVM GC耗时异常','app_resource','app_resource_jvm_gc_time','mbox','alert','【{{application_name}}应用{{service_name}}服务JVM GC耗时异常告警】\n','【应用JVM GC耗时异常告警】\n\n实例GC耗时过长 !\n\n项目: {{project_name}}\n\n应用: {{application_name}}\n\n服务: {{runtime_name}} / {{service_name}}\n\n老年代GC耗时: 总耗时{{time_sum}}，最后一次耗时{{time_value}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n时间: {{timestamp}}\n\n[查看详情]({{display_url}})\n','{\"time_sum\":\"time:ms\",\"time_value\":\"time:ms\"}','1.0','2021-05-28 11:54:51','2021-05-28 11:54:55',0),(677,'应用JVM GC耗时异常','app_resource','app_resource_jvm_gc_time','dingding','recover','【{{application_name}}应用{{service_name}}服务JVM GC耗时异常恢复】\n','【应用JVM GC耗时异常恢复】\n\n实例GC耗时已恢复正常值 .\n\n项目: {{project_name}}\n\n应用: {{application_name}}\n\n服务: {{runtime_name}} / {{service_name}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n持续时间: {{trigger_duration_min}}\n\n恢复时间: {{timestamp}}\n','','1.0','2021-05-28 11:54:51','2021-05-28 11:54:55',0),(678,'应用JVM GC耗时异常','app_resource','app_resource_jvm_gc_time','ticket','recover','【{{application_name}}应用{{service_name}}服务JVM GC耗时异常恢复】\n','【应用JVM GC耗时异常恢复】\n\n实例GC耗时已恢复正常值 .\n\n项目: {{project_name}}\n\n应用: {{application_name}}\n\n服务: {{runtime_name}} / {{service_name}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n持续时间: {{trigger_duration_min}}\n\n恢复时间: {{timestamp}}\n','','1.0','2021-05-28 11:54:51','2021-05-28 11:54:55',0),(679,'应用JVM GC耗时异常','app_resource','app_resource_jvm_gc_time','email','recover','【{{application_name}}应用{{service_name}}服务JVM GC耗时异常恢复】\n','【应用JVM GC耗时异常恢复】\n\n实例GC耗时已恢复正常值 .\n\n项目: {{project_name}}\n\n应用: {{application_name}}\n\n服务: {{runtime_name}} / {{service_name}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n持续时间: {{trigger_duration_min}}\n\n恢复时间: {{timestamp}}\n','','1.0','2021-05-28 11:54:51','2021-05-28 11:54:55',0),(680,'应用JVM GC耗时异常','app_resource','app_resource_jvm_gc_time','mbox','recover','【{{application_name}}应用{{service_name}}服务JVM GC耗时异常恢复】\n','【应用JVM GC耗时异常恢复】\n\n实例GC耗时已恢复正常值 .\n\n项目: {{project_name}}\n\n应用: {{application_name}}\n\n服务: {{runtime_name}} / {{service_name}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n持续时间: {{trigger_duration_min}}\n\n恢复时间: {{timestamp}}\n','','1.0','2021-05-28 11:54:51','2021-05-28 11:54:55',0),(681,'JVM堆内存使用异常告警','app_resource','app_resource_jvm_heap','dingding','alert','【{{application_name}}应用{{service_name}}服务JVM堆内存使用异常告警】','【JVM堆内存使用异常告警】\n\n实例JVM堆内存使用过高 ！\n\n项目: {{project_name}}\n\n应用: {{application_name}}\n\n服务: {{runtime_name}} / {{service_name}}\n\n实例: {{instance_id}}\n\n堆内存使用率: {{usage_percent_avg}}\n\n已使用: {{used_value}}\n\n最大使用: {{max_value}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n时间: {{timestamp}}\n\n[查看详情]({{display_url}})\n','{\"max_value\":\"size:byte\",\"usage_percent_avg\":\"percent\",\"used_value\":\"size:byte\"}','1.0','2021-05-28 11:54:51','2021-05-28 11:54:55',0),(682,'JVM堆内存使用异常告警','app_resource','app_resource_jvm_heap','ticket','alert','【{{application_name}}应用{{service_name}}服务JVM堆内存使用异常告警】','【JVM堆内存使用异常告警】\n\n实例JVM堆内存使用过高 ！\n\n项目: {{project_name}}\n\n应用: {{application_name}}\n\n服务: {{runtime_name}} / {{service_name}}\n\n实例: {{instance_id}}\n\n堆内存使用率: {{usage_percent_avg}}\n\n已使用: {{used_value}}\n\n最大使用: {{max_value}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n时间: {{timestamp}}\n\n[查看详情]({{display_url}})\n','{\"max_value\":\"size:byte\",\"usage_percent_avg\":\"percent\",\"used_value\":\"size:byte\"}','1.0','2021-05-28 11:54:51','2021-05-28 11:54:55',0),(683,'JVM堆内存使用异常告警','app_resource','app_resource_jvm_heap','email','alert','【{{application_name}}应用{{service_name}}服务JVM堆内存使用异常告警】','【JVM堆内存使用异常告警】\n\n实例JVM堆内存使用过高 ！\n\n项目: {{project_name}}\n\n应用: {{application_name}}\n\n服务: {{runtime_name}} / {{service_name}}\n\n实例: {{instance_id}}\n\n堆内存使用率: {{usage_percent_avg}}\n\n已使用: {{used_value}}\n\n最大使用: {{max_value}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n时间: {{timestamp}}\n\n[查看详情]({{display_url}})\n','{\"max_value\":\"size:byte\",\"usage_percent_avg\":\"percent\",\"used_value\":\"size:byte\"}','1.0','2021-05-28 11:54:51','2021-05-28 11:54:55',0),(684,'JVM堆内存使用异常告警','app_resource','app_resource_jvm_heap','mbox','alert','【{{application_name}}应用{{service_name}}服务JVM堆内存使用异常告警】','【JVM堆内存使用异常告警】\n\n实例JVM堆内存使用过高 ！\n\n项目: {{project_name}}\n\n应用: {{application_name}}\n\n服务: {{runtime_name}} / {{service_name}}\n\n实例: {{instance_id}}\n\n堆内存使用率: {{usage_percent_avg}}\n\n已使用: {{used_value}}\n\n最大使用: {{max_value}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n时间: {{timestamp}}\n\n[查看详情]({{display_url}})\n','{\"max_value\":\"size:byte\",\"usage_percent_avg\":\"percent\",\"used_value\":\"size:byte\"}','1.0','2021-05-28 11:54:51','2021-05-28 11:54:55',0),(685,'JVM堆内存使用异常恢复','app_resource','app_resource_jvm_heap','dingding','recover','【{{application_name}}应用{{service_name}}服务JVM堆内存使用异常恢复】','【JVM堆内存使用异常恢复】\n\n实例JVM堆内存已恢复恢复正常使用状态 .\n\n项目: {{project_name}}\n\n应用: {{application_name}}\n\n服务: {{runtime_name}} / {{service_name}}\n\n实例: {{instance_id}}\n\n堆内存使用率: {{usage_percent_avg}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n持续时间: {{trigger_duration_min}}\n\n恢复时间: {{timestamp}}\n','{\"usage_percent_avg\":\"percent\"}','1.0','2021-05-28 11:54:51','2021-05-28 11:54:55',0),(686,'JVM堆内存使用异常恢复','app_resource','app_resource_jvm_heap','ticket','recover','【{{application_name}}应用{{service_name}}服务JVM堆内存使用异常恢复】','【JVM堆内存使用异常恢复】\n\n实例JVM堆内存已恢复恢复正常使用状态 .\n\n项目: {{project_name}}\n\n应用: {{application_name}}\n\n服务: {{runtime_name}} / {{service_name}}\n\n实例: {{instance_id}}\n\n堆内存使用率: {{usage_percent_avg}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n持续时间: {{trigger_duration_min}}\n\n恢复时间: {{timestamp}}\n','{\"usage_percent_avg\":\"percent\"}','1.0','2021-05-28 11:54:51','2021-05-28 11:54:55',0),(687,'JVM堆内存使用异常恢复','app_resource','app_resource_jvm_heap','email','recover','【{{application_name}}应用{{service_name}}服务JVM堆内存使用异常恢复】','【JVM堆内存使用异常恢复】\n\n实例JVM堆内存已恢复恢复正常使用状态 .\n\n项目: {{project_name}}\n\n应用: {{application_name}}\n\n服务: {{runtime_name}} / {{service_name}}\n\n实例: {{instance_id}}\n\n堆内存使用率: {{usage_percent_avg}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n持续时间: {{trigger_duration_min}}\n\n恢复时间: {{timestamp}}\n','{\"usage_percent_avg\":\"percent\"}','1.0','2021-05-28 11:54:51','2021-05-28 11:54:55',0),(688,'JVM堆内存使用异常恢复','app_resource','app_resource_jvm_heap','mbox','recover','【{{application_name}}应用{{service_name}}服务JVM堆内存使用异常恢复】','【JVM堆内存使用异常恢复】\n\n实例JVM堆内存已恢复恢复正常使用状态 .\n\n项目: {{project_name}}\n\n应用: {{application_name}}\n\n服务: {{runtime_name}} / {{service_name}}\n\n实例: {{instance_id}}\n\n堆内存使用率: {{usage_percent_avg}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n持续时间: {{trigger_duration_min}}\n\n恢复时间: {{timestamp}}\n','{\"usage_percent_avg\":\"percent\"}','1.0','2021-05-28 11:54:51','2021-05-28 11:54:55',0),(689,'应用NodeJS堆内存使用异常告警','app_resource','app_resource_nodejs_heap','dingding','alert','【{{application_name}}应用{{service_name}}服务NodeJS堆内存使用异常告警】','【应用NodeJS堆内存使用异常告警】\n\n实例NodeJS堆内存使用过高 ！\n\n项目: {{project_name}}\n\n应用: {{application_name}}\n\n服务: {{runtime_name}} / {{service_name}}\n\n实例: {{instance_id}}\n\n堆内存使用率: {{usage_percent_avg}}\n\n已使用: {{heap_used_value}}\n\n常驻内存: {{rss_value}}\n\n最大使用: {{max_value}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n时间: {{timestamp}}\n\n[查看详情]({{display_url}})\n','{\"heap_used_value\":\"size:byte\",\"max_value\":\"size:byte\",\"rss_value\":\"size:byte\",\"usage_percent_avg\":\"percent\"}','1.0','2021-05-28 11:54:51','2021-05-28 11:54:55',0),(690,'应用NodeJS堆内存使用异常告警','app_resource','app_resource_nodejs_heap','ticket','alert','【{{application_name}}应用{{service_name}}服务NodeJS堆内存使用异常告警】','【应用NodeJS堆内存使用异常告警】\n\n实例NodeJS堆内存使用过高 ！\n\n项目: {{project_name}}\n\n应用: {{application_name}}\n\n服务: {{runtime_name}} / {{service_name}}\n\n实例: {{instance_id}}\n\n堆内存使用率: {{usage_percent_avg}}\n\n已使用: {{heap_used_value}}\n\n常驻内存: {{rss_value}}\n\n最大使用: {{max_value}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n时间: {{timestamp}}\n\n[查看详情]({{display_url}})\n','{\"heap_used_value\":\"size:byte\",\"max_value\":\"size:byte\",\"rss_value\":\"size:byte\",\"usage_percent_avg\":\"percent\"}','1.0','2021-05-28 11:54:51','2021-05-28 11:54:55',0),(691,'应用NodeJS堆内存使用异常告警','app_resource','app_resource_nodejs_heap','email','alert','【{{application_name}}应用{{service_name}}服务NodeJS堆内存使用异常告警】','【应用NodeJS堆内存使用异常告警】\n\n实例NodeJS堆内存使用过高 ！\n\n项目: {{project_name}}\n\n应用: {{application_name}}\n\n服务: {{runtime_name}} / {{service_name}}\n\n实例: {{instance_id}}\n\n堆内存使用率: {{usage_percent_avg}}\n\n已使用: {{heap_used_value}}\n\n常驻内存: {{rss_value}}\n\n最大使用: {{max_value}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n时间: {{timestamp}}\n\n[查看详情]({{display_url}})\n','{\"heap_used_value\":\"size:byte\",\"max_value\":\"size:byte\",\"rss_value\":\"size:byte\",\"usage_percent_avg\":\"percent\"}','1.0','2021-05-28 11:54:51','2021-05-28 11:54:55',0),(692,'应用NodeJS堆内存使用异常告警','app_resource','app_resource_nodejs_heap','mbox','alert','【{{application_name}}应用{{service_name}}服务NodeJS堆内存使用异常告警】','【应用NodeJS堆内存使用异常告警】\n\n实例NodeJS堆内存使用过高 ！\n\n项目: {{project_name}}\n\n应用: {{application_name}}\n\n服务: {{runtime_name}} / {{service_name}}\n\n实例: {{instance_id}}\n\n堆内存使用率: {{usage_percent_avg}}\n\n已使用: {{heap_used_value}}\n\n常驻内存: {{rss_value}}\n\n最大使用: {{max_value}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n时间: {{timestamp}}\n\n[查看详情]({{display_url}})\n','{\"heap_used_value\":\"size:byte\",\"max_value\":\"size:byte\",\"rss_value\":\"size:byte\",\"usage_percent_avg\":\"percent\"}','1.0','2021-05-28 11:54:51','2021-05-28 11:54:55',0),(693,'应用NodeJS堆内存使用异常恢复','app_resource','app_resource_nodejs_heap','dingding','recover','【{{application_name}}应用{{service_name}}服务NodeJS堆内存使用异常恢复】','【应用NodeJS堆内存使用异常恢复】\n\nNodeJS堆内存已恢复恢复正常状态 .\n\n项目: {{project_name}}\n\n应用: {{application_name}}\n\n服务: {{runtime_name}} / {{service_name}}\n\n实例: {{instance_id}}\n\n堆内存使用率: {{usage_percent_avg}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n持续时间: {{trigger_duration_min}}\n\n恢复时间: {{timestamp}}\n','{\"usage_percent_avg\":\"percent\"}','1.0','2021-05-28 11:54:51','2021-05-28 11:54:55',0),(694,'应用NodeJS堆内存使用异常恢复','app_resource','app_resource_nodejs_heap','ticket','recover','【{{application_name}}应用{{service_name}}服务NodeJS堆内存使用异常恢复】','【应用NodeJS堆内存使用异常恢复】\n\nNodeJS堆内存已恢复恢复正常状态 .\n\n项目: {{project_name}}\n\n应用: {{application_name}}\n\n服务: {{runtime_name}} / {{service_name}}\n\n实例: {{instance_id}}\n\n堆内存使用率: {{usage_percent_avg}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n持续时间: {{trigger_duration_min}}\n\n恢复时间: {{timestamp}}\n','{\"usage_percent_avg\":\"percent\"}','1.0','2021-05-28 11:54:52','2021-05-28 11:54:55',0),(695,'应用NodeJS堆内存使用异常恢复','app_resource','app_resource_nodejs_heap','email','recover','【{{application_name}}应用{{service_name}}服务NodeJS堆内存使用异常恢复】','【应用NodeJS堆内存使用异常恢复】\n\nNodeJS堆内存已恢复恢复正常状态 .\n\n项目: {{project_name}}\n\n应用: {{application_name}}\n\n服务: {{runtime_name}} / {{service_name}}\n\n实例: {{instance_id}}\n\n堆内存使用率: {{usage_percent_avg}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n持续时间: {{trigger_duration_min}}\n\n恢复时间: {{timestamp}}\n','{\"usage_percent_avg\":\"percent\"}','1.0','2021-05-28 11:54:52','2021-05-28 11:54:55',0),(696,'应用NodeJS堆内存使用异常恢复','app_resource','app_resource_nodejs_heap','mbox','recover','【{{application_name}}应用{{service_name}}服务NodeJS堆内存使用异常恢复】','【应用NodeJS堆内存使用异常恢复】\n\nNodeJS堆内存已恢复恢复正常状态 .\n\n项目: {{project_name}}\n\n应用: {{application_name}}\n\n服务: {{runtime_name}} / {{service_name}}\n\n实例: {{instance_id}}\n\n堆内存使用率: {{usage_percent_avg}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n持续时间: {{trigger_duration_min}}\n\n恢复时间: {{timestamp}}\n','{\"usage_percent_avg\":\"percent\"}','1.0','2021-05-28 11:54:52','2021-05-28 11:54:55',0),(697,' 页面内容改变','app_status','app_status_browser','dingding','alert','【{{project_name}}项目{{status_metric_name}}页面内容改变告警】\n','【页面内容改变告警】\n\n项目: {{project_name}}\n\n环境: {{workspace}}\n\n事件：[{{status_metric_name}}]({{url}})页面内容和基准点对比不一致\n\n时间: {{timestamp}}\n\n[查看详情]({{display_url}})\n','','1.0','2021-05-28 11:54:52','2021-05-28 11:54:55',0),(698,' 页面内容改变','app_status','app_status_browser','ticket','alert','【{{project_name}}项目{{status_metric_name}}页面内容改变告警】\n','【页面内容改变告警】\n\n项目: {{project_name}}\n\n环境: {{workspace}}\n\n事件：[{{status_metric_name}}]({{url}})页面内容和基准点对比不一致\n\n时间: {{timestamp}}\n\n[查看详情]({{display_url}})\n','','1.0','2021-05-28 11:54:52','2021-05-28 11:54:55',0),(699,' 页面内容改变','app_status','app_status_browser','email','alert','【{{project_name}}项目{{status_metric_name}}页面内容改变告警】\n','【页面内容改变告警】\n\n项目: {{project_name}}\n\n环境: {{workspace}}\n\n事件：[{{status_metric_name}}]({{url}})页面内容和基准点对比不一致\n\n时间: {{timestamp}}\n\n[查看详情]({{display_url}})\n','','1.0','2021-05-28 11:54:52','2021-05-28 11:54:55',0),(700,' 页面内容改变','app_status','app_status_browser','mbox','alert','【{{project_name}}项目{{status_metric_name}}页面内容改变告警】\n','【页面内容改变告警】\n\n项目: {{project_name}}\n\n环境: {{workspace}}\n\n事件：[{{status_metric_name}}]({{url}})页面内容和基准点对比不一致\n\n时间: {{timestamp}}\n\n[查看详情]({{display_url}})\n','','1.0','2021-05-28 11:54:52','2021-05-28 11:54:55',0),(701,' 业务请求状态异常','app_status','app_status_browser','dingding','recover','【{{project_name}}项目{{status_metric_name}}页面内容改变恢复】\n','【页面内容改变恢复】\n\n[{{status_metric_name}}]({{url}}) 页面内容改变 .\n\n项目: {{project_name}}\n\n环境: {{workspace}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n','{\"trigger_duration\":\"time:ms\"}','1.0','2021-05-28 11:54:52','2021-05-28 11:54:55',0),(702,' 业务请求状态异常','app_status','app_status_browser','ticket','recover','【{{project_name}}项目{{status_metric_name}}页面内容改变恢复】\n','【页面内容改变恢复】\n\n[{{status_metric_name}}]({{url}}) 页面内容改变 .\n\n项目: {{project_name}}\n\n环境: {{workspace}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n','{\"trigger_duration\":\"time:ms\"}','1.0','2021-05-28 11:54:52','2021-05-28 11:54:55',0),(703,' 业务请求状态异常','app_status','app_status_browser','email','recover','【{{project_name}}项目{{status_metric_name}}页面内容改变恢复】\n','【页面内容改变恢复】\n\n[{{status_metric_name}}]({{url}}) 页面内容改变 .\n\n项目: {{project_name}}\n\n环境: {{workspace}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n','{\"trigger_duration\":\"time:ms\"}','1.0','2021-05-28 11:54:52','2021-05-28 11:54:55',0),(704,' 业务请求状态异常','app_status','app_status_browser','mbox','recover','【{{project_name}}项目{{status_metric_name}}页面内容改变恢复】\n','【页面内容改变恢复】\n\n[{{status_metric_name}}]({{url}}) 页面内容改变 .\n\n项目: {{project_name}}\n\n环境: {{workspace}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n','{\"trigger_duration\":\"time:ms\"}','1.0','2021-05-28 11:54:52','2021-05-28 11:54:55',0),(705,' 主动监控HTTP状态异常','app_status','app_status_code','dingding','alert','【{{project_name}}项目{{status_metric_name}}指标HTTP状态异常告警】\n','【主动监控HTTP状态异常】\n\n项目: {{project_name}}\n\n环境: {{workspace}}\n\n事件: [{{status_metric_name}}]({{url}}) 指标状态异常\n\n响应状态码: {{code_min}}\n\n时间: {{timestamp}}\n\n[查看详情]({{display_url}})\n','','1.0','2021-05-28 11:54:52','2021-05-28 11:54:55',0),(706,' 主动监控HTTP状态异常','app_status','app_status_code','ticket','alert','【{{project_name}}项目{{status_metric_name}}指标HTTP状态异常告警】\n','【主动监控HTTP状态异常】\n\n项目: {{project_name}}\n\n环境: {{workspace}}\n\n事件: [{{status_metric_name}}]({{url}}) 指标状态异常\n\n响应状态码: {{code_min}}\n\n时间: {{timestamp}}\n\n[查看详情]({{display_url}})\n','','1.0','2021-05-28 11:54:52','2021-05-28 11:54:55',0),(707,' 主动监控HTTP状态异常','app_status','app_status_code','email','alert','【{{project_name}}项目{{status_metric_name}}指标HTTP状态异常告警】\n','【主动监控HTTP状态异常】\n\n项目: {{project_name}}\n\n环境: {{workspace}}\n\n事件: [{{status_metric_name}}]({{url}}) 指标状态异常\n\n响应状态码: {{code_min}}\n\n时间: {{timestamp}}\n\n[查看详情]({{display_url}})\n','','1.0','2021-05-28 11:54:52','2021-05-28 11:54:55',0),(708,' 主动监控HTTP状态异常','app_status','app_status_code','mbox','alert','【{{project_name}}项目{{status_metric_name}}指标HTTP状态异常告警】\n','【主动监控HTTP状态异常】\n\n项目: {{project_name}}\n\n环境: {{workspace}}\n\n事件: [{{status_metric_name}}]({{url}}) 指标状态异常\n\n响应状态码: {{code_min}}\n\n时间: {{timestamp}}\n\n[查看详情]({{display_url}})\n','','1.0','2021-05-28 11:54:52','2021-05-28 11:54:55',0),(709,'主动监控HTTP状态恢复','app_status','app_status_code','dingding','recover','【{{project_name}}项目{{status_metric_name}}指标HTTP状态恢复】\n','【主动监控HTTP状态恢复】\n\n项目: {{project_name}}\n\n环境: {{workspace}}\n\n事件: [{{status_metric_name}}]({{url}}) 指标状态恢复\n\n响应状态码: {{code_min}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n','{\"trigger_duration\":\"time:ms\"}','1.0','2021-05-28 11:54:52','2021-05-28 11:54:55',0),(710,'主动监控HTTP状态恢复','app_status','app_status_code','ticket','recover','【{{project_name}}项目{{status_metric_name}}指标HTTP状态恢复】\n','【主动监控HTTP状态恢复】\n\n项目: {{project_name}}\n\n环境: {{workspace}}\n\n事件: [{{status_metric_name}}]({{url}}) 指标状态恢复\n\n响应状态码: {{code_min}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n','{\"trigger_duration\":\"time:ms\"}','1.0','2021-05-28 11:54:52','2021-05-28 11:54:55',0),(711,'主动监控HTTP状态恢复','app_status','app_status_code','email','recover','【{{project_name}}项目{{status_metric_name}}指标HTTP状态恢复】\n','【主动监控HTTP状态恢复】\n\n项目: {{project_name}}\n\n环境: {{workspace}}\n\n事件: [{{status_metric_name}}]({{url}}) 指标状态恢复\n\n响应状态码: {{code_min}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n','{\"trigger_duration\":\"time:ms\"}','1.0','2021-05-28 11:54:52','2021-05-28 11:54:55',0),(712,'主动监控HTTP状态恢复','app_status','app_status_code','mbox','recover','【{{project_name}}项目{{status_metric_name}}指标HTTP状态恢复】\n','【主动监控HTTP状态恢复】\n\n项目: {{project_name}}\n\n环境: {{workspace}}\n\n事件: [{{status_metric_name}}]({{url}}) 指标状态恢复\n\n响应状态码: {{code_min}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n','{\"trigger_duration\":\"time:ms\"}','1.0','2021-05-28 11:54:52','2021-05-28 11:54:55',0),(713,'服务接口HTTP错误率异常','app_transaction','app_transaction_http_path_error','dingding','alert','【{{service_name}}服务接口HTTP错误率异常告警】','【服务接口HTTP错误率异常告警】\n\n项目: {{project_name}}\n\n应用: {{application_name}}\n\n服务: {{runtime_name}} - {{service_name}}\n\n接口: {{http_method}} {{http_url}}\n\n事件: {{ window }}分钟内HTTP错误率{{ error_percent_value }} 错误请求次数{{ error_count_sum }} 总请求次数{{ elapsed_count_sum }}\n\n时间: {{timestamp}}\n\n[查看详情]({{display_url}})\n','{\"error_percent_value\":\"percent\"}','1.0','2021-05-28 11:54:52','2021-05-28 11:54:55',0),(714,'服务接口HTTP错误率异常','app_transaction','app_transaction_http_path_error','ticket','alert','【{{service_name}}服务接口HTTP错误率异常告警】','【服务接口HTTP错误率异常告警】\n\n项目: {{project_name}}\n\n应用: {{application_name}}\n\n服务: {{runtime_name}} - {{service_name}}\n\n接口: {{http_method}} {{http_url}}\n\n事件: {{ window }}分钟内HTTP错误率{{ error_percent_value }} 错误请求次数{{ error_count_sum }} 总请求次数{{ elapsed_count_sum }}\n\n时间: {{timestamp}}\n\n[查看详情]({{display_url}})\n','{\"error_percent_value\":\"percent\"}','1.0','2021-05-28 11:54:52','2021-05-28 11:54:55',0),(715,'服务接口HTTP错误率异常','app_transaction','app_transaction_http_path_error','email','alert','【{{service_name}}服务接口HTTP错误率异常告警】','【服务接口HTTP错误率异常告警】\n\n项目: {{project_name}}\n\n应用: {{application_name}}\n\n服务: {{runtime_name}} - {{service_name}}\n\n接口: {{http_method}} {{http_url}}\n\n事件: {{ window }}分钟内HTTP错误率{{ error_percent_value }} 错误请求次数{{ error_count_sum }} 总请求次数{{ elapsed_count_sum }}\n\n时间: {{timestamp}}\n\n[查看详情]({{display_url}})\n','{\"error_percent_value\":\"percent\"}','1.0','2021-05-28 11:54:52','2021-05-28 11:54:55',0),(716,'服务接口HTTP错误率异常','app_transaction','app_transaction_http_path_error','mbox','alert','【{{service_name}}服务接口HTTP错误率异常告警】','【服务接口HTTP错误率异常告警】\n\n项目: {{project_name}}\n\n应用: {{application_name}}\n\n服务: {{runtime_name}} - {{service_name}}\n\n接口: {{http_method}} {{http_url}}\n\n事件: {{ window }}分钟内HTTP错误率{{ error_percent_value }} 错误请求次数{{ error_count_sum }} 总请求次数{{ elapsed_count_sum }}\n\n时间: {{timestamp}}\n\n[查看详情]({{display_url}})\n','{\"error_percent_value\":\"percent\"}','1.0','2021-05-28 11:54:52','2021-05-28 11:54:55',0),(717,'服务接口HTTP错误率恢复','app_transaction','app_transaction_http_path_error','dingding','recover','【{{service_name}}服务接口HTTP错误率异常恢复】','【服务接口HTTP错误率异常恢复】\n\n项目: {{project_name}}\n\n应用: {{application_name}}\n\n服务: {{runtime_name}} - {{service_name}}\n\n接口: {{http_method}} {{http_url}}\n\n持续时间: {{trigger_duration_min}}\n\n恢复时间: {{timestamp}}','{\"trigger_duration\":\"time:ms\"}','1.0','2021-05-28 11:54:52','2021-05-28 11:54:55',0),(718,'服务接口HTTP错误率恢复','app_transaction','app_transaction_http_path_error','ticket','recover','【{{service_name}}服务接口HTTP错误率异常恢复】','【服务接口HTTP错误率异常恢复】\n\n项目: {{project_name}}\n\n应用: {{application_name}}\n\n服务: {{runtime_name}} - {{service_name}}\n\n接口: {{http_method}} {{http_url}}\n\n持续时间: {{trigger_duration_min}}\n\n恢复时间: {{timestamp}}','{\"trigger_duration\":\"time:ms\"}','1.0','2021-05-28 11:54:52','2021-05-28 11:54:55',0),(719,'服务接口HTTP错误率恢复','app_transaction','app_transaction_http_path_error','email','recover','【{{service_name}}服务接口HTTP错误率异常恢复】','【服务接口HTTP错误率异常恢复】\n\n项目: {{project_name}}\n\n应用: {{application_name}}\n\n服务: {{runtime_name}} - {{service_name}}\n\n接口: {{http_method}} {{http_url}}\n\n持续时间: {{trigger_duration_min}}\n\n恢复时间: {{timestamp}}','{\"trigger_duration\":\"time:ms\"}','1.0','2021-05-28 11:54:52','2021-05-28 11:54:55',0),(720,'服务接口HTTP错误率恢复','app_transaction','app_transaction_http_path_error','mbox','recover','【{{service_name}}服务接口HTTP错误率异常恢复】','【服务接口HTTP错误率异常恢复】\n\n项目: {{project_name}}\n\n应用: {{application_name}}\n\n服务: {{runtime_name}} - {{service_name}}\n\n接口: {{http_method}} {{http_url}}\n\n持续时间: {{trigger_duration_min}}\n\n恢复时间: {{timestamp}}','{\"trigger_duration\":\"time:ms\"}','1.0','2021-05-28 11:54:52','2021-05-28 11:54:55',0),(721,'服务接口HTTP慢事务异常','app_transaction','app_transaction_http_path_rt','dingding','alert','【{{service_name}}服务接口HTTP慢事务异常告警】','【服务接口HTTP慢事务异常告警】\n\n项目: {{project_name}}\n\n应用: {{application_name}}\n\n服务: {{runtime_name}} - {{service_name}}\n\n接口: {{http_method}} {{http_url}}\n\n事件: {{window}}分钟内平均响应时间{{elapsed_avg_value}} 请求次数{{elapsed_count_sum}}\n\n时间: {{timestamp}}\n\n[查看详情]({{display_url}})\n','{\"elapsed_avg_value\":\"time:ms\",\"elapsed_sum\":\"time:ms\"}','1.0','2021-05-28 11:54:52','2021-05-28 11:54:55',0),(722,'服务接口HTTP慢事务异常','app_transaction','app_transaction_http_path_rt','ticket','alert','【{{service_name}}服务接口HTTP慢事务异常告警】','【服务接口HTTP慢事务异常告警】\n\n项目: {{project_name}}\n\n应用: {{application_name}}\n\n服务: {{runtime_name}} - {{service_name}}\n\n接口: {{http_method}} {{http_url}}\n\n事件: {{window}}分钟内平均响应时间{{elapsed_avg_value}} 请求次数{{elapsed_count_sum}}\n\n时间: {{timestamp}}\n\n[查看详情]({{display_url}})\n','{\"elapsed_avg_value\":\"time:ms\",\"elapsed_sum\":\"time:ms\"}','1.0','2021-05-28 11:54:52','2021-05-28 11:54:55',0),(723,'服务接口HTTP慢事务异常','app_transaction','app_transaction_http_path_rt','email','alert','【{{service_name}}服务接口HTTP慢事务异常告警】','【服务接口HTTP慢事务异常告警】\n\n项目: {{project_name}}\n\n应用: {{application_name}}\n\n服务: {{runtime_name}} - {{service_name}}\n\n接口: {{http_method}} {{http_url}}\n\n事件: {{window}}分钟内平均响应时间{{elapsed_avg_value}} 请求次数{{elapsed_count_sum}}\n\n时间: {{timestamp}}\n\n[查看详情]({{display_url}})\n','{\"elapsed_avg_value\":\"time:ms\",\"elapsed_sum\":\"time:ms\"}','1.0','2021-05-28 11:54:52','2021-05-28 11:54:55',0),(724,'服务接口HTTP慢事务异常','app_transaction','app_transaction_http_path_rt','mbox','alert','【{{service_name}}服务接口HTTP慢事务异常告警】','【服务接口HTTP慢事务异常告警】\n\n项目: {{project_name}}\n\n应用: {{application_name}}\n\n服务: {{runtime_name}} - {{service_name}}\n\n接口: {{http_method}} {{http_url}}\n\n事件: {{window}}分钟内平均响应时间{{elapsed_avg_value}} 请求次数{{elapsed_count_sum}}\n\n时间: {{timestamp}}\n\n[查看详情]({{display_url}})\n','{\"elapsed_avg_value\":\"time:ms\",\"elapsed_sum\":\"time:ms\"}','1.0','2021-05-28 11:54:52','2021-05-28 11:54:55',0),(725,'服务接口HTTP慢事务恢复','app_transaction','app_transaction_http_path_rt','dingding','recover','【{{service_name}}服务接口HTTP慢事务恢复】','【服务接口HTTP慢事务恢复】\n\n项目: {{project_name}}\n\n应用: {{application_name}}\n\n服务: {{runtime_name}} - {{service_name}}\n\n接口: {{http_method}} {{http_url}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}','{\"trigger_duration\":\"time:ms\"}','1.0','2021-05-28 11:54:52','2021-05-28 11:54:55',0),(726,'服务接口HTTP慢事务恢复','app_transaction','app_transaction_http_path_rt','ticket','recover','【{{service_name}}服务接口HTTP慢事务恢复】','【服务接口HTTP慢事务恢复】\n\n项目: {{project_name}}\n\n应用: {{application_name}}\n\n服务: {{runtime_name}} - {{service_name}}\n\n接口: {{http_method}} {{http_url}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}','{\"trigger_duration\":\"time:ms\"}','1.0','2021-05-28 11:54:52','2021-05-28 11:54:55',0),(727,'服务接口HTTP慢事务恢复','app_transaction','app_transaction_http_path_rt','email','recover','【{{service_name}}服务接口HTTP慢事务恢复】','【服务接口HTTP慢事务恢复】\n\n项目: {{project_name}}\n\n应用: {{application_name}}\n\n服务: {{runtime_name}} - {{service_name}}\n\n接口: {{http_method}} {{http_url}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}','{\"trigger_duration\":\"time:ms\"}','1.0','2021-05-28 11:54:52','2021-05-28 11:54:55',0),(728,'服务接口HTTP慢事务恢复','app_transaction','app_transaction_http_path_rt','mbox','recover','【{{service_name}}服务接口HTTP慢事务恢复】','【服务接口HTTP慢事务恢复】\n\n项目: {{project_name}}\n\n应用: {{application_name}}\n\n服务: {{runtime_name}} - {{service_name}}\n\n接口: {{http_method}} {{http_url}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}','{\"trigger_duration\":\"time:ms\"}','1.0','2021-05-28 11:54:52','2021-05-28 11:54:55',0),(729,'服务HTTP错误率异常','app_transaction','app_transaction_http_service_error','dingding','alert','【{{service_name}}服务HTTP错误率异常告警】','【服务HTTP错误率异常告警】\n\n项目: {{project_name}}\n\n应用: {{application_name}}\n\n服务: {{runtime_name}} - {{service_name}}\n\n事件: {{ window }}分钟内HTTP错误率{{ error_percent_value }} 错误请求次数{{ error_count_sum }} 总请求次数{{ elapsed_count_sum }}\n\n时间: {{timestamp}}\n\n[查看详情]({{display_url}})\n','{\"error_percent_value\":\"percent\"}','1.0','2021-05-28 11:54:52','2021-05-28 11:54:55',0),(730,'服务HTTP错误率异常','app_transaction','app_transaction_http_service_error','ticket','alert','【{{service_name}}服务HTTP错误率异常告警】','【服务HTTP错误率异常告警】\n\n项目: {{project_name}}\n\n应用: {{application_name}}\n\n服务: {{runtime_name}} - {{service_name}}\n\n事件: {{ window }}分钟内HTTP错误率{{ error_percent_value }} 错误请求次数{{ error_count_sum }} 总请求次数{{ elapsed_count_sum }}\n\n时间: {{timestamp}}\n\n[查看详情]({{display_url}})\n','{\"error_percent_value\":\"percent\"}','1.0','2021-05-28 11:54:52','2021-05-28 11:54:55',0),(731,'服务HTTP错误率异常','app_transaction','app_transaction_http_service_error','email','alert','【{{service_name}}服务HTTP错误率异常告警】','【服务HTTP错误率异常告警】\n\n项目: {{project_name}}\n\n应用: {{application_name}}\n\n服务: {{runtime_name}} - {{service_name}}\n\n事件: {{ window }}分钟内HTTP错误率{{ error_percent_value }} 错误请求次数{{ error_count_sum }} 总请求次数{{ elapsed_count_sum }}\n\n时间: {{timestamp}}\n\n[查看详情]({{display_url}})\n','{\"error_percent_value\":\"percent\"}','1.0','2021-05-28 11:54:52','2021-05-28 11:54:55',0),(732,'服务HTTP错误率异常','app_transaction','app_transaction_http_service_error','mbox','alert','【{{service_name}}服务HTTP错误率异常告警】','【服务HTTP错误率异常告警】\n\n项目: {{project_name}}\n\n应用: {{application_name}}\n\n服务: {{runtime_name}} - {{service_name}}\n\n事件: {{ window }}分钟内HTTP错误率{{ error_percent_value }} 错误请求次数{{ error_count_sum }} 总请求次数{{ elapsed_count_sum }}\n\n时间: {{timestamp}}\n\n[查看详情]({{display_url}})\n','{\"error_percent_value\":\"percent\"}','1.0','2021-05-28 11:54:52','2021-05-28 11:54:55',0),(733,'服务HTTP错误率恢复','app_transaction','app_transaction_http_service_error','dingding','recover','【{{service_name}}服务HTTP错误率恢复】','【服务HTTP错误率异常恢复】\n\n项目: {{project_name}}\n\n应用: {{application_name}}\n\n服务: {{runtime_name}} - {{service_name}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n','{\"trigger_duration\":\"time:ms\"}','1.0','2021-05-28 11:54:52','2021-05-28 11:54:55',0),(734,'服务HTTP错误率恢复','app_transaction','app_transaction_http_service_error','ticket','recover','【{{service_name}}服务HTTP错误率恢复】','【服务HTTP错误率异常恢复】\n\n项目: {{project_name}}\n\n应用: {{application_name}}\n\n服务: {{runtime_name}} - {{service_name}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n','{\"trigger_duration\":\"time:ms\"}','1.0','2021-05-28 11:54:52','2021-05-28 11:54:55',0),(735,'服务HTTP错误率恢复','app_transaction','app_transaction_http_service_error','email','recover','【{{service_name}}服务HTTP错误率恢复】','【服务HTTP错误率异常恢复】\n\n项目: {{project_name}}\n\n应用: {{application_name}}\n\n服务: {{runtime_name}} - {{service_name}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n','{\"trigger_duration\":\"time:ms\"}','1.0','2021-05-28 11:54:52','2021-05-28 11:54:55',0),(736,'服务HTTP错误率恢复','app_transaction','app_transaction_http_service_error','mbox','recover','【{{service_name}}服务HTTP错误率恢复】','【服务HTTP错误率异常恢复】\n\n项目: {{project_name}}\n\n应用: {{application_name}}\n\n服务: {{runtime_name}} - {{service_name}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n','{\"trigger_duration\":\"time:ms\"}','1.0','2021-05-28 11:54:52','2021-05-28 11:54:55',0),(737,'服务HTTP慢事务异常','app_transaction','app_transaction_http_service_rt','dingding','alert','【应用{{service_name}}服务HTTP慢事务异常告警】','【服务HTTP慢事务异常告警】\n\n项目: {{project_name}}\n\n应用: {{application_name}}\n\n服务: {{runtime_name}} - {{service_name}}\n\n事件: {{window}}分钟内HTTP事务平均响应时间{{elapsed_avg_value}} 请求次数{{elapsed_count_sum}}\n\n时间: {{timestamp}}\n\n[查看详情]({{display_url}})\n','{\"elapsed_avg_value\":\"time:ms\",\"elapsed_sum\":\"time:ms\"}','1.0','2021-05-28 11:54:52','2021-05-28 11:54:55',0),(738,'服务HTTP慢事务异常','app_transaction','app_transaction_http_service_rt','ticket','alert','【应用{{service_name}}服务HTTP慢事务异常告警】','【服务HTTP慢事务异常告警】\n\n项目: {{project_name}}\n\n应用: {{application_name}}\n\n服务: {{runtime_name}} - {{service_name}}\n\n事件: {{window}}分钟内HTTP事务平均响应时间{{elapsed_avg_value}} 请求次数{{elapsed_count_sum}}\n\n时间: {{timestamp}}\n\n[查看详情]({{display_url}})\n','{\"elapsed_avg_value\":\"time:ms\",\"elapsed_sum\":\"time:ms\"}','1.0','2021-05-28 11:54:52','2021-05-28 11:54:55',0),(739,'服务HTTP慢事务异常','app_transaction','app_transaction_http_service_rt','email','alert','【应用{{service_name}}服务HTTP慢事务异常告警】','【服务HTTP慢事务异常告警】\n\n项目: {{project_name}}\n\n应用: {{application_name}}\n\n服务: {{runtime_name}} - {{service_name}}\n\n事件: {{window}}分钟内HTTP事务平均响应时间{{elapsed_avg_value}} 请求次数{{elapsed_count_sum}}\n\n时间: {{timestamp}}\n\n[查看详情]({{display_url}})\n','{\"elapsed_avg_value\":\"time:ms\",\"elapsed_sum\":\"time:ms\"}','1.0','2021-05-28 11:54:52','2021-05-28 11:54:55',0),(740,'服务HTTP慢事务异常','app_transaction','app_transaction_http_service_rt','mbox','alert','【应用{{service_name}}服务HTTP慢事务异常告警】','【服务HTTP慢事务异常告警】\n\n项目: {{project_name}}\n\n应用: {{application_name}}\n\n服务: {{runtime_name}} - {{service_name}}\n\n事件: {{window}}分钟内HTTP事务平均响应时间{{elapsed_avg_value}} 请求次数{{elapsed_count_sum}}\n\n时间: {{timestamp}}\n\n[查看详情]({{display_url}})\n','{\"elapsed_avg_value\":\"time:ms\",\"elapsed_sum\":\"time:ms\"}','1.0','2021-05-28 11:54:52','2021-05-28 11:54:55',0),(741,'服务HTTP慢事务异常恢复','app_transaction','app_transaction_http_service_rt','dingding','recover','【应用{{service_name}}服务HTTP慢事务异常恢复】','【服务HTTP慢事务异常恢复】\n\n项目: {{project_name}}\n\n应用: {{application_name}}\n\n服务: {{runtime_name}} - {{service_name}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n','{\"trigger_duration\":\"time:ms\"}','1.0','2021-05-28 11:54:52','2021-05-28 11:54:55',0),(742,'服务HTTP慢事务异常恢复','app_transaction','app_transaction_http_service_rt','ticket','recover','【应用{{service_name}}服务HTTP慢事务异常恢复】','【服务HTTP慢事务异常恢复】\n\n项目: {{project_name}}\n\n应用: {{application_name}}\n\n服务: {{runtime_name}} - {{service_name}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n','{\"trigger_duration\":\"time:ms\"}','1.0','2021-05-28 11:54:52','2021-05-28 11:54:55',0),(743,'服务HTTP慢事务异常恢复','app_transaction','app_transaction_http_service_rt','email','recover','【应用{{service_name}}服务HTTP慢事务异常恢复】','【服务HTTP慢事务异常恢复】\n\n项目: {{project_name}}\n\n应用: {{application_name}}\n\n服务: {{runtime_name}} - {{service_name}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n','{\"trigger_duration\":\"time:ms\"}','1.0','2021-05-28 11:54:52','2021-05-28 11:54:55',0),(744,'服务HTTP慢事务异常恢复','app_transaction','app_transaction_http_service_rt','mbox','recover','【应用{{service_name}}服务HTTP慢事务异常恢复】','【服务HTTP慢事务异常恢复】\n\n项目: {{project_name}}\n\n应用: {{application_name}}\n\n服务: {{runtime_name}} - {{service_name}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n','{\"trigger_duration\":\"time:ms\"}','1.0','2021-05-28 11:54:52','2021-05-28 11:54:55',0),(745,'平台中间件cassandra GC次数异常','dice_addon','dice_addon_cassandra_gc_count','dingding','alert','【平台中间件cassandra GC次数告警】\n','【平台中间件cassandra GC次数告警】\n\n中间件: {{addon_id}}\n\n老年代GC次数: {{CollectionCount_win_value}}\n\n集群: {{cluster_name}}\n\n机器: {{node_host}}\n\n时间: {{timestamp}}\n\n[查看详情]({{display_url}})\n','','1.0','2021-05-28 11:54:52','2021-05-28 11:54:55',0),(746,'平台中间件cassandra GC次数异常','dice_addon','dice_addon_cassandra_gc_count','ticket','alert','【平台中间件cassandra GC次数告警】\n','【平台中间件cassandra GC次数告警】\n\n中间件: {{addon_id}}\n\n老年代GC次数: {{CollectionCount_win_value}}\n\n集群: {{cluster_name}}\n\n机器: {{node_host}}\n\n时间: {{timestamp}}\n\n[查看详情]({{display_url}})\n','','1.0','2021-05-28 11:54:52','2021-05-28 11:54:55',0),(747,'平台中间件cassandra GC次数异常','dice_addon','dice_addon_cassandra_gc_count','email','alert','【平台中间件cassandra GC次数告警】\n','【平台中间件cassandra GC次数告警】\n\n中间件: {{addon_id}}\n\n老年代GC次数: {{CollectionCount_win_value}}\n\n集群: {{cluster_name}}\n\n机器: {{node_host}}\n\n时间: {{timestamp}}\n\n[查看详情]({{display_url}})\n','','1.0','2021-05-28 11:54:52','2021-05-28 11:54:55',0),(748,'平台中间件cassandra GC次数异常','dice_addon','dice_addon_cassandra_gc_count','mbox','alert','【平台中间件cassandra GC次数告警】\n','【平台中间件cassandra GC次数告警】\n\n中间件: {{addon_id}}\n\n老年代GC次数: {{CollectionCount_win_value}}\n\n集群: {{cluster_name}}\n\n机器: {{node_host}}\n\n时间: {{timestamp}}\n\n[查看详情]({{display_url}})\n','','1.0','2021-05-28 11:54:52','2021-05-28 11:54:55',0),(749,'平台中间件cassandra GC次数异常','dice_addon','dice_addon_cassandra_gc_count','dingding','recover','【平台中间件cassandra GC次数恢复】\n','【平台中间件cassandra GC次数恢复】\n\n中间件: {{addon_id}}\n\n老年代GC次数: {{CollectionCount_win_value}}\n\n集群: {{cluster_name}}\n\n机器: {{node_host}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n','{\"trigger_duration\":\"time:ms\"}','1.0','2021-05-28 11:54:52','2021-05-28 11:54:55',0),(750,'平台中间件cassandra GC次数异常','dice_addon','dice_addon_cassandra_gc_count','ticket','recover','【平台中间件cassandra GC次数恢复】\n','【平台中间件cassandra GC次数恢复】\n\n中间件: {{addon_id}}\n\n老年代GC次数: {{CollectionCount_win_value}}\n\n集群: {{cluster_name}}\n\n机器: {{node_host}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n','{\"trigger_duration\":\"time:ms\"}','1.0','2021-05-28 11:54:52','2021-05-28 11:54:55',0),(751,'平台中间件cassandra GC次数异常','dice_addon','dice_addon_cassandra_gc_count','email','recover','【平台中间件cassandra GC次数恢复】\n','【平台中间件cassandra GC次数恢复】\n\n中间件: {{addon_id}}\n\n老年代GC次数: {{CollectionCount_win_value}}\n\n集群: {{cluster_name}}\n\n机器: {{node_host}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n','{\"trigger_duration\":\"time:ms\"}','1.0','2021-05-28 11:54:52','2021-05-28 11:54:55',0),(752,'平台中间件cassandra GC次数异常','dice_addon','dice_addon_cassandra_gc_count','mbox','recover','【平台中间件cassandra GC次数恢复】\n','【平台中间件cassandra GC次数恢复】\n\n中间件: {{addon_id}}\n\n老年代GC次数: {{CollectionCount_win_value}}\n\n集群: {{cluster_name}}\n\n机器: {{node_host}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n','{\"trigger_duration\":\"time:ms\"}','1.0','2021-05-28 11:54:52','2021-05-28 11:54:55',0),(753,'平台中间件cassandra GC耗时异常','dice_addon','dice_addon_cassandra_gc_time','dingding','alert','【平台中间件cassandra GC耗时告警】\n','【平台中间件cassandra GC耗时告警】\n\n中间件: {{addon_id}}\n\n老年代GC耗时: {{CollectionTime_win_value}}\n\n集群: {{cluster_name}}\n\n机器: {{node_host}}\n\n时间: {{timestamp}}\n\n[查看详情]({{display_url}})\n','{\"CollectionTime_win_value\":\"time:ms\"}','1.0','2021-05-28 11:54:52','2021-05-28 11:54:55',0),(754,'平台中间件cassandra GC耗时异常','dice_addon','dice_addon_cassandra_gc_time','ticket','alert','【平台中间件cassandra GC耗时告警】\n','【平台中间件cassandra GC耗时告警】\n\n中间件: {{addon_id}}\n\n老年代GC耗时: {{CollectionTime_win_value}}\n\n集群: {{cluster_name}}\n\n机器: {{node_host}}\n\n时间: {{timestamp}}\n\n[查看详情]({{display_url}})\n','{\"CollectionTime_win_value\":\"time:ms\"}','1.0','2021-05-28 11:54:52','2021-05-28 11:54:55',0),(755,'平台中间件cassandra GC耗时异常','dice_addon','dice_addon_cassandra_gc_time','email','alert','【平台中间件cassandra GC耗时告警】\n','【平台中间件cassandra GC耗时告警】\n\n中间件: {{addon_id}}\n\n老年代GC耗时: {{CollectionTime_win_value}}\n\n集群: {{cluster_name}}\n\n机器: {{node_host}}\n\n时间: {{timestamp}}\n\n[查看详情]({{display_url}})\n','{\"CollectionTime_win_value\":\"time:ms\"}','1.0','2021-05-28 11:54:52','2021-05-28 11:54:55',0),(756,'平台中间件cassandra GC耗时异常','dice_addon','dice_addon_cassandra_gc_time','mbox','alert','【平台中间件cassandra GC耗时告警】\n','【平台中间件cassandra GC耗时告警】\n\n中间件: {{addon_id}}\n\n老年代GC耗时: {{CollectionTime_win_value}}\n\n集群: {{cluster_name}}\n\n机器: {{node_host}}\n\n时间: {{timestamp}}\n\n[查看详情]({{display_url}})\n','{\"CollectionTime_win_value\":\"time:ms\"}','1.0','2021-05-28 11:54:52','2021-05-28 11:54:55',0),(757,'平台中间件cassandra GC耗时异常','dice_addon','dice_addon_cassandra_gc_time','dingding','recover','【平台中间件cassandra GC耗时恢复】\n','【平台中间件cassandra GC耗时恢复】\n\n中间件: {{addon_id}}\n\n老年代GC耗时: {{CollectionTime_win_value}}\n\n集群: {{cluster_name}}\n\n机器: {{node_host}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n','{\"CollectionTime_win_value\":\"time:ms\",\"trigger_duration\":\"time:ms\"}','1.0','2021-05-28 11:54:52','2021-05-28 11:54:55',0),(758,'平台中间件cassandra GC耗时异常','dice_addon','dice_addon_cassandra_gc_time','ticket','recover','【平台中间件cassandra GC耗时恢复】\n','【平台中间件cassandra GC耗时恢复】\n\n中间件: {{addon_id}}\n\n老年代GC耗时: {{CollectionTime_win_value}}\n\n集群: {{cluster_name}}\n\n机器: {{node_host}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n','{\"CollectionTime_win_value\":\"time:ms\",\"trigger_duration\":\"time:ms\"}','1.0','2021-05-28 11:54:52','2021-05-28 11:54:55',0),(759,'平台中间件cassandra GC耗时异常','dice_addon','dice_addon_cassandra_gc_time','email','recover','【平台中间件cassandra GC耗时恢复】\n','【平台中间件cassandra GC耗时恢复】\n\n中间件: {{addon_id}}\n\n老年代GC耗时: {{CollectionTime_win_value}}\n\n集群: {{cluster_name}}\n\n机器: {{node_host}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n','{\"CollectionTime_win_value\":\"time:ms\",\"trigger_duration\":\"time:ms\"}','1.0','2021-05-28 11:54:52','2021-05-28 11:54:55',0),(760,'平台中间件cassandra GC耗时异常','dice_addon','dice_addon_cassandra_gc_time','mbox','recover','【平台中间件cassandra GC耗时恢复】\n','【平台中间件cassandra GC耗时恢复】\n\n中间件: {{addon_id}}\n\n老年代GC耗时: {{CollectionTime_win_value}}\n\n集群: {{cluster_name}}\n\n机器: {{node_host}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n','{\"CollectionTime_win_value\":\"time:ms\",\"trigger_duration\":\"time:ms\"}','1.0','2021-05-28 11:54:52','2021-05-28 11:54:55',0),(761,'平台中间件实例CPU异常','dice_addon','dice_addon_container_cpu','dingding','alert','【平台中间件{{addon_id}} CPU使用率告警】\n','【平台中间件CPU使用率告警】\n\n中间件: {{addon_id}}\n\n使用率: {{usage_percent_avg}}\n\n限制: {{limit_value}}核\n\n分配: {{allocation_value}}核\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n容器ID: {{container_id}}\n\n时间: {{timestamp}}\n','{\"allocation_value\":\"fraction:2\",\"limit_value\":\"fraction:2\",\"usage_percent_avg\":\"percent:2\"}','1.0','2021-05-28 11:54:52','2021-05-28 11:54:55',0),(762,'平台中间件实例CPU异常','dice_addon','dice_addon_container_cpu','ticket','alert','【平台中间件{{addon_id}} CPU使用率告警】\n','【平台中间件CPU使用率告警】\n\n中间件: {{addon_id}}\n\n使用率: {{usage_percent_avg}}\n\n限制: {{limit_value}}核\n\n分配: {{allocation_value}}核\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n容器ID: {{container_id}}\n\n时间: {{timestamp}}\n','{\"allocation_value\":\"fraction:2\",\"limit_value\":\"fraction:2\",\"usage_percent_avg\":\"percent:2\"}','1.0','2021-05-28 11:54:52','2021-05-28 11:54:55',0),(763,'平台中间件实例CPU异常','dice_addon','dice_addon_container_cpu','email','alert','【平台中间件{{addon_id}} CPU使用率告警】\n','【平台中间件CPU使用率告警】\n\n中间件: {{addon_id}}\n\n使用率: {{usage_percent_avg}}\n\n限制: {{limit_value}}核\n\n分配: {{allocation_value}}核\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n容器ID: {{container_id}}\n\n时间: {{timestamp}}\n','{\"allocation_value\":\"fraction:2\",\"limit_value\":\"fraction:2\",\"usage_percent_avg\":\"percent:2\"}','1.0','2021-05-28 11:54:52','2021-05-28 11:54:55',0),(764,'平台中间件实例CPU异常','dice_addon','dice_addon_container_cpu','mbox','alert','【平台中间件{{addon_id}} CPU使用率告警】\n','【平台中间件CPU使用率告警】\n\n中间件: {{addon_id}}\n\n使用率: {{usage_percent_avg}}\n\n限制: {{limit_value}}核\n\n分配: {{allocation_value}}核\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n容器ID: {{container_id}}\n\n时间: {{timestamp}}\n','{\"allocation_value\":\"fraction:2\",\"limit_value\":\"fraction:2\",\"usage_percent_avg\":\"percent:2\"}','1.0','2021-05-28 11:54:52','2021-05-28 11:54:55',0),(765,'平台中间件实例CPU异常','dice_addon','dice_addon_container_cpu','dingding','recover','【平台中间件{{addon_id}} CPU使用率恢复】\n','【平台中间件CPU使用率恢复】\n\n中间件: {{addon_id}}\n\n使用率: {{usage_percent_avg}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n容器ID: {{container_id}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n','{\"trigger_duration\":\"time:ms\",\"usage_percent_avg\":\"percent:2\"}','1.0','2021-05-28 11:54:52','2021-05-28 11:54:55',0),(766,'平台中间件实例CPU异常','dice_addon','dice_addon_container_cpu','ticket','recover','【平台中间件{{addon_id}} CPU使用率恢复】\n','【平台中间件CPU使用率恢复】\n\n中间件: {{addon_id}}\n\n使用率: {{usage_percent_avg}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n容器ID: {{container_id}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n','{\"trigger_duration\":\"time:ms\",\"usage_percent_avg\":\"percent:2\"}','1.0','2021-05-28 11:54:52','2021-05-28 11:54:55',0),(767,'平台中间件实例CPU异常','dice_addon','dice_addon_container_cpu','email','recover','【平台中间件{{addon_id}} CPU使用率恢复】\n','【平台中间件CPU使用率恢复】\n\n中间件: {{addon_id}}\n\n使用率: {{usage_percent_avg}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n容器ID: {{container_id}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n','{\"trigger_duration\":\"time:ms\",\"usage_percent_avg\":\"percent:2\"}','1.0','2021-05-28 11:54:52','2021-05-28 11:54:55',0),(768,'平台中间件实例CPU异常','dice_addon','dice_addon_container_cpu','mbox','recover','【平台中间件{{addon_id}} CPU使用率恢复】\n','【平台中间件CPU使用率恢复】\n\n中间件: {{addon_id}}\n\n使用率: {{usage_percent_avg}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n容器ID: {{container_id}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n','{\"trigger_duration\":\"time:ms\",\"usage_percent_avg\":\"percent:2\"}','1.0','2021-05-28 11:54:52','2021-05-28 11:54:55',0),(769,'平台中间件异常退出','dice_addon','dice_addon_container_exit','dingding','alert','【平台中间件{{addon_id}}异常退出告警】\n','【平台中间件异常退出告警】\n\n中间件: {{addon_id}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n启动时间: {{started_at_value}}\n\n退出时间: {{finished_at_value}}\n\n退出原因: {{terminated_reason_value}}\n\n时间: {{timestamp}}\n\n[查看详情]({{display_url}})\n','{\"finished_at_value\":\"date\",\"started_at_value\":\"date\"}','1.0','2021-05-28 11:54:52','2021-05-28 11:54:55',0),(770,'平台中间件异常退出','dice_addon','dice_addon_container_exit','ticket','alert','【平台中间件{{addon_id}}异常退出告警】\n','【平台中间件异常退出告警】\n\n中间件: {{addon_id}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n启动时间: {{started_at_value}}\n\n退出时间: {{finished_at_value}}\n\n退出原因: {{terminated_reason_value}}\n\n时间: {{timestamp}}\n\n[查看详情]({{display_url}})\n','{\"finished_at_value\":\"date\",\"started_at_value\":\"date\"}','1.0','2021-05-28 11:54:52','2021-05-28 11:54:55',0),(771,'平台中间件异常退出','dice_addon','dice_addon_container_exit','email','alert','【平台中间件{{addon_id}}异常退出告警】\n','【平台中间件异常退出告警】\n\n中间件: {{addon_id}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n启动时间: {{started_at_value}}\n\n退出时间: {{finished_at_value}}\n\n退出原因: {{terminated_reason_value}}\n\n时间: {{timestamp}}\n\n[查看详情]({{display_url}})\n','{\"finished_at_value\":\"date\",\"started_at_value\":\"date\"}','1.0','2021-05-28 11:54:52','2021-05-28 11:54:55',0),(772,'平台中间件异常退出','dice_addon','dice_addon_container_exit','mbox','alert','【平台中间件{{addon_id}}异常退出告警】\n','【平台中间件异常退出告警】\n\n中间件: {{addon_id}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n启动时间: {{started_at_value}}\n\n退出时间: {{finished_at_value}}\n\n退出原因: {{terminated_reason_value}}\n\n时间: {{timestamp}}\n\n[查看详情]({{display_url}})\n','{\"finished_at_value\":\"date\",\"started_at_value\":\"date\"}','1.0','2021-05-28 11:54:52','2021-05-28 11:54:55',0),(773,'平台中间件异常退出','dice_addon','dice_addon_container_exit','dingding','recover','【平台中间件{{addon_id}}异常退出恢复】\n','【平台中间件异常退出恢复】\n\n中间件: {{addon_id}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n','{\"trigger_duration\":\"time:ms\"}','1.0','2021-05-28 11:54:52','2021-05-28 11:54:55',0),(774,'平台中间件异常退出','dice_addon','dice_addon_container_exit','ticket','recover','【平台中间件{{addon_id}}异常退出恢复】\n','【平台中间件异常退出恢复】\n\n中间件: {{addon_id}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n','{\"trigger_duration\":\"time:ms\"}','1.0','2021-05-28 11:54:52','2021-05-28 11:54:55',0),(775,'平台中间件异常退出','dice_addon','dice_addon_container_exit','email','recover','【平台中间件{{addon_id}}异常退出恢复】\n','【平台中间件异常退出恢复】\n\n中间件: {{addon_id}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n','{\"trigger_duration\":\"time:ms\"}','1.0','2021-05-28 11:54:52','2021-05-28 11:54:55',0),(776,'平台中间件异常退出','dice_addon','dice_addon_container_exit','mbox','recover','【平台中间件{{addon_id}}异常退出恢复】\n','【平台中间件异常退出恢复】\n\n中间件: {{addon_id}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n','{\"trigger_duration\":\"time:ms\"}','1.0','2021-05-28 11:54:52','2021-05-28 11:54:55',0),(777,'平台中间件实例内存异常','dice_addon','dice_addon_container_mem','dingding','alert','【平台中间件{{addon_id}}内存使用率告警】\n','【平台中间件内存使用率告警】\n\n中间件: {{addon_id}}\n\n使用率: {{usage_percent_avg}}\n\n使用: {{usage_value}}\n\n限制: {{limit_value}}\n\n分配: {{allocation_value}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n容器ID: {{container_id}}\n\n时间: {{timestamp}}\n','{\"allocation_value\":\"size:byte\",\"limit_value\":\"size:byte\",\"usage_percent_avg\":\"percent:2\",\"usage_value\":\"size:byte\"}','1.0','2021-05-28 11:54:52','2021-05-28 11:54:55',0),(778,'平台中间件实例内存异常','dice_addon','dice_addon_container_mem','ticket','alert','【平台中间件{{addon_id}}内存使用率告警】\n','【平台中间件内存使用率告警】\n\n中间件: {{addon_id}}\n\n使用率: {{usage_percent_avg}}\n\n使用: {{usage_value}}\n\n限制: {{limit_value}}\n\n分配: {{allocation_value}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n容器ID: {{container_id}}\n\n时间: {{timestamp}}\n','{\"allocation_value\":\"size:byte\",\"limit_value\":\"size:byte\",\"usage_percent_avg\":\"percent:2\",\"usage_value\":\"size:byte\"}','1.0','2021-05-28 11:54:52','2021-05-28 11:54:55',0),(779,'平台中间件实例内存异常','dice_addon','dice_addon_container_mem','email','alert','【平台中间件{{addon_id}}内存使用率告警】\n','【平台中间件内存使用率告警】\n\n中间件: {{addon_id}}\n\n使用率: {{usage_percent_avg}}\n\n使用: {{usage_value}}\n\n限制: {{limit_value}}\n\n分配: {{allocation_value}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n容器ID: {{container_id}}\n\n时间: {{timestamp}}\n','{\"allocation_value\":\"size:byte\",\"limit_value\":\"size:byte\",\"usage_percent_avg\":\"percent:2\",\"usage_value\":\"size:byte\"}','1.0','2021-05-28 11:54:52','2021-05-28 11:54:55',0),(780,'平台中间件实例内存异常','dice_addon','dice_addon_container_mem','mbox','alert','【平台中间件{{addon_id}}内存使用率告警】\n','【平台中间件内存使用率告警】\n\n中间件: {{addon_id}}\n\n使用率: {{usage_percent_avg}}\n\n使用: {{usage_value}}\n\n限制: {{limit_value}}\n\n分配: {{allocation_value}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n容器ID: {{container_id}}\n\n时间: {{timestamp}}\n','{\"allocation_value\":\"size:byte\",\"limit_value\":\"size:byte\",\"usage_percent_avg\":\"percent:2\",\"usage_value\":\"size:byte\"}','1.0','2021-05-28 11:54:52','2021-05-28 11:54:55',0),(781,'平台中间件实例内存异常','dice_addon','dice_addon_container_mem','dingding','recover','【平台中间件{{addon_id}}内存使用率恢复】\n','【平台中间件内存使用率恢复】\n\n中间件: {{addon_id}}\n\n使用率: {{usage_percent_avg}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n容器ID: {{container_id}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n','{\"trigger_duration\":\"time:ms\",\"usage_percent_avg\":\"percent:2\"}','1.0','2021-05-28 11:54:52','2021-05-28 11:54:55',0),(782,'平台中间件实例内存异常','dice_addon','dice_addon_container_mem','ticket','recover','【平台中间件{{addon_id}}内存使用率恢复】\n','【平台中间件内存使用率恢复】\n\n中间件: {{addon_id}}\n\n使用率: {{usage_percent_avg}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n容器ID: {{container_id}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n','{\"trigger_duration\":\"time:ms\",\"usage_percent_avg\":\"percent:2\"}','1.0','2021-05-28 11:54:52','2021-05-28 11:54:55',0),(783,'平台中间件实例内存异常','dice_addon','dice_addon_container_mem','email','recover','【平台中间件{{addon_id}}内存使用率恢复】\n','【平台中间件内存使用率恢复】\n\n中间件: {{addon_id}}\n\n使用率: {{usage_percent_avg}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n容器ID: {{container_id}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n','{\"trigger_duration\":\"time:ms\",\"usage_percent_avg\":\"percent:2\"}','1.0','2021-05-28 11:54:52','2021-05-28 11:54:55',0),(784,'平台中间件实例内存异常','dice_addon','dice_addon_container_mem','mbox','recover','【平台中间件{{addon_id}}内存使用率恢复】\n','【平台中间件内存使用率恢复】\n\n中间件: {{addon_id}}\n\n使用率: {{usage_percent_avg}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n容器ID: {{container_id}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n','{\"trigger_duration\":\"time:ms\",\"usage_percent_avg\":\"percent:2\"}','1.0','2021-05-28 11:54:52','2021-05-28 11:54:55',0),(785,'平台中间件实例Ready状态异常','dice_addon','dice_addon_container_ready','dingding','alert','【平台中间件{{addon_id}} Ready状态异常告警】\n','【平台中间件Ready状态异常告警】\n\n中间件: {{addon_id}}\n\n未就绪实例: {{not_ready_value}}\n\n已就绪实例: {{ready_value}}\n\n集群: {{cluster_name}}\n\n时间: {{timestamp}}\n','','1.0','2021-05-28 11:54:52','2021-05-28 11:54:55',0),(786,'平台中间件实例Ready状态异常','dice_addon','dice_addon_container_ready','ticket','alert','【平台中间件{{addon_id}} Ready状态异常告警】\n','【平台中间件Ready状态异常告警】\n\n中间件: {{addon_id}}\n\n未就绪实例: {{not_ready_value}}\n\n已就绪实例: {{ready_value}}\n\n集群: {{cluster_name}}\n\n时间: {{timestamp}}\n','','1.0','2021-05-28 11:54:52','2021-05-28 11:54:55',0),(787,'平台中间件实例Ready状态异常','dice_addon','dice_addon_container_ready','email','alert','【平台中间件{{addon_id}} Ready状态异常告警】\n','【平台中间件Ready状态异常告警】\n\n中间件: {{addon_id}}\n\n未就绪实例: {{not_ready_value}}\n\n已就绪实例: {{ready_value}}\n\n集群: {{cluster_name}}\n\n时间: {{timestamp}}\n','','1.0','2021-05-28 11:54:52','2021-05-28 11:54:55',0),(788,'平台中间件实例Ready状态异常','dice_addon','dice_addon_container_ready','mbox','alert','【平台中间件{{addon_id}} Ready状态异常告警】\n','【平台中间件Ready状态异常告警】\n\n中间件: {{addon_id}}\n\n未就绪实例: {{not_ready_value}}\n\n已就绪实例: {{ready_value}}\n\n集群: {{cluster_name}}\n\n时间: {{timestamp}}\n','','1.0','2021-05-28 11:54:52','2021-05-28 11:54:55',0),(789,'平台中间件实例Ready状态异常','dice_addon','dice_addon_container_ready','dingding','recover','【平台中间件{{addon_id}} Ready状态异常恢复】\n','【平台中间件Ready状态异常恢复】\n\n中间件: {{addon_id}}\n\n已绪数实例: {{ready_value}}\n\n集群: {{cluster_name}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n','{\"trigger_duration\":\"time:ms\"}','1.0','2021-05-28 11:54:52','2021-05-28 11:54:55',0),(790,'平台中间件实例Ready状态异常','dice_addon','dice_addon_container_ready','ticket','recover','【平台中间件{{addon_id}} Ready状态异常恢复】\n','【平台中间件Ready状态异常恢复】\n\n中间件: {{addon_id}}\n\n已绪数实例: {{ready_value}}\n\n集群: {{cluster_name}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n','{\"trigger_duration\":\"time:ms\"}','1.0','2021-05-28 11:54:52','2021-05-28 11:54:55',0),(791,'平台中间件实例Ready状态异常','dice_addon','dice_addon_container_ready','email','recover','【平台中间件{{addon_id}} Ready状态异常恢复】\n','【平台中间件Ready状态异常恢复】\n\n中间件: {{addon_id}}\n\n已绪数实例: {{ready_value}}\n\n集群: {{cluster_name}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n','{\"trigger_duration\":\"time:ms\"}','1.0','2021-05-28 11:54:52','2021-05-28 11:54:55',0),(792,'平台中间件实例Ready状态异常','dice_addon','dice_addon_container_ready','mbox','recover','【平台中间件{{addon_id}} Ready状态异常恢复】\n','【平台中间件Ready状态异常恢复】\n\n中间件: {{addon_id}}\n\n已绪数实例: {{ready_value}}\n\n集群: {{cluster_name}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n','{\"trigger_duration\":\"time:ms\"}','1.0','2021-05-28 11:54:52','2021-05-28 11:54:55',0),(793,'平台中间件elasticsearch GC次数异常','dice_addon','dice_addon_elasticsearch_gc_count','dingding','alert','【平台中间件elasticsearch GC次数告警】\n','【平台中间件elasticsearch GC次数告警】\n\n中间件: {{addon_id}}\n\n老年代GC次数: {{gc_collectors_old_collection_count_win_value}}\n\n集群: {{cluster_name}}\n\n机器: {{node_host}}\n\n时间: {{timestamp}}\n\n[查看详情]({{display_url}})\n','','1.0','2021-05-28 11:54:52','2021-05-28 11:54:55',0),(794,'平台中间件elasticsearch GC次数异常','dice_addon','dice_addon_elasticsearch_gc_count','ticket','alert','【平台中间件elasticsearch GC次数告警】\n','【平台中间件elasticsearch GC次数告警】\n\n中间件: {{addon_id}}\n\n老年代GC次数: {{gc_collectors_old_collection_count_win_value}}\n\n集群: {{cluster_name}}\n\n机器: {{node_host}}\n\n时间: {{timestamp}}\n\n[查看详情]({{display_url}})\n','','1.0','2021-05-28 11:54:52','2021-05-28 11:54:55',0),(795,'平台中间件elasticsearch GC次数异常','dice_addon','dice_addon_elasticsearch_gc_count','email','alert','【平台中间件elasticsearch GC次数告警】\n','【平台中间件elasticsearch GC次数告警】\n\n中间件: {{addon_id}}\n\n老年代GC次数: {{gc_collectors_old_collection_count_win_value}}\n\n集群: {{cluster_name}}\n\n机器: {{node_host}}\n\n时间: {{timestamp}}\n\n[查看详情]({{display_url}})\n','','1.0','2021-05-28 11:54:52','2021-05-28 11:54:55',0),(796,'平台中间件elasticsearch GC次数异常','dice_addon','dice_addon_elasticsearch_gc_count','mbox','alert','【平台中间件elasticsearch GC次数告警】\n','【平台中间件elasticsearch GC次数告警】\n\n中间件: {{addon_id}}\n\n老年代GC次数: {{gc_collectors_old_collection_count_win_value}}\n\n集群: {{cluster_name}}\n\n机器: {{node_host}}\n\n时间: {{timestamp}}\n\n[查看详情]({{display_url}})\n','','1.0','2021-05-28 11:54:52','2021-05-28 11:54:55',0),(797,'平台中间件elasticsearch GC次数异常','dice_addon','dice_addon_elasticsearch_gc_count','dingding','recover','【平台中间件elasticsearch GC次数恢复】\n','【平台中间件elasticsearch GC次数恢复】\n\n中间件: {{addon_id}}\n\n老年代GC次数: {{gc_collectors_old_collection_count_win_value}}\n\n集群: {{cluster_name}}\n\n机器: {{node_host}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n','{\"trigger_duration\":\"time:ms\"}','1.0','2021-05-28 11:54:52','2021-05-28 11:54:55',0),(798,'平台中间件elasticsearch GC次数异常','dice_addon','dice_addon_elasticsearch_gc_count','ticket','recover','【平台中间件elasticsearch GC次数恢复】\n','【平台中间件elasticsearch GC次数恢复】\n\n中间件: {{addon_id}}\n\n老年代GC次数: {{gc_collectors_old_collection_count_win_value}}\n\n集群: {{cluster_name}}\n\n机器: {{node_host}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n','{\"trigger_duration\":\"time:ms\"}','1.0','2021-05-28 11:54:52','2021-05-28 11:54:55',0),(799,'平台中间件elasticsearch GC次数异常','dice_addon','dice_addon_elasticsearch_gc_count','email','recover','【平台中间件elasticsearch GC次数恢复】\n','【平台中间件elasticsearch GC次数恢复】\n\n中间件: {{addon_id}}\n\n老年代GC次数: {{gc_collectors_old_collection_count_win_value}}\n\n集群: {{cluster_name}}\n\n机器: {{node_host}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n','{\"trigger_duration\":\"time:ms\"}','1.0','2021-05-28 11:54:52','2021-05-28 11:54:55',0),(800,'平台中间件elasticsearch GC次数异常','dice_addon','dice_addon_elasticsearch_gc_count','mbox','recover','【平台中间件elasticsearch GC次数恢复】\n','【平台中间件elasticsearch GC次数恢复】\n\n中间件: {{addon_id}}\n\n老年代GC次数: {{gc_collectors_old_collection_count_win_value}}\n\n集群: {{cluster_name}}\n\n机器: {{node_host}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n','{\"trigger_duration\":\"time:ms\"}','1.0','2021-05-28 11:54:52','2021-05-28 11:54:55',0),(801,'平台中间件elasticsearch GC耗时异常','dice_addon','dice_addon_elasticsearch_gc_time','dingding','alert','【平台中间件elasticsearch GC耗时告警】\n','【平台中间件elasticsearch GC耗时告警】\n\n中间件: {{addon_id}}\n\n老年代GC耗时: {{gc_collectors_old_collection_time_in_millis_win_value}}\n\n集群: {{cluster_name}}\n\n机器: {{node_name}}\n\n时间: {{timestamp}}\n\n[查看详情]({{display_url}})\n','{\"gc_collectors_old_collection_time_in_millis_win_value\":\"time:ms\"}','1.0','2021-05-28 11:54:52','2021-05-28 11:54:55',0),(802,'平台中间件elasticsearch GC耗时异常','dice_addon','dice_addon_elasticsearch_gc_time','ticket','alert','【平台中间件elasticsearch GC耗时告警】\n','【平台中间件elasticsearch GC耗时告警】\n\n中间件: {{addon_id}}\n\n老年代GC耗时: {{gc_collectors_old_collection_time_in_millis_win_value}}\n\n集群: {{cluster_name}}\n\n机器: {{node_name}}\n\n时间: {{timestamp}}\n\n[查看详情]({{display_url}})\n','{\"gc_collectors_old_collection_time_in_millis_win_value\":\"time:ms\"}','1.0','2021-05-28 11:54:52','2021-05-28 11:54:55',0),(803,'平台中间件elasticsearch GC耗时异常','dice_addon','dice_addon_elasticsearch_gc_time','email','alert','【平台中间件elasticsearch GC耗时告警】\n','【平台中间件elasticsearch GC耗时告警】\n\n中间件: {{addon_id}}\n\n老年代GC耗时: {{gc_collectors_old_collection_time_in_millis_win_value}}\n\n集群: {{cluster_name}}\n\n机器: {{node_name}}\n\n时间: {{timestamp}}\n\n[查看详情]({{display_url}})\n','{\"gc_collectors_old_collection_time_in_millis_win_value\":\"time:ms\"}','1.0','2021-05-28 11:54:52','2021-05-28 11:54:55',0),(804,'平台中间件elasticsearch GC耗时异常','dice_addon','dice_addon_elasticsearch_gc_time','mbox','alert','【平台中间件elasticsearch GC耗时告警】\n','【平台中间件elasticsearch GC耗时告警】\n\n中间件: {{addon_id}}\n\n老年代GC耗时: {{gc_collectors_old_collection_time_in_millis_win_value}}\n\n集群: {{cluster_name}}\n\n机器: {{node_name}}\n\n时间: {{timestamp}}\n\n[查看详情]({{display_url}})\n','{\"gc_collectors_old_collection_time_in_millis_win_value\":\"time:ms\"}','1.0','2021-05-28 11:54:52','2021-05-28 11:54:55',0),(805,'平台中间件elasticsearch GC耗时异常','dice_addon','dice_addon_elasticsearch_gc_time','dingding','recover','【平台中间件elasticsearch GC耗时恢复】\n','【平台中间件elasticsearch GC耗时恢复】\n\n中间件: {{addon_id}}\n\n老年代GC耗时: {{gc_collectors_old_collection_time_in_millis_win_value}}\n\n集群: {{cluster_name}}\n\n机器: {{node_name}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n','{\"gc_collectors_old_collection_time_in_millis_win_value\":\"time:ms\",\"trigger_duration\":\"time:ms\"}','1.0','2021-05-28 11:54:52','2021-05-28 11:54:55',0),(806,'平台中间件elasticsearch GC耗时异常','dice_addon','dice_addon_elasticsearch_gc_time','ticket','recover','【平台中间件elasticsearch GC耗时恢复】\n','【平台中间件elasticsearch GC耗时恢复】\n\n中间件: {{addon_id}}\n\n老年代GC耗时: {{gc_collectors_old_collection_time_in_millis_win_value}}\n\n集群: {{cluster_name}}\n\n机器: {{node_name}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n','{\"gc_collectors_old_collection_time_in_millis_win_value\":\"time:ms\",\"trigger_duration\":\"time:ms\"}','1.0','2021-05-28 11:54:52','2021-05-28 11:54:55',0),(807,'平台中间件elasticsearch GC耗时异常','dice_addon','dice_addon_elasticsearch_gc_time','email','recover','【平台中间件elasticsearch GC耗时恢复】\n','【平台中间件elasticsearch GC耗时恢复】\n\n中间件: {{addon_id}}\n\n老年代GC耗时: {{gc_collectors_old_collection_time_in_millis_win_value}}\n\n集群: {{cluster_name}}\n\n机器: {{node_name}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n','{\"gc_collectors_old_collection_time_in_millis_win_value\":\"time:ms\",\"trigger_duration\":\"time:ms\"}','1.0','2021-05-28 11:54:52','2021-05-28 11:54:55',0),(808,'平台中间件elasticsearch GC耗时异常','dice_addon','dice_addon_elasticsearch_gc_time','mbox','recover','【平台中间件elasticsearch GC耗时恢复】\n','【平台中间件elasticsearch GC耗时恢复】\n\n中间件: {{addon_id}}\n\n老年代GC耗时: {{gc_collectors_old_collection_time_in_millis_win_value}}\n\n集群: {{cluster_name}}\n\n机器: {{node_name}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n','{\"gc_collectors_old_collection_time_in_millis_win_value\":\"time:ms\",\"trigger_duration\":\"time:ms\"}','1.0','2021-05-28 11:54:52','2021-05-28 11:54:55',0),(809,'平台中间件Kafka GC次数异常','dice_addon','dice_addon_kafka_gc_count','dingding','alert','【平台中间件Kafka GC次数告警】\n','【平台中间件Kafka GC次数告警】\n\n中间件: {{addon_id}}\n\n老年代GC次数: {{CollectionCount_win_value}}\n\n集群: {{cluster_name}}\n\n集群: {{node_host}}\n\n时间: {{timestamp}}\n\n[查看详情]({{display_url}})\n','','1.0','2021-05-28 11:54:52','2021-05-28 11:54:55',0),(810,'平台中间件Kafka GC次数异常','dice_addon','dice_addon_kafka_gc_count','ticket','alert','【平台中间件Kafka GC次数告警】\n','【平台中间件Kafka GC次数告警】\n\n中间件: {{addon_id}}\n\n老年代GC次数: {{CollectionCount_win_value}}\n\n集群: {{cluster_name}}\n\n集群: {{node_host}}\n\n时间: {{timestamp}}\n\n[查看详情]({{display_url}})\n','','1.0','2021-05-28 11:54:52','2021-05-28 11:54:55',0),(811,'平台中间件Kafka GC次数异常','dice_addon','dice_addon_kafka_gc_count','email','alert','【平台中间件Kafka GC次数告警】\n','【平台中间件Kafka GC次数告警】\n\n中间件: {{addon_id}}\n\n老年代GC次数: {{CollectionCount_win_value}}\n\n集群: {{cluster_name}}\n\n集群: {{node_host}}\n\n时间: {{timestamp}}\n\n[查看详情]({{display_url}})\n','','1.0','2021-05-28 11:54:52','2021-05-28 11:54:55',0),(812,'平台中间件Kafka GC次数异常','dice_addon','dice_addon_kafka_gc_count','mbox','alert','【平台中间件Kafka GC次数告警】\n','【平台中间件Kafka GC次数告警】\n\n中间件: {{addon_id}}\n\n老年代GC次数: {{CollectionCount_win_value}}\n\n集群: {{cluster_name}}\n\n集群: {{node_host}}\n\n时间: {{timestamp}}\n\n[查看详情]({{display_url}})\n','','1.0','2021-05-28 11:54:52','2021-05-28 11:54:55',0),(813,'平台中间件Kafka GC次数异常','dice_addon','dice_addon_kafka_gc_count','dingding','recover','【平台中间件Kafka GC次数恢复】\n','【平台中间件Kafka GC次数恢复】\n\n中间件: {{addon_id}}\n\n老年代GC次数: {{CollectionCount_win_value}}\n\n集群: {{cluster_name}}\n\n机器: {{node_host}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n','{\"trigger_duration\":\"time:ms\"}','1.0','2021-05-28 11:54:52','2021-05-28 11:54:55',0),(814,'平台中间件Kafka GC次数异常','dice_addon','dice_addon_kafka_gc_count','ticket','recover','【平台中间件Kafka GC次数恢复】\n','【平台中间件Kafka GC次数恢复】\n\n中间件: {{addon_id}}\n\n老年代GC次数: {{CollectionCount_win_value}}\n\n集群: {{cluster_name}}\n\n机器: {{node_host}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n','{\"trigger_duration\":\"time:ms\"}','1.0','2021-05-28 11:54:52','2021-05-28 11:54:55',0),(815,'平台中间件Kafka GC次数异常','dice_addon','dice_addon_kafka_gc_count','email','recover','【平台中间件Kafka GC次数恢复】\n','【平台中间件Kafka GC次数恢复】\n\n中间件: {{addon_id}}\n\n老年代GC次数: {{CollectionCount_win_value}}\n\n集群: {{cluster_name}}\n\n机器: {{node_host}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n','{\"trigger_duration\":\"time:ms\"}','1.0','2021-05-28 11:54:52','2021-05-28 11:54:55',0),(816,'平台中间件Kafka GC次数异常','dice_addon','dice_addon_kafka_gc_count','mbox','recover','【平台中间件Kafka GC次数恢复】\n','【平台中间件Kafka GC次数恢复】\n\n中间件: {{addon_id}}\n\n老年代GC次数: {{CollectionCount_win_value}}\n\n集群: {{cluster_name}}\n\n机器: {{node_host}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n','{\"trigger_duration\":\"time:ms\"}','1.0','2021-05-28 11:54:52','2021-05-28 11:54:55',0),(817,'平台中间件kafka GC耗时异常','dice_addon','dice_addon_kafka_gc_time','dingding','alert','【平台中间件kafka GC耗时告警】\n','【平台中间件kafka GC耗时告警】\n\n中间件: {{addon_id}}\n\n老年代GC耗时: {{CollectionTime_win_value}}\n\n集群: {{cluster_name}}\n\n机器: {{node_host}}\n\n时间: {{timestamp}}\n\n[查看详情]({{display_url}})\n','{\"CollectionTime_win_value\":\"time:ms\"}','1.0','2021-05-28 11:54:52','2021-05-28 11:54:55',0),(818,'平台中间件kafka GC耗时异常','dice_addon','dice_addon_kafka_gc_time','ticket','alert','【平台中间件kafka GC耗时告警】\n','【平台中间件kafka GC耗时告警】\n\n中间件: {{addon_id}}\n\n老年代GC耗时: {{CollectionTime_win_value}}\n\n集群: {{cluster_name}}\n\n机器: {{node_host}}\n\n时间: {{timestamp}}\n\n[查看详情]({{display_url}})\n','{\"CollectionTime_win_value\":\"time:ms\"}','1.0','2021-05-28 11:54:52','2021-05-28 11:54:55',0),(819,'平台中间件kafka GC耗时异常','dice_addon','dice_addon_kafka_gc_time','email','alert','【平台中间件kafka GC耗时告警】\n','【平台中间件kafka GC耗时告警】\n\n中间件: {{addon_id}}\n\n老年代GC耗时: {{CollectionTime_win_value}}\n\n集群: {{cluster_name}}\n\n机器: {{node_host}}\n\n时间: {{timestamp}}\n\n[查看详情]({{display_url}})\n','{\"CollectionTime_win_value\":\"time:ms\"}','1.0','2021-05-28 11:54:52','2021-05-28 11:54:55',0),(820,'平台中间件kafka GC耗时异常','dice_addon','dice_addon_kafka_gc_time','mbox','alert','【平台中间件kafka GC耗时告警】\n','【平台中间件kafka GC耗时告警】\n\n中间件: {{addon_id}}\n\n老年代GC耗时: {{CollectionTime_win_value}}\n\n集群: {{cluster_name}}\n\n机器: {{node_host}}\n\n时间: {{timestamp}}\n\n[查看详情]({{display_url}})\n','{\"CollectionTime_win_value\":\"time:ms\"}','1.0','2021-05-28 11:54:52','2021-05-28 11:54:55',0),(821,'平台中间件kafka GC耗时异常','dice_addon','dice_addon_kafka_gc_time','dingding','recover','【平台中间件kafka GC耗时恢复】\n','【平台中间件kafka GC耗时恢复】\n\n中间件: {{addon_id}}\n\n老年代GC耗时: {{CollectionTime_win_value}}\n\n集群: {{cluster_name}}\n\n机器: {{node_host}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n','{\"CollectionTime_win_value\":\"time:ms\",\"trigger_duration\":\"time:ms\"}','1.0','2021-05-28 11:54:52','2021-05-28 11:54:55',0),(822,'平台中间件kafka GC耗时异常','dice_addon','dice_addon_kafka_gc_time','ticket','recover','【平台中间件kafka GC耗时恢复】\n','【平台中间件kafka GC耗时恢复】\n\n中间件: {{addon_id}}\n\n老年代GC耗时: {{CollectionTime_win_value}}\n\n集群: {{cluster_name}}\n\n机器: {{node_host}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n','{\"CollectionTime_win_value\":\"time:ms\",\"trigger_duration\":\"time:ms\"}','1.0','2021-05-28 11:54:52','2021-05-28 11:54:55',0),(823,'平台中间件kafka GC耗时异常','dice_addon','dice_addon_kafka_gc_time','email','recover','【平台中间件kafka GC耗时恢复】\n','【平台中间件kafka GC耗时恢复】\n\n中间件: {{addon_id}}\n\n老年代GC耗时: {{CollectionTime_win_value}}\n\n集群: {{cluster_name}}\n\n机器: {{node_host}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n','{\"CollectionTime_win_value\":\"time:ms\",\"trigger_duration\":\"time:ms\"}','1.0','2021-05-28 11:54:52','2021-05-28 11:54:55',0),(824,'平台中间件kafka GC耗时异常','dice_addon','dice_addon_kafka_gc_time','mbox','recover','【平台中间件kafka GC耗时恢复】\n','【平台中间件kafka GC耗时恢复】\n\n中间件: {{addon_id}}\n\n老年代GC耗时: {{CollectionTime_win_value}}\n\n集群: {{cluster_name}}\n\n机器: {{node_host}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n','{\"CollectionTime_win_value\":\"time:ms\",\"trigger_duration\":\"time:ms\"}','1.0','2021-05-28 11:54:52','2021-05-28 11:54:55',0),(825,'平台中间件kafka消费堆积','dice_addon','dice_addon_kafka_lag','dingding','alert','【平台中间件kafka消费堆积告警】\n','【平台中间件kafka消费堆积告警】\n\n中间件: {{addon_id}}\n\n消费者组: {{group}}\n\nTopic: {{topic}}\n\n当前消息堆积: {{lag_avg}}\n\n消费速度: {{consume_rate_per_sec_avg}} /s\n\n生产速度: {{produce_rate_per_sec_avg}} /s\n\n集群: {{cluster_name}}\n\n时间: {{timestamp}}\n\n[查看详情]({{display_url}})\n','','1.0','2021-05-28 11:54:52','2021-05-28 11:54:55',0),(826,'平台中间件kafka消费堆积','dice_addon','dice_addon_kafka_lag','ticket','alert','【平台中间件kafka消费堆积告警】\n','【平台中间件kafka消费堆积告警】\n\n中间件: {{addon_id}}\n\n消费者组: {{group}}\n\nTopic: {{topic}}\n\n当前消息堆积: {{lag_avg}}\n\n消费速度: {{consume_rate_per_sec_avg}} /s\n\n生产速度: {{produce_rate_per_sec_avg}} /s\n\n集群: {{cluster_name}}\n\n时间: {{timestamp}}\n\n[查看详情]({{display_url}})\n','','1.0','2021-05-28 11:54:52','2021-05-28 11:54:55',0),(827,'平台中间件kafka消费堆积','dice_addon','dice_addon_kafka_lag','email','alert','【平台中间件kafka消费堆积告警】\n','【平台中间件kafka消费堆积告警】\n\n中间件: {{addon_id}}\n\n消费者组: {{group}}\n\nTopic: {{topic}}\n\n当前消息堆积: {{lag_avg}}\n\n消费速度: {{consume_rate_per_sec_avg}} /s\n\n生产速度: {{produce_rate_per_sec_avg}} /s\n\n集群: {{cluster_name}}\n\n时间: {{timestamp}}\n\n[查看详情]({{display_url}})\n','','1.0','2021-05-28 11:54:52','2021-05-28 11:54:55',0),(828,'平台中间件kafka消费堆积','dice_addon','dice_addon_kafka_lag','mbox','alert','【平台中间件kafka消费堆积告警】\n','【平台中间件kafka消费堆积告警】\n\n中间件: {{addon_id}}\n\n消费者组: {{group}}\n\nTopic: {{topic}}\n\n当前消息堆积: {{lag_avg}}\n\n消费速度: {{consume_rate_per_sec_avg}} /s\n\n生产速度: {{produce_rate_per_sec_avg}} /s\n\n集群: {{cluster_name}}\n\n时间: {{timestamp}}\n\n[查看详情]({{display_url}})\n','','1.0','2021-05-28 11:54:52','2021-05-28 11:54:55',0),(829,'平台中间件kafka消费堆积','dice_addon','dice_addon_kafka_lag','dingding','recover','【平台中间件kafka消费堆积恢复】\n','【平台中间件kafka消费堆积恢复】\n\n中间件: {{addon_id}}\n\n消费者组: {{group}}\n\nTopic: {{topic}}\n\n当前消息堆积: {{lag_avg}}\n\n集群: {{cluster_name}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n','{\"trigger_duration\":\"time:ms\"}','1.0','2021-05-28 11:54:52','2021-05-28 11:54:55',0),(830,'平台中间件kafka消费堆积','dice_addon','dice_addon_kafka_lag','ticket','recover','【平台中间件kafka消费堆积恢复】\n','【平台中间件kafka消费堆积恢复】\n\n中间件: {{addon_id}}\n\n消费者组: {{group}}\n\nTopic: {{topic}}\n\n当前消息堆积: {{lag_avg}}\n\n集群: {{cluster_name}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n','{\"trigger_duration\":\"time:ms\"}','1.0','2021-05-28 11:54:52','2021-05-28 11:54:55',0),(831,'平台中间件kafka消费堆积','dice_addon','dice_addon_kafka_lag','email','recover','【平台中间件kafka消费堆积恢复】\n','【平台中间件kafka消费堆积恢复】\n\n中间件: {{addon_id}}\n\n消费者组: {{group}}\n\nTopic: {{topic}}\n\n当前消息堆积: {{lag_avg}}\n\n集群: {{cluster_name}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n','{\"trigger_duration\":\"time:ms\"}','1.0','2021-05-28 11:54:52','2021-05-28 11:54:55',0),(832,'平台中间件kafka消费堆积','dice_addon','dice_addon_kafka_lag','mbox','recover','【平台中间件kafka消费堆积恢复】\n','【平台中间件kafka消费堆积恢复】\n\n中间件: {{addon_id}}\n\n消费者组: {{group}}\n\nTopic: {{topic}}\n\n当前消息堆积: {{lag_avg}}\n\n集群: {{cluster_name}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n','{\"trigger_duration\":\"time:ms\"}','1.0','2021-05-28 11:54:52','2021-05-28 11:54:55',0),(833,'平台组件实例CPU异常','dice_component','dice_component_container_cpu','dingding','alert','【平台组件{{component_name}} CPU使用率告警】\n','【平台组件CPU使用率告警】\n\n组件: {{component_name}}\n\n使用率: {{usage_percent_avg}}\n\n限制: {{limit_value}}核\n\n分配: {{allocation_value}}核\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n容器ID: {{container_id}}\n\n时间: {{timestamp}}\n','{\"allocation_value\":\"fraction:2\",\"limit_value\":\"fraction:2\",\"usage_percent_avg\":\"percent:2\"}','1.0','2021-05-28 11:54:52','2021-05-28 11:54:55',0),(834,'平台组件实例CPU异常','dice_component','dice_component_container_cpu','ticket','alert','【平台组件{{component_name}} CPU使用率告警】\n','【平台组件CPU使用率告警】\n\n组件: {{component_name}}\n\n使用率: {{usage_percent_avg}}\n\n限制: {{limit_value}}核\n\n分配: {{allocation_value}}核\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n容器ID: {{container_id}}\n\n时间: {{timestamp}}\n','{\"allocation_value\":\"fraction:2\",\"limit_value\":\"fraction:2\",\"usage_percent_avg\":\"percent:2\"}','1.0','2021-05-28 11:54:52','2021-05-28 11:54:55',0),(835,'平台组件实例CPU异常','dice_component','dice_component_container_cpu','email','alert','【平台组件{{component_name}} CPU使用率告警】\n','【平台组件CPU使用率告警】\n\n组件: {{component_name}}\n\n使用率: {{usage_percent_avg}}\n\n限制: {{limit_value}}核\n\n分配: {{allocation_value}}核\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n容器ID: {{container_id}}\n\n时间: {{timestamp}}\n','{\"allocation_value\":\"fraction:2\",\"limit_value\":\"fraction:2\",\"usage_percent_avg\":\"percent:2\"}','1.0','2021-05-28 11:54:52','2021-05-28 11:54:55',0),(836,'平台组件实例CPU异常','dice_component','dice_component_container_cpu','mbox','alert','【平台组件{{component_name}} CPU使用率告警】\n','【平台组件CPU使用率告警】\n\n组件: {{component_name}}\n\n使用率: {{usage_percent_avg}}\n\n限制: {{limit_value}}核\n\n分配: {{allocation_value}}核\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n容器ID: {{container_id}}\n\n时间: {{timestamp}}\n','{\"allocation_value\":\"fraction:2\",\"limit_value\":\"fraction:2\",\"usage_percent_avg\":\"percent:2\"}','1.0','2021-05-28 11:54:52','2021-05-28 11:54:55',0),(837,'平台组件实例CPU异常','dice_component','dice_component_container_cpu','dingding','recover','【平台组件{{component_name}} CPU使用率恢复】\n','【平台组件CPU使用率恢复】\n\n组件: {{component_name}}\n\n使用率: {{usage_percent_avg}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n容器ID: {{container_id}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n','{\"trigger_duration\":\"time:ms\",\"usage_percent_avg\":\"percent:2\"}','1.0','2021-05-28 11:54:52','2021-05-28 11:54:55',0),(838,'平台组件实例CPU异常','dice_component','dice_component_container_cpu','ticket','recover','【平台组件{{component_name}} CPU使用率恢复】\n','【平台组件CPU使用率恢复】\n\n组件: {{component_name}}\n\n使用率: {{usage_percent_avg}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n容器ID: {{container_id}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n','{\"trigger_duration\":\"time:ms\",\"usage_percent_avg\":\"percent:2\"}','1.0','2021-05-28 11:54:52','2021-05-28 11:54:55',0),(839,'平台组件实例CPU异常','dice_component','dice_component_container_cpu','email','recover','【平台组件{{component_name}} CPU使用率恢复】\n','【平台组件CPU使用率恢复】\n\n组件: {{component_name}}\n\n使用率: {{usage_percent_avg}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n容器ID: {{container_id}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n','{\"trigger_duration\":\"time:ms\",\"usage_percent_avg\":\"percent:2\"}','1.0','2021-05-28 11:54:52','2021-05-28 11:54:55',0),(840,'平台组件实例CPU异常','dice_component','dice_component_container_cpu','mbox','recover','【平台组件{{component_name}} CPU使用率恢复】\n','【平台组件CPU使用率恢复】\n\n组件: {{component_name}}\n\n使用率: {{usage_percent_avg}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n容器ID: {{container_id}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n','{\"trigger_duration\":\"time:ms\",\"usage_percent_avg\":\"percent:2\"}','1.0','2021-05-28 11:54:52','2021-05-28 11:54:55',0),(841,'平台组件异常退出','dice_component','dice_component_container_exit','dingding','alert','【平台组件{{component_name}}异常退出告警】\n','【平台组件异常退出告警】\n\n组件: {{component_name}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n启动时间: {{started_at_value}}\n\n退出时间: {{finished_at_value}}\n\n退出原因: {{terminated_reason_value}}\n\n时间: {{timestamp}}\n\n[查看详情]({{display_url}})\n','{\"finished_at_value\":\"date\",\"started_at_value\":\"date\"}','1.0','2021-05-28 11:54:52','2021-05-28 11:54:55',0),(842,'平台组件异常退出','dice_component','dice_component_container_exit','ticket','alert','【平台组件{{component_name}}异常退出告警】\n','【平台组件异常退出告警】\n\n组件: {{component_name}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n启动时间: {{started_at_value}}\n\n退出时间: {{finished_at_value}}\n\n退出原因: {{terminated_reason_value}}\n\n时间: {{timestamp}}\n\n[查看详情]({{display_url}})\n','{\"finished_at_value\":\"date\",\"started_at_value\":\"date\"}','1.0','2021-05-28 11:54:52','2021-05-28 11:54:55',0),(843,'平台组件异常退出','dice_component','dice_component_container_exit','email','alert','【平台组件{{component_name}}异常退出告警】\n','【平台组件异常退出告警】\n\n组件: {{component_name}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n启动时间: {{started_at_value}}\n\n退出时间: {{finished_at_value}}\n\n退出原因: {{terminated_reason_value}}\n\n时间: {{timestamp}}\n\n[查看详情]({{display_url}})\n','{\"finished_at_value\":\"date\",\"started_at_value\":\"date\"}','1.0','2021-05-28 11:54:52','2021-05-28 11:54:55',0),(844,'平台组件异常退出','dice_component','dice_component_container_exit','mbox','alert','【平台组件{{component_name}}异常退出告警】\n','【平台组件异常退出告警】\n\n组件: {{component_name}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n启动时间: {{started_at_value}}\n\n退出时间: {{finished_at_value}}\n\n退出原因: {{terminated_reason_value}}\n\n时间: {{timestamp}}\n\n[查看详情]({{display_url}})\n','{\"finished_at_value\":\"date\",\"started_at_value\":\"date\"}','1.0','2021-05-28 11:54:52','2021-05-28 11:54:55',0),(845,'平台组件异常退出','dice_component','dice_component_container_exit','dingding','recover','【平台组件{{component_name}}异常退出恢复】\n','【平台组件异常退出恢复】\n\n组件: {{component_name}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n','{\"trigger_duration\":\"time:ms\"}','1.0','2021-05-28 11:54:52','2021-05-28 11:54:55',0),(846,'平台组件异常退出','dice_component','dice_component_container_exit','ticket','recover','【平台组件{{component_name}}异常退出恢复】\n','【平台组件异常退出恢复】\n\n组件: {{component_name}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n','{\"trigger_duration\":\"time:ms\"}','1.0','2021-05-28 11:54:52','2021-05-28 11:54:55',0),(847,'平台组件异常退出','dice_component','dice_component_container_exit','email','recover','【平台组件{{component_name}}异常退出恢复】\n','【平台组件异常退出恢复】\n\n组件: {{component_name}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n','{\"trigger_duration\":\"time:ms\"}','1.0','2021-05-28 11:54:52','2021-05-28 11:54:55',0),(848,'平台组件异常退出','dice_component','dice_component_container_exit','mbox','recover','【平台组件{{component_name}}异常退出恢复】\n','【平台组件异常退出恢复】\n\n组件: {{component_name}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n','{\"trigger_duration\":\"time:ms\"}','1.0','2021-05-28 11:54:52','2021-05-28 11:54:55',0),(849,'平台组件实例内存异常','dice_component','dice_component_container_mem','dingding','alert','【平台组件{{component_name}}内存使用率告警】\n','【平台组件内存使用率告警】\n\n组件: {{component_name}}\n\n使用率: {{usage_percent_avg}}\n\n使用: {{usage_value}}\n\n限制: {{limit_value}}\n\n分配: {{allocation_value}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n容器ID: {{container_id}}\n\n时间: {{timestamp}}\n','{\"allocation_value\":\"size:byte\",\"limit_value\":\"size:byte\",\"usage_percent_avg\":\"percent:2\",\"usage_value\":\"size:byte\"}','1.0','2021-05-28 11:54:52','2021-05-28 11:54:55',0),(850,'平台组件实例内存异常','dice_component','dice_component_container_mem','ticket','alert','【平台组件{{component_name}}内存使用率告警】\n','【平台组件内存使用率告警】\n\n组件: {{component_name}}\n\n使用率: {{usage_percent_avg}}\n\n使用: {{usage_value}}\n\n限制: {{limit_value}}\n\n分配: {{allocation_value}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n容器ID: {{container_id}}\n\n时间: {{timestamp}}\n','{\"allocation_value\":\"size:byte\",\"limit_value\":\"size:byte\",\"usage_percent_avg\":\"percent:2\",\"usage_value\":\"size:byte\"}','1.0','2021-05-28 11:54:52','2021-05-28 11:54:55',0),(851,'平台组件实例内存异常','dice_component','dice_component_container_mem','email','alert','【平台组件{{component_name}}内存使用率告警】\n','【平台组件内存使用率告警】\n\n组件: {{component_name}}\n\n使用率: {{usage_percent_avg}}\n\n使用: {{usage_value}}\n\n限制: {{limit_value}}\n\n分配: {{allocation_value}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n容器ID: {{container_id}}\n\n时间: {{timestamp}}\n','{\"allocation_value\":\"size:byte\",\"limit_value\":\"size:byte\",\"usage_percent_avg\":\"percent:2\",\"usage_value\":\"size:byte\"}','1.0','2021-05-28 11:54:52','2021-05-28 11:54:55',0),(852,'平台组件实例内存异常','dice_component','dice_component_container_mem','mbox','alert','【平台组件{{component_name}}内存使用率告警】\n','【平台组件内存使用率告警】\n\n组件: {{component_name}}\n\n使用率: {{usage_percent_avg}}\n\n使用: {{usage_value}}\n\n限制: {{limit_value}}\n\n分配: {{allocation_value}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n容器ID: {{container_id}}\n\n时间: {{timestamp}}\n','{\"allocation_value\":\"size:byte\",\"limit_value\":\"size:byte\",\"usage_percent_avg\":\"percent:2\",\"usage_value\":\"size:byte\"}','1.0','2021-05-28 11:54:52','2021-05-28 11:54:55',0),(853,'平台组件实例内存异常','dice_component','dice_component_container_mem','dingding','recover','【平台组件{{component_name}}内存使用率恢复】\n','【平台组件内存使用率恢复】\n\n组件: {{component_name}}\n\n使用率: {{usage_percent_avg}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n容器ID: {{container_id}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n','{\"trigger_duration\":\"time:ms\",\"usage_percent_avg\":\"percent:2\"}','1.0','2021-05-28 11:54:52','2021-05-28 11:54:55',0),(854,'平台组件实例内存异常','dice_component','dice_component_container_mem','ticket','recover','【平台组件{{component_name}}内存使用率恢复】\n','【平台组件内存使用率恢复】\n\n组件: {{component_name}}\n\n使用率: {{usage_percent_avg}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n容器ID: {{container_id}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n','{\"trigger_duration\":\"time:ms\",\"usage_percent_avg\":\"percent:2\"}','1.0','2021-05-28 11:54:52','2021-05-28 11:54:55',0),(855,'平台组件实例内存异常','dice_component','dice_component_container_mem','email','recover','【平台组件{{component_name}}内存使用率恢复】\n','【平台组件内存使用率恢复】\n\n组件: {{component_name}}\n\n使用率: {{usage_percent_avg}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n容器ID: {{container_id}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n','{\"trigger_duration\":\"time:ms\",\"usage_percent_avg\":\"percent:2\"}','1.0','2021-05-28 11:54:52','2021-05-28 11:54:55',0),(856,'平台组件实例内存异常','dice_component','dice_component_container_mem','mbox','recover','【平台组件{{component_name}}内存使用率恢复】\n','【平台组件内存使用率恢复】\n\n组件: {{component_name}}\n\n使用率: {{usage_percent_avg}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n容器ID: {{container_id}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n','{\"trigger_duration\":\"time:ms\",\"usage_percent_avg\":\"percent:2\"}','1.0','2021-05-28 11:54:52','2021-05-28 11:54:55',0),(857,'平台组件实例Ready状态异常','dice_component','dice_component_container_ready','dingding','alert','【平台组件{{component_name}} Ready状态异常告警】\n','【平台组件Ready状态异常告警】\n\n组件: {{component_name}}\n\n未就绪实例: {{not_ready_value}}\n\n已就绪实例: {{ready_value}}\n\n集群: {{cluster_name}}\n\n时间: {{timestamp}}\n','','1.0','2021-05-28 11:54:52','2021-05-28 11:54:55',0),(858,'平台组件实例Ready状态异常','dice_component','dice_component_container_ready','ticket','alert','【平台组件{{component_name}} Ready状态异常告警】\n','【平台组件Ready状态异常告警】\n\n组件: {{component_name}}\n\n未就绪实例: {{not_ready_value}}\n\n已就绪实例: {{ready_value}}\n\n集群: {{cluster_name}}\n\n时间: {{timestamp}}\n','','1.0','2021-05-28 11:54:52','2021-05-28 11:54:55',0),(859,'平台组件实例Ready状态异常','dice_component','dice_component_container_ready','email','alert','【平台组件{{component_name}} Ready状态异常告警】\n','【平台组件Ready状态异常告警】\n\n组件: {{component_name}}\n\n未就绪实例: {{not_ready_value}}\n\n已就绪实例: {{ready_value}}\n\n集群: {{cluster_name}}\n\n时间: {{timestamp}}\n','','1.0','2021-05-28 11:54:52','2021-05-28 11:54:55',0),(860,'平台组件实例Ready状态异常','dice_component','dice_component_container_ready','mbox','alert','【平台组件{{component_name}} Ready状态异常告警】\n','【平台组件Ready状态异常告警】\n\n组件: {{component_name}}\n\n未就绪实例: {{not_ready_value}}\n\n已就绪实例: {{ready_value}}\n\n集群: {{cluster_name}}\n\n时间: {{timestamp}}\n','','1.0','2021-05-28 11:54:52','2021-05-28 11:54:55',0),(861,'平台组件实例Ready状态异常','dice_component','dice_component_container_ready','dingding','recover','【平台组件{{component_name}} Ready状态异常恢复】\n','【平台组件Ready状态异常恢复】\n\n组件: {{component_name}}\n\n已绪数实例: {{ready_value}}\n\n集群: {{cluster_name}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n','{\"trigger_duration\":\"time:ms\"}','1.0','2021-05-28 11:54:52','2021-05-28 11:54:55',0),(862,'平台组件实例Ready状态异常','dice_component','dice_component_container_ready','ticket','recover','【平台组件{{component_name}} Ready状态异常恢复】\n','【平台组件Ready状态异常恢复】\n\n组件: {{component_name}}\n\n已绪数实例: {{ready_value}}\n\n集群: {{cluster_name}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n','{\"trigger_duration\":\"time:ms\"}','1.0','2021-05-28 11:54:52','2021-05-28 11:54:55',0),(863,'平台组件实例Ready状态异常','dice_component','dice_component_container_ready','email','recover','【平台组件{{component_name}} Ready状态异常恢复】\n','【平台组件Ready状态异常恢复】\n\n组件: {{component_name}}\n\n已绪数实例: {{ready_value}}\n\n集群: {{cluster_name}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n','{\"trigger_duration\":\"time:ms\"}','1.0','2021-05-28 11:54:52','2021-05-28 11:54:55',0),(864,'平台组件实例Ready状态异常','dice_component','dice_component_container_ready','mbox','recover','【平台组件{{component_name}} Ready状态异常恢复】\n','【平台组件Ready状态异常恢复】\n\n组件: {{component_name}}\n\n已绪数实例: {{ready_value}}\n\n集群: {{cluster_name}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n','{\"trigger_duration\":\"time:ms\"}','1.0','2021-05-28 11:54:52','2021-05-28 11:54:55',0),(865,'kubernetes组件实例CPU异常','kubernetes','kubernetes_instance_cpu','dingding','alert','【{{cluster_name}}集群kubernetes组件{{pod_name}} CPU使用率告警】\n','【kubernetes组件CPU使用率告警】\n\nPod: {{pod_name}}\n\n使用率: {{usage_percent_avg}}\n\n限制: {{limit_value}}核\n\n分配: {{allocation_value}}核\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n容器ID: {{container_id}}\n\n时间: {{timestamp}}\n','{\"allocation_value\":\"fraction:2\",\"limit_value\":\"fraction:2\",\"usage_percent_avg\":\"percent:2\"}','1.0','2021-05-28 11:54:52','2021-05-28 11:54:55',0),(866,'kubernetes组件实例CPU异常','kubernetes','kubernetes_instance_cpu','ticket','alert','【{{cluster_name}}集群kubernetes组件{{pod_name}} CPU使用率告警】\n','【kubernetes组件CPU使用率告警】\n\nPod: {{pod_name}}\n\n使用率: {{usage_percent_avg}}\n\n限制: {{limit_value}}核\n\n分配: {{allocation_value}}核\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n容器ID: {{container_id}}\n\n时间: {{timestamp}}\n','{\"allocation_value\":\"fraction:2\",\"limit_value\":\"fraction:2\",\"usage_percent_avg\":\"percent:2\"}','1.0','2021-05-28 11:54:52','2021-05-28 11:54:55',0),(867,'kubernetes组件实例CPU异常','kubernetes','kubernetes_instance_cpu','email','alert','【{{cluster_name}}集群kubernetes组件{{pod_name}} CPU使用率告警】\n','【kubernetes组件CPU使用率告警】\n\nPod: {{pod_name}}\n\n使用率: {{usage_percent_avg}}\n\n限制: {{limit_value}}核\n\n分配: {{allocation_value}}核\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n容器ID: {{container_id}}\n\n时间: {{timestamp}}\n','{\"allocation_value\":\"fraction:2\",\"limit_value\":\"fraction:2\",\"usage_percent_avg\":\"percent:2\"}','1.0','2021-05-28 11:54:52','2021-05-28 11:54:55',0),(868,'kubernetes组件实例CPU异常','kubernetes','kubernetes_instance_cpu','mbox','alert','【{{cluster_name}}集群kubernetes组件{{pod_name}} CPU使用率告警】\n','【kubernetes组件CPU使用率告警】\n\nPod: {{pod_name}}\n\n使用率: {{usage_percent_avg}}\n\n限制: {{limit_value}}核\n\n分配: {{allocation_value}}核\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n容器ID: {{container_id}}\n\n时间: {{timestamp}}\n','{\"allocation_value\":\"fraction:2\",\"limit_value\":\"fraction:2\",\"usage_percent_avg\":\"percent:2\"}','1.0','2021-05-28 11:54:52','2021-05-28 11:54:55',0),(869,'kubernetes组件实例CPU异常','kubernetes','kubernetes_instance_cpu','dingding','recover','【{{cluster_name}}集群kubernetes组件{{pod_name}} CPU使用率恢复】\n','【kubernetes组件CPU使用率恢复】\n\nPod: {{pod_name}}\n\n使用率: {{usage_percent_avg}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n容器ID: {{container_id}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n','{\"trigger_duration\":\"time:ms\",\"usage_percent_avg\":\"percent:2\"}','1.0','2021-05-28 11:54:52','2021-05-28 11:54:55',0),(870,'kubernetes组件实例CPU异常','kubernetes','kubernetes_instance_cpu','ticket','recover','【{{cluster_name}}集群kubernetes组件{{pod_name}} CPU使用率恢复】\n','【kubernetes组件CPU使用率恢复】\n\nPod: {{pod_name}}\n\n使用率: {{usage_percent_avg}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n容器ID: {{container_id}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n','{\"trigger_duration\":\"time:ms\",\"usage_percent_avg\":\"percent:2\"}','1.0','2021-05-28 11:54:52','2021-05-28 11:54:55',0),(871,'kubernetes组件实例CPU异常','kubernetes','kubernetes_instance_cpu','email','recover','【{{cluster_name}}集群kubernetes组件{{pod_name}} CPU使用率恢复】\n','【kubernetes组件CPU使用率恢复】\n\nPod: {{pod_name}}\n\n使用率: {{usage_percent_avg}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n容器ID: {{container_id}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n','{\"trigger_duration\":\"time:ms\",\"usage_percent_avg\":\"percent:2\"}','1.0','2021-05-28 11:54:52','2021-05-28 11:54:55',0),(872,'kubernetes组件实例CPU异常','kubernetes','kubernetes_instance_cpu','mbox','recover','【{{cluster_name}}集群kubernetes组件{{pod_name}} CPU使用率恢复】\n','【kubernetes组件CPU使用率恢复】\n\nPod: {{pod_name}}\n\n使用率: {{usage_percent_avg}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n容器ID: {{container_id}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n','{\"trigger_duration\":\"time:ms\",\"usage_percent_avg\":\"percent:2\"}','1.0','2021-05-28 11:54:52','2021-05-28 11:54:55',0),(873,'kubernetes组件异常退出','kubernetes','kubernetes_instance_exit','dingding','alert','【{{cluster_name}}集群kubernetes组件{{component_name}}异常退出告警】\n','【kubernetes组件异常退出告警】\n\n组件: {{component_name}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n启动时间: {{started_at_value}}\n\n退出时间: {{finished_at_value}}\n\n退出原因: {{terminated_reason_value}}\n\n时间: {{timestamp}}\n\n[查看详情]({{display_url}})\n','{\"finished_at_value\":\"date\",\"started_at_value\":\"date\"}','1.0','2021-05-28 11:54:52','2021-05-28 11:54:55',0),(874,'kubernetes组件异常退出','kubernetes','kubernetes_instance_exit','ticket','alert','【{{cluster_name}}集群kubernetes组件{{component_name}}异常退出告警】\n','【kubernetes组件异常退出告警】\n\n组件: {{component_name}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n启动时间: {{started_at_value}}\n\n退出时间: {{finished_at_value}}\n\n退出原因: {{terminated_reason_value}}\n\n时间: {{timestamp}}\n\n[查看详情]({{display_url}})\n','{\"finished_at_value\":\"date\",\"started_at_value\":\"date\"}','1.0','2021-05-28 11:54:52','2021-05-28 11:54:55',0),(875,'kubernetes组件异常退出','kubernetes','kubernetes_instance_exit','email','alert','【{{cluster_name}}集群kubernetes组件{{component_name}}异常退出告警】\n','【kubernetes组件异常退出告警】\n\n组件: {{component_name}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n启动时间: {{started_at_value}}\n\n退出时间: {{finished_at_value}}\n\n退出原因: {{terminated_reason_value}}\n\n时间: {{timestamp}}\n\n[查看详情]({{display_url}})\n','{\"finished_at_value\":\"date\",\"started_at_value\":\"date\"}','1.0','2021-05-28 11:54:52','2021-05-28 11:54:55',0),(876,'kubernetes组件异常退出','kubernetes','kubernetes_instance_exit','mbox','alert','【{{cluster_name}}集群kubernetes组件{{component_name}}异常退出告警】\n','【kubernetes组件异常退出告警】\n\n组件: {{component_name}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n启动时间: {{started_at_value}}\n\n退出时间: {{finished_at_value}}\n\n退出原因: {{terminated_reason_value}}\n\n时间: {{timestamp}}\n\n[查看详情]({{display_url}})\n','{\"finished_at_value\":\"date\",\"started_at_value\":\"date\"}','1.0','2021-05-28 11:54:52','2021-05-28 11:54:55',0),(877,'kubernetes组件异常退出','kubernetes','kubernetes_instance_exit','dingding','recover','【{{cluster_name}}集群kubernetes组件{{component_name}}异常退出恢复】\n','【kubernetes组件异常退出恢复】\n\n组件: {{component_name}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n','{\"trigger_duration\":\"time:ms\"}','1.0','2021-05-28 11:54:52','2021-05-28 11:54:55',0),(878,'kubernetes组件异常退出','kubernetes','kubernetes_instance_exit','ticket','recover','【{{cluster_name}}集群kubernetes组件{{component_name}}异常退出恢复】\n','【kubernetes组件异常退出恢复】\n\n组件: {{component_name}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n','{\"trigger_duration\":\"time:ms\"}','1.0','2021-05-28 11:54:52','2021-05-28 11:54:55',0),(879,'kubernetes组件异常退出','kubernetes','kubernetes_instance_exit','email','recover','【{{cluster_name}}集群kubernetes组件{{component_name}}异常退出恢复】\n','【kubernetes组件异常退出恢复】\n\n组件: {{component_name}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n','{\"trigger_duration\":\"time:ms\"}','1.0','2021-05-28 11:54:52','2021-05-28 11:54:55',0),(880,'kubernetes组件异常退出','kubernetes','kubernetes_instance_exit','mbox','recover','【{{cluster_name}}集群kubernetes组件{{component_name}}异常退出恢复】\n','【kubernetes组件异常退出恢复】\n\n组件: {{component_name}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n','{\"trigger_duration\":\"time:ms\"}','1.0','2021-05-28 11:54:52','2021-05-28 11:54:55',0),(881,'kubernetes组件实例内存异常','kubernetes','kubernetes_instance_mem','dingding','alert','【{{cluster_name}}集群kubernetes组件{{pod_name}}内存使用率告警】\n','【kubernetes组件内存使用率告警】\n\nPod: {{pod_name}}\n\n使用率: {{usage_percent_avg}}\n\n使用: {{usage_value}}\n\n限制: {{limit_value}}\n\n分配: {{allocation_value}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n容器ID: {{container_id}}\n\n时间: {{timestamp}}\n','{\"allocation_value\":\"size:byte\",\"limit_value\":\"size:byte\",\"usage_percent_avg\":\"percent:2\",\"usage_value\":\"size:byte\"}','1.0','2021-05-28 11:54:52','2021-05-28 11:54:55',0),(882,'kubernetes组件实例内存异常','kubernetes','kubernetes_instance_mem','ticket','alert','【{{cluster_name}}集群kubernetes组件{{pod_name}}内存使用率告警】\n','【kubernetes组件内存使用率告警】\n\nPod: {{pod_name}}\n\n使用率: {{usage_percent_avg}}\n\n使用: {{usage_value}}\n\n限制: {{limit_value}}\n\n分配: {{allocation_value}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n容器ID: {{container_id}}\n\n时间: {{timestamp}}\n','{\"allocation_value\":\"size:byte\",\"limit_value\":\"size:byte\",\"usage_percent_avg\":\"percent:2\",\"usage_value\":\"size:byte\"}','1.0','2021-05-28 11:54:52','2021-05-28 11:54:55',0),(883,'kubernetes组件实例内存异常','kubernetes','kubernetes_instance_mem','email','alert','【{{cluster_name}}集群kubernetes组件{{pod_name}}内存使用率告警】\n','【kubernetes组件内存使用率告警】\n\nPod: {{pod_name}}\n\n使用率: {{usage_percent_avg}}\n\n使用: {{usage_value}}\n\n限制: {{limit_value}}\n\n分配: {{allocation_value}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n容器ID: {{container_id}}\n\n时间: {{timestamp}}\n','{\"allocation_value\":\"size:byte\",\"limit_value\":\"size:byte\",\"usage_percent_avg\":\"percent:2\",\"usage_value\":\"size:byte\"}','1.0','2021-05-28 11:54:52','2021-05-28 11:54:55',0),(884,'kubernetes组件实例内存异常','kubernetes','kubernetes_instance_mem','mbox','alert','【{{cluster_name}}集群kubernetes组件{{pod_name}}内存使用率告警】\n','【kubernetes组件内存使用率告警】\n\nPod: {{pod_name}}\n\n使用率: {{usage_percent_avg}}\n\n使用: {{usage_value}}\n\n限制: {{limit_value}}\n\n分配: {{allocation_value}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n容器ID: {{container_id}}\n\n时间: {{timestamp}}\n','{\"allocation_value\":\"size:byte\",\"limit_value\":\"size:byte\",\"usage_percent_avg\":\"percent:2\",\"usage_value\":\"size:byte\"}','1.0','2021-05-28 11:54:52','2021-05-28 11:54:55',0),(885,'kubernetes组件实例内存异常','kubernetes','kubernetes_instance_mem','dingding','recover','【{{cluster_name}}集群kubernetes组件{{pod_name}}内存使用率恢复】\n','【kubernetes组件内存使用率恢复】\n\nPod: {{pod_name}}\n\n使用率: {{usage_percent_avg}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n容器ID: {{container_id}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n','{\"trigger_duration\":\"time:ms\",\"usage_percent_avg\":\"percent:2\"}','1.0','2021-05-28 11:54:52','2021-05-28 11:54:55',0),(886,'kubernetes组件实例内存异常','kubernetes','kubernetes_instance_mem','ticket','recover','【{{cluster_name}}集群kubernetes组件{{pod_name}}内存使用率恢复】\n','【kubernetes组件内存使用率恢复】\n\nPod: {{pod_name}}\n\n使用率: {{usage_percent_avg}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n容器ID: {{container_id}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n','{\"trigger_duration\":\"time:ms\",\"usage_percent_avg\":\"percent:2\"}','1.0','2021-05-28 11:54:52','2021-05-28 11:54:55',0),(887,'kubernetes组件实例内存异常','kubernetes','kubernetes_instance_mem','email','recover','【{{cluster_name}}集群kubernetes组件{{pod_name}}内存使用率恢复】\n','【kubernetes组件内存使用率恢复】\n\nPod: {{pod_name}}\n\n使用率: {{usage_percent_avg}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n容器ID: {{container_id}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n','{\"trigger_duration\":\"time:ms\",\"usage_percent_avg\":\"percent:2\"}','1.0','2021-05-28 11:54:52','2021-05-28 11:54:55',0),(888,'kubernetes组件实例内存异常','kubernetes','kubernetes_instance_mem','mbox','recover','【{{cluster_name}}集群kubernetes组件{{pod_name}}内存使用率恢复】\n','【kubernetes组件内存使用率恢复】\n\nPod: {{pod_name}}\n\n使用率: {{usage_percent_avg}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n容器ID: {{container_id}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n','{\"trigger_duration\":\"time:ms\",\"usage_percent_avg\":\"percent:2\"}','1.0','2021-05-28 11:54:52','2021-05-28 11:54:55',0),(889,'kubernetes组件实例Ready状态异常','kubernetes','kubernetes_instance_ready','dingding','alert','【{{cluster_name}}集群kubernetes组件{{resource_name_value}} Ready状态告警】\n','【kubernetes组件Ready状态告警】\n\n组件: {{resource_name_value}}\n\n未就绪实例: {{not_ready_value}}\n\n已就绪实例: {{ready_value}}\n\n集群: {{cluster_name}}\n\n时间: {{timestamp}}\n','','1.0','2021-05-28 11:54:52','2021-05-28 11:54:55',0),(890,'kubernetes组件实例Ready状态异常','kubernetes','kubernetes_instance_ready','ticket','alert','【{{cluster_name}}集群kubernetes组件{{resource_name_value}} Ready状态告警】\n','【kubernetes组件Ready状态告警】\n\n组件: {{resource_name_value}}\n\n未就绪实例: {{not_ready_value}}\n\n已就绪实例: {{ready_value}}\n\n集群: {{cluster_name}}\n\n时间: {{timestamp}}\n','','1.0','2021-05-28 11:54:52','2021-05-28 11:54:55',0),(891,'kubernetes组件实例Ready状态异常','kubernetes','kubernetes_instance_ready','email','alert','【{{cluster_name}}集群kubernetes组件{{resource_name_value}} Ready状态告警】\n','【kubernetes组件Ready状态告警】\n\n组件: {{resource_name_value}}\n\n未就绪实例: {{not_ready_value}}\n\n已就绪实例: {{ready_value}}\n\n集群: {{cluster_name}}\n\n时间: {{timestamp}}\n','','1.0','2021-05-28 11:54:52','2021-05-28 11:54:55',0),(892,'kubernetes组件实例Ready状态异常','kubernetes','kubernetes_instance_ready','mbox','alert','【{{cluster_name}}集群kubernetes组件{{resource_name_value}} Ready状态告警】\n','【kubernetes组件Ready状态告警】\n\n组件: {{resource_name_value}}\n\n未就绪实例: {{not_ready_value}}\n\n已就绪实例: {{ready_value}}\n\n集群: {{cluster_name}}\n\n时间: {{timestamp}}\n','','1.0','2021-05-28 11:54:52','2021-05-28 11:54:55',0),(893,'kubernetes组件实例Ready状态异常','kubernetes','kubernetes_instance_ready','dingding','recover','【{{cluster_name}}集群kubernetes组件{{resource_name_value}} Ready状态恢复】\n','【kubernetes组件Ready状态恢复】\n\n组件: {{resource_name_value}}\n\n集群: {{cluster_name}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n','{\"trigger_duration\":\"time:ms\"}','1.0','2021-05-28 11:54:52','2021-05-28 11:54:55',0),(894,'kubernetes组件实例Ready状态异常','kubernetes','kubernetes_instance_ready','ticket','recover','【{{cluster_name}}集群kubernetes组件{{resource_name_value}} Ready状态恢复】\n','【kubernetes组件Ready状态恢复】\n\n组件: {{resource_name_value}}\n\n集群: {{cluster_name}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n','{\"trigger_duration\":\"time:ms\"}','1.0','2021-05-28 11:54:52','2021-05-28 11:54:55',0),(895,'kubernetes组件实例Ready状态异常','kubernetes','kubernetes_instance_ready','email','recover','【{{cluster_name}}集群kubernetes组件{{resource_name_value}} Ready状态恢复】\n','【kubernetes组件Ready状态恢复】\n\n组件: {{resource_name_value}}\n\n集群: {{cluster_name}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n','{\"trigger_duration\":\"time:ms\"}','1.0','2021-05-28 11:54:52','2021-05-28 11:54:55',0),(896,'kubernetes组件实例Ready状态异常','kubernetes','kubernetes_instance_ready','mbox','recover','【{{cluster_name}}集群kubernetes组件{{resource_name_value}} Ready状态恢复】\n','【kubernetes组件Ready状态恢复】\n\n组件: {{resource_name_value}}\n\n集群: {{cluster_name}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n','{\"trigger_duration\":\"time:ms\"}','1.0','2021-05-28 11:54:52','2021-05-28 11:54:55',0),(897,'kubernetes节点异常','kubernetes','kubernetes_node','dingding','alert','【{{cluster_name}}集群kubernetes节点{{node_name}}节点异常告警】\n','【kubernetes节点状态异常告警】\n\n集群: {{cluster_name}}\n\n机器: {{node_name}}\n\n已分配Pod数: {{allocatable_pods_value}}\n\n最大Pod数: {{capacity_pods_value}}\n\n已分配CPU核数: {{allocatable_cpu_cores_value}}\n\n最大CPU核数: {{capacity_cpu_cores_value}}\n\n已分配内存: {{allocatable_memory_bytes_value}}\n\n最大内存: {{capacity_memory_bytes_value}}\n\n时间: {{timestamp}}\n','{\"allocatable_memory_bytes_value\":\"size:byte\",\"capacity_memory_bytes_value\":\"size:byte\"}','1.0','2021-05-28 11:54:52','2021-05-28 11:54:55',0),(898,'kubernetes节点异常','kubernetes','kubernetes_node','ticket','alert','【{{cluster_name}}集群kubernetes节点{{node_name}}节点异常告警】\n','【kubernetes节点状态异常告警】\n\n集群: {{cluster_name}}\n\n机器: {{node_name}}\n\n已分配Pod数: {{allocatable_pods_value}}\n\n最大Pod数: {{capacity_pods_value}}\n\n已分配CPU核数: {{allocatable_cpu_cores_value}}\n\n最大CPU核数: {{capacity_cpu_cores_value}}\n\n已分配内存: {{allocatable_memory_bytes_value}}\n\n最大内存: {{capacity_memory_bytes_value}}\n\n时间: {{timestamp}}\n','{\"allocatable_memory_bytes_value\":\"size:byte\",\"capacity_memory_bytes_value\":\"size:byte\"}','1.0','2021-05-28 11:54:52','2021-05-28 11:54:55',0),(899,'kubernetes节点异常','kubernetes','kubernetes_node','email','alert','【{{cluster_name}}集群kubernetes节点{{node_name}}节点异常告警】\n','【kubernetes节点状态异常告警】\n\n集群: {{cluster_name}}\n\n机器: {{node_name}}\n\n已分配Pod数: {{allocatable_pods_value}}\n\n最大Pod数: {{capacity_pods_value}}\n\n已分配CPU核数: {{allocatable_cpu_cores_value}}\n\n最大CPU核数: {{capacity_cpu_cores_value}}\n\n已分配内存: {{allocatable_memory_bytes_value}}\n\n最大内存: {{capacity_memory_bytes_value}}\n\n时间: {{timestamp}}\n','{\"allocatable_memory_bytes_value\":\"size:byte\",\"capacity_memory_bytes_value\":\"size:byte\"}','1.0','2021-05-28 11:54:52','2021-05-28 11:54:55',0),(900,'kubernetes节点异常','kubernetes','kubernetes_node','mbox','alert','【{{cluster_name}}集群kubernetes节点{{node_name}}节点异常告警】\n','【kubernetes节点状态异常告警】\n\n集群: {{cluster_name}}\n\n机器: {{node_name}}\n\n已分配Pod数: {{allocatable_pods_value}}\n\n最大Pod数: {{capacity_pods_value}}\n\n已分配CPU核数: {{allocatable_cpu_cores_value}}\n\n最大CPU核数: {{capacity_cpu_cores_value}}\n\n已分配内存: {{allocatable_memory_bytes_value}}\n\n最大内存: {{capacity_memory_bytes_value}}\n\n时间: {{timestamp}}\n','{\"allocatable_memory_bytes_value\":\"size:byte\",\"capacity_memory_bytes_value\":\"size:byte\"}','1.0','2021-05-28 11:54:52','2021-05-28 11:54:55',0),(901,'kubernetes节点异常','kubernetes','kubernetes_node','dingding','recover','【{{cluster_name}}集群kubernetes节点{{node_name}}节点异常恢复】\n','【kubernetes节点状态异常恢复】\n\n集群: {{cluster_name}}\n\n机器: {{node_name}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n','{\"trigger_duration\":\"time:ms\"}','1.0','2021-05-28 11:54:52','2021-05-28 11:54:55',0),(902,'kubernetes节点异常','kubernetes','kubernetes_node','ticket','recover','【{{cluster_name}}集群kubernetes节点{{node_name}}节点异常恢复】\n','【kubernetes节点状态异常恢复】\n\n集群: {{cluster_name}}\n\n机器: {{node_name}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n','{\"trigger_duration\":\"time:ms\"}','1.0','2021-05-28 11:54:52','2021-05-28 11:54:55',0),(903,'kubernetes节点异常','kubernetes','kubernetes_node','email','recover','【{{cluster_name}}集群kubernetes节点{{node_name}}节点异常恢复】\n','【kubernetes节点状态异常恢复】\n\n集群: {{cluster_name}}\n\n机器: {{node_name}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n','{\"trigger_duration\":\"time:ms\"}','1.0','2021-05-28 11:54:52','2021-05-28 11:54:55',0),(904,'kubernetes节点异常','kubernetes','kubernetes_node','mbox','recover','【{{cluster_name}}集群kubernetes节点{{node_name}}节点异常恢复】\n','【kubernetes节点状态异常恢复】\n\n集群: {{cluster_name}}\n\n机器: {{node_name}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n','{\"trigger_duration\":\"time:ms\"}','1.0','2021-05-28 11:54:52','2021-05-28 11:54:55',0),(905,'机器CPU异常告警','machine','machine_cpu','dingding','alert','【{{cluster_name}}集群机器{{host_ip}} CPU使用率异常告警】','【机器CPU使用率异常告警】\n\nCPU平均使用率: {{usage_active_avg}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n时间: {{timestamp}}\n\n[查看详情]({{display_url}})\n','{\"usage_active_avg\":\"percent:2\"}','1.0','2021-05-28 11:54:52','2021-05-28 11:54:55',0),(906,'机器CPU异常告警','machine','machine_cpu','ticket','alert','【{{cluster_name}}集群机器{{host_ip}} CPU使用率异常告警】','【机器CPU使用率异常告警】\n\nCPU平均使用率: {{usage_active_avg}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n时间: {{timestamp}}\n\n[查看详情]({{display_url}})\n','{\"usage_active_avg\":\"percent:2\"}','1.0','2021-05-28 11:54:52','2021-05-28 11:54:55',0),(907,'机器CPU异常告警','machine','machine_cpu','email','alert','【{{cluster_name}}集群机器{{host_ip}} CPU使用率异常告警】','【机器CPU使用率异常告警】\n\nCPU平均使用率: {{usage_active_avg}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n时间: {{timestamp}}\n\n[查看详情]({{display_url}})\n','{\"usage_active_avg\":\"percent:2\"}','1.0','2021-05-28 11:54:52','2021-05-28 11:54:55',0),(908,'机器CPU异常告警','machine','machine_cpu','mbox','alert','【{{cluster_name}}集群机器{{host_ip}} CPU使用率异常告警】','【机器CPU使用率异常告警】\n\nCPU平均使用率: {{usage_active_avg}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n时间: {{timestamp}}\n\n[查看详情]({{display_url}})\n','{\"usage_active_avg\":\"percent:2\"}','1.0','2021-05-28 11:54:52','2021-05-28 11:54:55',0),(909,'机器CPU异常恢复','machine','machine_cpu','dingding','recover','【{{cluster_name}}集群机器{{host_ip}} CPU使用率异常恢复】','【机器CPU使用率异常恢复】\n\nCPU平均使用率: {{usage_active_avg}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}','{\"trigger_duration\":\"time:ms\",\"usage_active_avg\":\"percent:2\"}','1.0','2021-05-28 11:54:52','2021-05-28 11:54:55',0),(910,'机器CPU异常恢复','machine','machine_cpu','ticket','recover','【{{cluster_name}}集群机器{{host_ip}} CPU使用率异常恢复】','【机器CPU使用率异常恢复】\n\nCPU平均使用率: {{usage_active_avg}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}','{\"trigger_duration\":\"time:ms\",\"usage_active_avg\":\"percent:2\"}','1.0','2021-05-28 11:54:52','2021-05-28 11:54:55',0),(911,'机器CPU异常恢复','machine','machine_cpu','email','recover','【{{cluster_name}}集群机器{{host_ip}} CPU使用率异常恢复】','【机器CPU使用率异常恢复】\n\nCPU平均使用率: {{usage_active_avg}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}','{\"trigger_duration\":\"time:ms\",\"usage_active_avg\":\"percent:2\"}','1.0','2021-05-28 11:54:52','2021-05-28 11:54:55',0),(912,'机器CPU异常恢复','machine','machine_cpu','mbox','recover','【{{cluster_name}}集群机器{{host_ip}} CPU使用率异常恢复】','【机器CPU使用率异常恢复】\n\nCPU平均使用率: {{usage_active_avg}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}','{\"trigger_duration\":\"time:ms\",\"usage_active_avg\":\"percent:2\"}','1.0','2021-05-28 11:54:52','2021-05-28 11:54:55',0),(913,'磁盘容量异常告警','machine','machine_disk','dingding','alert','【{{cluster_name}}集群机器{{host_ip}}磁盘使用率异常告警】','【磁盘使用率异常告警】\n\n使用率: {{used_percent_value}}\n\n容量: {{total_value}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n时间: {{timestamp}}\n\n[查看详情]({{display_url}})\n','{\"total_value\":\"size:byte\",\"used_percent_value\":\"percent:2\"}','1.0','2021-05-28 11:54:52','2021-05-28 11:54:55',0),(914,'磁盘容量异常告警','machine','machine_disk','ticket','alert','【{{cluster_name}}集群机器{{host_ip}}磁盘使用率异常告警】','【磁盘使用率异常告警】\n\n使用率: {{used_percent_value}}\n\n容量: {{total_value}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n时间: {{timestamp}}\n\n[查看详情]({{display_url}})\n','{\"total_value\":\"size:byte\",\"used_percent_value\":\"percent:2\"}','1.0','2021-05-28 11:54:52','2021-05-28 11:54:55',0),(915,'磁盘容量异常告警','machine','machine_disk','email','alert','【{{cluster_name}}集群机器{{host_ip}}磁盘使用率异常告警】','【磁盘使用率异常告警】\n\n使用率: {{used_percent_value}}\n\n容量: {{total_value}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n时间: {{timestamp}}\n\n[查看详情]({{display_url}})\n','{\"total_value\":\"size:byte\",\"used_percent_value\":\"percent:2\"}','1.0','2021-05-28 11:54:52','2021-05-28 11:54:55',0),(916,'磁盘容量异常告警','machine','machine_disk','mbox','alert','【{{cluster_name}}集群机器{{host_ip}}磁盘使用率异常告警】','【磁盘使用率异常告警】\n\n使用率: {{used_percent_value}}\n\n容量: {{total_value}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n时间: {{timestamp}}\n\n[查看详情]({{display_url}})\n','{\"total_value\":\"size:byte\",\"used_percent_value\":\"percent:2\"}','1.0','2021-05-28 11:54:52','2021-05-28 11:54:55',0),(917,'磁盘容量异常恢复','machine','machine_disk','dingding','recover','【{{cluster_name}}集群机器{{host_ip}}磁盘使用率异常恢复】','【磁盘使用率异常恢复】\n\n使用率: {{used_percent_value}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}','{\"trigger_duration\":\"time:ms\",\"used_percent_value\":\"percent:2\"}','1.0','2021-05-28 11:54:52','2021-05-28 11:54:55',0),(918,'磁盘容量异常恢复','machine','machine_disk','ticket','recover','【{{cluster_name}}集群机器{{host_ip}}磁盘使用率异常恢复】','【磁盘使用率异常恢复】\n\n使用率: {{used_percent_value}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}','{\"trigger_duration\":\"time:ms\",\"used_percent_value\":\"percent:2\"}','1.0','2021-05-28 11:54:52','2021-05-28 11:54:55',0),(919,'磁盘容量异常恢复','machine','machine_disk','email','recover','【{{cluster_name}}集群机器{{host_ip}}磁盘使用率异常恢复】','【磁盘使用率异常恢复】\n\n使用率: {{used_percent_value}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}','{\"trigger_duration\":\"time:ms\",\"used_percent_value\":\"percent:2\"}','1.0','2021-05-28 11:54:52','2021-05-28 11:54:55',0),(920,'磁盘容量异常恢复','machine','machine_disk','mbox','recover','【{{cluster_name}}集群机器{{host_ip}}磁盘使用率异常恢复】','【磁盘使用率异常恢复】\n\n使用率: {{used_percent_value}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}','{\"trigger_duration\":\"time:ms\",\"used_percent_value\":\"percent:2\"}','1.0','2021-05-28 11:54:52','2021-05-28 11:54:55',0),(921,'磁盘IO异常告警','machine','machine_disk_util','dingding','alert','【{{cluster_name}}集群机器{{host_ip}}磁盘IO操作百分比异常告警】','【磁盘IO操作百分比异常告警】\n\nIO操作百分比: {{pct_util_p75}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n时间: {{timestamp}}\n','{\"pct_util_p75\":\"percent:2\"}','1.0','2021-05-28 11:54:52','2021-05-28 11:54:55',0),(922,'磁盘IO异常告警','machine','machine_disk_util','ticket','alert','【{{cluster_name}}集群机器{{host_ip}}磁盘IO操作百分比异常告警】','【磁盘IO操作百分比异常告警】\n\nIO操作百分比: {{pct_util_p75}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n时间: {{timestamp}}\n','{\"pct_util_p75\":\"percent:2\"}','1.0','2021-05-28 11:54:52','2021-05-28 11:54:55',0),(923,'磁盘IO异常告警','machine','machine_disk_util','email','alert','【{{cluster_name}}集群机器{{host_ip}}磁盘IO操作百分比异常告警】','【磁盘IO操作百分比异常告警】\n\nIO操作百分比: {{pct_util_p75}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n时间: {{timestamp}}\n','{\"pct_util_p75\":\"percent:2\"}','1.0','2021-05-28 11:54:52','2021-05-28 11:54:55',0),(924,'磁盘IO异常告警','machine','machine_disk_util','mbox','alert','【{{cluster_name}}集群机器{{host_ip}}磁盘IO操作百分比异常告警】','【磁盘IO操作百分比异常告警】\n\nIO操作百分比: {{pct_util_p75}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n时间: {{timestamp}}\n','{\"pct_util_p75\":\"percent:2\"}','1.0','2021-05-28 11:54:52','2021-05-28 11:54:55',0),(925,'磁盘IO异常恢复','machine','machine_disk_util','dingding','recover','【{{cluster_name}}集群机器{{host_ip}}磁盘IO操作百分比异常恢复】','【磁盘IO操作百分比异常恢复】\n\nIO操作百分比: {{pct_util_p75}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}','{\"pct_util_p75\":\"percent:2\",\"trigger_duration\":\"time:ms\"}','1.0','2021-05-28 11:54:52','2021-05-28 11:54:55',0),(926,'磁盘IO异常恢复','machine','machine_disk_util','ticket','recover','【{{cluster_name}}集群机器{{host_ip}}磁盘IO操作百分比异常恢复】','【磁盘IO操作百分比异常恢复】\n\nIO操作百分比: {{pct_util_p75}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}','{\"pct_util_p75\":\"percent:2\",\"trigger_duration\":\"time:ms\"}','1.0','2021-05-28 11:54:52','2021-05-28 11:54:55',0),(927,'磁盘IO异常恢复','machine','machine_disk_util','email','recover','【{{cluster_name}}集群机器{{host_ip}}磁盘IO操作百分比异常恢复】','【磁盘IO操作百分比异常恢复】\n\nIO操作百分比: {{pct_util_p75}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}','{\"pct_util_p75\":\"percent:2\",\"trigger_duration\":\"time:ms\"}','1.0','2021-05-28 11:54:52','2021-05-28 11:54:55',0),(928,'磁盘IO异常恢复','machine','machine_disk_util','mbox','recover','【{{cluster_name}}集群机器{{host_ip}}磁盘IO操作百分比异常恢复】','【磁盘IO操作百分比异常恢复】\n\nIO操作百分比: {{pct_util_p75}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}','{\"pct_util_p75\":\"percent:2\",\"trigger_duration\":\"time:ms\"}','1.0','2021-05-28 11:54:52','2021-05-28 11:54:55',0),(929,'机器负载异常告警','machine','machine_load5','dingding','alert','【{{cluster_name}}集群机器{{host_ip}}负载异常告警】','【机器负载异常告警】\n\nLoad5: {{load5_avg}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n时间: {{timestamp}}\n\n[查看详情]({{display_url}})\n','','1.0','2021-05-28 11:54:52','2021-05-28 11:54:55',0),(930,'机器负载异常告警','machine','machine_load5','ticket','alert','【{{cluster_name}}集群机器{{host_ip}}负载异常告警】','【机器负载异常告警】\n\nLoad5: {{load5_avg}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n时间: {{timestamp}}\n\n[查看详情]({{display_url}})\n','','1.0','2021-05-28 11:54:52','2021-05-28 11:54:55',0),(931,'机器负载异常告警','machine','machine_load5','email','alert','【{{cluster_name}}集群机器{{host_ip}}负载异常告警】','【机器负载异常告警】\n\nLoad5: {{load5_avg}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n时间: {{timestamp}}\n\n[查看详情]({{display_url}})\n','','1.0','2021-05-28 11:54:52','2021-05-28 11:54:55',0),(932,'机器负载异常告警','machine','machine_load5','mbox','alert','【{{cluster_name}}集群机器{{host_ip}}负载异常告警】','【机器负载异常告警】\n\nLoad5: {{load5_avg}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n时间: {{timestamp}}\n\n[查看详情]({{display_url}})\n','','1.0','2021-05-28 11:54:52','2021-05-28 11:54:55',0),(933,'机器负载异常恢复','machine','machine_load5','dingding','recover','【{{cluster_name}}集群机器{{host_ip}}负载异常恢复】','【机器负载异常恢复】\n\nLoad5: {{load5_avg}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n','{\"trigger_duration\":\"time:ms\"}','1.0','2021-05-28 11:54:52','2021-05-28 11:54:55',0),(934,'机器负载异常恢复','machine','machine_load5','ticket','recover','【{{cluster_name}}集群机器{{host_ip}}负载异常恢复】','【机器负载异常恢复】\n\nLoad5: {{load5_avg}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n','{\"trigger_duration\":\"time:ms\"}','1.0','2021-05-28 11:54:52','2021-05-28 11:54:55',0),(935,'机器负载异常恢复','machine','machine_load5','email','recover','【{{cluster_name}}集群机器{{host_ip}}负载异常恢复】','【机器负载异常恢复】\n\nLoad5: {{load5_avg}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n','{\"trigger_duration\":\"time:ms\"}','1.0','2021-05-28 11:54:52','2021-05-28 11:54:55',0),(936,'机器负载异常恢复','machine','machine_load5','mbox','recover','【{{cluster_name}}集群机器{{host_ip}}负载异常恢复】','【机器负载异常恢复】\n\nLoad5: {{load5_avg}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n','{\"trigger_duration\":\"time:ms\"}','1.0','2021-05-28 11:54:52','2021-05-28 11:54:55',0),(937,'网盘容量异常告警','machine','machine_netdisk','dingding','alert','【{{cluster_name}}集群网盘使用率异常告警】','【网盘使用率异常告警】\n\n使用率: {{used_percent_value}}\n\n容量: {{total_value}}\n\n集群: {{cluster_name}}\n\n时间: {{timestamp}}\n','{\"total_value\":\"size:byte\",\"used_percent_value\":\"percent:2\"}','1.0','2021-05-28 11:54:52','2021-05-28 11:54:55',0),(938,'网盘容量异常告警','machine','machine_netdisk','ticket','alert','【{{cluster_name}}集群网盘使用率异常告警】','【网盘使用率异常告警】\n\n使用率: {{used_percent_value}}\n\n容量: {{total_value}}\n\n集群: {{cluster_name}}\n\n时间: {{timestamp}}\n','{\"total_value\":\"size:byte\",\"used_percent_value\":\"percent:2\"}','1.0','2021-05-28 11:54:52','2021-05-28 11:54:55',0),(939,'网盘容量异常告警','machine','machine_netdisk','email','alert','【{{cluster_name}}集群网盘使用率异常告警】','【网盘使用率异常告警】\n\n使用率: {{used_percent_value}}\n\n容量: {{total_value}}\n\n集群: {{cluster_name}}\n\n时间: {{timestamp}}\n','{\"total_value\":\"size:byte\",\"used_percent_value\":\"percent:2\"}','1.0','2021-05-28 11:54:52','2021-05-28 11:54:55',0),(940,'网盘容量异常告警','machine','machine_netdisk','mbox','alert','【{{cluster_name}}集群网盘使用率异常告警】','【网盘使用率异常告警】\n\n使用率: {{used_percent_value}}\n\n容量: {{total_value}}\n\n集群: {{cluster_name}}\n\n时间: {{timestamp}}\n','{\"total_value\":\"size:byte\",\"used_percent_value\":\"percent:2\"}','1.0','2021-05-28 11:54:52','2021-05-28 11:54:55',0),(941,'网盘容量异常恢复','machine','machine_netdisk','dingding','recover','【{{cluster_name}}集群网盘使用率异常恢复】','【网盘使用率异常恢复】\n\n使用率: {{used_percent_value}}\n\n集群: {{cluster_name}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n','{\"trigger_duration\":\"time:ms\",\"used_percent_value\":\"percent:2\"}','1.0','2021-05-28 11:54:52','2021-05-28 11:54:55',0),(942,'网盘容量异常恢复','machine','machine_netdisk','ticket','recover','【{{cluster_name}}集群网盘使用率异常恢复】','【网盘使用率异常恢复】\n\n使用率: {{used_percent_value}}\n\n集群: {{cluster_name}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n','{\"trigger_duration\":\"time:ms\",\"used_percent_value\":\"percent:2\"}','1.0','2021-05-28 11:54:52','2021-05-28 11:54:55',0),(943,'网盘容量异常恢复','machine','machine_netdisk','email','recover','【{{cluster_name}}集群网盘使用率异常恢复】','【网盘使用率异常恢复】\n\n使用率: {{used_percent_value}}\n\n集群: {{cluster_name}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n','{\"trigger_duration\":\"time:ms\",\"used_percent_value\":\"percent:2\"}','1.0','2021-05-28 11:54:52','2021-05-28 11:54:55',0),(944,'网盘容量异常恢复','machine','machine_netdisk','mbox','recover','【{{cluster_name}}集群网盘使用率异常恢复】','【网盘使用率异常恢复】\n\n使用率: {{used_percent_value}}\n\n集群: {{cluster_name}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n','{\"trigger_duration\":\"time:ms\",\"used_percent_value\":\"percent:2\"}','1.0','2021-05-28 11:54:52','2021-05-28 11:54:55',0),(945,'宕机告警','machine','machine_status','dingding','alert','【{{cluster_name}}集群机器{{host_ip}}宕机告警】','【宕机告警】\n\n机器{{window}}分钟内无消息, 疑似发生宕机\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n最近活跃时间: {{last_timestamp_value}}\n\n时间: {{timestamp}}\n\n[查看详情]({{display_url}})\n','{\"last_timestamp_value\":\"date\"}','1.0','2021-05-28 11:54:52','2021-05-28 11:54:55',0),(946,'宕机告警','machine','machine_status','ticket','alert','【{{cluster_name}}集群机器{{host_ip}}宕机告警】','【宕机告警】\n\n机器{{window}}分钟内无消息, 疑似发生宕机\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n最近活跃时间: {{last_timestamp_value}}\n\n时间: {{timestamp}}\n\n[查看详情]({{display_url}})\n','{\"last_timestamp_value\":\"date\"}','1.0','2021-05-28 11:54:52','2021-05-28 11:54:55',0),(947,'宕机告警','machine','machine_status','email','alert','【{{cluster_name}}集群机器{{host_ip}}宕机告警】','【宕机告警】\n\n机器{{window}}分钟内无消息, 疑似发生宕机\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n最近活跃时间: {{last_timestamp_value}}\n\n时间: {{timestamp}}\n\n[查看详情]({{display_url}})\n','{\"last_timestamp_value\":\"date\"}','1.0','2021-05-28 11:54:52','2021-05-28 11:54:55',0),(948,'宕机告警','machine','machine_status','mbox','alert','【{{cluster_name}}集群机器{{host_ip}}宕机告警】','【宕机告警】\n\n机器{{window}}分钟内无消息, 疑似发生宕机\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n最近活跃时间: {{last_timestamp_value}}\n\n时间: {{timestamp}}\n\n[查看详情]({{display_url}})\n','{\"last_timestamp_value\":\"date\"}','1.0','2021-05-28 11:54:52','2021-05-28 11:54:55',0),(949,'宕机恢复','machine','machine_status','dingding','recover','【{{cluster_name}}集群机器{{host_ip}}宕机恢复】','【宕机恢复】\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}','{\"trigger_duration\":\"time:ms\"}','1.0','2021-05-28 11:54:52','2021-05-28 11:54:55',0),(950,'宕机恢复','machine','machine_status','ticket','recover','【{{cluster_name}}集群机器{{host_ip}}宕机恢复】','【宕机恢复】\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}','{\"trigger_duration\":\"time:ms\"}','1.0','2021-05-28 11:54:52','2021-05-28 11:54:55',0),(951,'宕机恢复','machine','machine_status','email','recover','【{{cluster_name}}集群机器{{host_ip}}宕机恢复】','【宕机恢复】\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}','{\"trigger_duration\":\"time:ms\"}','1.0','2021-05-28 11:54:52','2021-05-28 11:54:55',0),(952,'宕机恢复','machine','machine_status','mbox','recover','【{{cluster_name}}集群机器{{host_ip}}宕机恢复】','【宕机恢复】\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}','{\"trigger_duration\":\"time:ms\"}','1.0','2021-05-28 11:54:52','2021-05-28 11:54:55',0),(953,'应用异常','app_exception','app_exception_count','dingding','alert','【{{application_name}}应用{{service_name}}服务异常告警】\n','【应用异常告警】\n\n项目: {{project_name}}\n\n应用: {{application_name}}\n\n服务: {{runtime_name}} - {{service_name}}\n\n实例: {{instance_id}}\n\n类: {{class}}\n\n方法: {{method}}\n\n行数: {{line}}\n\n错误: {{type}}\n\n事件: {{window}}分钟内出现 {{count_sum}} 次\n\n时间: {{timestamp}}\n\n[查看详情]({{display_url}})\n','','1.0','2021-05-28 11:54:52','2021-05-28 11:54:55',0),(954,'应用异常','app_exception','app_exception_count','ticket','alert','【{{application_name}}应用{{service_name}}服务异常告警】\n','【应用异常告警】\n\n项目: {{project_name}}\n\n应用: {{application_name}}\n\n服务: {{runtime_name}} - {{service_name}}\n\n实例: {{instance_id}}\n\n类: {{class}}\n\n方法: {{method}}\n\n行数: {{line}}\n\n错误: {{type}}\n\n事件: {{window}}分钟内出现 {{count_sum}} 次\n\n时间: {{timestamp}}\n\n[查看详情]({{display_url}})\n','','1.0','2021-05-28 11:54:52','2021-05-28 11:54:55',0),(955,'应用异常','app_exception','app_exception_count','email','alert','【{{application_name}}应用{{service_name}}服务异常告警】\n','【应用异常告警】\n\n项目: {{project_name}}\n\n应用: {{application_name}}\n\n服务: {{runtime_name}} - {{service_name}}\n\n实例: {{instance_id}}\n\n类: {{class}}\n\n方法: {{method}}\n\n行数: {{line}}\n\n错误: {{type}}\n\n事件: {{window}}分钟内出现 {{count_sum}} 次\n\n时间: {{timestamp}}\n\n[查看详情]({{display_url}})\n','','1.0','2021-05-28 11:54:52','2021-05-28 11:54:55',0),(956,'应用异常','app_exception','app_exception_count','mbox','alert','【{{application_name}}应用{{service_name}}服务异常告警】\n','【应用异常告警】\n\n项目: {{project_name}}\n\n应用: {{application_name}}\n\n服务: {{runtime_name}} - {{service_name}}\n\n实例: {{instance_id}}\n\n类: {{class}}\n\n方法: {{method}}\n\n行数: {{line}}\n\n错误: {{type}}\n\n事件: {{window}}分钟内出现 {{count_sum}} 次\n\n时间: {{timestamp}}\n\n[查看详情]({{display_url}})\n','','1.0','2021-05-28 11:54:52','2021-05-28 11:54:55',0),(957,'应用异常','app_exception','app_exception_count','dingding','recover','【{{application_name}}应用{{service_name}}服务异常恢复】\n','【应用异常恢复】\n\n项目: {{project_name}}\n\n应用: {{application_name}}\n\n服务: {{runtime_name}} - {{service_name}}\n\n实例: {{instance_id}}\n\n类: {{class}}\n\n方法: {{method}}\n\n行数: {{line}}\n\n错误: {{type}}\n\n持续时间: {{trigger_duration_min}}\n\n恢复时间: {{timestamp}}','','1.0','2021-05-28 11:54:52','2021-05-28 11:54:55',0),(958,'应用异常','app_exception','app_exception_count','ticket','recover','【{{application_name}}应用{{service_name}}服务异常恢复】\n','【应用异常恢复】\n\n项目: {{project_name}}\n\n应用: {{application_name}}\n\n服务: {{runtime_name}} - {{service_name}}\n\n实例: {{instance_id}}\n\n类: {{class}}\n\n方法: {{method}}\n\n行数: {{line}}\n\n错误: {{type}}\n\n持续时间: {{trigger_duration_min}}\n\n恢复时间: {{timestamp}}','','1.0','2021-05-28 11:54:52','2021-05-28 11:54:55',0),(959,'应用异常','app_exception','app_exception_count','email','recover','【{{application_name}}应用{{service_name}}服务异常恢复】\n','【应用异常恢复】\n\n项目: {{project_name}}\n\n应用: {{application_name}}\n\n服务: {{runtime_name}} - {{service_name}}\n\n实例: {{instance_id}}\n\n类: {{class}}\n\n方法: {{method}}\n\n行数: {{line}}\n\n错误: {{type}}\n\n持续时间: {{trigger_duration_min}}\n\n恢复时间: {{timestamp}}','','1.0','2021-05-28 11:54:52','2021-05-28 11:54:55',0),(960,'应用异常','app_exception','app_exception_count','mbox','recover','【{{application_name}}应用{{service_name}}服务异常恢复】\n','【应用异常恢复】\n\n项目: {{project_name}}\n\n应用: {{application_name}}\n\n服务: {{runtime_name}} - {{service_name}}\n\n实例: {{instance_id}}\n\n类: {{class}}\n\n方法: {{method}}\n\n行数: {{line}}\n\n错误: {{type}}\n\n持续时间: {{trigger_duration_min}}\n\n恢复时间: {{timestamp}}','','1.0','2021-05-28 11:54:52','2021-05-28 11:54:55',0),(961,'应用实例CPU使用率异常','app_resource','app_resource_container_cpu','dingding','alert','【{{application_name}}应用{{service_name}}服务实例CPU使用率告警】\n','【应用实例CPU使用率异常告警】\n\n项目: {{project_name}}\n\n应用: {{application_name}}\n\n服务实例: {{runtime_name}} - {{service_name}}.{{container_id}}\n\nCPU平均使用率: {{usage_percent_avg}}\n\nCPU限制: {{limit_value}}核\n\n机器: {{host_ip}}\n\n时间: {{timestamp}}\n\n[查看详情]({{display_url}})\n','{\"container_id\":\"string:6\",\"limit_value\":\"fraction:1\",\"usage_percent_avg\":\"percent:1\"}','1.0','2021-05-28 11:54:52','2021-05-28 11:54:55',0),(962,'应用实例CPU使用率异常','app_resource','app_resource_container_cpu','ticket','alert','【{{application_name}}应用{{service_name}}服务实例CPU使用率告警】\n','【应用实例CPU使用率异常告警】\n\n项目: {{project_name}}\n\n应用: {{application_name}}\n\n服务实例: {{runtime_name}} - {{service_name}}.{{container_id}}\n\nCPU平均使用率: {{usage_percent_avg}}\n\nCPU限制: {{limit_value}}核\n\n机器: {{host_ip}}\n\n时间: {{timestamp}}\n\n[查看详情]({{display_url}})\n','{\"container_id\":\"string:6\",\"limit_value\":\"fraction:1\",\"usage_percent_avg\":\"percent:1\"}','1.0','2021-05-28 11:54:52','2021-05-28 11:54:55',0),(963,'应用实例CPU使用率异常','app_resource','app_resource_container_cpu','email','alert','【{{application_name}}应用{{service_name}}服务实例CPU使用率告警】\n','【应用实例CPU使用率异常告警】\n\n项目: {{project_name}}\n\n应用: {{application_name}}\n\n服务实例: {{runtime_name}} - {{service_name}}.{{container_id}}\n\nCPU平均使用率: {{usage_percent_avg}}\n\nCPU限制: {{limit_value}}核\n\n机器: {{host_ip}}\n\n时间: {{timestamp}}\n\n[查看详情]({{display_url}})\n','{\"container_id\":\"string:6\",\"limit_value\":\"fraction:1\",\"usage_percent_avg\":\"percent:1\"}','1.0','2021-05-28 11:54:52','2021-05-28 11:54:55',0),(964,'应用实例CPU使用率异常','app_resource','app_resource_container_cpu','mbox','alert','【{{application_name}}应用{{service_name}}服务实例CPU使用率告警】\n','【应用实例CPU使用率异常告警】\n\n项目: {{project_name}}\n\n应用: {{application_name}}\n\n服务实例: {{runtime_name}} - {{service_name}}.{{container_id}}\n\nCPU平均使用率: {{usage_percent_avg}}\n\nCPU限制: {{limit_value}}核\n\n机器: {{host_ip}}\n\n时间: {{timestamp}}\n\n[查看详情]({{display_url}})\n','{\"container_id\":\"string:6\",\"limit_value\":\"fraction:1\",\"usage_percent_avg\":\"percent:1\"}','1.0','2021-05-28 11:54:52','2021-05-28 11:54:55',0),(965,'应用实例CPU使用率恢复','app_resource','app_resource_container_cpu','dingding','recover','【{{application_name}}应用{{service_name}}服务实例CPU使用率恢复】\n','【应用实例CPU使用率恢复】\n\n项目: {{project_name}}\n\n应用: {{application_name}}\n\n服务实例: {{runtime_name}} - {{service_name}}.{{container_id}}\n\n平均使用率: {{usage_percent_avg}}\n\n机器: {{host_ip}}\n\n容器ID: {{container_id}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}','{\"container_id\":\"string:6\",\"trigger_duration\":\"time:ms\",\"usage_percent_avg\":\"percent:1\"}','1.0','2021-05-28 11:54:52','2021-05-28 11:54:55',0),(966,'应用实例CPU使用率恢复','app_resource','app_resource_container_cpu','ticket','recover','【{{application_name}}应用{{service_name}}服务实例CPU使用率恢复】\n','【应用实例CPU使用率恢复】\n\n项目: {{project_name}}\n\n应用: {{application_name}}\n\n服务实例: {{runtime_name}} - {{service_name}}.{{container_id}}\n\n平均使用率: {{usage_percent_avg}}\n\n机器: {{host_ip}}\n\n容器ID: {{container_id}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}','{\"container_id\":\"string:6\",\"trigger_duration\":\"time:ms\",\"usage_percent_avg\":\"percent:1\"}','1.0','2021-05-28 11:54:52','2021-05-28 11:54:55',0),(967,'应用实例CPU使用率恢复','app_resource','app_resource_container_cpu','email','recover','【{{application_name}}应用{{service_name}}服务实例CPU使用率恢复】\n','【应用实例CPU使用率恢复】\n\n项目: {{project_name}}\n\n应用: {{application_name}}\n\n服务实例: {{runtime_name}} - {{service_name}}.{{container_id}}\n\n平均使用率: {{usage_percent_avg}}\n\n机器: {{host_ip}}\n\n容器ID: {{container_id}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}','{\"container_id\":\"string:6\",\"trigger_duration\":\"time:ms\",\"usage_percent_avg\":\"percent:1\"}','1.0','2021-05-28 11:54:52','2021-05-28 11:54:55',0),(968,'应用实例CPU使用率恢复','app_resource','app_resource_container_cpu','mbox','recover','【{{application_name}}应用{{service_name}}服务实例CPU使用率恢复】\n','【应用实例CPU使用率恢复】\n\n项目: {{project_name}}\n\n应用: {{application_name}}\n\n服务实例: {{runtime_name}} - {{service_name}}.{{container_id}}\n\n平均使用率: {{usage_percent_avg}}\n\n机器: {{host_ip}}\n\n容器ID: {{container_id}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}','{\"container_id\":\"string:6\",\"trigger_duration\":\"time:ms\",\"usage_percent_avg\":\"percent:1\"}','1.0','2021-05-28 11:54:52','2021-05-28 11:54:55',0),(969,'应用实例内存使用率异常','app_resource','app_resource_container_mem','dingding','alert','【{{application_name}}应用{{service_name}}服务内存使用率异常告警】\n','【应用实例内存使用率异常告警】\n\n项目: {{project_name}}\n\n应用: {{application_name}}\n\n服务实例: {{runtime_name}} - {{service_name}}.{{container_id}}\n\n内存使用率: {{usage_percent_avg}}\n\n内存使用: {{usage_value}}\n\n内存限制: {{limit_value}}\n\n机器: {{host_ip}}\n\n时间: {{timestamp}}\n\n[查看详情]({{display_url}})\n','{\"container_id\":\"string:6\",\"limit_value\":\"size:byte\",\"usage_percent_avg\":\"percent:1\",\"usage_value\":\"size:byte\"}','1.0','2021-05-28 11:54:52','2021-05-28 11:54:55',0),(970,'应用实例内存使用率异常','app_resource','app_resource_container_mem','ticket','alert','【{{application_name}}应用{{service_name}}服务内存使用率异常告警】\n','【应用实例内存使用率异常告警】\n\n项目: {{project_name}}\n\n应用: {{application_name}}\n\n服务实例: {{runtime_name}} - {{service_name}}.{{container_id}}\n\n内存使用率: {{usage_percent_avg}}\n\n内存使用: {{usage_value}}\n\n内存限制: {{limit_value}}\n\n机器: {{host_ip}}\n\n时间: {{timestamp}}\n\n[查看详情]({{display_url}})\n','{\"container_id\":\"string:6\",\"limit_value\":\"size:byte\",\"usage_percent_avg\":\"percent:1\",\"usage_value\":\"size:byte\"}','1.0','2021-05-28 11:54:52','2021-05-28 11:54:55',0),(971,'应用实例内存使用率异常','app_resource','app_resource_container_mem','email','alert','【{{application_name}}应用{{service_name}}服务内存使用率异常告警】\n','【应用实例内存使用率异常告警】\n\n项目: {{project_name}}\n\n应用: {{application_name}}\n\n服务实例: {{runtime_name}} - {{service_name}}.{{container_id}}\n\n内存使用率: {{usage_percent_avg}}\n\n内存使用: {{usage_value}}\n\n内存限制: {{limit_value}}\n\n机器: {{host_ip}}\n\n时间: {{timestamp}}\n\n[查看详情]({{display_url}})\n','{\"container_id\":\"string:6\",\"limit_value\":\"size:byte\",\"usage_percent_avg\":\"percent:1\",\"usage_value\":\"size:byte\"}','1.0','2021-05-28 11:54:52','2021-05-28 11:54:55',0),(972,'应用实例内存使用率异常','app_resource','app_resource_container_mem','mbox','alert','【{{application_name}}应用{{service_name}}服务内存使用率异常告警】\n','【应用实例内存使用率异常告警】\n\n项目: {{project_name}}\n\n应用: {{application_name}}\n\n服务实例: {{runtime_name}} - {{service_name}}.{{container_id}}\n\n内存使用率: {{usage_percent_avg}}\n\n内存使用: {{usage_value}}\n\n内存限制: {{limit_value}}\n\n机器: {{host_ip}}\n\n时间: {{timestamp}}\n\n[查看详情]({{display_url}})\n','{\"container_id\":\"string:6\",\"limit_value\":\"size:byte\",\"usage_percent_avg\":\"percent:1\",\"usage_value\":\"size:byte\"}','1.0','2021-05-28 11:54:52','2021-05-28 11:54:55',0),(973,'应用实例内存异常','app_resource','app_resource_container_mem','dingding','recover','【{{application_name}}应用{{service_name}}服务内存使用率异常恢复】\n','【应用实例内存使用率异常恢复】\n\n项目: {{project_name}}\n\n应用: {{application_name}}\n\n服务实例: {{runtime_name}} - {{service_name}}.{{container_id}}\n\n内存使用率: {{usage_percent_avg}}\n\n内存使用: {{usage_value}}\n\n内存限制: {{limit_value}}\n\n机器: {{host_ip}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}','{\"container_id\":\"string:6\",\"trigger_duration\":\"time:ms\",\"usage_percent_avg\":\"percent:1\"}','1.0','2021-05-28 11:54:52','2021-05-28 11:54:55',0),(974,'应用实例内存异常','app_resource','app_resource_container_mem','ticket','recover','【{{application_name}}应用{{service_name}}服务内存使用率异常恢复】\n','【应用实例内存使用率异常恢复】\n\n项目: {{project_name}}\n\n应用: {{application_name}}\n\n服务实例: {{runtime_name}} - {{service_name}}.{{container_id}}\n\n内存使用率: {{usage_percent_avg}}\n\n内存使用: {{usage_value}}\n\n内存限制: {{limit_value}}\n\n机器: {{host_ip}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}','{\"container_id\":\"string:6\",\"trigger_duration\":\"time:ms\",\"usage_percent_avg\":\"percent:1\"}','1.0','2021-05-28 11:54:52','2021-05-28 11:54:55',0),(975,'应用实例内存异常','app_resource','app_resource_container_mem','email','recover','【{{application_name}}应用{{service_name}}服务内存使用率异常恢复】\n','【应用实例内存使用率异常恢复】\n\n项目: {{project_name}}\n\n应用: {{application_name}}\n\n服务实例: {{runtime_name}} - {{service_name}}.{{container_id}}\n\n内存使用率: {{usage_percent_avg}}\n\n内存使用: {{usage_value}}\n\n内存限制: {{limit_value}}\n\n机器: {{host_ip}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}','{\"container_id\":\"string:6\",\"trigger_duration\":\"time:ms\",\"usage_percent_avg\":\"percent:1\"}','1.0','2021-05-28 11:54:52','2021-05-28 11:54:55',0),(976,'应用实例内存异常','app_resource','app_resource_container_mem','mbox','recover','【{{application_name}}应用{{service_name}}服务内存使用率异常恢复】\n','【应用实例内存使用率异常恢复】\n\n项目: {{project_name}}\n\n应用: {{application_name}}\n\n服务实例: {{runtime_name}} - {{service_name}}.{{container_id}}\n\n内存使用率: {{usage_percent_avg}}\n\n内存使用: {{usage_value}}\n\n内存限制: {{limit_value}}\n\n机器: {{host_ip}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}','{\"container_id\":\"string:6\",\"trigger_duration\":\"time:ms\",\"usage_percent_avg\":\"percent:1\"}','1.0','2021-05-28 11:54:52','2021-05-28 11:54:55',0),(977,'应用实例OOM告警','app_resource','app_resource_container_oom','dingding','alert','【{{application_name}}应用{{service_name}}服务实例OOM告警】\n','【应用实例OOM告警】\n\n项目: {{project_name}}\n\n应用: {{application_name}}\n\n服务实例: {{runtime_name}} - {{service_name}}.{{container_id}}\n\n事件: 服务实例发生OOM\n\n机器: {{host_ip}}\n\n时间: {{timestamp}}\n\n[查看详情]({{display_url}})','{\"container_id\":\"string:6\"}','1.0','2021-05-28 11:54:52','2021-05-28 11:54:55',0),(978,'应用实例OOM告警','app_resource','app_resource_container_oom','ticket','alert','【{{application_name}}应用{{service_name}}服务实例OOM告警】\n','【应用实例OOM告警】\n\n项目: {{project_name}}\n\n应用: {{application_name}}\n\n服务实例: {{runtime_name}} - {{service_name}}.{{container_id}}\n\n事件: 服务实例发生OOM\n\n机器: {{host_ip}}\n\n时间: {{timestamp}}\n\n[查看详情]({{display_url}})','{\"container_id\":\"string:6\"}','1.0','2021-05-28 11:54:52','2021-05-28 11:54:55',0),(979,'应用实例OOM告警','app_resource','app_resource_container_oom','email','alert','【{{application_name}}应用{{service_name}}服务实例OOM告警】\n','【应用实例OOM告警】\n\n项目: {{project_name}}\n\n应用: {{application_name}}\n\n服务实例: {{runtime_name}} - {{service_name}}.{{container_id}}\n\n事件: 服务实例发生OOM\n\n机器: {{host_ip}}\n\n时间: {{timestamp}}\n\n[查看详情]({{display_url}})','{\"container_id\":\"string:6\"}','1.0','2021-05-28 11:54:52','2021-05-28 11:54:55',0),(980,'应用实例OOM告警','app_resource','app_resource_container_oom','mbox','alert','【{{application_name}}应用{{service_name}}服务实例OOM告警】\n','【应用实例OOM告警】\n\n项目: {{project_name}}\n\n应用: {{application_name}}\n\n服务实例: {{runtime_name}} - {{service_name}}.{{container_id}}\n\n事件: 服务实例发生OOM\n\n机器: {{host_ip}}\n\n时间: {{timestamp}}\n\n[查看详情]({{display_url}})','{\"container_id\":\"string:6\"}','1.0','2021-05-28 11:54:52','2021-05-28 11:54:55',0),(981,'应用JVM GC次数异常','app_resource','app_resource_jvm_gc_count','dingding','alert','【{{application_name}}应用{{service_name}}服务JVM GC次数异常告警】\n','【应用JVM GC次数异常告警】\n\n实例GC次数太多 !\n\n项目: {{project_name}}\n\n应用: {{application_name}}\n\n服务: {{runtime_name}} / {{service_name}}\n\n老年代GC次数: {{count_sum}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n时间: {{timestamp}}\n\n[查看详情]({{display_url}})\n','','1.0','2021-05-28 11:54:52','2021-05-28 11:54:55',0),(982,'应用JVM GC次数异常','app_resource','app_resource_jvm_gc_count','ticket','alert','【{{application_name}}应用{{service_name}}服务JVM GC次数异常告警】\n','【应用JVM GC次数异常告警】\n\n实例GC次数太多 !\n\n项目: {{project_name}}\n\n应用: {{application_name}}\n\n服务: {{runtime_name}} / {{service_name}}\n\n老年代GC次数: {{count_sum}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n时间: {{timestamp}}\n\n[查看详情]({{display_url}})\n','','1.0','2021-05-28 11:54:52','2021-05-28 11:54:55',0),(983,'应用JVM GC次数异常','app_resource','app_resource_jvm_gc_count','email','alert','【{{application_name}}应用{{service_name}}服务JVM GC次数异常告警】\n','【应用JVM GC次数异常告警】\n\n实例GC次数太多 !\n\n项目: {{project_name}}\n\n应用: {{application_name}}\n\n服务: {{runtime_name}} / {{service_name}}\n\n老年代GC次数: {{count_sum}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n时间: {{timestamp}}\n\n[查看详情]({{display_url}})\n','','1.0','2021-05-28 11:54:52','2021-05-28 11:54:55',0),(984,'应用JVM GC次数异常','app_resource','app_resource_jvm_gc_count','mbox','alert','【{{application_name}}应用{{service_name}}服务JVM GC次数异常告警】\n','【应用JVM GC次数异常告警】\n\n实例GC次数太多 !\n\n项目: {{project_name}}\n\n应用: {{application_name}}\n\n服务: {{runtime_name}} / {{service_name}}\n\n老年代GC次数: {{count_sum}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n时间: {{timestamp}}\n\n[查看详情]({{display_url}})\n','','1.0','2021-05-28 11:54:52','2021-05-28 11:54:55',0),(985,'应用JVM GC次数异常','app_resource','app_resource_jvm_gc_count','dingding','recover','【{{application_name}}应用{{service_name}}服务JVM GC次数异常恢复】\n','【应用JVM GC次数异常恢复】\n\n实例GC次数已恢复正常值 .\n\n项目: {{project_name}}\n\n应用: {{application_name}}\n\n服务: {{runtime_name}} / {{service_name}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n持续时间: {{trigger_duration_min}}\n\n恢复时间: {{timestamp}}\n','','1.0','2021-05-28 11:54:52','2021-05-28 11:54:55',0),(986,'应用JVM GC次数异常','app_resource','app_resource_jvm_gc_count','ticket','recover','【{{application_name}}应用{{service_name}}服务JVM GC次数异常恢复】\n','【应用JVM GC次数异常恢复】\n\n实例GC次数已恢复正常值 .\n\n项目: {{project_name}}\n\n应用: {{application_name}}\n\n服务: {{runtime_name}} / {{service_name}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n持续时间: {{trigger_duration_min}}\n\n恢复时间: {{timestamp}}\n','','1.0','2021-05-28 11:54:52','2021-05-28 11:54:55',0),(987,'应用JVM GC次数异常','app_resource','app_resource_jvm_gc_count','email','recover','【{{application_name}}应用{{service_name}}服务JVM GC次数异常恢复】\n','【应用JVM GC次数异常恢复】\n\n实例GC次数已恢复正常值 .\n\n项目: {{project_name}}\n\n应用: {{application_name}}\n\n服务: {{runtime_name}} / {{service_name}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n持续时间: {{trigger_duration_min}}\n\n恢复时间: {{timestamp}}\n','','1.0','2021-05-28 11:54:52','2021-05-28 11:54:55',0),(988,'应用JVM GC次数异常','app_resource','app_resource_jvm_gc_count','mbox','recover','【{{application_name}}应用{{service_name}}服务JVM GC次数异常恢复】\n','【应用JVM GC次数异常恢复】\n\n实例GC次数已恢复正常值 .\n\n项目: {{project_name}}\n\n应用: {{application_name}}\n\n服务: {{runtime_name}} / {{service_name}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n持续时间: {{trigger_duration_min}}\n\n恢复时间: {{timestamp}}\n','','1.0','2021-05-28 11:54:52','2021-05-28 11:54:55',0),(989,'应用JVM GC耗时异常','app_resource','app_resource_jvm_gc_time','dingding','alert','【{{application_name}}应用{{service_name}}服务JVM GC耗时异常告警】\n','【应用JVM GC耗时异常告警】\n\n实例GC耗时过长 !\n\n项目: {{project_name}}\n\n应用: {{application_name}}\n\n服务: {{runtime_name}} / {{service_name}}\n\n老年代GC耗时: 总耗时{{time_sum}}，最后一次耗时{{time_value}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n时间: {{timestamp}}\n\n[查看详情]({{display_url}})\n','{\"time_sum\":\"time:ms\",\"time_value\":\"time:ms\"}','1.0','2021-05-28 11:54:52','2021-05-28 11:54:55',0),(990,'应用JVM GC耗时异常','app_resource','app_resource_jvm_gc_time','ticket','alert','【{{application_name}}应用{{service_name}}服务JVM GC耗时异常告警】\n','【应用JVM GC耗时异常告警】\n\n实例GC耗时过长 !\n\n项目: {{project_name}}\n\n应用: {{application_name}}\n\n服务: {{runtime_name}} / {{service_name}}\n\n老年代GC耗时: 总耗时{{time_sum}}，最后一次耗时{{time_value}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n时间: {{timestamp}}\n\n[查看详情]({{display_url}})\n','{\"time_sum\":\"time:ms\",\"time_value\":\"time:ms\"}','1.0','2021-05-28 11:54:52','2021-05-28 11:54:55',0),(991,'应用JVM GC耗时异常','app_resource','app_resource_jvm_gc_time','email','alert','【{{application_name}}应用{{service_name}}服务JVM GC耗时异常告警】\n','【应用JVM GC耗时异常告警】\n\n实例GC耗时过长 !\n\n项目: {{project_name}}\n\n应用: {{application_name}}\n\n服务: {{runtime_name}} / {{service_name}}\n\n老年代GC耗时: 总耗时{{time_sum}}，最后一次耗时{{time_value}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n时间: {{timestamp}}\n\n[查看详情]({{display_url}})\n','{\"time_sum\":\"time:ms\",\"time_value\":\"time:ms\"}','1.0','2021-05-28 11:54:52','2021-05-28 11:54:55',0),(992,'应用JVM GC耗时异常','app_resource','app_resource_jvm_gc_time','mbox','alert','【{{application_name}}应用{{service_name}}服务JVM GC耗时异常告警】\n','【应用JVM GC耗时异常告警】\n\n实例GC耗时过长 !\n\n项目: {{project_name}}\n\n应用: {{application_name}}\n\n服务: {{runtime_name}} / {{service_name}}\n\n老年代GC耗时: 总耗时{{time_sum}}，最后一次耗时{{time_value}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n时间: {{timestamp}}\n\n[查看详情]({{display_url}})\n','{\"time_sum\":\"time:ms\",\"time_value\":\"time:ms\"}','1.0','2021-05-28 11:54:52','2021-05-28 11:54:55',0),(993,'应用JVM GC耗时异常','app_resource','app_resource_jvm_gc_time','dingding','recover','【{{application_name}}应用{{service_name}}服务JVM GC耗时异常恢复】\n','【应用JVM GC耗时异常恢复】\n\n实例GC耗时已恢复正常值 .\n\n项目: {{project_name}}\n\n应用: {{application_name}}\n\n服务: {{runtime_name}} / {{service_name}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n持续时间: {{trigger_duration_min}}\n\n恢复时间: {{timestamp}}\n','','1.0','2021-05-28 11:54:52','2021-05-28 11:54:55',0),(994,'应用JVM GC耗时异常','app_resource','app_resource_jvm_gc_time','ticket','recover','【{{application_name}}应用{{service_name}}服务JVM GC耗时异常恢复】\n','【应用JVM GC耗时异常恢复】\n\n实例GC耗时已恢复正常值 .\n\n项目: {{project_name}}\n\n应用: {{application_name}}\n\n服务: {{runtime_name}} / {{service_name}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n持续时间: {{trigger_duration_min}}\n\n恢复时间: {{timestamp}}\n','','1.0','2021-05-28 11:54:52','2021-05-28 11:54:55',0),(995,'应用JVM GC耗时异常','app_resource','app_resource_jvm_gc_time','email','recover','【{{application_name}}应用{{service_name}}服务JVM GC耗时异常恢复】\n','【应用JVM GC耗时异常恢复】\n\n实例GC耗时已恢复正常值 .\n\n项目: {{project_name}}\n\n应用: {{application_name}}\n\n服务: {{runtime_name}} / {{service_name}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n持续时间: {{trigger_duration_min}}\n\n恢复时间: {{timestamp}}\n','','1.0','2021-05-28 11:54:52','2021-05-28 11:54:55',0),(996,'应用JVM GC耗时异常','app_resource','app_resource_jvm_gc_time','mbox','recover','【{{application_name}}应用{{service_name}}服务JVM GC耗时异常恢复】\n','【应用JVM GC耗时异常恢复】\n\n实例GC耗时已恢复正常值 .\n\n项目: {{project_name}}\n\n应用: {{application_name}}\n\n服务: {{runtime_name}} / {{service_name}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n持续时间: {{trigger_duration_min}}\n\n恢复时间: {{timestamp}}\n','','1.0','2021-05-28 11:54:52','2021-05-28 11:54:55',0),(997,'JVM堆内存使用异常告警','app_resource','app_resource_jvm_heap','dingding','alert','【{{application_name}}应用{{service_name}}服务JVM堆内存使用异常告警】','【JVM堆内存使用异常告警】\n\n实例JVM堆内存使用过高 ！\n\n项目: {{project_name}}\n\n应用: {{application_name}}\n\n服务: {{runtime_name}} / {{service_name}}\n\n实例: {{instance_id}}\n\n堆内存使用率: {{usage_percent_avg}}\n\n已使用: {{used_value}}\n\n最大使用: {{max_value}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n时间: {{timestamp}}\n\n[查看详情]({{display_url}})\n','{\"max_value\":\"size:byte\",\"usage_percent_avg\":\"percent\",\"used_value\":\"size:byte\"}','1.0','2021-05-28 11:54:52','2021-05-28 11:54:55',0),(998,'JVM堆内存使用异常告警','app_resource','app_resource_jvm_heap','ticket','alert','【{{application_name}}应用{{service_name}}服务JVM堆内存使用异常告警】','【JVM堆内存使用异常告警】\n\n实例JVM堆内存使用过高 ！\n\n项目: {{project_name}}\n\n应用: {{application_name}}\n\n服务: {{runtime_name}} / {{service_name}}\n\n实例: {{instance_id}}\n\n堆内存使用率: {{usage_percent_avg}}\n\n已使用: {{used_value}}\n\n最大使用: {{max_value}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n时间: {{timestamp}}\n\n[查看详情]({{display_url}})\n','{\"max_value\":\"size:byte\",\"usage_percent_avg\":\"percent\",\"used_value\":\"size:byte\"}','1.0','2021-05-28 11:54:52','2021-05-28 11:54:55',0),(999,'JVM堆内存使用异常告警','app_resource','app_resource_jvm_heap','email','alert','【{{application_name}}应用{{service_name}}服务JVM堆内存使用异常告警】','【JVM堆内存使用异常告警】\n\n实例JVM堆内存使用过高 ！\n\n项目: {{project_name}}\n\n应用: {{application_name}}\n\n服务: {{runtime_name}} / {{service_name}}\n\n实例: {{instance_id}}\n\n堆内存使用率: {{usage_percent_avg}}\n\n已使用: {{used_value}}\n\n最大使用: {{max_value}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n时间: {{timestamp}}\n\n[查看详情]({{display_url}})\n','{\"max_value\":\"size:byte\",\"usage_percent_avg\":\"percent\",\"used_value\":\"size:byte\"}','1.0','2021-05-28 11:54:52','2021-05-28 11:54:55',0),(1000,'JVM堆内存使用异常告警','app_resource','app_resource_jvm_heap','mbox','alert','【{{application_name}}应用{{service_name}}服务JVM堆内存使用异常告警】','【JVM堆内存使用异常告警】\n\n实例JVM堆内存使用过高 ！\n\n项目: {{project_name}}\n\n应用: {{application_name}}\n\n服务: {{runtime_name}} / {{service_name}}\n\n实例: {{instance_id}}\n\n堆内存使用率: {{usage_percent_avg}}\n\n已使用: {{used_value}}\n\n最大使用: {{max_value}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n时间: {{timestamp}}\n\n[查看详情]({{display_url}})\n','{\"max_value\":\"size:byte\",\"usage_percent_avg\":\"percent\",\"used_value\":\"size:byte\"}','1.0','2021-05-28 11:54:52','2021-05-28 11:54:55',0),(1001,'JVM堆内存使用异常恢复','app_resource','app_resource_jvm_heap','dingding','recover','【{{application_name}}应用{{service_name}}服务JVM堆内存使用异常恢复】','【JVM堆内存使用异常恢复】\n\n实例JVM堆内存已恢复恢复正常使用状态 .\n\n项目: {{project_name}}\n\n应用: {{application_name}}\n\n服务: {{runtime_name}} / {{service_name}}\n\n实例: {{instance_id}}\n\n堆内存使用率: {{usage_percent_avg}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n持续时间: {{trigger_duration_min}}\n\n恢复时间: {{timestamp}}\n','{\"usage_percent_avg\":\"percent\"}','1.0','2021-05-28 11:54:52','2021-05-28 11:54:55',0),(1002,'JVM堆内存使用异常恢复','app_resource','app_resource_jvm_heap','ticket','recover','【{{application_name}}应用{{service_name}}服务JVM堆内存使用异常恢复】','【JVM堆内存使用异常恢复】\n\n实例JVM堆内存已恢复恢复正常使用状态 .\n\n项目: {{project_name}}\n\n应用: {{application_name}}\n\n服务: {{runtime_name}} / {{service_name}}\n\n实例: {{instance_id}}\n\n堆内存使用率: {{usage_percent_avg}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n持续时间: {{trigger_duration_min}}\n\n恢复时间: {{timestamp}}\n','{\"usage_percent_avg\":\"percent\"}','1.0','2021-05-28 11:54:52','2021-05-28 11:54:55',0),(1003,'JVM堆内存使用异常恢复','app_resource','app_resource_jvm_heap','email','recover','【{{application_name}}应用{{service_name}}服务JVM堆内存使用异常恢复】','【JVM堆内存使用异常恢复】\n\n实例JVM堆内存已恢复恢复正常使用状态 .\n\n项目: {{project_name}}\n\n应用: {{application_name}}\n\n服务: {{runtime_name}} / {{service_name}}\n\n实例: {{instance_id}}\n\n堆内存使用率: {{usage_percent_avg}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n持续时间: {{trigger_duration_min}}\n\n恢复时间: {{timestamp}}\n','{\"usage_percent_avg\":\"percent\"}','1.0','2021-05-28 11:54:52','2021-05-28 11:54:55',0),(1004,'JVM堆内存使用异常恢复','app_resource','app_resource_jvm_heap','mbox','recover','【{{application_name}}应用{{service_name}}服务JVM堆内存使用异常恢复】','【JVM堆内存使用异常恢复】\n\n实例JVM堆内存已恢复恢复正常使用状态 .\n\n项目: {{project_name}}\n\n应用: {{application_name}}\n\n服务: {{runtime_name}} / {{service_name}}\n\n实例: {{instance_id}}\n\n堆内存使用率: {{usage_percent_avg}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n持续时间: {{trigger_duration_min}}\n\n恢复时间: {{timestamp}}\n','{\"usage_percent_avg\":\"percent\"}','1.0','2021-05-28 11:54:52','2021-05-28 11:54:55',0),(1005,'应用NodeJS堆内存使用异常告警','app_resource','app_resource_nodejs_heap','dingding','alert','【{{application_name}}应用{{service_name}}服务NodeJS堆内存使用异常告警】','【应用NodeJS堆内存使用异常告警】\n\n实例NodeJS堆内存使用过高 ！\n\n项目: {{project_name}}\n\n应用: {{application_name}}\n\n服务: {{runtime_name}} / {{service_name}}\n\n实例: {{instance_id}}\n\n堆内存使用率: {{usage_percent_avg}}\n\n已使用: {{heap_used_value}}\n\n常驻内存: {{rss_value}}\n\n最大使用: {{max_value}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n时间: {{timestamp}}\n\n[查看详情]({{display_url}})\n','{\"heap_used_value\":\"size:byte\",\"max_value\":\"size:byte\",\"rss_value\":\"size:byte\",\"usage_percent_avg\":\"percent\"}','1.0','2021-05-28 11:54:52','2021-05-28 11:54:55',0),(1006,'应用NodeJS堆内存使用异常告警','app_resource','app_resource_nodejs_heap','ticket','alert','【{{application_name}}应用{{service_name}}服务NodeJS堆内存使用异常告警】','【应用NodeJS堆内存使用异常告警】\n\n实例NodeJS堆内存使用过高 ！\n\n项目: {{project_name}}\n\n应用: {{application_name}}\n\n服务: {{runtime_name}} / {{service_name}}\n\n实例: {{instance_id}}\n\n堆内存使用率: {{usage_percent_avg}}\n\n已使用: {{heap_used_value}}\n\n常驻内存: {{rss_value}}\n\n最大使用: {{max_value}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n时间: {{timestamp}}\n\n[查看详情]({{display_url}})\n','{\"heap_used_value\":\"size:byte\",\"max_value\":\"size:byte\",\"rss_value\":\"size:byte\",\"usage_percent_avg\":\"percent\"}','1.0','2021-05-28 11:54:52','2021-05-28 11:54:55',0),(1007,'应用NodeJS堆内存使用异常告警','app_resource','app_resource_nodejs_heap','email','alert','【{{application_name}}应用{{service_name}}服务NodeJS堆内存使用异常告警】','【应用NodeJS堆内存使用异常告警】\n\n实例NodeJS堆内存使用过高 ！\n\n项目: {{project_name}}\n\n应用: {{application_name}}\n\n服务: {{runtime_name}} / {{service_name}}\n\n实例: {{instance_id}}\n\n堆内存使用率: {{usage_percent_avg}}\n\n已使用: {{heap_used_value}}\n\n常驻内存: {{rss_value}}\n\n最大使用: {{max_value}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n时间: {{timestamp}}\n\n[查看详情]({{display_url}})\n','{\"heap_used_value\":\"size:byte\",\"max_value\":\"size:byte\",\"rss_value\":\"size:byte\",\"usage_percent_avg\":\"percent\"}','1.0','2021-05-28 11:54:52','2021-05-28 11:54:55',0),(1008,'应用NodeJS堆内存使用异常告警','app_resource','app_resource_nodejs_heap','mbox','alert','【{{application_name}}应用{{service_name}}服务NodeJS堆内存使用异常告警】','【应用NodeJS堆内存使用异常告警】\n\n实例NodeJS堆内存使用过高 ！\n\n项目: {{project_name}}\n\n应用: {{application_name}}\n\n服务: {{runtime_name}} / {{service_name}}\n\n实例: {{instance_id}}\n\n堆内存使用率: {{usage_percent_avg}}\n\n已使用: {{heap_used_value}}\n\n常驻内存: {{rss_value}}\n\n最大使用: {{max_value}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n时间: {{timestamp}}\n\n[查看详情]({{display_url}})\n','{\"heap_used_value\":\"size:byte\",\"max_value\":\"size:byte\",\"rss_value\":\"size:byte\",\"usage_percent_avg\":\"percent\"}','1.0','2021-05-28 11:54:52','2021-05-28 11:54:55',0),(1009,'应用NodeJS堆内存使用异常恢复','app_resource','app_resource_nodejs_heap','dingding','recover','【{{application_name}}应用{{service_name}}服务NodeJS堆内存使用异常恢复】','【应用NodeJS堆内存使用异常恢复】\n\nNodeJS堆内存已恢复恢复正常状态 .\n\n项目: {{project_name}}\n\n应用: {{application_name}}\n\n服务: {{runtime_name}} / {{service_name}}\n\n实例: {{instance_id}}\n\n堆内存使用率: {{usage_percent_avg}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n持续时间: {{trigger_duration_min}}\n\n恢复时间: {{timestamp}}\n','{\"usage_percent_avg\":\"percent\"}','1.0','2021-05-28 11:54:52','2021-05-28 11:54:55',0),(1010,'应用NodeJS堆内存使用异常恢复','app_resource','app_resource_nodejs_heap','ticket','recover','【{{application_name}}应用{{service_name}}服务NodeJS堆内存使用异常恢复】','【应用NodeJS堆内存使用异常恢复】\n\nNodeJS堆内存已恢复恢复正常状态 .\n\n项目: {{project_name}}\n\n应用: {{application_name}}\n\n服务: {{runtime_name}} / {{service_name}}\n\n实例: {{instance_id}}\n\n堆内存使用率: {{usage_percent_avg}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n持续时间: {{trigger_duration_min}}\n\n恢复时间: {{timestamp}}\n','{\"usage_percent_avg\":\"percent\"}','1.0','2021-05-28 11:54:52','2021-05-28 11:54:55',0),(1011,'应用NodeJS堆内存使用异常恢复','app_resource','app_resource_nodejs_heap','email','recover','【{{application_name}}应用{{service_name}}服务NodeJS堆内存使用异常恢复】','【应用NodeJS堆内存使用异常恢复】\n\nNodeJS堆内存已恢复恢复正常状态 .\n\n项目: {{project_name}}\n\n应用: {{application_name}}\n\n服务: {{runtime_name}} / {{service_name}}\n\n实例: {{instance_id}}\n\n堆内存使用率: {{usage_percent_avg}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n持续时间: {{trigger_duration_min}}\n\n恢复时间: {{timestamp}}\n','{\"usage_percent_avg\":\"percent\"}','1.0','2021-05-28 11:54:52','2021-05-28 11:54:55',0),(1012,'应用NodeJS堆内存使用异常恢复','app_resource','app_resource_nodejs_heap','mbox','recover','【{{application_name}}应用{{service_name}}服务NodeJS堆内存使用异常恢复】','【应用NodeJS堆内存使用异常恢复】\n\nNodeJS堆内存已恢复恢复正常状态 .\n\n项目: {{project_name}}\n\n应用: {{application_name}}\n\n服务: {{runtime_name}} / {{service_name}}\n\n实例: {{instance_id}}\n\n堆内存使用率: {{usage_percent_avg}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n持续时间: {{trigger_duration_min}}\n\n恢复时间: {{timestamp}}\n','{\"usage_percent_avg\":\"percent\"}','1.0','2021-05-28 11:54:52','2021-05-28 11:54:55',0),(1013,' 页面内容改变','app_status','app_status_browser','dingding','alert','【{{project_name}}项目{{status_metric_name}}页面内容改变告警】\n','【页面内容改变告警】\n\n项目: {{project_name}}\n\n环境: {{workspace}}\n\n事件：[{{status_metric_name}}]({{url}})页面内容和基准点对比不一致\n\n时间: {{timestamp}}\n\n[查看详情]({{display_url}})\n','','1.0','2021-05-28 11:54:52','2021-05-28 11:54:55',0),(1014,' 页面内容改变','app_status','app_status_browser','ticket','alert','【{{project_name}}项目{{status_metric_name}}页面内容改变告警】\n','【页面内容改变告警】\n\n项目: {{project_name}}\n\n环境: {{workspace}}\n\n事件：[{{status_metric_name}}]({{url}})页面内容和基准点对比不一致\n\n时间: {{timestamp}}\n\n[查看详情]({{display_url}})\n','','1.0','2021-05-28 11:54:52','2021-05-28 11:54:55',0),(1015,' 页面内容改变','app_status','app_status_browser','email','alert','【{{project_name}}项目{{status_metric_name}}页面内容改变告警】\n','【页面内容改变告警】\n\n项目: {{project_name}}\n\n环境: {{workspace}}\n\n事件：[{{status_metric_name}}]({{url}})页面内容和基准点对比不一致\n\n时间: {{timestamp}}\n\n[查看详情]({{display_url}})\n','','1.0','2021-05-28 11:54:52','2021-05-28 11:54:55',0),(1016,' 页面内容改变','app_status','app_status_browser','mbox','alert','【{{project_name}}项目{{status_metric_name}}页面内容改变告警】\n','【页面内容改变告警】\n\n项目: {{project_name}}\n\n环境: {{workspace}}\n\n事件：[{{status_metric_name}}]({{url}})页面内容和基准点对比不一致\n\n时间: {{timestamp}}\n\n[查看详情]({{display_url}})\n','','1.0','2021-05-28 11:54:52','2021-05-28 11:54:55',0),(1017,' 业务请求状态异常','app_status','app_status_browser','dingding','recover','【{{project_name}}项目{{status_metric_name}}页面内容改变恢复】\n','【页面内容改变恢复】\n\n[{{status_metric_name}}]({{url}}) 页面内容改变 .\n\n项目: {{project_name}}\n\n环境: {{workspace}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n','{\"trigger_duration\":\"time:ms\"}','1.0','2021-05-28 11:54:52','2021-05-28 11:54:55',0),(1018,' 业务请求状态异常','app_status','app_status_browser','ticket','recover','【{{project_name}}项目{{status_metric_name}}页面内容改变恢复】\n','【页面内容改变恢复】\n\n[{{status_metric_name}}]({{url}}) 页面内容改变 .\n\n项目: {{project_name}}\n\n环境: {{workspace}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n','{\"trigger_duration\":\"time:ms\"}','1.0','2021-05-28 11:54:52','2021-05-28 11:54:55',0),(1019,' 业务请求状态异常','app_status','app_status_browser','email','recover','【{{project_name}}项目{{status_metric_name}}页面内容改变恢复】\n','【页面内容改变恢复】\n\n[{{status_metric_name}}]({{url}}) 页面内容改变 .\n\n项目: {{project_name}}\n\n环境: {{workspace}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n','{\"trigger_duration\":\"time:ms\"}','1.0','2021-05-28 11:54:52','2021-05-28 11:54:55',0),(1020,' 业务请求状态异常','app_status','app_status_browser','mbox','recover','【{{project_name}}项目{{status_metric_name}}页面内容改变恢复】\n','【页面内容改变恢复】\n\n[{{status_metric_name}}]({{url}}) 页面内容改变 .\n\n项目: {{project_name}}\n\n环境: {{workspace}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n','{\"trigger_duration\":\"time:ms\"}','1.0','2021-05-28 11:54:52','2021-05-28 11:54:55',0),(1021,' 主动监控HTTP状态异常','app_status','app_status_code','dingding','alert','【{{project_name}}项目{{status_metric_name}}指标HTTP状态异常告警】\n','【主动监控HTTP状态异常】\n\n项目: {{project_name}}\n\n环境: {{workspace}}\n\n事件: [{{status_metric_name}}]({{url}}) 指标状态异常\n\n响应状态码: {{code_min}}\n\n时间: {{timestamp}}\n\n[查看详情]({{display_url}})\n','','1.0','2021-05-28 11:54:52','2021-05-28 11:54:55',0),(1022,' 主动监控HTTP状态异常','app_status','app_status_code','ticket','alert','【{{project_name}}项目{{status_metric_name}}指标HTTP状态异常告警】\n','【主动监控HTTP状态异常】\n\n项目: {{project_name}}\n\n环境: {{workspace}}\n\n事件: [{{status_metric_name}}]({{url}}) 指标状态异常\n\n响应状态码: {{code_min}}\n\n时间: {{timestamp}}\n\n[查看详情]({{display_url}})\n','','1.0','2021-05-28 11:54:52','2021-05-28 11:54:55',0),(1023,' 主动监控HTTP状态异常','app_status','app_status_code','email','alert','【{{project_name}}项目{{status_metric_name}}指标HTTP状态异常告警】\n','【主动监控HTTP状态异常】\n\n项目: {{project_name}}\n\n环境: {{workspace}}\n\n事件: [{{status_metric_name}}]({{url}}) 指标状态异常\n\n响应状态码: {{code_min}}\n\n时间: {{timestamp}}\n\n[查看详情]({{display_url}})\n','','1.0','2021-05-28 11:54:52','2021-05-28 11:54:55',0),(1024,' 主动监控HTTP状态异常','app_status','app_status_code','mbox','alert','【{{project_name}}项目{{status_metric_name}}指标HTTP状态异常告警】\n','【主动监控HTTP状态异常】\n\n项目: {{project_name}}\n\n环境: {{workspace}}\n\n事件: [{{status_metric_name}}]({{url}}) 指标状态异常\n\n响应状态码: {{code_min}}\n\n时间: {{timestamp}}\n\n[查看详情]({{display_url}})\n','','1.0','2021-05-28 11:54:52','2021-05-28 11:54:55',0),(1025,'主动监控HTTP状态恢复','app_status','app_status_code','dingding','recover','【{{project_name}}项目{{status_metric_name}}指标HTTP状态恢复】\n','【主动监控HTTP状态恢复】\n\n项目: {{project_name}}\n\n环境: {{workspace}}\n\n事件: [{{status_metric_name}}]({{url}}) 指标状态恢复\n\n响应状态码: {{code_min}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n','{\"trigger_duration\":\"time:ms\"}','1.0','2021-05-28 11:54:52','2021-05-28 11:54:55',0),(1026,'主动监控HTTP状态恢复','app_status','app_status_code','ticket','recover','【{{project_name}}项目{{status_metric_name}}指标HTTP状态恢复】\n','【主动监控HTTP状态恢复】\n\n项目: {{project_name}}\n\n环境: {{workspace}}\n\n事件: [{{status_metric_name}}]({{url}}) 指标状态恢复\n\n响应状态码: {{code_min}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n','{\"trigger_duration\":\"time:ms\"}','1.0','2021-05-28 11:54:52','2021-05-28 11:54:55',0),(1027,'主动监控HTTP状态恢复','app_status','app_status_code','email','recover','【{{project_name}}项目{{status_metric_name}}指标HTTP状态恢复】\n','【主动监控HTTP状态恢复】\n\n项目: {{project_name}}\n\n环境: {{workspace}}\n\n事件: [{{status_metric_name}}]({{url}}) 指标状态恢复\n\n响应状态码: {{code_min}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n','{\"trigger_duration\":\"time:ms\"}','1.0','2021-05-28 11:54:52','2021-05-28 11:54:55',0),(1028,'主动监控HTTP状态恢复','app_status','app_status_code','mbox','recover','【{{project_name}}项目{{status_metric_name}}指标HTTP状态恢复】\n','【主动监控HTTP状态恢复】\n\n项目: {{project_name}}\n\n环境: {{workspace}}\n\n事件: [{{status_metric_name}}]({{url}}) 指标状态恢复\n\n响应状态码: {{code_min}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n','{\"trigger_duration\":\"time:ms\"}','1.0','2021-05-28 11:54:52','2021-05-28 11:54:55',0),(1029,'服务接口HTTP错误率异常','app_transaction','app_transaction_http_path_error','dingding','alert','【{{service_name}}服务接口HTTP错误率异常告警】','【服务接口HTTP错误率异常告警】\n\n项目: {{project_name}}\n\n应用: {{application_name}}\n\n服务: {{runtime_name}} - {{service_name}}\n\n接口: {{http_method}} {{http_url}}\n\n事件: {{ window }}分钟内HTTP错误率{{ error_percent_value }} 错误请求次数{{ error_count_sum }} 总请求次数{{ elapsed_count_sum }}\n\n时间: {{timestamp}}\n\n[查看详情]({{display_url}})\n','{\"error_percent_value\":\"percent\"}','1.0','2021-05-28 11:54:52','2021-05-28 11:54:55',0),(1030,'服务接口HTTP错误率异常','app_transaction','app_transaction_http_path_error','ticket','alert','【{{service_name}}服务接口HTTP错误率异常告警】','【服务接口HTTP错误率异常告警】\n\n项目: {{project_name}}\n\n应用: {{application_name}}\n\n服务: {{runtime_name}} - {{service_name}}\n\n接口: {{http_method}} {{http_url}}\n\n事件: {{ window }}分钟内HTTP错误率{{ error_percent_value }} 错误请求次数{{ error_count_sum }} 总请求次数{{ elapsed_count_sum }}\n\n时间: {{timestamp}}\n\n[查看详情]({{display_url}})\n','{\"error_percent_value\":\"percent\"}','1.0','2021-05-28 11:54:52','2021-05-28 11:54:55',0),(1031,'服务接口HTTP错误率异常','app_transaction','app_transaction_http_path_error','email','alert','【{{service_name}}服务接口HTTP错误率异常告警】','【服务接口HTTP错误率异常告警】\n\n项目: {{project_name}}\n\n应用: {{application_name}}\n\n服务: {{runtime_name}} - {{service_name}}\n\n接口: {{http_method}} {{http_url}}\n\n事件: {{ window }}分钟内HTTP错误率{{ error_percent_value }} 错误请求次数{{ error_count_sum }} 总请求次数{{ elapsed_count_sum }}\n\n时间: {{timestamp}}\n\n[查看详情]({{display_url}})\n','{\"error_percent_value\":\"percent\"}','1.0','2021-05-28 11:54:52','2021-05-28 11:54:55',0),(1032,'服务接口HTTP错误率异常','app_transaction','app_transaction_http_path_error','mbox','alert','【{{service_name}}服务接口HTTP错误率异常告警】','【服务接口HTTP错误率异常告警】\n\n项目: {{project_name}}\n\n应用: {{application_name}}\n\n服务: {{runtime_name}} - {{service_name}}\n\n接口: {{http_method}} {{http_url}}\n\n事件: {{ window }}分钟内HTTP错误率{{ error_percent_value }} 错误请求次数{{ error_count_sum }} 总请求次数{{ elapsed_count_sum }}\n\n时间: {{timestamp}}\n\n[查看详情]({{display_url}})\n','{\"error_percent_value\":\"percent\"}','1.0','2021-05-28 11:54:52','2021-05-28 11:54:55',0),(1033,'服务接口HTTP错误率恢复','app_transaction','app_transaction_http_path_error','dingding','recover','【{{service_name}}服务接口HTTP错误率异常恢复】','【服务接口HTTP错误率异常恢复】\n\n项目: {{project_name}}\n\n应用: {{application_name}}\n\n服务: {{runtime_name}} - {{service_name}}\n\n接口: {{http_method}} {{http_url}}\n\n持续时间: {{trigger_duration_min}}\n\n恢复时间: {{timestamp}}','{\"trigger_duration\":\"time:ms\"}','1.0','2021-05-28 11:54:52','2021-05-28 11:54:55',0),(1034,'服务接口HTTP错误率恢复','app_transaction','app_transaction_http_path_error','ticket','recover','【{{service_name}}服务接口HTTP错误率异常恢复】','【服务接口HTTP错误率异常恢复】\n\n项目: {{project_name}}\n\n应用: {{application_name}}\n\n服务: {{runtime_name}} - {{service_name}}\n\n接口: {{http_method}} {{http_url}}\n\n持续时间: {{trigger_duration_min}}\n\n恢复时间: {{timestamp}}','{\"trigger_duration\":\"time:ms\"}','1.0','2021-05-28 11:54:52','2021-05-28 11:54:55',0),(1035,'服务接口HTTP错误率恢复','app_transaction','app_transaction_http_path_error','email','recover','【{{service_name}}服务接口HTTP错误率异常恢复】','【服务接口HTTP错误率异常恢复】\n\n项目: {{project_name}}\n\n应用: {{application_name}}\n\n服务: {{runtime_name}} - {{service_name}}\n\n接口: {{http_method}} {{http_url}}\n\n持续时间: {{trigger_duration_min}}\n\n恢复时间: {{timestamp}}','{\"trigger_duration\":\"time:ms\"}','1.0','2021-05-28 11:54:52','2021-05-28 11:54:55',0),(1036,'服务接口HTTP错误率恢复','app_transaction','app_transaction_http_path_error','mbox','recover','【{{service_name}}服务接口HTTP错误率异常恢复】','【服务接口HTTP错误率异常恢复】\n\n项目: {{project_name}}\n\n应用: {{application_name}}\n\n服务: {{runtime_name}} - {{service_name}}\n\n接口: {{http_method}} {{http_url}}\n\n持续时间: {{trigger_duration_min}}\n\n恢复时间: {{timestamp}}','{\"trigger_duration\":\"time:ms\"}','1.0','2021-05-28 11:54:52','2021-05-28 11:54:55',0),(1037,'服务接口HTTP慢事务异常','app_transaction','app_transaction_http_path_rt','dingding','alert','【{{service_name}}服务接口HTTP慢事务异常告警】','【服务接口HTTP慢事务异常告警】\n\n项目: {{project_name}}\n\n应用: {{application_name}}\n\n服务: {{runtime_name}} - {{service_name}}\n\n接口: {{http_method}} {{http_url}}\n\n事件: {{window}}分钟内平均响应时间{{elapsed_avg_value}} 请求次数{{elapsed_count_sum}}\n\n时间: {{timestamp}}\n\n[查看详情]({{display_url}})\n','{\"elapsed_avg_value\":\"time:ms\",\"elapsed_sum\":\"time:ms\"}','1.0','2021-05-28 11:54:52','2021-05-28 11:54:55',0),(1038,'服务接口HTTP慢事务异常','app_transaction','app_transaction_http_path_rt','ticket','alert','【{{service_name}}服务接口HTTP慢事务异常告警】','【服务接口HTTP慢事务异常告警】\n\n项目: {{project_name}}\n\n应用: {{application_name}}\n\n服务: {{runtime_name}} - {{service_name}}\n\n接口: {{http_method}} {{http_url}}\n\n事件: {{window}}分钟内平均响应时间{{elapsed_avg_value}} 请求次数{{elapsed_count_sum}}\n\n时间: {{timestamp}}\n\n[查看详情]({{display_url}})\n','{\"elapsed_avg_value\":\"time:ms\",\"elapsed_sum\":\"time:ms\"}','1.0','2021-05-28 11:54:52','2021-05-28 11:54:55',0),(1039,'服务接口HTTP慢事务异常','app_transaction','app_transaction_http_path_rt','email','alert','【{{service_name}}服务接口HTTP慢事务异常告警】','【服务接口HTTP慢事务异常告警】\n\n项目: {{project_name}}\n\n应用: {{application_name}}\n\n服务: {{runtime_name}} - {{service_name}}\n\n接口: {{http_method}} {{http_url}}\n\n事件: {{window}}分钟内平均响应时间{{elapsed_avg_value}} 请求次数{{elapsed_count_sum}}\n\n时间: {{timestamp}}\n\n[查看详情]({{display_url}})\n','{\"elapsed_avg_value\":\"time:ms\",\"elapsed_sum\":\"time:ms\"}','1.0','2021-05-28 11:54:52','2021-05-28 11:54:55',0),(1040,'服务接口HTTP慢事务异常','app_transaction','app_transaction_http_path_rt','mbox','alert','【{{service_name}}服务接口HTTP慢事务异常告警】','【服务接口HTTP慢事务异常告警】\n\n项目: {{project_name}}\n\n应用: {{application_name}}\n\n服务: {{runtime_name}} - {{service_name}}\n\n接口: {{http_method}} {{http_url}}\n\n事件: {{window}}分钟内平均响应时间{{elapsed_avg_value}} 请求次数{{elapsed_count_sum}}\n\n时间: {{timestamp}}\n\n[查看详情]({{display_url}})\n','{\"elapsed_avg_value\":\"time:ms\",\"elapsed_sum\":\"time:ms\"}','1.0','2021-05-28 11:54:52','2021-05-28 11:54:55',0),(1041,'服务接口HTTP慢事务恢复','app_transaction','app_transaction_http_path_rt','dingding','recover','【{{service_name}}服务接口HTTP慢事务恢复】','【服务接口HTTP慢事务恢复】\n\n项目: {{project_name}}\n\n应用: {{application_name}}\n\n服务: {{runtime_name}} - {{service_name}}\n\n接口: {{http_method}} {{http_url}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}','{\"trigger_duration\":\"time:ms\"}','1.0','2021-05-28 11:54:52','2021-05-28 11:54:55',0),(1042,'服务接口HTTP慢事务恢复','app_transaction','app_transaction_http_path_rt','ticket','recover','【{{service_name}}服务接口HTTP慢事务恢复】','【服务接口HTTP慢事务恢复】\n\n项目: {{project_name}}\n\n应用: {{application_name}}\n\n服务: {{runtime_name}} - {{service_name}}\n\n接口: {{http_method}} {{http_url}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}','{\"trigger_duration\":\"time:ms\"}','1.0','2021-05-28 11:54:52','2021-05-28 11:54:55',0),(1043,'服务接口HTTP慢事务恢复','app_transaction','app_transaction_http_path_rt','email','recover','【{{service_name}}服务接口HTTP慢事务恢复】','【服务接口HTTP慢事务恢复】\n\n项目: {{project_name}}\n\n应用: {{application_name}}\n\n服务: {{runtime_name}} - {{service_name}}\n\n接口: {{http_method}} {{http_url}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}','{\"trigger_duration\":\"time:ms\"}','1.0','2021-05-28 11:54:52','2021-05-28 11:54:55',0),(1044,'服务接口HTTP慢事务恢复','app_transaction','app_transaction_http_path_rt','mbox','recover','【{{service_name}}服务接口HTTP慢事务恢复】','【服务接口HTTP慢事务恢复】\n\n项目: {{project_name}}\n\n应用: {{application_name}}\n\n服务: {{runtime_name}} - {{service_name}}\n\n接口: {{http_method}} {{http_url}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}','{\"trigger_duration\":\"time:ms\"}','1.0','2021-05-28 11:54:52','2021-05-28 11:54:55',0),(1045,'服务HTTP错误率异常','app_transaction','app_transaction_http_service_error','dingding','alert','【{{service_name}}服务HTTP错误率异常告警】','【服务HTTP错误率异常告警】\n\n项目: {{project_name}}\n\n应用: {{application_name}}\n\n服务: {{runtime_name}} - {{service_name}}\n\n事件: {{ window }}分钟内HTTP错误率{{ error_percent_value }} 错误请求次数{{ error_count_sum }} 总请求次数{{ elapsed_count_sum }}\n\n时间: {{timestamp}}\n\n[查看详情]({{display_url}})\n','{\"error_percent_value\":\"percent\"}','1.0','2021-05-28 11:54:52','2021-05-28 11:54:55',0),(1046,'服务HTTP错误率异常','app_transaction','app_transaction_http_service_error','ticket','alert','【{{service_name}}服务HTTP错误率异常告警】','【服务HTTP错误率异常告警】\n\n项目: {{project_name}}\n\n应用: {{application_name}}\n\n服务: {{runtime_name}} - {{service_name}}\n\n事件: {{ window }}分钟内HTTP错误率{{ error_percent_value }} 错误请求次数{{ error_count_sum }} 总请求次数{{ elapsed_count_sum }}\n\n时间: {{timestamp}}\n\n[查看详情]({{display_url}})\n','{\"error_percent_value\":\"percent\"}','1.0','2021-05-28 11:54:52','2021-05-28 11:54:55',0),(1047,'服务HTTP错误率异常','app_transaction','app_transaction_http_service_error','email','alert','【{{service_name}}服务HTTP错误率异常告警】','【服务HTTP错误率异常告警】\n\n项目: {{project_name}}\n\n应用: {{application_name}}\n\n服务: {{runtime_name}} - {{service_name}}\n\n事件: {{ window }}分钟内HTTP错误率{{ error_percent_value }} 错误请求次数{{ error_count_sum }} 总请求次数{{ elapsed_count_sum }}\n\n时间: {{timestamp}}\n\n[查看详情]({{display_url}})\n','{\"error_percent_value\":\"percent\"}','1.0','2021-05-28 11:54:52','2021-05-28 11:54:55',0),(1048,'服务HTTP错误率异常','app_transaction','app_transaction_http_service_error','mbox','alert','【{{service_name}}服务HTTP错误率异常告警】','【服务HTTP错误率异常告警】\n\n项目: {{project_name}}\n\n应用: {{application_name}}\n\n服务: {{runtime_name}} - {{service_name}}\n\n事件: {{ window }}分钟内HTTP错误率{{ error_percent_value }} 错误请求次数{{ error_count_sum }} 总请求次数{{ elapsed_count_sum }}\n\n时间: {{timestamp}}\n\n[查看详情]({{display_url}})\n','{\"error_percent_value\":\"percent\"}','1.0','2021-05-28 11:54:52','2021-05-28 11:54:55',0),(1049,'服务HTTP错误率恢复','app_transaction','app_transaction_http_service_error','dingding','recover','【{{service_name}}服务HTTP错误率恢复】','【服务HTTP错误率异常恢复】\n\n项目: {{project_name}}\n\n应用: {{application_name}}\n\n服务: {{runtime_name}} - {{service_name}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n','{\"trigger_duration\":\"time:ms\"}','1.0','2021-05-28 11:54:52','2021-05-28 11:54:55',0),(1050,'服务HTTP错误率恢复','app_transaction','app_transaction_http_service_error','ticket','recover','【{{service_name}}服务HTTP错误率恢复】','【服务HTTP错误率异常恢复】\n\n项目: {{project_name}}\n\n应用: {{application_name}}\n\n服务: {{runtime_name}} - {{service_name}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n','{\"trigger_duration\":\"time:ms\"}','1.0','2021-05-28 11:54:52','2021-05-28 11:54:55',0),(1051,'服务HTTP错误率恢复','app_transaction','app_transaction_http_service_error','email','recover','【{{service_name}}服务HTTP错误率恢复】','【服务HTTP错误率异常恢复】\n\n项目: {{project_name}}\n\n应用: {{application_name}}\n\n服务: {{runtime_name}} - {{service_name}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n','{\"trigger_duration\":\"time:ms\"}','1.0','2021-05-28 11:54:52','2021-05-28 11:54:55',0),(1052,'服务HTTP错误率恢复','app_transaction','app_transaction_http_service_error','mbox','recover','【{{service_name}}服务HTTP错误率恢复】','【服务HTTP错误率异常恢复】\n\n项目: {{project_name}}\n\n应用: {{application_name}}\n\n服务: {{runtime_name}} - {{service_name}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n','{\"trigger_duration\":\"time:ms\"}','1.0','2021-05-28 11:54:52','2021-05-28 11:54:55',0),(1053,'服务HTTP慢事务异常','app_transaction','app_transaction_http_service_rt','dingding','alert','【应用{{service_name}}服务HTTP慢事务异常告警】','【服务HTTP慢事务异常告警】\n\n项目: {{project_name}}\n\n应用: {{application_name}}\n\n服务: {{runtime_name}} - {{service_name}}\n\n事件: {{window}}分钟内HTTP事务平均响应时间{{elapsed_avg_value}} 请求次数{{elapsed_count_sum}}\n\n时间: {{timestamp}}\n\n[查看详情]({{display_url}})\n','{\"elapsed_avg_value\":\"time:ms\",\"elapsed_sum\":\"time:ms\"}','1.0','2021-05-28 11:54:52','2021-05-28 11:54:55',0),(1054,'服务HTTP慢事务异常','app_transaction','app_transaction_http_service_rt','ticket','alert','【应用{{service_name}}服务HTTP慢事务异常告警】','【服务HTTP慢事务异常告警】\n\n项目: {{project_name}}\n\n应用: {{application_name}}\n\n服务: {{runtime_name}} - {{service_name}}\n\n事件: {{window}}分钟内HTTP事务平均响应时间{{elapsed_avg_value}} 请求次数{{elapsed_count_sum}}\n\n时间: {{timestamp}}\n\n[查看详情]({{display_url}})\n','{\"elapsed_avg_value\":\"time:ms\",\"elapsed_sum\":\"time:ms\"}','1.0','2021-05-28 11:54:52','2021-05-28 11:54:55',0),(1055,'服务HTTP慢事务异常','app_transaction','app_transaction_http_service_rt','email','alert','【应用{{service_name}}服务HTTP慢事务异常告警】','【服务HTTP慢事务异常告警】\n\n项目: {{project_name}}\n\n应用: {{application_name}}\n\n服务: {{runtime_name}} - {{service_name}}\n\n事件: {{window}}分钟内HTTP事务平均响应时间{{elapsed_avg_value}} 请求次数{{elapsed_count_sum}}\n\n时间: {{timestamp}}\n\n[查看详情]({{display_url}})\n','{\"elapsed_avg_value\":\"time:ms\",\"elapsed_sum\":\"time:ms\"}','1.0','2021-05-28 11:54:52','2021-05-28 11:54:55',0),(1056,'服务HTTP慢事务异常','app_transaction','app_transaction_http_service_rt','mbox','alert','【应用{{service_name}}服务HTTP慢事务异常告警】','【服务HTTP慢事务异常告警】\n\n项目: {{project_name}}\n\n应用: {{application_name}}\n\n服务: {{runtime_name}} - {{service_name}}\n\n事件: {{window}}分钟内HTTP事务平均响应时间{{elapsed_avg_value}} 请求次数{{elapsed_count_sum}}\n\n时间: {{timestamp}}\n\n[查看详情]({{display_url}})\n','{\"elapsed_avg_value\":\"time:ms\",\"elapsed_sum\":\"time:ms\"}','1.0','2021-05-28 11:54:52','2021-05-28 11:54:55',0),(1057,'服务HTTP慢事务异常恢复','app_transaction','app_transaction_http_service_rt','dingding','recover','【应用{{service_name}}服务HTTP慢事务异常恢复】','【服务HTTP慢事务异常恢复】\n\n项目: {{project_name}}\n\n应用: {{application_name}}\n\n服务: {{runtime_name}} - {{service_name}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n','{\"trigger_duration\":\"time:ms\"}','1.0','2021-05-28 11:54:52','2021-05-28 11:54:55',0),(1058,'服务HTTP慢事务异常恢复','app_transaction','app_transaction_http_service_rt','ticket','recover','【应用{{service_name}}服务HTTP慢事务异常恢复】','【服务HTTP慢事务异常恢复】\n\n项目: {{project_name}}\n\n应用: {{application_name}}\n\n服务: {{runtime_name}} - {{service_name}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n','{\"trigger_duration\":\"time:ms\"}','1.0','2021-05-28 11:54:52','2021-05-28 11:54:55',0),(1059,'服务HTTP慢事务异常恢复','app_transaction','app_transaction_http_service_rt','email','recover','【应用{{service_name}}服务HTTP慢事务异常恢复】','【服务HTTP慢事务异常恢复】\n\n项目: {{project_name}}\n\n应用: {{application_name}}\n\n服务: {{runtime_name}} - {{service_name}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n','{\"trigger_duration\":\"time:ms\"}','1.0','2021-05-28 11:54:52','2021-05-28 11:54:55',0),(1060,'服务HTTP慢事务异常恢复','app_transaction','app_transaction_http_service_rt','mbox','recover','【应用{{service_name}}服务HTTP慢事务异常恢复】','【服务HTTP慢事务异常恢复】\n\n项目: {{project_name}}\n\n应用: {{application_name}}\n\n服务: {{runtime_name}} - {{service_name}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n','{\"trigger_duration\":\"time:ms\"}','1.0','2021-05-28 11:54:52','2021-05-28 11:54:55',0),(1061,'平台中间件cassandra GC次数异常','dice_addon','dice_addon_cassandra_gc_count','dingding','alert','【平台中间件cassandra GC次数告警】\n','【平台中间件cassandra GC次数告警】\n\n中间件: {{addon_id}}\n\n老年代GC次数: {{CollectionCount_win_value}}\n\n集群: {{cluster_name}}\n\n机器: {{node_host}}\n\n时间: {{timestamp}}\n\n[查看详情]({{display_url}})\n','','1.0','2021-05-28 11:54:52','2021-05-28 11:54:55',0),(1062,'平台中间件cassandra GC次数异常','dice_addon','dice_addon_cassandra_gc_count','ticket','alert','【平台中间件cassandra GC次数告警】\n','【平台中间件cassandra GC次数告警】\n\n中间件: {{addon_id}}\n\n老年代GC次数: {{CollectionCount_win_value}}\n\n集群: {{cluster_name}}\n\n机器: {{node_host}}\n\n时间: {{timestamp}}\n\n[查看详情]({{display_url}})\n','','1.0','2021-05-28 11:54:52','2021-05-28 11:54:55',0),(1063,'平台中间件cassandra GC次数异常','dice_addon','dice_addon_cassandra_gc_count','email','alert','【平台中间件cassandra GC次数告警】\n','【平台中间件cassandra GC次数告警】\n\n中间件: {{addon_id}}\n\n老年代GC次数: {{CollectionCount_win_value}}\n\n集群: {{cluster_name}}\n\n机器: {{node_host}}\n\n时间: {{timestamp}}\n\n[查看详情]({{display_url}})\n','','1.0','2021-05-28 11:54:52','2021-05-28 11:54:55',0),(1064,'平台中间件cassandra GC次数异常','dice_addon','dice_addon_cassandra_gc_count','mbox','alert','【平台中间件cassandra GC次数告警】\n','【平台中间件cassandra GC次数告警】\n\n中间件: {{addon_id}}\n\n老年代GC次数: {{CollectionCount_win_value}}\n\n集群: {{cluster_name}}\n\n机器: {{node_host}}\n\n时间: {{timestamp}}\n\n[查看详情]({{display_url}})\n','','1.0','2021-05-28 11:54:52','2021-05-28 11:54:55',0),(1065,'平台中间件cassandra GC次数异常','dice_addon','dice_addon_cassandra_gc_count','dingding','recover','【平台中间件cassandra GC次数恢复】\n','【平台中间件cassandra GC次数恢复】\n\n中间件: {{addon_id}}\n\n老年代GC次数: {{CollectionCount_win_value}}\n\n集群: {{cluster_name}}\n\n机器: {{node_host}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n','{\"trigger_duration\":\"time:ms\"}','1.0','2021-05-28 11:54:52','2021-05-28 11:54:55',0),(1066,'平台中间件cassandra GC次数异常','dice_addon','dice_addon_cassandra_gc_count','ticket','recover','【平台中间件cassandra GC次数恢复】\n','【平台中间件cassandra GC次数恢复】\n\n中间件: {{addon_id}}\n\n老年代GC次数: {{CollectionCount_win_value}}\n\n集群: {{cluster_name}}\n\n机器: {{node_host}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n','{\"trigger_duration\":\"time:ms\"}','1.0','2021-05-28 11:54:52','2021-05-28 11:54:55',0),(1067,'平台中间件cassandra GC次数异常','dice_addon','dice_addon_cassandra_gc_count','email','recover','【平台中间件cassandra GC次数恢复】\n','【平台中间件cassandra GC次数恢复】\n\n中间件: {{addon_id}}\n\n老年代GC次数: {{CollectionCount_win_value}}\n\n集群: {{cluster_name}}\n\n机器: {{node_host}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n','{\"trigger_duration\":\"time:ms\"}','1.0','2021-05-28 11:54:52','2021-05-28 11:54:55',0),(1068,'平台中间件cassandra GC次数异常','dice_addon','dice_addon_cassandra_gc_count','mbox','recover','【平台中间件cassandra GC次数恢复】\n','【平台中间件cassandra GC次数恢复】\n\n中间件: {{addon_id}}\n\n老年代GC次数: {{CollectionCount_win_value}}\n\n集群: {{cluster_name}}\n\n机器: {{node_host}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n','{\"trigger_duration\":\"time:ms\"}','1.0','2021-05-28 11:54:52','2021-05-28 11:54:55',0),(1069,'平台中间件cassandra GC耗时异常','dice_addon','dice_addon_cassandra_gc_time','dingding','alert','【平台中间件cassandra GC耗时告警】\n','【平台中间件cassandra GC耗时告警】\n\n中间件: {{addon_id}}\n\n老年代GC耗时: {{CollectionTime_win_value}}\n\n集群: {{cluster_name}}\n\n机器: {{node_host}}\n\n时间: {{timestamp}}\n\n[查看详情]({{display_url}})\n','{\"CollectionTime_win_value\":\"time:ms\"}','1.0','2021-05-28 11:54:52','2021-05-28 11:54:55',0),(1070,'平台中间件cassandra GC耗时异常','dice_addon','dice_addon_cassandra_gc_time','ticket','alert','【平台中间件cassandra GC耗时告警】\n','【平台中间件cassandra GC耗时告警】\n\n中间件: {{addon_id}}\n\n老年代GC耗时: {{CollectionTime_win_value}}\n\n集群: {{cluster_name}}\n\n机器: {{node_host}}\n\n时间: {{timestamp}}\n\n[查看详情]({{display_url}})\n','{\"CollectionTime_win_value\":\"time:ms\"}','1.0','2021-05-28 11:54:52','2021-05-28 11:54:55',0),(1071,'平台中间件cassandra GC耗时异常','dice_addon','dice_addon_cassandra_gc_time','email','alert','【平台中间件cassandra GC耗时告警】\n','【平台中间件cassandra GC耗时告警】\n\n中间件: {{addon_id}}\n\n老年代GC耗时: {{CollectionTime_win_value}}\n\n集群: {{cluster_name}}\n\n机器: {{node_host}}\n\n时间: {{timestamp}}\n\n[查看详情]({{display_url}})\n','{\"CollectionTime_win_value\":\"time:ms\"}','1.0','2021-05-28 11:54:52','2021-05-28 11:54:55',0),(1072,'平台中间件cassandra GC耗时异常','dice_addon','dice_addon_cassandra_gc_time','mbox','alert','【平台中间件cassandra GC耗时告警】\n','【平台中间件cassandra GC耗时告警】\n\n中间件: {{addon_id}}\n\n老年代GC耗时: {{CollectionTime_win_value}}\n\n集群: {{cluster_name}}\n\n机器: {{node_host}}\n\n时间: {{timestamp}}\n\n[查看详情]({{display_url}})\n','{\"CollectionTime_win_value\":\"time:ms\"}','1.0','2021-05-28 11:54:52','2021-05-28 11:54:55',0),(1073,'平台中间件cassandra GC耗时异常','dice_addon','dice_addon_cassandra_gc_time','dingding','recover','【平台中间件cassandra GC耗时恢复】\n','【平台中间件cassandra GC耗时恢复】\n\n中间件: {{addon_id}}\n\n老年代GC耗时: {{CollectionTime_win_value}}\n\n集群: {{cluster_name}}\n\n机器: {{node_host}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n','{\"CollectionTime_win_value\":\"time:ms\",\"trigger_duration\":\"time:ms\"}','1.0','2021-05-28 11:54:52','2021-05-28 11:54:55',0),(1074,'平台中间件cassandra GC耗时异常','dice_addon','dice_addon_cassandra_gc_time','ticket','recover','【平台中间件cassandra GC耗时恢复】\n','【平台中间件cassandra GC耗时恢复】\n\n中间件: {{addon_id}}\n\n老年代GC耗时: {{CollectionTime_win_value}}\n\n集群: {{cluster_name}}\n\n机器: {{node_host}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n','{\"CollectionTime_win_value\":\"time:ms\",\"trigger_duration\":\"time:ms\"}','1.0','2021-05-28 11:54:52','2021-05-28 11:54:55',0),(1075,'平台中间件cassandra GC耗时异常','dice_addon','dice_addon_cassandra_gc_time','email','recover','【平台中间件cassandra GC耗时恢复】\n','【平台中间件cassandra GC耗时恢复】\n\n中间件: {{addon_id}}\n\n老年代GC耗时: {{CollectionTime_win_value}}\n\n集群: {{cluster_name}}\n\n机器: {{node_host}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n','{\"CollectionTime_win_value\":\"time:ms\",\"trigger_duration\":\"time:ms\"}','1.0','2021-05-28 11:54:52','2021-05-28 11:54:55',0),(1076,'平台中间件cassandra GC耗时异常','dice_addon','dice_addon_cassandra_gc_time','mbox','recover','【平台中间件cassandra GC耗时恢复】\n','【平台中间件cassandra GC耗时恢复】\n\n中间件: {{addon_id}}\n\n老年代GC耗时: {{CollectionTime_win_value}}\n\n集群: {{cluster_name}}\n\n机器: {{node_host}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n','{\"CollectionTime_win_value\":\"time:ms\",\"trigger_duration\":\"time:ms\"}','1.0','2021-05-28 11:54:52','2021-05-28 11:54:55',0),(1077,'平台中间件实例CPU异常','dice_addon','dice_addon_container_cpu','dingding','alert','【平台中间件{{addon_id}} CPU使用率告警】\n','【平台中间件CPU使用率告警】\n\n中间件: {{addon_id}}\n\n使用率: {{usage_percent_avg}}\n\n限制: {{limit_value}}核\n\n分配: {{allocation_value}}核\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n容器ID: {{container_id}}\n\n时间: {{timestamp}}\n','{\"allocation_value\":\"fraction:2\",\"limit_value\":\"fraction:2\",\"usage_percent_avg\":\"percent:2\"}','1.0','2021-05-28 11:54:52','2021-05-28 11:54:55',0),(1078,'平台中间件实例CPU异常','dice_addon','dice_addon_container_cpu','ticket','alert','【平台中间件{{addon_id}} CPU使用率告警】\n','【平台中间件CPU使用率告警】\n\n中间件: {{addon_id}}\n\n使用率: {{usage_percent_avg}}\n\n限制: {{limit_value}}核\n\n分配: {{allocation_value}}核\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n容器ID: {{container_id}}\n\n时间: {{timestamp}}\n','{\"allocation_value\":\"fraction:2\",\"limit_value\":\"fraction:2\",\"usage_percent_avg\":\"percent:2\"}','1.0','2021-05-28 11:54:52','2021-05-28 11:54:55',0),(1079,'平台中间件实例CPU异常','dice_addon','dice_addon_container_cpu','email','alert','【平台中间件{{addon_id}} CPU使用率告警】\n','【平台中间件CPU使用率告警】\n\n中间件: {{addon_id}}\n\n使用率: {{usage_percent_avg}}\n\n限制: {{limit_value}}核\n\n分配: {{allocation_value}}核\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n容器ID: {{container_id}}\n\n时间: {{timestamp}}\n','{\"allocation_value\":\"fraction:2\",\"limit_value\":\"fraction:2\",\"usage_percent_avg\":\"percent:2\"}','1.0','2021-05-28 11:54:52','2021-05-28 11:54:55',0),(1080,'平台中间件实例CPU异常','dice_addon','dice_addon_container_cpu','mbox','alert','【平台中间件{{addon_id}} CPU使用率告警】\n','【平台中间件CPU使用率告警】\n\n中间件: {{addon_id}}\n\n使用率: {{usage_percent_avg}}\n\n限制: {{limit_value}}核\n\n分配: {{allocation_value}}核\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n容器ID: {{container_id}}\n\n时间: {{timestamp}}\n','{\"allocation_value\":\"fraction:2\",\"limit_value\":\"fraction:2\",\"usage_percent_avg\":\"percent:2\"}','1.0','2021-05-28 11:54:52','2021-05-28 11:54:55',0),(1081,'平台中间件实例CPU异常','dice_addon','dice_addon_container_cpu','dingding','recover','【平台中间件{{addon_id}} CPU使用率恢复】\n','【平台中间件CPU使用率恢复】\n\n中间件: {{addon_id}}\n\n使用率: {{usage_percent_avg}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n容器ID: {{container_id}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n','{\"trigger_duration\":\"time:ms\",\"usage_percent_avg\":\"percent:2\"}','1.0','2021-05-28 11:54:52','2021-05-28 11:54:55',0),(1082,'平台中间件实例CPU异常','dice_addon','dice_addon_container_cpu','ticket','recover','【平台中间件{{addon_id}} CPU使用率恢复】\n','【平台中间件CPU使用率恢复】\n\n中间件: {{addon_id}}\n\n使用率: {{usage_percent_avg}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n容器ID: {{container_id}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n','{\"trigger_duration\":\"time:ms\",\"usage_percent_avg\":\"percent:2\"}','1.0','2021-05-28 11:54:52','2021-05-28 11:54:55',0),(1083,'平台中间件实例CPU异常','dice_addon','dice_addon_container_cpu','email','recover','【平台中间件{{addon_id}} CPU使用率恢复】\n','【平台中间件CPU使用率恢复】\n\n中间件: {{addon_id}}\n\n使用率: {{usage_percent_avg}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n容器ID: {{container_id}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n','{\"trigger_duration\":\"time:ms\",\"usage_percent_avg\":\"percent:2\"}','1.0','2021-05-28 11:54:52','2021-05-28 11:54:55',0),(1084,'平台中间件实例CPU异常','dice_addon','dice_addon_container_cpu','mbox','recover','【平台中间件{{addon_id}} CPU使用率恢复】\n','【平台中间件CPU使用率恢复】\n\n中间件: {{addon_id}}\n\n使用率: {{usage_percent_avg}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n容器ID: {{container_id}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n','{\"trigger_duration\":\"time:ms\",\"usage_percent_avg\":\"percent:2\"}','1.0','2021-05-28 11:54:52','2021-05-28 11:54:55',0),(1085,'平台中间件异常退出','dice_addon','dice_addon_container_exit','dingding','alert','【平台中间件{{addon_id}}异常退出告警】\n','【平台中间件异常退出告警】\n\n中间件: {{addon_id}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n启动时间: {{started_at_value}}\n\n退出时间: {{finished_at_value}}\n\n退出原因: {{terminated_reason_value}}\n\n时间: {{timestamp}}\n\n[查看详情]({{display_url}})\n','{\"finished_at_value\":\"date\",\"started_at_value\":\"date\"}','1.0','2021-05-28 11:54:52','2021-05-28 11:54:55',0),(1086,'平台中间件异常退出','dice_addon','dice_addon_container_exit','ticket','alert','【平台中间件{{addon_id}}异常退出告警】\n','【平台中间件异常退出告警】\n\n中间件: {{addon_id}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n启动时间: {{started_at_value}}\n\n退出时间: {{finished_at_value}}\n\n退出原因: {{terminated_reason_value}}\n\n时间: {{timestamp}}\n\n[查看详情]({{display_url}})\n','{\"finished_at_value\":\"date\",\"started_at_value\":\"date\"}','1.0','2021-05-28 11:54:52','2021-05-28 11:54:55',0),(1087,'平台中间件异常退出','dice_addon','dice_addon_container_exit','email','alert','【平台中间件{{addon_id}}异常退出告警】\n','【平台中间件异常退出告警】\n\n中间件: {{addon_id}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n启动时间: {{started_at_value}}\n\n退出时间: {{finished_at_value}}\n\n退出原因: {{terminated_reason_value}}\n\n时间: {{timestamp}}\n\n[查看详情]({{display_url}})\n','{\"finished_at_value\":\"date\",\"started_at_value\":\"date\"}','1.0','2021-05-28 11:54:52','2021-05-28 11:54:55',0),(1088,'平台中间件异常退出','dice_addon','dice_addon_container_exit','mbox','alert','【平台中间件{{addon_id}}异常退出告警】\n','【平台中间件异常退出告警】\n\n中间件: {{addon_id}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n启动时间: {{started_at_value}}\n\n退出时间: {{finished_at_value}}\n\n退出原因: {{terminated_reason_value}}\n\n时间: {{timestamp}}\n\n[查看详情]({{display_url}})\n','{\"finished_at_value\":\"date\",\"started_at_value\":\"date\"}','1.0','2021-05-28 11:54:52','2021-05-28 11:54:55',0),(1089,'平台中间件异常退出','dice_addon','dice_addon_container_exit','dingding','recover','【平台中间件{{addon_id}}异常退出恢复】\n','【平台中间件异常退出恢复】\n\n中间件: {{addon_id}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n','{\"trigger_duration\":\"time:ms\"}','1.0','2021-05-28 11:54:52','2021-05-28 11:54:55',0),(1090,'平台中间件异常退出','dice_addon','dice_addon_container_exit','ticket','recover','【平台中间件{{addon_id}}异常退出恢复】\n','【平台中间件异常退出恢复】\n\n中间件: {{addon_id}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n','{\"trigger_duration\":\"time:ms\"}','1.0','2021-05-28 11:54:52','2021-05-28 11:54:55',0),(1091,'平台中间件异常退出','dice_addon','dice_addon_container_exit','email','recover','【平台中间件{{addon_id}}异常退出恢复】\n','【平台中间件异常退出恢复】\n\n中间件: {{addon_id}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n','{\"trigger_duration\":\"time:ms\"}','1.0','2021-05-28 11:54:52','2021-05-28 11:54:55',0),(1092,'平台中间件异常退出','dice_addon','dice_addon_container_exit','mbox','recover','【平台中间件{{addon_id}}异常退出恢复】\n','【平台中间件异常退出恢复】\n\n中间件: {{addon_id}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n','{\"trigger_duration\":\"time:ms\"}','1.0','2021-05-28 11:54:52','2021-05-28 11:54:55',0),(1093,'平台中间件实例内存异常','dice_addon','dice_addon_container_mem','dingding','alert','【平台中间件{{addon_id}}内存使用率告警】\n','【平台中间件内存使用率告警】\n\n中间件: {{addon_id}}\n\n使用率: {{usage_percent_avg}}\n\n使用: {{usage_value}}\n\n限制: {{limit_value}}\n\n分配: {{allocation_value}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n容器ID: {{container_id}}\n\n时间: {{timestamp}}\n','{\"allocation_value\":\"size:byte\",\"limit_value\":\"size:byte\",\"usage_percent_avg\":\"percent:2\",\"usage_value\":\"size:byte\"}','1.0','2021-05-28 11:54:52','2021-05-28 11:54:55',0),(1094,'平台中间件实例内存异常','dice_addon','dice_addon_container_mem','ticket','alert','【平台中间件{{addon_id}}内存使用率告警】\n','【平台中间件内存使用率告警】\n\n中间件: {{addon_id}}\n\n使用率: {{usage_percent_avg}}\n\n使用: {{usage_value}}\n\n限制: {{limit_value}}\n\n分配: {{allocation_value}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n容器ID: {{container_id}}\n\n时间: {{timestamp}}\n','{\"allocation_value\":\"size:byte\",\"limit_value\":\"size:byte\",\"usage_percent_avg\":\"percent:2\",\"usage_value\":\"size:byte\"}','1.0','2021-05-28 11:54:52','2021-05-28 11:54:55',0),(1095,'平台中间件实例内存异常','dice_addon','dice_addon_container_mem','email','alert','【平台中间件{{addon_id}}内存使用率告警】\n','【平台中间件内存使用率告警】\n\n中间件: {{addon_id}}\n\n使用率: {{usage_percent_avg}}\n\n使用: {{usage_value}}\n\n限制: {{limit_value}}\n\n分配: {{allocation_value}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n容器ID: {{container_id}}\n\n时间: {{timestamp}}\n','{\"allocation_value\":\"size:byte\",\"limit_value\":\"size:byte\",\"usage_percent_avg\":\"percent:2\",\"usage_value\":\"size:byte\"}','1.0','2021-05-28 11:54:52','2021-05-28 11:54:55',0),(1096,'平台中间件实例内存异常','dice_addon','dice_addon_container_mem','mbox','alert','【平台中间件{{addon_id}}内存使用率告警】\n','【平台中间件内存使用率告警】\n\n中间件: {{addon_id}}\n\n使用率: {{usage_percent_avg}}\n\n使用: {{usage_value}}\n\n限制: {{limit_value}}\n\n分配: {{allocation_value}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n容器ID: {{container_id}}\n\n时间: {{timestamp}}\n','{\"allocation_value\":\"size:byte\",\"limit_value\":\"size:byte\",\"usage_percent_avg\":\"percent:2\",\"usage_value\":\"size:byte\"}','1.0','2021-05-28 11:54:52','2021-05-28 11:54:55',0),(1097,'平台中间件实例内存异常','dice_addon','dice_addon_container_mem','dingding','recover','【平台中间件{{addon_id}}内存使用率恢复】\n','【平台中间件内存使用率恢复】\n\n中间件: {{addon_id}}\n\n使用率: {{usage_percent_avg}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n容器ID: {{container_id}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n','{\"trigger_duration\":\"time:ms\",\"usage_percent_avg\":\"percent:2\"}','1.0','2021-05-28 11:54:52','2021-05-28 11:54:55',0),(1098,'平台中间件实例内存异常','dice_addon','dice_addon_container_mem','ticket','recover','【平台中间件{{addon_id}}内存使用率恢复】\n','【平台中间件内存使用率恢复】\n\n中间件: {{addon_id}}\n\n使用率: {{usage_percent_avg}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n容器ID: {{container_id}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n','{\"trigger_duration\":\"time:ms\",\"usage_percent_avg\":\"percent:2\"}','1.0','2021-05-28 11:54:52','2021-05-28 11:54:55',0),(1099,'平台中间件实例内存异常','dice_addon','dice_addon_container_mem','email','recover','【平台中间件{{addon_id}}内存使用率恢复】\n','【平台中间件内存使用率恢复】\n\n中间件: {{addon_id}}\n\n使用率: {{usage_percent_avg}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n容器ID: {{container_id}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n','{\"trigger_duration\":\"time:ms\",\"usage_percent_avg\":\"percent:2\"}','1.0','2021-05-28 11:54:52','2021-05-28 11:54:55',0),(1100,'平台中间件实例内存异常','dice_addon','dice_addon_container_mem','mbox','recover','【平台中间件{{addon_id}}内存使用率恢复】\n','【平台中间件内存使用率恢复】\n\n中间件: {{addon_id}}\n\n使用率: {{usage_percent_avg}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n容器ID: {{container_id}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n','{\"trigger_duration\":\"time:ms\",\"usage_percent_avg\":\"percent:2\"}','1.0','2021-05-28 11:54:52','2021-05-28 11:54:55',0),(1101,'平台中间件实例Ready状态异常','dice_addon','dice_addon_container_ready','dingding','alert','【平台中间件{{addon_id}} Ready状态异常告警】\n','【平台中间件Ready状态异常告警】\n\n中间件: {{addon_id}}\n\n未就绪实例: {{not_ready_value}}\n\n已就绪实例: {{ready_value}}\n\n集群: {{cluster_name}}\n\n时间: {{timestamp}}\n','','1.0','2021-05-28 11:54:52','2021-05-28 11:54:55',0),(1102,'平台中间件实例Ready状态异常','dice_addon','dice_addon_container_ready','ticket','alert','【平台中间件{{addon_id}} Ready状态异常告警】\n','【平台中间件Ready状态异常告警】\n\n中间件: {{addon_id}}\n\n未就绪实例: {{not_ready_value}}\n\n已就绪实例: {{ready_value}}\n\n集群: {{cluster_name}}\n\n时间: {{timestamp}}\n','','1.0','2021-05-28 11:54:52','2021-05-28 11:54:55',0),(1103,'平台中间件实例Ready状态异常','dice_addon','dice_addon_container_ready','email','alert','【平台中间件{{addon_id}} Ready状态异常告警】\n','【平台中间件Ready状态异常告警】\n\n中间件: {{addon_id}}\n\n未就绪实例: {{not_ready_value}}\n\n已就绪实例: {{ready_value}}\n\n集群: {{cluster_name}}\n\n时间: {{timestamp}}\n','','1.0','2021-05-28 11:54:52','2021-05-28 11:54:55',0),(1104,'平台中间件实例Ready状态异常','dice_addon','dice_addon_container_ready','mbox','alert','【平台中间件{{addon_id}} Ready状态异常告警】\n','【平台中间件Ready状态异常告警】\n\n中间件: {{addon_id}}\n\n未就绪实例: {{not_ready_value}}\n\n已就绪实例: {{ready_value}}\n\n集群: {{cluster_name}}\n\n时间: {{timestamp}}\n','','1.0','2021-05-28 11:54:52','2021-05-28 11:54:55',0),(1105,'平台中间件实例Ready状态异常','dice_addon','dice_addon_container_ready','dingding','recover','【平台中间件{{addon_id}} Ready状态异常恢复】\n','【平台中间件Ready状态异常恢复】\n\n中间件: {{addon_id}}\n\n已绪数实例: {{ready_value}}\n\n集群: {{cluster_name}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n','{\"trigger_duration\":\"time:ms\"}','1.0','2021-05-28 11:54:52','2021-05-28 11:54:55',0),(1106,'平台中间件实例Ready状态异常','dice_addon','dice_addon_container_ready','ticket','recover','【平台中间件{{addon_id}} Ready状态异常恢复】\n','【平台中间件Ready状态异常恢复】\n\n中间件: {{addon_id}}\n\n已绪数实例: {{ready_value}}\n\n集群: {{cluster_name}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n','{\"trigger_duration\":\"time:ms\"}','1.0','2021-05-28 11:54:52','2021-05-28 11:54:55',0),(1107,'平台中间件实例Ready状态异常','dice_addon','dice_addon_container_ready','email','recover','【平台中间件{{addon_id}} Ready状态异常恢复】\n','【平台中间件Ready状态异常恢复】\n\n中间件: {{addon_id}}\n\n已绪数实例: {{ready_value}}\n\n集群: {{cluster_name}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n','{\"trigger_duration\":\"time:ms\"}','1.0','2021-05-28 11:54:52','2021-05-28 11:54:55',0),(1108,'平台中间件实例Ready状态异常','dice_addon','dice_addon_container_ready','mbox','recover','【平台中间件{{addon_id}} Ready状态异常恢复】\n','【平台中间件Ready状态异常恢复】\n\n中间件: {{addon_id}}\n\n已绪数实例: {{ready_value}}\n\n集群: {{cluster_name}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n','{\"trigger_duration\":\"time:ms\"}','1.0','2021-05-28 11:54:52','2021-05-28 11:54:55',0),(1109,'平台中间件elasticsearch GC次数异常','dice_addon','dice_addon_elasticsearch_gc_count','dingding','alert','【平台中间件elasticsearch GC次数告警】\n','【平台中间件elasticsearch GC次数告警】\n\n中间件: {{addon_id}}\n\n老年代GC次数: {{gc_collectors_old_collection_count_win_value}}\n\n集群: {{cluster_name}}\n\n机器: {{node_host}}\n\n时间: {{timestamp}}\n\n[查看详情]({{display_url}})\n','','1.0','2021-05-28 11:54:52','2021-05-28 11:54:55',0),(1110,'平台中间件elasticsearch GC次数异常','dice_addon','dice_addon_elasticsearch_gc_count','ticket','alert','【平台中间件elasticsearch GC次数告警】\n','【平台中间件elasticsearch GC次数告警】\n\n中间件: {{addon_id}}\n\n老年代GC次数: {{gc_collectors_old_collection_count_win_value}}\n\n集群: {{cluster_name}}\n\n机器: {{node_host}}\n\n时间: {{timestamp}}\n\n[查看详情]({{display_url}})\n','','1.0','2021-05-28 11:54:52','2021-05-28 11:54:55',0),(1111,'平台中间件elasticsearch GC次数异常','dice_addon','dice_addon_elasticsearch_gc_count','email','alert','【平台中间件elasticsearch GC次数告警】\n','【平台中间件elasticsearch GC次数告警】\n\n中间件: {{addon_id}}\n\n老年代GC次数: {{gc_collectors_old_collection_count_win_value}}\n\n集群: {{cluster_name}}\n\n机器: {{node_host}}\n\n时间: {{timestamp}}\n\n[查看详情]({{display_url}})\n','','1.0','2021-05-28 11:54:52','2021-05-28 11:54:55',0),(1112,'平台中间件elasticsearch GC次数异常','dice_addon','dice_addon_elasticsearch_gc_count','mbox','alert','【平台中间件elasticsearch GC次数告警】\n','【平台中间件elasticsearch GC次数告警】\n\n中间件: {{addon_id}}\n\n老年代GC次数: {{gc_collectors_old_collection_count_win_value}}\n\n集群: {{cluster_name}}\n\n机器: {{node_host}}\n\n时间: {{timestamp}}\n\n[查看详情]({{display_url}})\n','','1.0','2021-05-28 11:54:52','2021-05-28 11:54:55',0),(1113,'平台中间件elasticsearch GC次数异常','dice_addon','dice_addon_elasticsearch_gc_count','dingding','recover','【平台中间件elasticsearch GC次数恢复】\n','【平台中间件elasticsearch GC次数恢复】\n\n中间件: {{addon_id}}\n\n老年代GC次数: {{gc_collectors_old_collection_count_win_value}}\n\n集群: {{cluster_name}}\n\n机器: {{node_host}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n','{\"trigger_duration\":\"time:ms\"}','1.0','2021-05-28 11:54:52','2021-05-28 11:54:55',0),(1114,'平台中间件elasticsearch GC次数异常','dice_addon','dice_addon_elasticsearch_gc_count','ticket','recover','【平台中间件elasticsearch GC次数恢复】\n','【平台中间件elasticsearch GC次数恢复】\n\n中间件: {{addon_id}}\n\n老年代GC次数: {{gc_collectors_old_collection_count_win_value}}\n\n集群: {{cluster_name}}\n\n机器: {{node_host}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n','{\"trigger_duration\":\"time:ms\"}','1.0','2021-05-28 11:54:52','2021-05-28 11:54:55',0),(1115,'平台中间件elasticsearch GC次数异常','dice_addon','dice_addon_elasticsearch_gc_count','email','recover','【平台中间件elasticsearch GC次数恢复】\n','【平台中间件elasticsearch GC次数恢复】\n\n中间件: {{addon_id}}\n\n老年代GC次数: {{gc_collectors_old_collection_count_win_value}}\n\n集群: {{cluster_name}}\n\n机器: {{node_host}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n','{\"trigger_duration\":\"time:ms\"}','1.0','2021-05-28 11:54:52','2021-05-28 11:54:55',0),(1116,'平台中间件elasticsearch GC次数异常','dice_addon','dice_addon_elasticsearch_gc_count','mbox','recover','【平台中间件elasticsearch GC次数恢复】\n','【平台中间件elasticsearch GC次数恢复】\n\n中间件: {{addon_id}}\n\n老年代GC次数: {{gc_collectors_old_collection_count_win_value}}\n\n集群: {{cluster_name}}\n\n机器: {{node_host}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n','{\"trigger_duration\":\"time:ms\"}','1.0','2021-05-28 11:54:52','2021-05-28 11:54:55',0),(1117,'平台中间件elasticsearch GC耗时异常','dice_addon','dice_addon_elasticsearch_gc_time','dingding','alert','【平台中间件elasticsearch GC耗时告警】\n','【平台中间件elasticsearch GC耗时告警】\n\n中间件: {{addon_id}}\n\n老年代GC耗时: {{gc_collectors_old_collection_time_in_millis_win_value}}\n\n集群: {{cluster_name}}\n\n机器: {{node_name}}\n\n时间: {{timestamp}}\n\n[查看详情]({{display_url}})\n','{\"gc_collectors_old_collection_time_in_millis_win_value\":\"time:ms\"}','1.0','2021-05-28 11:54:52','2021-05-28 11:54:55',0),(1118,'平台中间件elasticsearch GC耗时异常','dice_addon','dice_addon_elasticsearch_gc_time','ticket','alert','【平台中间件elasticsearch GC耗时告警】\n','【平台中间件elasticsearch GC耗时告警】\n\n中间件: {{addon_id}}\n\n老年代GC耗时: {{gc_collectors_old_collection_time_in_millis_win_value}}\n\n集群: {{cluster_name}}\n\n机器: {{node_name}}\n\n时间: {{timestamp}}\n\n[查看详情]({{display_url}})\n','{\"gc_collectors_old_collection_time_in_millis_win_value\":\"time:ms\"}','1.0','2021-05-28 11:54:52','2021-05-28 11:54:55',0),(1119,'平台中间件elasticsearch GC耗时异常','dice_addon','dice_addon_elasticsearch_gc_time','email','alert','【平台中间件elasticsearch GC耗时告警】\n','【平台中间件elasticsearch GC耗时告警】\n\n中间件: {{addon_id}}\n\n老年代GC耗时: {{gc_collectors_old_collection_time_in_millis_win_value}}\n\n集群: {{cluster_name}}\n\n机器: {{node_name}}\n\n时间: {{timestamp}}\n\n[查看详情]({{display_url}})\n','{\"gc_collectors_old_collection_time_in_millis_win_value\":\"time:ms\"}','1.0','2021-05-28 11:54:52','2021-05-28 11:54:55',0),(1120,'平台中间件elasticsearch GC耗时异常','dice_addon','dice_addon_elasticsearch_gc_time','mbox','alert','【平台中间件elasticsearch GC耗时告警】\n','【平台中间件elasticsearch GC耗时告警】\n\n中间件: {{addon_id}}\n\n老年代GC耗时: {{gc_collectors_old_collection_time_in_millis_win_value}}\n\n集群: {{cluster_name}}\n\n机器: {{node_name}}\n\n时间: {{timestamp}}\n\n[查看详情]({{display_url}})\n','{\"gc_collectors_old_collection_time_in_millis_win_value\":\"time:ms\"}','1.0','2021-05-28 11:54:52','2021-05-28 11:54:55',0),(1121,'平台中间件elasticsearch GC耗时异常','dice_addon','dice_addon_elasticsearch_gc_time','dingding','recover','【平台中间件elasticsearch GC耗时恢复】\n','【平台中间件elasticsearch GC耗时恢复】\n\n中间件: {{addon_id}}\n\n老年代GC耗时: {{gc_collectors_old_collection_time_in_millis_win_value}}\n\n集群: {{cluster_name}}\n\n机器: {{node_name}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n','{\"gc_collectors_old_collection_time_in_millis_win_value\":\"time:ms\",\"trigger_duration\":\"time:ms\"}','1.0','2021-05-28 11:54:52','2021-05-28 11:54:55',0),(1122,'平台中间件elasticsearch GC耗时异常','dice_addon','dice_addon_elasticsearch_gc_time','ticket','recover','【平台中间件elasticsearch GC耗时恢复】\n','【平台中间件elasticsearch GC耗时恢复】\n\n中间件: {{addon_id}}\n\n老年代GC耗时: {{gc_collectors_old_collection_time_in_millis_win_value}}\n\n集群: {{cluster_name}}\n\n机器: {{node_name}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n','{\"gc_collectors_old_collection_time_in_millis_win_value\":\"time:ms\",\"trigger_duration\":\"time:ms\"}','1.0','2021-05-28 11:54:52','2021-05-28 11:54:55',0),(1123,'平台中间件elasticsearch GC耗时异常','dice_addon','dice_addon_elasticsearch_gc_time','email','recover','【平台中间件elasticsearch GC耗时恢复】\n','【平台中间件elasticsearch GC耗时恢复】\n\n中间件: {{addon_id}}\n\n老年代GC耗时: {{gc_collectors_old_collection_time_in_millis_win_value}}\n\n集群: {{cluster_name}}\n\n机器: {{node_name}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n','{\"gc_collectors_old_collection_time_in_millis_win_value\":\"time:ms\",\"trigger_duration\":\"time:ms\"}','1.0','2021-05-28 11:54:52','2021-05-28 11:54:55',0),(1124,'平台中间件elasticsearch GC耗时异常','dice_addon','dice_addon_elasticsearch_gc_time','mbox','recover','【平台中间件elasticsearch GC耗时恢复】\n','【平台中间件elasticsearch GC耗时恢复】\n\n中间件: {{addon_id}}\n\n老年代GC耗时: {{gc_collectors_old_collection_time_in_millis_win_value}}\n\n集群: {{cluster_name}}\n\n机器: {{node_name}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n','{\"gc_collectors_old_collection_time_in_millis_win_value\":\"time:ms\",\"trigger_duration\":\"time:ms\"}','1.0','2021-05-28 11:54:52','2021-05-28 11:54:55',0),(1125,'平台中间件Kafka GC次数异常','dice_addon','dice_addon_kafka_gc_count','dingding','alert','【平台中间件Kafka GC次数告警】\n','【平台中间件Kafka GC次数告警】\n\n中间件: {{addon_id}}\n\n老年代GC次数: {{CollectionCount_win_value}}\n\n集群: {{cluster_name}}\n\n集群: {{node_host}}\n\n时间: {{timestamp}}\n\n[查看详情]({{display_url}})\n','','1.0','2021-05-28 11:54:52','2021-05-28 11:54:55',0),(1126,'平台中间件Kafka GC次数异常','dice_addon','dice_addon_kafka_gc_count','ticket','alert','【平台中间件Kafka GC次数告警】\n','【平台中间件Kafka GC次数告警】\n\n中间件: {{addon_id}}\n\n老年代GC次数: {{CollectionCount_win_value}}\n\n集群: {{cluster_name}}\n\n集群: {{node_host}}\n\n时间: {{timestamp}}\n\n[查看详情]({{display_url}})\n','','1.0','2021-05-28 11:54:52','2021-05-28 11:54:55',0),(1127,'平台中间件Kafka GC次数异常','dice_addon','dice_addon_kafka_gc_count','email','alert','【平台中间件Kafka GC次数告警】\n','【平台中间件Kafka GC次数告警】\n\n中间件: {{addon_id}}\n\n老年代GC次数: {{CollectionCount_win_value}}\n\n集群: {{cluster_name}}\n\n集群: {{node_host}}\n\n时间: {{timestamp}}\n\n[查看详情]({{display_url}})\n','','1.0','2021-05-28 11:54:52','2021-05-28 11:54:55',0),(1128,'平台中间件Kafka GC次数异常','dice_addon','dice_addon_kafka_gc_count','mbox','alert','【平台中间件Kafka GC次数告警】\n','【平台中间件Kafka GC次数告警】\n\n中间件: {{addon_id}}\n\n老年代GC次数: {{CollectionCount_win_value}}\n\n集群: {{cluster_name}}\n\n集群: {{node_host}}\n\n时间: {{timestamp}}\n\n[查看详情]({{display_url}})\n','','1.0','2021-05-28 11:54:52','2021-05-28 11:54:55',0),(1129,'平台中间件Kafka GC次数异常','dice_addon','dice_addon_kafka_gc_count','dingding','recover','【平台中间件Kafka GC次数恢复】\n','【平台中间件Kafka GC次数恢复】\n\n中间件: {{addon_id}}\n\n老年代GC次数: {{CollectionCount_win_value}}\n\n集群: {{cluster_name}}\n\n机器: {{node_host}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n','{\"trigger_duration\":\"time:ms\"}','1.0','2021-05-28 11:54:52','2021-05-28 11:54:55',0),(1130,'平台中间件Kafka GC次数异常','dice_addon','dice_addon_kafka_gc_count','ticket','recover','【平台中间件Kafka GC次数恢复】\n','【平台中间件Kafka GC次数恢复】\n\n中间件: {{addon_id}}\n\n老年代GC次数: {{CollectionCount_win_value}}\n\n集群: {{cluster_name}}\n\n机器: {{node_host}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n','{\"trigger_duration\":\"time:ms\"}','1.0','2021-05-28 11:54:52','2021-05-28 11:54:55',0),(1131,'平台中间件Kafka GC次数异常','dice_addon','dice_addon_kafka_gc_count','email','recover','【平台中间件Kafka GC次数恢复】\n','【平台中间件Kafka GC次数恢复】\n\n中间件: {{addon_id}}\n\n老年代GC次数: {{CollectionCount_win_value}}\n\n集群: {{cluster_name}}\n\n机器: {{node_host}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n','{\"trigger_duration\":\"time:ms\"}','1.0','2021-05-28 11:54:52','2021-05-28 11:54:55',0),(1132,'平台中间件Kafka GC次数异常','dice_addon','dice_addon_kafka_gc_count','mbox','recover','【平台中间件Kafka GC次数恢复】\n','【平台中间件Kafka GC次数恢复】\n\n中间件: {{addon_id}}\n\n老年代GC次数: {{CollectionCount_win_value}}\n\n集群: {{cluster_name}}\n\n机器: {{node_host}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n','{\"trigger_duration\":\"time:ms\"}','1.0','2021-05-28 11:54:52','2021-05-28 11:54:55',0),(1133,'平台中间件kafka GC耗时异常','dice_addon','dice_addon_kafka_gc_time','dingding','alert','【平台中间件kafka GC耗时告警】\n','【平台中间件kafka GC耗时告警】\n\n中间件: {{addon_id}}\n\n老年代GC耗时: {{CollectionTime_win_value}}\n\n集群: {{cluster_name}}\n\n机器: {{node_host}}\n\n时间: {{timestamp}}\n\n[查看详情]({{display_url}})\n','{\"CollectionTime_win_value\":\"time:ms\"}','1.0','2021-05-28 11:54:52','2021-05-28 11:54:55',0),(1134,'平台中间件kafka GC耗时异常','dice_addon','dice_addon_kafka_gc_time','ticket','alert','【平台中间件kafka GC耗时告警】\n','【平台中间件kafka GC耗时告警】\n\n中间件: {{addon_id}}\n\n老年代GC耗时: {{CollectionTime_win_value}}\n\n集群: {{cluster_name}}\n\n机器: {{node_host}}\n\n时间: {{timestamp}}\n\n[查看详情]({{display_url}})\n','{\"CollectionTime_win_value\":\"time:ms\"}','1.0','2021-05-28 11:54:52','2021-05-28 11:54:55',0),(1135,'平台中间件kafka GC耗时异常','dice_addon','dice_addon_kafka_gc_time','email','alert','【平台中间件kafka GC耗时告警】\n','【平台中间件kafka GC耗时告警】\n\n中间件: {{addon_id}}\n\n老年代GC耗时: {{CollectionTime_win_value}}\n\n集群: {{cluster_name}}\n\n机器: {{node_host}}\n\n时间: {{timestamp}}\n\n[查看详情]({{display_url}})\n','{\"CollectionTime_win_value\":\"time:ms\"}','1.0','2021-05-28 11:54:52','2021-05-28 11:54:55',0),(1136,'平台中间件kafka GC耗时异常','dice_addon','dice_addon_kafka_gc_time','mbox','alert','【平台中间件kafka GC耗时告警】\n','【平台中间件kafka GC耗时告警】\n\n中间件: {{addon_id}}\n\n老年代GC耗时: {{CollectionTime_win_value}}\n\n集群: {{cluster_name}}\n\n机器: {{node_host}}\n\n时间: {{timestamp}}\n\n[查看详情]({{display_url}})\n','{\"CollectionTime_win_value\":\"time:ms\"}','1.0','2021-05-28 11:54:52','2021-05-28 11:54:55',0),(1137,'平台中间件kafka GC耗时异常','dice_addon','dice_addon_kafka_gc_time','dingding','recover','【平台中间件kafka GC耗时恢复】\n','【平台中间件kafka GC耗时恢复】\n\n中间件: {{addon_id}}\n\n老年代GC耗时: {{CollectionTime_win_value}}\n\n集群: {{cluster_name}}\n\n机器: {{node_host}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n','{\"CollectionTime_win_value\":\"time:ms\",\"trigger_duration\":\"time:ms\"}','1.0','2021-05-28 11:54:52','2021-05-28 11:54:55',0),(1138,'平台中间件kafka GC耗时异常','dice_addon','dice_addon_kafka_gc_time','ticket','recover','【平台中间件kafka GC耗时恢复】\n','【平台中间件kafka GC耗时恢复】\n\n中间件: {{addon_id}}\n\n老年代GC耗时: {{CollectionTime_win_value}}\n\n集群: {{cluster_name}}\n\n机器: {{node_host}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n','{\"CollectionTime_win_value\":\"time:ms\",\"trigger_duration\":\"time:ms\"}','1.0','2021-05-28 11:54:52','2021-05-28 11:54:55',0),(1139,'平台中间件kafka GC耗时异常','dice_addon','dice_addon_kafka_gc_time','email','recover','【平台中间件kafka GC耗时恢复】\n','【平台中间件kafka GC耗时恢复】\n\n中间件: {{addon_id}}\n\n老年代GC耗时: {{CollectionTime_win_value}}\n\n集群: {{cluster_name}}\n\n机器: {{node_host}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n','{\"CollectionTime_win_value\":\"time:ms\",\"trigger_duration\":\"time:ms\"}','1.0','2021-05-28 11:54:52','2021-05-28 11:54:55',0),(1140,'平台中间件kafka GC耗时异常','dice_addon','dice_addon_kafka_gc_time','mbox','recover','【平台中间件kafka GC耗时恢复】\n','【平台中间件kafka GC耗时恢复】\n\n中间件: {{addon_id}}\n\n老年代GC耗时: {{CollectionTime_win_value}}\n\n集群: {{cluster_name}}\n\n机器: {{node_host}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n','{\"CollectionTime_win_value\":\"time:ms\",\"trigger_duration\":\"time:ms\"}','1.0','2021-05-28 11:54:52','2021-05-28 11:54:55',0),(1141,'平台中间件kafka消费堆积','dice_addon','dice_addon_kafka_lag','dingding','alert','【平台中间件kafka消费堆积告警】\n','【平台中间件kafka消费堆积告警】\n\n中间件: {{addon_id}}\n\n消费者组: {{group}}\n\nTopic: {{topic}}\n\n当前消息堆积: {{lag_avg}}\n\n消费速度: {{consume_rate_per_sec_avg}} /s\n\n生产速度: {{produce_rate_per_sec_avg}} /s\n\n集群: {{cluster_name}}\n\n时间: {{timestamp}}\n\n[查看详情]({{display_url}})\n','','1.0','2021-05-28 11:54:52','2021-05-28 11:54:55',0),(1142,'平台中间件kafka消费堆积','dice_addon','dice_addon_kafka_lag','ticket','alert','【平台中间件kafka消费堆积告警】\n','【平台中间件kafka消费堆积告警】\n\n中间件: {{addon_id}}\n\n消费者组: {{group}}\n\nTopic: {{topic}}\n\n当前消息堆积: {{lag_avg}}\n\n消费速度: {{consume_rate_per_sec_avg}} /s\n\n生产速度: {{produce_rate_per_sec_avg}} /s\n\n集群: {{cluster_name}}\n\n时间: {{timestamp}}\n\n[查看详情]({{display_url}})\n','','1.0','2021-05-28 11:54:52','2021-05-28 11:54:55',0),(1143,'平台中间件kafka消费堆积','dice_addon','dice_addon_kafka_lag','email','alert','【平台中间件kafka消费堆积告警】\n','【平台中间件kafka消费堆积告警】\n\n中间件: {{addon_id}}\n\n消费者组: {{group}}\n\nTopic: {{topic}}\n\n当前消息堆积: {{lag_avg}}\n\n消费速度: {{consume_rate_per_sec_avg}} /s\n\n生产速度: {{produce_rate_per_sec_avg}} /s\n\n集群: {{cluster_name}}\n\n时间: {{timestamp}}\n\n[查看详情]({{display_url}})\n','','1.0','2021-05-28 11:54:52','2021-05-28 11:54:55',0),(1144,'平台中间件kafka消费堆积','dice_addon','dice_addon_kafka_lag','mbox','alert','【平台中间件kafka消费堆积告警】\n','【平台中间件kafka消费堆积告警】\n\n中间件: {{addon_id}}\n\n消费者组: {{group}}\n\nTopic: {{topic}}\n\n当前消息堆积: {{lag_avg}}\n\n消费速度: {{consume_rate_per_sec_avg}} /s\n\n生产速度: {{produce_rate_per_sec_avg}} /s\n\n集群: {{cluster_name}}\n\n时间: {{timestamp}}\n\n[查看详情]({{display_url}})\n','','1.0','2021-05-28 11:54:52','2021-05-28 11:54:55',0),(1145,'平台中间件kafka消费堆积','dice_addon','dice_addon_kafka_lag','dingding','recover','【平台中间件kafka消费堆积恢复】\n','【平台中间件kafka消费堆积恢复】\n\n中间件: {{addon_id}}\n\n消费者组: {{group}}\n\nTopic: {{topic}}\n\n当前消息堆积: {{lag_avg}}\n\n集群: {{cluster_name}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n','{\"trigger_duration\":\"time:ms\"}','1.0','2021-05-28 11:54:52','2021-05-28 11:54:55',0),(1146,'平台中间件kafka消费堆积','dice_addon','dice_addon_kafka_lag','ticket','recover','【平台中间件kafka消费堆积恢复】\n','【平台中间件kafka消费堆积恢复】\n\n中间件: {{addon_id}}\n\n消费者组: {{group}}\n\nTopic: {{topic}}\n\n当前消息堆积: {{lag_avg}}\n\n集群: {{cluster_name}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n','{\"trigger_duration\":\"time:ms\"}','1.0','2021-05-28 11:54:52','2021-05-28 11:54:55',0),(1147,'平台中间件kafka消费堆积','dice_addon','dice_addon_kafka_lag','email','recover','【平台中间件kafka消费堆积恢复】\n','【平台中间件kafka消费堆积恢复】\n\n中间件: {{addon_id}}\n\n消费者组: {{group}}\n\nTopic: {{topic}}\n\n当前消息堆积: {{lag_avg}}\n\n集群: {{cluster_name}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n','{\"trigger_duration\":\"time:ms\"}','1.0','2021-05-28 11:54:52','2021-05-28 11:54:55',0),(1148,'平台中间件kafka消费堆积','dice_addon','dice_addon_kafka_lag','mbox','recover','【平台中间件kafka消费堆积恢复】\n','【平台中间件kafka消费堆积恢复】\n\n中间件: {{addon_id}}\n\n消费者组: {{group}}\n\nTopic: {{topic}}\n\n当前消息堆积: {{lag_avg}}\n\n集群: {{cluster_name}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n','{\"trigger_duration\":\"time:ms\"}','1.0','2021-05-28 11:54:52','2021-05-28 11:54:55',0),(1149,'平台组件实例CPU异常','dice_component','dice_component_container_cpu','dingding','alert','【平台组件{{component_name}} CPU使用率告警】\n','【平台组件CPU使用率告警】\n\n组件: {{component_name}}\n\n使用率: {{usage_percent_avg}}\n\n限制: {{limit_value}}核\n\n分配: {{allocation_value}}核\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n容器ID: {{container_id}}\n\n时间: {{timestamp}}\n','{\"allocation_value\":\"fraction:2\",\"limit_value\":\"fraction:2\",\"usage_percent_avg\":\"percent:2\"}','1.0','2021-05-28 11:54:52','2021-05-28 11:54:55',0),(1150,'平台组件实例CPU异常','dice_component','dice_component_container_cpu','ticket','alert','【平台组件{{component_name}} CPU使用率告警】\n','【平台组件CPU使用率告警】\n\n组件: {{component_name}}\n\n使用率: {{usage_percent_avg}}\n\n限制: {{limit_value}}核\n\n分配: {{allocation_value}}核\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n容器ID: {{container_id}}\n\n时间: {{timestamp}}\n','{\"allocation_value\":\"fraction:2\",\"limit_value\":\"fraction:2\",\"usage_percent_avg\":\"percent:2\"}','1.0','2021-05-28 11:54:52','2021-05-28 11:54:55',0),(1151,'平台组件实例CPU异常','dice_component','dice_component_container_cpu','email','alert','【平台组件{{component_name}} CPU使用率告警】\n','【平台组件CPU使用率告警】\n\n组件: {{component_name}}\n\n使用率: {{usage_percent_avg}}\n\n限制: {{limit_value}}核\n\n分配: {{allocation_value}}核\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n容器ID: {{container_id}}\n\n时间: {{timestamp}}\n','{\"allocation_value\":\"fraction:2\",\"limit_value\":\"fraction:2\",\"usage_percent_avg\":\"percent:2\"}','1.0','2021-05-28 11:54:52','2021-05-28 11:54:55',0),(1152,'平台组件实例CPU异常','dice_component','dice_component_container_cpu','mbox','alert','【平台组件{{component_name}} CPU使用率告警】\n','【平台组件CPU使用率告警】\n\n组件: {{component_name}}\n\n使用率: {{usage_percent_avg}}\n\n限制: {{limit_value}}核\n\n分配: {{allocation_value}}核\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n容器ID: {{container_id}}\n\n时间: {{timestamp}}\n','{\"allocation_value\":\"fraction:2\",\"limit_value\":\"fraction:2\",\"usage_percent_avg\":\"percent:2\"}','1.0','2021-05-28 11:54:52','2021-05-28 11:54:55',0),(1153,'平台组件实例CPU异常','dice_component','dice_component_container_cpu','dingding','recover','【平台组件{{component_name}} CPU使用率恢复】\n','【平台组件CPU使用率恢复】\n\n组件: {{component_name}}\n\n使用率: {{usage_percent_avg}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n容器ID: {{container_id}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n','{\"trigger_duration\":\"time:ms\",\"usage_percent_avg\":\"percent:2\"}','1.0','2021-05-28 11:54:52','2021-05-28 11:54:55',0),(1154,'平台组件实例CPU异常','dice_component','dice_component_container_cpu','ticket','recover','【平台组件{{component_name}} CPU使用率恢复】\n','【平台组件CPU使用率恢复】\n\n组件: {{component_name}}\n\n使用率: {{usage_percent_avg}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n容器ID: {{container_id}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n','{\"trigger_duration\":\"time:ms\",\"usage_percent_avg\":\"percent:2\"}','1.0','2021-05-28 11:54:52','2021-05-28 11:54:55',0),(1155,'平台组件实例CPU异常','dice_component','dice_component_container_cpu','email','recover','【平台组件{{component_name}} CPU使用率恢复】\n','【平台组件CPU使用率恢复】\n\n组件: {{component_name}}\n\n使用率: {{usage_percent_avg}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n容器ID: {{container_id}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n','{\"trigger_duration\":\"time:ms\",\"usage_percent_avg\":\"percent:2\"}','1.0','2021-05-28 11:54:52','2021-05-28 11:54:55',0),(1156,'平台组件实例CPU异常','dice_component','dice_component_container_cpu','mbox','recover','【平台组件{{component_name}} CPU使用率恢复】\n','【平台组件CPU使用率恢复】\n\n组件: {{component_name}}\n\n使用率: {{usage_percent_avg}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n容器ID: {{container_id}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n','{\"trigger_duration\":\"time:ms\",\"usage_percent_avg\":\"percent:2\"}','1.0','2021-05-28 11:54:52','2021-05-28 11:54:55',0),(1157,'平台组件异常退出','dice_component','dice_component_container_exit','dingding','alert','【平台组件{{component_name}}异常退出告警】\n','【平台组件异常退出告警】\n\n组件: {{component_name}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n启动时间: {{started_at_value}}\n\n退出时间: {{finished_at_value}}\n\n退出原因: {{terminated_reason_value}}\n\n时间: {{timestamp}}\n\n[查看详情]({{display_url}})\n','{\"finished_at_value\":\"date\",\"started_at_value\":\"date\"}','1.0','2021-05-28 11:54:52','2021-05-28 11:54:55',0),(1158,'平台组件异常退出','dice_component','dice_component_container_exit','ticket','alert','【平台组件{{component_name}}异常退出告警】\n','【平台组件异常退出告警】\n\n组件: {{component_name}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n启动时间: {{started_at_value}}\n\n退出时间: {{finished_at_value}}\n\n退出原因: {{terminated_reason_value}}\n\n时间: {{timestamp}}\n\n[查看详情]({{display_url}})\n','{\"finished_at_value\":\"date\",\"started_at_value\":\"date\"}','1.0','2021-05-28 11:54:52','2021-05-28 11:54:55',0),(1159,'平台组件异常退出','dice_component','dice_component_container_exit','email','alert','【平台组件{{component_name}}异常退出告警】\n','【平台组件异常退出告警】\n\n组件: {{component_name}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n启动时间: {{started_at_value}}\n\n退出时间: {{finished_at_value}}\n\n退出原因: {{terminated_reason_value}}\n\n时间: {{timestamp}}\n\n[查看详情]({{display_url}})\n','{\"finished_at_value\":\"date\",\"started_at_value\":\"date\"}','1.0','2021-05-28 11:54:52','2021-05-28 11:54:55',0),(1160,'平台组件异常退出','dice_component','dice_component_container_exit','mbox','alert','【平台组件{{component_name}}异常退出告警】\n','【平台组件异常退出告警】\n\n组件: {{component_name}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n启动时间: {{started_at_value}}\n\n退出时间: {{finished_at_value}}\n\n退出原因: {{terminated_reason_value}}\n\n时间: {{timestamp}}\n\n[查看详情]({{display_url}})\n','{\"finished_at_value\":\"date\",\"started_at_value\":\"date\"}','1.0','2021-05-28 11:54:52','2021-05-28 11:54:55',0),(1161,'平台组件异常退出','dice_component','dice_component_container_exit','dingding','recover','【平台组件{{component_name}}异常退出恢复】\n','【平台组件异常退出恢复】\n\n组件: {{component_name}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n','{\"trigger_duration\":\"time:ms\"}','1.0','2021-05-28 11:54:52','2021-05-28 11:54:55',0),(1162,'平台组件异常退出','dice_component','dice_component_container_exit','ticket','recover','【平台组件{{component_name}}异常退出恢复】\n','【平台组件异常退出恢复】\n\n组件: {{component_name}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n','{\"trigger_duration\":\"time:ms\"}','1.0','2021-05-28 11:54:52','2021-05-28 11:54:55',0),(1163,'平台组件异常退出','dice_component','dice_component_container_exit','email','recover','【平台组件{{component_name}}异常退出恢复】\n','【平台组件异常退出恢复】\n\n组件: {{component_name}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n','{\"trigger_duration\":\"time:ms\"}','1.0','2021-05-28 11:54:52','2021-05-28 11:54:55',0),(1164,'平台组件异常退出','dice_component','dice_component_container_exit','mbox','recover','【平台组件{{component_name}}异常退出恢复】\n','【平台组件异常退出恢复】\n\n组件: {{component_name}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n','{\"trigger_duration\":\"time:ms\"}','1.0','2021-05-28 11:54:52','2021-05-28 11:54:55',0),(1165,'平台组件实例内存异常','dice_component','dice_component_container_mem','dingding','alert','【平台组件{{component_name}}内存使用率告警】\n','【平台组件内存使用率告警】\n\n组件: {{component_name}}\n\n使用率: {{usage_percent_avg}}\n\n使用: {{usage_value}}\n\n限制: {{limit_value}}\n\n分配: {{allocation_value}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n容器ID: {{container_id}}\n\n时间: {{timestamp}}\n','{\"allocation_value\":\"size:byte\",\"limit_value\":\"size:byte\",\"usage_percent_avg\":\"percent:2\",\"usage_value\":\"size:byte\"}','1.0','2021-05-28 11:54:52','2021-05-28 11:54:55',0),(1166,'平台组件实例内存异常','dice_component','dice_component_container_mem','ticket','alert','【平台组件{{component_name}}内存使用率告警】\n','【平台组件内存使用率告警】\n\n组件: {{component_name}}\n\n使用率: {{usage_percent_avg}}\n\n使用: {{usage_value}}\n\n限制: {{limit_value}}\n\n分配: {{allocation_value}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n容器ID: {{container_id}}\n\n时间: {{timestamp}}\n','{\"allocation_value\":\"size:byte\",\"limit_value\":\"size:byte\",\"usage_percent_avg\":\"percent:2\",\"usage_value\":\"size:byte\"}','1.0','2021-05-28 11:54:52','2021-05-28 11:54:55',0),(1167,'平台组件实例内存异常','dice_component','dice_component_container_mem','email','alert','【平台组件{{component_name}}内存使用率告警】\n','【平台组件内存使用率告警】\n\n组件: {{component_name}}\n\n使用率: {{usage_percent_avg}}\n\n使用: {{usage_value}}\n\n限制: {{limit_value}}\n\n分配: {{allocation_value}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n容器ID: {{container_id}}\n\n时间: {{timestamp}}\n','{\"allocation_value\":\"size:byte\",\"limit_value\":\"size:byte\",\"usage_percent_avg\":\"percent:2\",\"usage_value\":\"size:byte\"}','1.0','2021-05-28 11:54:52','2021-05-28 11:54:55',0),(1168,'平台组件实例内存异常','dice_component','dice_component_container_mem','mbox','alert','【平台组件{{component_name}}内存使用率告警】\n','【平台组件内存使用率告警】\n\n组件: {{component_name}}\n\n使用率: {{usage_percent_avg}}\n\n使用: {{usage_value}}\n\n限制: {{limit_value}}\n\n分配: {{allocation_value}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n容器ID: {{container_id}}\n\n时间: {{timestamp}}\n','{\"allocation_value\":\"size:byte\",\"limit_value\":\"size:byte\",\"usage_percent_avg\":\"percent:2\",\"usage_value\":\"size:byte\"}','1.0','2021-05-28 11:54:52','2021-05-28 11:54:55',0),(1169,'平台组件实例内存异常','dice_component','dice_component_container_mem','dingding','recover','【平台组件{{component_name}}内存使用率恢复】\n','【平台组件内存使用率恢复】\n\n组件: {{component_name}}\n\n使用率: {{usage_percent_avg}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n容器ID: {{container_id}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n','{\"trigger_duration\":\"time:ms\",\"usage_percent_avg\":\"percent:2\"}','1.0','2021-05-28 11:54:52','2021-05-28 11:54:55',0),(1170,'平台组件实例内存异常','dice_component','dice_component_container_mem','ticket','recover','【平台组件{{component_name}}内存使用率恢复】\n','【平台组件内存使用率恢复】\n\n组件: {{component_name}}\n\n使用率: {{usage_percent_avg}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n容器ID: {{container_id}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n','{\"trigger_duration\":\"time:ms\",\"usage_percent_avg\":\"percent:2\"}','1.0','2021-05-28 11:54:52','2021-05-28 11:54:55',0),(1171,'平台组件实例内存异常','dice_component','dice_component_container_mem','email','recover','【平台组件{{component_name}}内存使用率恢复】\n','【平台组件内存使用率恢复】\n\n组件: {{component_name}}\n\n使用率: {{usage_percent_avg}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n容器ID: {{container_id}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n','{\"trigger_duration\":\"time:ms\",\"usage_percent_avg\":\"percent:2\"}','1.0','2021-05-28 11:54:52','2021-05-28 11:54:55',0),(1172,'平台组件实例内存异常','dice_component','dice_component_container_mem','mbox','recover','【平台组件{{component_name}}内存使用率恢复】\n','【平台组件内存使用率恢复】\n\n组件: {{component_name}}\n\n使用率: {{usage_percent_avg}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n容器ID: {{container_id}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n','{\"trigger_duration\":\"time:ms\",\"usage_percent_avg\":\"percent:2\"}','1.0','2021-05-28 11:54:52','2021-05-28 11:54:55',0),(1173,'平台组件实例Ready状态异常','dice_component','dice_component_container_ready','dingding','alert','【平台组件{{component_name}} Ready状态异常告警】\n','【平台组件Ready状态异常告警】\n\n组件: {{component_name}}\n\n未就绪实例: {{not_ready_value}}\n\n已就绪实例: {{ready_value}}\n\n集群: {{cluster_name}}\n\n时间: {{timestamp}}\n','','1.0','2021-05-28 11:54:52','2021-05-28 11:54:55',0),(1174,'平台组件实例Ready状态异常','dice_component','dice_component_container_ready','ticket','alert','【平台组件{{component_name}} Ready状态异常告警】\n','【平台组件Ready状态异常告警】\n\n组件: {{component_name}}\n\n未就绪实例: {{not_ready_value}}\n\n已就绪实例: {{ready_value}}\n\n集群: {{cluster_name}}\n\n时间: {{timestamp}}\n','','1.0','2021-05-28 11:54:52','2021-05-28 11:54:55',0),(1175,'平台组件实例Ready状态异常','dice_component','dice_component_container_ready','email','alert','【平台组件{{component_name}} Ready状态异常告警】\n','【平台组件Ready状态异常告警】\n\n组件: {{component_name}}\n\n未就绪实例: {{not_ready_value}}\n\n已就绪实例: {{ready_value}}\n\n集群: {{cluster_name}}\n\n时间: {{timestamp}}\n','','1.0','2021-05-28 11:54:52','2021-05-28 11:54:55',0),(1176,'平台组件实例Ready状态异常','dice_component','dice_component_container_ready','mbox','alert','【平台组件{{component_name}} Ready状态异常告警】\n','【平台组件Ready状态异常告警】\n\n组件: {{component_name}}\n\n未就绪实例: {{not_ready_value}}\n\n已就绪实例: {{ready_value}}\n\n集群: {{cluster_name}}\n\n时间: {{timestamp}}\n','','1.0','2021-05-28 11:54:52','2021-05-28 11:54:55',0),(1177,'平台组件实例Ready状态异常','dice_component','dice_component_container_ready','dingding','recover','【平台组件{{component_name}} Ready状态异常恢复】\n','【平台组件Ready状态异常恢复】\n\n组件: {{component_name}}\n\n已绪数实例: {{ready_value}}\n\n集群: {{cluster_name}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n','{\"trigger_duration\":\"time:ms\"}','1.0','2021-05-28 11:54:52','2021-05-28 11:54:55',0),(1178,'平台组件实例Ready状态异常','dice_component','dice_component_container_ready','ticket','recover','【平台组件{{component_name}} Ready状态异常恢复】\n','【平台组件Ready状态异常恢复】\n\n组件: {{component_name}}\n\n已绪数实例: {{ready_value}}\n\n集群: {{cluster_name}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n','{\"trigger_duration\":\"time:ms\"}','1.0','2021-05-28 11:54:52','2021-05-28 11:54:55',0),(1179,'平台组件实例Ready状态异常','dice_component','dice_component_container_ready','email','recover','【平台组件{{component_name}} Ready状态异常恢复】\n','【平台组件Ready状态异常恢复】\n\n组件: {{component_name}}\n\n已绪数实例: {{ready_value}}\n\n集群: {{cluster_name}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n','{\"trigger_duration\":\"time:ms\"}','1.0','2021-05-28 11:54:52','2021-05-28 11:54:55',0),(1180,'平台组件实例Ready状态异常','dice_component','dice_component_container_ready','mbox','recover','【平台组件{{component_name}} Ready状态异常恢复】\n','【平台组件Ready状态异常恢复】\n\n组件: {{component_name}}\n\n已绪数实例: {{ready_value}}\n\n集群: {{cluster_name}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n','{\"trigger_duration\":\"time:ms\"}','1.0','2021-05-28 11:54:52','2021-05-28 11:54:55',0),(1181,'kubernetes组件实例CPU异常','kubernetes','kubernetes_instance_cpu','dingding','alert','【{{cluster_name}}集群kubernetes组件{{pod_name}} CPU使用率告警】\n','【kubernetes组件CPU使用率告警】\n\nPod: {{pod_name}}\n\n使用率: {{usage_percent_avg}}\n\n限制: {{limit_value}}核\n\n分配: {{allocation_value}}核\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n容器ID: {{container_id}}\n\n时间: {{timestamp}}\n','{\"allocation_value\":\"fraction:2\",\"limit_value\":\"fraction:2\",\"usage_percent_avg\":\"percent:2\"}','1.0','2021-05-28 11:54:52','2021-05-28 11:54:55',0),(1182,'kubernetes组件实例CPU异常','kubernetes','kubernetes_instance_cpu','ticket','alert','【{{cluster_name}}集群kubernetes组件{{pod_name}} CPU使用率告警】\n','【kubernetes组件CPU使用率告警】\n\nPod: {{pod_name}}\n\n使用率: {{usage_percent_avg}}\n\n限制: {{limit_value}}核\n\n分配: {{allocation_value}}核\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n容器ID: {{container_id}}\n\n时间: {{timestamp}}\n','{\"allocation_value\":\"fraction:2\",\"limit_value\":\"fraction:2\",\"usage_percent_avg\":\"percent:2\"}','1.0','2021-05-28 11:54:52','2021-05-28 11:54:55',0),(1183,'kubernetes组件实例CPU异常','kubernetes','kubernetes_instance_cpu','email','alert','【{{cluster_name}}集群kubernetes组件{{pod_name}} CPU使用率告警】\n','【kubernetes组件CPU使用率告警】\n\nPod: {{pod_name}}\n\n使用率: {{usage_percent_avg}}\n\n限制: {{limit_value}}核\n\n分配: {{allocation_value}}核\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n容器ID: {{container_id}}\n\n时间: {{timestamp}}\n','{\"allocation_value\":\"fraction:2\",\"limit_value\":\"fraction:2\",\"usage_percent_avg\":\"percent:2\"}','1.0','2021-05-28 11:54:52','2021-05-28 11:54:55',0),(1184,'kubernetes组件实例CPU异常','kubernetes','kubernetes_instance_cpu','mbox','alert','【{{cluster_name}}集群kubernetes组件{{pod_name}} CPU使用率告警】\n','【kubernetes组件CPU使用率告警】\n\nPod: {{pod_name}}\n\n使用率: {{usage_percent_avg}}\n\n限制: {{limit_value}}核\n\n分配: {{allocation_value}}核\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n容器ID: {{container_id}}\n\n时间: {{timestamp}}\n','{\"allocation_value\":\"fraction:2\",\"limit_value\":\"fraction:2\",\"usage_percent_avg\":\"percent:2\"}','1.0','2021-05-28 11:54:52','2021-05-28 11:54:55',0),(1185,'kubernetes组件实例CPU异常','kubernetes','kubernetes_instance_cpu','dingding','recover','【{{cluster_name}}集群kubernetes组件{{pod_name}} CPU使用率恢复】\n','【kubernetes组件CPU使用率恢复】\n\nPod: {{pod_name}}\n\n使用率: {{usage_percent_avg}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n容器ID: {{container_id}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n','{\"trigger_duration\":\"time:ms\",\"usage_percent_avg\":\"percent:2\"}','1.0','2021-05-28 11:54:52','2021-05-28 11:54:55',0),(1186,'kubernetes组件实例CPU异常','kubernetes','kubernetes_instance_cpu','ticket','recover','【{{cluster_name}}集群kubernetes组件{{pod_name}} CPU使用率恢复】\n','【kubernetes组件CPU使用率恢复】\n\nPod: {{pod_name}}\n\n使用率: {{usage_percent_avg}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n容器ID: {{container_id}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n','{\"trigger_duration\":\"time:ms\",\"usage_percent_avg\":\"percent:2\"}','1.0','2021-05-28 11:54:52','2021-05-28 11:54:55',0),(1187,'kubernetes组件实例CPU异常','kubernetes','kubernetes_instance_cpu','email','recover','【{{cluster_name}}集群kubernetes组件{{pod_name}} CPU使用率恢复】\n','【kubernetes组件CPU使用率恢复】\n\nPod: {{pod_name}}\n\n使用率: {{usage_percent_avg}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n容器ID: {{container_id}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n','{\"trigger_duration\":\"time:ms\",\"usage_percent_avg\":\"percent:2\"}','1.0','2021-05-28 11:54:52','2021-05-28 11:54:55',0),(1188,'kubernetes组件实例CPU异常','kubernetes','kubernetes_instance_cpu','mbox','recover','【{{cluster_name}}集群kubernetes组件{{pod_name}} CPU使用率恢复】\n','【kubernetes组件CPU使用率恢复】\n\nPod: {{pod_name}}\n\n使用率: {{usage_percent_avg}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n容器ID: {{container_id}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n','{\"trigger_duration\":\"time:ms\",\"usage_percent_avg\":\"percent:2\"}','1.0','2021-05-28 11:54:52','2021-05-28 11:54:55',0),(1189,'kubernetes组件异常退出','kubernetes','kubernetes_instance_exit','dingding','alert','【{{cluster_name}}集群kubernetes组件{{pod_name}}异常退出告警】\n','【kubernetes组件异常退出告警】\n\n组件: {{pod_name}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n启动时间: {{started_at_value}}\n\n退出时间: {{finished_at_value}}\n\n退出原因: {{terminated_reason_value}}\n\n时间: {{timestamp}}\n\n[查看详情]({{display_url}})\n','{\"finished_at_value\":\"date\",\"started_at_value\":\"date\"}','1.0','2021-05-28 11:54:52','2021-05-28 11:54:55',0),(1190,'kubernetes组件异常退出','kubernetes','kubernetes_instance_exit','ticket','alert','【{{cluster_name}}集群kubernetes组件{{pod_name}}异常退出告警】\n','【kubernetes组件异常退出告警】\n\n组件: {{pod_name}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n启动时间: {{started_at_value}}\n\n退出时间: {{finished_at_value}}\n\n退出原因: {{terminated_reason_value}}\n\n时间: {{timestamp}}\n\n[查看详情]({{display_url}})\n','{\"finished_at_value\":\"date\",\"started_at_value\":\"date\"}','1.0','2021-05-28 11:54:52','2021-05-28 11:54:55',0),(1191,'kubernetes组件异常退出','kubernetes','kubernetes_instance_exit','email','alert','【{{cluster_name}}集群kubernetes组件{{pod_name}}异常退出告警】\n','【kubernetes组件异常退出告警】\n\n组件: {{pod_name}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n启动时间: {{started_at_value}}\n\n退出时间: {{finished_at_value}}\n\n退出原因: {{terminated_reason_value}}\n\n时间: {{timestamp}}\n\n[查看详情]({{display_url}})\n','{\"finished_at_value\":\"date\",\"started_at_value\":\"date\"}','1.0','2021-05-28 11:54:52','2021-05-28 11:54:55',0),(1192,'kubernetes组件异常退出','kubernetes','kubernetes_instance_exit','mbox','alert','【{{cluster_name}}集群kubernetes组件{{pod_name}}异常退出告警】\n','【kubernetes组件异常退出告警】\n\n组件: {{pod_name}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n启动时间: {{started_at_value}}\n\n退出时间: {{finished_at_value}}\n\n退出原因: {{terminated_reason_value}}\n\n时间: {{timestamp}}\n\n[查看详情]({{display_url}})\n','{\"finished_at_value\":\"date\",\"started_at_value\":\"date\"}','1.0','2021-05-28 11:54:52','2021-05-28 11:54:55',0),(1193,'kubernetes组件异常退出','kubernetes','kubernetes_instance_exit','dingding','recover','【{{cluster_name}}集群kubernetes组件{{pod_name}}异常退出恢复】\n','【kubernetes组件异常退出恢复】\n\n组件: {{pod_name}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n','{\"trigger_duration\":\"time:ms\"}','1.0','2021-05-28 11:54:52','2021-05-28 11:54:55',0),(1194,'kubernetes组件异常退出','kubernetes','kubernetes_instance_exit','ticket','recover','【{{cluster_name}}集群kubernetes组件{{pod_name}}异常退出恢复】\n','【kubernetes组件异常退出恢复】\n\n组件: {{pod_name}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n','{\"trigger_duration\":\"time:ms\"}','1.0','2021-05-28 11:54:52','2021-05-28 11:54:55',0),(1195,'kubernetes组件异常退出','kubernetes','kubernetes_instance_exit','email','recover','【{{cluster_name}}集群kubernetes组件{{pod_name}}异常退出恢复】\n','【kubernetes组件异常退出恢复】\n\n组件: {{pod_name}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n','{\"trigger_duration\":\"time:ms\"}','1.0','2021-05-28 11:54:52','2021-05-28 11:54:55',0),(1196,'kubernetes组件异常退出','kubernetes','kubernetes_instance_exit','mbox','recover','【{{cluster_name}}集群kubernetes组件{{pod_name}}异常退出恢复】\n','【kubernetes组件异常退出恢复】\n\n组件: {{pod_name}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n','{\"trigger_duration\":\"time:ms\"}','1.0','2021-05-28 11:54:52','2021-05-28 11:54:55',0),(1197,'kubernetes组件实例内存异常','kubernetes','kubernetes_instance_mem','dingding','alert','【{{cluster_name}}集群kubernetes组件{{pod_name}}内存使用率告警】\n','【kubernetes组件内存使用率告警】\n\nPod: {{pod_name}}\n\n使用率: {{usage_percent_avg}}\n\n使用: {{usage_value}}\n\n限制: {{limit_value}}\n\n分配: {{allocation_value}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n容器ID: {{container_id}}\n\n时间: {{timestamp}}\n','{\"allocation_value\":\"size:byte\",\"limit_value\":\"size:byte\",\"usage_percent_avg\":\"percent:2\",\"usage_value\":\"size:byte\"}','1.0','2021-05-28 11:54:52','2021-05-28 11:54:55',0),(1198,'kubernetes组件实例内存异常','kubernetes','kubernetes_instance_mem','ticket','alert','【{{cluster_name}}集群kubernetes组件{{pod_name}}内存使用率告警】\n','【kubernetes组件内存使用率告警】\n\nPod: {{pod_name}}\n\n使用率: {{usage_percent_avg}}\n\n使用: {{usage_value}}\n\n限制: {{limit_value}}\n\n分配: {{allocation_value}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n容器ID: {{container_id}}\n\n时间: {{timestamp}}\n','{\"allocation_value\":\"size:byte\",\"limit_value\":\"size:byte\",\"usage_percent_avg\":\"percent:2\",\"usage_value\":\"size:byte\"}','1.0','2021-05-28 11:54:52','2021-05-28 11:54:55',0),(1199,'kubernetes组件实例内存异常','kubernetes','kubernetes_instance_mem','email','alert','【{{cluster_name}}集群kubernetes组件{{pod_name}}内存使用率告警】\n','【kubernetes组件内存使用率告警】\n\nPod: {{pod_name}}\n\n使用率: {{usage_percent_avg}}\n\n使用: {{usage_value}}\n\n限制: {{limit_value}}\n\n分配: {{allocation_value}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n容器ID: {{container_id}}\n\n时间: {{timestamp}}\n','{\"allocation_value\":\"size:byte\",\"limit_value\":\"size:byte\",\"usage_percent_avg\":\"percent:2\",\"usage_value\":\"size:byte\"}','1.0','2021-05-28 11:54:52','2021-05-28 11:54:55',0),(1200,'kubernetes组件实例内存异常','kubernetes','kubernetes_instance_mem','mbox','alert','【{{cluster_name}}集群kubernetes组件{{pod_name}}内存使用率告警】\n','【kubernetes组件内存使用率告警】\n\nPod: {{pod_name}}\n\n使用率: {{usage_percent_avg}}\n\n使用: {{usage_value}}\n\n限制: {{limit_value}}\n\n分配: {{allocation_value}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n容器ID: {{container_id}}\n\n时间: {{timestamp}}\n','{\"allocation_value\":\"size:byte\",\"limit_value\":\"size:byte\",\"usage_percent_avg\":\"percent:2\",\"usage_value\":\"size:byte\"}','1.0','2021-05-28 11:54:52','2021-05-28 11:54:55',0),(1201,'kubernetes组件实例内存异常','kubernetes','kubernetes_instance_mem','dingding','recover','【{{cluster_name}}集群kubernetes组件{{pod_name}}内存使用率恢复】\n','【kubernetes组件内存使用率恢复】\n\nPod: {{pod_name}}\n\n使用率: {{usage_percent_avg}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n容器ID: {{container_id}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n','{\"trigger_duration\":\"time:ms\",\"usage_percent_avg\":\"percent:2\"}','1.0','2021-05-28 11:54:52','2021-05-28 11:54:55',0),(1202,'kubernetes组件实例内存异常','kubernetes','kubernetes_instance_mem','ticket','recover','【{{cluster_name}}集群kubernetes组件{{pod_name}}内存使用率恢复】\n','【kubernetes组件内存使用率恢复】\n\nPod: {{pod_name}}\n\n使用率: {{usage_percent_avg}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n容器ID: {{container_id}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n','{\"trigger_duration\":\"time:ms\",\"usage_percent_avg\":\"percent:2\"}','1.0','2021-05-28 11:54:52','2021-05-28 11:54:55',0),(1203,'kubernetes组件实例内存异常','kubernetes','kubernetes_instance_mem','email','recover','【{{cluster_name}}集群kubernetes组件{{pod_name}}内存使用率恢复】\n','【kubernetes组件内存使用率恢复】\n\nPod: {{pod_name}}\n\n使用率: {{usage_percent_avg}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n容器ID: {{container_id}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n','{\"trigger_duration\":\"time:ms\",\"usage_percent_avg\":\"percent:2\"}','1.0','2021-05-28 11:54:52','2021-05-28 11:54:55',0),(1204,'kubernetes组件实例内存异常','kubernetes','kubernetes_instance_mem','mbox','recover','【{{cluster_name}}集群kubernetes组件{{pod_name}}内存使用率恢复】\n','【kubernetes组件内存使用率恢复】\n\nPod: {{pod_name}}\n\n使用率: {{usage_percent_avg}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n容器ID: {{container_id}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n','{\"trigger_duration\":\"time:ms\",\"usage_percent_avg\":\"percent:2\"}','1.0','2021-05-28 11:54:52','2021-05-28 11:54:55',0),(1205,'kubernetes组件实例Ready状态异常','kubernetes','kubernetes_instance_ready','dingding','alert','【{{cluster_name}}集群kubernetes组件{{resource_name_value}} Ready状态告警】\n','【kubernetes组件Ready状态告警】\n\n组件: {{resource_name_value}}\n\n未就绪实例: {{not_ready_value}}\n\n已就绪实例: {{ready_value}}\n\n集群: {{cluster_name}}\n\n时间: {{timestamp}}\n','','1.0','2021-05-28 11:54:52','2021-05-28 11:54:55',0),(1206,'kubernetes组件实例Ready状态异常','kubernetes','kubernetes_instance_ready','ticket','alert','【{{cluster_name}}集群kubernetes组件{{resource_name_value}} Ready状态告警】\n','【kubernetes组件Ready状态告警】\n\n组件: {{resource_name_value}}\n\n未就绪实例: {{not_ready_value}}\n\n已就绪实例: {{ready_value}}\n\n集群: {{cluster_name}}\n\n时间: {{timestamp}}\n','','1.0','2021-05-28 11:54:52','2021-05-28 11:54:55',0),(1207,'kubernetes组件实例Ready状态异常','kubernetes','kubernetes_instance_ready','email','alert','【{{cluster_name}}集群kubernetes组件{{resource_name_value}} Ready状态告警】\n','【kubernetes组件Ready状态告警】\n\n组件: {{resource_name_value}}\n\n未就绪实例: {{not_ready_value}}\n\n已就绪实例: {{ready_value}}\n\n集群: {{cluster_name}}\n\n时间: {{timestamp}}\n','','1.0','2021-05-28 11:54:52','2021-05-28 11:54:55',0),(1208,'kubernetes组件实例Ready状态异常','kubernetes','kubernetes_instance_ready','mbox','alert','【{{cluster_name}}集群kubernetes组件{{resource_name_value}} Ready状态告警】\n','【kubernetes组件Ready状态告警】\n\n组件: {{resource_name_value}}\n\n未就绪实例: {{not_ready_value}}\n\n已就绪实例: {{ready_value}}\n\n集群: {{cluster_name}}\n\n时间: {{timestamp}}\n','','1.0','2021-05-28 11:54:52','2021-05-28 11:54:55',0),(1209,'kubernetes组件实例Ready状态异常','kubernetes','kubernetes_instance_ready','dingding','recover','【{{cluster_name}}集群kubernetes组件{{resource_name_value}} Ready状态恢复】\n','【kubernetes组件Ready状态恢复】\n\n组件: {{resource_name_value}}\n\n集群: {{cluster_name}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n','{\"trigger_duration\":\"time:ms\"}','1.0','2021-05-28 11:54:52','2021-05-28 11:54:55',0),(1210,'kubernetes组件实例Ready状态异常','kubernetes','kubernetes_instance_ready','ticket','recover','【{{cluster_name}}集群kubernetes组件{{resource_name_value}} Ready状态恢复】\n','【kubernetes组件Ready状态恢复】\n\n组件: {{resource_name_value}}\n\n集群: {{cluster_name}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n','{\"trigger_duration\":\"time:ms\"}','1.0','2021-05-28 11:54:52','2021-05-28 11:54:55',0),(1211,'kubernetes组件实例Ready状态异常','kubernetes','kubernetes_instance_ready','email','recover','【{{cluster_name}}集群kubernetes组件{{resource_name_value}} Ready状态恢复】\n','【kubernetes组件Ready状态恢复】\n\n组件: {{resource_name_value}}\n\n集群: {{cluster_name}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n','{\"trigger_duration\":\"time:ms\"}','1.0','2021-05-28 11:54:52','2021-05-28 11:54:55',0),(1212,'kubernetes组件实例Ready状态异常','kubernetes','kubernetes_instance_ready','mbox','recover','【{{cluster_name}}集群kubernetes组件{{resource_name_value}} Ready状态恢复】\n','【kubernetes组件Ready状态恢复】\n\n组件: {{resource_name_value}}\n\n集群: {{cluster_name}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n','{\"trigger_duration\":\"time:ms\"}','1.0','2021-05-28 11:54:52','2021-05-28 11:54:55',0),(1213,'kubernetes节点异常','kubernetes','kubernetes_node','dingding','alert','【{{cluster_name}}集群kubernetes节点{{node_name}}节点异常告警】\n','【kubernetes节点状态异常告警】\n\n集群: {{cluster_name}}\n\n机器: {{node_name}}\n\n已分配Pod数: {{allocatable_pods_value}}\n\n最大Pod数: {{capacity_pods_value}}\n\n已分配CPU核数: {{allocatable_cpu_cores_value}}\n\n最大CPU核数: {{capacity_cpu_cores_value}}\n\n已分配内存: {{allocatable_memory_bytes_value}}\n\n最大内存: {{capacity_memory_bytes_value}}\n\n时间: {{timestamp}}\n','{\"allocatable_memory_bytes_value\":\"size:byte\",\"capacity_memory_bytes_value\":\"size:byte\"}','1.0','2021-05-28 11:54:52','2021-05-28 11:54:55',0),(1214,'kubernetes节点异常','kubernetes','kubernetes_node','ticket','alert','【{{cluster_name}}集群kubernetes节点{{node_name}}节点异常告警】\n','【kubernetes节点状态异常告警】\n\n集群: {{cluster_name}}\n\n机器: {{node_name}}\n\n已分配Pod数: {{allocatable_pods_value}}\n\n最大Pod数: {{capacity_pods_value}}\n\n已分配CPU核数: {{allocatable_cpu_cores_value}}\n\n最大CPU核数: {{capacity_cpu_cores_value}}\n\n已分配内存: {{allocatable_memory_bytes_value}}\n\n最大内存: {{capacity_memory_bytes_value}}\n\n时间: {{timestamp}}\n','{\"allocatable_memory_bytes_value\":\"size:byte\",\"capacity_memory_bytes_value\":\"size:byte\"}','1.0','2021-05-28 11:54:52','2021-05-28 11:54:55',0),(1215,'kubernetes节点异常','kubernetes','kubernetes_node','email','alert','【{{cluster_name}}集群kubernetes节点{{node_name}}节点异常告警】\n','【kubernetes节点状态异常告警】\n\n集群: {{cluster_name}}\n\n机器: {{node_name}}\n\n已分配Pod数: {{allocatable_pods_value}}\n\n最大Pod数: {{capacity_pods_value}}\n\n已分配CPU核数: {{allocatable_cpu_cores_value}}\n\n最大CPU核数: {{capacity_cpu_cores_value}}\n\n已分配内存: {{allocatable_memory_bytes_value}}\n\n最大内存: {{capacity_memory_bytes_value}}\n\n时间: {{timestamp}}\n','{\"allocatable_memory_bytes_value\":\"size:byte\",\"capacity_memory_bytes_value\":\"size:byte\"}','1.0','2021-05-28 11:54:52','2021-05-28 11:54:55',0),(1216,'kubernetes节点异常','kubernetes','kubernetes_node','mbox','alert','【{{cluster_name}}集群kubernetes节点{{node_name}}节点异常告警】\n','【kubernetes节点状态异常告警】\n\n集群: {{cluster_name}}\n\n机器: {{node_name}}\n\n已分配Pod数: {{allocatable_pods_value}}\n\n最大Pod数: {{capacity_pods_value}}\n\n已分配CPU核数: {{allocatable_cpu_cores_value}}\n\n最大CPU核数: {{capacity_cpu_cores_value}}\n\n已分配内存: {{allocatable_memory_bytes_value}}\n\n最大内存: {{capacity_memory_bytes_value}}\n\n时间: {{timestamp}}\n','{\"allocatable_memory_bytes_value\":\"size:byte\",\"capacity_memory_bytes_value\":\"size:byte\"}','1.0','2021-05-28 11:54:52','2021-05-28 11:54:55',0),(1217,'kubernetes节点异常','kubernetes','kubernetes_node','dingding','recover','【{{cluster_name}}集群kubernetes节点{{node_name}}节点异常恢复】\n','【kubernetes节点状态异常恢复】\n\n集群: {{cluster_name}}\n\n机器: {{node_name}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n','{\"trigger_duration\":\"time:ms\"}','1.0','2021-05-28 11:54:52','2021-05-28 11:54:55',0),(1218,'kubernetes节点异常','kubernetes','kubernetes_node','ticket','recover','【{{cluster_name}}集群kubernetes节点{{node_name}}节点异常恢复】\n','【kubernetes节点状态异常恢复】\n\n集群: {{cluster_name}}\n\n机器: {{node_name}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n','{\"trigger_duration\":\"time:ms\"}','1.0','2021-05-28 11:54:52','2021-05-28 11:54:55',0),(1219,'kubernetes节点异常','kubernetes','kubernetes_node','email','recover','【{{cluster_name}}集群kubernetes节点{{node_name}}节点异常恢复】\n','【kubernetes节点状态异常恢复】\n\n集群: {{cluster_name}}\n\n机器: {{node_name}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n','{\"trigger_duration\":\"time:ms\"}','1.0','2021-05-28 11:54:52','2021-05-28 11:54:55',0),(1220,'kubernetes节点异常','kubernetes','kubernetes_node','mbox','recover','【{{cluster_name}}集群kubernetes节点{{node_name}}节点异常恢复】\n','【kubernetes节点状态异常恢复】\n\n集群: {{cluster_name}}\n\n机器: {{node_name}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n','{\"trigger_duration\":\"time:ms\"}','1.0','2021-05-28 11:54:52','2021-05-28 11:54:55',0),(1221,'机器CPU异常告警','machine','machine_cpu','dingding','alert','【{{cluster_name}}集群机器{{host_ip}} CPU使用率异常告警】','【机器CPU使用率异常告警】\n\nCPU平均使用率: {{usage_active_avg}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n时间: {{timestamp}}\n\n[查看详情]({{display_url}})\n','{\"usage_active_avg\":\"percent:2\"}','1.0','2021-05-28 11:54:52','2021-05-28 11:54:55',0),(1222,'机器CPU异常告警','machine','machine_cpu','ticket','alert','【{{cluster_name}}集群机器{{host_ip}} CPU使用率异常告警】','【机器CPU使用率异常告警】\n\nCPU平均使用率: {{usage_active_avg}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n时间: {{timestamp}}\n\n[查看详情]({{display_url}})\n','{\"usage_active_avg\":\"percent:2\"}','1.0','2021-05-28 11:54:52','2021-05-28 11:54:55',0),(1223,'机器CPU异常告警','machine','machine_cpu','email','alert','【{{cluster_name}}集群机器{{host_ip}} CPU使用率异常告警】','【机器CPU使用率异常告警】\n\nCPU平均使用率: {{usage_active_avg}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n时间: {{timestamp}}\n\n[查看详情]({{display_url}})\n','{\"usage_active_avg\":\"percent:2\"}','1.0','2021-05-28 11:54:52','2021-05-28 11:54:55',0),(1224,'机器CPU异常告警','machine','machine_cpu','mbox','alert','【{{cluster_name}}集群机器{{host_ip}} CPU使用率异常告警】','【机器CPU使用率异常告警】\n\nCPU平均使用率: {{usage_active_avg}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n时间: {{timestamp}}\n\n[查看详情]({{display_url}})\n','{\"usage_active_avg\":\"percent:2\"}','1.0','2021-05-28 11:54:52','2021-05-28 11:54:55',0),(1225,'机器CPU异常恢复','machine','machine_cpu','dingding','recover','【{{cluster_name}}集群机器{{host_ip}} CPU使用率异常恢复】','【机器CPU使用率异常恢复】\n\nCPU平均使用率: {{usage_active_avg}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}','{\"trigger_duration\":\"time:ms\",\"usage_active_avg\":\"percent:2\"}','1.0','2021-05-28 11:54:52','2021-05-28 11:54:55',0),(1226,'机器CPU异常恢复','machine','machine_cpu','ticket','recover','【{{cluster_name}}集群机器{{host_ip}} CPU使用率异常恢复】','【机器CPU使用率异常恢复】\n\nCPU平均使用率: {{usage_active_avg}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}','{\"trigger_duration\":\"time:ms\",\"usage_active_avg\":\"percent:2\"}','1.0','2021-05-28 11:54:52','2021-05-28 11:54:55',0),(1227,'机器CPU异常恢复','machine','machine_cpu','email','recover','【{{cluster_name}}集群机器{{host_ip}} CPU使用率异常恢复】','【机器CPU使用率异常恢复】\n\nCPU平均使用率: {{usage_active_avg}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}','{\"trigger_duration\":\"time:ms\",\"usage_active_avg\":\"percent:2\"}','1.0','2021-05-28 11:54:52','2021-05-28 11:54:55',0),(1228,'机器CPU异常恢复','machine','machine_cpu','mbox','recover','【{{cluster_name}}集群机器{{host_ip}} CPU使用率异常恢复】','【机器CPU使用率异常恢复】\n\nCPU平均使用率: {{usage_active_avg}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}','{\"trigger_duration\":\"time:ms\",\"usage_active_avg\":\"percent:2\"}','1.0','2021-05-28 11:54:52','2021-05-28 11:54:55',0),(1229,'磁盘容量异常告警','machine','machine_disk','dingding','alert','【{{cluster_name}}集群机器{{host_ip}}磁盘使用率异常告警】','【磁盘使用率异常告警】\n\n使用率: {{used_percent_value}}\n\n容量: {{total_value}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n时间: {{timestamp}}\n\n[查看详情]({{display_url}})\n','{\"total_value\":\"size:byte\",\"used_percent_value\":\"percent:2\"}','1.0','2021-05-28 11:54:52','2021-05-28 11:54:55',0),(1230,'磁盘容量异常告警','machine','machine_disk','ticket','alert','【{{cluster_name}}集群机器{{host_ip}}磁盘使用率异常告警】','【磁盘使用率异常告警】\n\n使用率: {{used_percent_value}}\n\n容量: {{total_value}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n时间: {{timestamp}}\n\n[查看详情]({{display_url}})\n','{\"total_value\":\"size:byte\",\"used_percent_value\":\"percent:2\"}','1.0','2021-05-28 11:54:52','2021-05-28 11:54:55',0),(1231,'磁盘容量异常告警','machine','machine_disk','email','alert','【{{cluster_name}}集群机器{{host_ip}}磁盘使用率异常告警】','【磁盘使用率异常告警】\n\n使用率: {{used_percent_value}}\n\n容量: {{total_value}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n时间: {{timestamp}}\n\n[查看详情]({{display_url}})\n','{\"total_value\":\"size:byte\",\"used_percent_value\":\"percent:2\"}','1.0','2021-05-28 11:54:52','2021-05-28 11:54:55',0),(1232,'磁盘容量异常告警','machine','machine_disk','mbox','alert','【{{cluster_name}}集群机器{{host_ip}}磁盘使用率异常告警】','【磁盘使用率异常告警】\n\n使用率: {{used_percent_value}}\n\n容量: {{total_value}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n时间: {{timestamp}}\n\n[查看详情]({{display_url}})\n','{\"total_value\":\"size:byte\",\"used_percent_value\":\"percent:2\"}','1.0','2021-05-28 11:54:52','2021-05-28 11:54:55',0),(1233,'磁盘容量异常恢复','machine','machine_disk','dingding','recover','【{{cluster_name}}集群机器{{host_ip}}磁盘使用率异常恢复】','【磁盘使用率异常恢复】\n\n使用率: {{used_percent_value}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}','{\"trigger_duration\":\"time:ms\",\"used_percent_value\":\"percent:2\"}','1.0','2021-05-28 11:54:52','2021-05-28 11:54:55',0),(1234,'磁盘容量异常恢复','machine','machine_disk','ticket','recover','【{{cluster_name}}集群机器{{host_ip}}磁盘使用率异常恢复】','【磁盘使用率异常恢复】\n\n使用率: {{used_percent_value}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}','{\"trigger_duration\":\"time:ms\",\"used_percent_value\":\"percent:2\"}','1.0','2021-05-28 11:54:52','2021-05-28 11:54:55',0),(1235,'磁盘容量异常恢复','machine','machine_disk','email','recover','【{{cluster_name}}集群机器{{host_ip}}磁盘使用率异常恢复】','【磁盘使用率异常恢复】\n\n使用率: {{used_percent_value}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}','{\"trigger_duration\":\"time:ms\",\"used_percent_value\":\"percent:2\"}','1.0','2021-05-28 11:54:52','2021-05-28 11:54:55',0),(1236,'磁盘容量异常恢复','machine','machine_disk','mbox','recover','【{{cluster_name}}集群机器{{host_ip}}磁盘使用率异常恢复】','【磁盘使用率异常恢复】\n\n使用率: {{used_percent_value}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}','{\"trigger_duration\":\"time:ms\",\"used_percent_value\":\"percent:2\"}','1.0','2021-05-28 11:54:52','2021-05-28 11:54:55',0),(1237,'磁盘IO异常告警','machine','machine_disk_util','dingding','alert','【{{cluster_name}}集群机器{{host_ip}}磁盘IO操作百分比异常告警】','【磁盘IO操作百分比异常告警】\n\nIO操作百分比: {{pct_util_p75}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n时间: {{timestamp}}\n','{\"pct_util_p75\":\"percent:2\"}','1.0','2021-05-28 11:54:52','2021-05-28 11:54:55',0),(1238,'磁盘IO异常告警','machine','machine_disk_util','ticket','alert','【{{cluster_name}}集群机器{{host_ip}}磁盘IO操作百分比异常告警】','【磁盘IO操作百分比异常告警】\n\nIO操作百分比: {{pct_util_p75}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n时间: {{timestamp}}\n','{\"pct_util_p75\":\"percent:2\"}','1.0','2021-05-28 11:54:52','2021-05-28 11:54:55',0),(1239,'磁盘IO异常告警','machine','machine_disk_util','email','alert','【{{cluster_name}}集群机器{{host_ip}}磁盘IO操作百分比异常告警】','【磁盘IO操作百分比异常告警】\n\nIO操作百分比: {{pct_util_p75}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n时间: {{timestamp}}\n','{\"pct_util_p75\":\"percent:2\"}','1.0','2021-05-28 11:54:52','2021-05-28 11:54:55',0),(1240,'磁盘IO异常告警','machine','machine_disk_util','mbox','alert','【{{cluster_name}}集群机器{{host_ip}}磁盘IO操作百分比异常告警】','【磁盘IO操作百分比异常告警】\n\nIO操作百分比: {{pct_util_p75}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n时间: {{timestamp}}\n','{\"pct_util_p75\":\"percent:2\"}','1.0','2021-05-28 11:54:52','2021-05-28 11:54:55',0),(1241,'磁盘IO异常恢复','machine','machine_disk_util','dingding','recover','【{{cluster_name}}集群机器{{host_ip}}磁盘IO操作百分比异常恢复】','【磁盘IO操作百分比异常恢复】\n\nIO操作百分比: {{pct_util_p75}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}','{\"pct_util_p75\":\"percent:2\",\"trigger_duration\":\"time:ms\"}','1.0','2021-05-28 11:54:52','2021-05-28 11:54:55',0),(1242,'磁盘IO异常恢复','machine','machine_disk_util','ticket','recover','【{{cluster_name}}集群机器{{host_ip}}磁盘IO操作百分比异常恢复】','【磁盘IO操作百分比异常恢复】\n\nIO操作百分比: {{pct_util_p75}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}','{\"pct_util_p75\":\"percent:2\",\"trigger_duration\":\"time:ms\"}','1.0','2021-05-28 11:54:52','2021-05-28 11:54:55',0),(1243,'磁盘IO异常恢复','machine','machine_disk_util','email','recover','【{{cluster_name}}集群机器{{host_ip}}磁盘IO操作百分比异常恢复】','【磁盘IO操作百分比异常恢复】\n\nIO操作百分比: {{pct_util_p75}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}','{\"pct_util_p75\":\"percent:2\",\"trigger_duration\":\"time:ms\"}','1.0','2021-05-28 11:54:52','2021-05-28 11:54:55',0),(1244,'磁盘IO异常恢复','machine','machine_disk_util','mbox','recover','【{{cluster_name}}集群机器{{host_ip}}磁盘IO操作百分比异常恢复】','【磁盘IO操作百分比异常恢复】\n\nIO操作百分比: {{pct_util_p75}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}','{\"pct_util_p75\":\"percent:2\",\"trigger_duration\":\"time:ms\"}','1.0','2021-05-28 11:54:52','2021-05-28 11:54:55',0),(1245,'机器负载异常告警','machine','machine_load5','dingding','alert','【{{cluster_name}}集群机器{{host_ip}}负载异常告警】','【机器负载异常告警】\n\nLoad5: {{load5_avg}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n时间: {{timestamp}}\n\n[查看详情]({{display_url}})\n','','1.0','2021-05-28 11:54:52','2021-05-28 11:54:55',0),(1246,'机器负载异常告警','machine','machine_load5','ticket','alert','【{{cluster_name}}集群机器{{host_ip}}负载异常告警】','【机器负载异常告警】\n\nLoad5: {{load5_avg}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n时间: {{timestamp}}\n\n[查看详情]({{display_url}})\n','','1.0','2021-05-28 11:54:52','2021-05-28 11:54:55',0),(1247,'机器负载异常告警','machine','machine_load5','email','alert','【{{cluster_name}}集群机器{{host_ip}}负载异常告警】','【机器负载异常告警】\n\nLoad5: {{load5_avg}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n时间: {{timestamp}}\n\n[查看详情]({{display_url}})\n','','1.0','2021-05-28 11:54:52','2021-05-28 11:54:55',0),(1248,'机器负载异常告警','machine','machine_load5','mbox','alert','【{{cluster_name}}集群机器{{host_ip}}负载异常告警】','【机器负载异常告警】\n\nLoad5: {{load5_avg}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n时间: {{timestamp}}\n\n[查看详情]({{display_url}})\n','','1.0','2021-05-28 11:54:52','2021-05-28 11:54:55',0),(1249,'机器负载异常恢复','machine','machine_load5','dingding','recover','【{{cluster_name}}集群机器{{host_ip}}负载异常恢复】','【机器负载异常恢复】\n\nLoad5: {{load5_avg}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n','{\"trigger_duration\":\"time:ms\"}','1.0','2021-05-28 11:54:52','2021-05-28 11:54:55',0),(1250,'机器负载异常恢复','machine','machine_load5','ticket','recover','【{{cluster_name}}集群机器{{host_ip}}负载异常恢复】','【机器负载异常恢复】\n\nLoad5: {{load5_avg}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n','{\"trigger_duration\":\"time:ms\"}','1.0','2021-05-28 11:54:52','2021-05-28 11:54:55',0),(1251,'机器负载异常恢复','machine','machine_load5','email','recover','【{{cluster_name}}集群机器{{host_ip}}负载异常恢复】','【机器负载异常恢复】\n\nLoad5: {{load5_avg}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n','{\"trigger_duration\":\"time:ms\"}','1.0','2021-05-28 11:54:52','2021-05-28 11:54:55',0),(1252,'机器负载异常恢复','machine','machine_load5','mbox','recover','【{{cluster_name}}集群机器{{host_ip}}负载异常恢复】','【机器负载异常恢复】\n\nLoad5: {{load5_avg}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n','{\"trigger_duration\":\"time:ms\"}','1.0','2021-05-28 11:54:52','2021-05-28 11:54:55',0),(1253,'网盘容量异常告警','machine','machine_netdisk','dingding','alert','【{{cluster_name}}集群网盘使用率异常告警】','【网盘使用率异常告警】\n\n使用率: {{used_percent_value}}\n\n容量: {{total_value}}\n\n集群: {{cluster_name}}\n\n时间: {{timestamp}}\n','{\"total_value\":\"size:byte\",\"used_percent_value\":\"percent:2\"}','1.0','2021-05-28 11:54:52','2021-05-28 11:54:55',0),(1254,'网盘容量异常告警','machine','machine_netdisk','ticket','alert','【{{cluster_name}}集群网盘使用率异常告警】','【网盘使用率异常告警】\n\n使用率: {{used_percent_value}}\n\n容量: {{total_value}}\n\n集群: {{cluster_name}}\n\n时间: {{timestamp}}\n','{\"total_value\":\"size:byte\",\"used_percent_value\":\"percent:2\"}','1.0','2021-05-28 11:54:52','2021-05-28 11:54:55',0),(1255,'网盘容量异常告警','machine','machine_netdisk','email','alert','【{{cluster_name}}集群网盘使用率异常告警】','【网盘使用率异常告警】\n\n使用率: {{used_percent_value}}\n\n容量: {{total_value}}\n\n集群: {{cluster_name}}\n\n时间: {{timestamp}}\n','{\"total_value\":\"size:byte\",\"used_percent_value\":\"percent:2\"}','1.0','2021-05-28 11:54:52','2021-05-28 11:54:55',0),(1256,'网盘容量异常告警','machine','machine_netdisk','mbox','alert','【{{cluster_name}}集群网盘使用率异常告警】','【网盘使用率异常告警】\n\n使用率: {{used_percent_value}}\n\n容量: {{total_value}}\n\n集群: {{cluster_name}}\n\n时间: {{timestamp}}\n','{\"total_value\":\"size:byte\",\"used_percent_value\":\"percent:2\"}','1.0','2021-05-28 11:54:52','2021-05-28 11:54:55',0),(1257,'网盘容量异常恢复','machine','machine_netdisk','dingding','recover','【{{cluster_name}}集群网盘使用率异常恢复】','【网盘使用率异常恢复】\n\n使用率: {{used_percent_value}}\n\n集群: {{cluster_name}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n','{\"trigger_duration\":\"time:ms\",\"used_percent_value\":\"percent:2\"}','1.0','2021-05-28 11:54:52','2021-05-28 11:54:55',0),(1258,'网盘容量异常恢复','machine','machine_netdisk','ticket','recover','【{{cluster_name}}集群网盘使用率异常恢复】','【网盘使用率异常恢复】\n\n使用率: {{used_percent_value}}\n\n集群: {{cluster_name}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n','{\"trigger_duration\":\"time:ms\",\"used_percent_value\":\"percent:2\"}','1.0','2021-05-28 11:54:52','2021-05-28 11:54:55',0),(1259,'网盘容量异常恢复','machine','machine_netdisk','email','recover','【{{cluster_name}}集群网盘使用率异常恢复】','【网盘使用率异常恢复】\n\n使用率: {{used_percent_value}}\n\n集群: {{cluster_name}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n','{\"trigger_duration\":\"time:ms\",\"used_percent_value\":\"percent:2\"}','1.0','2021-05-28 11:54:52','2021-05-28 11:54:55',0),(1260,'网盘容量异常恢复','machine','machine_netdisk','mbox','recover','【{{cluster_name}}集群网盘使用率异常恢复】','【网盘使用率异常恢复】\n\n使用率: {{used_percent_value}}\n\n集群: {{cluster_name}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n','{\"trigger_duration\":\"time:ms\",\"used_percent_value\":\"percent:2\"}','1.0','2021-05-28 11:54:52','2021-05-28 11:54:55',0),(1261,'宕机告警','machine','machine_status','dingding','alert','【{{cluster_name}}集群机器{{host_ip}}宕机告警】','【宕机告警】\n\n机器{{window}}分钟内无消息, 疑似发生宕机\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n最近活跃时间: {{last_timestamp_value}}\n\n时间: {{timestamp}}\n\n[查看详情]({{display_url}})\n','{\"last_timestamp_value\":\"date\"}','1.0','2021-05-28 11:54:52','2021-05-28 11:54:55',0),(1262,'宕机告警','machine','machine_status','ticket','alert','【{{cluster_name}}集群机器{{host_ip}}宕机告警】','【宕机告警】\n\n机器{{window}}分钟内无消息, 疑似发生宕机\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n最近活跃时间: {{last_timestamp_value}}\n\n时间: {{timestamp}}\n\n[查看详情]({{display_url}})\n','{\"last_timestamp_value\":\"date\"}','1.0','2021-05-28 11:54:52','2021-05-28 11:54:55',0),(1263,'宕机告警','machine','machine_status','email','alert','【{{cluster_name}}集群机器{{host_ip}}宕机告警】','【宕机告警】\n\n机器{{window}}分钟内无消息, 疑似发生宕机\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n最近活跃时间: {{last_timestamp_value}}\n\n时间: {{timestamp}}\n\n[查看详情]({{display_url}})\n','{\"last_timestamp_value\":\"date\"}','1.0','2021-05-28 11:54:52','2021-05-28 11:54:55',0),(1264,'宕机告警','machine','machine_status','mbox','alert','【{{cluster_name}}集群机器{{host_ip}}宕机告警】','【宕机告警】\n\n机器{{window}}分钟内无消息, 疑似发生宕机\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n最近活跃时间: {{last_timestamp_value}}\n\n时间: {{timestamp}}\n\n[查看详情]({{display_url}})\n','{\"last_timestamp_value\":\"date\"}','1.0','2021-05-28 11:54:52','2021-05-28 11:54:55',0),(1265,'宕机恢复','machine','machine_status','dingding','recover','【{{cluster_name}}集群机器{{host_ip}}宕机恢复】','【宕机恢复】\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}','{\"trigger_duration\":\"time:ms\"}','1.0','2021-05-28 11:54:52','2021-05-28 11:54:55',0),(1266,'宕机恢复','machine','machine_status','ticket','recover','【{{cluster_name}}集群机器{{host_ip}}宕机恢复】','【宕机恢复】\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}','{\"trigger_duration\":\"time:ms\"}','1.0','2021-05-28 11:54:52','2021-05-28 11:54:55',0),(1267,'宕机恢复','machine','machine_status','email','recover','【{{cluster_name}}集群机器{{host_ip}}宕机恢复】','【宕机恢复】\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}','{\"trigger_duration\":\"time:ms\"}','1.0','2021-05-28 11:54:52','2021-05-28 11:54:55',0),(1268,'宕机恢复','machine','machine_status','mbox','recover','【{{cluster_name}}集群机器{{host_ip}}宕机恢复】','【宕机恢复】\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}','{\"trigger_duration\":\"time:ms\"}','1.0','2021-05-28 11:54:52','2021-05-28 11:54:55',0),(1269,'Elasticsearch实例内存使用率异常告警','addon','addon_elasticsearch_mem','dingding','alert','【Elasticsearch实例内存使用率告警】\n','【Elasticsearch实例内存使用率告警】\n\n组件: {{addon_type}}\n\n实例ID: {{addon_id}}\n\n实例: {{pod_namespace}} - {{pod_name}}\n\n平均使用率: {{usage_percent_avg}}\n\n集群 / 机器: {{cluster_name}} / {{host_ip}}\n\n容器ID: {{container_id}}\n\n机器: {{host_ip}}\n\n时间: {{timestamp}}','{\"container_id\":\"string:6\",\"limit_value\":\"fraction:1\",\"usage_percent_avg\":\"percent:1\"}','1.0','2021-05-28 11:54:55','2021-05-28 11:54:59',0),(1270,'Elasticsearch实例内存使用率异常告警','addon','addon_elasticsearch_mem','ticket','alert','【Elasticsearch实例内存使用率告警】\n','【Elasticsearch实例内存使用率告警】\n\n组件: {{addon_type}}\n\n实例ID: {{addon_id}}\n\n实例: {{pod_namespace}} - {{pod_name}}\n\n平均使用率: {{usage_percent_avg}}\n\n集群 / 机器: {{cluster_name}} / {{host_ip}}\n\n容器ID: {{container_id}}\n\n机器: {{host_ip}}\n\n时间: {{timestamp}}','{\"container_id\":\"string:6\",\"limit_value\":\"fraction:1\",\"usage_percent_avg\":\"percent:1\"}','1.0','2021-05-28 11:54:55','2021-05-28 11:54:59',0),(1271,'Elasticsearch实例内存使用率异常告警','addon','addon_elasticsearch_mem','email','alert','【Elasticsearch实例内存使用率告警】\n','【Elasticsearch实例内存使用率告警】\n\n组件: {{addon_type}}\n\n实例ID: {{addon_id}}\n\n实例: {{pod_namespace}} - {{pod_name}}\n\n平均使用率: {{usage_percent_avg}}\n\n集群 / 机器: {{cluster_name}} / {{host_ip}}\n\n容器ID: {{container_id}}\n\n机器: {{host_ip}}\n\n时间: {{timestamp}}','{\"container_id\":\"string:6\",\"limit_value\":\"fraction:1\",\"usage_percent_avg\":\"percent:1\"}','1.0','2021-05-28 11:54:55','2021-05-28 11:54:59',0),(1272,'Elasticsearch实例内存使用率异常告警','addon','addon_elasticsearch_mem','mbox','alert','【Elasticsearch实例内存使用率告警】\n','【Elasticsearch实例内存使用率告警】\n\n组件: {{addon_type}}\n\n实例ID: {{addon_id}}\n\n实例: {{pod_namespace}} - {{pod_name}}\n\n平均使用率: {{usage_percent_avg}}\n\n集群 / 机器: {{cluster_name}} / {{host_ip}}\n\n容器ID: {{container_id}}\n\n机器: {{host_ip}}\n\n时间: {{timestamp}}','{\"container_id\":\"string:6\",\"limit_value\":\"fraction:1\",\"usage_percent_avg\":\"percent:1\"}','1.0','2021-05-28 11:54:55','2021-05-28 11:54:59',0),(1273,'Elasticsearch实例内存使用率异常告警','addon','addon_elasticsearch_mem','webhook','alert','【Elasticsearch实例内存使用率告警】\n','【Elasticsearch实例内存使用率告警】\n\n组件: {{addon_type}}\n\n实例ID: {{addon_id}}\n\n实例: {{pod_namespace}} - {{pod_name}}\n\n平均使用率: {{usage_percent_avg}}\n\n集群 / 机器: {{cluster_name}} / {{host_ip}}\n\n容器ID: {{container_id}}\n\n机器: {{host_ip}}\n\n时间: {{timestamp}}','{\"container_id\":\"string:6\",\"limit_value\":\"fraction:1\",\"usage_percent_avg\":\"percent:1\"}','1.0','2021-05-28 11:54:55','2021-05-28 11:54:59',0),(1274,'MySQL实例CPU使用率异常告警','addon','addon_mysql_cpu','dingding','alert','【MySQL实例CPU使用率告警】\n','【MySQL实例CPU使用率异常告警】\n\n组件: {{addon_type}}\n\n实例: {{pod_namespace}} - {{pod_name}}\n\nCPU平均使用率: {{usage_percent_avg}}\n\nCPU限制: {{limit_value}}核\n\nCPU分配: {{allocation_value}}核\n\n机器: {{host_ip}}\n\n时间: {{timestamp}}','{\"container_id\":\"string:6\",\"limit_value\":\"fraction:1\",\"usage_percent_avg\":\"percent:1\"}','1.0','2021-05-28 11:54:55','2021-05-28 11:54:59',0),(1275,'MySQL实例CPU使用率异常告警','addon','addon_mysql_cpu','ticket','alert','【MySQL实例CPU使用率告警】\n','【MySQL实例CPU使用率异常告警】\n\n组件: {{addon_type}}\n\n实例: {{pod_namespace}} - {{pod_name}}\n\nCPU平均使用率: {{usage_percent_avg}}\n\nCPU限制: {{limit_value}}核\n\nCPU分配: {{allocation_value}}核\n\n机器: {{host_ip}}\n\n时间: {{timestamp}}','{\"container_id\":\"string:6\",\"limit_value\":\"fraction:1\",\"usage_percent_avg\":\"percent:1\"}','1.0','2021-05-28 11:54:55','2021-05-28 11:54:59',0),(1276,'MySQL实例CPU使用率异常告警','addon','addon_mysql_cpu','email','alert','【MySQL实例CPU使用率告警】\n','【MySQL实例CPU使用率异常告警】\n\n组件: {{addon_type}}\n\n实例: {{pod_namespace}} - {{pod_name}}\n\nCPU平均使用率: {{usage_percent_avg}}\n\nCPU限制: {{limit_value}}核\n\nCPU分配: {{allocation_value}}核\n\n机器: {{host_ip}}\n\n时间: {{timestamp}}','{\"container_id\":\"string:6\",\"limit_value\":\"fraction:1\",\"usage_percent_avg\":\"percent:1\"}','1.0','2021-05-28 11:54:55','2021-05-28 11:54:59',0),(1277,'MySQL实例CPU使用率异常告警','addon','addon_mysql_cpu','mbox','alert','【MySQL实例CPU使用率告警】\n','【MySQL实例CPU使用率异常告警】\n\n组件: {{addon_type}}\n\n实例: {{pod_namespace}} - {{pod_name}}\n\nCPU平均使用率: {{usage_percent_avg}}\n\nCPU限制: {{limit_value}}核\n\nCPU分配: {{allocation_value}}核\n\n机器: {{host_ip}}\n\n时间: {{timestamp}}','{\"container_id\":\"string:6\",\"limit_value\":\"fraction:1\",\"usage_percent_avg\":\"percent:1\"}','1.0','2021-05-28 11:54:55','2021-05-28 11:54:59',0),(1278,'MySQL实例CPU使用率异常告警','addon','addon_mysql_cpu','webhook','alert','【MySQL实例CPU使用率告警】\n','【MySQL实例CPU使用率异常告警】\n\n组件: {{addon_type}}\n\n实例: {{pod_namespace}} - {{pod_name}}\n\nCPU平均使用率: {{usage_percent_avg}}\n\nCPU限制: {{limit_value}}核\n\nCPU分配: {{allocation_value}}核\n\n机器: {{host_ip}}\n\n时间: {{timestamp}}','{\"container_id\":\"string:6\",\"limit_value\":\"fraction:1\",\"usage_percent_avg\":\"percent:1\"}','1.0','2021-05-28 11:54:55','2021-05-28 11:54:59',0),(1279,'MySQL实例内存使用率异常告警','addon','addon_mysql_mem','dingding','alert','【MySQL实例内存使用率告警】\n','【MySQL实例内存使用率告警】\n\n组件: {{addon_type}}\n\n实例ID: {{addon_id}}\n\n实例: {{pod_namespace}} - {{pod_name}}\n\n平均使用率: {{usage_percent_avg}}\n\n集群 / 机器: {{cluster_name}} / {{host_ip}}\n\n容器ID: {{container_id}}\n\n机器: {{host_ip}}\n\n时间: {{timestamp}}','{\"container_id\":\"string:6\",\"limit_value\":\"fraction:1\",\"usage_percent_avg\":\"percent:1\"}','1.0','2021-05-28 11:54:55','2021-05-28 11:54:59',0),(1280,'MySQL实例内存使用率异常告警','addon','addon_mysql_mem','ticket','alert','【MySQL实例内存使用率告警】\n','【MySQL实例内存使用率告警】\n\n组件: {{addon_type}}\n\n实例ID: {{addon_id}}\n\n实例: {{pod_namespace}} - {{pod_name}}\n\n平均使用率: {{usage_percent_avg}}\n\n集群 / 机器: {{cluster_name}} / {{host_ip}}\n\n容器ID: {{container_id}}\n\n机器: {{host_ip}}\n\n时间: {{timestamp}}','{\"container_id\":\"string:6\",\"limit_value\":\"fraction:1\",\"usage_percent_avg\":\"percent:1\"}','1.0','2021-05-28 11:54:55','2021-05-28 11:54:59',0),(1281,'MySQL实例内存使用率异常告警','addon','addon_mysql_mem','email','alert','【MySQL实例内存使用率告警】\n','【MySQL实例内存使用率告警】\n\n组件: {{addon_type}}\n\n实例ID: {{addon_id}}\n\n实例: {{pod_namespace}} - {{pod_name}}\n\n平均使用率: {{usage_percent_avg}}\n\n集群 / 机器: {{cluster_name}} / {{host_ip}}\n\n容器ID: {{container_id}}\n\n机器: {{host_ip}}\n\n时间: {{timestamp}}','{\"container_id\":\"string:6\",\"limit_value\":\"fraction:1\",\"usage_percent_avg\":\"percent:1\"}','1.0','2021-05-28 11:54:55','2021-05-28 11:54:59',0),(1282,'MySQL实例内存使用率异常告警','addon','addon_mysql_mem','mbox','alert','【MySQL实例内存使用率告警】\n','【MySQL实例内存使用率告警】\n\n组件: {{addon_type}}\n\n实例ID: {{addon_id}}\n\n实例: {{pod_namespace}} - {{pod_name}}\n\n平均使用率: {{usage_percent_avg}}\n\n集群 / 机器: {{cluster_name}} / {{host_ip}}\n\n容器ID: {{container_id}}\n\n机器: {{host_ip}}\n\n时间: {{timestamp}}','{\"container_id\":\"string:6\",\"limit_value\":\"fraction:1\",\"usage_percent_avg\":\"percent:1\"}','1.0','2021-05-28 11:54:55','2021-05-28 11:54:59',0),(1283,'MySQL实例内存使用率异常告警','addon','addon_mysql_mem','webhook','alert','【MySQL实例内存使用率告警】\n','【MySQL实例内存使用率告警】\n\n组件: {{addon_type}}\n\n实例ID: {{addon_id}}\n\n实例: {{pod_namespace}} - {{pod_name}}\n\n平均使用率: {{usage_percent_avg}}\n\n集群 / 机器: {{cluster_name}} / {{host_ip}}\n\n容器ID: {{container_id}}\n\n机器: {{host_ip}}\n\n时间: {{timestamp}}','{\"container_id\":\"string:6\",\"limit_value\":\"fraction:1\",\"usage_percent_avg\":\"percent:1\"}','1.0','2021-05-28 11:54:55','2021-05-28 11:54:59',0),(1284,'MySQL实例主从同步异常告警','addon','addon_mysql_slave_status','dingding','alert','【MySQL实例主从同步异常】\n','【MySQL实例主从同步异常】\n\n组件: \"mysql\"\n\n实例ID: {{addon_id}}\n\n从节点IO异常状态: {{slave_slave_io_running_value}}\n\n从节点连接异常状态: {{slave_slave_sql_running_value}}\n\n集群 / 机器: {{cluster_name}} / {{host_ip}}\n\n机器: {{host_ip}}\n\n时间: {{timestamp}}','{\"limit_value\":\"fraction:1\",\"usage_percent_avg\":\"percent:1\"}','1.0','2021-05-28 11:54:55','2021-05-28 11:54:59',0),(1285,'MySQL实例主从同步异常告警','addon','addon_mysql_slave_status','ticket','alert','【MySQL实例主从同步异常】\n','【MySQL实例主从同步异常】\n\n组件: \"mysql\"\n\n实例ID: {{addon_id}}\n\n从节点IO异常状态: {{slave_slave_io_running_value}}\n\n从节点连接异常状态: {{slave_slave_sql_running_value}}\n\n集群 / 机器: {{cluster_name}} / {{host_ip}}\n\n机器: {{host_ip}}\n\n时间: {{timestamp}}','{\"limit_value\":\"fraction:1\",\"usage_percent_avg\":\"percent:1\"}','1.0','2021-05-28 11:54:55','2021-05-28 11:54:59',0),(1286,'MySQL实例主从同步异常告警','addon','addon_mysql_slave_status','email','alert','【MySQL实例主从同步异常】\n','【MySQL实例主从同步异常】\n\n组件: \"mysql\"\n\n实例ID: {{addon_id}}\n\n从节点IO异常状态: {{slave_slave_io_running_value}}\n\n从节点连接异常状态: {{slave_slave_sql_running_value}}\n\n集群 / 机器: {{cluster_name}} / {{host_ip}}\n\n机器: {{host_ip}}\n\n时间: {{timestamp}}','{\"limit_value\":\"fraction:1\",\"usage_percent_avg\":\"percent:1\"}','1.0','2021-05-28 11:54:55','2021-05-28 11:54:59',0),(1287,'MySQL实例主从同步异常告警','addon','addon_mysql_slave_status','mbox','alert','【MySQL实例主从同步异常】\n','【MySQL实例主从同步异常】\n\n组件: \"mysql\"\n\n实例ID: {{addon_id}}\n\n从节点IO异常状态: {{slave_slave_io_running_value}}\n\n从节点连接异常状态: {{slave_slave_sql_running_value}}\n\n集群 / 机器: {{cluster_name}} / {{host_ip}}\n\n机器: {{host_ip}}\n\n时间: {{timestamp}}','{\"limit_value\":\"fraction:1\",\"usage_percent_avg\":\"percent:1\"}','1.0','2021-05-28 11:54:55','2021-05-28 11:54:59',0),(1288,'MySQL实例主从同步异常告警','addon','addon_mysql_slave_status','webhook','alert','【MySQL实例主从同步异常】\n','【MySQL实例主从同步异常】\n\n组件: \"mysql\"\n\n实例ID: {{addon_id}}\n\n从节点IO异常状态: {{slave_slave_io_running_value}}\n\n从节点连接异常状态: {{slave_slave_sql_running_value}}\n\n集群 / 机器: {{cluster_name}} / {{host_ip}}\n\n机器: {{host_ip}}\n\n时间: {{timestamp}}','{\"limit_value\":\"fraction:1\",\"usage_percent_avg\":\"percent:1\"}','1.0','2021-05-28 11:54:55','2021-05-28 11:54:59',0),(1289,'redis实例内存使用率异常告警','addon','addon_redis_mem','dingding','alert','【redis实例内存使用率异常告警】\n','【redis实例内存使用率异常告警】\n\n组件: {{addon_type}}\n\n实例ID: {{addon_id}}\n\n实例: {{pod_namespace}} - {{pod_name}}\n\n平均使用率: {{usage_percent_avg}}\n\n集群 / 机器: {{cluster_name}} / {{host_ip}}\n\n容器ID: {{container_id}}\n\n机器: {{host_ip}}\n\n时间: {{timestamp}}','{\"container_id\":\"string:6\",\"limit_value\":\"fraction:1\",\"usage_percent_avg\":\"percent:1\"}','1.0','2021-05-28 11:54:55','2021-05-28 11:54:59',0),(1290,'redis实例内存使用率异常告警','addon','addon_redis_mem','ticket','alert','【redis实例内存使用率异常告警】\n','【redis实例内存使用率异常告警】\n\n组件: {{addon_type}}\n\n实例ID: {{addon_id}}\n\n实例: {{pod_namespace}} - {{pod_name}}\n\n平均使用率: {{usage_percent_avg}}\n\n集群 / 机器: {{cluster_name}} / {{host_ip}}\n\n容器ID: {{container_id}}\n\n机器: {{host_ip}}\n\n时间: {{timestamp}}','{\"container_id\":\"string:6\",\"limit_value\":\"fraction:1\",\"usage_percent_avg\":\"percent:1\"}','1.0','2021-05-28 11:54:55','2021-05-28 11:54:59',0),(1291,'redis实例内存使用率异常告警','addon','addon_redis_mem','email','alert','【redis实例内存使用率异常告警】\n','【redis实例内存使用率异常告警】\n\n组件: {{addon_type}}\n\n实例ID: {{addon_id}}\n\n实例: {{pod_namespace}} - {{pod_name}}\n\n平均使用率: {{usage_percent_avg}}\n\n集群 / 机器: {{cluster_name}} / {{host_ip}}\n\n容器ID: {{container_id}}\n\n机器: {{host_ip}}\n\n时间: {{timestamp}}','{\"container_id\":\"string:6\",\"limit_value\":\"fraction:1\",\"usage_percent_avg\":\"percent:1\"}','1.0','2021-05-28 11:54:55','2021-05-28 11:54:59',0),(1292,'redis实例内存使用率异常告警','addon','addon_redis_mem','mbox','alert','【redis实例内存使用率异常告警】\n','【redis实例内存使用率异常告警】\n\n组件: {{addon_type}}\n\n实例ID: {{addon_id}}\n\n实例: {{pod_namespace}} - {{pod_name}}\n\n平均使用率: {{usage_percent_avg}}\n\n集群 / 机器: {{cluster_name}} / {{host_ip}}\n\n容器ID: {{container_id}}\n\n机器: {{host_ip}}\n\n时间: {{timestamp}}','{\"container_id\":\"string:6\",\"limit_value\":\"fraction:1\",\"usage_percent_avg\":\"percent:1\"}','1.0','2021-05-28 11:54:55','2021-05-28 11:54:59',0),(1293,'redis实例内存使用率异常告警','addon','addon_redis_mem','webhook','alert','【redis实例内存使用率异常告警】\n','【redis实例内存使用率异常告警】\n\n组件: {{addon_type}}\n\n实例ID: {{addon_id}}\n\n实例: {{pod_namespace}} - {{pod_name}}\n\n平均使用率: {{usage_percent_avg}}\n\n集群 / 机器: {{cluster_name}} / {{host_ip}}\n\n容器ID: {{container_id}}\n\n机器: {{host_ip}}\n\n时间: {{timestamp}}','{\"container_id\":\"string:6\",\"limit_value\":\"fraction:1\",\"usage_percent_avg\":\"percent:1\"}','1.0','2021-05-28 11:54:55','2021-05-28 11:54:59',0),(1294,'应用异常','app_exception','app_exception_count','dingding','alert','【{{application_name}}应用{{service_name}}服务异常告警】\n','【应用异常告警】\n\n项目: {{project_name}}\n\n应用: {{application_name}}\n\n服务: {{runtime_name}} - {{service_name}}\n\n实例: {{instance_id}}\n\n类: {{class}}\n\n方法: {{method}}\n\n行数: {{line}}\n\n错误: {{type}}\n\n事件: {{window}}分钟内出现 {{count_sum}} 次\n\n时间: {{timestamp}}\n\n[查看详情]({{display_url}})\n','','1.0','2021-05-28 11:54:55','2021-05-28 11:54:59',0),(1295,'应用异常','app_exception','app_exception_count','ticket','alert','【{{application_name}}应用{{service_name}}服务异常告警】\n','【应用异常告警】\n\n项目: {{project_name}}\n\n应用: {{application_name}}\n\n服务: {{runtime_name}} - {{service_name}}\n\n实例: {{instance_id}}\n\n类: {{class}}\n\n方法: {{method}}\n\n行数: {{line}}\n\n错误: {{type}}\n\n事件: {{window}}分钟内出现 {{count_sum}} 次\n\n时间: {{timestamp}}\n\n[查看详情]({{display_url}})\n','','1.0','2021-05-28 11:54:55','2021-05-28 11:54:59',0),(1296,'应用异常','app_exception','app_exception_count','email','alert','【{{application_name}}应用{{service_name}}服务异常告警】\n','【应用异常告警】\n\n项目: {{project_name}}\n\n应用: {{application_name}}\n\n服务: {{runtime_name}} - {{service_name}}\n\n实例: {{instance_id}}\n\n类: {{class}}\n\n方法: {{method}}\n\n行数: {{line}}\n\n错误: {{type}}\n\n事件: {{window}}分钟内出现 {{count_sum}} 次\n\n时间: {{timestamp}}\n\n[查看详情]({{display_url}})\n','','1.0','2021-05-28 11:54:55','2021-05-28 11:54:59',0),(1297,'应用异常','app_exception','app_exception_count','mbox','alert','【{{application_name}}应用{{service_name}}服务异常告警】\n','【应用异常告警】\n\n项目: {{project_name}}\n\n应用: {{application_name}}\n\n服务: {{runtime_name}} - {{service_name}}\n\n实例: {{instance_id}}\n\n类: {{class}}\n\n方法: {{method}}\n\n行数: {{line}}\n\n错误: {{type}}\n\n事件: {{window}}分钟内出现 {{count_sum}} 次\n\n时间: {{timestamp}}\n\n[查看详情]({{display_url}})\n','','1.0','2021-05-28 11:54:55','2021-05-28 11:54:59',0),(1298,'应用异常','app_exception','app_exception_count','webhook','alert','【{{application_name}}应用{{service_name}}服务异常告警】\n','【应用异常告警】\n\n项目: {{project_name}}\n\n应用: {{application_name}}\n\n服务: {{runtime_name}} - {{service_name}}\n\n实例: {{instance_id}}\n\n类: {{class}}\n\n方法: {{method}}\n\n行数: {{line}}\n\n错误: {{type}}\n\n事件: {{window}}分钟内出现 {{count_sum}} 次\n\n时间: {{timestamp}}\n\n[查看详情]({{display_url}})\n','','1.0','2021-05-28 11:54:55','2021-05-28 11:54:59',0),(1299,'应用异常','app_exception','app_exception_count','dingding','recover','【{{application_name}}应用{{service_name}}服务异常恢复】\n','【应用异常恢复】\n\n项目: {{project_name}}\n\n应用: {{application_name}}\n\n服务: {{runtime_name}} - {{service_name}}\n\n实例: {{instance_id}}\n\n类: {{class}}\n\n方法: {{method}}\n\n行数: {{line}}\n\n错误: {{type}}\n\n持续时间: {{trigger_duration_min}}\n\n恢复时间: {{timestamp}}','','1.0','2021-05-28 11:54:55','2021-05-28 11:54:59',0),(1300,'应用异常','app_exception','app_exception_count','ticket','recover','【{{application_name}}应用{{service_name}}服务异常恢复】\n','【应用异常恢复】\n\n项目: {{project_name}}\n\n应用: {{application_name}}\n\n服务: {{runtime_name}} - {{service_name}}\n\n实例: {{instance_id}}\n\n类: {{class}}\n\n方法: {{method}}\n\n行数: {{line}}\n\n错误: {{type}}\n\n持续时间: {{trigger_duration_min}}\n\n恢复时间: {{timestamp}}','','1.0','2021-05-28 11:54:55','2021-05-28 11:54:59',0),(1301,'应用异常','app_exception','app_exception_count','email','recover','【{{application_name}}应用{{service_name}}服务异常恢复】\n','【应用异常恢复】\n\n项目: {{project_name}}\n\n应用: {{application_name}}\n\n服务: {{runtime_name}} - {{service_name}}\n\n实例: {{instance_id}}\n\n类: {{class}}\n\n方法: {{method}}\n\n行数: {{line}}\n\n错误: {{type}}\n\n持续时间: {{trigger_duration_min}}\n\n恢复时间: {{timestamp}}','','1.0','2021-05-28 11:54:55','2021-05-28 11:54:59',0),(1302,'应用异常','app_exception','app_exception_count','mbox','recover','【{{application_name}}应用{{service_name}}服务异常恢复】\n','【应用异常恢复】\n\n项目: {{project_name}}\n\n应用: {{application_name}}\n\n服务: {{runtime_name}} - {{service_name}}\n\n实例: {{instance_id}}\n\n类: {{class}}\n\n方法: {{method}}\n\n行数: {{line}}\n\n错误: {{type}}\n\n持续时间: {{trigger_duration_min}}\n\n恢复时间: {{timestamp}}','','1.0','2021-05-28 11:54:55','2021-05-28 11:54:59',0),(1303,'应用异常','app_exception','app_exception_count','webhook','recover','【{{application_name}}应用{{service_name}}服务异常恢复】\n','【应用异常恢复】\n\n项目: {{project_name}}\n\n应用: {{application_name}}\n\n服务: {{runtime_name}} - {{service_name}}\n\n实例: {{instance_id}}\n\n类: {{class}}\n\n方法: {{method}}\n\n行数: {{line}}\n\n错误: {{type}}\n\n持续时间: {{trigger_duration_min}}\n\n恢复时间: {{timestamp}}','','1.0','2021-05-28 11:54:55','2021-05-28 11:54:59',0),(1304,'应用实例CPU使用率异常','app_resource','app_resource_container_cpu','dingding','alert','【{{application_name}}应用{{service_name}}服务实例CPU使用率告警】\n','【应用实例CPU使用率异常告警】\n\n项目: {{project_name}}\n\n应用: {{application_name}}\n\n服务实例: {{runtime_name}} - {{service_name}}.{{container_id}}\n\nCPU平均使用率: {{usage_percent_avg}}\n\nCPU限制: {{limit_value}}核\n\n机器: {{host_ip}}\n\n时间: {{timestamp}}\n\n[查看详情]({{display_url}})\n','{\"container_id\":\"string:6\",\"limit_value\":\"fraction:1\",\"usage_percent_avg\":\"percent:1\"}','1.0','2021-05-28 11:54:55','2021-05-28 11:54:59',0),(1305,'应用实例CPU使用率异常','app_resource','app_resource_container_cpu','ticket','alert','【{{application_name}}应用{{service_name}}服务实例CPU使用率告警】\n','【应用实例CPU使用率异常告警】\n\n项目: {{project_name}}\n\n应用: {{application_name}}\n\n服务实例: {{runtime_name}} - {{service_name}}.{{container_id}}\n\nCPU平均使用率: {{usage_percent_avg}}\n\nCPU限制: {{limit_value}}核\n\n机器: {{host_ip}}\n\n时间: {{timestamp}}\n\n[查看详情]({{display_url}})\n','{\"container_id\":\"string:6\",\"limit_value\":\"fraction:1\",\"usage_percent_avg\":\"percent:1\"}','1.0','2021-05-28 11:54:55','2021-05-28 11:54:59',0),(1306,'应用实例CPU使用率异常','app_resource','app_resource_container_cpu','email','alert','【{{application_name}}应用{{service_name}}服务实例CPU使用率告警】\n','【应用实例CPU使用率异常告警】\n\n项目: {{project_name}}\n\n应用: {{application_name}}\n\n服务实例: {{runtime_name}} - {{service_name}}.{{container_id}}\n\nCPU平均使用率: {{usage_percent_avg}}\n\nCPU限制: {{limit_value}}核\n\n机器: {{host_ip}}\n\n时间: {{timestamp}}\n\n[查看详情]({{display_url}})\n','{\"container_id\":\"string:6\",\"limit_value\":\"fraction:1\",\"usage_percent_avg\":\"percent:1\"}','1.0','2021-05-28 11:54:55','2021-05-28 11:54:59',0),(1307,'应用实例CPU使用率异常','app_resource','app_resource_container_cpu','mbox','alert','【{{application_name}}应用{{service_name}}服务实例CPU使用率告警】\n','【应用实例CPU使用率异常告警】\n\n项目: {{project_name}}\n\n应用: {{application_name}}\n\n服务实例: {{runtime_name}} - {{service_name}}.{{container_id}}\n\nCPU平均使用率: {{usage_percent_avg}}\n\nCPU限制: {{limit_value}}核\n\n机器: {{host_ip}}\n\n时间: {{timestamp}}\n\n[查看详情]({{display_url}})\n','{\"container_id\":\"string:6\",\"limit_value\":\"fraction:1\",\"usage_percent_avg\":\"percent:1\"}','1.0','2021-05-28 11:54:55','2021-05-28 11:54:59',0),(1308,'应用实例CPU使用率异常','app_resource','app_resource_container_cpu','webhook','alert','【{{application_name}}应用{{service_name}}服务实例CPU使用率告警】\n','【应用实例CPU使用率异常告警】\n\n项目: {{project_name}}\n\n应用: {{application_name}}\n\n服务实例: {{runtime_name}} - {{service_name}}.{{container_id}}\n\nCPU平均使用率: {{usage_percent_avg}}\n\nCPU限制: {{limit_value}}核\n\n机器: {{host_ip}}\n\n时间: {{timestamp}}\n\n[查看详情]({{display_url}})\n','{\"container_id\":\"string:6\",\"limit_value\":\"fraction:1\",\"usage_percent_avg\":\"percent:1\"}','1.0','2021-05-28 11:54:55','2021-05-28 11:54:59',0),(1309,'应用实例CPU使用率恢复','app_resource','app_resource_container_cpu','dingding','recover','【{{application_name}}应用{{service_name}}服务实例CPU使用率恢复】\n','【应用实例CPU使用率恢复】\n\n项目: {{project_name}}\n\n应用: {{application_name}}\n\n服务实例: {{runtime_name}} - {{service_name}}.{{container_id}}\n\n平均使用率: {{usage_percent_avg}}\n\n机器: {{host_ip}}\n\n容器ID: {{container_id}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}','{\"container_id\":\"string:6\",\"trigger_duration\":\"time:ms\",\"usage_percent_avg\":\"percent:1\"}','1.0','2021-05-28 11:54:55','2021-05-28 11:54:59',0),(1310,'应用实例CPU使用率恢复','app_resource','app_resource_container_cpu','ticket','recover','【{{application_name}}应用{{service_name}}服务实例CPU使用率恢复】\n','【应用实例CPU使用率恢复】\n\n项目: {{project_name}}\n\n应用: {{application_name}}\n\n服务实例: {{runtime_name}} - {{service_name}}.{{container_id}}\n\n平均使用率: {{usage_percent_avg}}\n\n机器: {{host_ip}}\n\n容器ID: {{container_id}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}','{\"container_id\":\"string:6\",\"trigger_duration\":\"time:ms\",\"usage_percent_avg\":\"percent:1\"}','1.0','2021-05-28 11:54:55','2021-05-28 11:54:59',0),(1311,'应用实例CPU使用率恢复','app_resource','app_resource_container_cpu','email','recover','【{{application_name}}应用{{service_name}}服务实例CPU使用率恢复】\n','【应用实例CPU使用率恢复】\n\n项目: {{project_name}}\n\n应用: {{application_name}}\n\n服务实例: {{runtime_name}} - {{service_name}}.{{container_id}}\n\n平均使用率: {{usage_percent_avg}}\n\n机器: {{host_ip}}\n\n容器ID: {{container_id}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}','{\"container_id\":\"string:6\",\"trigger_duration\":\"time:ms\",\"usage_percent_avg\":\"percent:1\"}','1.0','2021-05-28 11:54:55','2021-05-28 11:54:59',0),(1312,'应用实例CPU使用率恢复','app_resource','app_resource_container_cpu','mbox','recover','【{{application_name}}应用{{service_name}}服务实例CPU使用率恢复】\n','【应用实例CPU使用率恢复】\n\n项目: {{project_name}}\n\n应用: {{application_name}}\n\n服务实例: {{runtime_name}} - {{service_name}}.{{container_id}}\n\n平均使用率: {{usage_percent_avg}}\n\n机器: {{host_ip}}\n\n容器ID: {{container_id}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}','{\"container_id\":\"string:6\",\"trigger_duration\":\"time:ms\",\"usage_percent_avg\":\"percent:1\"}','1.0','2021-05-28 11:54:55','2021-05-28 11:54:59',0),(1313,'应用实例CPU使用率恢复','app_resource','app_resource_container_cpu','webhook','recover','【{{application_name}}应用{{service_name}}服务实例CPU使用率恢复】\n','【应用实例CPU使用率恢复】\n\n项目: {{project_name}}\n\n应用: {{application_name}}\n\n服务实例: {{runtime_name}} - {{service_name}}.{{container_id}}\n\n平均使用率: {{usage_percent_avg}}\n\n机器: {{host_ip}}\n\n容器ID: {{container_id}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}','{\"container_id\":\"string:6\",\"trigger_duration\":\"time:ms\",\"usage_percent_avg\":\"percent:1\"}','1.0','2021-05-28 11:54:55','2021-05-28 11:54:59',0),(1314,'应用实例内存使用率异常','app_resource','app_resource_container_mem','dingding','alert','【{{application_name}}应用{{service_name}}服务内存使用率异常告警】\n','【应用实例内存使用率异常告警】\n\n项目: {{project_name}}\n\n应用: {{application_name}}\n\n服务实例: {{runtime_name}} - {{service_name}}.{{container_id}}\n\n内存使用率: {{usage_percent_avg}}\n\n内存使用: {{usage_value}}\n\n内存限制: {{limit_value}}\n\n机器: {{host_ip}}\n\n时间: {{timestamp}}\n\n[查看详情]({{display_url}})\n','{\"container_id\":\"string:6\",\"limit_value\":\"size:byte\",\"usage_percent_avg\":\"percent:1\",\"usage_value\":\"size:byte\"}','1.0','2021-05-28 11:54:55','2021-05-28 11:54:59',0),(1315,'应用实例内存使用率异常','app_resource','app_resource_container_mem','ticket','alert','【{{application_name}}应用{{service_name}}服务内存使用率异常告警】\n','【应用实例内存使用率异常告警】\n\n项目: {{project_name}}\n\n应用: {{application_name}}\n\n服务实例: {{runtime_name}} - {{service_name}}.{{container_id}}\n\n内存使用率: {{usage_percent_avg}}\n\n内存使用: {{usage_value}}\n\n内存限制: {{limit_value}}\n\n机器: {{host_ip}}\n\n时间: {{timestamp}}\n\n[查看详情]({{display_url}})\n','{\"container_id\":\"string:6\",\"limit_value\":\"size:byte\",\"usage_percent_avg\":\"percent:1\",\"usage_value\":\"size:byte\"}','1.0','2021-05-28 11:54:55','2021-05-28 11:54:59',0),(1316,'应用实例内存使用率异常','app_resource','app_resource_container_mem','email','alert','【{{application_name}}应用{{service_name}}服务内存使用率异常告警】\n','【应用实例内存使用率异常告警】\n\n项目: {{project_name}}\n\n应用: {{application_name}}\n\n服务实例: {{runtime_name}} - {{service_name}}.{{container_id}}\n\n内存使用率: {{usage_percent_avg}}\n\n内存使用: {{usage_value}}\n\n内存限制: {{limit_value}}\n\n机器: {{host_ip}}\n\n时间: {{timestamp}}\n\n[查看详情]({{display_url}})\n','{\"container_id\":\"string:6\",\"limit_value\":\"size:byte\",\"usage_percent_avg\":\"percent:1\",\"usage_value\":\"size:byte\"}','1.0','2021-05-28 11:54:55','2021-05-28 11:54:59',0),(1317,'应用实例内存使用率异常','app_resource','app_resource_container_mem','mbox','alert','【{{application_name}}应用{{service_name}}服务内存使用率异常告警】\n','【应用实例内存使用率异常告警】\n\n项目: {{project_name}}\n\n应用: {{application_name}}\n\n服务实例: {{runtime_name}} - {{service_name}}.{{container_id}}\n\n内存使用率: {{usage_percent_avg}}\n\n内存使用: {{usage_value}}\n\n内存限制: {{limit_value}}\n\n机器: {{host_ip}}\n\n时间: {{timestamp}}\n\n[查看详情]({{display_url}})\n','{\"container_id\":\"string:6\",\"limit_value\":\"size:byte\",\"usage_percent_avg\":\"percent:1\",\"usage_value\":\"size:byte\"}','1.0','2021-05-28 11:54:55','2021-05-28 11:54:59',0),(1318,'应用实例内存使用率异常','app_resource','app_resource_container_mem','webhook','alert','【{{application_name}}应用{{service_name}}服务内存使用率异常告警】\n','【应用实例内存使用率异常告警】\n\n项目: {{project_name}}\n\n应用: {{application_name}}\n\n服务实例: {{runtime_name}} - {{service_name}}.{{container_id}}\n\n内存使用率: {{usage_percent_avg}}\n\n内存使用: {{usage_value}}\n\n内存限制: {{limit_value}}\n\n机器: {{host_ip}}\n\n时间: {{timestamp}}\n\n[查看详情]({{display_url}})\n','{\"container_id\":\"string:6\",\"limit_value\":\"size:byte\",\"usage_percent_avg\":\"percent:1\",\"usage_value\":\"size:byte\"}','1.0','2021-05-28 11:54:55','2021-05-28 11:54:59',0),(1319,'应用实例内存异常','app_resource','app_resource_container_mem','dingding','recover','【{{application_name}}应用{{service_name}}服务内存使用率异常恢复】\n','【应用实例内存使用率异常恢复】\n\n项目: {{project_name}}\n\n应用: {{application_name}}\n\n服务实例: {{runtime_name}} - {{service_name}}.{{container_id}}\n\n内存使用率: {{usage_percent_avg}}\n\n内存使用: {{usage_value}}\n\n内存限制: {{limit_value}}\n\n机器: {{host_ip}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}','{\"container_id\":\"string:6\",\"trigger_duration\":\"time:ms\",\"usage_percent_avg\":\"percent:1\"}','1.0','2021-05-28 11:54:55','2021-05-28 11:54:59',0),(1320,'应用实例内存异常','app_resource','app_resource_container_mem','ticket','recover','【{{application_name}}应用{{service_name}}服务内存使用率异常恢复】\n','【应用实例内存使用率异常恢复】\n\n项目: {{project_name}}\n\n应用: {{application_name}}\n\n服务实例: {{runtime_name}} - {{service_name}}.{{container_id}}\n\n内存使用率: {{usage_percent_avg}}\n\n内存使用: {{usage_value}}\n\n内存限制: {{limit_value}}\n\n机器: {{host_ip}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}','{\"container_id\":\"string:6\",\"trigger_duration\":\"time:ms\",\"usage_percent_avg\":\"percent:1\"}','1.0','2021-05-28 11:54:55','2021-05-28 11:54:59',0),(1321,'应用实例内存异常','app_resource','app_resource_container_mem','email','recover','【{{application_name}}应用{{service_name}}服务内存使用率异常恢复】\n','【应用实例内存使用率异常恢复】\n\n项目: {{project_name}}\n\n应用: {{application_name}}\n\n服务实例: {{runtime_name}} - {{service_name}}.{{container_id}}\n\n内存使用率: {{usage_percent_avg}}\n\n内存使用: {{usage_value}}\n\n内存限制: {{limit_value}}\n\n机器: {{host_ip}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}','{\"container_id\":\"string:6\",\"trigger_duration\":\"time:ms\",\"usage_percent_avg\":\"percent:1\"}','1.0','2021-05-28 11:54:55','2021-05-28 11:54:59',0),(1322,'应用实例内存异常','app_resource','app_resource_container_mem','mbox','recover','【{{application_name}}应用{{service_name}}服务内存使用率异常恢复】\n','【应用实例内存使用率异常恢复】\n\n项目: {{project_name}}\n\n应用: {{application_name}}\n\n服务实例: {{runtime_name}} - {{service_name}}.{{container_id}}\n\n内存使用率: {{usage_percent_avg}}\n\n内存使用: {{usage_value}}\n\n内存限制: {{limit_value}}\n\n机器: {{host_ip}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}','{\"container_id\":\"string:6\",\"trigger_duration\":\"time:ms\",\"usage_percent_avg\":\"percent:1\"}','1.0','2021-05-28 11:54:55','2021-05-28 11:54:59',0),(1323,'应用实例内存异常','app_resource','app_resource_container_mem','webhook','recover','【{{application_name}}应用{{service_name}}服务内存使用率异常恢复】\n','【应用实例内存使用率异常恢复】\n\n项目: {{project_name}}\n\n应用: {{application_name}}\n\n服务实例: {{runtime_name}} - {{service_name}}.{{container_id}}\n\n内存使用率: {{usage_percent_avg}}\n\n内存使用: {{usage_value}}\n\n内存限制: {{limit_value}}\n\n机器: {{host_ip}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}','{\"container_id\":\"string:6\",\"trigger_duration\":\"time:ms\",\"usage_percent_avg\":\"percent:1\"}','1.0','2021-05-28 11:54:55','2021-05-28 11:54:59',0),(1324,'应用实例OOM告警','app_resource','app_resource_container_oom','dingding','alert','【{{application_name}}应用{{service_name}}服务实例OOM告警】\n','【应用实例OOM告警】\n\n项目: {{project_name}}\n\n应用: {{application_name}}\n\n服务实例: {{runtime_name}} - {{service_name}}.{{container_id}}\n\n事件: 服务实例发生OOM\n\n机器: {{host_ip}}\n\n时间: {{timestamp}}\n\n[查看详情]({{display_url}})','{\"container_id\":\"string:6\"}','1.0','2021-05-28 11:54:55','2021-05-28 11:54:59',0),(1325,'应用实例OOM告警','app_resource','app_resource_container_oom','ticket','alert','【{{application_name}}应用{{service_name}}服务实例OOM告警】\n','【应用实例OOM告警】\n\n项目: {{project_name}}\n\n应用: {{application_name}}\n\n服务实例: {{runtime_name}} - {{service_name}}.{{container_id}}\n\n事件: 服务实例发生OOM\n\n机器: {{host_ip}}\n\n时间: {{timestamp}}\n\n[查看详情]({{display_url}})','{\"container_id\":\"string:6\"}','1.0','2021-05-28 11:54:55','2021-05-28 11:54:59',0),(1326,'应用实例OOM告警','app_resource','app_resource_container_oom','email','alert','【{{application_name}}应用{{service_name}}服务实例OOM告警】\n','【应用实例OOM告警】\n\n项目: {{project_name}}\n\n应用: {{application_name}}\n\n服务实例: {{runtime_name}} - {{service_name}}.{{container_id}}\n\n事件: 服务实例发生OOM\n\n机器: {{host_ip}}\n\n时间: {{timestamp}}\n\n[查看详情]({{display_url}})','{\"container_id\":\"string:6\"}','1.0','2021-05-28 11:54:55','2021-05-28 11:54:59',0),(1327,'应用实例OOM告警','app_resource','app_resource_container_oom','mbox','alert','【{{application_name}}应用{{service_name}}服务实例OOM告警】\n','【应用实例OOM告警】\n\n项目: {{project_name}}\n\n应用: {{application_name}}\n\n服务实例: {{runtime_name}} - {{service_name}}.{{container_id}}\n\n事件: 服务实例发生OOM\n\n机器: {{host_ip}}\n\n时间: {{timestamp}}\n\n[查看详情]({{display_url}})','{\"container_id\":\"string:6\"}','1.0','2021-05-28 11:54:55','2021-05-28 11:54:59',0),(1328,'应用实例OOM告警','app_resource','app_resource_container_oom','webhook','alert','【{{application_name}}应用{{service_name}}服务实例OOM告警】\n','【应用实例OOM告警】\n\n项目: {{project_name}}\n\n应用: {{application_name}}\n\n服务实例: {{runtime_name}} - {{service_name}}.{{container_id}}\n\n事件: 服务实例发生OOM\n\n机器: {{host_ip}}\n\n时间: {{timestamp}}\n\n[查看详情]({{display_url}})','{\"container_id\":\"string:6\"}','1.0','2021-05-28 11:54:55','2021-05-28 11:54:59',0),(1329,'应用JVM GC次数异常','app_resource','app_resource_jvm_gc_count','dingding','alert','【{{application_name}}应用{{service_name}}服务JVM GC次数异常告警】\n','【应用JVM GC次数异常告警】\n\n实例GC次数太多 !\n\n项目: {{project_name}}\n\n应用: {{application_name}}\n\n服务: {{runtime_name}} / {{service_name}}\n\n老年代GC次数: {{count_sum}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n时间: {{timestamp}}\n\n[查看详情]({{display_url}})\n','','1.0','2021-05-28 11:54:55','2021-05-28 11:54:59',0),(1330,'应用JVM GC次数异常','app_resource','app_resource_jvm_gc_count','ticket','alert','【{{application_name}}应用{{service_name}}服务JVM GC次数异常告警】\n','【应用JVM GC次数异常告警】\n\n实例GC次数太多 !\n\n项目: {{project_name}}\n\n应用: {{application_name}}\n\n服务: {{runtime_name}} / {{service_name}}\n\n老年代GC次数: {{count_sum}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n时间: {{timestamp}}\n\n[查看详情]({{display_url}})\n','','1.0','2021-05-28 11:54:55','2021-05-28 11:54:59',0),(1331,'应用JVM GC次数异常','app_resource','app_resource_jvm_gc_count','email','alert','【{{application_name}}应用{{service_name}}服务JVM GC次数异常告警】\n','【应用JVM GC次数异常告警】\n\n实例GC次数太多 !\n\n项目: {{project_name}}\n\n应用: {{application_name}}\n\n服务: {{runtime_name}} / {{service_name}}\n\n老年代GC次数: {{count_sum}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n时间: {{timestamp}}\n\n[查看详情]({{display_url}})\n','','1.0','2021-05-28 11:54:55','2021-05-28 11:54:59',0),(1332,'应用JVM GC次数异常','app_resource','app_resource_jvm_gc_count','mbox','alert','【{{application_name}}应用{{service_name}}服务JVM GC次数异常告警】\n','【应用JVM GC次数异常告警】\n\n实例GC次数太多 !\n\n项目: {{project_name}}\n\n应用: {{application_name}}\n\n服务: {{runtime_name}} / {{service_name}}\n\n老年代GC次数: {{count_sum}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n时间: {{timestamp}}\n\n[查看详情]({{display_url}})\n','','1.0','2021-05-28 11:54:55','2021-05-28 11:54:59',0),(1333,'应用JVM GC次数异常','app_resource','app_resource_jvm_gc_count','webhook','alert','【{{application_name}}应用{{service_name}}服务JVM GC次数异常告警】\n','【应用JVM GC次数异常告警】\n\n实例GC次数太多 !\n\n项目: {{project_name}}\n\n应用: {{application_name}}\n\n服务: {{runtime_name}} / {{service_name}}\n\n老年代GC次数: {{count_sum}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n时间: {{timestamp}}\n\n[查看详情]({{display_url}})\n','','1.0','2021-05-28 11:54:55','2021-05-28 11:54:59',0),(1334,'应用JVM GC次数异常','app_resource','app_resource_jvm_gc_count','dingding','recover','【{{application_name}}应用{{service_name}}服务JVM GC次数异常恢复】\n','【应用JVM GC次数异常恢复】\n\n实例GC次数已恢复正常值 .\n\n项目: {{project_name}}\n\n应用: {{application_name}}\n\n服务: {{runtime_name}} / {{service_name}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n持续时间: {{trigger_duration_min}}\n\n恢复时间: {{timestamp}}\n','','1.0','2021-05-28 11:54:55','2021-05-28 11:54:59',0),(1335,'应用JVM GC次数异常','app_resource','app_resource_jvm_gc_count','ticket','recover','【{{application_name}}应用{{service_name}}服务JVM GC次数异常恢复】\n','【应用JVM GC次数异常恢复】\n\n实例GC次数已恢复正常值 .\n\n项目: {{project_name}}\n\n应用: {{application_name}}\n\n服务: {{runtime_name}} / {{service_name}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n持续时间: {{trigger_duration_min}}\n\n恢复时间: {{timestamp}}\n','','1.0','2021-05-28 11:54:55','2021-05-28 11:54:59',0),(1336,'应用JVM GC次数异常','app_resource','app_resource_jvm_gc_count','email','recover','【{{application_name}}应用{{service_name}}服务JVM GC次数异常恢复】\n','【应用JVM GC次数异常恢复】\n\n实例GC次数已恢复正常值 .\n\n项目: {{project_name}}\n\n应用: {{application_name}}\n\n服务: {{runtime_name}} / {{service_name}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n持续时间: {{trigger_duration_min}}\n\n恢复时间: {{timestamp}}\n','','1.0','2021-05-28 11:54:55','2021-05-28 11:54:59',0),(1337,'应用JVM GC次数异常','app_resource','app_resource_jvm_gc_count','mbox','recover','【{{application_name}}应用{{service_name}}服务JVM GC次数异常恢复】\n','【应用JVM GC次数异常恢复】\n\n实例GC次数已恢复正常值 .\n\n项目: {{project_name}}\n\n应用: {{application_name}}\n\n服务: {{runtime_name}} / {{service_name}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n持续时间: {{trigger_duration_min}}\n\n恢复时间: {{timestamp}}\n','','1.0','2021-05-28 11:54:55','2021-05-28 11:54:59',0),(1338,'应用JVM GC次数异常','app_resource','app_resource_jvm_gc_count','webhook','recover','【{{application_name}}应用{{service_name}}服务JVM GC次数异常恢复】\n','【应用JVM GC次数异常恢复】\n\n实例GC次数已恢复正常值 .\n\n项目: {{project_name}}\n\n应用: {{application_name}}\n\n服务: {{runtime_name}} / {{service_name}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n持续时间: {{trigger_duration_min}}\n\n恢复时间: {{timestamp}}\n','','1.0','2021-05-28 11:54:55','2021-05-28 11:54:59',0),(1339,'应用JVM GC耗时异常','app_resource','app_resource_jvm_gc_time','dingding','alert','【{{application_name}}应用{{service_name}}服务JVM GC耗时异常告警】\n','【应用JVM GC耗时异常告警】\n\n实例GC耗时过长 !\n\n项目: {{project_name}}\n\n应用: {{application_name}}\n\n服务: {{runtime_name}} / {{service_name}}\n\n老年代GC耗时: 总耗时{{time_sum}}，最后一次耗时{{time_value}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n时间: {{timestamp}}\n\n[查看详情]({{display_url}})\n','{\"time_sum\":\"time:ms\",\"time_value\":\"time:ms\"}','1.0','2021-05-28 11:54:55','2021-05-28 11:54:59',0),(1340,'应用JVM GC耗时异常','app_resource','app_resource_jvm_gc_time','ticket','alert','【{{application_name}}应用{{service_name}}服务JVM GC耗时异常告警】\n','【应用JVM GC耗时异常告警】\n\n实例GC耗时过长 !\n\n项目: {{project_name}}\n\n应用: {{application_name}}\n\n服务: {{runtime_name}} / {{service_name}}\n\n老年代GC耗时: 总耗时{{time_sum}}，最后一次耗时{{time_value}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n时间: {{timestamp}}\n\n[查看详情]({{display_url}})\n','{\"time_sum\":\"time:ms\",\"time_value\":\"time:ms\"}','1.0','2021-05-28 11:54:55','2021-05-28 11:54:59',0),(1341,'应用JVM GC耗时异常','app_resource','app_resource_jvm_gc_time','email','alert','【{{application_name}}应用{{service_name}}服务JVM GC耗时异常告警】\n','【应用JVM GC耗时异常告警】\n\n实例GC耗时过长 !\n\n项目: {{project_name}}\n\n应用: {{application_name}}\n\n服务: {{runtime_name}} / {{service_name}}\n\n老年代GC耗时: 总耗时{{time_sum}}，最后一次耗时{{time_value}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n时间: {{timestamp}}\n\n[查看详情]({{display_url}})\n','{\"time_sum\":\"time:ms\",\"time_value\":\"time:ms\"}','1.0','2021-05-28 11:54:55','2021-05-28 11:54:59',0),(1342,'应用JVM GC耗时异常','app_resource','app_resource_jvm_gc_time','mbox','alert','【{{application_name}}应用{{service_name}}服务JVM GC耗时异常告警】\n','【应用JVM GC耗时异常告警】\n\n实例GC耗时过长 !\n\n项目: {{project_name}}\n\n应用: {{application_name}}\n\n服务: {{runtime_name}} / {{service_name}}\n\n老年代GC耗时: 总耗时{{time_sum}}，最后一次耗时{{time_value}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n时间: {{timestamp}}\n\n[查看详情]({{display_url}})\n','{\"time_sum\":\"time:ms\",\"time_value\":\"time:ms\"}','1.0','2021-05-28 11:54:55','2021-05-28 11:54:59',0),(1343,'应用JVM GC耗时异常','app_resource','app_resource_jvm_gc_time','webhook','alert','【{{application_name}}应用{{service_name}}服务JVM GC耗时异常告警】\n','【应用JVM GC耗时异常告警】\n\n实例GC耗时过长 !\n\n项目: {{project_name}}\n\n应用: {{application_name}}\n\n服务: {{runtime_name}} / {{service_name}}\n\n老年代GC耗时: 总耗时{{time_sum}}，最后一次耗时{{time_value}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n时间: {{timestamp}}\n\n[查看详情]({{display_url}})\n','{\"time_sum\":\"time:ms\",\"time_value\":\"time:ms\"}','1.0','2021-05-28 11:54:55','2021-05-28 11:54:59',0),(1344,'应用JVM GC耗时异常','app_resource','app_resource_jvm_gc_time','dingding','recover','【{{application_name}}应用{{service_name}}服务JVM GC耗时异常恢复】\n','【应用JVM GC耗时异常恢复】\n\n实例GC耗时已恢复正常值 .\n\n项目: {{project_name}}\n\n应用: {{application_name}}\n\n服务: {{runtime_name}} / {{service_name}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n持续时间: {{trigger_duration_min}}\n\n恢复时间: {{timestamp}}\n','','1.0','2021-05-28 11:54:55','2021-05-28 11:54:59',0),(1345,'应用JVM GC耗时异常','app_resource','app_resource_jvm_gc_time','ticket','recover','【{{application_name}}应用{{service_name}}服务JVM GC耗时异常恢复】\n','【应用JVM GC耗时异常恢复】\n\n实例GC耗时已恢复正常值 .\n\n项目: {{project_name}}\n\n应用: {{application_name}}\n\n服务: {{runtime_name}} / {{service_name}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n持续时间: {{trigger_duration_min}}\n\n恢复时间: {{timestamp}}\n','','1.0','2021-05-28 11:54:55','2021-05-28 11:54:59',0),(1346,'应用JVM GC耗时异常','app_resource','app_resource_jvm_gc_time','email','recover','【{{application_name}}应用{{service_name}}服务JVM GC耗时异常恢复】\n','【应用JVM GC耗时异常恢复】\n\n实例GC耗时已恢复正常值 .\n\n项目: {{project_name}}\n\n应用: {{application_name}}\n\n服务: {{runtime_name}} / {{service_name}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n持续时间: {{trigger_duration_min}}\n\n恢复时间: {{timestamp}}\n','','1.0','2021-05-28 11:54:55','2021-05-28 11:54:59',0),(1347,'应用JVM GC耗时异常','app_resource','app_resource_jvm_gc_time','mbox','recover','【{{application_name}}应用{{service_name}}服务JVM GC耗时异常恢复】\n','【应用JVM GC耗时异常恢复】\n\n实例GC耗时已恢复正常值 .\n\n项目: {{project_name}}\n\n应用: {{application_name}}\n\n服务: {{runtime_name}} / {{service_name}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n持续时间: {{trigger_duration_min}}\n\n恢复时间: {{timestamp}}\n','','1.0','2021-05-28 11:54:55','2021-05-28 11:54:59',0),(1348,'应用JVM GC耗时异常','app_resource','app_resource_jvm_gc_time','webhook','recover','【{{application_name}}应用{{service_name}}服务JVM GC耗时异常恢复】\n','【应用JVM GC耗时异常恢复】\n\n实例GC耗时已恢复正常值 .\n\n项目: {{project_name}}\n\n应用: {{application_name}}\n\n服务: {{runtime_name}} / {{service_name}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n持续时间: {{trigger_duration_min}}\n\n恢复时间: {{timestamp}}\n','','1.0','2021-05-28 11:54:55','2021-05-28 11:54:59',0),(1349,'JVM堆内存使用异常告警','app_resource','app_resource_jvm_heap','dingding','alert','【{{application_name}}应用{{service_name}}服务JVM堆内存使用异常告警】','【JVM堆内存使用异常告警】\n\n实例JVM堆内存使用过高 ！\n\n项目: {{project_name}}\n\n应用: {{application_name}}\n\n服务: {{runtime_name}} / {{service_name}}\n\n实例: {{instance_id}}\n\n堆内存使用率: {{usage_percent_avg}}\n\n已使用: {{used_value}}\n\n最大使用: {{max_value}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n时间: {{timestamp}}\n\n[查看详情]({{display_url}})\n','{\"max_value\":\"size:byte\",\"usage_percent_avg\":\"percent\",\"used_value\":\"size:byte\"}','1.0','2021-05-28 11:54:55','2021-05-28 11:54:59',0),(1350,'JVM堆内存使用异常告警','app_resource','app_resource_jvm_heap','ticket','alert','【{{application_name}}应用{{service_name}}服务JVM堆内存使用异常告警】','【JVM堆内存使用异常告警】\n\n实例JVM堆内存使用过高 ！\n\n项目: {{project_name}}\n\n应用: {{application_name}}\n\n服务: {{runtime_name}} / {{service_name}}\n\n实例: {{instance_id}}\n\n堆内存使用率: {{usage_percent_avg}}\n\n已使用: {{used_value}}\n\n最大使用: {{max_value}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n时间: {{timestamp}}\n\n[查看详情]({{display_url}})\n','{\"max_value\":\"size:byte\",\"usage_percent_avg\":\"percent\",\"used_value\":\"size:byte\"}','1.0','2021-05-28 11:54:55','2021-05-28 11:54:59',0),(1351,'JVM堆内存使用异常告警','app_resource','app_resource_jvm_heap','email','alert','【{{application_name}}应用{{service_name}}服务JVM堆内存使用异常告警】','【JVM堆内存使用异常告警】\n\n实例JVM堆内存使用过高 ！\n\n项目: {{project_name}}\n\n应用: {{application_name}}\n\n服务: {{runtime_name}} / {{service_name}}\n\n实例: {{instance_id}}\n\n堆内存使用率: {{usage_percent_avg}}\n\n已使用: {{used_value}}\n\n最大使用: {{max_value}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n时间: {{timestamp}}\n\n[查看详情]({{display_url}})\n','{\"max_value\":\"size:byte\",\"usage_percent_avg\":\"percent\",\"used_value\":\"size:byte\"}','1.0','2021-05-28 11:54:55','2021-05-28 11:54:59',0),(1352,'JVM堆内存使用异常告警','app_resource','app_resource_jvm_heap','mbox','alert','【{{application_name}}应用{{service_name}}服务JVM堆内存使用异常告警】','【JVM堆内存使用异常告警】\n\n实例JVM堆内存使用过高 ！\n\n项目: {{project_name}}\n\n应用: {{application_name}}\n\n服务: {{runtime_name}} / {{service_name}}\n\n实例: {{instance_id}}\n\n堆内存使用率: {{usage_percent_avg}}\n\n已使用: {{used_value}}\n\n最大使用: {{max_value}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n时间: {{timestamp}}\n\n[查看详情]({{display_url}})\n','{\"max_value\":\"size:byte\",\"usage_percent_avg\":\"percent\",\"used_value\":\"size:byte\"}','1.0','2021-05-28 11:54:55','2021-05-28 11:54:59',0),(1353,'JVM堆内存使用异常告警','app_resource','app_resource_jvm_heap','webhook','alert','【{{application_name}}应用{{service_name}}服务JVM堆内存使用异常告警】','【JVM堆内存使用异常告警】\n\n实例JVM堆内存使用过高 ！\n\n项目: {{project_name}}\n\n应用: {{application_name}}\n\n服务: {{runtime_name}} / {{service_name}}\n\n实例: {{instance_id}}\n\n堆内存使用率: {{usage_percent_avg}}\n\n已使用: {{used_value}}\n\n最大使用: {{max_value}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n时间: {{timestamp}}\n\n[查看详情]({{display_url}})\n','{\"max_value\":\"size:byte\",\"usage_percent_avg\":\"percent\",\"used_value\":\"size:byte\"}','1.0','2021-05-28 11:54:55','2021-05-28 11:54:59',0),(1354,'JVM堆内存使用异常恢复','app_resource','app_resource_jvm_heap','dingding','recover','【{{application_name}}应用{{service_name}}服务JVM堆内存使用异常恢复】','【JVM堆内存使用异常恢复】\n\n实例JVM堆内存已恢复恢复正常使用状态 .\n\n项目: {{project_name}}\n\n应用: {{application_name}}\n\n服务: {{runtime_name}} / {{service_name}}\n\n实例: {{instance_id}}\n\n堆内存使用率: {{usage_percent_avg}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n持续时间: {{trigger_duration_min}}\n\n恢复时间: {{timestamp}}\n','{\"usage_percent_avg\":\"percent\"}','1.0','2021-05-28 11:54:55','2021-05-28 11:54:59',0),(1355,'JVM堆内存使用异常恢复','app_resource','app_resource_jvm_heap','ticket','recover','【{{application_name}}应用{{service_name}}服务JVM堆内存使用异常恢复】','【JVM堆内存使用异常恢复】\n\n实例JVM堆内存已恢复恢复正常使用状态 .\n\n项目: {{project_name}}\n\n应用: {{application_name}}\n\n服务: {{runtime_name}} / {{service_name}}\n\n实例: {{instance_id}}\n\n堆内存使用率: {{usage_percent_avg}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n持续时间: {{trigger_duration_min}}\n\n恢复时间: {{timestamp}}\n','{\"usage_percent_avg\":\"percent\"}','1.0','2021-05-28 11:54:55','2021-05-28 11:54:59',0),(1356,'JVM堆内存使用异常恢复','app_resource','app_resource_jvm_heap','email','recover','【{{application_name}}应用{{service_name}}服务JVM堆内存使用异常恢复】','【JVM堆内存使用异常恢复】\n\n实例JVM堆内存已恢复恢复正常使用状态 .\n\n项目: {{project_name}}\n\n应用: {{application_name}}\n\n服务: {{runtime_name}} / {{service_name}}\n\n实例: {{instance_id}}\n\n堆内存使用率: {{usage_percent_avg}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n持续时间: {{trigger_duration_min}}\n\n恢复时间: {{timestamp}}\n','{\"usage_percent_avg\":\"percent\"}','1.0','2021-05-28 11:54:55','2021-05-28 11:54:59',0),(1357,'JVM堆内存使用异常恢复','app_resource','app_resource_jvm_heap','mbox','recover','【{{application_name}}应用{{service_name}}服务JVM堆内存使用异常恢复】','【JVM堆内存使用异常恢复】\n\n实例JVM堆内存已恢复恢复正常使用状态 .\n\n项目: {{project_name}}\n\n应用: {{application_name}}\n\n服务: {{runtime_name}} / {{service_name}}\n\n实例: {{instance_id}}\n\n堆内存使用率: {{usage_percent_avg}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n持续时间: {{trigger_duration_min}}\n\n恢复时间: {{timestamp}}\n','{\"usage_percent_avg\":\"percent\"}','1.0','2021-05-28 11:54:55','2021-05-28 11:54:59',0),(1358,'JVM堆内存使用异常恢复','app_resource','app_resource_jvm_heap','webhook','recover','【{{application_name}}应用{{service_name}}服务JVM堆内存使用异常恢复】','【JVM堆内存使用异常恢复】\n\n实例JVM堆内存已恢复恢复正常使用状态 .\n\n项目: {{project_name}}\n\n应用: {{application_name}}\n\n服务: {{runtime_name}} / {{service_name}}\n\n实例: {{instance_id}}\n\n堆内存使用率: {{usage_percent_avg}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n持续时间: {{trigger_duration_min}}\n\n恢复时间: {{timestamp}}\n','{\"usage_percent_avg\":\"percent\"}','1.0','2021-05-28 11:54:55','2021-05-28 11:54:59',0),(1359,'应用NodeJS堆内存使用异常告警','app_resource','app_resource_nodejs_heap','dingding','alert','【{{application_name}}应用{{service_name}}服务NodeJS堆内存使用异常告警】','【应用NodeJS堆内存使用异常告警】\n\n实例NodeJS堆内存使用过高 ！\n\n项目: {{project_name}}\n\n应用: {{application_name}}\n\n服务: {{runtime_name}} / {{service_name}}\n\n实例: {{instance_id}}\n\n堆内存使用率: {{usage_percent_avg}}\n\n已使用: {{heap_used_value}}\n\n常驻内存: {{rss_value}}\n\n最大使用: {{max_value}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n时间: {{timestamp}}\n\n[查看详情]({{display_url}})\n','{\"heap_used_value\":\"size:byte\",\"max_value\":\"size:byte\",\"rss_value\":\"size:byte\",\"usage_percent_avg\":\"percent\"}','1.0','2021-05-28 11:54:55','2021-05-28 11:54:59',0),(1360,'应用NodeJS堆内存使用异常告警','app_resource','app_resource_nodejs_heap','ticket','alert','【{{application_name}}应用{{service_name}}服务NodeJS堆内存使用异常告警】','【应用NodeJS堆内存使用异常告警】\n\n实例NodeJS堆内存使用过高 ！\n\n项目: {{project_name}}\n\n应用: {{application_name}}\n\n服务: {{runtime_name}} / {{service_name}}\n\n实例: {{instance_id}}\n\n堆内存使用率: {{usage_percent_avg}}\n\n已使用: {{heap_used_value}}\n\n常驻内存: {{rss_value}}\n\n最大使用: {{max_value}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n时间: {{timestamp}}\n\n[查看详情]({{display_url}})\n','{\"heap_used_value\":\"size:byte\",\"max_value\":\"size:byte\",\"rss_value\":\"size:byte\",\"usage_percent_avg\":\"percent\"}','1.0','2021-05-28 11:54:55','2021-05-28 11:54:59',0),(1361,'应用NodeJS堆内存使用异常告警','app_resource','app_resource_nodejs_heap','email','alert','【{{application_name}}应用{{service_name}}服务NodeJS堆内存使用异常告警】','【应用NodeJS堆内存使用异常告警】\n\n实例NodeJS堆内存使用过高 ！\n\n项目: {{project_name}}\n\n应用: {{application_name}}\n\n服务: {{runtime_name}} / {{service_name}}\n\n实例: {{instance_id}}\n\n堆内存使用率: {{usage_percent_avg}}\n\n已使用: {{heap_used_value}}\n\n常驻内存: {{rss_value}}\n\n最大使用: {{max_value}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n时间: {{timestamp}}\n\n[查看详情]({{display_url}})\n','{\"heap_used_value\":\"size:byte\",\"max_value\":\"size:byte\",\"rss_value\":\"size:byte\",\"usage_percent_avg\":\"percent\"}','1.0','2021-05-28 11:54:55','2021-05-28 11:54:59',0),(1362,'应用NodeJS堆内存使用异常告警','app_resource','app_resource_nodejs_heap','mbox','alert','【{{application_name}}应用{{service_name}}服务NodeJS堆内存使用异常告警】','【应用NodeJS堆内存使用异常告警】\n\n实例NodeJS堆内存使用过高 ！\n\n项目: {{project_name}}\n\n应用: {{application_name}}\n\n服务: {{runtime_name}} / {{service_name}}\n\n实例: {{instance_id}}\n\n堆内存使用率: {{usage_percent_avg}}\n\n已使用: {{heap_used_value}}\n\n常驻内存: {{rss_value}}\n\n最大使用: {{max_value}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n时间: {{timestamp}}\n\n[查看详情]({{display_url}})\n','{\"heap_used_value\":\"size:byte\",\"max_value\":\"size:byte\",\"rss_value\":\"size:byte\",\"usage_percent_avg\":\"percent\"}','1.0','2021-05-28 11:54:55','2021-05-28 11:54:59',0),(1363,'应用NodeJS堆内存使用异常告警','app_resource','app_resource_nodejs_heap','webhook','alert','【{{application_name}}应用{{service_name}}服务NodeJS堆内存使用异常告警】','【应用NodeJS堆内存使用异常告警】\n\n实例NodeJS堆内存使用过高 ！\n\n项目: {{project_name}}\n\n应用: {{application_name}}\n\n服务: {{runtime_name}} / {{service_name}}\n\n实例: {{instance_id}}\n\n堆内存使用率: {{usage_percent_avg}}\n\n已使用: {{heap_used_value}}\n\n常驻内存: {{rss_value}}\n\n最大使用: {{max_value}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n时间: {{timestamp}}\n\n[查看详情]({{display_url}})\n','{\"heap_used_value\":\"size:byte\",\"max_value\":\"size:byte\",\"rss_value\":\"size:byte\",\"usage_percent_avg\":\"percent\"}','1.0','2021-05-28 11:54:55','2021-05-28 11:54:59',0),(1364,'应用NodeJS堆内存使用异常恢复','app_resource','app_resource_nodejs_heap','dingding','recover','【{{application_name}}应用{{service_name}}服务NodeJS堆内存使用异常恢复】','【应用NodeJS堆内存使用异常恢复】\n\nNodeJS堆内存已恢复恢复正常状态 .\n\n项目: {{project_name}}\n\n应用: {{application_name}}\n\n服务: {{runtime_name}} / {{service_name}}\n\n实例: {{instance_id}}\n\n堆内存使用率: {{usage_percent_avg}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n持续时间: {{trigger_duration_min}}\n\n恢复时间: {{timestamp}}\n','{\"usage_percent_avg\":\"percent\"}','1.0','2021-05-28 11:54:55','2021-05-28 11:54:59',0),(1365,'应用NodeJS堆内存使用异常恢复','app_resource','app_resource_nodejs_heap','ticket','recover','【{{application_name}}应用{{service_name}}服务NodeJS堆内存使用异常恢复】','【应用NodeJS堆内存使用异常恢复】\n\nNodeJS堆内存已恢复恢复正常状态 .\n\n项目: {{project_name}}\n\n应用: {{application_name}}\n\n服务: {{runtime_name}} / {{service_name}}\n\n实例: {{instance_id}}\n\n堆内存使用率: {{usage_percent_avg}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n持续时间: {{trigger_duration_min}}\n\n恢复时间: {{timestamp}}\n','{\"usage_percent_avg\":\"percent\"}','1.0','2021-05-28 11:54:55','2021-05-28 11:54:59',0),(1366,'应用NodeJS堆内存使用异常恢复','app_resource','app_resource_nodejs_heap','email','recover','【{{application_name}}应用{{service_name}}服务NodeJS堆内存使用异常恢复】','【应用NodeJS堆内存使用异常恢复】\n\nNodeJS堆内存已恢复恢复正常状态 .\n\n项目: {{project_name}}\n\n应用: {{application_name}}\n\n服务: {{runtime_name}} / {{service_name}}\n\n实例: {{instance_id}}\n\n堆内存使用率: {{usage_percent_avg}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n持续时间: {{trigger_duration_min}}\n\n恢复时间: {{timestamp}}\n','{\"usage_percent_avg\":\"percent\"}','1.0','2021-05-28 11:54:55','2021-05-28 11:54:59',0),(1367,'应用NodeJS堆内存使用异常恢复','app_resource','app_resource_nodejs_heap','mbox','recover','【{{application_name}}应用{{service_name}}服务NodeJS堆内存使用异常恢复】','【应用NodeJS堆内存使用异常恢复】\n\nNodeJS堆内存已恢复恢复正常状态 .\n\n项目: {{project_name}}\n\n应用: {{application_name}}\n\n服务: {{runtime_name}} / {{service_name}}\n\n实例: {{instance_id}}\n\n堆内存使用率: {{usage_percent_avg}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n持续时间: {{trigger_duration_min}}\n\n恢复时间: {{timestamp}}\n','{\"usage_percent_avg\":\"percent\"}','1.0','2021-05-28 11:54:55','2021-05-28 11:54:59',0),(1368,'应用NodeJS堆内存使用异常恢复','app_resource','app_resource_nodejs_heap','webhook','recover','【{{application_name}}应用{{service_name}}服务NodeJS堆内存使用异常恢复】','【应用NodeJS堆内存使用异常恢复】\n\nNodeJS堆内存已恢复恢复正常状态 .\n\n项目: {{project_name}}\n\n应用: {{application_name}}\n\n服务: {{runtime_name}} / {{service_name}}\n\n实例: {{instance_id}}\n\n堆内存使用率: {{usage_percent_avg}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n持续时间: {{trigger_duration_min}}\n\n恢复时间: {{timestamp}}\n','{\"usage_percent_avg\":\"percent\"}','1.0','2021-05-28 11:54:55','2021-05-28 11:54:59',0),(1369,' 页面内容改变','app_status','app_status_browser','dingding','alert','【{{project_name}}项目{{status_metric_name}}页面内容改变告警】\n','【页面内容改变告警】\n\n项目: {{project_name}}\n\n环境: {{workspace}}\n\n事件：[{{status_metric_name}}]({{url}})页面内容和基准点对比不一致\n\n时间: {{timestamp}}\n\n[查看详情]({{display_url}})\n','','1.0','2021-05-28 11:54:55','2021-05-28 11:54:59',0),(1370,' 页面内容改变','app_status','app_status_browser','ticket','alert','【{{project_name}}项目{{status_metric_name}}页面内容改变告警】\n','【页面内容改变告警】\n\n项目: {{project_name}}\n\n环境: {{workspace}}\n\n事件：[{{status_metric_name}}]({{url}})页面内容和基准点对比不一致\n\n时间: {{timestamp}}\n\n[查看详情]({{display_url}})\n','','1.0','2021-05-28 11:54:55','2021-05-28 11:54:59',0),(1371,' 页面内容改变','app_status','app_status_browser','email','alert','【{{project_name}}项目{{status_metric_name}}页面内容改变告警】\n','【页面内容改变告警】\n\n项目: {{project_name}}\n\n环境: {{workspace}}\n\n事件：[{{status_metric_name}}]({{url}})页面内容和基准点对比不一致\n\n时间: {{timestamp}}\n\n[查看详情]({{display_url}})\n','','1.0','2021-05-28 11:54:55','2021-05-28 11:54:59',0),(1372,' 页面内容改变','app_status','app_status_browser','mbox','alert','【{{project_name}}项目{{status_metric_name}}页面内容改变告警】\n','【页面内容改变告警】\n\n项目: {{project_name}}\n\n环境: {{workspace}}\n\n事件：[{{status_metric_name}}]({{url}})页面内容和基准点对比不一致\n\n时间: {{timestamp}}\n\n[查看详情]({{display_url}})\n','','1.0','2021-05-28 11:54:55','2021-05-28 11:54:59',0),(1373,' 页面内容改变','app_status','app_status_browser','webhook','alert','【{{project_name}}项目{{status_metric_name}}页面内容改变告警】\n','【页面内容改变告警】\n\n项目: {{project_name}}\n\n环境: {{workspace}}\n\n事件：[{{status_metric_name}}]({{url}})页面内容和基准点对比不一致\n\n时间: {{timestamp}}\n\n[查看详情]({{display_url}})\n','','1.0','2021-05-28 11:54:55','2021-05-28 11:54:59',0),(1374,' 业务请求状态异常','app_status','app_status_browser','dingding','recover','【{{project_name}}项目{{status_metric_name}}页面内容改变恢复】\n','【页面内容改变恢复】\n\n[{{status_metric_name}}]({{url}}) 页面内容改变 .\n\n项目: {{project_name}}\n\n环境: {{workspace}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n','{\"trigger_duration\":\"time:ms\"}','1.0','2021-05-28 11:54:55','2021-05-28 11:54:59',0),(1375,' 业务请求状态异常','app_status','app_status_browser','ticket','recover','【{{project_name}}项目{{status_metric_name}}页面内容改变恢复】\n','【页面内容改变恢复】\n\n[{{status_metric_name}}]({{url}}) 页面内容改变 .\n\n项目: {{project_name}}\n\n环境: {{workspace}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n','{\"trigger_duration\":\"time:ms\"}','1.0','2021-05-28 11:54:55','2021-05-28 11:54:59',0),(1376,' 业务请求状态异常','app_status','app_status_browser','email','recover','【{{project_name}}项目{{status_metric_name}}页面内容改变恢复】\n','【页面内容改变恢复】\n\n[{{status_metric_name}}]({{url}}) 页面内容改变 .\n\n项目: {{project_name}}\n\n环境: {{workspace}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n','{\"trigger_duration\":\"time:ms\"}','1.0','2021-05-28 11:54:55','2021-05-28 11:54:59',0),(1377,' 业务请求状态异常','app_status','app_status_browser','mbox','recover','【{{project_name}}项目{{status_metric_name}}页面内容改变恢复】\n','【页面内容改变恢复】\n\n[{{status_metric_name}}]({{url}}) 页面内容改变 .\n\n项目: {{project_name}}\n\n环境: {{workspace}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n','{\"trigger_duration\":\"time:ms\"}','1.0','2021-05-28 11:54:55','2021-05-28 11:54:59',0),(1378,' 业务请求状态异常','app_status','app_status_browser','webhook','recover','【{{project_name}}项目{{status_metric_name}}页面内容改变恢复】\n','【页面内容改变恢复】\n\n[{{status_metric_name}}]({{url}}) 页面内容改变 .\n\n项目: {{project_name}}\n\n环境: {{workspace}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n','{\"trigger_duration\":\"time:ms\"}','1.0','2021-05-28 11:54:55','2021-05-28 11:54:59',0),(1379,' 主动监控HTTP状态异常','app_status','app_status_code','dingding','alert','【{{project_name}}项目{{status_metric_name}}指标HTTP状态异常告警】\n','【主动监控HTTP状态异常】\n\n项目: {{project_name}}\n\n环境: {{workspace}}\n\n事件: [{{status_metric_name}}]({{url}}) 指标状态异常\n\n响应状态码: {{code_min}}\n\n时间: {{timestamp}}\n\n[查看详情]({{display_url}})\n','','1.0','2021-05-28 11:54:55','2021-05-28 11:54:59',0),(1380,' 主动监控HTTP状态异常','app_status','app_status_code','ticket','alert','【{{project_name}}项目{{status_metric_name}}指标HTTP状态异常告警】\n','【主动监控HTTP状态异常】\n\n项目: {{project_name}}\n\n环境: {{workspace}}\n\n事件: [{{status_metric_name}}]({{url}}) 指标状态异常\n\n响应状态码: {{code_min}}\n\n时间: {{timestamp}}\n\n[查看详情]({{display_url}})\n','','1.0','2021-05-28 11:54:55','2021-05-28 11:54:59',0),(1381,' 主动监控HTTP状态异常','app_status','app_status_code','email','alert','【{{project_name}}项目{{status_metric_name}}指标HTTP状态异常告警】\n','【主动监控HTTP状态异常】\n\n项目: {{project_name}}\n\n环境: {{workspace}}\n\n事件: [{{status_metric_name}}]({{url}}) 指标状态异常\n\n响应状态码: {{code_min}}\n\n时间: {{timestamp}}\n\n[查看详情]({{display_url}})\n','','1.0','2021-05-28 11:54:55','2021-05-28 11:54:59',0),(1382,' 主动监控HTTP状态异常','app_status','app_status_code','mbox','alert','【{{project_name}}项目{{status_metric_name}}指标HTTP状态异常告警】\n','【主动监控HTTP状态异常】\n\n项目: {{project_name}}\n\n环境: {{workspace}}\n\n事件: [{{status_metric_name}}]({{url}}) 指标状态异常\n\n响应状态码: {{code_min}}\n\n时间: {{timestamp}}\n\n[查看详情]({{display_url}})\n','','1.0','2021-05-28 11:54:55','2021-05-28 11:54:59',0),(1383,' 主动监控HTTP状态异常','app_status','app_status_code','webhook','alert','【{{project_name}}项目{{status_metric_name}}指标HTTP状态异常告警】\n','【主动监控HTTP状态异常】\n\n项目: {{project_name}}\n\n环境: {{workspace}}\n\n事件: [{{status_metric_name}}]({{url}}) 指标状态异常\n\n响应状态码: {{code_min}}\n\n时间: {{timestamp}}\n\n[查看详情]({{display_url}})\n','','1.0','2021-05-28 11:54:55','2021-05-28 11:54:59',0),(1384,'主动监控HTTP状态恢复','app_status','app_status_code','dingding','recover','【{{project_name}}项目{{status_metric_name}}指标HTTP状态恢复】\n','【主动监控HTTP状态恢复】\n\n项目: {{project_name}}\n\n环境: {{workspace}}\n\n事件: [{{status_metric_name}}]({{url}}) 指标状态恢复\n\n响应状态码: {{code_min}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n','{\"trigger_duration\":\"time:ms\"}','1.0','2021-05-28 11:54:55','2021-05-28 11:54:59',0),(1385,'主动监控HTTP状态恢复','app_status','app_status_code','ticket','recover','【{{project_name}}项目{{status_metric_name}}指标HTTP状态恢复】\n','【主动监控HTTP状态恢复】\n\n项目: {{project_name}}\n\n环境: {{workspace}}\n\n事件: [{{status_metric_name}}]({{url}}) 指标状态恢复\n\n响应状态码: {{code_min}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n','{\"trigger_duration\":\"time:ms\"}','1.0','2021-05-28 11:54:55','2021-05-28 11:54:59',0),(1386,'主动监控HTTP状态恢复','app_status','app_status_code','email','recover','【{{project_name}}项目{{status_metric_name}}指标HTTP状态恢复】\n','【主动监控HTTP状态恢复】\n\n项目: {{project_name}}\n\n环境: {{workspace}}\n\n事件: [{{status_metric_name}}]({{url}}) 指标状态恢复\n\n响应状态码: {{code_min}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n','{\"trigger_duration\":\"time:ms\"}','1.0','2021-05-28 11:54:55','2021-05-28 11:54:59',0),(1387,'主动监控HTTP状态恢复','app_status','app_status_code','mbox','recover','【{{project_name}}项目{{status_metric_name}}指标HTTP状态恢复】\n','【主动监控HTTP状态恢复】\n\n项目: {{project_name}}\n\n环境: {{workspace}}\n\n事件: [{{status_metric_name}}]({{url}}) 指标状态恢复\n\n响应状态码: {{code_min}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n','{\"trigger_duration\":\"time:ms\"}','1.0','2021-05-28 11:54:55','2021-05-28 11:54:59',0),(1388,'主动监控HTTP状态恢复','app_status','app_status_code','webhook','recover','【{{project_name}}项目{{status_metric_name}}指标HTTP状态恢复】\n','【主动监控HTTP状态恢复】\n\n项目: {{project_name}}\n\n环境: {{workspace}}\n\n事件: [{{status_metric_name}}]({{url}}) 指标状态恢复\n\n响应状态码: {{code_min}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n','{\"trigger_duration\":\"time:ms\"}','1.0','2021-05-28 11:54:55','2021-05-28 11:54:59',0),(1389,'服务接口HTTP错误率异常','app_transaction','app_transaction_http_path_error','dingding','alert','【{{service_name}}服务接口HTTP错误率异常告警】','【服务接口HTTP错误率异常告警】\n\n项目: {{project_name}}\n\n应用: {{application_name}}\n\n服务: {{runtime_name}} - {{service_name}}\n\n接口: {{http_method}} {{http_url}}\n\n事件: {{ window }}分钟内HTTP错误率{{ error_percent_value }} 错误请求次数{{ error_count_sum }} 总请求次数{{ elapsed_count_sum }}\n\n时间: {{timestamp}}\n\n[查看详情]({{display_url}})\n','{\"error_percent_value\":\"percent\"}','1.0','2021-05-28 11:54:55','2021-05-28 11:54:59',0),(1390,'服务接口HTTP错误率异常','app_transaction','app_transaction_http_path_error','ticket','alert','【{{service_name}}服务接口HTTP错误率异常告警】','【服务接口HTTP错误率异常告警】\n\n项目: {{project_name}}\n\n应用: {{application_name}}\n\n服务: {{runtime_name}} - {{service_name}}\n\n接口: {{http_method}} {{http_url}}\n\n事件: {{ window }}分钟内HTTP错误率{{ error_percent_value }} 错误请求次数{{ error_count_sum }} 总请求次数{{ elapsed_count_sum }}\n\n时间: {{timestamp}}\n\n[查看详情]({{display_url}})\n','{\"error_percent_value\":\"percent\"}','1.0','2021-05-28 11:54:55','2021-05-28 11:54:59',0),(1391,'服务接口HTTP错误率异常','app_transaction','app_transaction_http_path_error','email','alert','【{{service_name}}服务接口HTTP错误率异常告警】','【服务接口HTTP错误率异常告警】\n\n项目: {{project_name}}\n\n应用: {{application_name}}\n\n服务: {{runtime_name}} - {{service_name}}\n\n接口: {{http_method}} {{http_url}}\n\n事件: {{ window }}分钟内HTTP错误率{{ error_percent_value }} 错误请求次数{{ error_count_sum }} 总请求次数{{ elapsed_count_sum }}\n\n时间: {{timestamp}}\n\n[查看详情]({{display_url}})\n','{\"error_percent_value\":\"percent\"}','1.0','2021-05-28 11:54:55','2021-05-28 11:54:59',0),(1392,'服务接口HTTP错误率异常','app_transaction','app_transaction_http_path_error','mbox','alert','【{{service_name}}服务接口HTTP错误率异常告警】','【服务接口HTTP错误率异常告警】\n\n项目: {{project_name}}\n\n应用: {{application_name}}\n\n服务: {{runtime_name}} - {{service_name}}\n\n接口: {{http_method}} {{http_url}}\n\n事件: {{ window }}分钟内HTTP错误率{{ error_percent_value }} 错误请求次数{{ error_count_sum }} 总请求次数{{ elapsed_count_sum }}\n\n时间: {{timestamp}}\n\n[查看详情]({{display_url}})\n','{\"error_percent_value\":\"percent\"}','1.0','2021-05-28 11:54:55','2021-05-28 11:54:59',0),(1393,'服务接口HTTP错误率异常','app_transaction','app_transaction_http_path_error','webhook','alert','【{{service_name}}服务接口HTTP错误率异常告警】','【服务接口HTTP错误率异常告警】\n\n项目: {{project_name}}\n\n应用: {{application_name}}\n\n服务: {{runtime_name}} - {{service_name}}\n\n接口: {{http_method}} {{http_url}}\n\n事件: {{ window }}分钟内HTTP错误率{{ error_percent_value }} 错误请求次数{{ error_count_sum }} 总请求次数{{ elapsed_count_sum }}\n\n时间: {{timestamp}}\n\n[查看详情]({{display_url}})\n','{\"error_percent_value\":\"percent\"}','1.0','2021-05-28 11:54:55','2021-05-28 11:54:59',0),(1394,'服务接口HTTP错误率恢复','app_transaction','app_transaction_http_path_error','dingding','recover','【{{service_name}}服务接口HTTP错误率异常恢复】','【服务接口HTTP错误率异常恢复】\n\n项目: {{project_name}}\n\n应用: {{application_name}}\n\n服务: {{runtime_name}} - {{service_name}}\n\n接口: {{http_method}} {{http_url}}\n\n持续时间: {{trigger_duration_min}}\n\n恢复时间: {{timestamp}}','{\"trigger_duration\":\"time:ms\"}','1.0','2021-05-28 11:54:55','2021-05-28 11:54:59',0),(1395,'服务接口HTTP错误率恢复','app_transaction','app_transaction_http_path_error','ticket','recover','【{{service_name}}服务接口HTTP错误率异常恢复】','【服务接口HTTP错误率异常恢复】\n\n项目: {{project_name}}\n\n应用: {{application_name}}\n\n服务: {{runtime_name}} - {{service_name}}\n\n接口: {{http_method}} {{http_url}}\n\n持续时间: {{trigger_duration_min}}\n\n恢复时间: {{timestamp}}','{\"trigger_duration\":\"time:ms\"}','1.0','2021-05-28 11:54:55','2021-05-28 11:54:59',0),(1396,'服务接口HTTP错误率恢复','app_transaction','app_transaction_http_path_error','email','recover','【{{service_name}}服务接口HTTP错误率异常恢复】','【服务接口HTTP错误率异常恢复】\n\n项目: {{project_name}}\n\n应用: {{application_name}}\n\n服务: {{runtime_name}} - {{service_name}}\n\n接口: {{http_method}} {{http_url}}\n\n持续时间: {{trigger_duration_min}}\n\n恢复时间: {{timestamp}}','{\"trigger_duration\":\"time:ms\"}','1.0','2021-05-28 11:54:55','2021-05-28 11:54:59',0),(1397,'服务接口HTTP错误率恢复','app_transaction','app_transaction_http_path_error','mbox','recover','【{{service_name}}服务接口HTTP错误率异常恢复】','【服务接口HTTP错误率异常恢复】\n\n项目: {{project_name}}\n\n应用: {{application_name}}\n\n服务: {{runtime_name}} - {{service_name}}\n\n接口: {{http_method}} {{http_url}}\n\n持续时间: {{trigger_duration_min}}\n\n恢复时间: {{timestamp}}','{\"trigger_duration\":\"time:ms\"}','1.0','2021-05-28 11:54:55','2021-05-28 11:54:59',0),(1398,'服务接口HTTP错误率恢复','app_transaction','app_transaction_http_path_error','webhook','recover','【{{service_name}}服务接口HTTP错误率异常恢复】','【服务接口HTTP错误率异常恢复】\n\n项目: {{project_name}}\n\n应用: {{application_name}}\n\n服务: {{runtime_name}} - {{service_name}}\n\n接口: {{http_method}} {{http_url}}\n\n持续时间: {{trigger_duration_min}}\n\n恢复时间: {{timestamp}}','{\"trigger_duration\":\"time:ms\"}','1.0','2021-05-28 11:54:55','2021-05-28 11:54:59',0),(1399,'服务接口HTTP慢事务异常','app_transaction','app_transaction_http_path_rt','dingding','alert','【{{service_name}}服务接口HTTP慢事务异常告警】','【服务接口HTTP慢事务异常告警】\n\n项目: {{project_name}}\n\n应用: {{application_name}}\n\n服务: {{runtime_name}} - {{service_name}}\n\n接口: {{http_method}} {{http_url}}\n\n事件: {{window}}分钟内平均响应时间{{elapsed_avg_value}} 请求次数{{elapsed_count_sum}}\n\n时间: {{timestamp}}\n\n[查看详情]({{display_url}})\n','{\"elapsed_avg_value\":\"time:ms\",\"elapsed_sum\":\"time:ms\"}','1.0','2021-05-28 11:54:55','2021-05-28 11:54:59',0),(1400,'服务接口HTTP慢事务异常','app_transaction','app_transaction_http_path_rt','ticket','alert','【{{service_name}}服务接口HTTP慢事务异常告警】','【服务接口HTTP慢事务异常告警】\n\n项目: {{project_name}}\n\n应用: {{application_name}}\n\n服务: {{runtime_name}} - {{service_name}}\n\n接口: {{http_method}} {{http_url}}\n\n事件: {{window}}分钟内平均响应时间{{elapsed_avg_value}} 请求次数{{elapsed_count_sum}}\n\n时间: {{timestamp}}\n\n[查看详情]({{display_url}})\n','{\"elapsed_avg_value\":\"time:ms\",\"elapsed_sum\":\"time:ms\"}','1.0','2021-05-28 11:54:55','2021-05-28 11:54:59',0),(1401,'服务接口HTTP慢事务异常','app_transaction','app_transaction_http_path_rt','email','alert','【{{service_name}}服务接口HTTP慢事务异常告警】','【服务接口HTTP慢事务异常告警】\n\n项目: {{project_name}}\n\n应用: {{application_name}}\n\n服务: {{runtime_name}} - {{service_name}}\n\n接口: {{http_method}} {{http_url}}\n\n事件: {{window}}分钟内平均响应时间{{elapsed_avg_value}} 请求次数{{elapsed_count_sum}}\n\n时间: {{timestamp}}\n\n[查看详情]({{display_url}})\n','{\"elapsed_avg_value\":\"time:ms\",\"elapsed_sum\":\"time:ms\"}','1.0','2021-05-28 11:54:55','2021-05-28 11:54:59',0),(1402,'服务接口HTTP慢事务异常','app_transaction','app_transaction_http_path_rt','mbox','alert','【{{service_name}}服务接口HTTP慢事务异常告警】','【服务接口HTTP慢事务异常告警】\n\n项目: {{project_name}}\n\n应用: {{application_name}}\n\n服务: {{runtime_name}} - {{service_name}}\n\n接口: {{http_method}} {{http_url}}\n\n事件: {{window}}分钟内平均响应时间{{elapsed_avg_value}} 请求次数{{elapsed_count_sum}}\n\n时间: {{timestamp}}\n\n[查看详情]({{display_url}})\n','{\"elapsed_avg_value\":\"time:ms\",\"elapsed_sum\":\"time:ms\"}','1.0','2021-05-28 11:54:55','2021-05-28 11:54:59',0),(1403,'服务接口HTTP慢事务异常','app_transaction','app_transaction_http_path_rt','webhook','alert','【{{service_name}}服务接口HTTP慢事务异常告警】','【服务接口HTTP慢事务异常告警】\n\n项目: {{project_name}}\n\n应用: {{application_name}}\n\n服务: {{runtime_name}} - {{service_name}}\n\n接口: {{http_method}} {{http_url}}\n\n事件: {{window}}分钟内平均响应时间{{elapsed_avg_value}} 请求次数{{elapsed_count_sum}}\n\n时间: {{timestamp}}\n\n[查看详情]({{display_url}})\n','{\"elapsed_avg_value\":\"time:ms\",\"elapsed_sum\":\"time:ms\"}','1.0','2021-05-28 11:54:55','2021-05-28 11:54:59',0),(1404,'服务接口HTTP慢事务恢复','app_transaction','app_transaction_http_path_rt','dingding','recover','【{{service_name}}服务接口HTTP慢事务恢复】','【服务接口HTTP慢事务恢复】\n\n项目: {{project_name}}\n\n应用: {{application_name}}\n\n服务: {{runtime_name}} - {{service_name}}\n\n接口: {{http_method}} {{http_url}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}','{\"trigger_duration\":\"time:ms\"}','1.0','2021-05-28 11:54:55','2021-05-28 11:54:59',0),(1405,'服务接口HTTP慢事务恢复','app_transaction','app_transaction_http_path_rt','ticket','recover','【{{service_name}}服务接口HTTP慢事务恢复】','【服务接口HTTP慢事务恢复】\n\n项目: {{project_name}}\n\n应用: {{application_name}}\n\n服务: {{runtime_name}} - {{service_name}}\n\n接口: {{http_method}} {{http_url}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}','{\"trigger_duration\":\"time:ms\"}','1.0','2021-05-28 11:54:55','2021-05-28 11:54:59',0),(1406,'服务接口HTTP慢事务恢复','app_transaction','app_transaction_http_path_rt','email','recover','【{{service_name}}服务接口HTTP慢事务恢复】','【服务接口HTTP慢事务恢复】\n\n项目: {{project_name}}\n\n应用: {{application_name}}\n\n服务: {{runtime_name}} - {{service_name}}\n\n接口: {{http_method}} {{http_url}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}','{\"trigger_duration\":\"time:ms\"}','1.0','2021-05-28 11:54:55','2021-05-28 11:54:59',0),(1407,'服务接口HTTP慢事务恢复','app_transaction','app_transaction_http_path_rt','mbox','recover','【{{service_name}}服务接口HTTP慢事务恢复】','【服务接口HTTP慢事务恢复】\n\n项目: {{project_name}}\n\n应用: {{application_name}}\n\n服务: {{runtime_name}} - {{service_name}}\n\n接口: {{http_method}} {{http_url}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}','{\"trigger_duration\":\"time:ms\"}','1.0','2021-05-28 11:54:55','2021-05-28 11:54:59',0),(1408,'服务接口HTTP慢事务恢复','app_transaction','app_transaction_http_path_rt','webhook','recover','【{{service_name}}服务接口HTTP慢事务恢复】','【服务接口HTTP慢事务恢复】\n\n项目: {{project_name}}\n\n应用: {{application_name}}\n\n服务: {{runtime_name}} - {{service_name}}\n\n接口: {{http_method}} {{http_url}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}','{\"trigger_duration\":\"time:ms\"}','1.0','2021-05-28 11:54:55','2021-05-28 11:54:59',0),(1409,'服务HTTP错误率异常','app_transaction','app_transaction_http_service_error','dingding','alert','【{{service_name}}服务HTTP错误率异常告警】','【服务HTTP错误率异常告警】\n\n项目: {{project_name}}\n\n应用: {{application_name}}\n\n服务: {{runtime_name}} - {{service_name}}\n\n事件: {{ window }}分钟内HTTP错误率{{ error_percent_value }} 错误请求次数{{ error_count_sum }} 总请求次数{{ elapsed_count_sum }}\n\n时间: {{timestamp}}\n\n[查看详情]({{display_url}})\n','{\"error_percent_value\":\"percent\"}','1.0','2021-05-28 11:54:55','2021-05-28 11:54:59',0),(1410,'服务HTTP错误率异常','app_transaction','app_transaction_http_service_error','ticket','alert','【{{service_name}}服务HTTP错误率异常告警】','【服务HTTP错误率异常告警】\n\n项目: {{project_name}}\n\n应用: {{application_name}}\n\n服务: {{runtime_name}} - {{service_name}}\n\n事件: {{ window }}分钟内HTTP错误率{{ error_percent_value }} 错误请求次数{{ error_count_sum }} 总请求次数{{ elapsed_count_sum }}\n\n时间: {{timestamp}}\n\n[查看详情]({{display_url}})\n','{\"error_percent_value\":\"percent\"}','1.0','2021-05-28 11:54:55','2021-05-28 11:54:59',0),(1411,'服务HTTP错误率异常','app_transaction','app_transaction_http_service_error','email','alert','【{{service_name}}服务HTTP错误率异常告警】','【服务HTTP错误率异常告警】\n\n项目: {{project_name}}\n\n应用: {{application_name}}\n\n服务: {{runtime_name}} - {{service_name}}\n\n事件: {{ window }}分钟内HTTP错误率{{ error_percent_value }} 错误请求次数{{ error_count_sum }} 总请求次数{{ elapsed_count_sum }}\n\n时间: {{timestamp}}\n\n[查看详情]({{display_url}})\n','{\"error_percent_value\":\"percent\"}','1.0','2021-05-28 11:54:55','2021-05-28 11:54:59',0),(1412,'服务HTTP错误率异常','app_transaction','app_transaction_http_service_error','mbox','alert','【{{service_name}}服务HTTP错误率异常告警】','【服务HTTP错误率异常告警】\n\n项目: {{project_name}}\n\n应用: {{application_name}}\n\n服务: {{runtime_name}} - {{service_name}}\n\n事件: {{ window }}分钟内HTTP错误率{{ error_percent_value }} 错误请求次数{{ error_count_sum }} 总请求次数{{ elapsed_count_sum }}\n\n时间: {{timestamp}}\n\n[查看详情]({{display_url}})\n','{\"error_percent_value\":\"percent\"}','1.0','2021-05-28 11:54:55','2021-05-28 11:54:59',0),(1413,'服务HTTP错误率异常','app_transaction','app_transaction_http_service_error','webhook','alert','【{{service_name}}服务HTTP错误率异常告警】','【服务HTTP错误率异常告警】\n\n项目: {{project_name}}\n\n应用: {{application_name}}\n\n服务: {{runtime_name}} - {{service_name}}\n\n事件: {{ window }}分钟内HTTP错误率{{ error_percent_value }} 错误请求次数{{ error_count_sum }} 总请求次数{{ elapsed_count_sum }}\n\n时间: {{timestamp}}\n\n[查看详情]({{display_url}})\n','{\"error_percent_value\":\"percent\"}','1.0','2021-05-28 11:54:55','2021-05-28 11:54:59',0),(1414,'服务HTTP错误率恢复','app_transaction','app_transaction_http_service_error','dingding','recover','【{{service_name}}服务HTTP错误率恢复】','【服务HTTP错误率异常恢复】\n\n项目: {{project_name}}\n\n应用: {{application_name}}\n\n服务: {{runtime_name}} - {{service_name}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n','{\"trigger_duration\":\"time:ms\"}','1.0','2021-05-28 11:54:55','2021-05-28 11:54:59',0),(1415,'服务HTTP错误率恢复','app_transaction','app_transaction_http_service_error','ticket','recover','【{{service_name}}服务HTTP错误率恢复】','【服务HTTP错误率异常恢复】\n\n项目: {{project_name}}\n\n应用: {{application_name}}\n\n服务: {{runtime_name}} - {{service_name}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n','{\"trigger_duration\":\"time:ms\"}','1.0','2021-05-28 11:54:55','2021-05-28 11:54:59',0),(1416,'服务HTTP错误率恢复','app_transaction','app_transaction_http_service_error','email','recover','【{{service_name}}服务HTTP错误率恢复】','【服务HTTP错误率异常恢复】\n\n项目: {{project_name}}\n\n应用: {{application_name}}\n\n服务: {{runtime_name}} - {{service_name}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n','{\"trigger_duration\":\"time:ms\"}','1.0','2021-05-28 11:54:55','2021-05-28 11:54:59',0),(1417,'服务HTTP错误率恢复','app_transaction','app_transaction_http_service_error','mbox','recover','【{{service_name}}服务HTTP错误率恢复】','【服务HTTP错误率异常恢复】\n\n项目: {{project_name}}\n\n应用: {{application_name}}\n\n服务: {{runtime_name}} - {{service_name}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n','{\"trigger_duration\":\"time:ms\"}','1.0','2021-05-28 11:54:55','2021-05-28 11:54:59',0),(1418,'服务HTTP错误率恢复','app_transaction','app_transaction_http_service_error','webhook','recover','【{{service_name}}服务HTTP错误率恢复】','【服务HTTP错误率异常恢复】\n\n项目: {{project_name}}\n\n应用: {{application_name}}\n\n服务: {{runtime_name}} - {{service_name}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n','{\"trigger_duration\":\"time:ms\"}','1.0','2021-05-28 11:54:55','2021-05-28 11:54:59',0),(1419,'服务HTTP慢事务异常','app_transaction','app_transaction_http_service_rt','dingding','alert','【应用{{service_name}}服务HTTP慢事务异常告警】','【服务HTTP慢事务异常告警】\n\n项目: {{project_name}}\n\n应用: {{application_name}}\n\n服务: {{runtime_name}} - {{service_name}}\n\n事件: {{window}}分钟内HTTP事务平均响应时间{{elapsed_avg_value}} 请求次数{{elapsed_count_sum}}\n\n时间: {{timestamp}}\n\n[查看详情]({{display_url}})\n','{\"elapsed_avg_value\":\"time:ms\",\"elapsed_sum\":\"time:ms\"}','1.0','2021-05-28 11:54:55','2021-05-28 11:54:59',0),(1420,'服务HTTP慢事务异常','app_transaction','app_transaction_http_service_rt','ticket','alert','【应用{{service_name}}服务HTTP慢事务异常告警】','【服务HTTP慢事务异常告警】\n\n项目: {{project_name}}\n\n应用: {{application_name}}\n\n服务: {{runtime_name}} - {{service_name}}\n\n事件: {{window}}分钟内HTTP事务平均响应时间{{elapsed_avg_value}} 请求次数{{elapsed_count_sum}}\n\n时间: {{timestamp}}\n\n[查看详情]({{display_url}})\n','{\"elapsed_avg_value\":\"time:ms\",\"elapsed_sum\":\"time:ms\"}','1.0','2021-05-28 11:54:55','2021-05-28 11:54:59',0),(1421,'服务HTTP慢事务异常','app_transaction','app_transaction_http_service_rt','email','alert','【应用{{service_name}}服务HTTP慢事务异常告警】','【服务HTTP慢事务异常告警】\n\n项目: {{project_name}}\n\n应用: {{application_name}}\n\n服务: {{runtime_name}} - {{service_name}}\n\n事件: {{window}}分钟内HTTP事务平均响应时间{{elapsed_avg_value}} 请求次数{{elapsed_count_sum}}\n\n时间: {{timestamp}}\n\n[查看详情]({{display_url}})\n','{\"elapsed_avg_value\":\"time:ms\",\"elapsed_sum\":\"time:ms\"}','1.0','2021-05-28 11:54:55','2021-05-28 11:54:59',0),(1422,'服务HTTP慢事务异常','app_transaction','app_transaction_http_service_rt','mbox','alert','【应用{{service_name}}服务HTTP慢事务异常告警】','【服务HTTP慢事务异常告警】\n\n项目: {{project_name}}\n\n应用: {{application_name}}\n\n服务: {{runtime_name}} - {{service_name}}\n\n事件: {{window}}分钟内HTTP事务平均响应时间{{elapsed_avg_value}} 请求次数{{elapsed_count_sum}}\n\n时间: {{timestamp}}\n\n[查看详情]({{display_url}})\n','{\"elapsed_avg_value\":\"time:ms\",\"elapsed_sum\":\"time:ms\"}','1.0','2021-05-28 11:54:55','2021-05-28 11:54:59',0),(1423,'服务HTTP慢事务异常','app_transaction','app_transaction_http_service_rt','webhook','alert','【应用{{service_name}}服务HTTP慢事务异常告警】','【服务HTTP慢事务异常告警】\n\n项目: {{project_name}}\n\n应用: {{application_name}}\n\n服务: {{runtime_name}} - {{service_name}}\n\n事件: {{window}}分钟内HTTP事务平均响应时间{{elapsed_avg_value}} 请求次数{{elapsed_count_sum}}\n\n时间: {{timestamp}}\n\n[查看详情]({{display_url}})\n','{\"elapsed_avg_value\":\"time:ms\",\"elapsed_sum\":\"time:ms\"}','1.0','2021-05-28 11:54:55','2021-05-28 11:54:59',0),(1424,'服务HTTP慢事务异常恢复','app_transaction','app_transaction_http_service_rt','dingding','recover','【应用{{service_name}}服务HTTP慢事务异常恢复】','【服务HTTP慢事务异常恢复】\n\n项目: {{project_name}}\n\n应用: {{application_name}}\n\n服务: {{runtime_name}} - {{service_name}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n','{\"trigger_duration\":\"time:ms\"}','1.0','2021-05-28 11:54:55','2021-05-28 11:54:59',0),(1425,'服务HTTP慢事务异常恢复','app_transaction','app_transaction_http_service_rt','ticket','recover','【应用{{service_name}}服务HTTP慢事务异常恢复】','【服务HTTP慢事务异常恢复】\n\n项目: {{project_name}}\n\n应用: {{application_name}}\n\n服务: {{runtime_name}} - {{service_name}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n','{\"trigger_duration\":\"time:ms\"}','1.0','2021-05-28 11:54:55','2021-05-28 11:54:59',0),(1426,'服务HTTP慢事务异常恢复','app_transaction','app_transaction_http_service_rt','email','recover','【应用{{service_name}}服务HTTP慢事务异常恢复】','【服务HTTP慢事务异常恢复】\n\n项目: {{project_name}}\n\n应用: {{application_name}}\n\n服务: {{runtime_name}} - {{service_name}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n','{\"trigger_duration\":\"time:ms\"}','1.0','2021-05-28 11:54:55','2021-05-28 11:54:59',0),(1427,'服务HTTP慢事务异常恢复','app_transaction','app_transaction_http_service_rt','mbox','recover','【应用{{service_name}}服务HTTP慢事务异常恢复】','【服务HTTP慢事务异常恢复】\n\n项目: {{project_name}}\n\n应用: {{application_name}}\n\n服务: {{runtime_name}} - {{service_name}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n','{\"trigger_duration\":\"time:ms\"}','1.0','2021-05-28 11:54:55','2021-05-28 11:54:59',0),(1428,'服务HTTP慢事务异常恢复','app_transaction','app_transaction_http_service_rt','webhook','recover','【应用{{service_name}}服务HTTP慢事务异常恢复】','【服务HTTP慢事务异常恢复】\n\n项目: {{project_name}}\n\n应用: {{application_name}}\n\n服务: {{runtime_name}} - {{service_name}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n','{\"trigger_duration\":\"time:ms\"}','1.0','2021-05-28 11:54:55','2021-05-28 11:54:59',0),(1429,'平台中间件cassandra GC次数异常','dice_addon','dice_addon_cassandra_gc_count','dingding','alert','【平台中间件cassandra GC次数告警】\n','【平台中间件cassandra GC次数告警】\n\n中间件: {{addon_id}}\n\n老年代GC次数: {{CollectionCount_win_value}}\n\n集群: {{cluster_name}}\n\n机器: {{node_host}}\n\n时间: {{timestamp}}\n\n[查看详情]({{display_url}})\n','','1.0','2021-05-28 11:54:55','2021-05-28 11:54:59',0),(1430,'平台中间件cassandra GC次数异常','dice_addon','dice_addon_cassandra_gc_count','ticket','alert','【平台中间件cassandra GC次数告警】\n','【平台中间件cassandra GC次数告警】\n\n中间件: {{addon_id}}\n\n老年代GC次数: {{CollectionCount_win_value}}\n\n集群: {{cluster_name}}\n\n机器: {{node_host}}\n\n时间: {{timestamp}}\n\n[查看详情]({{display_url}})\n','','1.0','2021-05-28 11:54:55','2021-05-28 11:54:59',0),(1431,'平台中间件cassandra GC次数异常','dice_addon','dice_addon_cassandra_gc_count','email','alert','【平台中间件cassandra GC次数告警】\n','【平台中间件cassandra GC次数告警】\n\n中间件: {{addon_id}}\n\n老年代GC次数: {{CollectionCount_win_value}}\n\n集群: {{cluster_name}}\n\n机器: {{node_host}}\n\n时间: {{timestamp}}\n\n[查看详情]({{display_url}})\n','','1.0','2021-05-28 11:54:55','2021-05-28 11:54:59',0),(1432,'平台中间件cassandra GC次数异常','dice_addon','dice_addon_cassandra_gc_count','mbox','alert','【平台中间件cassandra GC次数告警】\n','【平台中间件cassandra GC次数告警】\n\n中间件: {{addon_id}}\n\n老年代GC次数: {{CollectionCount_win_value}}\n\n集群: {{cluster_name}}\n\n机器: {{node_host}}\n\n时间: {{timestamp}}\n\n[查看详情]({{display_url}})\n','','1.0','2021-05-28 11:54:55','2021-05-28 11:54:59',0),(1433,'平台中间件cassandra GC次数异常','dice_addon','dice_addon_cassandra_gc_count','webhook','alert','【平台中间件cassandra GC次数告警】\n','【平台中间件cassandra GC次数告警】\n\n中间件: {{addon_id}}\n\n老年代GC次数: {{CollectionCount_win_value}}\n\n集群: {{cluster_name}}\n\n机器: {{node_host}}\n\n时间: {{timestamp}}\n\n[查看详情]({{display_url}})\n','','1.0','2021-05-28 11:54:55','2021-05-28 11:54:59',0),(1434,'平台中间件cassandra GC次数异常','dice_addon','dice_addon_cassandra_gc_count','dingding','recover','【平台中间件cassandra GC次数恢复】\n','【平台中间件cassandra GC次数恢复】\n\n中间件: {{addon_id}}\n\n老年代GC次数: {{CollectionCount_win_value}}\n\n集群: {{cluster_name}}\n\n机器: {{node_host}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n','{\"trigger_duration\":\"time:ms\"}','1.0','2021-05-28 11:54:55','2021-05-28 11:54:59',0),(1435,'平台中间件cassandra GC次数异常','dice_addon','dice_addon_cassandra_gc_count','ticket','recover','【平台中间件cassandra GC次数恢复】\n','【平台中间件cassandra GC次数恢复】\n\n中间件: {{addon_id}}\n\n老年代GC次数: {{CollectionCount_win_value}}\n\n集群: {{cluster_name}}\n\n机器: {{node_host}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n','{\"trigger_duration\":\"time:ms\"}','1.0','2021-05-28 11:54:55','2021-05-28 11:54:59',0),(1436,'平台中间件cassandra GC次数异常','dice_addon','dice_addon_cassandra_gc_count','email','recover','【平台中间件cassandra GC次数恢复】\n','【平台中间件cassandra GC次数恢复】\n\n中间件: {{addon_id}}\n\n老年代GC次数: {{CollectionCount_win_value}}\n\n集群: {{cluster_name}}\n\n机器: {{node_host}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n','{\"trigger_duration\":\"time:ms\"}','1.0','2021-05-28 11:54:55','2021-05-28 11:54:59',0),(1437,'平台中间件cassandra GC次数异常','dice_addon','dice_addon_cassandra_gc_count','mbox','recover','【平台中间件cassandra GC次数恢复】\n','【平台中间件cassandra GC次数恢复】\n\n中间件: {{addon_id}}\n\n老年代GC次数: {{CollectionCount_win_value}}\n\n集群: {{cluster_name}}\n\n机器: {{node_host}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n','{\"trigger_duration\":\"time:ms\"}','1.0','2021-05-28 11:54:55','2021-05-28 11:54:59',0),(1438,'平台中间件cassandra GC次数异常','dice_addon','dice_addon_cassandra_gc_count','webhook','recover','【平台中间件cassandra GC次数恢复】\n','【平台中间件cassandra GC次数恢复】\n\n中间件: {{addon_id}}\n\n老年代GC次数: {{CollectionCount_win_value}}\n\n集群: {{cluster_name}}\n\n机器: {{node_host}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n','{\"trigger_duration\":\"time:ms\"}','1.0','2021-05-28 11:54:55','2021-05-28 11:54:59',0),(1439,'平台中间件cassandra GC耗时异常','dice_addon','dice_addon_cassandra_gc_time','dingding','alert','【平台中间件cassandra GC耗时告警】\n','【平台中间件cassandra GC耗时告警】\n\n中间件: {{addon_id}}\n\n老年代GC耗时: {{CollectionTime_win_value}}\n\n集群: {{cluster_name}}\n\n机器: {{node_host}}\n\n时间: {{timestamp}}\n\n[查看详情]({{display_url}})\n','{\"CollectionTime_win_value\":\"time:ms\"}','1.0','2021-05-28 11:54:55','2021-05-28 11:54:59',0),(1440,'平台中间件cassandra GC耗时异常','dice_addon','dice_addon_cassandra_gc_time','ticket','alert','【平台中间件cassandra GC耗时告警】\n','【平台中间件cassandra GC耗时告警】\n\n中间件: {{addon_id}}\n\n老年代GC耗时: {{CollectionTime_win_value}}\n\n集群: {{cluster_name}}\n\n机器: {{node_host}}\n\n时间: {{timestamp}}\n\n[查看详情]({{display_url}})\n','{\"CollectionTime_win_value\":\"time:ms\"}','1.0','2021-05-28 11:54:55','2021-05-28 11:54:59',0),(1441,'平台中间件cassandra GC耗时异常','dice_addon','dice_addon_cassandra_gc_time','email','alert','【平台中间件cassandra GC耗时告警】\n','【平台中间件cassandra GC耗时告警】\n\n中间件: {{addon_id}}\n\n老年代GC耗时: {{CollectionTime_win_value}}\n\n集群: {{cluster_name}}\n\n机器: {{node_host}}\n\n时间: {{timestamp}}\n\n[查看详情]({{display_url}})\n','{\"CollectionTime_win_value\":\"time:ms\"}','1.0','2021-05-28 11:54:55','2021-05-28 11:54:59',0),(1442,'平台中间件cassandra GC耗时异常','dice_addon','dice_addon_cassandra_gc_time','mbox','alert','【平台中间件cassandra GC耗时告警】\n','【平台中间件cassandra GC耗时告警】\n\n中间件: {{addon_id}}\n\n老年代GC耗时: {{CollectionTime_win_value}}\n\n集群: {{cluster_name}}\n\n机器: {{node_host}}\n\n时间: {{timestamp}}\n\n[查看详情]({{display_url}})\n','{\"CollectionTime_win_value\":\"time:ms\"}','1.0','2021-05-28 11:54:55','2021-05-28 11:54:59',0),(1443,'平台中间件cassandra GC耗时异常','dice_addon','dice_addon_cassandra_gc_time','webhook','alert','【平台中间件cassandra GC耗时告警】\n','【平台中间件cassandra GC耗时告警】\n\n中间件: {{addon_id}}\n\n老年代GC耗时: {{CollectionTime_win_value}}\n\n集群: {{cluster_name}}\n\n机器: {{node_host}}\n\n时间: {{timestamp}}\n\n[查看详情]({{display_url}})\n','{\"CollectionTime_win_value\":\"time:ms\"}','1.0','2021-05-28 11:54:55','2021-05-28 11:54:59',0),(1444,'平台中间件cassandra GC耗时异常','dice_addon','dice_addon_cassandra_gc_time','dingding','recover','【平台中间件cassandra GC耗时恢复】\n','【平台中间件cassandra GC耗时恢复】\n\n中间件: {{addon_id}}\n\n老年代GC耗时: {{CollectionTime_win_value}}\n\n集群: {{cluster_name}}\n\n机器: {{node_host}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n','{\"CollectionTime_win_value\":\"time:ms\",\"trigger_duration\":\"time:ms\"}','1.0','2021-05-28 11:54:55','2021-05-28 11:54:59',0),(1445,'平台中间件cassandra GC耗时异常','dice_addon','dice_addon_cassandra_gc_time','ticket','recover','【平台中间件cassandra GC耗时恢复】\n','【平台中间件cassandra GC耗时恢复】\n\n中间件: {{addon_id}}\n\n老年代GC耗时: {{CollectionTime_win_value}}\n\n集群: {{cluster_name}}\n\n机器: {{node_host}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n','{\"CollectionTime_win_value\":\"time:ms\",\"trigger_duration\":\"time:ms\"}','1.0','2021-05-28 11:54:55','2021-05-28 11:54:59',0),(1446,'平台中间件cassandra GC耗时异常','dice_addon','dice_addon_cassandra_gc_time','email','recover','【平台中间件cassandra GC耗时恢复】\n','【平台中间件cassandra GC耗时恢复】\n\n中间件: {{addon_id}}\n\n老年代GC耗时: {{CollectionTime_win_value}}\n\n集群: {{cluster_name}}\n\n机器: {{node_host}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n','{\"CollectionTime_win_value\":\"time:ms\",\"trigger_duration\":\"time:ms\"}','1.0','2021-05-28 11:54:55','2021-05-28 11:54:59',0),(1447,'平台中间件cassandra GC耗时异常','dice_addon','dice_addon_cassandra_gc_time','mbox','recover','【平台中间件cassandra GC耗时恢复】\n','【平台中间件cassandra GC耗时恢复】\n\n中间件: {{addon_id}}\n\n老年代GC耗时: {{CollectionTime_win_value}}\n\n集群: {{cluster_name}}\n\n机器: {{node_host}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n','{\"CollectionTime_win_value\":\"time:ms\",\"trigger_duration\":\"time:ms\"}','1.0','2021-05-28 11:54:55','2021-05-28 11:54:59',0),(1448,'平台中间件cassandra GC耗时异常','dice_addon','dice_addon_cassandra_gc_time','webhook','recover','【平台中间件cassandra GC耗时恢复】\n','【平台中间件cassandra GC耗时恢复】\n\n中间件: {{addon_id}}\n\n老年代GC耗时: {{CollectionTime_win_value}}\n\n集群: {{cluster_name}}\n\n机器: {{node_host}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n','{\"CollectionTime_win_value\":\"time:ms\",\"trigger_duration\":\"time:ms\"}','1.0','2021-05-28 11:54:55','2021-05-28 11:54:59',0),(1449,'平台中间件实例CPU异常','dice_addon','dice_addon_container_cpu','dingding','alert','【平台中间件{{addon_id}} CPU使用率告警】\n','【平台中间件CPU使用率告警】\n\n中间件: {{addon_id}}\n\n使用率: {{usage_percent_avg}}\n\n限制: {{limit_value}}核\n\n分配: {{allocation_value}}核\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n容器ID: {{container_id}}\n\n时间: {{timestamp}}\n','{\"allocation_value\":\"fraction:2\",\"limit_value\":\"fraction:2\",\"usage_percent_avg\":\"percent:2\"}','1.0','2021-05-28 11:54:55','2021-05-28 11:54:59',0),(1450,'平台中间件实例CPU异常','dice_addon','dice_addon_container_cpu','ticket','alert','【平台中间件{{addon_id}} CPU使用率告警】\n','【平台中间件CPU使用率告警】\n\n中间件: {{addon_id}}\n\n使用率: {{usage_percent_avg}}\n\n限制: {{limit_value}}核\n\n分配: {{allocation_value}}核\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n容器ID: {{container_id}}\n\n时间: {{timestamp}}\n','{\"allocation_value\":\"fraction:2\",\"limit_value\":\"fraction:2\",\"usage_percent_avg\":\"percent:2\"}','1.0','2021-05-28 11:54:55','2021-05-28 11:54:59',0),(1451,'平台中间件实例CPU异常','dice_addon','dice_addon_container_cpu','email','alert','【平台中间件{{addon_id}} CPU使用率告警】\n','【平台中间件CPU使用率告警】\n\n中间件: {{addon_id}}\n\n使用率: {{usage_percent_avg}}\n\n限制: {{limit_value}}核\n\n分配: {{allocation_value}}核\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n容器ID: {{container_id}}\n\n时间: {{timestamp}}\n','{\"allocation_value\":\"fraction:2\",\"limit_value\":\"fraction:2\",\"usage_percent_avg\":\"percent:2\"}','1.0','2021-05-28 11:54:55','2021-05-28 11:54:59',0),(1452,'平台中间件实例CPU异常','dice_addon','dice_addon_container_cpu','mbox','alert','【平台中间件{{addon_id}} CPU使用率告警】\n','【平台中间件CPU使用率告警】\n\n中间件: {{addon_id}}\n\n使用率: {{usage_percent_avg}}\n\n限制: {{limit_value}}核\n\n分配: {{allocation_value}}核\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n容器ID: {{container_id}}\n\n时间: {{timestamp}}\n','{\"allocation_value\":\"fraction:2\",\"limit_value\":\"fraction:2\",\"usage_percent_avg\":\"percent:2\"}','1.0','2021-05-28 11:54:55','2021-05-28 11:54:59',0),(1453,'平台中间件实例CPU异常','dice_addon','dice_addon_container_cpu','webhook','alert','【平台中间件{{addon_id}} CPU使用率告警】\n','【平台中间件CPU使用率告警】\n\n中间件: {{addon_id}}\n\n使用率: {{usage_percent_avg}}\n\n限制: {{limit_value}}核\n\n分配: {{allocation_value}}核\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n容器ID: {{container_id}}\n\n时间: {{timestamp}}\n','{\"allocation_value\":\"fraction:2\",\"limit_value\":\"fraction:2\",\"usage_percent_avg\":\"percent:2\"}','1.0','2021-05-28 11:54:55','2021-05-28 11:54:59',0),(1454,'平台中间件实例CPU异常','dice_addon','dice_addon_container_cpu','dingding','recover','【平台中间件{{addon_id}} CPU使用率恢复】\n','【平台中间件CPU使用率恢复】\n\n中间件: {{addon_id}}\n\n使用率: {{usage_percent_avg}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n容器ID: {{container_id}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n','{\"trigger_duration\":\"time:ms\",\"usage_percent_avg\":\"percent:2\"}','1.0','2021-05-28 11:54:55','2021-05-28 11:54:59',0),(1455,'平台中间件实例CPU异常','dice_addon','dice_addon_container_cpu','ticket','recover','【平台中间件{{addon_id}} CPU使用率恢复】\n','【平台中间件CPU使用率恢复】\n\n中间件: {{addon_id}}\n\n使用率: {{usage_percent_avg}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n容器ID: {{container_id}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n','{\"trigger_duration\":\"time:ms\",\"usage_percent_avg\":\"percent:2\"}','1.0','2021-05-28 11:54:55','2021-05-28 11:54:59',0),(1456,'平台中间件实例CPU异常','dice_addon','dice_addon_container_cpu','email','recover','【平台中间件{{addon_id}} CPU使用率恢复】\n','【平台中间件CPU使用率恢复】\n\n中间件: {{addon_id}}\n\n使用率: {{usage_percent_avg}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n容器ID: {{container_id}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n','{\"trigger_duration\":\"time:ms\",\"usage_percent_avg\":\"percent:2\"}','1.0','2021-05-28 11:54:55','2021-05-28 11:54:59',0),(1457,'平台中间件实例CPU异常','dice_addon','dice_addon_container_cpu','mbox','recover','【平台中间件{{addon_id}} CPU使用率恢复】\n','【平台中间件CPU使用率恢复】\n\n中间件: {{addon_id}}\n\n使用率: {{usage_percent_avg}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n容器ID: {{container_id}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n','{\"trigger_duration\":\"time:ms\",\"usage_percent_avg\":\"percent:2\"}','1.0','2021-05-28 11:54:55','2021-05-28 11:54:59',0),(1458,'平台中间件实例CPU异常','dice_addon','dice_addon_container_cpu','webhook','recover','【平台中间件{{addon_id}} CPU使用率恢复】\n','【平台中间件CPU使用率恢复】\n\n中间件: {{addon_id}}\n\n使用率: {{usage_percent_avg}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n容器ID: {{container_id}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n','{\"trigger_duration\":\"time:ms\",\"usage_percent_avg\":\"percent:2\"}','1.0','2021-05-28 11:54:55','2021-05-28 11:54:59',0),(1459,'平台中间件异常退出','dice_addon','dice_addon_container_exit','dingding','alert','【平台中间件{{addon_id}}异常退出告警】\n','【平台中间件异常退出告警】\n\n中间件: {{addon_id}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n启动时间: {{started_at_value}}\n\n退出时间: {{finished_at_value}}\n\n退出原因: {{terminated_reason_value}}\n\n时间: {{timestamp}}\n\n[查看详情]({{display_url}})\n','{\"finished_at_value\":\"date\",\"started_at_value\":\"date\"}','1.0','2021-05-28 11:54:55','2021-05-28 11:54:59',0),(1460,'平台中间件异常退出','dice_addon','dice_addon_container_exit','ticket','alert','【平台中间件{{addon_id}}异常退出告警】\n','【平台中间件异常退出告警】\n\n中间件: {{addon_id}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n启动时间: {{started_at_value}}\n\n退出时间: {{finished_at_value}}\n\n退出原因: {{terminated_reason_value}}\n\n时间: {{timestamp}}\n\n[查看详情]({{display_url}})\n','{\"finished_at_value\":\"date\",\"started_at_value\":\"date\"}','1.0','2021-05-28 11:54:55','2021-05-28 11:54:59',0),(1461,'平台中间件异常退出','dice_addon','dice_addon_container_exit','email','alert','【平台中间件{{addon_id}}异常退出告警】\n','【平台中间件异常退出告警】\n\n中间件: {{addon_id}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n启动时间: {{started_at_value}}\n\n退出时间: {{finished_at_value}}\n\n退出原因: {{terminated_reason_value}}\n\n时间: {{timestamp}}\n\n[查看详情]({{display_url}})\n','{\"finished_at_value\":\"date\",\"started_at_value\":\"date\"}','1.0','2021-05-28 11:54:55','2021-05-28 11:54:59',0),(1462,'平台中间件异常退出','dice_addon','dice_addon_container_exit','mbox','alert','【平台中间件{{addon_id}}异常退出告警】\n','【平台中间件异常退出告警】\n\n中间件: {{addon_id}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n启动时间: {{started_at_value}}\n\n退出时间: {{finished_at_value}}\n\n退出原因: {{terminated_reason_value}}\n\n时间: {{timestamp}}\n\n[查看详情]({{display_url}})\n','{\"finished_at_value\":\"date\",\"started_at_value\":\"date\"}','1.0','2021-05-28 11:54:55','2021-05-28 11:54:59',0),(1463,'平台中间件异常退出','dice_addon','dice_addon_container_exit','webhook','alert','【平台中间件{{addon_id}}异常退出告警】\n','【平台中间件异常退出告警】\n\n中间件: {{addon_id}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n启动时间: {{started_at_value}}\n\n退出时间: {{finished_at_value}}\n\n退出原因: {{terminated_reason_value}}\n\n时间: {{timestamp}}\n\n[查看详情]({{display_url}})\n','{\"finished_at_value\":\"date\",\"started_at_value\":\"date\"}','1.0','2021-05-28 11:54:55','2021-05-28 11:54:59',0),(1464,'平台中间件异常退出','dice_addon','dice_addon_container_exit','dingding','recover','【平台中间件{{addon_id}}异常退出恢复】\n','【平台中间件异常退出恢复】\n\n中间件: {{addon_id}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n','{\"trigger_duration\":\"time:ms\"}','1.0','2021-05-28 11:54:55','2021-05-28 11:54:59',0),(1465,'平台中间件异常退出','dice_addon','dice_addon_container_exit','ticket','recover','【平台中间件{{addon_id}}异常退出恢复】\n','【平台中间件异常退出恢复】\n\n中间件: {{addon_id}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n','{\"trigger_duration\":\"time:ms\"}','1.0','2021-05-28 11:54:55','2021-05-28 11:54:59',0),(1466,'平台中间件异常退出','dice_addon','dice_addon_container_exit','email','recover','【平台中间件{{addon_id}}异常退出恢复】\n','【平台中间件异常退出恢复】\n\n中间件: {{addon_id}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n','{\"trigger_duration\":\"time:ms\"}','1.0','2021-05-28 11:54:55','2021-05-28 11:54:59',0),(1467,'平台中间件异常退出','dice_addon','dice_addon_container_exit','mbox','recover','【平台中间件{{addon_id}}异常退出恢复】\n','【平台中间件异常退出恢复】\n\n中间件: {{addon_id}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n','{\"trigger_duration\":\"time:ms\"}','1.0','2021-05-28 11:54:55','2021-05-28 11:54:59',0),(1468,'平台中间件异常退出','dice_addon','dice_addon_container_exit','webhook','recover','【平台中间件{{addon_id}}异常退出恢复】\n','【平台中间件异常退出恢复】\n\n中间件: {{addon_id}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n','{\"trigger_duration\":\"time:ms\"}','1.0','2021-05-28 11:54:55','2021-05-28 11:54:59',0),(1469,'平台中间件实例内存异常','dice_addon','dice_addon_container_mem','dingding','alert','【平台中间件{{addon_id}}内存使用率告警】\n','【平台中间件内存使用率告警】\n\n中间件: {{addon_id}}\n\n使用率: {{usage_percent_avg}}\n\n使用: {{usage_value}}\n\n限制: {{limit_value}}\n\n分配: {{allocation_value}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n容器ID: {{container_id}}\n\n时间: {{timestamp}}\n','{\"allocation_value\":\"size:byte\",\"limit_value\":\"size:byte\",\"usage_percent_avg\":\"percent:2\",\"usage_value\":\"size:byte\"}','1.0','2021-05-28 11:54:55','2021-05-28 11:54:59',0),(1470,'平台中间件实例内存异常','dice_addon','dice_addon_container_mem','ticket','alert','【平台中间件{{addon_id}}内存使用率告警】\n','【平台中间件内存使用率告警】\n\n中间件: {{addon_id}}\n\n使用率: {{usage_percent_avg}}\n\n使用: {{usage_value}}\n\n限制: {{limit_value}}\n\n分配: {{allocation_value}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n容器ID: {{container_id}}\n\n时间: {{timestamp}}\n','{\"allocation_value\":\"size:byte\",\"limit_value\":\"size:byte\",\"usage_percent_avg\":\"percent:2\",\"usage_value\":\"size:byte\"}','1.0','2021-05-28 11:54:55','2021-05-28 11:54:59',0),(1471,'平台中间件实例内存异常','dice_addon','dice_addon_container_mem','email','alert','【平台中间件{{addon_id}}内存使用率告警】\n','【平台中间件内存使用率告警】\n\n中间件: {{addon_id}}\n\n使用率: {{usage_percent_avg}}\n\n使用: {{usage_value}}\n\n限制: {{limit_value}}\n\n分配: {{allocation_value}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n容器ID: {{container_id}}\n\n时间: {{timestamp}}\n','{\"allocation_value\":\"size:byte\",\"limit_value\":\"size:byte\",\"usage_percent_avg\":\"percent:2\",\"usage_value\":\"size:byte\"}','1.0','2021-05-28 11:54:55','2021-05-28 11:54:59',0),(1472,'平台中间件实例内存异常','dice_addon','dice_addon_container_mem','mbox','alert','【平台中间件{{addon_id}}内存使用率告警】\n','【平台中间件内存使用率告警】\n\n中间件: {{addon_id}}\n\n使用率: {{usage_percent_avg}}\n\n使用: {{usage_value}}\n\n限制: {{limit_value}}\n\n分配: {{allocation_value}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n容器ID: {{container_id}}\n\n时间: {{timestamp}}\n','{\"allocation_value\":\"size:byte\",\"limit_value\":\"size:byte\",\"usage_percent_avg\":\"percent:2\",\"usage_value\":\"size:byte\"}','1.0','2021-05-28 11:54:55','2021-05-28 11:54:59',0),(1473,'平台中间件实例内存异常','dice_addon','dice_addon_container_mem','webhook','alert','【平台中间件{{addon_id}}内存使用率告警】\n','【平台中间件内存使用率告警】\n\n中间件: {{addon_id}}\n\n使用率: {{usage_percent_avg}}\n\n使用: {{usage_value}}\n\n限制: {{limit_value}}\n\n分配: {{allocation_value}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n容器ID: {{container_id}}\n\n时间: {{timestamp}}\n','{\"allocation_value\":\"size:byte\",\"limit_value\":\"size:byte\",\"usage_percent_avg\":\"percent:2\",\"usage_value\":\"size:byte\"}','1.0','2021-05-28 11:54:55','2021-05-28 11:54:59',0),(1474,'平台中间件实例内存异常','dice_addon','dice_addon_container_mem','dingding','recover','【平台中间件{{addon_id}}内存使用率恢复】\n','【平台中间件内存使用率恢复】\n\n中间件: {{addon_id}}\n\n使用率: {{usage_percent_avg}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n容器ID: {{container_id}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n','{\"trigger_duration\":\"time:ms\",\"usage_percent_avg\":\"percent:2\"}','1.0','2021-05-28 11:54:55','2021-05-28 11:54:59',0),(1475,'平台中间件实例内存异常','dice_addon','dice_addon_container_mem','ticket','recover','【平台中间件{{addon_id}}内存使用率恢复】\n','【平台中间件内存使用率恢复】\n\n中间件: {{addon_id}}\n\n使用率: {{usage_percent_avg}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n容器ID: {{container_id}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n','{\"trigger_duration\":\"time:ms\",\"usage_percent_avg\":\"percent:2\"}','1.0','2021-05-28 11:54:55','2021-05-28 11:54:59',0),(1476,'平台中间件实例内存异常','dice_addon','dice_addon_container_mem','email','recover','【平台中间件{{addon_id}}内存使用率恢复】\n','【平台中间件内存使用率恢复】\n\n中间件: {{addon_id}}\n\n使用率: {{usage_percent_avg}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n容器ID: {{container_id}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n','{\"trigger_duration\":\"time:ms\",\"usage_percent_avg\":\"percent:2\"}','1.0','2021-05-28 11:54:55','2021-05-28 11:54:59',0),(1477,'平台中间件实例内存异常','dice_addon','dice_addon_container_mem','mbox','recover','【平台中间件{{addon_id}}内存使用率恢复】\n','【平台中间件内存使用率恢复】\n\n中间件: {{addon_id}}\n\n使用率: {{usage_percent_avg}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n容器ID: {{container_id}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n','{\"trigger_duration\":\"time:ms\",\"usage_percent_avg\":\"percent:2\"}','1.0','2021-05-28 11:54:55','2021-05-28 11:54:59',0),(1478,'平台中间件实例内存异常','dice_addon','dice_addon_container_mem','webhook','recover','【平台中间件{{addon_id}}内存使用率恢复】\n','【平台中间件内存使用率恢复】\n\n中间件: {{addon_id}}\n\n使用率: {{usage_percent_avg}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n容器ID: {{container_id}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n','{\"trigger_duration\":\"time:ms\",\"usage_percent_avg\":\"percent:2\"}','1.0','2021-05-28 11:54:55','2021-05-28 11:54:59',0),(1479,'平台中间件实例Ready状态异常','dice_addon','dice_addon_container_ready','dingding','alert','【平台中间件{{addon_id}} Ready状态异常告警】\n','【平台中间件Ready状态异常告警】\n\n中间件: {{addon_id}}\n\n未就绪实例: {{not_ready_value}}\n\n已就绪实例: {{ready_value}}\n\n集群: {{cluster_name}}\n\n时间: {{timestamp}}\n','','1.0','2021-05-28 11:54:55','2021-05-28 11:54:59',0),(1480,'平台中间件实例Ready状态异常','dice_addon','dice_addon_container_ready','ticket','alert','【平台中间件{{addon_id}} Ready状态异常告警】\n','【平台中间件Ready状态异常告警】\n\n中间件: {{addon_id}}\n\n未就绪实例: {{not_ready_value}}\n\n已就绪实例: {{ready_value}}\n\n集群: {{cluster_name}}\n\n时间: {{timestamp}}\n','','1.0','2021-05-28 11:54:55','2021-05-28 11:54:59',0),(1481,'平台中间件实例Ready状态异常','dice_addon','dice_addon_container_ready','email','alert','【平台中间件{{addon_id}} Ready状态异常告警】\n','【平台中间件Ready状态异常告警】\n\n中间件: {{addon_id}}\n\n未就绪实例: {{not_ready_value}}\n\n已就绪实例: {{ready_value}}\n\n集群: {{cluster_name}}\n\n时间: {{timestamp}}\n','','1.0','2021-05-28 11:54:55','2021-05-28 11:54:59',0),(1482,'平台中间件实例Ready状态异常','dice_addon','dice_addon_container_ready','mbox','alert','【平台中间件{{addon_id}} Ready状态异常告警】\n','【平台中间件Ready状态异常告警】\n\n中间件: {{addon_id}}\n\n未就绪实例: {{not_ready_value}}\n\n已就绪实例: {{ready_value}}\n\n集群: {{cluster_name}}\n\n时间: {{timestamp}}\n','','1.0','2021-05-28 11:54:55','2021-05-28 11:54:59',0),(1483,'平台中间件实例Ready状态异常','dice_addon','dice_addon_container_ready','webhook','alert','【平台中间件{{addon_id}} Ready状态异常告警】\n','【平台中间件Ready状态异常告警】\n\n中间件: {{addon_id}}\n\n未就绪实例: {{not_ready_value}}\n\n已就绪实例: {{ready_value}}\n\n集群: {{cluster_name}}\n\n时间: {{timestamp}}\n','','1.0','2021-05-28 11:54:55','2021-05-28 11:54:59',0),(1484,'平台中间件实例Ready状态异常','dice_addon','dice_addon_container_ready','dingding','recover','【平台中间件{{addon_id}} Ready状态异常恢复】\n','【平台中间件Ready状态异常恢复】\n\n中间件: {{addon_id}}\n\n已绪数实例: {{ready_value}}\n\n集群: {{cluster_name}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n','{\"trigger_duration\":\"time:ms\"}','1.0','2021-05-28 11:54:55','2021-05-28 11:54:59',0),(1485,'平台中间件实例Ready状态异常','dice_addon','dice_addon_container_ready','ticket','recover','【平台中间件{{addon_id}} Ready状态异常恢复】\n','【平台中间件Ready状态异常恢复】\n\n中间件: {{addon_id}}\n\n已绪数实例: {{ready_value}}\n\n集群: {{cluster_name}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n','{\"trigger_duration\":\"time:ms\"}','1.0','2021-05-28 11:54:55','2021-05-28 11:54:59',0),(1486,'平台中间件实例Ready状态异常','dice_addon','dice_addon_container_ready','email','recover','【平台中间件{{addon_id}} Ready状态异常恢复】\n','【平台中间件Ready状态异常恢复】\n\n中间件: {{addon_id}}\n\n已绪数实例: {{ready_value}}\n\n集群: {{cluster_name}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n','{\"trigger_duration\":\"time:ms\"}','1.0','2021-05-28 11:54:55','2021-05-28 11:54:59',0),(1487,'平台中间件实例Ready状态异常','dice_addon','dice_addon_container_ready','mbox','recover','【平台中间件{{addon_id}} Ready状态异常恢复】\n','【平台中间件Ready状态异常恢复】\n\n中间件: {{addon_id}}\n\n已绪数实例: {{ready_value}}\n\n集群: {{cluster_name}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n','{\"trigger_duration\":\"time:ms\"}','1.0','2021-05-28 11:54:55','2021-05-28 11:54:59',0),(1488,'平台中间件实例Ready状态异常','dice_addon','dice_addon_container_ready','webhook','recover','【平台中间件{{addon_id}} Ready状态异常恢复】\n','【平台中间件Ready状态异常恢复】\n\n中间件: {{addon_id}}\n\n已绪数实例: {{ready_value}}\n\n集群: {{cluster_name}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n','{\"trigger_duration\":\"time:ms\"}','1.0','2021-05-28 11:54:55','2021-05-28 11:54:59',0),(1489,'平台中间件elasticsearch GC次数异常','dice_addon','dice_addon_elasticsearch_gc_count','dingding','alert','【平台中间件elasticsearch GC次数告警】\n','【平台中间件elasticsearch GC次数告警】\n\n中间件: {{addon_id}}\n\n老年代GC次数: {{gc_collectors_old_collection_count_win_value}}\n\n集群: {{cluster_name}}\n\n机器: {{node_host}}\n\n时间: {{timestamp}}\n\n[查看详情]({{display_url}})\n','','1.0','2021-05-28 11:54:55','2021-05-28 11:54:59',0),(1490,'平台中间件elasticsearch GC次数异常','dice_addon','dice_addon_elasticsearch_gc_count','ticket','alert','【平台中间件elasticsearch GC次数告警】\n','【平台中间件elasticsearch GC次数告警】\n\n中间件: {{addon_id}}\n\n老年代GC次数: {{gc_collectors_old_collection_count_win_value}}\n\n集群: {{cluster_name}}\n\n机器: {{node_host}}\n\n时间: {{timestamp}}\n\n[查看详情]({{display_url}})\n','','1.0','2021-05-28 11:54:55','2021-05-28 11:54:59',0),(1491,'平台中间件elasticsearch GC次数异常','dice_addon','dice_addon_elasticsearch_gc_count','email','alert','【平台中间件elasticsearch GC次数告警】\n','【平台中间件elasticsearch GC次数告警】\n\n中间件: {{addon_id}}\n\n老年代GC次数: {{gc_collectors_old_collection_count_win_value}}\n\n集群: {{cluster_name}}\n\n机器: {{node_host}}\n\n时间: {{timestamp}}\n\n[查看详情]({{display_url}})\n','','1.0','2021-05-28 11:54:55','2021-05-28 11:54:59',0),(1492,'平台中间件elasticsearch GC次数异常','dice_addon','dice_addon_elasticsearch_gc_count','mbox','alert','【平台中间件elasticsearch GC次数告警】\n','【平台中间件elasticsearch GC次数告警】\n\n中间件: {{addon_id}}\n\n老年代GC次数: {{gc_collectors_old_collection_count_win_value}}\n\n集群: {{cluster_name}}\n\n机器: {{node_host}}\n\n时间: {{timestamp}}\n\n[查看详情]({{display_url}})\n','','1.0','2021-05-28 11:54:55','2021-05-28 11:54:59',0),(1493,'平台中间件elasticsearch GC次数异常','dice_addon','dice_addon_elasticsearch_gc_count','webhook','alert','【平台中间件elasticsearch GC次数告警】\n','【平台中间件elasticsearch GC次数告警】\n\n中间件: {{addon_id}}\n\n老年代GC次数: {{gc_collectors_old_collection_count_win_value}}\n\n集群: {{cluster_name}}\n\n机器: {{node_host}}\n\n时间: {{timestamp}}\n\n[查看详情]({{display_url}})\n','','1.0','2021-05-28 11:54:55','2021-05-28 11:54:59',0),(1494,'平台中间件elasticsearch GC次数异常','dice_addon','dice_addon_elasticsearch_gc_count','dingding','recover','【平台中间件elasticsearch GC次数恢复】\n','【平台中间件elasticsearch GC次数恢复】\n\n中间件: {{addon_id}}\n\n老年代GC次数: {{gc_collectors_old_collection_count_win_value}}\n\n集群: {{cluster_name}}\n\n机器: {{node_host}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n','{\"trigger_duration\":\"time:ms\"}','1.0','2021-05-28 11:54:55','2021-05-28 11:54:59',0),(1495,'平台中间件elasticsearch GC次数异常','dice_addon','dice_addon_elasticsearch_gc_count','ticket','recover','【平台中间件elasticsearch GC次数恢复】\n','【平台中间件elasticsearch GC次数恢复】\n\n中间件: {{addon_id}}\n\n老年代GC次数: {{gc_collectors_old_collection_count_win_value}}\n\n集群: {{cluster_name}}\n\n机器: {{node_host}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n','{\"trigger_duration\":\"time:ms\"}','1.0','2021-05-28 11:54:55','2021-05-28 11:54:59',0),(1496,'平台中间件elasticsearch GC次数异常','dice_addon','dice_addon_elasticsearch_gc_count','email','recover','【平台中间件elasticsearch GC次数恢复】\n','【平台中间件elasticsearch GC次数恢复】\n\n中间件: {{addon_id}}\n\n老年代GC次数: {{gc_collectors_old_collection_count_win_value}}\n\n集群: {{cluster_name}}\n\n机器: {{node_host}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n','{\"trigger_duration\":\"time:ms\"}','1.0','2021-05-28 11:54:55','2021-05-28 11:54:59',0),(1497,'平台中间件elasticsearch GC次数异常','dice_addon','dice_addon_elasticsearch_gc_count','mbox','recover','【平台中间件elasticsearch GC次数恢复】\n','【平台中间件elasticsearch GC次数恢复】\n\n中间件: {{addon_id}}\n\n老年代GC次数: {{gc_collectors_old_collection_count_win_value}}\n\n集群: {{cluster_name}}\n\n机器: {{node_host}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n','{\"trigger_duration\":\"time:ms\"}','1.0','2021-05-28 11:54:55','2021-05-28 11:54:59',0),(1498,'平台中间件elasticsearch GC次数异常','dice_addon','dice_addon_elasticsearch_gc_count','webhook','recover','【平台中间件elasticsearch GC次数恢复】\n','【平台中间件elasticsearch GC次数恢复】\n\n中间件: {{addon_id}}\n\n老年代GC次数: {{gc_collectors_old_collection_count_win_value}}\n\n集群: {{cluster_name}}\n\n机器: {{node_host}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n','{\"trigger_duration\":\"time:ms\"}','1.0','2021-05-28 11:54:55','2021-05-28 11:54:59',0),(1499,'平台中间件elasticsearch GC耗时异常','dice_addon','dice_addon_elasticsearch_gc_time','dingding','alert','【平台中间件elasticsearch GC耗时告警】\n','【平台中间件elasticsearch GC耗时告警】\n\n中间件: {{addon_id}}\n\n老年代GC耗时: {{gc_collectors_old_collection_time_in_millis_win_value}}\n\n集群: {{cluster_name}}\n\n机器: {{node_name}}\n\n时间: {{timestamp}}\n\n[查看详情]({{display_url}})\n','{\"gc_collectors_old_collection_time_in_millis_win_value\":\"time:ms\"}','1.0','2021-05-28 11:54:55','2021-05-28 11:54:59',0),(1500,'平台中间件elasticsearch GC耗时异常','dice_addon','dice_addon_elasticsearch_gc_time','ticket','alert','【平台中间件elasticsearch GC耗时告警】\n','【平台中间件elasticsearch GC耗时告警】\n\n中间件: {{addon_id}}\n\n老年代GC耗时: {{gc_collectors_old_collection_time_in_millis_win_value}}\n\n集群: {{cluster_name}}\n\n机器: {{node_name}}\n\n时间: {{timestamp}}\n\n[查看详情]({{display_url}})\n','{\"gc_collectors_old_collection_time_in_millis_win_value\":\"time:ms\"}','1.0','2021-05-28 11:54:55','2021-05-28 11:54:59',0),(1501,'平台中间件elasticsearch GC耗时异常','dice_addon','dice_addon_elasticsearch_gc_time','email','alert','【平台中间件elasticsearch GC耗时告警】\n','【平台中间件elasticsearch GC耗时告警】\n\n中间件: {{addon_id}}\n\n老年代GC耗时: {{gc_collectors_old_collection_time_in_millis_win_value}}\n\n集群: {{cluster_name}}\n\n机器: {{node_name}}\n\n时间: {{timestamp}}\n\n[查看详情]({{display_url}})\n','{\"gc_collectors_old_collection_time_in_millis_win_value\":\"time:ms\"}','1.0','2021-05-28 11:54:55','2021-05-28 11:54:59',0),(1502,'平台中间件elasticsearch GC耗时异常','dice_addon','dice_addon_elasticsearch_gc_time','mbox','alert','【平台中间件elasticsearch GC耗时告警】\n','【平台中间件elasticsearch GC耗时告警】\n\n中间件: {{addon_id}}\n\n老年代GC耗时: {{gc_collectors_old_collection_time_in_millis_win_value}}\n\n集群: {{cluster_name}}\n\n机器: {{node_name}}\n\n时间: {{timestamp}}\n\n[查看详情]({{display_url}})\n','{\"gc_collectors_old_collection_time_in_millis_win_value\":\"time:ms\"}','1.0','2021-05-28 11:54:55','2021-05-28 11:54:59',0),(1503,'平台中间件elasticsearch GC耗时异常','dice_addon','dice_addon_elasticsearch_gc_time','webhook','alert','【平台中间件elasticsearch GC耗时告警】\n','【平台中间件elasticsearch GC耗时告警】\n\n中间件: {{addon_id}}\n\n老年代GC耗时: {{gc_collectors_old_collection_time_in_millis_win_value}}\n\n集群: {{cluster_name}}\n\n机器: {{node_name}}\n\n时间: {{timestamp}}\n\n[查看详情]({{display_url}})\n','{\"gc_collectors_old_collection_time_in_millis_win_value\":\"time:ms\"}','1.0','2021-05-28 11:54:55','2021-05-28 11:54:59',0),(1504,'平台中间件elasticsearch GC耗时异常','dice_addon','dice_addon_elasticsearch_gc_time','dingding','recover','【平台中间件elasticsearch GC耗时恢复】\n','【平台中间件elasticsearch GC耗时恢复】\n\n中间件: {{addon_id}}\n\n老年代GC耗时: {{gc_collectors_old_collection_time_in_millis_win_value}}\n\n集群: {{cluster_name}}\n\n机器: {{node_name}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n','{\"gc_collectors_old_collection_time_in_millis_win_value\":\"time:ms\",\"trigger_duration\":\"time:ms\"}','1.0','2021-05-28 11:54:55','2021-05-28 11:54:59',0),(1505,'平台中间件elasticsearch GC耗时异常','dice_addon','dice_addon_elasticsearch_gc_time','ticket','recover','【平台中间件elasticsearch GC耗时恢复】\n','【平台中间件elasticsearch GC耗时恢复】\n\n中间件: {{addon_id}}\n\n老年代GC耗时: {{gc_collectors_old_collection_time_in_millis_win_value}}\n\n集群: {{cluster_name}}\n\n机器: {{node_name}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n','{\"gc_collectors_old_collection_time_in_millis_win_value\":\"time:ms\",\"trigger_duration\":\"time:ms\"}','1.0','2021-05-28 11:54:55','2021-05-28 11:54:59',0),(1506,'平台中间件elasticsearch GC耗时异常','dice_addon','dice_addon_elasticsearch_gc_time','email','recover','【平台中间件elasticsearch GC耗时恢复】\n','【平台中间件elasticsearch GC耗时恢复】\n\n中间件: {{addon_id}}\n\n老年代GC耗时: {{gc_collectors_old_collection_time_in_millis_win_value}}\n\n集群: {{cluster_name}}\n\n机器: {{node_name}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n','{\"gc_collectors_old_collection_time_in_millis_win_value\":\"time:ms\",\"trigger_duration\":\"time:ms\"}','1.0','2021-05-28 11:54:55','2021-05-28 11:54:59',0),(1507,'平台中间件elasticsearch GC耗时异常','dice_addon','dice_addon_elasticsearch_gc_time','mbox','recover','【平台中间件elasticsearch GC耗时恢复】\n','【平台中间件elasticsearch GC耗时恢复】\n\n中间件: {{addon_id}}\n\n老年代GC耗时: {{gc_collectors_old_collection_time_in_millis_win_value}}\n\n集群: {{cluster_name}}\n\n机器: {{node_name}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n','{\"gc_collectors_old_collection_time_in_millis_win_value\":\"time:ms\",\"trigger_duration\":\"time:ms\"}','1.0','2021-05-28 11:54:55','2021-05-28 11:54:59',0),(1508,'平台中间件elasticsearch GC耗时异常','dice_addon','dice_addon_elasticsearch_gc_time','webhook','recover','【平台中间件elasticsearch GC耗时恢复】\n','【平台中间件elasticsearch GC耗时恢复】\n\n中间件: {{addon_id}}\n\n老年代GC耗时: {{gc_collectors_old_collection_time_in_millis_win_value}}\n\n集群: {{cluster_name}}\n\n机器: {{node_name}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n','{\"gc_collectors_old_collection_time_in_millis_win_value\":\"time:ms\",\"trigger_duration\":\"time:ms\"}','1.0','2021-05-28 11:54:55','2021-05-28 11:54:59',0),(1509,'平台中间件Kafka GC次数异常','dice_addon','dice_addon_kafka_gc_count','dingding','alert','【平台中间件Kafka GC次数告警】\n','【平台中间件Kafka GC次数告警】\n\n中间件: {{addon_id}}\n\n老年代GC次数: {{CollectionCount_win_value}}\n\n集群: {{cluster_name}}\n\n集群: {{node_host}}\n\n时间: {{timestamp}}\n\n[查看详情]({{display_url}})\n','','1.0','2021-05-28 11:54:55','2021-05-28 11:54:59',0),(1510,'平台中间件Kafka GC次数异常','dice_addon','dice_addon_kafka_gc_count','ticket','alert','【平台中间件Kafka GC次数告警】\n','【平台中间件Kafka GC次数告警】\n\n中间件: {{addon_id}}\n\n老年代GC次数: {{CollectionCount_win_value}}\n\n集群: {{cluster_name}}\n\n集群: {{node_host}}\n\n时间: {{timestamp}}\n\n[查看详情]({{display_url}})\n','','1.0','2021-05-28 11:54:55','2021-05-28 11:54:59',0),(1511,'平台中间件Kafka GC次数异常','dice_addon','dice_addon_kafka_gc_count','email','alert','【平台中间件Kafka GC次数告警】\n','【平台中间件Kafka GC次数告警】\n\n中间件: {{addon_id}}\n\n老年代GC次数: {{CollectionCount_win_value}}\n\n集群: {{cluster_name}}\n\n集群: {{node_host}}\n\n时间: {{timestamp}}\n\n[查看详情]({{display_url}})\n','','1.0','2021-05-28 11:54:55','2021-05-28 11:54:59',0),(1512,'平台中间件Kafka GC次数异常','dice_addon','dice_addon_kafka_gc_count','mbox','alert','【平台中间件Kafka GC次数告警】\n','【平台中间件Kafka GC次数告警】\n\n中间件: {{addon_id}}\n\n老年代GC次数: {{CollectionCount_win_value}}\n\n集群: {{cluster_name}}\n\n集群: {{node_host}}\n\n时间: {{timestamp}}\n\n[查看详情]({{display_url}})\n','','1.0','2021-05-28 11:54:55','2021-05-28 11:54:59',0),(1513,'平台中间件Kafka GC次数异常','dice_addon','dice_addon_kafka_gc_count','webhook','alert','【平台中间件Kafka GC次数告警】\n','【平台中间件Kafka GC次数告警】\n\n中间件: {{addon_id}}\n\n老年代GC次数: {{CollectionCount_win_value}}\n\n集群: {{cluster_name}}\n\n集群: {{node_host}}\n\n时间: {{timestamp}}\n\n[查看详情]({{display_url}})\n','','1.0','2021-05-28 11:54:55','2021-05-28 11:54:59',0),(1514,'平台中间件Kafka GC次数异常','dice_addon','dice_addon_kafka_gc_count','dingding','recover','【平台中间件Kafka GC次数恢复】\n','【平台中间件Kafka GC次数恢复】\n\n中间件: {{addon_id}}\n\n老年代GC次数: {{CollectionCount_win_value}}\n\n集群: {{cluster_name}}\n\n机器: {{node_host}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n','{\"trigger_duration\":\"time:ms\"}','1.0','2021-05-28 11:54:55','2021-05-28 11:54:59',0),(1515,'平台中间件Kafka GC次数异常','dice_addon','dice_addon_kafka_gc_count','ticket','recover','【平台中间件Kafka GC次数恢复】\n','【平台中间件Kafka GC次数恢复】\n\n中间件: {{addon_id}}\n\n老年代GC次数: {{CollectionCount_win_value}}\n\n集群: {{cluster_name}}\n\n机器: {{node_host}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n','{\"trigger_duration\":\"time:ms\"}','1.0','2021-05-28 11:54:55','2021-05-28 11:54:59',0),(1516,'平台中间件Kafka GC次数异常','dice_addon','dice_addon_kafka_gc_count','email','recover','【平台中间件Kafka GC次数恢复】\n','【平台中间件Kafka GC次数恢复】\n\n中间件: {{addon_id}}\n\n老年代GC次数: {{CollectionCount_win_value}}\n\n集群: {{cluster_name}}\n\n机器: {{node_host}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n','{\"trigger_duration\":\"time:ms\"}','1.0','2021-05-28 11:54:55','2021-05-28 11:54:59',0),(1517,'平台中间件Kafka GC次数异常','dice_addon','dice_addon_kafka_gc_count','mbox','recover','【平台中间件Kafka GC次数恢复】\n','【平台中间件Kafka GC次数恢复】\n\n中间件: {{addon_id}}\n\n老年代GC次数: {{CollectionCount_win_value}}\n\n集群: {{cluster_name}}\n\n机器: {{node_host}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n','{\"trigger_duration\":\"time:ms\"}','1.0','2021-05-28 11:54:55','2021-05-28 11:54:59',0),(1518,'平台中间件Kafka GC次数异常','dice_addon','dice_addon_kafka_gc_count','webhook','recover','【平台中间件Kafka GC次数恢复】\n','【平台中间件Kafka GC次数恢复】\n\n中间件: {{addon_id}}\n\n老年代GC次数: {{CollectionCount_win_value}}\n\n集群: {{cluster_name}}\n\n机器: {{node_host}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n','{\"trigger_duration\":\"time:ms\"}','1.0','2021-05-28 11:54:55','2021-05-28 11:54:59',0),(1519,'平台中间件kafka GC耗时异常','dice_addon','dice_addon_kafka_gc_time','dingding','alert','【平台中间件kafka GC耗时告警】\n','【平台中间件kafka GC耗时告警】\n\n中间件: {{addon_id}}\n\n老年代GC耗时: {{CollectionTime_win_value}}\n\n集群: {{cluster_name}}\n\n机器: {{node_host}}\n\n时间: {{timestamp}}\n\n[查看详情]({{display_url}})\n','{\"CollectionTime_win_value\":\"time:ms\"}','1.0','2021-05-28 11:54:55','2021-05-28 11:54:59',0),(1520,'平台中间件kafka GC耗时异常','dice_addon','dice_addon_kafka_gc_time','ticket','alert','【平台中间件kafka GC耗时告警】\n','【平台中间件kafka GC耗时告警】\n\n中间件: {{addon_id}}\n\n老年代GC耗时: {{CollectionTime_win_value}}\n\n集群: {{cluster_name}}\n\n机器: {{node_host}}\n\n时间: {{timestamp}}\n\n[查看详情]({{display_url}})\n','{\"CollectionTime_win_value\":\"time:ms\"}','1.0','2021-05-28 11:54:55','2021-05-28 11:54:59',0),(1521,'平台中间件kafka GC耗时异常','dice_addon','dice_addon_kafka_gc_time','email','alert','【平台中间件kafka GC耗时告警】\n','【平台中间件kafka GC耗时告警】\n\n中间件: {{addon_id}}\n\n老年代GC耗时: {{CollectionTime_win_value}}\n\n集群: {{cluster_name}}\n\n机器: {{node_host}}\n\n时间: {{timestamp}}\n\n[查看详情]({{display_url}})\n','{\"CollectionTime_win_value\":\"time:ms\"}','1.0','2021-05-28 11:54:55','2021-05-28 11:54:59',0),(1522,'平台中间件kafka GC耗时异常','dice_addon','dice_addon_kafka_gc_time','mbox','alert','【平台中间件kafka GC耗时告警】\n','【平台中间件kafka GC耗时告警】\n\n中间件: {{addon_id}}\n\n老年代GC耗时: {{CollectionTime_win_value}}\n\n集群: {{cluster_name}}\n\n机器: {{node_host}}\n\n时间: {{timestamp}}\n\n[查看详情]({{display_url}})\n','{\"CollectionTime_win_value\":\"time:ms\"}','1.0','2021-05-28 11:54:55','2021-05-28 11:54:59',0),(1523,'平台中间件kafka GC耗时异常','dice_addon','dice_addon_kafka_gc_time','webhook','alert','【平台中间件kafka GC耗时告警】\n','【平台中间件kafka GC耗时告警】\n\n中间件: {{addon_id}}\n\n老年代GC耗时: {{CollectionTime_win_value}}\n\n集群: {{cluster_name}}\n\n机器: {{node_host}}\n\n时间: {{timestamp}}\n\n[查看详情]({{display_url}})\n','{\"CollectionTime_win_value\":\"time:ms\"}','1.0','2021-05-28 11:54:55','2021-05-28 11:54:59',0),(1524,'平台中间件kafka GC耗时异常','dice_addon','dice_addon_kafka_gc_time','dingding','recover','【平台中间件kafka GC耗时恢复】\n','【平台中间件kafka GC耗时恢复】\n\n中间件: {{addon_id}}\n\n老年代GC耗时: {{CollectionTime_win_value}}\n\n集群: {{cluster_name}}\n\n机器: {{node_host}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n','{\"CollectionTime_win_value\":\"time:ms\",\"trigger_duration\":\"time:ms\"}','1.0','2021-05-28 11:54:55','2021-05-28 11:54:59',0),(1525,'平台中间件kafka GC耗时异常','dice_addon','dice_addon_kafka_gc_time','ticket','recover','【平台中间件kafka GC耗时恢复】\n','【平台中间件kafka GC耗时恢复】\n\n中间件: {{addon_id}}\n\n老年代GC耗时: {{CollectionTime_win_value}}\n\n集群: {{cluster_name}}\n\n机器: {{node_host}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n','{\"CollectionTime_win_value\":\"time:ms\",\"trigger_duration\":\"time:ms\"}','1.0','2021-05-28 11:54:55','2021-05-28 11:54:59',0),(1526,'平台中间件kafka GC耗时异常','dice_addon','dice_addon_kafka_gc_time','email','recover','【平台中间件kafka GC耗时恢复】\n','【平台中间件kafka GC耗时恢复】\n\n中间件: {{addon_id}}\n\n老年代GC耗时: {{CollectionTime_win_value}}\n\n集群: {{cluster_name}}\n\n机器: {{node_host}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n','{\"CollectionTime_win_value\":\"time:ms\",\"trigger_duration\":\"time:ms\"}','1.0','2021-05-28 11:54:55','2021-05-28 11:54:59',0),(1527,'平台中间件kafka GC耗时异常','dice_addon','dice_addon_kafka_gc_time','mbox','recover','【平台中间件kafka GC耗时恢复】\n','【平台中间件kafka GC耗时恢复】\n\n中间件: {{addon_id}}\n\n老年代GC耗时: {{CollectionTime_win_value}}\n\n集群: {{cluster_name}}\n\n机器: {{node_host}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n','{\"CollectionTime_win_value\":\"time:ms\",\"trigger_duration\":\"time:ms\"}','1.0','2021-05-28 11:54:55','2021-05-28 11:54:59',0),(1528,'平台中间件kafka GC耗时异常','dice_addon','dice_addon_kafka_gc_time','webhook','recover','【平台中间件kafka GC耗时恢复】\n','【平台中间件kafka GC耗时恢复】\n\n中间件: {{addon_id}}\n\n老年代GC耗时: {{CollectionTime_win_value}}\n\n集群: {{cluster_name}}\n\n机器: {{node_host}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n','{\"CollectionTime_win_value\":\"time:ms\",\"trigger_duration\":\"time:ms\"}','1.0','2021-05-28 11:54:55','2021-05-28 11:54:59',0),(1529,'平台中间件kafka消费堆积','dice_addon','dice_addon_kafka_lag','dingding','alert','【平台中间件kafka消费堆积告警】\n','【平台中间件kafka消费堆积告警】\n\n中间件: {{addon_id}}\n\n消费者组: {{group}}\n\nTopic: {{topic}}\n\n当前消息堆积: {{lag_avg}}\n\n消费速度: {{consume_rate_per_sec_avg}} /s\n\n生产速度: {{produce_rate_per_sec_avg}} /s\n\n集群: {{cluster_name}}\n\n时间: {{timestamp}}\n\n[查看详情]({{display_url}})\n','','1.0','2021-05-28 11:54:55','2021-05-28 11:54:59',0),(1530,'平台中间件kafka消费堆积','dice_addon','dice_addon_kafka_lag','ticket','alert','【平台中间件kafka消费堆积告警】\n','【平台中间件kafka消费堆积告警】\n\n中间件: {{addon_id}}\n\n消费者组: {{group}}\n\nTopic: {{topic}}\n\n当前消息堆积: {{lag_avg}}\n\n消费速度: {{consume_rate_per_sec_avg}} /s\n\n生产速度: {{produce_rate_per_sec_avg}} /s\n\n集群: {{cluster_name}}\n\n时间: {{timestamp}}\n\n[查看详情]({{display_url}})\n','','1.0','2021-05-28 11:54:55','2021-05-28 11:54:59',0),(1531,'平台中间件kafka消费堆积','dice_addon','dice_addon_kafka_lag','email','alert','【平台中间件kafka消费堆积告警】\n','【平台中间件kafka消费堆积告警】\n\n中间件: {{addon_id}}\n\n消费者组: {{group}}\n\nTopic: {{topic}}\n\n当前消息堆积: {{lag_avg}}\n\n消费速度: {{consume_rate_per_sec_avg}} /s\n\n生产速度: {{produce_rate_per_sec_avg}} /s\n\n集群: {{cluster_name}}\n\n时间: {{timestamp}}\n\n[查看详情]({{display_url}})\n','','1.0','2021-05-28 11:54:55','2021-05-28 11:54:59',0),(1532,'平台中间件kafka消费堆积','dice_addon','dice_addon_kafka_lag','mbox','alert','【平台中间件kafka消费堆积告警】\n','【平台中间件kafka消费堆积告警】\n\n中间件: {{addon_id}}\n\n消费者组: {{group}}\n\nTopic: {{topic}}\n\n当前消息堆积: {{lag_avg}}\n\n消费速度: {{consume_rate_per_sec_avg}} /s\n\n生产速度: {{produce_rate_per_sec_avg}} /s\n\n集群: {{cluster_name}}\n\n时间: {{timestamp}}\n\n[查看详情]({{display_url}})\n','','1.0','2021-05-28 11:54:55','2021-05-28 11:54:59',0),(1533,'平台中间件kafka消费堆积','dice_addon','dice_addon_kafka_lag','webhook','alert','【平台中间件kafka消费堆积告警】\n','【平台中间件kafka消费堆积告警】\n\n中间件: {{addon_id}}\n\n消费者组: {{group}}\n\nTopic: {{topic}}\n\n当前消息堆积: {{lag_avg}}\n\n消费速度: {{consume_rate_per_sec_avg}} /s\n\n生产速度: {{produce_rate_per_sec_avg}} /s\n\n集群: {{cluster_name}}\n\n时间: {{timestamp}}\n\n[查看详情]({{display_url}})\n','','1.0','2021-05-28 11:54:55','2021-05-28 11:54:59',0),(1534,'平台中间件kafka消费堆积','dice_addon','dice_addon_kafka_lag','dingding','recover','【平台中间件kafka消费堆积恢复】\n','【平台中间件kafka消费堆积恢复】\n\n中间件: {{addon_id}}\n\n消费者组: {{group}}\n\nTopic: {{topic}}\n\n当前消息堆积: {{lag_avg}}\n\n集群: {{cluster_name}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n','{\"trigger_duration\":\"time:ms\"}','1.0','2021-05-28 11:54:55','2021-05-28 11:54:59',0),(1535,'平台中间件kafka消费堆积','dice_addon','dice_addon_kafka_lag','ticket','recover','【平台中间件kafka消费堆积恢复】\n','【平台中间件kafka消费堆积恢复】\n\n中间件: {{addon_id}}\n\n消费者组: {{group}}\n\nTopic: {{topic}}\n\n当前消息堆积: {{lag_avg}}\n\n集群: {{cluster_name}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n','{\"trigger_duration\":\"time:ms\"}','1.0','2021-05-28 11:54:55','2021-05-28 11:54:59',0),(1536,'平台中间件kafka消费堆积','dice_addon','dice_addon_kafka_lag','email','recover','【平台中间件kafka消费堆积恢复】\n','【平台中间件kafka消费堆积恢复】\n\n中间件: {{addon_id}}\n\n消费者组: {{group}}\n\nTopic: {{topic}}\n\n当前消息堆积: {{lag_avg}}\n\n集群: {{cluster_name}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n','{\"trigger_duration\":\"time:ms\"}','1.0','2021-05-28 11:54:55','2021-05-28 11:54:59',0),(1537,'平台中间件kafka消费堆积','dice_addon','dice_addon_kafka_lag','mbox','recover','【平台中间件kafka消费堆积恢复】\n','【平台中间件kafka消费堆积恢复】\n\n中间件: {{addon_id}}\n\n消费者组: {{group}}\n\nTopic: {{topic}}\n\n当前消息堆积: {{lag_avg}}\n\n集群: {{cluster_name}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n','{\"trigger_duration\":\"time:ms\"}','1.0','2021-05-28 11:54:55','2021-05-28 11:54:59',0),(1538,'平台中间件kafka消费堆积','dice_addon','dice_addon_kafka_lag','webhook','recover','【平台中间件kafka消费堆积恢复】\n','【平台中间件kafka消费堆积恢复】\n\n中间件: {{addon_id}}\n\n消费者组: {{group}}\n\nTopic: {{topic}}\n\n当前消息堆积: {{lag_avg}}\n\n集群: {{cluster_name}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n','{\"trigger_duration\":\"time:ms\"}','1.0','2021-05-28 11:54:55','2021-05-28 11:54:59',0),(1539,'平台组件实例CPU异常','dice_component','dice_component_container_cpu','dingding','alert','【平台组件{{component_name}} CPU使用率告警】\n','【平台组件CPU使用率告警】\n\n组件: {{component_name}}\n\n使用率: {{usage_percent_avg}}\n\n限制: {{limit_value}}核\n\n分配: {{allocation_value}}核\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n容器ID: {{container_id}}\n\n时间: {{timestamp}}\n','{\"allocation_value\":\"fraction:2\",\"limit_value\":\"fraction:2\",\"usage_percent_avg\":\"percent:2\"}','1.0','2021-05-28 11:54:55','2021-05-28 11:54:59',0),(1540,'平台组件实例CPU异常','dice_component','dice_component_container_cpu','ticket','alert','【平台组件{{component_name}} CPU使用率告警】\n','【平台组件CPU使用率告警】\n\n组件: {{component_name}}\n\n使用率: {{usage_percent_avg}}\n\n限制: {{limit_value}}核\n\n分配: {{allocation_value}}核\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n容器ID: {{container_id}}\n\n时间: {{timestamp}}\n','{\"allocation_value\":\"fraction:2\",\"limit_value\":\"fraction:2\",\"usage_percent_avg\":\"percent:2\"}','1.0','2021-05-28 11:54:55','2021-05-28 11:54:59',0),(1541,'平台组件实例CPU异常','dice_component','dice_component_container_cpu','email','alert','【平台组件{{component_name}} CPU使用率告警】\n','【平台组件CPU使用率告警】\n\n组件: {{component_name}}\n\n使用率: {{usage_percent_avg}}\n\n限制: {{limit_value}}核\n\n分配: {{allocation_value}}核\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n容器ID: {{container_id}}\n\n时间: {{timestamp}}\n','{\"allocation_value\":\"fraction:2\",\"limit_value\":\"fraction:2\",\"usage_percent_avg\":\"percent:2\"}','1.0','2021-05-28 11:54:55','2021-05-28 11:54:59',0),(1542,'平台组件实例CPU异常','dice_component','dice_component_container_cpu','mbox','alert','【平台组件{{component_name}} CPU使用率告警】\n','【平台组件CPU使用率告警】\n\n组件: {{component_name}}\n\n使用率: {{usage_percent_avg}}\n\n限制: {{limit_value}}核\n\n分配: {{allocation_value}}核\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n容器ID: {{container_id}}\n\n时间: {{timestamp}}\n','{\"allocation_value\":\"fraction:2\",\"limit_value\":\"fraction:2\",\"usage_percent_avg\":\"percent:2\"}','1.0','2021-05-28 11:54:55','2021-05-28 11:54:59',0),(1543,'平台组件实例CPU异常','dice_component','dice_component_container_cpu','webhook','alert','【平台组件{{component_name}} CPU使用率告警】\n','【平台组件CPU使用率告警】\n\n组件: {{component_name}}\n\n使用率: {{usage_percent_avg}}\n\n限制: {{limit_value}}核\n\n分配: {{allocation_value}}核\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n容器ID: {{container_id}}\n\n时间: {{timestamp}}\n','{\"allocation_value\":\"fraction:2\",\"limit_value\":\"fraction:2\",\"usage_percent_avg\":\"percent:2\"}','1.0','2021-05-28 11:54:55','2021-05-28 11:54:59',0),(1544,'平台组件实例CPU异常','dice_component','dice_component_container_cpu','dingding','recover','【平台组件{{component_name}} CPU使用率恢复】\n','【平台组件CPU使用率恢复】\n\n组件: {{component_name}}\n\n使用率: {{usage_percent_avg}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n容器ID: {{container_id}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n','{\"trigger_duration\":\"time:ms\",\"usage_percent_avg\":\"percent:2\"}','1.0','2021-05-28 11:54:55','2021-05-28 11:54:59',0),(1545,'平台组件实例CPU异常','dice_component','dice_component_container_cpu','ticket','recover','【平台组件{{component_name}} CPU使用率恢复】\n','【平台组件CPU使用率恢复】\n\n组件: {{component_name}}\n\n使用率: {{usage_percent_avg}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n容器ID: {{container_id}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n','{\"trigger_duration\":\"time:ms\",\"usage_percent_avg\":\"percent:2\"}','1.0','2021-05-28 11:54:55','2021-05-28 11:54:59',0),(1546,'平台组件实例CPU异常','dice_component','dice_component_container_cpu','email','recover','【平台组件{{component_name}} CPU使用率恢复】\n','【平台组件CPU使用率恢复】\n\n组件: {{component_name}}\n\n使用率: {{usage_percent_avg}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n容器ID: {{container_id}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n','{\"trigger_duration\":\"time:ms\",\"usage_percent_avg\":\"percent:2\"}','1.0','2021-05-28 11:54:55','2021-05-28 11:54:59',0),(1547,'平台组件实例CPU异常','dice_component','dice_component_container_cpu','mbox','recover','【平台组件{{component_name}} CPU使用率恢复】\n','【平台组件CPU使用率恢复】\n\n组件: {{component_name}}\n\n使用率: {{usage_percent_avg}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n容器ID: {{container_id}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n','{\"trigger_duration\":\"time:ms\",\"usage_percent_avg\":\"percent:2\"}','1.0','2021-05-28 11:54:55','2021-05-28 11:54:59',0),(1548,'平台组件实例CPU异常','dice_component','dice_component_container_cpu','webhook','recover','【平台组件{{component_name}} CPU使用率恢复】\n','【平台组件CPU使用率恢复】\n\n组件: {{component_name}}\n\n使用率: {{usage_percent_avg}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n容器ID: {{container_id}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n','{\"trigger_duration\":\"time:ms\",\"usage_percent_avg\":\"percent:2\"}','1.0','2021-05-28 11:54:55','2021-05-28 11:54:59',0),(1549,'平台组件异常退出','dice_component','dice_component_container_exit','dingding','alert','【平台组件{{component_name}}异常退出告警】\n','【平台组件异常退出告警】\n\n组件: {{component_name}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n启动时间: {{started_at_value}}\n\n退出时间: {{finished_at_value}}\n\n退出原因: {{terminated_reason_value}}\n\n时间: {{timestamp}}\n\n[查看详情]({{display_url}})\n','{\"finished_at_value\":\"date\",\"started_at_value\":\"date\"}','1.0','2021-05-28 11:54:55','2021-05-28 11:54:59',0),(1550,'平台组件异常退出','dice_component','dice_component_container_exit','ticket','alert','【平台组件{{component_name}}异常退出告警】\n','【平台组件异常退出告警】\n\n组件: {{component_name}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n启动时间: {{started_at_value}}\n\n退出时间: {{finished_at_value}}\n\n退出原因: {{terminated_reason_value}}\n\n时间: {{timestamp}}\n\n[查看详情]({{display_url}})\n','{\"finished_at_value\":\"date\",\"started_at_value\":\"date\"}','1.0','2021-05-28 11:54:55','2021-05-28 11:54:59',0),(1551,'平台组件异常退出','dice_component','dice_component_container_exit','email','alert','【平台组件{{component_name}}异常退出告警】\n','【平台组件异常退出告警】\n\n组件: {{component_name}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n启动时间: {{started_at_value}}\n\n退出时间: {{finished_at_value}}\n\n退出原因: {{terminated_reason_value}}\n\n时间: {{timestamp}}\n\n[查看详情]({{display_url}})\n','{\"finished_at_value\":\"date\",\"started_at_value\":\"date\"}','1.0','2021-05-28 11:54:55','2021-05-28 11:54:59',0),(1552,'平台组件异常退出','dice_component','dice_component_container_exit','mbox','alert','【平台组件{{component_name}}异常退出告警】\n','【平台组件异常退出告警】\n\n组件: {{component_name}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n启动时间: {{started_at_value}}\n\n退出时间: {{finished_at_value}}\n\n退出原因: {{terminated_reason_value}}\n\n时间: {{timestamp}}\n\n[查看详情]({{display_url}})\n','{\"finished_at_value\":\"date\",\"started_at_value\":\"date\"}','1.0','2021-05-28 11:54:55','2021-05-28 11:54:59',0),(1553,'平台组件异常退出','dice_component','dice_component_container_exit','webhook','alert','【平台组件{{component_name}}异常退出告警】\n','【平台组件异常退出告警】\n\n组件: {{component_name}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n启动时间: {{started_at_value}}\n\n退出时间: {{finished_at_value}}\n\n退出原因: {{terminated_reason_value}}\n\n时间: {{timestamp}}\n\n[查看详情]({{display_url}})\n','{\"finished_at_value\":\"date\",\"started_at_value\":\"date\"}','1.0','2021-05-28 11:54:55','2021-05-28 11:54:59',0),(1554,'平台组件异常退出','dice_component','dice_component_container_exit','dingding','recover','【平台组件{{component_name}}异常退出恢复】\n','【平台组件异常退出恢复】\n\n组件: {{component_name}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n','{\"trigger_duration\":\"time:ms\"}','1.0','2021-05-28 11:54:55','2021-05-28 11:54:59',0),(1555,'平台组件异常退出','dice_component','dice_component_container_exit','ticket','recover','【平台组件{{component_name}}异常退出恢复】\n','【平台组件异常退出恢复】\n\n组件: {{component_name}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n','{\"trigger_duration\":\"time:ms\"}','1.0','2021-05-28 11:54:55','2021-05-28 11:54:59',0),(1556,'平台组件异常退出','dice_component','dice_component_container_exit','email','recover','【平台组件{{component_name}}异常退出恢复】\n','【平台组件异常退出恢复】\n\n组件: {{component_name}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n','{\"trigger_duration\":\"time:ms\"}','1.0','2021-05-28 11:54:55','2021-05-28 11:54:59',0),(1557,'平台组件异常退出','dice_component','dice_component_container_exit','mbox','recover','【平台组件{{component_name}}异常退出恢复】\n','【平台组件异常退出恢复】\n\n组件: {{component_name}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n','{\"trigger_duration\":\"time:ms\"}','1.0','2021-05-28 11:54:55','2021-05-28 11:54:59',0),(1558,'平台组件异常退出','dice_component','dice_component_container_exit','webhook','recover','【平台组件{{component_name}}异常退出恢复】\n','【平台组件异常退出恢复】\n\n组件: {{component_name}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n','{\"trigger_duration\":\"time:ms\"}','1.0','2021-05-28 11:54:55','2021-05-28 11:54:59',0),(1559,'平台组件实例内存异常','dice_component','dice_component_container_mem','dingding','alert','【平台组件{{component_name}}内存使用率告警】\n','【平台组件内存使用率告警】\n\n组件: {{component_name}}\n\n使用率: {{usage_percent_avg}}\n\n使用: {{usage_value}}\n\n限制: {{limit_value}}\n\n分配: {{allocation_value}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n容器ID: {{container_id}}\n\n时间: {{timestamp}}\n','{\"allocation_value\":\"size:byte\",\"limit_value\":\"size:byte\",\"usage_percent_avg\":\"percent:2\",\"usage_value\":\"size:byte\"}','1.0','2021-05-28 11:54:55','2021-05-28 11:54:59',0),(1560,'平台组件实例内存异常','dice_component','dice_component_container_mem','ticket','alert','【平台组件{{component_name}}内存使用率告警】\n','【平台组件内存使用率告警】\n\n组件: {{component_name}}\n\n使用率: {{usage_percent_avg}}\n\n使用: {{usage_value}}\n\n限制: {{limit_value}}\n\n分配: {{allocation_value}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n容器ID: {{container_id}}\n\n时间: {{timestamp}}\n','{\"allocation_value\":\"size:byte\",\"limit_value\":\"size:byte\",\"usage_percent_avg\":\"percent:2\",\"usage_value\":\"size:byte\"}','1.0','2021-05-28 11:54:55','2021-05-28 11:54:59',0),(1561,'平台组件实例内存异常','dice_component','dice_component_container_mem','email','alert','【平台组件{{component_name}}内存使用率告警】\n','【平台组件内存使用率告警】\n\n组件: {{component_name}}\n\n使用率: {{usage_percent_avg}}\n\n使用: {{usage_value}}\n\n限制: {{limit_value}}\n\n分配: {{allocation_value}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n容器ID: {{container_id}}\n\n时间: {{timestamp}}\n','{\"allocation_value\":\"size:byte\",\"limit_value\":\"size:byte\",\"usage_percent_avg\":\"percent:2\",\"usage_value\":\"size:byte\"}','1.0','2021-05-28 11:54:55','2021-05-28 11:54:59',0),(1562,'平台组件实例内存异常','dice_component','dice_component_container_mem','mbox','alert','【平台组件{{component_name}}内存使用率告警】\n','【平台组件内存使用率告警】\n\n组件: {{component_name}}\n\n使用率: {{usage_percent_avg}}\n\n使用: {{usage_value}}\n\n限制: {{limit_value}}\n\n分配: {{allocation_value}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n容器ID: {{container_id}}\n\n时间: {{timestamp}}\n','{\"allocation_value\":\"size:byte\",\"limit_value\":\"size:byte\",\"usage_percent_avg\":\"percent:2\",\"usage_value\":\"size:byte\"}','1.0','2021-05-28 11:54:55','2021-05-28 11:54:59',0),(1563,'平台组件实例内存异常','dice_component','dice_component_container_mem','webhook','alert','【平台组件{{component_name}}内存使用率告警】\n','【平台组件内存使用率告警】\n\n组件: {{component_name}}\n\n使用率: {{usage_percent_avg}}\n\n使用: {{usage_value}}\n\n限制: {{limit_value}}\n\n分配: {{allocation_value}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n容器ID: {{container_id}}\n\n时间: {{timestamp}}\n','{\"allocation_value\":\"size:byte\",\"limit_value\":\"size:byte\",\"usage_percent_avg\":\"percent:2\",\"usage_value\":\"size:byte\"}','1.0','2021-05-28 11:54:55','2021-05-28 11:54:59',0),(1564,'平台组件实例内存异常','dice_component','dice_component_container_mem','dingding','recover','【平台组件{{component_name}}内存使用率恢复】\n','【平台组件内存使用率恢复】\n\n组件: {{component_name}}\n\n使用率: {{usage_percent_avg}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n容器ID: {{container_id}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n','{\"trigger_duration\":\"time:ms\",\"usage_percent_avg\":\"percent:2\"}','1.0','2021-05-28 11:54:55','2021-05-28 11:54:59',0),(1565,'平台组件实例内存异常','dice_component','dice_component_container_mem','ticket','recover','【平台组件{{component_name}}内存使用率恢复】\n','【平台组件内存使用率恢复】\n\n组件: {{component_name}}\n\n使用率: {{usage_percent_avg}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n容器ID: {{container_id}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n','{\"trigger_duration\":\"time:ms\",\"usage_percent_avg\":\"percent:2\"}','1.0','2021-05-28 11:54:55','2021-05-28 11:54:59',0),(1566,'平台组件实例内存异常','dice_component','dice_component_container_mem','email','recover','【平台组件{{component_name}}内存使用率恢复】\n','【平台组件内存使用率恢复】\n\n组件: {{component_name}}\n\n使用率: {{usage_percent_avg}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n容器ID: {{container_id}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n','{\"trigger_duration\":\"time:ms\",\"usage_percent_avg\":\"percent:2\"}','1.0','2021-05-28 11:54:55','2021-05-28 11:54:59',0),(1567,'平台组件实例内存异常','dice_component','dice_component_container_mem','mbox','recover','【平台组件{{component_name}}内存使用率恢复】\n','【平台组件内存使用率恢复】\n\n组件: {{component_name}}\n\n使用率: {{usage_percent_avg}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n容器ID: {{container_id}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n','{\"trigger_duration\":\"time:ms\",\"usage_percent_avg\":\"percent:2\"}','1.0','2021-05-28 11:54:55','2021-05-28 11:54:59',0),(1568,'平台组件实例内存异常','dice_component','dice_component_container_mem','webhook','recover','【平台组件{{component_name}}内存使用率恢复】\n','【平台组件内存使用率恢复】\n\n组件: {{component_name}}\n\n使用率: {{usage_percent_avg}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n容器ID: {{container_id}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n','{\"trigger_duration\":\"time:ms\",\"usage_percent_avg\":\"percent:2\"}','1.0','2021-05-28 11:54:55','2021-05-28 11:54:59',0),(1569,'平台组件实例Ready状态异常','dice_component','dice_component_container_ready','dingding','alert','【平台组件{{component_name}} Ready状态异常告警】\n','【平台组件Ready状态异常告警】\n\n组件: {{component_name}}\n\n未就绪实例: {{not_ready_value}}\n\n已就绪实例: {{ready_value}}\n\n集群: {{cluster_name}}\n\n时间: {{timestamp}}\n','','1.0','2021-05-28 11:54:55','2021-05-28 11:54:59',0),(1570,'平台组件实例Ready状态异常','dice_component','dice_component_container_ready','ticket','alert','【平台组件{{component_name}} Ready状态异常告警】\n','【平台组件Ready状态异常告警】\n\n组件: {{component_name}}\n\n未就绪实例: {{not_ready_value}}\n\n已就绪实例: {{ready_value}}\n\n集群: {{cluster_name}}\n\n时间: {{timestamp}}\n','','1.0','2021-05-28 11:54:55','2021-05-28 11:54:59',0),(1571,'平台组件实例Ready状态异常','dice_component','dice_component_container_ready','email','alert','【平台组件{{component_name}} Ready状态异常告警】\n','【平台组件Ready状态异常告警】\n\n组件: {{component_name}}\n\n未就绪实例: {{not_ready_value}}\n\n已就绪实例: {{ready_value}}\n\n集群: {{cluster_name}}\n\n时间: {{timestamp}}\n','','1.0','2021-05-28 11:54:55','2021-05-28 11:54:59',0),(1572,'平台组件实例Ready状态异常','dice_component','dice_component_container_ready','mbox','alert','【平台组件{{component_name}} Ready状态异常告警】\n','【平台组件Ready状态异常告警】\n\n组件: {{component_name}}\n\n未就绪实例: {{not_ready_value}}\n\n已就绪实例: {{ready_value}}\n\n集群: {{cluster_name}}\n\n时间: {{timestamp}}\n','','1.0','2021-05-28 11:54:55','2021-05-28 11:54:59',0),(1573,'平台组件实例Ready状态异常','dice_component','dice_component_container_ready','webhook','alert','【平台组件{{component_name}} Ready状态异常告警】\n','【平台组件Ready状态异常告警】\n\n组件: {{component_name}}\n\n未就绪实例: {{not_ready_value}}\n\n已就绪实例: {{ready_value}}\n\n集群: {{cluster_name}}\n\n时间: {{timestamp}}\n','','1.0','2021-05-28 11:54:55','2021-05-28 11:54:59',0),(1574,'平台组件实例Ready状态异常','dice_component','dice_component_container_ready','dingding','recover','【平台组件{{component_name}} Ready状态异常恢复】\n','【平台组件Ready状态异常恢复】\n\n组件: {{component_name}}\n\n已绪数实例: {{ready_value}}\n\n集群: {{cluster_name}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n','{\"trigger_duration\":\"time:ms\"}','1.0','2021-05-28 11:54:55','2021-05-28 11:54:59',0),(1575,'平台组件实例Ready状态异常','dice_component','dice_component_container_ready','ticket','recover','【平台组件{{component_name}} Ready状态异常恢复】\n','【平台组件Ready状态异常恢复】\n\n组件: {{component_name}}\n\n已绪数实例: {{ready_value}}\n\n集群: {{cluster_name}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n','{\"trigger_duration\":\"time:ms\"}','1.0','2021-05-28 11:54:55','2021-05-28 11:54:59',0),(1576,'平台组件实例Ready状态异常','dice_component','dice_component_container_ready','email','recover','【平台组件{{component_name}} Ready状态异常恢复】\n','【平台组件Ready状态异常恢复】\n\n组件: {{component_name}}\n\n已绪数实例: {{ready_value}}\n\n集群: {{cluster_name}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n','{\"trigger_duration\":\"time:ms\"}','1.0','2021-05-28 11:54:55','2021-05-28 11:54:59',0),(1577,'平台组件实例Ready状态异常','dice_component','dice_component_container_ready','mbox','recover','【平台组件{{component_name}} Ready状态异常恢复】\n','【平台组件Ready状态异常恢复】\n\n组件: {{component_name}}\n\n已绪数实例: {{ready_value}}\n\n集群: {{cluster_name}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n','{\"trigger_duration\":\"time:ms\"}','1.0','2021-05-28 11:54:55','2021-05-28 11:54:59',0),(1578,'平台组件实例Ready状态异常','dice_component','dice_component_container_ready','webhook','recover','【平台组件{{component_name}} Ready状态异常恢复】\n','【平台组件Ready状态异常恢复】\n\n组件: {{component_name}}\n\n已绪数实例: {{ready_value}}\n\n集群: {{cluster_name}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n','{\"trigger_duration\":\"time:ms\"}','1.0','2021-05-28 11:54:55','2021-05-28 11:54:59',0),(1579,'kubernetes组件实例CPU异常','kubernetes','kubernetes_instance_cpu','dingding','alert','【{{cluster_name}}集群kubernetes组件{{pod_name}} CPU使用率告警】\n','【kubernetes组件CPU使用率告警】\n\nPod: {{pod_name}}\n\n使用率: {{usage_percent_avg}}\n\n限制: {{limit_value}}核\n\n分配: {{allocation_value}}核\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n容器ID: {{container_id}}\n\n时间: {{timestamp}}\n','{\"allocation_value\":\"fraction:2\",\"limit_value\":\"fraction:2\",\"usage_percent_avg\":\"percent:2\"}','1.0','2021-05-28 11:54:55','2021-05-28 11:54:59',0),(1580,'kubernetes组件实例CPU异常','kubernetes','kubernetes_instance_cpu','ticket','alert','【{{cluster_name}}集群kubernetes组件{{pod_name}} CPU使用率告警】\n','【kubernetes组件CPU使用率告警】\n\nPod: {{pod_name}}\n\n使用率: {{usage_percent_avg}}\n\n限制: {{limit_value}}核\n\n分配: {{allocation_value}}核\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n容器ID: {{container_id}}\n\n时间: {{timestamp}}\n','{\"allocation_value\":\"fraction:2\",\"limit_value\":\"fraction:2\",\"usage_percent_avg\":\"percent:2\"}','1.0','2021-05-28 11:54:55','2021-05-28 11:54:59',0),(1581,'kubernetes组件实例CPU异常','kubernetes','kubernetes_instance_cpu','email','alert','【{{cluster_name}}集群kubernetes组件{{pod_name}} CPU使用率告警】\n','【kubernetes组件CPU使用率告警】\n\nPod: {{pod_name}}\n\n使用率: {{usage_percent_avg}}\n\n限制: {{limit_value}}核\n\n分配: {{allocation_value}}核\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n容器ID: {{container_id}}\n\n时间: {{timestamp}}\n','{\"allocation_value\":\"fraction:2\",\"limit_value\":\"fraction:2\",\"usage_percent_avg\":\"percent:2\"}','1.0','2021-05-28 11:54:55','2021-05-28 11:54:59',0),(1582,'kubernetes组件实例CPU异常','kubernetes','kubernetes_instance_cpu','mbox','alert','【{{cluster_name}}集群kubernetes组件{{pod_name}} CPU使用率告警】\n','【kubernetes组件CPU使用率告警】\n\nPod: {{pod_name}}\n\n使用率: {{usage_percent_avg}}\n\n限制: {{limit_value}}核\n\n分配: {{allocation_value}}核\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n容器ID: {{container_id}}\n\n时间: {{timestamp}}\n','{\"allocation_value\":\"fraction:2\",\"limit_value\":\"fraction:2\",\"usage_percent_avg\":\"percent:2\"}','1.0','2021-05-28 11:54:55','2021-05-28 11:54:59',0),(1583,'kubernetes组件实例CPU异常','kubernetes','kubernetes_instance_cpu','webhook','alert','【{{cluster_name}}集群kubernetes组件{{pod_name}} CPU使用率告警】\n','【kubernetes组件CPU使用率告警】\n\nPod: {{pod_name}}\n\n使用率: {{usage_percent_avg}}\n\n限制: {{limit_value}}核\n\n分配: {{allocation_value}}核\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n容器ID: {{container_id}}\n\n时间: {{timestamp}}\n','{\"allocation_value\":\"fraction:2\",\"limit_value\":\"fraction:2\",\"usage_percent_avg\":\"percent:2\"}','1.0','2021-05-28 11:54:55','2021-05-28 11:54:59',0),(1584,'kubernetes组件实例CPU异常','kubernetes','kubernetes_instance_cpu','dingding','recover','【{{cluster_name}}集群kubernetes组件{{pod_name}} CPU使用率恢复】\n','【kubernetes组件CPU使用率恢复】\n\nPod: {{pod_name}}\n\n使用率: {{usage_percent_avg}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n容器ID: {{container_id}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n','{\"trigger_duration\":\"time:ms\",\"usage_percent_avg\":\"percent:2\"}','1.0','2021-05-28 11:54:55','2021-05-28 11:54:59',0),(1585,'kubernetes组件实例CPU异常','kubernetes','kubernetes_instance_cpu','ticket','recover','【{{cluster_name}}集群kubernetes组件{{pod_name}} CPU使用率恢复】\n','【kubernetes组件CPU使用率恢复】\n\nPod: {{pod_name}}\n\n使用率: {{usage_percent_avg}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n容器ID: {{container_id}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n','{\"trigger_duration\":\"time:ms\",\"usage_percent_avg\":\"percent:2\"}','1.0','2021-05-28 11:54:55','2021-05-28 11:54:59',0),(1586,'kubernetes组件实例CPU异常','kubernetes','kubernetes_instance_cpu','email','recover','【{{cluster_name}}集群kubernetes组件{{pod_name}} CPU使用率恢复】\n','【kubernetes组件CPU使用率恢复】\n\nPod: {{pod_name}}\n\n使用率: {{usage_percent_avg}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n容器ID: {{container_id}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n','{\"trigger_duration\":\"time:ms\",\"usage_percent_avg\":\"percent:2\"}','1.0','2021-05-28 11:54:55','2021-05-28 11:54:59',0),(1587,'kubernetes组件实例CPU异常','kubernetes','kubernetes_instance_cpu','mbox','recover','【{{cluster_name}}集群kubernetes组件{{pod_name}} CPU使用率恢复】\n','【kubernetes组件CPU使用率恢复】\n\nPod: {{pod_name}}\n\n使用率: {{usage_percent_avg}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n容器ID: {{container_id}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n','{\"trigger_duration\":\"time:ms\",\"usage_percent_avg\":\"percent:2\"}','1.0','2021-05-28 11:54:55','2021-05-28 11:54:59',0),(1588,'kubernetes组件实例CPU异常','kubernetes','kubernetes_instance_cpu','webhook','recover','【{{cluster_name}}集群kubernetes组件{{pod_name}} CPU使用率恢复】\n','【kubernetes组件CPU使用率恢复】\n\nPod: {{pod_name}}\n\n使用率: {{usage_percent_avg}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n容器ID: {{container_id}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n','{\"trigger_duration\":\"time:ms\",\"usage_percent_avg\":\"percent:2\"}','1.0','2021-05-28 11:54:55','2021-05-28 11:54:59',0),(1589,'kubernetes组件异常退出','kubernetes','kubernetes_instance_exit','dingding','alert','【{{cluster_name}}集群kubernetes组件{{pod_name}}异常退出告警】\n','【kubernetes组件异常退出告警】\n\n组件: {{pod_name}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n启动时间: {{started_at_value}}\n\n退出时间: {{finished_at_value}}\n\n退出原因: {{terminated_reason_value}}\n\n时间: {{timestamp}}\n\n[查看详情]({{display_url}})\n','{\"finished_at_value\":\"date\",\"started_at_value\":\"date\"}','1.0','2021-05-28 11:54:55','2021-05-28 11:54:59',0),(1590,'kubernetes组件异常退出','kubernetes','kubernetes_instance_exit','ticket','alert','【{{cluster_name}}集群kubernetes组件{{pod_name}}异常退出告警】\n','【kubernetes组件异常退出告警】\n\n组件: {{pod_name}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n启动时间: {{started_at_value}}\n\n退出时间: {{finished_at_value}}\n\n退出原因: {{terminated_reason_value}}\n\n时间: {{timestamp}}\n\n[查看详情]({{display_url}})\n','{\"finished_at_value\":\"date\",\"started_at_value\":\"date\"}','1.0','2021-05-28 11:54:55','2021-05-28 11:54:59',0),(1591,'kubernetes组件异常退出','kubernetes','kubernetes_instance_exit','email','alert','【{{cluster_name}}集群kubernetes组件{{pod_name}}异常退出告警】\n','【kubernetes组件异常退出告警】\n\n组件: {{pod_name}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n启动时间: {{started_at_value}}\n\n退出时间: {{finished_at_value}}\n\n退出原因: {{terminated_reason_value}}\n\n时间: {{timestamp}}\n\n[查看详情]({{display_url}})\n','{\"finished_at_value\":\"date\",\"started_at_value\":\"date\"}','1.0','2021-05-28 11:54:55','2021-05-28 11:54:59',0),(1592,'kubernetes组件异常退出','kubernetes','kubernetes_instance_exit','mbox','alert','【{{cluster_name}}集群kubernetes组件{{pod_name}}异常退出告警】\n','【kubernetes组件异常退出告警】\n\n组件: {{pod_name}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n启动时间: {{started_at_value}}\n\n退出时间: {{finished_at_value}}\n\n退出原因: {{terminated_reason_value}}\n\n时间: {{timestamp}}\n\n[查看详情]({{display_url}})\n','{\"finished_at_value\":\"date\",\"started_at_value\":\"date\"}','1.0','2021-05-28 11:54:55','2021-05-28 11:54:59',0),(1593,'kubernetes组件异常退出','kubernetes','kubernetes_instance_exit','webhook','alert','【{{cluster_name}}集群kubernetes组件{{pod_name}}异常退出告警】\n','【kubernetes组件异常退出告警】\n\n组件: {{pod_name}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n启动时间: {{started_at_value}}\n\n退出时间: {{finished_at_value}}\n\n退出原因: {{terminated_reason_value}}\n\n时间: {{timestamp}}\n\n[查看详情]({{display_url}})\n','{\"finished_at_value\":\"date\",\"started_at_value\":\"date\"}','1.0','2021-05-28 11:54:55','2021-05-28 11:54:59',0),(1594,'kubernetes组件异常退出','kubernetes','kubernetes_instance_exit','dingding','recover','【{{cluster_name}}集群kubernetes组件{{pod_name}}异常退出恢复】\n','【kubernetes组件异常退出恢复】\n\n组件: {{pod_name}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n','{\"trigger_duration\":\"time:ms\"}','1.0','2021-05-28 11:54:55','2021-05-28 11:54:59',0),(1595,'kubernetes组件异常退出','kubernetes','kubernetes_instance_exit','ticket','recover','【{{cluster_name}}集群kubernetes组件{{pod_name}}异常退出恢复】\n','【kubernetes组件异常退出恢复】\n\n组件: {{pod_name}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n','{\"trigger_duration\":\"time:ms\"}','1.0','2021-05-28 11:54:55','2021-05-28 11:54:59',0),(1596,'kubernetes组件异常退出','kubernetes','kubernetes_instance_exit','email','recover','【{{cluster_name}}集群kubernetes组件{{pod_name}}异常退出恢复】\n','【kubernetes组件异常退出恢复】\n\n组件: {{pod_name}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n','{\"trigger_duration\":\"time:ms\"}','1.0','2021-05-28 11:54:55','2021-05-28 11:54:59',0),(1597,'kubernetes组件异常退出','kubernetes','kubernetes_instance_exit','mbox','recover','【{{cluster_name}}集群kubernetes组件{{pod_name}}异常退出恢复】\n','【kubernetes组件异常退出恢复】\n\n组件: {{pod_name}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n','{\"trigger_duration\":\"time:ms\"}','1.0','2021-05-28 11:54:55','2021-05-28 11:54:59',0),(1598,'kubernetes组件异常退出','kubernetes','kubernetes_instance_exit','webhook','recover','【{{cluster_name}}集群kubernetes组件{{pod_name}}异常退出恢复】\n','【kubernetes组件异常退出恢复】\n\n组件: {{pod_name}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n','{\"trigger_duration\":\"time:ms\"}','1.0','2021-05-28 11:54:55','2021-05-28 11:54:59',0),(1599,'kubernetes组件实例内存异常','kubernetes','kubernetes_instance_mem','dingding','alert','【{{cluster_name}}集群kubernetes组件{{pod_name}}内存使用率告警】\n','【kubernetes组件内存使用率告警】\n\nPod: {{pod_name}}\n\n使用率: {{usage_percent_avg}}\n\n使用: {{usage_value}}\n\n限制: {{limit_value}}\n\n分配: {{allocation_value}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n容器ID: {{container_id}}\n\n时间: {{timestamp}}\n','{\"allocation_value\":\"size:byte\",\"limit_value\":\"size:byte\",\"usage_percent_avg\":\"percent:2\",\"usage_value\":\"size:byte\"}','1.0','2021-05-28 11:54:55','2021-05-28 11:54:59',0),(1600,'kubernetes组件实例内存异常','kubernetes','kubernetes_instance_mem','ticket','alert','【{{cluster_name}}集群kubernetes组件{{pod_name}}内存使用率告警】\n','【kubernetes组件内存使用率告警】\n\nPod: {{pod_name}}\n\n使用率: {{usage_percent_avg}}\n\n使用: {{usage_value}}\n\n限制: {{limit_value}}\n\n分配: {{allocation_value}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n容器ID: {{container_id}}\n\n时间: {{timestamp}}\n','{\"allocation_value\":\"size:byte\",\"limit_value\":\"size:byte\",\"usage_percent_avg\":\"percent:2\",\"usage_value\":\"size:byte\"}','1.0','2021-05-28 11:54:55','2021-05-28 11:54:59',0),(1601,'kubernetes组件实例内存异常','kubernetes','kubernetes_instance_mem','email','alert','【{{cluster_name}}集群kubernetes组件{{pod_name}}内存使用率告警】\n','【kubernetes组件内存使用率告警】\n\nPod: {{pod_name}}\n\n使用率: {{usage_percent_avg}}\n\n使用: {{usage_value}}\n\n限制: {{limit_value}}\n\n分配: {{allocation_value}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n容器ID: {{container_id}}\n\n时间: {{timestamp}}\n','{\"allocation_value\":\"size:byte\",\"limit_value\":\"size:byte\",\"usage_percent_avg\":\"percent:2\",\"usage_value\":\"size:byte\"}','1.0','2021-05-28 11:54:55','2021-05-28 11:54:59',0),(1602,'kubernetes组件实例内存异常','kubernetes','kubernetes_instance_mem','mbox','alert','【{{cluster_name}}集群kubernetes组件{{pod_name}}内存使用率告警】\n','【kubernetes组件内存使用率告警】\n\nPod: {{pod_name}}\n\n使用率: {{usage_percent_avg}}\n\n使用: {{usage_value}}\n\n限制: {{limit_value}}\n\n分配: {{allocation_value}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n容器ID: {{container_id}}\n\n时间: {{timestamp}}\n','{\"allocation_value\":\"size:byte\",\"limit_value\":\"size:byte\",\"usage_percent_avg\":\"percent:2\",\"usage_value\":\"size:byte\"}','1.0','2021-05-28 11:54:55','2021-05-28 11:54:59',0),(1603,'kubernetes组件实例内存异常','kubernetes','kubernetes_instance_mem','webhook','alert','【{{cluster_name}}集群kubernetes组件{{pod_name}}内存使用率告警】\n','【kubernetes组件内存使用率告警】\n\nPod: {{pod_name}}\n\n使用率: {{usage_percent_avg}}\n\n使用: {{usage_value}}\n\n限制: {{limit_value}}\n\n分配: {{allocation_value}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n容器ID: {{container_id}}\n\n时间: {{timestamp}}\n','{\"allocation_value\":\"size:byte\",\"limit_value\":\"size:byte\",\"usage_percent_avg\":\"percent:2\",\"usage_value\":\"size:byte\"}','1.0','2021-05-28 11:54:55','2021-05-28 11:54:59',0),(1604,'kubernetes组件实例内存异常','kubernetes','kubernetes_instance_mem','dingding','recover','【{{cluster_name}}集群kubernetes组件{{pod_name}}内存使用率恢复】\n','【kubernetes组件内存使用率恢复】\n\nPod: {{pod_name}}\n\n使用率: {{usage_percent_avg}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n容器ID: {{container_id}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n','{\"trigger_duration\":\"time:ms\",\"usage_percent_avg\":\"percent:2\"}','1.0','2021-05-28 11:54:55','2021-05-28 11:54:59',0),(1605,'kubernetes组件实例内存异常','kubernetes','kubernetes_instance_mem','ticket','recover','【{{cluster_name}}集群kubernetes组件{{pod_name}}内存使用率恢复】\n','【kubernetes组件内存使用率恢复】\n\nPod: {{pod_name}}\n\n使用率: {{usage_percent_avg}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n容器ID: {{container_id}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n','{\"trigger_duration\":\"time:ms\",\"usage_percent_avg\":\"percent:2\"}','1.0','2021-05-28 11:54:55','2021-05-28 11:54:59',0),(1606,'kubernetes组件实例内存异常','kubernetes','kubernetes_instance_mem','email','recover','【{{cluster_name}}集群kubernetes组件{{pod_name}}内存使用率恢复】\n','【kubernetes组件内存使用率恢复】\n\nPod: {{pod_name}}\n\n使用率: {{usage_percent_avg}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n容器ID: {{container_id}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n','{\"trigger_duration\":\"time:ms\",\"usage_percent_avg\":\"percent:2\"}','1.0','2021-05-28 11:54:55','2021-05-28 11:54:59',0),(1607,'kubernetes组件实例内存异常','kubernetes','kubernetes_instance_mem','mbox','recover','【{{cluster_name}}集群kubernetes组件{{pod_name}}内存使用率恢复】\n','【kubernetes组件内存使用率恢复】\n\nPod: {{pod_name}}\n\n使用率: {{usage_percent_avg}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n容器ID: {{container_id}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n','{\"trigger_duration\":\"time:ms\",\"usage_percent_avg\":\"percent:2\"}','1.0','2021-05-28 11:54:55','2021-05-28 11:54:59',0),(1608,'kubernetes组件实例内存异常','kubernetes','kubernetes_instance_mem','webhook','recover','【{{cluster_name}}集群kubernetes组件{{pod_name}}内存使用率恢复】\n','【kubernetes组件内存使用率恢复】\n\nPod: {{pod_name}}\n\n使用率: {{usage_percent_avg}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n容器ID: {{container_id}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n','{\"trigger_duration\":\"time:ms\",\"usage_percent_avg\":\"percent:2\"}','1.0','2021-05-28 11:54:55','2021-05-28 11:54:59',0),(1609,'kubernetes组件实例Ready状态异常','kubernetes','kubernetes_instance_ready','dingding','alert','【{{cluster_name}}集群kubernetes组件{{resource_name_value}} Ready状态告警】\n','【kubernetes组件Ready状态告警】\n\n组件: {{resource_name_value}}\n\n未就绪实例: {{not_ready_value}}\n\n已就绪实例: {{ready_value}}\n\n集群: {{cluster_name}}\n\n时间: {{timestamp}}\n','','1.0','2021-05-28 11:54:55','2021-05-28 11:54:59',0),(1610,'kubernetes组件实例Ready状态异常','kubernetes','kubernetes_instance_ready','ticket','alert','【{{cluster_name}}集群kubernetes组件{{resource_name_value}} Ready状态告警】\n','【kubernetes组件Ready状态告警】\n\n组件: {{resource_name_value}}\n\n未就绪实例: {{not_ready_value}}\n\n已就绪实例: {{ready_value}}\n\n集群: {{cluster_name}}\n\n时间: {{timestamp}}\n','','1.0','2021-05-28 11:54:55','2021-05-28 11:54:59',0),(1611,'kubernetes组件实例Ready状态异常','kubernetes','kubernetes_instance_ready','email','alert','【{{cluster_name}}集群kubernetes组件{{resource_name_value}} Ready状态告警】\n','【kubernetes组件Ready状态告警】\n\n组件: {{resource_name_value}}\n\n未就绪实例: {{not_ready_value}}\n\n已就绪实例: {{ready_value}}\n\n集群: {{cluster_name}}\n\n时间: {{timestamp}}\n','','1.0','2021-05-28 11:54:55','2021-05-28 11:54:59',0),(1612,'kubernetes组件实例Ready状态异常','kubernetes','kubernetes_instance_ready','mbox','alert','【{{cluster_name}}集群kubernetes组件{{resource_name_value}} Ready状态告警】\n','【kubernetes组件Ready状态告警】\n\n组件: {{resource_name_value}}\n\n未就绪实例: {{not_ready_value}}\n\n已就绪实例: {{ready_value}}\n\n集群: {{cluster_name}}\n\n时间: {{timestamp}}\n','','1.0','2021-05-28 11:54:55','2021-05-28 11:54:59',0),(1613,'kubernetes组件实例Ready状态异常','kubernetes','kubernetes_instance_ready','webhook','alert','【{{cluster_name}}集群kubernetes组件{{resource_name_value}} Ready状态告警】\n','【kubernetes组件Ready状态告警】\n\n组件: {{resource_name_value}}\n\n未就绪实例: {{not_ready_value}}\n\n已就绪实例: {{ready_value}}\n\n集群: {{cluster_name}}\n\n时间: {{timestamp}}\n','','1.0','2021-05-28 11:54:55','2021-05-28 11:54:59',0),(1614,'kubernetes组件实例Ready状态异常','kubernetes','kubernetes_instance_ready','dingding','recover','【{{cluster_name}}集群kubernetes组件{{resource_name_value}} Ready状态恢复】\n','【kubernetes组件Ready状态恢复】\n\n组件: {{resource_name_value}}\n\n集群: {{cluster_name}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n','{\"trigger_duration\":\"time:ms\"}','1.0','2021-05-28 11:54:55','2021-05-28 11:54:59',0),(1615,'kubernetes组件实例Ready状态异常','kubernetes','kubernetes_instance_ready','ticket','recover','【{{cluster_name}}集群kubernetes组件{{resource_name_value}} Ready状态恢复】\n','【kubernetes组件Ready状态恢复】\n\n组件: {{resource_name_value}}\n\n集群: {{cluster_name}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n','{\"trigger_duration\":\"time:ms\"}','1.0','2021-05-28 11:54:55','2021-05-28 11:54:59',0),(1616,'kubernetes组件实例Ready状态异常','kubernetes','kubernetes_instance_ready','email','recover','【{{cluster_name}}集群kubernetes组件{{resource_name_value}} Ready状态恢复】\n','【kubernetes组件Ready状态恢复】\n\n组件: {{resource_name_value}}\n\n集群: {{cluster_name}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n','{\"trigger_duration\":\"time:ms\"}','1.0','2021-05-28 11:54:55','2021-05-28 11:54:59',0),(1617,'kubernetes组件实例Ready状态异常','kubernetes','kubernetes_instance_ready','mbox','recover','【{{cluster_name}}集群kubernetes组件{{resource_name_value}} Ready状态恢复】\n','【kubernetes组件Ready状态恢复】\n\n组件: {{resource_name_value}}\n\n集群: {{cluster_name}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n','{\"trigger_duration\":\"time:ms\"}','1.0','2021-05-28 11:54:55','2021-05-28 11:54:59',0),(1618,'kubernetes组件实例Ready状态异常','kubernetes','kubernetes_instance_ready','webhook','recover','【{{cluster_name}}集群kubernetes组件{{resource_name_value}} Ready状态恢复】\n','【kubernetes组件Ready状态恢复】\n\n组件: {{resource_name_value}}\n\n集群: {{cluster_name}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n','{\"trigger_duration\":\"time:ms\"}','1.0','2021-05-28 11:54:55','2021-05-28 11:54:59',0),(1619,'kubernetes节点异常','kubernetes','kubernetes_node','dingding','alert','【{{cluster_name}}集群kubernetes节点{{node_name}}节点异常告警】\n','【kubernetes节点状态异常告警】\n\n集群: {{cluster_name}}\n\n机器: {{node_name}}\n\n已分配Pod数: {{allocatable_pods_value}}\n\n最大Pod数: {{capacity_pods_value}}\n\n已分配CPU核数: {{allocatable_cpu_cores_value}}\n\n最大CPU核数: {{capacity_cpu_cores_value}}\n\n已分配内存: {{allocatable_memory_bytes_value}}\n\n最大内存: {{capacity_memory_bytes_value}}\n\n时间: {{timestamp}}\n','{\"allocatable_memory_bytes_value\":\"size:byte\",\"capacity_memory_bytes_value\":\"size:byte\"}','1.0','2021-05-28 11:54:55','2021-05-28 11:54:59',0),(1620,'kubernetes节点异常','kubernetes','kubernetes_node','ticket','alert','【{{cluster_name}}集群kubernetes节点{{node_name}}节点异常告警】\n','【kubernetes节点状态异常告警】\n\n集群: {{cluster_name}}\n\n机器: {{node_name}}\n\n已分配Pod数: {{allocatable_pods_value}}\n\n最大Pod数: {{capacity_pods_value}}\n\n已分配CPU核数: {{allocatable_cpu_cores_value}}\n\n最大CPU核数: {{capacity_cpu_cores_value}}\n\n已分配内存: {{allocatable_memory_bytes_value}}\n\n最大内存: {{capacity_memory_bytes_value}}\n\n时间: {{timestamp}}\n','{\"allocatable_memory_bytes_value\":\"size:byte\",\"capacity_memory_bytes_value\":\"size:byte\"}','1.0','2021-05-28 11:54:55','2021-05-28 11:54:59',0),(1621,'kubernetes节点异常','kubernetes','kubernetes_node','email','alert','【{{cluster_name}}集群kubernetes节点{{node_name}}节点异常告警】\n','【kubernetes节点状态异常告警】\n\n集群: {{cluster_name}}\n\n机器: {{node_name}}\n\n已分配Pod数: {{allocatable_pods_value}}\n\n最大Pod数: {{capacity_pods_value}}\n\n已分配CPU核数: {{allocatable_cpu_cores_value}}\n\n最大CPU核数: {{capacity_cpu_cores_value}}\n\n已分配内存: {{allocatable_memory_bytes_value}}\n\n最大内存: {{capacity_memory_bytes_value}}\n\n时间: {{timestamp}}\n','{\"allocatable_memory_bytes_value\":\"size:byte\",\"capacity_memory_bytes_value\":\"size:byte\"}','1.0','2021-05-28 11:54:55','2021-05-28 11:54:59',0),(1622,'kubernetes节点异常','kubernetes','kubernetes_node','mbox','alert','【{{cluster_name}}集群kubernetes节点{{node_name}}节点异常告警】\n','【kubernetes节点状态异常告警】\n\n集群: {{cluster_name}}\n\n机器: {{node_name}}\n\n已分配Pod数: {{allocatable_pods_value}}\n\n最大Pod数: {{capacity_pods_value}}\n\n已分配CPU核数: {{allocatable_cpu_cores_value}}\n\n最大CPU核数: {{capacity_cpu_cores_value}}\n\n已分配内存: {{allocatable_memory_bytes_value}}\n\n最大内存: {{capacity_memory_bytes_value}}\n\n时间: {{timestamp}}\n','{\"allocatable_memory_bytes_value\":\"size:byte\",\"capacity_memory_bytes_value\":\"size:byte\"}','1.0','2021-05-28 11:54:55','2021-05-28 11:54:59',0),(1623,'kubernetes节点异常','kubernetes','kubernetes_node','webhook','alert','【{{cluster_name}}集群kubernetes节点{{node_name}}节点异常告警】\n','【kubernetes节点状态异常告警】\n\n集群: {{cluster_name}}\n\n机器: {{node_name}}\n\n已分配Pod数: {{allocatable_pods_value}}\n\n最大Pod数: {{capacity_pods_value}}\n\n已分配CPU核数: {{allocatable_cpu_cores_value}}\n\n最大CPU核数: {{capacity_cpu_cores_value}}\n\n已分配内存: {{allocatable_memory_bytes_value}}\n\n最大内存: {{capacity_memory_bytes_value}}\n\n时间: {{timestamp}}\n','{\"allocatable_memory_bytes_value\":\"size:byte\",\"capacity_memory_bytes_value\":\"size:byte\"}','1.0','2021-05-28 11:54:55','2021-05-28 11:54:59',0),(1624,'kubernetes节点异常','kubernetes','kubernetes_node','dingding','recover','【{{cluster_name}}集群kubernetes节点{{node_name}}节点异常恢复】\n','【kubernetes节点状态异常恢复】\n\n集群: {{cluster_name}}\n\n机器: {{node_name}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n','{\"trigger_duration\":\"time:ms\"}','1.0','2021-05-28 11:54:55','2021-05-28 11:54:59',0),(1625,'kubernetes节点异常','kubernetes','kubernetes_node','ticket','recover','【{{cluster_name}}集群kubernetes节点{{node_name}}节点异常恢复】\n','【kubernetes节点状态异常恢复】\n\n集群: {{cluster_name}}\n\n机器: {{node_name}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n','{\"trigger_duration\":\"time:ms\"}','1.0','2021-05-28 11:54:55','2021-05-28 11:54:59',0),(1626,'kubernetes节点异常','kubernetes','kubernetes_node','email','recover','【{{cluster_name}}集群kubernetes节点{{node_name}}节点异常恢复】\n','【kubernetes节点状态异常恢复】\n\n集群: {{cluster_name}}\n\n机器: {{node_name}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n','{\"trigger_duration\":\"time:ms\"}','1.0','2021-05-28 11:54:55','2021-05-28 11:54:59',0),(1627,'kubernetes节点异常','kubernetes','kubernetes_node','mbox','recover','【{{cluster_name}}集群kubernetes节点{{node_name}}节点异常恢复】\n','【kubernetes节点状态异常恢复】\n\n集群: {{cluster_name}}\n\n机器: {{node_name}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n','{\"trigger_duration\":\"time:ms\"}','1.0','2021-05-28 11:54:55','2021-05-28 11:54:59',0),(1628,'kubernetes节点异常','kubernetes','kubernetes_node','webhook','recover','【{{cluster_name}}集群kubernetes节点{{node_name}}节点异常恢复】\n','【kubernetes节点状态异常恢复】\n\n集群: {{cluster_name}}\n\n机器: {{node_name}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n','{\"trigger_duration\":\"time:ms\"}','1.0','2021-05-28 11:54:55','2021-05-28 11:54:59',0),(1629,'机器CPU异常告警','machine','machine_cpu','dingding','alert','【{{cluster_name}}集群机器{{host_ip}} CPU使用率异常告警】','【机器CPU使用率异常告警】\n\nCPU平均使用率: {{usage_active_avg}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n时间: {{timestamp}}\n\n[查看详情]({{display_url}})\n','{\"usage_active_avg\":\"percent:2\"}','1.0','2021-05-28 11:54:55','2021-05-28 11:54:59',0),(1630,'机器CPU异常告警','machine','machine_cpu','ticket','alert','【{{cluster_name}}集群机器{{host_ip}} CPU使用率异常告警】','【机器CPU使用率异常告警】\n\nCPU平均使用率: {{usage_active_avg}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n时间: {{timestamp}}\n\n[查看详情]({{display_url}})\n','{\"usage_active_avg\":\"percent:2\"}','1.0','2021-05-28 11:54:55','2021-05-28 11:54:59',0),(1631,'机器CPU异常告警','machine','machine_cpu','email','alert','【{{cluster_name}}集群机器{{host_ip}} CPU使用率异常告警】','【机器CPU使用率异常告警】\n\nCPU平均使用率: {{usage_active_avg}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n时间: {{timestamp}}\n\n[查看详情]({{display_url}})\n','{\"usage_active_avg\":\"percent:2\"}','1.0','2021-05-28 11:54:55','2021-05-28 11:54:59',0),(1632,'机器CPU异常告警','machine','machine_cpu','mbox','alert','【{{cluster_name}}集群机器{{host_ip}} CPU使用率异常告警】','【机器CPU使用率异常告警】\n\nCPU平均使用率: {{usage_active_avg}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n时间: {{timestamp}}\n\n[查看详情]({{display_url}})\n','{\"usage_active_avg\":\"percent:2\"}','1.0','2021-05-28 11:54:55','2021-05-28 11:54:59',0),(1633,'机器CPU异常告警','machine','machine_cpu','webhook','alert','【{{cluster_name}}集群机器{{host_ip}} CPU使用率异常告警】','【机器CPU使用率异常告警】\n\nCPU平均使用率: {{usage_active_avg}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n时间: {{timestamp}}\n\n[查看详情]({{display_url}})\n','{\"usage_active_avg\":\"percent:2\"}','1.0','2021-05-28 11:54:55','2021-05-28 11:54:59',0),(1634,'机器CPU异常恢复','machine','machine_cpu','dingding','recover','【{{cluster_name}}集群机器{{host_ip}} CPU使用率异常恢复】','【机器CPU使用率异常恢复】\n\nCPU平均使用率: {{usage_active_avg}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}','{\"trigger_duration\":\"time:ms\",\"usage_active_avg\":\"percent:2\"}','1.0','2021-05-28 11:54:55','2021-05-28 11:54:59',0),(1635,'机器CPU异常恢复','machine','machine_cpu','ticket','recover','【{{cluster_name}}集群机器{{host_ip}} CPU使用率异常恢复】','【机器CPU使用率异常恢复】\n\nCPU平均使用率: {{usage_active_avg}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}','{\"trigger_duration\":\"time:ms\",\"usage_active_avg\":\"percent:2\"}','1.0','2021-05-28 11:54:55','2021-05-28 11:54:59',0),(1636,'机器CPU异常恢复','machine','machine_cpu','email','recover','【{{cluster_name}}集群机器{{host_ip}} CPU使用率异常恢复】','【机器CPU使用率异常恢复】\n\nCPU平均使用率: {{usage_active_avg}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}','{\"trigger_duration\":\"time:ms\",\"usage_active_avg\":\"percent:2\"}','1.0','2021-05-28 11:54:55','2021-05-28 11:54:59',0),(1637,'机器CPU异常恢复','machine','machine_cpu','mbox','recover','【{{cluster_name}}集群机器{{host_ip}} CPU使用率异常恢复】','【机器CPU使用率异常恢复】\n\nCPU平均使用率: {{usage_active_avg}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}','{\"trigger_duration\":\"time:ms\",\"usage_active_avg\":\"percent:2\"}','1.0','2021-05-28 11:54:55','2021-05-28 11:54:59',0),(1638,'机器CPU异常恢复','machine','machine_cpu','webhook','recover','【{{cluster_name}}集群机器{{host_ip}} CPU使用率异常恢复】','【机器CPU使用率异常恢复】\n\nCPU平均使用率: {{usage_active_avg}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}','{\"trigger_duration\":\"time:ms\",\"usage_active_avg\":\"percent:2\"}','1.0','2021-05-28 11:54:55','2021-05-28 11:54:59',0),(1639,'磁盘容量异常告警','machine','machine_disk','dingding','alert','【{{cluster_name}}集群机器{{host_ip}}磁盘使用率异常告警】','【磁盘使用率异常告警】\n\n使用率: {{used_percent_value}}\n\n容量: {{total_value}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n时间: {{timestamp}}\n\n[查看详情]({{display_url}})\n','{\"total_value\":\"size:byte\",\"used_percent_value\":\"percent:2\"}','1.0','2021-05-28 11:54:55','2021-05-28 11:54:59',0),(1640,'磁盘容量异常告警','machine','machine_disk','ticket','alert','【{{cluster_name}}集群机器{{host_ip}}磁盘使用率异常告警】','【磁盘使用率异常告警】\n\n使用率: {{used_percent_value}}\n\n容量: {{total_value}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n时间: {{timestamp}}\n\n[查看详情]({{display_url}})\n','{\"total_value\":\"size:byte\",\"used_percent_value\":\"percent:2\"}','1.0','2021-05-28 11:54:55','2021-05-28 11:54:59',0),(1641,'磁盘容量异常告警','machine','machine_disk','email','alert','【{{cluster_name}}集群机器{{host_ip}}磁盘使用率异常告警】','【磁盘使用率异常告警】\n\n使用率: {{used_percent_value}}\n\n容量: {{total_value}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n时间: {{timestamp}}\n\n[查看详情]({{display_url}})\n','{\"total_value\":\"size:byte\",\"used_percent_value\":\"percent:2\"}','1.0','2021-05-28 11:54:55','2021-05-28 11:54:59',0),(1642,'磁盘容量异常告警','machine','machine_disk','mbox','alert','【{{cluster_name}}集群机器{{host_ip}}磁盘使用率异常告警】','【磁盘使用率异常告警】\n\n使用率: {{used_percent_value}}\n\n容量: {{total_value}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n时间: {{timestamp}}\n\n[查看详情]({{display_url}})\n','{\"total_value\":\"size:byte\",\"used_percent_value\":\"percent:2\"}','1.0','2021-05-28 11:54:55','2021-05-28 11:54:59',0),(1643,'磁盘容量异常告警','machine','machine_disk','webhook','alert','【{{cluster_name}}集群机器{{host_ip}}磁盘使用率异常告警】','【磁盘使用率异常告警】\n\n使用率: {{used_percent_value}}\n\n容量: {{total_value}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n时间: {{timestamp}}\n\n[查看详情]({{display_url}})\n','{\"total_value\":\"size:byte\",\"used_percent_value\":\"percent:2\"}','1.0','2021-05-28 11:54:55','2021-05-28 11:54:59',0),(1644,'磁盘容量异常恢复','machine','machine_disk','dingding','recover','【{{cluster_name}}集群机器{{host_ip}}磁盘使用率异常恢复】','【磁盘使用率异常恢复】\n\n使用率: {{used_percent_value}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}','{\"trigger_duration\":\"time:ms\",\"used_percent_value\":\"percent:2\"}','1.0','2021-05-28 11:54:55','2021-05-28 11:54:59',0),(1645,'磁盘容量异常恢复','machine','machine_disk','ticket','recover','【{{cluster_name}}集群机器{{host_ip}}磁盘使用率异常恢复】','【磁盘使用率异常恢复】\n\n使用率: {{used_percent_value}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}','{\"trigger_duration\":\"time:ms\",\"used_percent_value\":\"percent:2\"}','1.0','2021-05-28 11:54:55','2021-05-28 11:54:59',0),(1646,'磁盘容量异常恢复','machine','machine_disk','email','recover','【{{cluster_name}}集群机器{{host_ip}}磁盘使用率异常恢复】','【磁盘使用率异常恢复】\n\n使用率: {{used_percent_value}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}','{\"trigger_duration\":\"time:ms\",\"used_percent_value\":\"percent:2\"}','1.0','2021-05-28 11:54:55','2021-05-28 11:54:59',0),(1647,'磁盘容量异常恢复','machine','machine_disk','mbox','recover','【{{cluster_name}}集群机器{{host_ip}}磁盘使用率异常恢复】','【磁盘使用率异常恢复】\n\n使用率: {{used_percent_value}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}','{\"trigger_duration\":\"time:ms\",\"used_percent_value\":\"percent:2\"}','1.0','2021-05-28 11:54:55','2021-05-28 11:54:59',0),(1648,'磁盘容量异常恢复','machine','machine_disk','webhook','recover','【{{cluster_name}}集群机器{{host_ip}}磁盘使用率异常恢复】','【磁盘使用率异常恢复】\n\n使用率: {{used_percent_value}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}','{\"trigger_duration\":\"time:ms\",\"used_percent_value\":\"percent:2\"}','1.0','2021-05-28 11:54:55','2021-05-28 11:54:59',0),(1649,'磁盘IO异常告警','machine','machine_disk_util','dingding','alert','【{{cluster_name}}集群机器{{host_ip}}磁盘IO操作百分比异常告警】','【磁盘IO操作百分比异常告警】\n\nIO操作百分比: {{pct_util_p75}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n时间: {{timestamp}}\n','{\"pct_util_p75\":\"percent:2\"}','1.0','2021-05-28 11:54:55','2021-05-28 11:54:59',0),(1650,'磁盘IO异常告警','machine','machine_disk_util','ticket','alert','【{{cluster_name}}集群机器{{host_ip}}磁盘IO操作百分比异常告警】','【磁盘IO操作百分比异常告警】\n\nIO操作百分比: {{pct_util_p75}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n时间: {{timestamp}}\n','{\"pct_util_p75\":\"percent:2\"}','1.0','2021-05-28 11:54:55','2021-05-28 11:54:59',0),(1651,'磁盘IO异常告警','machine','machine_disk_util','email','alert','【{{cluster_name}}集群机器{{host_ip}}磁盘IO操作百分比异常告警】','【磁盘IO操作百分比异常告警】\n\nIO操作百分比: {{pct_util_p75}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n时间: {{timestamp}}\n','{\"pct_util_p75\":\"percent:2\"}','1.0','2021-05-28 11:54:55','2021-05-28 11:54:59',0),(1652,'磁盘IO异常告警','machine','machine_disk_util','mbox','alert','【{{cluster_name}}集群机器{{host_ip}}磁盘IO操作百分比异常告警】','【磁盘IO操作百分比异常告警】\n\nIO操作百分比: {{pct_util_p75}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n时间: {{timestamp}}\n','{\"pct_util_p75\":\"percent:2\"}','1.0','2021-05-28 11:54:55','2021-05-28 11:54:59',0),(1653,'磁盘IO异常告警','machine','machine_disk_util','webhook','alert','【{{cluster_name}}集群机器{{host_ip}}磁盘IO操作百分比异常告警】','【磁盘IO操作百分比异常告警】\n\nIO操作百分比: {{pct_util_p75}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n时间: {{timestamp}}\n','{\"pct_util_p75\":\"percent:2\"}','1.0','2021-05-28 11:54:55','2021-05-28 11:54:59',0),(1654,'磁盘IO异常恢复','machine','machine_disk_util','dingding','recover','【{{cluster_name}}集群机器{{host_ip}}磁盘IO操作百分比异常恢复】','【磁盘IO操作百分比异常恢复】\n\nIO操作百分比: {{pct_util_p75}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}','{\"pct_util_p75\":\"percent:2\",\"trigger_duration\":\"time:ms\"}','1.0','2021-05-28 11:54:55','2021-05-28 11:54:59',0),(1655,'磁盘IO异常恢复','machine','machine_disk_util','ticket','recover','【{{cluster_name}}集群机器{{host_ip}}磁盘IO操作百分比异常恢复】','【磁盘IO操作百分比异常恢复】\n\nIO操作百分比: {{pct_util_p75}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}','{\"pct_util_p75\":\"percent:2\",\"trigger_duration\":\"time:ms\"}','1.0','2021-05-28 11:54:55','2021-05-28 11:54:59',0),(1656,'磁盘IO异常恢复','machine','machine_disk_util','email','recover','【{{cluster_name}}集群机器{{host_ip}}磁盘IO操作百分比异常恢复】','【磁盘IO操作百分比异常恢复】\n\nIO操作百分比: {{pct_util_p75}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}','{\"pct_util_p75\":\"percent:2\",\"trigger_duration\":\"time:ms\"}','1.0','2021-05-28 11:54:55','2021-05-28 11:54:59',0),(1657,'磁盘IO异常恢复','machine','machine_disk_util','mbox','recover','【{{cluster_name}}集群机器{{host_ip}}磁盘IO操作百分比异常恢复】','【磁盘IO操作百分比异常恢复】\n\nIO操作百分比: {{pct_util_p75}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}','{\"pct_util_p75\":\"percent:2\",\"trigger_duration\":\"time:ms\"}','1.0','2021-05-28 11:54:55','2021-05-28 11:54:59',0),(1658,'磁盘IO异常恢复','machine','machine_disk_util','webhook','recover','【{{cluster_name}}集群机器{{host_ip}}磁盘IO操作百分比异常恢复】','【磁盘IO操作百分比异常恢复】\n\nIO操作百分比: {{pct_util_p75}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}','{\"pct_util_p75\":\"percent:2\",\"trigger_duration\":\"time:ms\"}','1.0','2021-05-28 11:54:55','2021-05-28 11:54:59',0),(1659,'机器负载异常告警','machine','machine_load5','dingding','alert','【{{cluster_name}}集群机器{{host_ip}}负载异常告警】','【机器负载异常告警】\n\nLoad5: {{load5_avg}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n时间: {{timestamp}}\n\n[查看详情]({{display_url}})\n','','1.0','2021-05-28 11:54:55','2021-05-28 11:54:59',0),(1660,'机器负载异常告警','machine','machine_load5','ticket','alert','【{{cluster_name}}集群机器{{host_ip}}负载异常告警】','【机器负载异常告警】\n\nLoad5: {{load5_avg}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n时间: {{timestamp}}\n\n[查看详情]({{display_url}})\n','','1.0','2021-05-28 11:54:55','2021-05-28 11:54:59',0),(1661,'机器负载异常告警','machine','machine_load5','email','alert','【{{cluster_name}}集群机器{{host_ip}}负载异常告警】','【机器负载异常告警】\n\nLoad5: {{load5_avg}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n时间: {{timestamp}}\n\n[查看详情]({{display_url}})\n','','1.0','2021-05-28 11:54:55','2021-05-28 11:54:59',0),(1662,'机器负载异常告警','machine','machine_load5','mbox','alert','【{{cluster_name}}集群机器{{host_ip}}负载异常告警】','【机器负载异常告警】\n\nLoad5: {{load5_avg}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n时间: {{timestamp}}\n\n[查看详情]({{display_url}})\n','','1.0','2021-05-28 11:54:55','2021-05-28 11:54:59',0),(1663,'机器负载异常告警','machine','machine_load5','webhook','alert','【{{cluster_name}}集群机器{{host_ip}}负载异常告警】','【机器负载异常告警】\n\nLoad5: {{load5_avg}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n时间: {{timestamp}}\n\n[查看详情]({{display_url}})\n','','1.0','2021-05-28 11:54:55','2021-05-28 11:54:59',0),(1664,'机器负载异常恢复','machine','machine_load5','dingding','recover','【{{cluster_name}}集群机器{{host_ip}}负载异常恢复】','【机器负载异常恢复】\n\nLoad5: {{load5_avg}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n','{\"trigger_duration\":\"time:ms\"}','1.0','2021-05-28 11:54:55','2021-05-28 11:54:59',0),(1665,'机器负载异常恢复','machine','machine_load5','ticket','recover','【{{cluster_name}}集群机器{{host_ip}}负载异常恢复】','【机器负载异常恢复】\n\nLoad5: {{load5_avg}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n','{\"trigger_duration\":\"time:ms\"}','1.0','2021-05-28 11:54:55','2021-05-28 11:54:59',0),(1666,'机器负载异常恢复','machine','machine_load5','email','recover','【{{cluster_name}}集群机器{{host_ip}}负载异常恢复】','【机器负载异常恢复】\n\nLoad5: {{load5_avg}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n','{\"trigger_duration\":\"time:ms\"}','1.0','2021-05-28 11:54:55','2021-05-28 11:54:59',0),(1667,'机器负载异常恢复','machine','machine_load5','mbox','recover','【{{cluster_name}}集群机器{{host_ip}}负载异常恢复】','【机器负载异常恢复】\n\nLoad5: {{load5_avg}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n','{\"trigger_duration\":\"time:ms\"}','1.0','2021-05-28 11:54:55','2021-05-28 11:54:59',0),(1668,'机器负载异常恢复','machine','machine_load5','webhook','recover','【{{cluster_name}}集群机器{{host_ip}}负载异常恢复】','【机器负载异常恢复】\n\nLoad5: {{load5_avg}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n','{\"trigger_duration\":\"time:ms\"}','1.0','2021-05-28 11:54:55','2021-05-28 11:54:59',0),(1669,'网盘容量异常告警','machine','machine_netdisk','dingding','alert','【{{cluster_name}}集群网盘使用率异常告警】','【网盘使用率异常告警】\n\n使用率: {{used_percent_value}}\n\n容量: {{total_value}}\n\n集群: {{cluster_name}}\n\n时间: {{timestamp}}\n','{\"total_value\":\"size:byte\",\"used_percent_value\":\"percent:2\"}','1.0','2021-05-28 11:54:55','2021-05-28 11:54:59',0),(1670,'网盘容量异常告警','machine','machine_netdisk','ticket','alert','【{{cluster_name}}集群网盘使用率异常告警】','【网盘使用率异常告警】\n\n使用率: {{used_percent_value}}\n\n容量: {{total_value}}\n\n集群: {{cluster_name}}\n\n时间: {{timestamp}}\n','{\"total_value\":\"size:byte\",\"used_percent_value\":\"percent:2\"}','1.0','2021-05-28 11:54:55','2021-05-28 11:54:59',0),(1671,'网盘容量异常告警','machine','machine_netdisk','email','alert','【{{cluster_name}}集群网盘使用率异常告警】','【网盘使用率异常告警】\n\n使用率: {{used_percent_value}}\n\n容量: {{total_value}}\n\n集群: {{cluster_name}}\n\n时间: {{timestamp}}\n','{\"total_value\":\"size:byte\",\"used_percent_value\":\"percent:2\"}','1.0','2021-05-28 11:54:55','2021-05-28 11:54:59',0),(1672,'网盘容量异常告警','machine','machine_netdisk','mbox','alert','【{{cluster_name}}集群网盘使用率异常告警】','【网盘使用率异常告警】\n\n使用率: {{used_percent_value}}\n\n容量: {{total_value}}\n\n集群: {{cluster_name}}\n\n时间: {{timestamp}}\n','{\"total_value\":\"size:byte\",\"used_percent_value\":\"percent:2\"}','1.0','2021-05-28 11:54:55','2021-05-28 11:54:59',0),(1673,'网盘容量异常告警','machine','machine_netdisk','webhook','alert','【{{cluster_name}}集群网盘使用率异常告警】','【网盘使用率异常告警】\n\n使用率: {{used_percent_value}}\n\n容量: {{total_value}}\n\n集群: {{cluster_name}}\n\n时间: {{timestamp}}\n','{\"total_value\":\"size:byte\",\"used_percent_value\":\"percent:2\"}','1.0','2021-05-28 11:54:55','2021-05-28 11:54:59',0),(1674,'网盘容量异常恢复','machine','machine_netdisk','dingding','recover','【{{cluster_name}}集群网盘使用率异常恢复】','【网盘使用率异常恢复】\n\n使用率: {{used_percent_value}}\n\n集群: {{cluster_name}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n','{\"trigger_duration\":\"time:ms\",\"used_percent_value\":\"percent:2\"}','1.0','2021-05-28 11:54:55','2021-05-28 11:54:59',0),(1675,'网盘容量异常恢复','machine','machine_netdisk','ticket','recover','【{{cluster_name}}集群网盘使用率异常恢复】','【网盘使用率异常恢复】\n\n使用率: {{used_percent_value}}\n\n集群: {{cluster_name}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n','{\"trigger_duration\":\"time:ms\",\"used_percent_value\":\"percent:2\"}','1.0','2021-05-28 11:54:55','2021-05-28 11:54:59',0),(1676,'网盘容量异常恢复','machine','machine_netdisk','email','recover','【{{cluster_name}}集群网盘使用率异常恢复】','【网盘使用率异常恢复】\n\n使用率: {{used_percent_value}}\n\n集群: {{cluster_name}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n','{\"trigger_duration\":\"time:ms\",\"used_percent_value\":\"percent:2\"}','1.0','2021-05-28 11:54:55','2021-05-28 11:54:59',0),(1677,'网盘容量异常恢复','machine','machine_netdisk','mbox','recover','【{{cluster_name}}集群网盘使用率异常恢复】','【网盘使用率异常恢复】\n\n使用率: {{used_percent_value}}\n\n集群: {{cluster_name}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n','{\"trigger_duration\":\"time:ms\",\"used_percent_value\":\"percent:2\"}','1.0','2021-05-28 11:54:55','2021-05-28 11:54:59',0),(1678,'网盘容量异常恢复','machine','machine_netdisk','webhook','recover','【{{cluster_name}}集群网盘使用率异常恢复】','【网盘使用率异常恢复】\n\n使用率: {{used_percent_value}}\n\n集群: {{cluster_name}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n','{\"trigger_duration\":\"time:ms\",\"used_percent_value\":\"percent:2\"}','1.0','2021-05-28 11:54:55','2021-05-28 11:54:59',0),(1679,'网盘容量使用量异常告警','machine','machine_netdisk_used','dingding','alert','【{{cluster_name}}集群网盘使用率异常告警】','【网盘使用异常告警】\n\n使用: {{used}}GB\n\n容量: {{total}}GB\n\n集群: {{cluster_name}}\n\n时间: {{timestamp}}\n','{}','1.0','2021-05-28 11:54:55','2021-05-28 11:54:59',0),(1680,'网盘容量使用量异常告警','machine','machine_netdisk_used','ticket','alert','【{{cluster_name}}集群网盘使用率异常告警】','【网盘使用异常告警】\n\n使用: {{used}}GB\n\n容量: {{total}}GB\n\n集群: {{cluster_name}}\n\n时间: {{timestamp}}\n','{}','1.0','2021-05-28 11:54:55','2021-05-28 11:54:59',0),(1681,'网盘容量使用量异常告警','machine','machine_netdisk_used','email','alert','【{{cluster_name}}集群网盘使用率异常告警】','【网盘使用异常告警】\n\n使用: {{used}}GB\n\n容量: {{total}}GB\n\n集群: {{cluster_name}}\n\n时间: {{timestamp}}\n','{}','1.0','2021-05-28 11:54:55','2021-05-28 11:54:59',0),(1682,'网盘容量使用量异常告警','machine','machine_netdisk_used','mbox','alert','【{{cluster_name}}集群网盘使用率异常告警】','【网盘使用异常告警】\n\n使用: {{used}}GB\n\n容量: {{total}}GB\n\n集群: {{cluster_name}}\n\n时间: {{timestamp}}\n','{}','1.0','2021-05-28 11:54:55','2021-05-28 11:54:59',0),(1683,'网盘容量使用量异常告警','machine','machine_netdisk_used','webhook','alert','【{{cluster_name}}集群网盘使用率异常告警】','【网盘使用异常告警】\n\n使用: {{used}}GB\n\n容量: {{total}}GB\n\n集群: {{cluster_name}}\n\n时间: {{timestamp}}\n','{}','1.0','2021-05-28 11:54:55','2021-05-28 11:54:59',0),(1684,'网盘容量异常恢复','machine','machine_netdisk_used','dingding','recover','【{{cluster_name}}集群网盘使用率异常恢复】','【网盘使用率异常恢复】\n\n使用: {{used}}GB\n\n集群: {{cluster_name}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n','{\"trigger_duration\":\"time:ms\"}','1.0','2021-05-28 11:54:55','2021-05-28 11:54:59',0),(1685,'网盘容量异常恢复','machine','machine_netdisk_used','ticket','recover','【{{cluster_name}}集群网盘使用率异常恢复】','【网盘使用率异常恢复】\n\n使用: {{used}}GB\n\n集群: {{cluster_name}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n','{\"trigger_duration\":\"time:ms\"}','1.0','2021-05-28 11:54:55','2021-05-28 11:54:59',0),(1686,'网盘容量异常恢复','machine','machine_netdisk_used','email','recover','【{{cluster_name}}集群网盘使用率异常恢复】','【网盘使用率异常恢复】\n\n使用: {{used}}GB\n\n集群: {{cluster_name}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n','{\"trigger_duration\":\"time:ms\"}','1.0','2021-05-28 11:54:55','2021-05-28 11:54:59',0),(1687,'网盘容量异常恢复','machine','machine_netdisk_used','mbox','recover','【{{cluster_name}}集群网盘使用率异常恢复】','【网盘使用率异常恢复】\n\n使用: {{used}}GB\n\n集群: {{cluster_name}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n','{\"trigger_duration\":\"time:ms\"}','1.0','2021-05-28 11:54:55','2021-05-28 11:54:59',0),(1688,'网盘容量异常恢复','machine','machine_netdisk_used','webhook','recover','【{{cluster_name}}集群网盘使用率异常恢复】','【网盘使用率异常恢复】\n\n使用: {{used}}GB\n\n集群: {{cluster_name}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n','{\"trigger_duration\":\"time:ms\"}','1.0','2021-05-28 11:54:55','2021-05-28 11:54:59',0),(1689,'宕机告警','machine','machine_status','dingding','alert','【{{cluster_name}}集群机器{{host_ip}}宕机告警】','【宕机告警】\n\n机器{{window}}分钟内无消息, 疑似发生宕机\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n最近活跃时间: {{last_timestamp_value}}\n\n时间: {{timestamp}}\n\n[查看详情]({{display_url}})\n','{\"last_timestamp_value\":\"date\"}','1.0','2021-05-28 11:54:55','2021-05-28 11:54:59',0),(1690,'宕机告警','machine','machine_status','ticket','alert','【{{cluster_name}}集群机器{{host_ip}}宕机告警】','【宕机告警】\n\n机器{{window}}分钟内无消息, 疑似发生宕机\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n最近活跃时间: {{last_timestamp_value}}\n\n时间: {{timestamp}}\n\n[查看详情]({{display_url}})\n','{\"last_timestamp_value\":\"date\"}','1.0','2021-05-28 11:54:55','2021-05-28 11:54:59',0),(1691,'宕机告警','machine','machine_status','email','alert','【{{cluster_name}}集群机器{{host_ip}}宕机告警】','【宕机告警】\n\n机器{{window}}分钟内无消息, 疑似发生宕机\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n最近活跃时间: {{last_timestamp_value}}\n\n时间: {{timestamp}}\n\n[查看详情]({{display_url}})\n','{\"last_timestamp_value\":\"date\"}','1.0','2021-05-28 11:54:55','2021-05-28 11:54:59',0),(1692,'宕机告警','machine','machine_status','mbox','alert','【{{cluster_name}}集群机器{{host_ip}}宕机告警】','【宕机告警】\n\n机器{{window}}分钟内无消息, 疑似发生宕机\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n最近活跃时间: {{last_timestamp_value}}\n\n时间: {{timestamp}}\n\n[查看详情]({{display_url}})\n','{\"last_timestamp_value\":\"date\"}','1.0','2021-05-28 11:54:55','2021-05-28 11:54:59',0),(1693,'宕机告警','machine','machine_status','webhook','alert','【{{cluster_name}}集群机器{{host_ip}}宕机告警】','【宕机告警】\n\n机器{{window}}分钟内无消息, 疑似发生宕机\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n最近活跃时间: {{last_timestamp_value}}\n\n时间: {{timestamp}}\n\n[查看详情]({{display_url}})\n','{\"last_timestamp_value\":\"date\"}','1.0','2021-05-28 11:54:55','2021-05-28 11:54:59',0),(1694,'宕机恢复','machine','machine_status','dingding','recover','【{{cluster_name}}集群机器{{host_ip}}宕机恢复】','【宕机恢复】\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}','{\"trigger_duration\":\"time:ms\"}','1.0','2021-05-28 11:54:55','2021-05-28 11:54:59',0),(1695,'宕机恢复','machine','machine_status','ticket','recover','【{{cluster_name}}集群机器{{host_ip}}宕机恢复】','【宕机恢复】\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}','{\"trigger_duration\":\"time:ms\"}','1.0','2021-05-28 11:54:55','2021-05-28 11:54:59',0),(1696,'宕机恢复','machine','machine_status','email','recover','【{{cluster_name}}集群机器{{host_ip}}宕机恢复】','【宕机恢复】\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}','{\"trigger_duration\":\"time:ms\"}','1.0','2021-05-28 11:54:55','2021-05-28 11:54:59',0),(1697,'宕机恢复','machine','machine_status','mbox','recover','【{{cluster_name}}集群机器{{host_ip}}宕机恢复】','【宕机恢复】\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}','{\"trigger_duration\":\"time:ms\"}','1.0','2021-05-28 11:54:55','2021-05-28 11:54:59',0),(1698,'宕机恢复','machine','machine_status','webhook','recover','【{{cluster_name}}集群机器{{host_ip}}宕机恢复】','【宕机恢复】\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}','{\"trigger_duration\":\"time:ms\"}','1.0','2021-05-28 11:54:55','2021-05-28 11:54:59',0),(1699,'API网关实例CPU使用率异常','micro_service','api_gateway_cpu','dingding','alert','【API网关实例CPU使用率告警】\n','【API网关实例CPU使用率异常告警】\n\n组件: {{addon_type}}\n\n实例: {{pod_namespace}} - {{pod_name}}\n\nCPU平均使用率: {{usage_percent_avg}}\n\nCPU限制: {{limit_value}}核\n\nCPU分配: {{allocation_value}}核\n\n机器: {{host_ip}}\n\n时间: {{timestamp}}\n','{\"container_id\":\"string:6\",\"limit_value\":\"fraction:1\",\"usage_percent_avg\":\"percent:1\"}','1.0','2021-05-28 11:54:55','2021-05-28 11:54:59',0),(1700,'API网关实例CPU使用率异常','micro_service','api_gateway_cpu','ticket','alert','【API网关实例CPU使用率告警】\n','【API网关实例CPU使用率异常告警】\n\n组件: {{addon_type}}\n\n实例: {{pod_namespace}} - {{pod_name}}\n\nCPU平均使用率: {{usage_percent_avg}}\n\nCPU限制: {{limit_value}}核\n\nCPU分配: {{allocation_value}}核\n\n机器: {{host_ip}}\n\n时间: {{timestamp}}\n','{\"container_id\":\"string:6\",\"limit_value\":\"fraction:1\",\"usage_percent_avg\":\"percent:1\"}','1.0','2021-05-28 11:54:55','2021-05-28 11:54:59',0),(1701,'API网关实例CPU使用率异常','micro_service','api_gateway_cpu','email','alert','【API网关实例CPU使用率告警】\n','【API网关实例CPU使用率异常告警】\n\n组件: {{addon_type}}\n\n实例: {{pod_namespace}} - {{pod_name}}\n\nCPU平均使用率: {{usage_percent_avg}}\n\nCPU限制: {{limit_value}}核\n\nCPU分配: {{allocation_value}}核\n\n机器: {{host_ip}}\n\n时间: {{timestamp}}\n','{\"container_id\":\"string:6\",\"limit_value\":\"fraction:1\",\"usage_percent_avg\":\"percent:1\"}','1.0','2021-05-28 11:54:55','2021-05-28 11:54:59',0),(1702,'API网关实例CPU使用率异常','micro_service','api_gateway_cpu','mbox','alert','【API网关实例CPU使用率告警】\n','【API网关实例CPU使用率异常告警】\n\n组件: {{addon_type}}\n\n实例: {{pod_namespace}} - {{pod_name}}\n\nCPU平均使用率: {{usage_percent_avg}}\n\nCPU限制: {{limit_value}}核\n\nCPU分配: {{allocation_value}}核\n\n机器: {{host_ip}}\n\n时间: {{timestamp}}\n','{\"container_id\":\"string:6\",\"limit_value\":\"fraction:1\",\"usage_percent_avg\":\"percent:1\"}','1.0','2021-05-28 11:54:55','2021-05-28 11:54:59',0),(1703,'API网关实例CPU使用率异常','micro_service','api_gateway_cpu','webhook','alert','【API网关实例CPU使用率告警】\n','【API网关实例CPU使用率异常告警】\n\n组件: {{addon_type}}\n\n实例: {{pod_namespace}} - {{pod_name}}\n\nCPU平均使用率: {{usage_percent_avg}}\n\nCPU限制: {{limit_value}}核\n\nCPU分配: {{allocation_value}}核\n\n机器: {{host_ip}}\n\n时间: {{timestamp}}\n','{\"container_id\":\"string:6\",\"limit_value\":\"fraction:1\",\"usage_percent_avg\":\"percent:1\"}','1.0','2021-05-28 11:54:55','2021-05-28 11:54:59',0),(1704,'API网关实例内存使用率异常','micro_service','api_gateway_mem','dingding','alert','【API网关实例内存使用率告警】\n','【应用实例内存使用率异常告警】\n\n组件: {{addon_type}}\n\n实例: {{pod_namespace}} - {{pod_name}}\n\n内存使用率: {{usage_percent_avg}}\n\n内存使用: {{usage_value}}\n\n内存限制: {{limit_value}}\n\n机器: {{host_ip}}\n\n时间: {{timestamp}}\n','{\"container_id\":\"string:6\",\"limit_value\":\"size:byte\",\"usage_percent_avg\":\"percent:1\",\"usage_value\":\"size:byte\"}','1.0','2021-05-28 11:54:55','2021-05-28 11:54:59',0),(1705,'API网关实例内存使用率异常','micro_service','api_gateway_mem','ticket','alert','【API网关实例内存使用率告警】\n','【应用实例内存使用率异常告警】\n\n组件: {{addon_type}}\n\n实例: {{pod_namespace}} - {{pod_name}}\n\n内存使用率: {{usage_percent_avg}}\n\n内存使用: {{usage_value}}\n\n内存限制: {{limit_value}}\n\n机器: {{host_ip}}\n\n时间: {{timestamp}}\n','{\"container_id\":\"string:6\",\"limit_value\":\"size:byte\",\"usage_percent_avg\":\"percent:1\",\"usage_value\":\"size:byte\"}','1.0','2021-05-28 11:54:55','2021-05-28 11:54:59',0),(1706,'API网关实例内存使用率异常','micro_service','api_gateway_mem','email','alert','【API网关实例内存使用率告警】\n','【应用实例内存使用率异常告警】\n\n组件: {{addon_type}}\n\n实例: {{pod_namespace}} - {{pod_name}}\n\n内存使用率: {{usage_percent_avg}}\n\n内存使用: {{usage_value}}\n\n内存限制: {{limit_value}}\n\n机器: {{host_ip}}\n\n时间: {{timestamp}}\n','{\"container_id\":\"string:6\",\"limit_value\":\"size:byte\",\"usage_percent_avg\":\"percent:1\",\"usage_value\":\"size:byte\"}','1.0','2021-05-28 11:54:55','2021-05-28 11:54:59',0),(1707,'API网关实例内存使用率异常','micro_service','api_gateway_mem','mbox','alert','【API网关实例内存使用率告警】\n','【应用实例内存使用率异常告警】\n\n组件: {{addon_type}}\n\n实例: {{pod_namespace}} - {{pod_name}}\n\n内存使用率: {{usage_percent_avg}}\n\n内存使用: {{usage_value}}\n\n内存限制: {{limit_value}}\n\n机器: {{host_ip}}\n\n时间: {{timestamp}}\n','{\"container_id\":\"string:6\",\"limit_value\":\"size:byte\",\"usage_percent_avg\":\"percent:1\",\"usage_value\":\"size:byte\"}','1.0','2021-05-28 11:54:55','2021-05-28 11:54:59',0),(1708,'API网关实例内存使用率异常','micro_service','api_gateway_mem','webhook','alert','【API网关实例内存使用率告警】\n','【应用实例内存使用率异常告警】\n\n组件: {{addon_type}}\n\n实例: {{pod_namespace}} - {{pod_name}}\n\n内存使用率: {{usage_percent_avg}}\n\n内存使用: {{usage_value}}\n\n内存限制: {{limit_value}}\n\n机器: {{host_ip}}\n\n时间: {{timestamp}}\n','{\"container_id\":\"string:6\",\"limit_value\":\"size:byte\",\"usage_percent_avg\":\"percent:1\",\"usage_value\":\"size:byte\"}','1.0','2021-05-28 11:54:55','2021-05-28 11:54:59',0),(1709,'配置中心实例CPU使用率异常','micro_service','config_center_cpu','dingding','alert','【配置中心实例CPU使用率告警】\n','【配置中心实例CPU使用率异常告警】\n\n组件: {{addon_type}}\n\n实例: {{pod_namespace}} - {{pod_name}}\n\nCPU平均使用率: {{usage_percent_avg}}\n\nCPU限制: {{limit_value}}核\n\nCPU分配: {{allocation_value}}核\n\n机器: {{host_ip}}\n\n时间: {{timestamp}}\n','{\"container_id\":\"string:6\",\"limit_value\":\"fraction:1\",\"usage_percent_avg\":\"percent:1\"}','1.0','2021-05-28 11:54:55','2021-05-28 11:54:59',0),(1710,'配置中心实例CPU使用率异常','micro_service','config_center_cpu','ticket','alert','【配置中心实例CPU使用率告警】\n','【配置中心实例CPU使用率异常告警】\n\n组件: {{addon_type}}\n\n实例: {{pod_namespace}} - {{pod_name}}\n\nCPU平均使用率: {{usage_percent_avg}}\n\nCPU限制: {{limit_value}}核\n\nCPU分配: {{allocation_value}}核\n\n机器: {{host_ip}}\n\n时间: {{timestamp}}\n','{\"container_id\":\"string:6\",\"limit_value\":\"fraction:1\",\"usage_percent_avg\":\"percent:1\"}','1.0','2021-05-28 11:54:55','2021-05-28 11:54:59',0),(1711,'配置中心实例CPU使用率异常','micro_service','config_center_cpu','email','alert','【配置中心实例CPU使用率告警】\n','【配置中心实例CPU使用率异常告警】\n\n组件: {{addon_type}}\n\n实例: {{pod_namespace}} - {{pod_name}}\n\nCPU平均使用率: {{usage_percent_avg}}\n\nCPU限制: {{limit_value}}核\n\nCPU分配: {{allocation_value}}核\n\n机器: {{host_ip}}\n\n时间: {{timestamp}}\n','{\"container_id\":\"string:6\",\"limit_value\":\"fraction:1\",\"usage_percent_avg\":\"percent:1\"}','1.0','2021-05-28 11:54:55','2021-05-28 11:54:59',0),(1712,'配置中心实例CPU使用率异常','micro_service','config_center_cpu','mbox','alert','【配置中心实例CPU使用率告警】\n','【配置中心实例CPU使用率异常告警】\n\n组件: {{addon_type}}\n\n实例: {{pod_namespace}} - {{pod_name}}\n\nCPU平均使用率: {{usage_percent_avg}}\n\nCPU限制: {{limit_value}}核\n\nCPU分配: {{allocation_value}}核\n\n机器: {{host_ip}}\n\n时间: {{timestamp}}\n','{\"container_id\":\"string:6\",\"limit_value\":\"fraction:1\",\"usage_percent_avg\":\"percent:1\"}','1.0','2021-05-28 11:54:55','2021-05-28 11:54:59',0),(1713,'配置中心实例CPU使用率异常','micro_service','config_center_cpu','webhook','alert','【配置中心实例CPU使用率告警】\n','【配置中心实例CPU使用率异常告警】\n\n组件: {{addon_type}}\n\n实例: {{pod_namespace}} - {{pod_name}}\n\nCPU平均使用率: {{usage_percent_avg}}\n\nCPU限制: {{limit_value}}核\n\nCPU分配: {{allocation_value}}核\n\n机器: {{host_ip}}\n\n时间: {{timestamp}}\n','{\"container_id\":\"string:6\",\"limit_value\":\"fraction:1\",\"usage_percent_avg\":\"percent:1\"}','1.0','2021-05-28 11:54:55','2021-05-28 11:54:59',0),(1714,'配置中心实例内存使用率异常','micro_service','config_center_mem','dingding','alert','【配置中心实例内存使用率告警】\n','【应用实例内存使用率异常告警】\n\n组件: {{addon_type}}\n\n实例: {{pod_namespace}} - {{pod_name}}\n\n内存使用率: {{usage_percent_avg}}\n\n内存使用: {{usage_value}}\n\n内存限制: {{limit_value}}\n\n机器: {{host_ip}}\n\n时间: {{timestamp}}\n','{\"container_id\":\"string:6\",\"limit_value\":\"size:byte\",\"usage_percent_avg\":\"percent:1\",\"usage_value\":\"size:byte\"}','1.0','2021-05-28 11:54:55','2021-05-28 11:54:59',0),(1715,'配置中心实例内存使用率异常','micro_service','config_center_mem','ticket','alert','【配置中心实例内存使用率告警】\n','【应用实例内存使用率异常告警】\n\n组件: {{addon_type}}\n\n实例: {{pod_namespace}} - {{pod_name}}\n\n内存使用率: {{usage_percent_avg}}\n\n内存使用: {{usage_value}}\n\n内存限制: {{limit_value}}\n\n机器: {{host_ip}}\n\n时间: {{timestamp}}\n','{\"container_id\":\"string:6\",\"limit_value\":\"size:byte\",\"usage_percent_avg\":\"percent:1\",\"usage_value\":\"size:byte\"}','1.0','2021-05-28 11:54:55','2021-05-28 11:54:59',0),(1716,'配置中心实例内存使用率异常','micro_service','config_center_mem','email','alert','【配置中心实例内存使用率告警】\n','【应用实例内存使用率异常告警】\n\n组件: {{addon_type}}\n\n实例: {{pod_namespace}} - {{pod_name}}\n\n内存使用率: {{usage_percent_avg}}\n\n内存使用: {{usage_value}}\n\n内存限制: {{limit_value}}\n\n机器: {{host_ip}}\n\n时间: {{timestamp}}\n','{\"container_id\":\"string:6\",\"limit_value\":\"size:byte\",\"usage_percent_avg\":\"percent:1\",\"usage_value\":\"size:byte\"}','1.0','2021-05-28 11:54:55','2021-05-28 11:54:59',0),(1717,'配置中心实例内存使用率异常','micro_service','config_center_mem','mbox','alert','【配置中心实例内存使用率告警】\n','【应用实例内存使用率异常告警】\n\n组件: {{addon_type}}\n\n实例: {{pod_namespace}} - {{pod_name}}\n\n内存使用率: {{usage_percent_avg}}\n\n内存使用: {{usage_value}}\n\n内存限制: {{limit_value}}\n\n机器: {{host_ip}}\n\n时间: {{timestamp}}\n','{\"container_id\":\"string:6\",\"limit_value\":\"size:byte\",\"usage_percent_avg\":\"percent:1\",\"usage_value\":\"size:byte\"}','1.0','2021-05-28 11:54:55','2021-05-28 11:54:59',0),(1718,'配置中心实例内存使用率异常','micro_service','config_center_mem','webhook','alert','【配置中心实例内存使用率告警】\n','【应用实例内存使用率异常告警】\n\n组件: {{addon_type}}\n\n实例: {{pod_namespace}} - {{pod_name}}\n\n内存使用率: {{usage_percent_avg}}\n\n内存使用: {{usage_value}}\n\n内存限制: {{limit_value}}\n\n机器: {{host_ip}}\n\n时间: {{timestamp}}\n','{\"container_id\":\"string:6\",\"limit_value\":\"size:byte\",\"usage_percent_avg\":\"percent:1\",\"usage_value\":\"size:byte\"}','1.0','2021-05-28 11:54:55','2021-05-28 11:54:59',0),(1719,'注册中心实例CPU使用率异常','micro_service','register_center_cpu','dingding','alert','【注册中心实例CPU使用率告警】\n','【注册中心实例CPU使用率异常告警】\n\n组件: {{addon_type}}\n\n实例: {{pod_namespace}} - {{pod_name}}\n\nCPU平均使用率: {{usage_percent_avg}}\n\nCPU限制: {{limit_value}}核\n\nCPU分配: {{allocation_value}}核\n\n机器: {{host_ip}}\n\n时间: {{timestamp}}\n','{\"container_id\":\"string:6\",\"limit_value\":\"fraction:1\",\"usage_percent_avg\":\"percent:1\"}','1.0','2021-05-28 11:54:55','2021-05-28 11:54:59',0),(1720,'注册中心实例CPU使用率异常','micro_service','register_center_cpu','ticket','alert','【注册中心实例CPU使用率告警】\n','【注册中心实例CPU使用率异常告警】\n\n组件: {{addon_type}}\n\n实例: {{pod_namespace}} - {{pod_name}}\n\nCPU平均使用率: {{usage_percent_avg}}\n\nCPU限制: {{limit_value}}核\n\nCPU分配: {{allocation_value}}核\n\n机器: {{host_ip}}\n\n时间: {{timestamp}}\n','{\"container_id\":\"string:6\",\"limit_value\":\"fraction:1\",\"usage_percent_avg\":\"percent:1\"}','1.0','2021-05-28 11:54:55','2021-05-28 11:54:59',0),(1721,'注册中心实例CPU使用率异常','micro_service','register_center_cpu','email','alert','【注册中心实例CPU使用率告警】\n','【注册中心实例CPU使用率异常告警】\n\n组件: {{addon_type}}\n\n实例: {{pod_namespace}} - {{pod_name}}\n\nCPU平均使用率: {{usage_percent_avg}}\n\nCPU限制: {{limit_value}}核\n\nCPU分配: {{allocation_value}}核\n\n机器: {{host_ip}}\n\n时间: {{timestamp}}\n','{\"container_id\":\"string:6\",\"limit_value\":\"fraction:1\",\"usage_percent_avg\":\"percent:1\"}','1.0','2021-05-28 11:54:55','2021-05-28 11:54:59',0),(1722,'注册中心实例CPU使用率异常','micro_service','register_center_cpu','mbox','alert','【注册中心实例CPU使用率告警】\n','【注册中心实例CPU使用率异常告警】\n\n组件: {{addon_type}}\n\n实例: {{pod_namespace}} - {{pod_name}}\n\nCPU平均使用率: {{usage_percent_avg}}\n\nCPU限制: {{limit_value}}核\n\nCPU分配: {{allocation_value}}核\n\n机器: {{host_ip}}\n\n时间: {{timestamp}}\n','{\"container_id\":\"string:6\",\"limit_value\":\"fraction:1\",\"usage_percent_avg\":\"percent:1\"}','1.0','2021-05-28 11:54:55','2021-05-28 11:54:59',0),(1723,'注册中心实例CPU使用率异常','micro_service','register_center_cpu','webhook','alert','【注册中心实例CPU使用率告警】\n','【注册中心实例CPU使用率异常告警】\n\n组件: {{addon_type}}\n\n实例: {{pod_namespace}} - {{pod_name}}\n\nCPU平均使用率: {{usage_percent_avg}}\n\nCPU限制: {{limit_value}}核\n\nCPU分配: {{allocation_value}}核\n\n机器: {{host_ip}}\n\n时间: {{timestamp}}\n','{\"container_id\":\"string:6\",\"limit_value\":\"fraction:1\",\"usage_percent_avg\":\"percent:1\"}','1.0','2021-05-28 11:54:55','2021-05-28 11:54:59',0),(1724,'注册中心实例内存使用率异常','micro_service','register_center_mem','dingding','alert','【注册中心实例内存使用率告警】\n','【应用实例内存使用率异常告警】\n\n组件: {{addon_type}}\n\n实例: {{pod_namespace}} - {{pod_name}}\n\n内存使用率: {{usage_percent_avg}}\n\n内存使用: {{usage_value}}\n\n内存限制: {{limit_value}}\n\n机器: {{host_ip}}\n\n时间: {{timestamp}}\n','{\"container_id\":\"string:6\",\"limit_value\":\"size:byte\",\"usage_percent_avg\":\"percent:1\",\"usage_value\":\"size:byte\"}','1.0','2021-05-28 11:54:55','2021-05-28 11:54:59',0),(1725,'注册中心实例内存使用率异常','micro_service','register_center_mem','ticket','alert','【注册中心实例内存使用率告警】\n','【应用实例内存使用率异常告警】\n\n组件: {{addon_type}}\n\n实例: {{pod_namespace}} - {{pod_name}}\n\n内存使用率: {{usage_percent_avg}}\n\n内存使用: {{usage_value}}\n\n内存限制: {{limit_value}}\n\n机器: {{host_ip}}\n\n时间: {{timestamp}}\n','{\"container_id\":\"string:6\",\"limit_value\":\"size:byte\",\"usage_percent_avg\":\"percent:1\",\"usage_value\":\"size:byte\"}','1.0','2021-05-28 11:54:55','2021-05-28 11:54:59',0),(1726,'注册中心实例内存使用率异常','micro_service','register_center_mem','email','alert','【注册中心实例内存使用率告警】\n','【应用实例内存使用率异常告警】\n\n组件: {{addon_type}}\n\n实例: {{pod_namespace}} - {{pod_name}}\n\n内存使用率: {{usage_percent_avg}}\n\n内存使用: {{usage_value}}\n\n内存限制: {{limit_value}}\n\n机器: {{host_ip}}\n\n时间: {{timestamp}}\n','{\"container_id\":\"string:6\",\"limit_value\":\"size:byte\",\"usage_percent_avg\":\"percent:1\",\"usage_value\":\"size:byte\"}','1.0','2021-05-28 11:54:55','2021-05-28 11:54:59',0),(1727,'注册中心实例内存使用率异常','micro_service','register_center_mem','mbox','alert','【注册中心实例内存使用率告警】\n','【应用实例内存使用率异常告警】\n\n组件: {{addon_type}}\n\n实例: {{pod_namespace}} - {{pod_name}}\n\n内存使用率: {{usage_percent_avg}}\n\n内存使用: {{usage_value}}\n\n内存限制: {{limit_value}}\n\n机器: {{host_ip}}\n\n时间: {{timestamp}}\n','{\"container_id\":\"string:6\",\"limit_value\":\"size:byte\",\"usage_percent_avg\":\"percent:1\",\"usage_value\":\"size:byte\"}','1.0','2021-05-28 11:54:55','2021-05-28 11:54:59',0),(1728,'注册中心实例内存使用率异常','micro_service','register_center_mem','webhook','alert','【注册中心实例内存使用率告警】\n','【应用实例内存使用率异常告警】\n\n组件: {{addon_type}}\n\n实例: {{pod_namespace}} - {{pod_name}}\n\n内存使用率: {{usage_percent_avg}}\n\n内存使用: {{usage_value}}\n\n内存限制: {{limit_value}}\n\n机器: {{host_ip}}\n\n时间: {{timestamp}}\n','{\"container_id\":\"string:6\",\"limit_value\":\"size:byte\",\"usage_percent_avg\":\"percent:1\",\"usage_value\":\"size:byte\"}','1.0','2021-05-28 11:54:55','2021-05-28 11:54:59',0),(1729,'服务熔断通知告警','micro_service','sidecar_circuit_breaker','dingding','alert','【{{application_name}}应用{{service_name}}服务发生熔断告警】\n','【服务熔断告警】\n\n服务发生熔断 !\n\n项目: {{project_name}}\n\n环境: {{workspace}}\n\n应用: {{application_name}}\n\n服务: {{runtime_name}} / {{service_name}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n时间: {{timestamp}}\n','','1.0','2021-05-28 11:54:55','2021-05-28 11:54:59',0),(1730,'服务熔断通知告警','micro_service','sidecar_circuit_breaker','ticket','alert','【{{application_name}}应用{{service_name}}服务发生熔断告警】\n','【服务熔断告警】\n\n服务发生熔断 !\n\n项目: {{project_name}}\n\n环境: {{workspace}}\n\n应用: {{application_name}}\n\n服务: {{runtime_name}} / {{service_name}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n时间: {{timestamp}}\n','','1.0','2021-05-28 11:54:55','2021-05-28 11:54:59',0),(1731,'服务熔断通知告警','micro_service','sidecar_circuit_breaker','email','alert','【{{application_name}}应用{{service_name}}服务发生熔断告警】\n','【服务熔断告警】\n\n服务发生熔断 !\n\n项目: {{project_name}}\n\n环境: {{workspace}}\n\n应用: {{application_name}}\n\n服务: {{runtime_name}} / {{service_name}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n时间: {{timestamp}}\n','','1.0','2021-05-28 11:54:55','2021-05-28 11:54:59',0),(1732,'服务熔断通知告警','micro_service','sidecar_circuit_breaker','mbox','alert','【{{application_name}}应用{{service_name}}服务发生熔断告警】\n','【服务熔断告警】\n\n服务发生熔断 !\n\n项目: {{project_name}}\n\n环境: {{workspace}}\n\n应用: {{application_name}}\n\n服务: {{runtime_name}} / {{service_name}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n时间: {{timestamp}}\n','','1.0','2021-05-28 11:54:55','2021-05-28 11:54:59',0),(1733,'服务熔断通知告警','micro_service','sidecar_circuit_breaker','webhook','alert','【{{application_name}}应用{{service_name}}服务发生熔断告警】\n','【服务熔断告警】\n\n服务发生熔断 !\n\n项目: {{project_name}}\n\n环境: {{workspace}}\n\n应用: {{application_name}}\n\n服务: {{runtime_name}} / {{service_name}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n时间: {{timestamp}}\n','','1.0','2021-05-28 11:54:55','2021-05-28 11:54:59',0),(1734,'Elasticsearch实例内存使用率异常告警','addon','addon_elasticsearch_mem','dingding','alert','【Elasticsearch实例内存使用率告警】\n','【Elasticsearch实例内存使用率告警】\n\n组件: {{addon_type}}\n\n实例ID: {{addon_id}}\n\n实例: {{pod_namespace}} - {{pod_name}}\n\n平均使用率: {{mem_usage_percent_avg}}\n\n集群 / 机器: {{cluster_name}} / {{host_ip}}\n\n容器ID: {{container_id}}\n\n机器: {{host_ip}}\n\n时间: {{timestamp}}','{\"container_id\":\"string:6\",\"mem_limit_value\":\"fraction:1\",\"mem_usage_percent_avg\":\"percent:1\"}','1.0','2021-05-28 11:54:59','2021-05-28 11:55:01',0),(1735,'Elasticsearch实例内存使用率异常告警','addon','addon_elasticsearch_mem','ticket','alert','【Elasticsearch实例内存使用率告警】\n','【Elasticsearch实例内存使用率告警】\n\n组件: {{addon_type}}\n\n实例ID: {{addon_id}}\n\n实例: {{pod_namespace}} - {{pod_name}}\n\n平均使用率: {{mem_usage_percent_avg}}\n\n集群 / 机器: {{cluster_name}} / {{host_ip}}\n\n容器ID: {{container_id}}\n\n机器: {{host_ip}}\n\n时间: {{timestamp}}','{\"container_id\":\"string:6\",\"mem_limit_value\":\"fraction:1\",\"mem_usage_percent_avg\":\"percent:1\"}','1.0','2021-05-28 11:54:59','2021-05-28 11:55:01',0),(1736,'Elasticsearch实例内存使用率异常告警','addon','addon_elasticsearch_mem','email','alert','【Elasticsearch实例内存使用率告警】\n','【Elasticsearch实例内存使用率告警】\n\n组件: {{addon_type}}\n\n实例ID: {{addon_id}}\n\n实例: {{pod_namespace}} - {{pod_name}}\n\n平均使用率: {{mem_usage_percent_avg}}\n\n集群 / 机器: {{cluster_name}} / {{host_ip}}\n\n容器ID: {{container_id}}\n\n机器: {{host_ip}}\n\n时间: {{timestamp}}','{\"container_id\":\"string:6\",\"mem_limit_value\":\"fraction:1\",\"mem_usage_percent_avg\":\"percent:1\"}','1.0','2021-05-28 11:54:59','2021-05-28 11:55:01',0),(1737,'Elasticsearch实例内存使用率异常告警','addon','addon_elasticsearch_mem','mbox','alert','【Elasticsearch实例内存使用率告警】\n','【Elasticsearch实例内存使用率告警】\n\n组件: {{addon_type}}\n\n实例ID: {{addon_id}}\n\n实例: {{pod_namespace}} - {{pod_name}}\n\n平均使用率: {{mem_usage_percent_avg}}\n\n集群 / 机器: {{cluster_name}} / {{host_ip}}\n\n容器ID: {{container_id}}\n\n机器: {{host_ip}}\n\n时间: {{timestamp}}','{\"container_id\":\"string:6\",\"mem_limit_value\":\"fraction:1\",\"mem_usage_percent_avg\":\"percent:1\"}','1.0','2021-05-28 11:54:59','2021-05-28 11:55:01',0),(1738,'Elasticsearch实例内存使用率异常告警','addon','addon_elasticsearch_mem','webhook','alert','【Elasticsearch实例内存使用率告警】\n','【Elasticsearch实例内存使用率告警】\n\n组件: {{addon_type}}\n\n实例ID: {{addon_id}}\n\n实例: {{pod_namespace}} - {{pod_name}}\n\n平均使用率: {{mem_usage_percent_avg}}\n\n集群 / 机器: {{cluster_name}} / {{host_ip}}\n\n容器ID: {{container_id}}\n\n机器: {{host_ip}}\n\n时间: {{timestamp}}','{\"container_id\":\"string:6\",\"mem_limit_value\":\"fraction:1\",\"mem_usage_percent_avg\":\"percent:1\"}','1.0','2021-05-28 11:54:59','2021-05-28 11:55:01',0),(1739,'MySQL实例CPU使用率异常告警','addon','addon_mysql_cpu','dingding','alert','【MySQL实例CPU使用率告警】\n','【MySQL实例CPU使用率异常告警】\n\n组件: {{addon_type}}\n\n实例: {{pod_namespace}} - {{pod_name}}\n\nCPU平均使用率: {{cpu_usage_percent_avg}}\n\nCPU限制: {{cpu_limit_value}}核\n\nCPU分配: {{cpu_allocation_value}}核\n\n机器: {{host_ip}}\n\n时间: {{timestamp}}','{\"container_id\":\"string:6\",\"cpu_limit_value\":\"fraction:1\",\"cpu_usage_percent_avg\":\"percent:1\"}','1.0','2021-05-28 11:54:59','2021-05-28 11:55:01',0),(1740,'MySQL实例CPU使用率异常告警','addon','addon_mysql_cpu','ticket','alert','【MySQL实例CPU使用率告警】\n','【MySQL实例CPU使用率异常告警】\n\n组件: {{addon_type}}\n\n实例: {{pod_namespace}} - {{pod_name}}\n\nCPU平均使用率: {{cpu_usage_percent_avg}}\n\nCPU限制: {{cpu_limit_value}}核\n\nCPU分配: {{cpu_allocation_value}}核\n\n机器: {{host_ip}}\n\n时间: {{timestamp}}','{\"container_id\":\"string:6\",\"cpu_limit_value\":\"fraction:1\",\"cpu_usage_percent_avg\":\"percent:1\"}','1.0','2021-05-28 11:54:59','2021-05-28 11:55:01',0),(1741,'MySQL实例CPU使用率异常告警','addon','addon_mysql_cpu','email','alert','【MySQL实例CPU使用率告警】\n','【MySQL实例CPU使用率异常告警】\n\n组件: {{addon_type}}\n\n实例: {{pod_namespace}} - {{pod_name}}\n\nCPU平均使用率: {{cpu_usage_percent_avg}}\n\nCPU限制: {{cpu_limit_value}}核\n\nCPU分配: {{cpu_allocation_value}}核\n\n机器: {{host_ip}}\n\n时间: {{timestamp}}','{\"container_id\":\"string:6\",\"cpu_limit_value\":\"fraction:1\",\"cpu_usage_percent_avg\":\"percent:1\"}','1.0','2021-05-28 11:54:59','2021-05-28 11:55:01',0),(1742,'MySQL实例CPU使用率异常告警','addon','addon_mysql_cpu','mbox','alert','【MySQL实例CPU使用率告警】\n','【MySQL实例CPU使用率异常告警】\n\n组件: {{addon_type}}\n\n实例: {{pod_namespace}} - {{pod_name}}\n\nCPU平均使用率: {{cpu_usage_percent_avg}}\n\nCPU限制: {{cpu_limit_value}}核\n\nCPU分配: {{cpu_allocation_value}}核\n\n机器: {{host_ip}}\n\n时间: {{timestamp}}','{\"container_id\":\"string:6\",\"cpu_limit_value\":\"fraction:1\",\"cpu_usage_percent_avg\":\"percent:1\"}','1.0','2021-05-28 11:54:59','2021-05-28 11:55:01',0),(1743,'MySQL实例CPU使用率异常告警','addon','addon_mysql_cpu','webhook','alert','【MySQL实例CPU使用率告警】\n','【MySQL实例CPU使用率异常告警】\n\n组件: {{addon_type}}\n\n实例: {{pod_namespace}} - {{pod_name}}\n\nCPU平均使用率: {{cpu_usage_percent_avg}}\n\nCPU限制: {{cpu_limit_value}}核\n\nCPU分配: {{cpu_allocation_value}}核\n\n机器: {{host_ip}}\n\n时间: {{timestamp}}','{\"container_id\":\"string:6\",\"cpu_limit_value\":\"fraction:1\",\"cpu_usage_percent_avg\":\"percent:1\"}','1.0','2021-05-28 11:54:59','2021-05-28 11:55:01',0),(1744,'MySQL实例内存使用率异常告警','addon','addon_mysql_mem','dingding','alert','【MySQL实例内存使用率告警】\n','【MySQL实例内存使用率告警】\n\n组件: {{addon_type}}\n\n实例ID: {{addon_id}}\n\n实例: {{pod_namespace}} - {{pod_name}}\n\n平均使用率: {{mem_usage_percent_avg}}\n\n集群 / 机器: {{cluster_name}} / {{host_ip}}\n\n容器ID: {{container_id}}\n\n机器: {{host_ip}}\n\n时间: {{timestamp}}','{\"container_id\":\"string:6\",\"mem_limit_value\":\"fraction:1\",\"mem_usage_percent_avg\":\"percent:1\"}','1.0','2021-05-28 11:54:59','2021-05-28 11:55:01',0),(1745,'MySQL实例内存使用率异常告警','addon','addon_mysql_mem','ticket','alert','【MySQL实例内存使用率告警】\n','【MySQL实例内存使用率告警】\n\n组件: {{addon_type}}\n\n实例ID: {{addon_id}}\n\n实例: {{pod_namespace}} - {{pod_name}}\n\n平均使用率: {{mem_usage_percent_avg}}\n\n集群 / 机器: {{cluster_name}} / {{host_ip}}\n\n容器ID: {{container_id}}\n\n机器: {{host_ip}}\n\n时间: {{timestamp}}','{\"container_id\":\"string:6\",\"mem_limit_value\":\"fraction:1\",\"mem_usage_percent_avg\":\"percent:1\"}','1.0','2021-05-28 11:54:59','2021-05-28 11:55:01',0),(1746,'MySQL实例内存使用率异常告警','addon','addon_mysql_mem','email','alert','【MySQL实例内存使用率告警】\n','【MySQL实例内存使用率告警】\n\n组件: {{addon_type}}\n\n实例ID: {{addon_id}}\n\n实例: {{pod_namespace}} - {{pod_name}}\n\n平均使用率: {{mem_usage_percent_avg}}\n\n集群 / 机器: {{cluster_name}} / {{host_ip}}\n\n容器ID: {{container_id}}\n\n机器: {{host_ip}}\n\n时间: {{timestamp}}','{\"container_id\":\"string:6\",\"mem_limit_value\":\"fraction:1\",\"mem_usage_percent_avg\":\"percent:1\"}','1.0','2021-05-28 11:54:59','2021-05-28 11:55:01',0),(1747,'MySQL实例内存使用率异常告警','addon','addon_mysql_mem','mbox','alert','【MySQL实例内存使用率告警】\n','【MySQL实例内存使用率告警】\n\n组件: {{addon_type}}\n\n实例ID: {{addon_id}}\n\n实例: {{pod_namespace}} - {{pod_name}}\n\n平均使用率: {{mem_usage_percent_avg}}\n\n集群 / 机器: {{cluster_name}} / {{host_ip}}\n\n容器ID: {{container_id}}\n\n机器: {{host_ip}}\n\n时间: {{timestamp}}','{\"container_id\":\"string:6\",\"mem_limit_value\":\"fraction:1\",\"mem_usage_percent_avg\":\"percent:1\"}','1.0','2021-05-28 11:54:59','2021-05-28 11:55:01',0),(1748,'MySQL实例内存使用率异常告警','addon','addon_mysql_mem','webhook','alert','【MySQL实例内存使用率告警】\n','【MySQL实例内存使用率告警】\n\n组件: {{addon_type}}\n\n实例ID: {{addon_id}}\n\n实例: {{pod_namespace}} - {{pod_name}}\n\n平均使用率: {{mem_usage_percent_avg}}\n\n集群 / 机器: {{cluster_name}} / {{host_ip}}\n\n容器ID: {{container_id}}\n\n机器: {{host_ip}}\n\n时间: {{timestamp}}','{\"container_id\":\"string:6\",\"mem_limit_value\":\"fraction:1\",\"mem_usage_percent_avg\":\"percent:1\"}','1.0','2021-05-28 11:54:59','2021-05-28 11:55:01',0),(1749,'MySQL实例主从同步异常告警','addon','addon_mysql_slave_status','dingding','alert','【MySQL实例主从同步异常】\n','【MySQL实例主从同步异常】\n\n组件: \"mysql\"\n\n实例ID: {{addon_id}}\n\n从节点IO异常状态: {{slave_slave_io_running_value}}\n\n从节点连接异常状态: {{slave_slave_sql_running_value}}\n\n集群 / 机器: {{cluster_name}} / {{host_ip}}\n\n机器: {{host_ip}}\n\n时间: {{timestamp}}','{\"limit_value\":\"fraction:1\",\"usage_percent_avg\":\"percent:1\"}','1.0','2021-05-28 11:54:59','2021-05-28 11:55:01',0),(1750,'MySQL实例主从同步异常告警','addon','addon_mysql_slave_status','ticket','alert','【MySQL实例主从同步异常】\n','【MySQL实例主从同步异常】\n\n组件: \"mysql\"\n\n实例ID: {{addon_id}}\n\n从节点IO异常状态: {{slave_slave_io_running_value}}\n\n从节点连接异常状态: {{slave_slave_sql_running_value}}\n\n集群 / 机器: {{cluster_name}} / {{host_ip}}\n\n机器: {{host_ip}}\n\n时间: {{timestamp}}','{\"limit_value\":\"fraction:1\",\"usage_percent_avg\":\"percent:1\"}','1.0','2021-05-28 11:54:59','2021-05-28 11:55:01',0),(1751,'MySQL实例主从同步异常告警','addon','addon_mysql_slave_status','email','alert','【MySQL实例主从同步异常】\n','【MySQL实例主从同步异常】\n\n组件: \"mysql\"\n\n实例ID: {{addon_id}}\n\n从节点IO异常状态: {{slave_slave_io_running_value}}\n\n从节点连接异常状态: {{slave_slave_sql_running_value}}\n\n集群 / 机器: {{cluster_name}} / {{host_ip}}\n\n机器: {{host_ip}}\n\n时间: {{timestamp}}','{\"limit_value\":\"fraction:1\",\"usage_percent_avg\":\"percent:1\"}','1.0','2021-05-28 11:54:59','2021-05-28 11:55:01',0),(1752,'MySQL实例主从同步异常告警','addon','addon_mysql_slave_status','mbox','alert','【MySQL实例主从同步异常】\n','【MySQL实例主从同步异常】\n\n组件: \"mysql\"\n\n实例ID: {{addon_id}}\n\n从节点IO异常状态: {{slave_slave_io_running_value}}\n\n从节点连接异常状态: {{slave_slave_sql_running_value}}\n\n集群 / 机器: {{cluster_name}} / {{host_ip}}\n\n机器: {{host_ip}}\n\n时间: {{timestamp}}','{\"limit_value\":\"fraction:1\",\"usage_percent_avg\":\"percent:1\"}','1.0','2021-05-28 11:54:59','2021-05-28 11:55:01',0),(1753,'MySQL实例主从同步异常告警','addon','addon_mysql_slave_status','webhook','alert','【MySQL实例主从同步异常】\n','【MySQL实例主从同步异常】\n\n组件: \"mysql\"\n\n实例ID: {{addon_id}}\n\n从节点IO异常状态: {{slave_slave_io_running_value}}\n\n从节点连接异常状态: {{slave_slave_sql_running_value}}\n\n集群 / 机器: {{cluster_name}} / {{host_ip}}\n\n机器: {{host_ip}}\n\n时间: {{timestamp}}','{\"limit_value\":\"fraction:1\",\"usage_percent_avg\":\"percent:1\"}','1.0','2021-05-28 11:54:59','2021-05-28 11:55:01',0),(1754,'redis实例内存使用率异常告警','addon','addon_redis_mem','dingding','alert','【redis实例内存使用率异常告警】\n','【redis实例内存使用率异常告警】\n\n组件: {{addon_type}}\n\n实例ID: {{addon_id}}\n\n实例: {{pod_namespace}} - {{pod_name}}\n\n平均使用率: {{mem_usage_percent_avg}}\n\n集群 / 机器: {{cluster_name}} / {{host_ip}}\n\n容器ID: {{container_id}}\n\n机器: {{host_ip}}\n\n时间: {{timestamp}}','{\"container_id\":\"string:6\",\"mem_limit_value\":\"fraction:1\",\"mem_usage_percent_avg\":\"percent:1\"}','1.0','2021-05-28 11:54:59','2021-05-28 11:55:01',0),(1755,'redis实例内存使用率异常告警','addon','addon_redis_mem','ticket','alert','【redis实例内存使用率异常告警】\n','【redis实例内存使用率异常告警】\n\n组件: {{addon_type}}\n\n实例ID: {{addon_id}}\n\n实例: {{pod_namespace}} - {{pod_name}}\n\n平均使用率: {{mem_usage_percent_avg}}\n\n集群 / 机器: {{cluster_name}} / {{host_ip}}\n\n容器ID: {{container_id}}\n\n机器: {{host_ip}}\n\n时间: {{timestamp}}','{\"container_id\":\"string:6\",\"mem_limit_value\":\"fraction:1\",\"mem_usage_percent_avg\":\"percent:1\"}','1.0','2021-05-28 11:54:59','2021-05-28 11:55:01',0),(1756,'redis实例内存使用率异常告警','addon','addon_redis_mem','email','alert','【redis实例内存使用率异常告警】\n','【redis实例内存使用率异常告警】\n\n组件: {{addon_type}}\n\n实例ID: {{addon_id}}\n\n实例: {{pod_namespace}} - {{pod_name}}\n\n平均使用率: {{mem_usage_percent_avg}}\n\n集群 / 机器: {{cluster_name}} / {{host_ip}}\n\n容器ID: {{container_id}}\n\n机器: {{host_ip}}\n\n时间: {{timestamp}}','{\"container_id\":\"string:6\",\"mem_limit_value\":\"fraction:1\",\"mem_usage_percent_avg\":\"percent:1\"}','1.0','2021-05-28 11:54:59','2021-05-28 11:55:01',0),(1757,'redis实例内存使用率异常告警','addon','addon_redis_mem','mbox','alert','【redis实例内存使用率异常告警】\n','【redis实例内存使用率异常告警】\n\n组件: {{addon_type}}\n\n实例ID: {{addon_id}}\n\n实例: {{pod_namespace}} - {{pod_name}}\n\n平均使用率: {{mem_usage_percent_avg}}\n\n集群 / 机器: {{cluster_name}} / {{host_ip}}\n\n容器ID: {{container_id}}\n\n机器: {{host_ip}}\n\n时间: {{timestamp}}','{\"container_id\":\"string:6\",\"mem_limit_value\":\"fraction:1\",\"mem_usage_percent_avg\":\"percent:1\"}','1.0','2021-05-28 11:54:59','2021-05-28 11:55:01',0),(1758,'redis实例内存使用率异常告警','addon','addon_redis_mem','webhook','alert','【redis实例内存使用率异常告警】\n','【redis实例内存使用率异常告警】\n\n组件: {{addon_type}}\n\n实例ID: {{addon_id}}\n\n实例: {{pod_namespace}} - {{pod_name}}\n\n平均使用率: {{mem_usage_percent_avg}}\n\n集群 / 机器: {{cluster_name}} / {{host_ip}}\n\n容器ID: {{container_id}}\n\n机器: {{host_ip}}\n\n时间: {{timestamp}}','{\"container_id\":\"string:6\",\"mem_limit_value\":\"fraction:1\",\"mem_usage_percent_avg\":\"percent:1\"}','1.0','2021-05-28 11:54:59','2021-05-28 11:55:01',0),(1759,'应用异常','app_exception','app_exception_count','dingding','alert','【{{application_name}}应用{{service_name}}服务异常告警】\n','【应用异常告警】\n\n项目: {{project_name}}\n\n应用: {{application_name}}\n\n服务: {{runtime_name}} - {{service_name}}\n\n实例: {{instance_id}}\n\n类: {{class}}\n\n方法: {{method}}\n\n行数: {{line}}\n\n错误: {{type}}\n\n事件: {{window}}分钟内出现 {{count_sum}} 次\n\n时间: {{timestamp}}\n\n[查看详情]({{display_url}})\n','','1.0','2021-05-28 11:54:59','2021-05-28 11:55:01',0),(1760,'应用异常','app_exception','app_exception_count','ticket','alert','【{{application_name}}应用{{service_name}}服务异常告警】\n','【应用异常告警】\n\n项目: {{project_name}}\n\n应用: {{application_name}}\n\n服务: {{runtime_name}} - {{service_name}}\n\n实例: {{instance_id}}\n\n类: {{class}}\n\n方法: {{method}}\n\n行数: {{line}}\n\n错误: {{type}}\n\n事件: {{window}}分钟内出现 {{count_sum}} 次\n\n时间: {{timestamp}}\n\n[查看详情]({{display_url}})\n','','1.0','2021-05-28 11:54:59','2021-05-28 11:55:01',0),(1761,'应用异常','app_exception','app_exception_count','email','alert','【{{application_name}}应用{{service_name}}服务异常告警】\n','【应用异常告警】\n\n项目: {{project_name}}\n\n应用: {{application_name}}\n\n服务: {{runtime_name}} - {{service_name}}\n\n实例: {{instance_id}}\n\n类: {{class}}\n\n方法: {{method}}\n\n行数: {{line}}\n\n错误: {{type}}\n\n事件: {{window}}分钟内出现 {{count_sum}} 次\n\n时间: {{timestamp}}\n\n[查看详情]({{display_url}})\n','','1.0','2021-05-28 11:54:59','2021-05-28 11:55:01',0),(1762,'应用异常','app_exception','app_exception_count','mbox','alert','【{{application_name}}应用{{service_name}}服务异常告警】\n','【应用异常告警】\n\n项目: {{project_name}}\n\n应用: {{application_name}}\n\n服务: {{runtime_name}} - {{service_name}}\n\n实例: {{instance_id}}\n\n类: {{class}}\n\n方法: {{method}}\n\n行数: {{line}}\n\n错误: {{type}}\n\n事件: {{window}}分钟内出现 {{count_sum}} 次\n\n时间: {{timestamp}}\n\n[查看详情]({{display_url}})\n','','1.0','2021-05-28 11:54:59','2021-05-28 11:55:01',0),(1763,'应用异常','app_exception','app_exception_count','webhook','alert','【{{application_name}}应用{{service_name}}服务异常告警】\n','【应用异常告警】\n\n项目: {{project_name}}\n\n应用: {{application_name}}\n\n服务: {{runtime_name}} - {{service_name}}\n\n实例: {{instance_id}}\n\n类: {{class}}\n\n方法: {{method}}\n\n行数: {{line}}\n\n错误: {{type}}\n\n事件: {{window}}分钟内出现 {{count_sum}} 次\n\n时间: {{timestamp}}\n\n[查看详情]({{display_url}})\n','','1.0','2021-05-28 11:54:59','2021-05-28 11:55:01',0),(1764,'应用异常','app_exception','app_exception_count','dingding','recover','【{{application_name}}应用{{service_name}}服务异常恢复】\n','【应用异常恢复】\n\n项目: {{project_name}}\n\n应用: {{application_name}}\n\n服务: {{runtime_name}} - {{service_name}}\n\n实例: {{instance_id}}\n\n类: {{class}}\n\n方法: {{method}}\n\n行数: {{line}}\n\n错误: {{type}}\n\n持续时间: {{trigger_duration_min}}\n\n恢复时间: {{timestamp}}','','1.0','2021-05-28 11:54:59','2021-05-28 11:55:01',0),(1765,'应用异常','app_exception','app_exception_count','ticket','recover','【{{application_name}}应用{{service_name}}服务异常恢复】\n','【应用异常恢复】\n\n项目: {{project_name}}\n\n应用: {{application_name}}\n\n服务: {{runtime_name}} - {{service_name}}\n\n实例: {{instance_id}}\n\n类: {{class}}\n\n方法: {{method}}\n\n行数: {{line}}\n\n错误: {{type}}\n\n持续时间: {{trigger_duration_min}}\n\n恢复时间: {{timestamp}}','','1.0','2021-05-28 11:54:59','2021-05-28 11:55:01',0),(1766,'应用异常','app_exception','app_exception_count','email','recover','【{{application_name}}应用{{service_name}}服务异常恢复】\n','【应用异常恢复】\n\n项目: {{project_name}}\n\n应用: {{application_name}}\n\n服务: {{runtime_name}} - {{service_name}}\n\n实例: {{instance_id}}\n\n类: {{class}}\n\n方法: {{method}}\n\n行数: {{line}}\n\n错误: {{type}}\n\n持续时间: {{trigger_duration_min}}\n\n恢复时间: {{timestamp}}','','1.0','2021-05-28 11:54:59','2021-05-28 11:55:01',0),(1767,'应用异常','app_exception','app_exception_count','mbox','recover','【{{application_name}}应用{{service_name}}服务异常恢复】\n','【应用异常恢复】\n\n项目: {{project_name}}\n\n应用: {{application_name}}\n\n服务: {{runtime_name}} - {{service_name}}\n\n实例: {{instance_id}}\n\n类: {{class}}\n\n方法: {{method}}\n\n行数: {{line}}\n\n错误: {{type}}\n\n持续时间: {{trigger_duration_min}}\n\n恢复时间: {{timestamp}}','','1.0','2021-05-28 11:54:59','2021-05-28 11:55:01',0),(1768,'应用异常','app_exception','app_exception_count','webhook','recover','【{{application_name}}应用{{service_name}}服务异常恢复】\n','【应用异常恢复】\n\n项目: {{project_name}}\n\n应用: {{application_name}}\n\n服务: {{runtime_name}} - {{service_name}}\n\n实例: {{instance_id}}\n\n类: {{class}}\n\n方法: {{method}}\n\n行数: {{line}}\n\n错误: {{type}}\n\n持续时间: {{trigger_duration_min}}\n\n恢复时间: {{timestamp}}','','1.0','2021-05-28 11:54:59','2021-05-28 11:55:01',0),(1769,'应用实例CPU使用率异常','app_resource','app_resource_container_cpu','dingding','alert','【{{application_name}}应用{{service_name}}服务实例CPU使用率告警】\n','【应用实例CPU使用率异常告警】\n\n项目: {{project_name}}\n\n应用: {{application_name}}\n\n服务实例: {{runtime_name}} - {{service_name}}.{{container_id}}\n\nCPU平均使用率: {{cpu_usage_percent_avg}}\n\nCPU限制: {{cpu_limit_value}}核\n\n机器: {{host_ip}}\n\n时间: {{timestamp}}\n\n[查看详情]({{display_url}})\n','{\"container_id\":\"string:6\",\"cpu_limit_value\":\"fraction:1\",\"cpu_usage_percent_avg\":\"percent:1\"}','1.0','2021-05-28 11:54:59','2021-05-28 11:55:01',0),(1770,'应用实例CPU使用率异常','app_resource','app_resource_container_cpu','ticket','alert','【{{application_name}}应用{{service_name}}服务实例CPU使用率告警】\n','【应用实例CPU使用率异常告警】\n\n项目: {{project_name}}\n\n应用: {{application_name}}\n\n服务实例: {{runtime_name}} - {{service_name}}.{{container_id}}\n\nCPU平均使用率: {{cpu_usage_percent_avg}}\n\nCPU限制: {{cpu_limit_value}}核\n\n机器: {{host_ip}}\n\n时间: {{timestamp}}\n\n[查看详情]({{display_url}})\n','{\"container_id\":\"string:6\",\"cpu_limit_value\":\"fraction:1\",\"cpu_usage_percent_avg\":\"percent:1\"}','1.0','2021-05-28 11:54:59','2021-05-28 11:55:01',0),(1771,'应用实例CPU使用率异常','app_resource','app_resource_container_cpu','email','alert','【{{application_name}}应用{{service_name}}服务实例CPU使用率告警】\n','【应用实例CPU使用率异常告警】\n\n项目: {{project_name}}\n\n应用: {{application_name}}\n\n服务实例: {{runtime_name}} - {{service_name}}.{{container_id}}\n\nCPU平均使用率: {{cpu_usage_percent_avg}}\n\nCPU限制: {{cpu_limit_value}}核\n\n机器: {{host_ip}}\n\n时间: {{timestamp}}\n\n[查看详情]({{display_url}})\n','{\"container_id\":\"string:6\",\"cpu_limit_value\":\"fraction:1\",\"cpu_usage_percent_avg\":\"percent:1\"}','1.0','2021-05-28 11:54:59','2021-05-28 11:55:01',0),(1772,'应用实例CPU使用率异常','app_resource','app_resource_container_cpu','mbox','alert','【{{application_name}}应用{{service_name}}服务实例CPU使用率告警】\n','【应用实例CPU使用率异常告警】\n\n项目: {{project_name}}\n\n应用: {{application_name}}\n\n服务实例: {{runtime_name}} - {{service_name}}.{{container_id}}\n\nCPU平均使用率: {{cpu_usage_percent_avg}}\n\nCPU限制: {{cpu_limit_value}}核\n\n机器: {{host_ip}}\n\n时间: {{timestamp}}\n\n[查看详情]({{display_url}})\n','{\"container_id\":\"string:6\",\"cpu_limit_value\":\"fraction:1\",\"cpu_usage_percent_avg\":\"percent:1\"}','1.0','2021-05-28 11:54:59','2021-05-28 11:55:01',0),(1773,'应用实例CPU使用率异常','app_resource','app_resource_container_cpu','webhook','alert','【{{application_name}}应用{{service_name}}服务实例CPU使用率告警】\n','【应用实例CPU使用率异常告警】\n\n项目: {{project_name}}\n\n应用: {{application_name}}\n\n服务实例: {{runtime_name}} - {{service_name}}.{{container_id}}\n\nCPU平均使用率: {{cpu_usage_percent_avg}}\n\nCPU限制: {{cpu_limit_value}}核\n\n机器: {{host_ip}}\n\n时间: {{timestamp}}\n\n[查看详情]({{display_url}})\n','{\"container_id\":\"string:6\",\"cpu_limit_value\":\"fraction:1\",\"cpu_usage_percent_avg\":\"percent:1\"}','1.0','2021-05-28 11:54:59','2021-05-28 11:55:01',0),(1774,'应用实例CPU使用率恢复','app_resource','app_resource_container_cpu','dingding','recover','【{{application_name}}应用{{service_name}}服务实例CPU使用率恢复】\n','【应用实例CPU使用率恢复】\n\n项目: {{project_name}}\n\n应用: {{application_name}}\n\n服务实例: {{runtime_name}} - {{service_name}}.{{container_id}}\n\n平均使用率: {{cpu_usage_percent_avg}}\n\n机器: {{host_ip}}\n\n容器ID: {{container_id}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}','{\"container_id\":\"string:6\",\"cpu_usage_percent_avg\":\"percent:1\",\"trigger_duration\":\"time:ms\"}','1.0','2021-05-28 11:54:59','2021-05-28 11:55:01',0),(1775,'应用实例CPU使用率恢复','app_resource','app_resource_container_cpu','ticket','recover','【{{application_name}}应用{{service_name}}服务实例CPU使用率恢复】\n','【应用实例CPU使用率恢复】\n\n项目: {{project_name}}\n\n应用: {{application_name}}\n\n服务实例: {{runtime_name}} - {{service_name}}.{{container_id}}\n\n平均使用率: {{cpu_usage_percent_avg}}\n\n机器: {{host_ip}}\n\n容器ID: {{container_id}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}','{\"container_id\":\"string:6\",\"cpu_usage_percent_avg\":\"percent:1\",\"trigger_duration\":\"time:ms\"}','1.0','2021-05-28 11:54:59','2021-05-28 11:55:01',0),(1776,'应用实例CPU使用率恢复','app_resource','app_resource_container_cpu','email','recover','【{{application_name}}应用{{service_name}}服务实例CPU使用率恢复】\n','【应用实例CPU使用率恢复】\n\n项目: {{project_name}}\n\n应用: {{application_name}}\n\n服务实例: {{runtime_name}} - {{service_name}}.{{container_id}}\n\n平均使用率: {{cpu_usage_percent_avg}}\n\n机器: {{host_ip}}\n\n容器ID: {{container_id}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}','{\"container_id\":\"string:6\",\"cpu_usage_percent_avg\":\"percent:1\",\"trigger_duration\":\"time:ms\"}','1.0','2021-05-28 11:54:59','2021-05-28 11:55:01',0),(1777,'应用实例CPU使用率恢复','app_resource','app_resource_container_cpu','mbox','recover','【{{application_name}}应用{{service_name}}服务实例CPU使用率恢复】\n','【应用实例CPU使用率恢复】\n\n项目: {{project_name}}\n\n应用: {{application_name}}\n\n服务实例: {{runtime_name}} - {{service_name}}.{{container_id}}\n\n平均使用率: {{cpu_usage_percent_avg}}\n\n机器: {{host_ip}}\n\n容器ID: {{container_id}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}','{\"container_id\":\"string:6\",\"cpu_usage_percent_avg\":\"percent:1\",\"trigger_duration\":\"time:ms\"}','1.0','2021-05-28 11:54:59','2021-05-28 11:55:01',0),(1778,'应用实例CPU使用率恢复','app_resource','app_resource_container_cpu','webhook','recover','【{{application_name}}应用{{service_name}}服务实例CPU使用率恢复】\n','【应用实例CPU使用率恢复】\n\n项目: {{project_name}}\n\n应用: {{application_name}}\n\n服务实例: {{runtime_name}} - {{service_name}}.{{container_id}}\n\n平均使用率: {{cpu_usage_percent_avg}}\n\n机器: {{host_ip}}\n\n容器ID: {{container_id}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}','{\"container_id\":\"string:6\",\"cpu_usage_percent_avg\":\"percent:1\",\"trigger_duration\":\"time:ms\"}','1.0','2021-05-28 11:54:59','2021-05-28 11:55:01',0),(1779,'应用实例内存使用率异常','app_resource','app_resource_container_mem','dingding','alert','【{{application_name}}应用{{service_name}}服务内存使用率异常告警】\n','【应用实例内存使用率异常告警】\n\n项目: {{project_name}}\n\n应用: {{application_name}}\n\n服务实例: {{runtime_name}} - {{service_name}}.{{container_id}}\n\n内存使用率: {{mem_usage_percent_avg}}\n\n内存使用: {{mem_usage_value}}\n\n内存限制: {{mem_limit_value}}\n\n机器: {{host_ip}}\n\n时间: {{timestamp}}\n\n[查看详情]({{display_url}})\n','{\"container_id\":\"string:6\",\"mem_limit_value\":\"size:byte\",\"mem_usage_percent_avg\":\"percent:1\",\"mem_usage_value\":\"size:byte\"}','1.0','2021-05-28 11:54:59','2021-05-28 11:55:01',0),(1780,'应用实例内存使用率异常','app_resource','app_resource_container_mem','ticket','alert','【{{application_name}}应用{{service_name}}服务内存使用率异常告警】\n','【应用实例内存使用率异常告警】\n\n项目: {{project_name}}\n\n应用: {{application_name}}\n\n服务实例: {{runtime_name}} - {{service_name}}.{{container_id}}\n\n内存使用率: {{mem_usage_percent_avg}}\n\n内存使用: {{mem_usage_value}}\n\n内存限制: {{mem_limit_value}}\n\n机器: {{host_ip}}\n\n时间: {{timestamp}}\n\n[查看详情]({{display_url}})\n','{\"container_id\":\"string:6\",\"mem_limit_value\":\"size:byte\",\"mem_usage_percent_avg\":\"percent:1\",\"mem_usage_value\":\"size:byte\"}','1.0','2021-05-28 11:54:59','2021-05-28 11:55:01',0),(1781,'应用实例内存使用率异常','app_resource','app_resource_container_mem','email','alert','【{{application_name}}应用{{service_name}}服务内存使用率异常告警】\n','【应用实例内存使用率异常告警】\n\n项目: {{project_name}}\n\n应用: {{application_name}}\n\n服务实例: {{runtime_name}} - {{service_name}}.{{container_id}}\n\n内存使用率: {{mem_usage_percent_avg}}\n\n内存使用: {{mem_usage_value}}\n\n内存限制: {{mem_limit_value}}\n\n机器: {{host_ip}}\n\n时间: {{timestamp}}\n\n[查看详情]({{display_url}})\n','{\"container_id\":\"string:6\",\"mem_limit_value\":\"size:byte\",\"mem_usage_percent_avg\":\"percent:1\",\"mem_usage_value\":\"size:byte\"}','1.0','2021-05-28 11:54:59','2021-05-28 11:55:01',0),(1782,'应用实例内存使用率异常','app_resource','app_resource_container_mem','mbox','alert','【{{application_name}}应用{{service_name}}服务内存使用率异常告警】\n','【应用实例内存使用率异常告警】\n\n项目: {{project_name}}\n\n应用: {{application_name}}\n\n服务实例: {{runtime_name}} - {{service_name}}.{{container_id}}\n\n内存使用率: {{mem_usage_percent_avg}}\n\n内存使用: {{mem_usage_value}}\n\n内存限制: {{mem_limit_value}}\n\n机器: {{host_ip}}\n\n时间: {{timestamp}}\n\n[查看详情]({{display_url}})\n','{\"container_id\":\"string:6\",\"mem_limit_value\":\"size:byte\",\"mem_usage_percent_avg\":\"percent:1\",\"mem_usage_value\":\"size:byte\"}','1.0','2021-05-28 11:54:59','2021-05-28 11:55:01',0),(1783,'应用实例内存使用率异常','app_resource','app_resource_container_mem','webhook','alert','【{{application_name}}应用{{service_name}}服务内存使用率异常告警】\n','【应用实例内存使用率异常告警】\n\n项目: {{project_name}}\n\n应用: {{application_name}}\n\n服务实例: {{runtime_name}} - {{service_name}}.{{container_id}}\n\n内存使用率: {{mem_usage_percent_avg}}\n\n内存使用: {{mem_usage_value}}\n\n内存限制: {{mem_limit_value}}\n\n机器: {{host_ip}}\n\n时间: {{timestamp}}\n\n[查看详情]({{display_url}})\n','{\"container_id\":\"string:6\",\"mem_limit_value\":\"size:byte\",\"mem_usage_percent_avg\":\"percent:1\",\"mem_usage_value\":\"size:byte\"}','1.0','2021-05-28 11:54:59','2021-05-28 11:55:01',0),(1784,'应用实例内存异常','app_resource','app_resource_container_mem','dingding','recover','【{{application_name}}应用{{service_name}}服务内存使用率异常恢复】\n','【应用实例内存使用率异常恢复】\n\n项目: {{project_name}}\n\n应用: {{application_name}}\n\n服务实例: {{runtime_name}} - {{service_name}}.{{container_id}}\n\n内存使用率: {{mem_usage_percent_avg}}\n\n内存使用: {{mem_usage_value}}\n\n内存限制: {{mem_limit_value}}\n\n机器: {{host_ip}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}','{\"container_id\":\"string:6\",\"mem_usage_percent_avg\":\"percent:1\",\"trigger_duration\":\"time:ms\"}','1.0','2021-05-28 11:54:59','2021-05-28 11:55:01',0),(1785,'应用实例内存异常','app_resource','app_resource_container_mem','ticket','recover','【{{application_name}}应用{{service_name}}服务内存使用率异常恢复】\n','【应用实例内存使用率异常恢复】\n\n项目: {{project_name}}\n\n应用: {{application_name}}\n\n服务实例: {{runtime_name}} - {{service_name}}.{{container_id}}\n\n内存使用率: {{mem_usage_percent_avg}}\n\n内存使用: {{mem_usage_value}}\n\n内存限制: {{mem_limit_value}}\n\n机器: {{host_ip}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}','{\"container_id\":\"string:6\",\"mem_usage_percent_avg\":\"percent:1\",\"trigger_duration\":\"time:ms\"}','1.0','2021-05-28 11:54:59','2021-05-28 11:55:01',0),(1786,'应用实例内存异常','app_resource','app_resource_container_mem','email','recover','【{{application_name}}应用{{service_name}}服务内存使用率异常恢复】\n','【应用实例内存使用率异常恢复】\n\n项目: {{project_name}}\n\n应用: {{application_name}}\n\n服务实例: {{runtime_name}} - {{service_name}}.{{container_id}}\n\n内存使用率: {{mem_usage_percent_avg}}\n\n内存使用: {{mem_usage_value}}\n\n内存限制: {{mem_limit_value}}\n\n机器: {{host_ip}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}','{\"container_id\":\"string:6\",\"mem_usage_percent_avg\":\"percent:1\",\"trigger_duration\":\"time:ms\"}','1.0','2021-05-28 11:54:59','2021-05-28 11:55:01',0),(1787,'应用实例内存异常','app_resource','app_resource_container_mem','mbox','recover','【{{application_name}}应用{{service_name}}服务内存使用率异常恢复】\n','【应用实例内存使用率异常恢复】\n\n项目: {{project_name}}\n\n应用: {{application_name}}\n\n服务实例: {{runtime_name}} - {{service_name}}.{{container_id}}\n\n内存使用率: {{mem_usage_percent_avg}}\n\n内存使用: {{mem_usage_value}}\n\n内存限制: {{mem_limit_value}}\n\n机器: {{host_ip}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}','{\"container_id\":\"string:6\",\"mem_usage_percent_avg\":\"percent:1\",\"trigger_duration\":\"time:ms\"}','1.0','2021-05-28 11:54:59','2021-05-28 11:55:01',0),(1788,'应用实例内存异常','app_resource','app_resource_container_mem','webhook','recover','【{{application_name}}应用{{service_name}}服务内存使用率异常恢复】\n','【应用实例内存使用率异常恢复】\n\n项目: {{project_name}}\n\n应用: {{application_name}}\n\n服务实例: {{runtime_name}} - {{service_name}}.{{container_id}}\n\n内存使用率: {{mem_usage_percent_avg}}\n\n内存使用: {{mem_usage_value}}\n\n内存限制: {{mem_limit_value}}\n\n机器: {{host_ip}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}','{\"container_id\":\"string:6\",\"mem_usage_percent_avg\":\"percent:1\",\"trigger_duration\":\"time:ms\"}','1.0','2021-05-28 11:54:59','2021-05-28 11:55:01',0),(1789,'应用实例OOM告警','app_resource','app_resource_container_oom','dingding','alert','【{{application_name}}应用{{service_name}}服务实例OOM告警】\n','【应用实例OOM告警】\n\n项目: {{project_name}}\n\n应用: {{application_name}}\n\n服务实例: {{runtime_name}} - {{service_name}}.{{container_id}}\n\n事件: 服务实例发生OOM\n\n机器: {{host_ip}}\n\n时间: {{timestamp}}\n\n[查看详情]({{display_url}})','{\"container_id\":\"string:6\"}','1.0','2021-05-28 11:54:59','2021-05-28 11:55:01',0),(1790,'应用实例OOM告警','app_resource','app_resource_container_oom','ticket','alert','【{{application_name}}应用{{service_name}}服务实例OOM告警】\n','【应用实例OOM告警】\n\n项目: {{project_name}}\n\n应用: {{application_name}}\n\n服务实例: {{runtime_name}} - {{service_name}}.{{container_id}}\n\n事件: 服务实例发生OOM\n\n机器: {{host_ip}}\n\n时间: {{timestamp}}\n\n[查看详情]({{display_url}})','{\"container_id\":\"string:6\"}','1.0','2021-05-28 11:54:59','2021-05-28 11:55:01',0),(1791,'应用实例OOM告警','app_resource','app_resource_container_oom','email','alert','【{{application_name}}应用{{service_name}}服务实例OOM告警】\n','【应用实例OOM告警】\n\n项目: {{project_name}}\n\n应用: {{application_name}}\n\n服务实例: {{runtime_name}} - {{service_name}}.{{container_id}}\n\n事件: 服务实例发生OOM\n\n机器: {{host_ip}}\n\n时间: {{timestamp}}\n\n[查看详情]({{display_url}})','{\"container_id\":\"string:6\"}','1.0','2021-05-28 11:54:59','2021-05-28 11:55:01',0),(1792,'应用实例OOM告警','app_resource','app_resource_container_oom','mbox','alert','【{{application_name}}应用{{service_name}}服务实例OOM告警】\n','【应用实例OOM告警】\n\n项目: {{project_name}}\n\n应用: {{application_name}}\n\n服务实例: {{runtime_name}} - {{service_name}}.{{container_id}}\n\n事件: 服务实例发生OOM\n\n机器: {{host_ip}}\n\n时间: {{timestamp}}\n\n[查看详情]({{display_url}})','{\"container_id\":\"string:6\"}','1.0','2021-05-28 11:54:59','2021-05-28 11:55:01',0),(1793,'应用实例OOM告警','app_resource','app_resource_container_oom','webhook','alert','【{{application_name}}应用{{service_name}}服务实例OOM告警】\n','【应用实例OOM告警】\n\n项目: {{project_name}}\n\n应用: {{application_name}}\n\n服务实例: {{runtime_name}} - {{service_name}}.{{container_id}}\n\n事件: 服务实例发生OOM\n\n机器: {{host_ip}}\n\n时间: {{timestamp}}\n\n[查看详情]({{display_url}})','{\"container_id\":\"string:6\"}','1.0','2021-05-28 11:54:59','2021-05-28 11:55:01',0),(1794,'应用JVM GC次数异常','app_resource','app_resource_jvm_gc_count','dingding','alert','【{{application_name}}应用{{service_name}}服务JVM GC次数异常告警】\n','【应用JVM GC次数异常告警】\n\n实例GC次数太多 !\n\n项目: {{project_name}}\n\n应用: {{application_name}}\n\n服务: {{runtime_name}} / {{service_name}}\n\n老年代GC次数: {{count_sum}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n时间: {{timestamp}}\n\n[查看详情]({{display_url}})\n','','1.0','2021-05-28 11:54:59','2021-05-28 11:55:01',0),(1795,'应用JVM GC次数异常','app_resource','app_resource_jvm_gc_count','ticket','alert','【{{application_name}}应用{{service_name}}服务JVM GC次数异常告警】\n','【应用JVM GC次数异常告警】\n\n实例GC次数太多 !\n\n项目: {{project_name}}\n\n应用: {{application_name}}\n\n服务: {{runtime_name}} / {{service_name}}\n\n老年代GC次数: {{count_sum}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n时间: {{timestamp}}\n\n[查看详情]({{display_url}})\n','','1.0','2021-05-28 11:54:59','2021-05-28 11:55:01',0),(1796,'应用JVM GC次数异常','app_resource','app_resource_jvm_gc_count','email','alert','【{{application_name}}应用{{service_name}}服务JVM GC次数异常告警】\n','【应用JVM GC次数异常告警】\n\n实例GC次数太多 !\n\n项目: {{project_name}}\n\n应用: {{application_name}}\n\n服务: {{runtime_name}} / {{service_name}}\n\n老年代GC次数: {{count_sum}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n时间: {{timestamp}}\n\n[查看详情]({{display_url}})\n','','1.0','2021-05-28 11:54:59','2021-05-28 11:55:01',0),(1797,'应用JVM GC次数异常','app_resource','app_resource_jvm_gc_count','mbox','alert','【{{application_name}}应用{{service_name}}服务JVM GC次数异常告警】\n','【应用JVM GC次数异常告警】\n\n实例GC次数太多 !\n\n项目: {{project_name}}\n\n应用: {{application_name}}\n\n服务: {{runtime_name}} / {{service_name}}\n\n老年代GC次数: {{count_sum}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n时间: {{timestamp}}\n\n[查看详情]({{display_url}})\n','','1.0','2021-05-28 11:54:59','2021-05-28 11:55:01',0),(1798,'应用JVM GC次数异常','app_resource','app_resource_jvm_gc_count','webhook','alert','【{{application_name}}应用{{service_name}}服务JVM GC次数异常告警】\n','【应用JVM GC次数异常告警】\n\n实例GC次数太多 !\n\n项目: {{project_name}}\n\n应用: {{application_name}}\n\n服务: {{runtime_name}} / {{service_name}}\n\n老年代GC次数: {{count_sum}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n时间: {{timestamp}}\n\n[查看详情]({{display_url}})\n','','1.0','2021-05-28 11:54:59','2021-05-28 11:55:01',0),(1799,'应用JVM GC次数异常','app_resource','app_resource_jvm_gc_count','dingding','recover','【{{application_name}}应用{{service_name}}服务JVM GC次数异常恢复】\n','【应用JVM GC次数异常恢复】\n\n实例GC次数已恢复正常值 .\n\n项目: {{project_name}}\n\n应用: {{application_name}}\n\n服务: {{runtime_name}} / {{service_name}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n持续时间: {{trigger_duration_min}}\n\n恢复时间: {{timestamp}}\n','','1.0','2021-05-28 11:54:59','2021-05-28 11:55:01',0),(1800,'应用JVM GC次数异常','app_resource','app_resource_jvm_gc_count','ticket','recover','【{{application_name}}应用{{service_name}}服务JVM GC次数异常恢复】\n','【应用JVM GC次数异常恢复】\n\n实例GC次数已恢复正常值 .\n\n项目: {{project_name}}\n\n应用: {{application_name}}\n\n服务: {{runtime_name}} / {{service_name}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n持续时间: {{trigger_duration_min}}\n\n恢复时间: {{timestamp}}\n','','1.0','2021-05-28 11:54:59','2021-05-28 11:55:01',0),(1801,'应用JVM GC次数异常','app_resource','app_resource_jvm_gc_count','email','recover','【{{application_name}}应用{{service_name}}服务JVM GC次数异常恢复】\n','【应用JVM GC次数异常恢复】\n\n实例GC次数已恢复正常值 .\n\n项目: {{project_name}}\n\n应用: {{application_name}}\n\n服务: {{runtime_name}} / {{service_name}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n持续时间: {{trigger_duration_min}}\n\n恢复时间: {{timestamp}}\n','','1.0','2021-05-28 11:54:59','2021-05-28 11:55:01',0),(1802,'应用JVM GC次数异常','app_resource','app_resource_jvm_gc_count','mbox','recover','【{{application_name}}应用{{service_name}}服务JVM GC次数异常恢复】\n','【应用JVM GC次数异常恢复】\n\n实例GC次数已恢复正常值 .\n\n项目: {{project_name}}\n\n应用: {{application_name}}\n\n服务: {{runtime_name}} / {{service_name}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n持续时间: {{trigger_duration_min}}\n\n恢复时间: {{timestamp}}\n','','1.0','2021-05-28 11:54:59','2021-05-28 11:55:01',0),(1803,'应用JVM GC次数异常','app_resource','app_resource_jvm_gc_count','webhook','recover','【{{application_name}}应用{{service_name}}服务JVM GC次数异常恢复】\n','【应用JVM GC次数异常恢复】\n\n实例GC次数已恢复正常值 .\n\n项目: {{project_name}}\n\n应用: {{application_name}}\n\n服务: {{runtime_name}} / {{service_name}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n持续时间: {{trigger_duration_min}}\n\n恢复时间: {{timestamp}}\n','','1.0','2021-05-28 11:54:59','2021-05-28 11:55:01',0),(1804,'应用JVM GC耗时异常','app_resource','app_resource_jvm_gc_time','dingding','alert','【{{application_name}}应用{{service_name}}服务JVM GC耗时异常告警】\n','【应用JVM GC耗时异常告警】\n\n实例GC耗时过长 !\n\n项目: {{project_name}}\n\n应用: {{application_name}}\n\n服务: {{runtime_name}} / {{service_name}}\n\n老年代GC耗时: 总耗时{{time_sum}}，最后一次耗时{{time_value}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n时间: {{timestamp}}\n\n[查看详情]({{display_url}})\n','{\"time_sum\":\"time:ms\",\"time_value\":\"time:ms\"}','1.0','2021-05-28 11:54:59','2021-05-28 11:55:01',0),(1805,'应用JVM GC耗时异常','app_resource','app_resource_jvm_gc_time','ticket','alert','【{{application_name}}应用{{service_name}}服务JVM GC耗时异常告警】\n','【应用JVM GC耗时异常告警】\n\n实例GC耗时过长 !\n\n项目: {{project_name}}\n\n应用: {{application_name}}\n\n服务: {{runtime_name}} / {{service_name}}\n\n老年代GC耗时: 总耗时{{time_sum}}，最后一次耗时{{time_value}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n时间: {{timestamp}}\n\n[查看详情]({{display_url}})\n','{\"time_sum\":\"time:ms\",\"time_value\":\"time:ms\"}','1.0','2021-05-28 11:54:59','2021-05-28 11:55:01',0),(1806,'应用JVM GC耗时异常','app_resource','app_resource_jvm_gc_time','email','alert','【{{application_name}}应用{{service_name}}服务JVM GC耗时异常告警】\n','【应用JVM GC耗时异常告警】\n\n实例GC耗时过长 !\n\n项目: {{project_name}}\n\n应用: {{application_name}}\n\n服务: {{runtime_name}} / {{service_name}}\n\n老年代GC耗时: 总耗时{{time_sum}}，最后一次耗时{{time_value}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n时间: {{timestamp}}\n\n[查看详情]({{display_url}})\n','{\"time_sum\":\"time:ms\",\"time_value\":\"time:ms\"}','1.0','2021-05-28 11:54:59','2021-05-28 11:55:01',0),(1807,'应用JVM GC耗时异常','app_resource','app_resource_jvm_gc_time','mbox','alert','【{{application_name}}应用{{service_name}}服务JVM GC耗时异常告警】\n','【应用JVM GC耗时异常告警】\n\n实例GC耗时过长 !\n\n项目: {{project_name}}\n\n应用: {{application_name}}\n\n服务: {{runtime_name}} / {{service_name}}\n\n老年代GC耗时: 总耗时{{time_sum}}，最后一次耗时{{time_value}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n时间: {{timestamp}}\n\n[查看详情]({{display_url}})\n','{\"time_sum\":\"time:ms\",\"time_value\":\"time:ms\"}','1.0','2021-05-28 11:54:59','2021-05-28 11:55:01',0),(1808,'应用JVM GC耗时异常','app_resource','app_resource_jvm_gc_time','webhook','alert','【{{application_name}}应用{{service_name}}服务JVM GC耗时异常告警】\n','【应用JVM GC耗时异常告警】\n\n实例GC耗时过长 !\n\n项目: {{project_name}}\n\n应用: {{application_name}}\n\n服务: {{runtime_name}} / {{service_name}}\n\n老年代GC耗时: 总耗时{{time_sum}}，最后一次耗时{{time_value}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n时间: {{timestamp}}\n\n[查看详情]({{display_url}})\n','{\"time_sum\":\"time:ms\",\"time_value\":\"time:ms\"}','1.0','2021-05-28 11:54:59','2021-05-28 11:55:01',0),(1809,'应用JVM GC耗时异常','app_resource','app_resource_jvm_gc_time','dingding','recover','【{{application_name}}应用{{service_name}}服务JVM GC耗时异常恢复】\n','【应用JVM GC耗时异常恢复】\n\n实例GC耗时已恢复正常值 .\n\n项目: {{project_name}}\n\n应用: {{application_name}}\n\n服务: {{runtime_name}} / {{service_name}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n持续时间: {{trigger_duration_min}}\n\n恢复时间: {{timestamp}}\n','','1.0','2021-05-28 11:54:59','2021-05-28 11:55:01',0),(1810,'应用JVM GC耗时异常','app_resource','app_resource_jvm_gc_time','ticket','recover','【{{application_name}}应用{{service_name}}服务JVM GC耗时异常恢复】\n','【应用JVM GC耗时异常恢复】\n\n实例GC耗时已恢复正常值 .\n\n项目: {{project_name}}\n\n应用: {{application_name}}\n\n服务: {{runtime_name}} / {{service_name}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n持续时间: {{trigger_duration_min}}\n\n恢复时间: {{timestamp}}\n','','1.0','2021-05-28 11:54:59','2021-05-28 11:55:01',0),(1811,'应用JVM GC耗时异常','app_resource','app_resource_jvm_gc_time','email','recover','【{{application_name}}应用{{service_name}}服务JVM GC耗时异常恢复】\n','【应用JVM GC耗时异常恢复】\n\n实例GC耗时已恢复正常值 .\n\n项目: {{project_name}}\n\n应用: {{application_name}}\n\n服务: {{runtime_name}} / {{service_name}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n持续时间: {{trigger_duration_min}}\n\n恢复时间: {{timestamp}}\n','','1.0','2021-05-28 11:54:59','2021-05-28 11:55:01',0),(1812,'应用JVM GC耗时异常','app_resource','app_resource_jvm_gc_time','mbox','recover','【{{application_name}}应用{{service_name}}服务JVM GC耗时异常恢复】\n','【应用JVM GC耗时异常恢复】\n\n实例GC耗时已恢复正常值 .\n\n项目: {{project_name}}\n\n应用: {{application_name}}\n\n服务: {{runtime_name}} / {{service_name}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n持续时间: {{trigger_duration_min}}\n\n恢复时间: {{timestamp}}\n','','1.0','2021-05-28 11:54:59','2021-05-28 11:55:01',0),(1813,'应用JVM GC耗时异常','app_resource','app_resource_jvm_gc_time','webhook','recover','【{{application_name}}应用{{service_name}}服务JVM GC耗时异常恢复】\n','【应用JVM GC耗时异常恢复】\n\n实例GC耗时已恢复正常值 .\n\n项目: {{project_name}}\n\n应用: {{application_name}}\n\n服务: {{runtime_name}} / {{service_name}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n持续时间: {{trigger_duration_min}}\n\n恢复时间: {{timestamp}}\n','','1.0','2021-05-28 11:54:59','2021-05-28 11:55:01',0),(1814,'JVM堆内存使用异常告警','app_resource','app_resource_jvm_heap','dingding','alert','【{{application_name}}应用{{service_name}}服务JVM堆内存使用异常告警】','【JVM堆内存使用异常告警】\n\n实例JVM堆内存使用过高 ！\n\n项目: {{project_name}}\n\n应用: {{application_name}}\n\n服务: {{runtime_name}} / {{service_name}}\n\n实例: {{instance_id}}\n\n堆内存使用率: {{usage_percent_avg}}\n\n已使用: {{used_value}}\n\n最大使用: {{max_value}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n时间: {{timestamp}}\n\n[查看详情]({{display_url}})\n','{\"max_value\":\"size:byte\",\"usage_percent_avg\":\"percent\",\"used_value\":\"size:byte\"}','1.0','2021-05-28 11:54:59','2021-05-28 11:55:01',0),(1815,'JVM堆内存使用异常告警','app_resource','app_resource_jvm_heap','ticket','alert','【{{application_name}}应用{{service_name}}服务JVM堆内存使用异常告警】','【JVM堆内存使用异常告警】\n\n实例JVM堆内存使用过高 ！\n\n项目: {{project_name}}\n\n应用: {{application_name}}\n\n服务: {{runtime_name}} / {{service_name}}\n\n实例: {{instance_id}}\n\n堆内存使用率: {{usage_percent_avg}}\n\n已使用: {{used_value}}\n\n最大使用: {{max_value}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n时间: {{timestamp}}\n\n[查看详情]({{display_url}})\n','{\"max_value\":\"size:byte\",\"usage_percent_avg\":\"percent\",\"used_value\":\"size:byte\"}','1.0','2021-05-28 11:54:59','2021-05-28 11:55:01',0),(1816,'JVM堆内存使用异常告警','app_resource','app_resource_jvm_heap','email','alert','【{{application_name}}应用{{service_name}}服务JVM堆内存使用异常告警】','【JVM堆内存使用异常告警】\n\n实例JVM堆内存使用过高 ！\n\n项目: {{project_name}}\n\n应用: {{application_name}}\n\n服务: {{runtime_name}} / {{service_name}}\n\n实例: {{instance_id}}\n\n堆内存使用率: {{usage_percent_avg}}\n\n已使用: {{used_value}}\n\n最大使用: {{max_value}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n时间: {{timestamp}}\n\n[查看详情]({{display_url}})\n','{\"max_value\":\"size:byte\",\"usage_percent_avg\":\"percent\",\"used_value\":\"size:byte\"}','1.0','2021-05-28 11:54:59','2021-05-28 11:55:01',0),(1817,'JVM堆内存使用异常告警','app_resource','app_resource_jvm_heap','mbox','alert','【{{application_name}}应用{{service_name}}服务JVM堆内存使用异常告警】','【JVM堆内存使用异常告警】\n\n实例JVM堆内存使用过高 ！\n\n项目: {{project_name}}\n\n应用: {{application_name}}\n\n服务: {{runtime_name}} / {{service_name}}\n\n实例: {{instance_id}}\n\n堆内存使用率: {{usage_percent_avg}}\n\n已使用: {{used_value}}\n\n最大使用: {{max_value}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n时间: {{timestamp}}\n\n[查看详情]({{display_url}})\n','{\"max_value\":\"size:byte\",\"usage_percent_avg\":\"percent\",\"used_value\":\"size:byte\"}','1.0','2021-05-28 11:54:59','2021-05-28 11:55:01',0),(1818,'JVM堆内存使用异常告警','app_resource','app_resource_jvm_heap','webhook','alert','【{{application_name}}应用{{service_name}}服务JVM堆内存使用异常告警】','【JVM堆内存使用异常告警】\n\n实例JVM堆内存使用过高 ！\n\n项目: {{project_name}}\n\n应用: {{application_name}}\n\n服务: {{runtime_name}} / {{service_name}}\n\n实例: {{instance_id}}\n\n堆内存使用率: {{usage_percent_avg}}\n\n已使用: {{used_value}}\n\n最大使用: {{max_value}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n时间: {{timestamp}}\n\n[查看详情]({{display_url}})\n','{\"max_value\":\"size:byte\",\"usage_percent_avg\":\"percent\",\"used_value\":\"size:byte\"}','1.0','2021-05-28 11:54:59','2021-05-28 11:55:01',0),(1819,'JVM堆内存使用异常恢复','app_resource','app_resource_jvm_heap','dingding','recover','【{{application_name}}应用{{service_name}}服务JVM堆内存使用异常恢复】','【JVM堆内存使用异常恢复】\n\n实例JVM堆内存已恢复恢复正常使用状态 .\n\n项目: {{project_name}}\n\n应用: {{application_name}}\n\n服务: {{runtime_name}} / {{service_name}}\n\n实例: {{instance_id}}\n\n堆内存使用率: {{usage_percent_avg}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n持续时间: {{trigger_duration_min}}\n\n恢复时间: {{timestamp}}\n','{\"usage_percent_avg\":\"percent\"}','1.0','2021-05-28 11:54:59','2021-05-28 11:55:01',0),(1820,'JVM堆内存使用异常恢复','app_resource','app_resource_jvm_heap','ticket','recover','【{{application_name}}应用{{service_name}}服务JVM堆内存使用异常恢复】','【JVM堆内存使用异常恢复】\n\n实例JVM堆内存已恢复恢复正常使用状态 .\n\n项目: {{project_name}}\n\n应用: {{application_name}}\n\n服务: {{runtime_name}} / {{service_name}}\n\n实例: {{instance_id}}\n\n堆内存使用率: {{usage_percent_avg}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n持续时间: {{trigger_duration_min}}\n\n恢复时间: {{timestamp}}\n','{\"usage_percent_avg\":\"percent\"}','1.0','2021-05-28 11:54:59','2021-05-28 11:55:01',0),(1821,'JVM堆内存使用异常恢复','app_resource','app_resource_jvm_heap','email','recover','【{{application_name}}应用{{service_name}}服务JVM堆内存使用异常恢复】','【JVM堆内存使用异常恢复】\n\n实例JVM堆内存已恢复恢复正常使用状态 .\n\n项目: {{project_name}}\n\n应用: {{application_name}}\n\n服务: {{runtime_name}} / {{service_name}}\n\n实例: {{instance_id}}\n\n堆内存使用率: {{usage_percent_avg}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n持续时间: {{trigger_duration_min}}\n\n恢复时间: {{timestamp}}\n','{\"usage_percent_avg\":\"percent\"}','1.0','2021-05-28 11:54:59','2021-05-28 11:55:01',0),(1822,'JVM堆内存使用异常恢复','app_resource','app_resource_jvm_heap','mbox','recover','【{{application_name}}应用{{service_name}}服务JVM堆内存使用异常恢复】','【JVM堆内存使用异常恢复】\n\n实例JVM堆内存已恢复恢复正常使用状态 .\n\n项目: {{project_name}}\n\n应用: {{application_name}}\n\n服务: {{runtime_name}} / {{service_name}}\n\n实例: {{instance_id}}\n\n堆内存使用率: {{usage_percent_avg}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n持续时间: {{trigger_duration_min}}\n\n恢复时间: {{timestamp}}\n','{\"usage_percent_avg\":\"percent\"}','1.0','2021-05-28 11:54:59','2021-05-28 11:55:01',0),(1823,'JVM堆内存使用异常恢复','app_resource','app_resource_jvm_heap','webhook','recover','【{{application_name}}应用{{service_name}}服务JVM堆内存使用异常恢复】','【JVM堆内存使用异常恢复】\n\n实例JVM堆内存已恢复恢复正常使用状态 .\n\n项目: {{project_name}}\n\n应用: {{application_name}}\n\n服务: {{runtime_name}} / {{service_name}}\n\n实例: {{instance_id}}\n\n堆内存使用率: {{usage_percent_avg}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n持续时间: {{trigger_duration_min}}\n\n恢复时间: {{timestamp}}\n','{\"usage_percent_avg\":\"percent\"}','1.0','2021-05-28 11:54:59','2021-05-28 11:55:01',0),(1824,'应用NodeJS堆内存使用异常告警','app_resource','app_resource_nodejs_heap','dingding','alert','【{{application_name}}应用{{service_name}}服务NodeJS堆内存使用异常告警】','【应用NodeJS堆内存使用异常告警】\n\n实例NodeJS堆内存使用过高 ！\n\n项目: {{project_name}}\n\n应用: {{application_name}}\n\n服务: {{runtime_name}} / {{service_name}}\n\n实例: {{instance_id}}\n\n堆内存使用率: {{usage_percent_avg}}\n\n已使用: {{heap_used_value}}\n\n常驻内存: {{rss_value}}\n\n最大使用: {{max_value}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n时间: {{timestamp}}\n\n[查看详情]({{display_url}})\n','{\"heap_used_value\":\"size:byte\",\"max_value\":\"size:byte\",\"rss_value\":\"size:byte\",\"usage_percent_avg\":\"percent\"}','1.0','2021-05-28 11:54:59','2021-05-28 11:55:01',0),(1825,'应用NodeJS堆内存使用异常告警','app_resource','app_resource_nodejs_heap','ticket','alert','【{{application_name}}应用{{service_name}}服务NodeJS堆内存使用异常告警】','【应用NodeJS堆内存使用异常告警】\n\n实例NodeJS堆内存使用过高 ！\n\n项目: {{project_name}}\n\n应用: {{application_name}}\n\n服务: {{runtime_name}} / {{service_name}}\n\n实例: {{instance_id}}\n\n堆内存使用率: {{usage_percent_avg}}\n\n已使用: {{heap_used_value}}\n\n常驻内存: {{rss_value}}\n\n最大使用: {{max_value}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n时间: {{timestamp}}\n\n[查看详情]({{display_url}})\n','{\"heap_used_value\":\"size:byte\",\"max_value\":\"size:byte\",\"rss_value\":\"size:byte\",\"usage_percent_avg\":\"percent\"}','1.0','2021-05-28 11:54:59','2021-05-28 11:55:01',0),(1826,'应用NodeJS堆内存使用异常告警','app_resource','app_resource_nodejs_heap','email','alert','【{{application_name}}应用{{service_name}}服务NodeJS堆内存使用异常告警】','【应用NodeJS堆内存使用异常告警】\n\n实例NodeJS堆内存使用过高 ！\n\n项目: {{project_name}}\n\n应用: {{application_name}}\n\n服务: {{runtime_name}} / {{service_name}}\n\n实例: {{instance_id}}\n\n堆内存使用率: {{usage_percent_avg}}\n\n已使用: {{heap_used_value}}\n\n常驻内存: {{rss_value}}\n\n最大使用: {{max_value}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n时间: {{timestamp}}\n\n[查看详情]({{display_url}})\n','{\"heap_used_value\":\"size:byte\",\"max_value\":\"size:byte\",\"rss_value\":\"size:byte\",\"usage_percent_avg\":\"percent\"}','1.0','2021-05-28 11:54:59','2021-05-28 11:55:01',0),(1827,'应用NodeJS堆内存使用异常告警','app_resource','app_resource_nodejs_heap','mbox','alert','【{{application_name}}应用{{service_name}}服务NodeJS堆内存使用异常告警】','【应用NodeJS堆内存使用异常告警】\n\n实例NodeJS堆内存使用过高 ！\n\n项目: {{project_name}}\n\n应用: {{application_name}}\n\n服务: {{runtime_name}} / {{service_name}}\n\n实例: {{instance_id}}\n\n堆内存使用率: {{usage_percent_avg}}\n\n已使用: {{heap_used_value}}\n\n常驻内存: {{rss_value}}\n\n最大使用: {{max_value}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n时间: {{timestamp}}\n\n[查看详情]({{display_url}})\n','{\"heap_used_value\":\"size:byte\",\"max_value\":\"size:byte\",\"rss_value\":\"size:byte\",\"usage_percent_avg\":\"percent\"}','1.0','2021-05-28 11:54:59','2021-05-28 11:55:01',0),(1828,'应用NodeJS堆内存使用异常告警','app_resource','app_resource_nodejs_heap','webhook','alert','【{{application_name}}应用{{service_name}}服务NodeJS堆内存使用异常告警】','【应用NodeJS堆内存使用异常告警】\n\n实例NodeJS堆内存使用过高 ！\n\n项目: {{project_name}}\n\n应用: {{application_name}}\n\n服务: {{runtime_name}} / {{service_name}}\n\n实例: {{instance_id}}\n\n堆内存使用率: {{usage_percent_avg}}\n\n已使用: {{heap_used_value}}\n\n常驻内存: {{rss_value}}\n\n最大使用: {{max_value}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n时间: {{timestamp}}\n\n[查看详情]({{display_url}})\n','{\"heap_used_value\":\"size:byte\",\"max_value\":\"size:byte\",\"rss_value\":\"size:byte\",\"usage_percent_avg\":\"percent\"}','1.0','2021-05-28 11:54:59','2021-05-28 11:55:01',0),(1829,'应用NodeJS堆内存使用异常恢复','app_resource','app_resource_nodejs_heap','dingding','recover','【{{application_name}}应用{{service_name}}服务NodeJS堆内存使用异常恢复】','【应用NodeJS堆内存使用异常恢复】\n\nNodeJS堆内存已恢复恢复正常状态 .\n\n项目: {{project_name}}\n\n应用: {{application_name}}\n\n服务: {{runtime_name}} / {{service_name}}\n\n实例: {{instance_id}}\n\n堆内存使用率: {{usage_percent_avg}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n持续时间: {{trigger_duration_min}}\n\n恢复时间: {{timestamp}}\n','{\"usage_percent_avg\":\"percent\"}','1.0','2021-05-28 11:54:59','2021-05-28 11:55:01',0),(1830,'应用NodeJS堆内存使用异常恢复','app_resource','app_resource_nodejs_heap','ticket','recover','【{{application_name}}应用{{service_name}}服务NodeJS堆内存使用异常恢复】','【应用NodeJS堆内存使用异常恢复】\n\nNodeJS堆内存已恢复恢复正常状态 .\n\n项目: {{project_name}}\n\n应用: {{application_name}}\n\n服务: {{runtime_name}} / {{service_name}}\n\n实例: {{instance_id}}\n\n堆内存使用率: {{usage_percent_avg}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n持续时间: {{trigger_duration_min}}\n\n恢复时间: {{timestamp}}\n','{\"usage_percent_avg\":\"percent\"}','1.0','2021-05-28 11:54:59','2021-05-28 11:55:01',0),(1831,'应用NodeJS堆内存使用异常恢复','app_resource','app_resource_nodejs_heap','email','recover','【{{application_name}}应用{{service_name}}服务NodeJS堆内存使用异常恢复】','【应用NodeJS堆内存使用异常恢复】\n\nNodeJS堆内存已恢复恢复正常状态 .\n\n项目: {{project_name}}\n\n应用: {{application_name}}\n\n服务: {{runtime_name}} / {{service_name}}\n\n实例: {{instance_id}}\n\n堆内存使用率: {{usage_percent_avg}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n持续时间: {{trigger_duration_min}}\n\n恢复时间: {{timestamp}}\n','{\"usage_percent_avg\":\"percent\"}','1.0','2021-05-28 11:54:59','2021-05-28 11:55:01',0),(1832,'应用NodeJS堆内存使用异常恢复','app_resource','app_resource_nodejs_heap','mbox','recover','【{{application_name}}应用{{service_name}}服务NodeJS堆内存使用异常恢复】','【应用NodeJS堆内存使用异常恢复】\n\nNodeJS堆内存已恢复恢复正常状态 .\n\n项目: {{project_name}}\n\n应用: {{application_name}}\n\n服务: {{runtime_name}} / {{service_name}}\n\n实例: {{instance_id}}\n\n堆内存使用率: {{usage_percent_avg}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n持续时间: {{trigger_duration_min}}\n\n恢复时间: {{timestamp}}\n','{\"usage_percent_avg\":\"percent\"}','1.0','2021-05-28 11:54:59','2021-05-28 11:55:01',0),(1833,'应用NodeJS堆内存使用异常恢复','app_resource','app_resource_nodejs_heap','webhook','recover','【{{application_name}}应用{{service_name}}服务NodeJS堆内存使用异常恢复】','【应用NodeJS堆内存使用异常恢复】\n\nNodeJS堆内存已恢复恢复正常状态 .\n\n项目: {{project_name}}\n\n应用: {{application_name}}\n\n服务: {{runtime_name}} / {{service_name}}\n\n实例: {{instance_id}}\n\n堆内存使用率: {{usage_percent_avg}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n持续时间: {{trigger_duration_min}}\n\n恢复时间: {{timestamp}}\n','{\"usage_percent_avg\":\"percent\"}','1.0','2021-05-28 11:54:59','2021-05-28 11:55:01',0),(1834,' 页面内容改变','app_status','app_status_browser','dingding','alert','【{{project_name}}项目{{status_metric_name}}页面内容改变告警】\n','【页面内容改变告警】\n\n项目: {{project_name}}\n\n环境: {{workspace}}\n\n事件：[{{status_metric_name}}]({{url}})页面内容和基准点对比不一致\n\n时间: {{timestamp}}\n\n[查看详情]({{display_url}})\n','','1.0','2021-05-28 11:54:59','2021-05-28 11:55:01',0),(1835,' 页面内容改变','app_status','app_status_browser','ticket','alert','【{{project_name}}项目{{status_metric_name}}页面内容改变告警】\n','【页面内容改变告警】\n\n项目: {{project_name}}\n\n环境: {{workspace}}\n\n事件：[{{status_metric_name}}]({{url}})页面内容和基准点对比不一致\n\n时间: {{timestamp}}\n\n[查看详情]({{display_url}})\n','','1.0','2021-05-28 11:54:59','2021-05-28 11:55:01',0),(1836,' 页面内容改变','app_status','app_status_browser','email','alert','【{{project_name}}项目{{status_metric_name}}页面内容改变告警】\n','【页面内容改变告警】\n\n项目: {{project_name}}\n\n环境: {{workspace}}\n\n事件：[{{status_metric_name}}]({{url}})页面内容和基准点对比不一致\n\n时间: {{timestamp}}\n\n[查看详情]({{display_url}})\n','','1.0','2021-05-28 11:54:59','2021-05-28 11:55:01',0),(1837,' 页面内容改变','app_status','app_status_browser','mbox','alert','【{{project_name}}项目{{status_metric_name}}页面内容改变告警】\n','【页面内容改变告警】\n\n项目: {{project_name}}\n\n环境: {{workspace}}\n\n事件：[{{status_metric_name}}]({{url}})页面内容和基准点对比不一致\n\n时间: {{timestamp}}\n\n[查看详情]({{display_url}})\n','','1.0','2021-05-28 11:54:59','2021-05-28 11:55:01',0),(1838,' 页面内容改变','app_status','app_status_browser','webhook','alert','【{{project_name}}项目{{status_metric_name}}页面内容改变告警】\n','【页面内容改变告警】\n\n项目: {{project_name}}\n\n环境: {{workspace}}\n\n事件：[{{status_metric_name}}]({{url}})页面内容和基准点对比不一致\n\n时间: {{timestamp}}\n\n[查看详情]({{display_url}})\n','','1.0','2021-05-28 11:54:59','2021-05-28 11:55:01',0),(1839,' 业务请求状态异常','app_status','app_status_browser','dingding','recover','【{{project_name}}项目{{status_metric_name}}页面内容改变恢复】\n','【页面内容改变恢复】\n\n[{{status_metric_name}}]({{url}}) 页面内容改变 .\n\n项目: {{project_name}}\n\n环境: {{workspace}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n','{\"trigger_duration\":\"time:ms\"}','1.0','2021-05-28 11:54:59','2021-05-28 11:55:01',0),(1840,' 业务请求状态异常','app_status','app_status_browser','ticket','recover','【{{project_name}}项目{{status_metric_name}}页面内容改变恢复】\n','【页面内容改变恢复】\n\n[{{status_metric_name}}]({{url}}) 页面内容改变 .\n\n项目: {{project_name}}\n\n环境: {{workspace}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n','{\"trigger_duration\":\"time:ms\"}','1.0','2021-05-28 11:54:59','2021-05-28 11:55:01',0),(1841,' 业务请求状态异常','app_status','app_status_browser','email','recover','【{{project_name}}项目{{status_metric_name}}页面内容改变恢复】\n','【页面内容改变恢复】\n\n[{{status_metric_name}}]({{url}}) 页面内容改变 .\n\n项目: {{project_name}}\n\n环境: {{workspace}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n','{\"trigger_duration\":\"time:ms\"}','1.0','2021-05-28 11:54:59','2021-05-28 11:55:01',0),(1842,' 业务请求状态异常','app_status','app_status_browser','mbox','recover','【{{project_name}}项目{{status_metric_name}}页面内容改变恢复】\n','【页面内容改变恢复】\n\n[{{status_metric_name}}]({{url}}) 页面内容改变 .\n\n项目: {{project_name}}\n\n环境: {{workspace}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n','{\"trigger_duration\":\"time:ms\"}','1.0','2021-05-28 11:54:59','2021-05-28 11:55:01',0),(1843,' 业务请求状态异常','app_status','app_status_browser','webhook','recover','【{{project_name}}项目{{status_metric_name}}页面内容改变恢复】\n','【页面内容改变恢复】\n\n[{{status_metric_name}}]({{url}}) 页面内容改变 .\n\n项目: {{project_name}}\n\n环境: {{workspace}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n','{\"trigger_duration\":\"time:ms\"}','1.0','2021-05-28 11:54:59','2021-05-28 11:55:01',0),(1844,' 主动监控HTTP状态异常','app_status','app_status_code','dingding','alert','【{{project_name}}项目{{status_metric_name}}指标HTTP状态异常告警】\n','【主动监控HTTP状态异常】\n\n项目: {{project_name}}\n\n环境: {{workspace}}\n\n事件: [{{status_metric_name}}]({{url}}) 指标状态异常\n\n响应状态码: {{code_min}}\n\n时间: {{timestamp}}\n\n[查看详情]({{display_url}})\n','','1.0','2021-05-28 11:54:59','2021-05-28 11:55:01',0),(1845,' 主动监控HTTP状态异常','app_status','app_status_code','ticket','alert','【{{project_name}}项目{{status_metric_name}}指标HTTP状态异常告警】\n','【主动监控HTTP状态异常】\n\n项目: {{project_name}}\n\n环境: {{workspace}}\n\n事件: [{{status_metric_name}}]({{url}}) 指标状态异常\n\n响应状态码: {{code_min}}\n\n时间: {{timestamp}}\n\n[查看详情]({{display_url}})\n','','1.0','2021-05-28 11:54:59','2021-05-28 11:55:01',0),(1846,' 主动监控HTTP状态异常','app_status','app_status_code','email','alert','【{{project_name}}项目{{status_metric_name}}指标HTTP状态异常告警】\n','【主动监控HTTP状态异常】\n\n项目: {{project_name}}\n\n环境: {{workspace}}\n\n事件: [{{status_metric_name}}]({{url}}) 指标状态异常\n\n响应状态码: {{code_min}}\n\n时间: {{timestamp}}\n\n[查看详情]({{display_url}})\n','','1.0','2021-05-28 11:54:59','2021-05-28 11:55:01',0),(1847,' 主动监控HTTP状态异常','app_status','app_status_code','mbox','alert','【{{project_name}}项目{{status_metric_name}}指标HTTP状态异常告警】\n','【主动监控HTTP状态异常】\n\n项目: {{project_name}}\n\n环境: {{workspace}}\n\n事件: [{{status_metric_name}}]({{url}}) 指标状态异常\n\n响应状态码: {{code_min}}\n\n时间: {{timestamp}}\n\n[查看详情]({{display_url}})\n','','1.0','2021-05-28 11:54:59','2021-05-28 11:55:01',0),(1848,' 主动监控HTTP状态异常','app_status','app_status_code','webhook','alert','【{{project_name}}项目{{status_metric_name}}指标HTTP状态异常告警】\n','【主动监控HTTP状态异常】\n\n项目: {{project_name}}\n\n环境: {{workspace}}\n\n事件: [{{status_metric_name}}]({{url}}) 指标状态异常\n\n响应状态码: {{code_min}}\n\n时间: {{timestamp}}\n\n[查看详情]({{display_url}})\n','','1.0','2021-05-28 11:54:59','2021-05-28 11:55:01',0),(1849,'主动监控HTTP状态恢复','app_status','app_status_code','dingding','recover','【{{project_name}}项目{{status_metric_name}}指标HTTP状态恢复】\n','【主动监控HTTP状态恢复】\n\n项目: {{project_name}}\n\n环境: {{workspace}}\n\n事件: [{{status_metric_name}}]({{url}}) 指标状态恢复\n\n响应状态码: {{code_min}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n','{\"trigger_duration\":\"time:ms\"}','1.0','2021-05-28 11:54:59','2021-05-28 11:55:01',0),(1850,'主动监控HTTP状态恢复','app_status','app_status_code','ticket','recover','【{{project_name}}项目{{status_metric_name}}指标HTTP状态恢复】\n','【主动监控HTTP状态恢复】\n\n项目: {{project_name}}\n\n环境: {{workspace}}\n\n事件: [{{status_metric_name}}]({{url}}) 指标状态恢复\n\n响应状态码: {{code_min}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n','{\"trigger_duration\":\"time:ms\"}','1.0','2021-05-28 11:54:59','2021-05-28 11:55:01',0),(1851,'主动监控HTTP状态恢复','app_status','app_status_code','email','recover','【{{project_name}}项目{{status_metric_name}}指标HTTP状态恢复】\n','【主动监控HTTP状态恢复】\n\n项目: {{project_name}}\n\n环境: {{workspace}}\n\n事件: [{{status_metric_name}}]({{url}}) 指标状态恢复\n\n响应状态码: {{code_min}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n','{\"trigger_duration\":\"time:ms\"}','1.0','2021-05-28 11:54:59','2021-05-28 11:55:01',0),(1852,'主动监控HTTP状态恢复','app_status','app_status_code','mbox','recover','【{{project_name}}项目{{status_metric_name}}指标HTTP状态恢复】\n','【主动监控HTTP状态恢复】\n\n项目: {{project_name}}\n\n环境: {{workspace}}\n\n事件: [{{status_metric_name}}]({{url}}) 指标状态恢复\n\n响应状态码: {{code_min}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n','{\"trigger_duration\":\"time:ms\"}','1.0','2021-05-28 11:54:59','2021-05-28 11:55:01',0),(1853,'主动监控HTTP状态恢复','app_status','app_status_code','webhook','recover','【{{project_name}}项目{{status_metric_name}}指标HTTP状态恢复】\n','【主动监控HTTP状态恢复】\n\n项目: {{project_name}}\n\n环境: {{workspace}}\n\n事件: [{{status_metric_name}}]({{url}}) 指标状态恢复\n\n响应状态码: {{code_min}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n','{\"trigger_duration\":\"time:ms\"}','1.0','2021-05-28 11:54:59','2021-05-28 11:55:01',0),(1854,'服务接口HTTP错误率异常','app_transaction','app_transaction_http_path_error','dingding','alert','【{{service_name}}服务接口HTTP错误率异常告警】','【服务接口HTTP错误率异常告警】\n\n项目: {{project_name}}\n\n应用: {{application_name}}\n\n服务: {{runtime_name}} - {{service_name}}\n\n接口: {{http_method}} {{http_url}}\n\n事件: {{ window }}分钟内HTTP错误率{{ error_percent_value }} 错误请求次数{{ error_count_sum }} 总请求次数{{ elapsed_count_sum }}\n\n时间: {{timestamp}}\n\n[查看详情]({{display_url}})\n','{\"error_percent_value\":\"percent\"}','1.0','2021-05-28 11:54:59','2021-05-28 11:55:01',0),(1855,'服务接口HTTP错误率异常','app_transaction','app_transaction_http_path_error','ticket','alert','【{{service_name}}服务接口HTTP错误率异常告警】','【服务接口HTTP错误率异常告警】\n\n项目: {{project_name}}\n\n应用: {{application_name}}\n\n服务: {{runtime_name}} - {{service_name}}\n\n接口: {{http_method}} {{http_url}}\n\n事件: {{ window }}分钟内HTTP错误率{{ error_percent_value }} 错误请求次数{{ error_count_sum }} 总请求次数{{ elapsed_count_sum }}\n\n时间: {{timestamp}}\n\n[查看详情]({{display_url}})\n','{\"error_percent_value\":\"percent\"}','1.0','2021-05-28 11:54:59','2021-05-28 11:55:01',0),(1856,'服务接口HTTP错误率异常','app_transaction','app_transaction_http_path_error','email','alert','【{{service_name}}服务接口HTTP错误率异常告警】','【服务接口HTTP错误率异常告警】\n\n项目: {{project_name}}\n\n应用: {{application_name}}\n\n服务: {{runtime_name}} - {{service_name}}\n\n接口: {{http_method}} {{http_url}}\n\n事件: {{ window }}分钟内HTTP错误率{{ error_percent_value }} 错误请求次数{{ error_count_sum }} 总请求次数{{ elapsed_count_sum }}\n\n时间: {{timestamp}}\n\n[查看详情]({{display_url}})\n','{\"error_percent_value\":\"percent\"}','1.0','2021-05-28 11:54:59','2021-05-28 11:55:01',0),(1857,'服务接口HTTP错误率异常','app_transaction','app_transaction_http_path_error','mbox','alert','【{{service_name}}服务接口HTTP错误率异常告警】','【服务接口HTTP错误率异常告警】\n\n项目: {{project_name}}\n\n应用: {{application_name}}\n\n服务: {{runtime_name}} - {{service_name}}\n\n接口: {{http_method}} {{http_url}}\n\n事件: {{ window }}分钟内HTTP错误率{{ error_percent_value }} 错误请求次数{{ error_count_sum }} 总请求次数{{ elapsed_count_sum }}\n\n时间: {{timestamp}}\n\n[查看详情]({{display_url}})\n','{\"error_percent_value\":\"percent\"}','1.0','2021-05-28 11:54:59','2021-05-28 11:55:01',0),(1858,'服务接口HTTP错误率异常','app_transaction','app_transaction_http_path_error','webhook','alert','【{{service_name}}服务接口HTTP错误率异常告警】','【服务接口HTTP错误率异常告警】\n\n项目: {{project_name}}\n\n应用: {{application_name}}\n\n服务: {{runtime_name}} - {{service_name}}\n\n接口: {{http_method}} {{http_url}}\n\n事件: {{ window }}分钟内HTTP错误率{{ error_percent_value }} 错误请求次数{{ error_count_sum }} 总请求次数{{ elapsed_count_sum }}\n\n时间: {{timestamp}}\n\n[查看详情]({{display_url}})\n','{\"error_percent_value\":\"percent\"}','1.0','2021-05-28 11:54:59','2021-05-28 11:55:01',0),(1859,'服务接口HTTP错误率恢复','app_transaction','app_transaction_http_path_error','dingding','recover','【{{service_name}}服务接口HTTP错误率异常恢复】','【服务接口HTTP错误率异常恢复】\n\n项目: {{project_name}}\n\n应用: {{application_name}}\n\n服务: {{runtime_name}} - {{service_name}}\n\n接口: {{http_method}} {{http_url}}\n\n持续时间: {{trigger_duration_min}}\n\n恢复时间: {{timestamp}}','{\"trigger_duration\":\"time:ms\"}','1.0','2021-05-28 11:54:59','2021-05-28 11:55:01',0),(1860,'服务接口HTTP错误率恢复','app_transaction','app_transaction_http_path_error','ticket','recover','【{{service_name}}服务接口HTTP错误率异常恢复】','【服务接口HTTP错误率异常恢复】\n\n项目: {{project_name}}\n\n应用: {{application_name}}\n\n服务: {{runtime_name}} - {{service_name}}\n\n接口: {{http_method}} {{http_url}}\n\n持续时间: {{trigger_duration_min}}\n\n恢复时间: {{timestamp}}','{\"trigger_duration\":\"time:ms\"}','1.0','2021-05-28 11:54:59','2021-05-28 11:55:01',0),(1861,'服务接口HTTP错误率恢复','app_transaction','app_transaction_http_path_error','email','recover','【{{service_name}}服务接口HTTP错误率异常恢复】','【服务接口HTTP错误率异常恢复】\n\n项目: {{project_name}}\n\n应用: {{application_name}}\n\n服务: {{runtime_name}} - {{service_name}}\n\n接口: {{http_method}} {{http_url}}\n\n持续时间: {{trigger_duration_min}}\n\n恢复时间: {{timestamp}}','{\"trigger_duration\":\"time:ms\"}','1.0','2021-05-28 11:54:59','2021-05-28 11:55:01',0),(1862,'服务接口HTTP错误率恢复','app_transaction','app_transaction_http_path_error','mbox','recover','【{{service_name}}服务接口HTTP错误率异常恢复】','【服务接口HTTP错误率异常恢复】\n\n项目: {{project_name}}\n\n应用: {{application_name}}\n\n服务: {{runtime_name}} - {{service_name}}\n\n接口: {{http_method}} {{http_url}}\n\n持续时间: {{trigger_duration_min}}\n\n恢复时间: {{timestamp}}','{\"trigger_duration\":\"time:ms\"}','1.0','2021-05-28 11:54:59','2021-05-28 11:55:01',0),(1863,'服务接口HTTP错误率恢复','app_transaction','app_transaction_http_path_error','webhook','recover','【{{service_name}}服务接口HTTP错误率异常恢复】','【服务接口HTTP错误率异常恢复】\n\n项目: {{project_name}}\n\n应用: {{application_name}}\n\n服务: {{runtime_name}} - {{service_name}}\n\n接口: {{http_method}} {{http_url}}\n\n持续时间: {{trigger_duration_min}}\n\n恢复时间: {{timestamp}}','{\"trigger_duration\":\"time:ms\"}','1.0','2021-05-28 11:54:59','2021-05-28 11:55:01',0),(1864,'服务接口HTTP慢事务异常','app_transaction','app_transaction_http_path_rt','dingding','alert','【{{service_name}}服务接口HTTP慢事务异常告警】','【服务接口HTTP慢事务异常告警】\n\n项目: {{project_name}}\n\n应用: {{application_name}}\n\n服务: {{runtime_name}} - {{service_name}}\n\n接口: {{http_method}} {{http_url}}\n\n事件: {{window}}分钟内平均响应时间{{elapsed_avg_value}} 请求次数{{elapsed_count_sum}}\n\n时间: {{timestamp}}\n\n[查看详情]({{display_url}})\n','{\"elapsed_avg_value\":\"time:ms\",\"elapsed_sum\":\"time:ms\"}','1.0','2021-05-28 11:54:59','2021-05-28 11:55:01',0),(1865,'服务接口HTTP慢事务异常','app_transaction','app_transaction_http_path_rt','ticket','alert','【{{service_name}}服务接口HTTP慢事务异常告警】','【服务接口HTTP慢事务异常告警】\n\n项目: {{project_name}}\n\n应用: {{application_name}}\n\n服务: {{runtime_name}} - {{service_name}}\n\n接口: {{http_method}} {{http_url}}\n\n事件: {{window}}分钟内平均响应时间{{elapsed_avg_value}} 请求次数{{elapsed_count_sum}}\n\n时间: {{timestamp}}\n\n[查看详情]({{display_url}})\n','{\"elapsed_avg_value\":\"time:ms\",\"elapsed_sum\":\"time:ms\"}','1.0','2021-05-28 11:54:59','2021-05-28 11:55:01',0),(1866,'服务接口HTTP慢事务异常','app_transaction','app_transaction_http_path_rt','email','alert','【{{service_name}}服务接口HTTP慢事务异常告警】','【服务接口HTTP慢事务异常告警】\n\n项目: {{project_name}}\n\n应用: {{application_name}}\n\n服务: {{runtime_name}} - {{service_name}}\n\n接口: {{http_method}} {{http_url}}\n\n事件: {{window}}分钟内平均响应时间{{elapsed_avg_value}} 请求次数{{elapsed_count_sum}}\n\n时间: {{timestamp}}\n\n[查看详情]({{display_url}})\n','{\"elapsed_avg_value\":\"time:ms\",\"elapsed_sum\":\"time:ms\"}','1.0','2021-05-28 11:54:59','2021-05-28 11:55:01',0),(1867,'服务接口HTTP慢事务异常','app_transaction','app_transaction_http_path_rt','mbox','alert','【{{service_name}}服务接口HTTP慢事务异常告警】','【服务接口HTTP慢事务异常告警】\n\n项目: {{project_name}}\n\n应用: {{application_name}}\n\n服务: {{runtime_name}} - {{service_name}}\n\n接口: {{http_method}} {{http_url}}\n\n事件: {{window}}分钟内平均响应时间{{elapsed_avg_value}} 请求次数{{elapsed_count_sum}}\n\n时间: {{timestamp}}\n\n[查看详情]({{display_url}})\n','{\"elapsed_avg_value\":\"time:ms\",\"elapsed_sum\":\"time:ms\"}','1.0','2021-05-28 11:54:59','2021-05-28 11:55:01',0),(1868,'服务接口HTTP慢事务异常','app_transaction','app_transaction_http_path_rt','webhook','alert','【{{service_name}}服务接口HTTP慢事务异常告警】','【服务接口HTTP慢事务异常告警】\n\n项目: {{project_name}}\n\n应用: {{application_name}}\n\n服务: {{runtime_name}} - {{service_name}}\n\n接口: {{http_method}} {{http_url}}\n\n事件: {{window}}分钟内平均响应时间{{elapsed_avg_value}} 请求次数{{elapsed_count_sum}}\n\n时间: {{timestamp}}\n\n[查看详情]({{display_url}})\n','{\"elapsed_avg_value\":\"time:ms\",\"elapsed_sum\":\"time:ms\"}','1.0','2021-05-28 11:54:59','2021-05-28 11:55:01',0),(1869,'服务接口HTTP慢事务恢复','app_transaction','app_transaction_http_path_rt','dingding','recover','【{{service_name}}服务接口HTTP慢事务恢复】','【服务接口HTTP慢事务恢复】\n\n项目: {{project_name}}\n\n应用: {{application_name}}\n\n服务: {{runtime_name}} - {{service_name}}\n\n接口: {{http_method}} {{http_url}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}','{\"trigger_duration\":\"time:ms\"}','1.0','2021-05-28 11:54:59','2021-05-28 11:55:01',0),(1870,'服务接口HTTP慢事务恢复','app_transaction','app_transaction_http_path_rt','ticket','recover','【{{service_name}}服务接口HTTP慢事务恢复】','【服务接口HTTP慢事务恢复】\n\n项目: {{project_name}}\n\n应用: {{application_name}}\n\n服务: {{runtime_name}} - {{service_name}}\n\n接口: {{http_method}} {{http_url}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}','{\"trigger_duration\":\"time:ms\"}','1.0','2021-05-28 11:54:59','2021-05-28 11:55:01',0),(1871,'服务接口HTTP慢事务恢复','app_transaction','app_transaction_http_path_rt','email','recover','【{{service_name}}服务接口HTTP慢事务恢复】','【服务接口HTTP慢事务恢复】\n\n项目: {{project_name}}\n\n应用: {{application_name}}\n\n服务: {{runtime_name}} - {{service_name}}\n\n接口: {{http_method}} {{http_url}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}','{\"trigger_duration\":\"time:ms\"}','1.0','2021-05-28 11:54:59','2021-05-28 11:55:01',0),(1872,'服务接口HTTP慢事务恢复','app_transaction','app_transaction_http_path_rt','mbox','recover','【{{service_name}}服务接口HTTP慢事务恢复】','【服务接口HTTP慢事务恢复】\n\n项目: {{project_name}}\n\n应用: {{application_name}}\n\n服务: {{runtime_name}} - {{service_name}}\n\n接口: {{http_method}} {{http_url}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}','{\"trigger_duration\":\"time:ms\"}','1.0','2021-05-28 11:54:59','2021-05-28 11:55:01',0),(1873,'服务接口HTTP慢事务恢复','app_transaction','app_transaction_http_path_rt','webhook','recover','【{{service_name}}服务接口HTTP慢事务恢复】','【服务接口HTTP慢事务恢复】\n\n项目: {{project_name}}\n\n应用: {{application_name}}\n\n服务: {{runtime_name}} - {{service_name}}\n\n接口: {{http_method}} {{http_url}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}','{\"trigger_duration\":\"time:ms\"}','1.0','2021-05-28 11:54:59','2021-05-28 11:55:01',0),(1874,'服务HTTP错误率异常','app_transaction','app_transaction_http_service_error','dingding','alert','【{{service_name}}服务HTTP错误率异常告警】','【服务HTTP错误率异常告警】\n\n项目: {{project_name}}\n\n应用: {{application_name}}\n\n服务: {{runtime_name}} - {{service_name}}\n\n事件: {{ window }}分钟内HTTP错误率{{ error_percent_value }} 错误请求次数{{ error_count_sum }} 总请求次数{{ elapsed_count_sum }}\n\n时间: {{timestamp}}\n\n[查看详情]({{display_url}})\n','{\"error_percent_value\":\"percent\"}','1.0','2021-05-28 11:54:59','2021-05-28 11:55:01',0),(1875,'服务HTTP错误率异常','app_transaction','app_transaction_http_service_error','ticket','alert','【{{service_name}}服务HTTP错误率异常告警】','【服务HTTP错误率异常告警】\n\n项目: {{project_name}}\n\n应用: {{application_name}}\n\n服务: {{runtime_name}} - {{service_name}}\n\n事件: {{ window }}分钟内HTTP错误率{{ error_percent_value }} 错误请求次数{{ error_count_sum }} 总请求次数{{ elapsed_count_sum }}\n\n时间: {{timestamp}}\n\n[查看详情]({{display_url}})\n','{\"error_percent_value\":\"percent\"}','1.0','2021-05-28 11:54:59','2021-05-28 11:55:01',0),(1876,'服务HTTP错误率异常','app_transaction','app_transaction_http_service_error','email','alert','【{{service_name}}服务HTTP错误率异常告警】','【服务HTTP错误率异常告警】\n\n项目: {{project_name}}\n\n应用: {{application_name}}\n\n服务: {{runtime_name}} - {{service_name}}\n\n事件: {{ window }}分钟内HTTP错误率{{ error_percent_value }} 错误请求次数{{ error_count_sum }} 总请求次数{{ elapsed_count_sum }}\n\n时间: {{timestamp}}\n\n[查看详情]({{display_url}})\n','{\"error_percent_value\":\"percent\"}','1.0','2021-05-28 11:54:59','2021-05-28 11:55:01',0),(1877,'服务HTTP错误率异常','app_transaction','app_transaction_http_service_error','mbox','alert','【{{service_name}}服务HTTP错误率异常告警】','【服务HTTP错误率异常告警】\n\n项目: {{project_name}}\n\n应用: {{application_name}}\n\n服务: {{runtime_name}} - {{service_name}}\n\n事件: {{ window }}分钟内HTTP错误率{{ error_percent_value }} 错误请求次数{{ error_count_sum }} 总请求次数{{ elapsed_count_sum }}\n\n时间: {{timestamp}}\n\n[查看详情]({{display_url}})\n','{\"error_percent_value\":\"percent\"}','1.0','2021-05-28 11:54:59','2021-05-28 11:55:01',0),(1878,'服务HTTP错误率异常','app_transaction','app_transaction_http_service_error','webhook','alert','【{{service_name}}服务HTTP错误率异常告警】','【服务HTTP错误率异常告警】\n\n项目: {{project_name}}\n\n应用: {{application_name}}\n\n服务: {{runtime_name}} - {{service_name}}\n\n事件: {{ window }}分钟内HTTP错误率{{ error_percent_value }} 错误请求次数{{ error_count_sum }} 总请求次数{{ elapsed_count_sum }}\n\n时间: {{timestamp}}\n\n[查看详情]({{display_url}})\n','{\"error_percent_value\":\"percent\"}','1.0','2021-05-28 11:54:59','2021-05-28 11:55:01',0),(1879,'服务HTTP错误率恢复','app_transaction','app_transaction_http_service_error','dingding','recover','【{{service_name}}服务HTTP错误率恢复】','【服务HTTP错误率异常恢复】\n\n项目: {{project_name}}\n\n应用: {{application_name}}\n\n服务: {{runtime_name}} - {{service_name}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n','{\"trigger_duration\":\"time:ms\"}','1.0','2021-05-28 11:54:59','2021-05-28 11:55:01',0),(1880,'服务HTTP错误率恢复','app_transaction','app_transaction_http_service_error','ticket','recover','【{{service_name}}服务HTTP错误率恢复】','【服务HTTP错误率异常恢复】\n\n项目: {{project_name}}\n\n应用: {{application_name}}\n\n服务: {{runtime_name}} - {{service_name}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n','{\"trigger_duration\":\"time:ms\"}','1.0','2021-05-28 11:54:59','2021-05-28 11:55:01',0),(1881,'服务HTTP错误率恢复','app_transaction','app_transaction_http_service_error','email','recover','【{{service_name}}服务HTTP错误率恢复】','【服务HTTP错误率异常恢复】\n\n项目: {{project_name}}\n\n应用: {{application_name}}\n\n服务: {{runtime_name}} - {{service_name}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n','{\"trigger_duration\":\"time:ms\"}','1.0','2021-05-28 11:54:59','2021-05-28 11:55:01',0),(1882,'服务HTTP错误率恢复','app_transaction','app_transaction_http_service_error','mbox','recover','【{{service_name}}服务HTTP错误率恢复】','【服务HTTP错误率异常恢复】\n\n项目: {{project_name}}\n\n应用: {{application_name}}\n\n服务: {{runtime_name}} - {{service_name}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n','{\"trigger_duration\":\"time:ms\"}','1.0','2021-05-28 11:54:59','2021-05-28 11:55:01',0),(1883,'服务HTTP错误率恢复','app_transaction','app_transaction_http_service_error','webhook','recover','【{{service_name}}服务HTTP错误率恢复】','【服务HTTP错误率异常恢复】\n\n项目: {{project_name}}\n\n应用: {{application_name}}\n\n服务: {{runtime_name}} - {{service_name}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n','{\"trigger_duration\":\"time:ms\"}','1.0','2021-05-28 11:54:59','2021-05-28 11:55:01',0),(1884,'服务HTTP慢事务异常','app_transaction','app_transaction_http_service_rt','dingding','alert','【应用{{service_name}}服务HTTP慢事务异常告警】','【服务HTTP慢事务异常告警】\n\n项目: {{project_name}}\n\n应用: {{application_name}}\n\n服务: {{runtime_name}} - {{service_name}}\n\n事件: {{window}}分钟内HTTP事务平均响应时间{{elapsed_avg_value}} 请求次数{{elapsed_count_sum}}\n\n时间: {{timestamp}}\n\n[查看详情]({{display_url}})\n','{\"elapsed_avg_value\":\"time:ms\",\"elapsed_sum\":\"time:ms\"}','1.0','2021-05-28 11:54:59','2021-05-28 11:55:01',0),(1885,'服务HTTP慢事务异常','app_transaction','app_transaction_http_service_rt','ticket','alert','【应用{{service_name}}服务HTTP慢事务异常告警】','【服务HTTP慢事务异常告警】\n\n项目: {{project_name}}\n\n应用: {{application_name}}\n\n服务: {{runtime_name}} - {{service_name}}\n\n事件: {{window}}分钟内HTTP事务平均响应时间{{elapsed_avg_value}} 请求次数{{elapsed_count_sum}}\n\n时间: {{timestamp}}\n\n[查看详情]({{display_url}})\n','{\"elapsed_avg_value\":\"time:ms\",\"elapsed_sum\":\"time:ms\"}','1.0','2021-05-28 11:54:59','2021-05-28 11:55:01',0),(1886,'服务HTTP慢事务异常','app_transaction','app_transaction_http_service_rt','email','alert','【应用{{service_name}}服务HTTP慢事务异常告警】','【服务HTTP慢事务异常告警】\n\n项目: {{project_name}}\n\n应用: {{application_name}}\n\n服务: {{runtime_name}} - {{service_name}}\n\n事件: {{window}}分钟内HTTP事务平均响应时间{{elapsed_avg_value}} 请求次数{{elapsed_count_sum}}\n\n时间: {{timestamp}}\n\n[查看详情]({{display_url}})\n','{\"elapsed_avg_value\":\"time:ms\",\"elapsed_sum\":\"time:ms\"}','1.0','2021-05-28 11:54:59','2021-05-28 11:55:01',0),(1887,'服务HTTP慢事务异常','app_transaction','app_transaction_http_service_rt','mbox','alert','【应用{{service_name}}服务HTTP慢事务异常告警】','【服务HTTP慢事务异常告警】\n\n项目: {{project_name}}\n\n应用: {{application_name}}\n\n服务: {{runtime_name}} - {{service_name}}\n\n事件: {{window}}分钟内HTTP事务平均响应时间{{elapsed_avg_value}} 请求次数{{elapsed_count_sum}}\n\n时间: {{timestamp}}\n\n[查看详情]({{display_url}})\n','{\"elapsed_avg_value\":\"time:ms\",\"elapsed_sum\":\"time:ms\"}','1.0','2021-05-28 11:54:59','2021-05-28 11:55:01',0),(1888,'服务HTTP慢事务异常','app_transaction','app_transaction_http_service_rt','webhook','alert','【应用{{service_name}}服务HTTP慢事务异常告警】','【服务HTTP慢事务异常告警】\n\n项目: {{project_name}}\n\n应用: {{application_name}}\n\n服务: {{runtime_name}} - {{service_name}}\n\n事件: {{window}}分钟内HTTP事务平均响应时间{{elapsed_avg_value}} 请求次数{{elapsed_count_sum}}\n\n时间: {{timestamp}}\n\n[查看详情]({{display_url}})\n','{\"elapsed_avg_value\":\"time:ms\",\"elapsed_sum\":\"time:ms\"}','1.0','2021-05-28 11:54:59','2021-05-28 11:55:01',0),(1889,'服务HTTP慢事务异常恢复','app_transaction','app_transaction_http_service_rt','dingding','recover','【应用{{service_name}}服务HTTP慢事务异常恢复】','【服务HTTP慢事务异常恢复】\n\n项目: {{project_name}}\n\n应用: {{application_name}}\n\n服务: {{runtime_name}} - {{service_name}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n','{\"trigger_duration\":\"time:ms\"}','1.0','2021-05-28 11:54:59','2021-05-28 11:55:01',0),(1890,'服务HTTP慢事务异常恢复','app_transaction','app_transaction_http_service_rt','ticket','recover','【应用{{service_name}}服务HTTP慢事务异常恢复】','【服务HTTP慢事务异常恢复】\n\n项目: {{project_name}}\n\n应用: {{application_name}}\n\n服务: {{runtime_name}} - {{service_name}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n','{\"trigger_duration\":\"time:ms\"}','1.0','2021-05-28 11:54:59','2021-05-28 11:55:01',0),(1891,'服务HTTP慢事务异常恢复','app_transaction','app_transaction_http_service_rt','email','recover','【应用{{service_name}}服务HTTP慢事务异常恢复】','【服务HTTP慢事务异常恢复】\n\n项目: {{project_name}}\n\n应用: {{application_name}}\n\n服务: {{runtime_name}} - {{service_name}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n','{\"trigger_duration\":\"time:ms\"}','1.0','2021-05-28 11:54:59','2021-05-28 11:55:01',0),(1892,'服务HTTP慢事务异常恢复','app_transaction','app_transaction_http_service_rt','mbox','recover','【应用{{service_name}}服务HTTP慢事务异常恢复】','【服务HTTP慢事务异常恢复】\n\n项目: {{project_name}}\n\n应用: {{application_name}}\n\n服务: {{runtime_name}} - {{service_name}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n','{\"trigger_duration\":\"time:ms\"}','1.0','2021-05-28 11:54:59','2021-05-28 11:55:01',0),(1893,'服务HTTP慢事务异常恢复','app_transaction','app_transaction_http_service_rt','webhook','recover','【应用{{service_name}}服务HTTP慢事务异常恢复】','【服务HTTP慢事务异常恢复】\n\n项目: {{project_name}}\n\n应用: {{application_name}}\n\n服务: {{runtime_name}} - {{service_name}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n','{\"trigger_duration\":\"time:ms\"}','1.0','2021-05-28 11:54:59','2021-05-28 11:55:01',0),(1894,'平台中间件cassandra GC次数异常','dice_addon','dice_addon_cassandra_gc_count','dingding','alert','【平台中间件cassandra GC次数告警】\n','【平台中间件cassandra GC次数告警】\n\n中间件: {{addon_id}}\n\n老年代GC次数: {{CollectionCount_win_value}}\n\n集群: {{cluster_name}}\n\n机器: {{node_host}}\n\n时间: {{timestamp}}\n\n[查看详情]({{display_url}})\n','','1.0','2021-05-28 11:54:59','2021-05-28 11:55:01',0),(1895,'平台中间件cassandra GC次数异常','dice_addon','dice_addon_cassandra_gc_count','ticket','alert','【平台中间件cassandra GC次数告警】\n','【平台中间件cassandra GC次数告警】\n\n中间件: {{addon_id}}\n\n老年代GC次数: {{CollectionCount_win_value}}\n\n集群: {{cluster_name}}\n\n机器: {{node_host}}\n\n时间: {{timestamp}}\n\n[查看详情]({{display_url}})\n','','1.0','2021-05-28 11:54:59','2021-05-28 11:55:01',0),(1896,'平台中间件cassandra GC次数异常','dice_addon','dice_addon_cassandra_gc_count','email','alert','【平台中间件cassandra GC次数告警】\n','【平台中间件cassandra GC次数告警】\n\n中间件: {{addon_id}}\n\n老年代GC次数: {{CollectionCount_win_value}}\n\n集群: {{cluster_name}}\n\n机器: {{node_host}}\n\n时间: {{timestamp}}\n\n[查看详情]({{display_url}})\n','','1.0','2021-05-28 11:54:59','2021-05-28 11:55:01',0),(1897,'平台中间件cassandra GC次数异常','dice_addon','dice_addon_cassandra_gc_count','mbox','alert','【平台中间件cassandra GC次数告警】\n','【平台中间件cassandra GC次数告警】\n\n中间件: {{addon_id}}\n\n老年代GC次数: {{CollectionCount_win_value}}\n\n集群: {{cluster_name}}\n\n机器: {{node_host}}\n\n时间: {{timestamp}}\n\n[查看详情]({{display_url}})\n','','1.0','2021-05-28 11:54:59','2021-05-28 11:55:01',0),(1898,'平台中间件cassandra GC次数异常','dice_addon','dice_addon_cassandra_gc_count','webhook','alert','【平台中间件cassandra GC次数告警】\n','【平台中间件cassandra GC次数告警】\n\n中间件: {{addon_id}}\n\n老年代GC次数: {{CollectionCount_win_value}}\n\n集群: {{cluster_name}}\n\n机器: {{node_host}}\n\n时间: {{timestamp}}\n\n[查看详情]({{display_url}})\n','','1.0','2021-05-28 11:54:59','2021-05-28 11:55:01',0),(1899,'平台中间件cassandra GC次数异常','dice_addon','dice_addon_cassandra_gc_count','dingding','recover','【平台中间件cassandra GC次数恢复】\n','【平台中间件cassandra GC次数恢复】\n\n中间件: {{addon_id}}\n\n老年代GC次数: {{CollectionCount_win_value}}\n\n集群: {{cluster_name}}\n\n机器: {{node_host}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n','{\"trigger_duration\":\"time:ms\"}','1.0','2021-05-28 11:54:59','2021-05-28 11:55:01',0),(1900,'平台中间件cassandra GC次数异常','dice_addon','dice_addon_cassandra_gc_count','ticket','recover','【平台中间件cassandra GC次数恢复】\n','【平台中间件cassandra GC次数恢复】\n\n中间件: {{addon_id}}\n\n老年代GC次数: {{CollectionCount_win_value}}\n\n集群: {{cluster_name}}\n\n机器: {{node_host}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n','{\"trigger_duration\":\"time:ms\"}','1.0','2021-05-28 11:54:59','2021-05-28 11:55:01',0),(1901,'平台中间件cassandra GC次数异常','dice_addon','dice_addon_cassandra_gc_count','email','recover','【平台中间件cassandra GC次数恢复】\n','【平台中间件cassandra GC次数恢复】\n\n中间件: {{addon_id}}\n\n老年代GC次数: {{CollectionCount_win_value}}\n\n集群: {{cluster_name}}\n\n机器: {{node_host}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n','{\"trigger_duration\":\"time:ms\"}','1.0','2021-05-28 11:54:59','2021-05-28 11:55:01',0),(1902,'平台中间件cassandra GC次数异常','dice_addon','dice_addon_cassandra_gc_count','mbox','recover','【平台中间件cassandra GC次数恢复】\n','【平台中间件cassandra GC次数恢复】\n\n中间件: {{addon_id}}\n\n老年代GC次数: {{CollectionCount_win_value}}\n\n集群: {{cluster_name}}\n\n机器: {{node_host}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n','{\"trigger_duration\":\"time:ms\"}','1.0','2021-05-28 11:54:59','2021-05-28 11:55:01',0),(1903,'平台中间件cassandra GC次数异常','dice_addon','dice_addon_cassandra_gc_count','webhook','recover','【平台中间件cassandra GC次数恢复】\n','【平台中间件cassandra GC次数恢复】\n\n中间件: {{addon_id}}\n\n老年代GC次数: {{CollectionCount_win_value}}\n\n集群: {{cluster_name}}\n\n机器: {{node_host}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n','{\"trigger_duration\":\"time:ms\"}','1.0','2021-05-28 11:54:59','2021-05-28 11:55:01',0),(1904,'平台中间件cassandra GC耗时异常','dice_addon','dice_addon_cassandra_gc_time','dingding','alert','【平台中间件cassandra GC耗时告警】\n','【平台中间件cassandra GC耗时告警】\n\n中间件: {{addon_id}}\n\n老年代GC耗时: {{CollectionTime_win_value}}\n\n集群: {{cluster_name}}\n\n机器: {{node_host}}\n\n时间: {{timestamp}}\n\n[查看详情]({{display_url}})\n','{\"CollectionTime_win_value\":\"time:ms\"}','1.0','2021-05-28 11:54:59','2021-05-28 11:55:01',0),(1905,'平台中间件cassandra GC耗时异常','dice_addon','dice_addon_cassandra_gc_time','ticket','alert','【平台中间件cassandra GC耗时告警】\n','【平台中间件cassandra GC耗时告警】\n\n中间件: {{addon_id}}\n\n老年代GC耗时: {{CollectionTime_win_value}}\n\n集群: {{cluster_name}}\n\n机器: {{node_host}}\n\n时间: {{timestamp}}\n\n[查看详情]({{display_url}})\n','{\"CollectionTime_win_value\":\"time:ms\"}','1.0','2021-05-28 11:54:59','2021-05-28 11:55:01',0),(1906,'平台中间件cassandra GC耗时异常','dice_addon','dice_addon_cassandra_gc_time','email','alert','【平台中间件cassandra GC耗时告警】\n','【平台中间件cassandra GC耗时告警】\n\n中间件: {{addon_id}}\n\n老年代GC耗时: {{CollectionTime_win_value}}\n\n集群: {{cluster_name}}\n\n机器: {{node_host}}\n\n时间: {{timestamp}}\n\n[查看详情]({{display_url}})\n','{\"CollectionTime_win_value\":\"time:ms\"}','1.0','2021-05-28 11:54:59','2021-05-28 11:55:01',0),(1907,'平台中间件cassandra GC耗时异常','dice_addon','dice_addon_cassandra_gc_time','mbox','alert','【平台中间件cassandra GC耗时告警】\n','【平台中间件cassandra GC耗时告警】\n\n中间件: {{addon_id}}\n\n老年代GC耗时: {{CollectionTime_win_value}}\n\n集群: {{cluster_name}}\n\n机器: {{node_host}}\n\n时间: {{timestamp}}\n\n[查看详情]({{display_url}})\n','{\"CollectionTime_win_value\":\"time:ms\"}','1.0','2021-05-28 11:54:59','2021-05-28 11:55:01',0),(1908,'平台中间件cassandra GC耗时异常','dice_addon','dice_addon_cassandra_gc_time','webhook','alert','【平台中间件cassandra GC耗时告警】\n','【平台中间件cassandra GC耗时告警】\n\n中间件: {{addon_id}}\n\n老年代GC耗时: {{CollectionTime_win_value}}\n\n集群: {{cluster_name}}\n\n机器: {{node_host}}\n\n时间: {{timestamp}}\n\n[查看详情]({{display_url}})\n','{\"CollectionTime_win_value\":\"time:ms\"}','1.0','2021-05-28 11:54:59','2021-05-28 11:55:01',0),(1909,'平台中间件cassandra GC耗时异常','dice_addon','dice_addon_cassandra_gc_time','dingding','recover','【平台中间件cassandra GC耗时恢复】\n','【平台中间件cassandra GC耗时恢复】\n\n中间件: {{addon_id}}\n\n老年代GC耗时: {{CollectionTime_win_value}}\n\n集群: {{cluster_name}}\n\n机器: {{node_host}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n','{\"CollectionTime_win_value\":\"time:ms\",\"trigger_duration\":\"time:ms\"}','1.0','2021-05-28 11:54:59','2021-05-28 11:55:01',0),(1910,'平台中间件cassandra GC耗时异常','dice_addon','dice_addon_cassandra_gc_time','ticket','recover','【平台中间件cassandra GC耗时恢复】\n','【平台中间件cassandra GC耗时恢复】\n\n中间件: {{addon_id}}\n\n老年代GC耗时: {{CollectionTime_win_value}}\n\n集群: {{cluster_name}}\n\n机器: {{node_host}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n','{\"CollectionTime_win_value\":\"time:ms\",\"trigger_duration\":\"time:ms\"}','1.0','2021-05-28 11:54:59','2021-05-28 11:55:01',0),(1911,'平台中间件cassandra GC耗时异常','dice_addon','dice_addon_cassandra_gc_time','email','recover','【平台中间件cassandra GC耗时恢复】\n','【平台中间件cassandra GC耗时恢复】\n\n中间件: {{addon_id}}\n\n老年代GC耗时: {{CollectionTime_win_value}}\n\n集群: {{cluster_name}}\n\n机器: {{node_host}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n','{\"CollectionTime_win_value\":\"time:ms\",\"trigger_duration\":\"time:ms\"}','1.0','2021-05-28 11:54:59','2021-05-28 11:55:01',0),(1912,'平台中间件cassandra GC耗时异常','dice_addon','dice_addon_cassandra_gc_time','mbox','recover','【平台中间件cassandra GC耗时恢复】\n','【平台中间件cassandra GC耗时恢复】\n\n中间件: {{addon_id}}\n\n老年代GC耗时: {{CollectionTime_win_value}}\n\n集群: {{cluster_name}}\n\n机器: {{node_host}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n','{\"CollectionTime_win_value\":\"time:ms\",\"trigger_duration\":\"time:ms\"}','1.0','2021-05-28 11:54:59','2021-05-28 11:55:01',0),(1913,'平台中间件cassandra GC耗时异常','dice_addon','dice_addon_cassandra_gc_time','webhook','recover','【平台中间件cassandra GC耗时恢复】\n','【平台中间件cassandra GC耗时恢复】\n\n中间件: {{addon_id}}\n\n老年代GC耗时: {{CollectionTime_win_value}}\n\n集群: {{cluster_name}}\n\n机器: {{node_host}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n','{\"CollectionTime_win_value\":\"time:ms\",\"trigger_duration\":\"time:ms\"}','1.0','2021-05-28 11:54:59','2021-05-28 11:55:01',0),(1914,'平台中间件实例CPU异常','dice_addon','dice_addon_container_cpu','dingding','alert','【平台中间件{{addon_id}} CPU使用率告警】\n','【平台中间件CPU使用率告警】\n\n中间件: {{addon_id}}\n\n使用率: {{cpu_usage_percent_avg}}\n\n限制: {{cpu_limit_value}}核\n\n分配: {{cpu_allocation_value}}核\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n容器ID: {{container_id}}\n\n时间: {{timestamp}}\n','{\"cpu_allocation_value\":\"fraction:2\",\"cpu_limit_value\":\"fraction:2\",\"cpu_usage_percent_avg\":\"percent:2\"}','1.0','2021-05-28 11:54:59','2021-05-28 11:55:01',0),(1915,'平台中间件实例CPU异常','dice_addon','dice_addon_container_cpu','ticket','alert','【平台中间件{{addon_id}} CPU使用率告警】\n','【平台中间件CPU使用率告警】\n\n中间件: {{addon_id}}\n\n使用率: {{cpu_usage_percent_avg}}\n\n限制: {{cpu_limit_value}}核\n\n分配: {{cpu_allocation_value}}核\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n容器ID: {{container_id}}\n\n时间: {{timestamp}}\n','{\"cpu_allocation_value\":\"fraction:2\",\"cpu_limit_value\":\"fraction:2\",\"cpu_usage_percent_avg\":\"percent:2\"}','1.0','2021-05-28 11:54:59','2021-05-28 11:55:01',0),(1916,'平台中间件实例CPU异常','dice_addon','dice_addon_container_cpu','email','alert','【平台中间件{{addon_id}} CPU使用率告警】\n','【平台中间件CPU使用率告警】\n\n中间件: {{addon_id}}\n\n使用率: {{cpu_usage_percent_avg}}\n\n限制: {{cpu_limit_value}}核\n\n分配: {{cpu_allocation_value}}核\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n容器ID: {{container_id}}\n\n时间: {{timestamp}}\n','{\"cpu_allocation_value\":\"fraction:2\",\"cpu_limit_value\":\"fraction:2\",\"cpu_usage_percent_avg\":\"percent:2\"}','1.0','2021-05-28 11:54:59','2021-05-28 11:55:01',0),(1917,'平台中间件实例CPU异常','dice_addon','dice_addon_container_cpu','mbox','alert','【平台中间件{{addon_id}} CPU使用率告警】\n','【平台中间件CPU使用率告警】\n\n中间件: {{addon_id}}\n\n使用率: {{cpu_usage_percent_avg}}\n\n限制: {{cpu_limit_value}}核\n\n分配: {{cpu_allocation_value}}核\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n容器ID: {{container_id}}\n\n时间: {{timestamp}}\n','{\"cpu_allocation_value\":\"fraction:2\",\"cpu_limit_value\":\"fraction:2\",\"cpu_usage_percent_avg\":\"percent:2\"}','1.0','2021-05-28 11:54:59','2021-05-28 11:55:01',0),(1918,'平台中间件实例CPU异常','dice_addon','dice_addon_container_cpu','webhook','alert','【平台中间件{{addon_id}} CPU使用率告警】\n','【平台中间件CPU使用率告警】\n\n中间件: {{addon_id}}\n\n使用率: {{cpu_usage_percent_avg}}\n\n限制: {{cpu_limit_value}}核\n\n分配: {{cpu_allocation_value}}核\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n容器ID: {{container_id}}\n\n时间: {{timestamp}}\n','{\"cpu_allocation_value\":\"fraction:2\",\"cpu_limit_value\":\"fraction:2\",\"cpu_usage_percent_avg\":\"percent:2\"}','1.0','2021-05-28 11:54:59','2021-05-28 11:55:01',0),(1919,'平台中间件实例CPU异常','dice_addon','dice_addon_container_cpu','dingding','recover','【平台中间件{{addon_id}} CPU使用率恢复】\n','【平台中间件CPU使用率恢复】\n\n中间件: {{addon_id}}\n\n使用率: {{cpu_usage_percent_avg}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n容器ID: {{container_id}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n','{\"cpu_usage_percent_avg\":\"percent:2\",\"trigger_duration\":\"time:ms\"}','1.0','2021-05-28 11:54:59','2021-05-28 11:55:01',0),(1920,'平台中间件实例CPU异常','dice_addon','dice_addon_container_cpu','ticket','recover','【平台中间件{{addon_id}} CPU使用率恢复】\n','【平台中间件CPU使用率恢复】\n\n中间件: {{addon_id}}\n\n使用率: {{cpu_usage_percent_avg}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n容器ID: {{container_id}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n','{\"cpu_usage_percent_avg\":\"percent:2\",\"trigger_duration\":\"time:ms\"}','1.0','2021-05-28 11:54:59','2021-05-28 11:55:01',0),(1921,'平台中间件实例CPU异常','dice_addon','dice_addon_container_cpu','email','recover','【平台中间件{{addon_id}} CPU使用率恢复】\n','【平台中间件CPU使用率恢复】\n\n中间件: {{addon_id}}\n\n使用率: {{cpu_usage_percent_avg}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n容器ID: {{container_id}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n','{\"cpu_usage_percent_avg\":\"percent:2\",\"trigger_duration\":\"time:ms\"}','1.0','2021-05-28 11:54:59','2021-05-28 11:55:01',0),(1922,'平台中间件实例CPU异常','dice_addon','dice_addon_container_cpu','mbox','recover','【平台中间件{{addon_id}} CPU使用率恢复】\n','【平台中间件CPU使用率恢复】\n\n中间件: {{addon_id}}\n\n使用率: {{cpu_usage_percent_avg}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n容器ID: {{container_id}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n','{\"cpu_usage_percent_avg\":\"percent:2\",\"trigger_duration\":\"time:ms\"}','1.0','2021-05-28 11:54:59','2021-05-28 11:55:01',0),(1923,'平台中间件实例CPU异常','dice_addon','dice_addon_container_cpu','webhook','recover','【平台中间件{{addon_id}} CPU使用率恢复】\n','【平台中间件CPU使用率恢复】\n\n中间件: {{addon_id}}\n\n使用率: {{cpu_usage_percent_avg}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n容器ID: {{container_id}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n','{\"cpu_usage_percent_avg\":\"percent:2\",\"trigger_duration\":\"time:ms\"}','1.0','2021-05-28 11:54:59','2021-05-28 11:55:01',0),(1924,'平台中间件异常退出','dice_addon','dice_addon_container_exit','dingding','alert','【平台中间件{{addon_id}}异常退出告警】\n','【平台中间件异常退出告警】\n\n中间件: {{addon_id}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n启动时间: {{started_at_value}}\n\n退出时间: {{finished_at_value}}\n\n退出原因: {{terminated_reason_value}}\n\n时间: {{timestamp}}\n\n[查看详情]({{display_url}})\n','{\"finished_at_value\":\"date\",\"started_at_value\":\"date\"}','1.0','2021-05-28 11:54:59','2021-05-28 11:55:01',0),(1925,'平台中间件异常退出','dice_addon','dice_addon_container_exit','ticket','alert','【平台中间件{{addon_id}}异常退出告警】\n','【平台中间件异常退出告警】\n\n中间件: {{addon_id}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n启动时间: {{started_at_value}}\n\n退出时间: {{finished_at_value}}\n\n退出原因: {{terminated_reason_value}}\n\n时间: {{timestamp}}\n\n[查看详情]({{display_url}})\n','{\"finished_at_value\":\"date\",\"started_at_value\":\"date\"}','1.0','2021-05-28 11:54:59','2021-05-28 11:55:01',0),(1926,'平台中间件异常退出','dice_addon','dice_addon_container_exit','email','alert','【平台中间件{{addon_id}}异常退出告警】\n','【平台中间件异常退出告警】\n\n中间件: {{addon_id}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n启动时间: {{started_at_value}}\n\n退出时间: {{finished_at_value}}\n\n退出原因: {{terminated_reason_value}}\n\n时间: {{timestamp}}\n\n[查看详情]({{display_url}})\n','{\"finished_at_value\":\"date\",\"started_at_value\":\"date\"}','1.0','2021-05-28 11:54:59','2021-05-28 11:55:01',0),(1927,'平台中间件异常退出','dice_addon','dice_addon_container_exit','mbox','alert','【平台中间件{{addon_id}}异常退出告警】\n','【平台中间件异常退出告警】\n\n中间件: {{addon_id}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n启动时间: {{started_at_value}}\n\n退出时间: {{finished_at_value}}\n\n退出原因: {{terminated_reason_value}}\n\n时间: {{timestamp}}\n\n[查看详情]({{display_url}})\n','{\"finished_at_value\":\"date\",\"started_at_value\":\"date\"}','1.0','2021-05-28 11:54:59','2021-05-28 11:55:01',0),(1928,'平台中间件异常退出','dice_addon','dice_addon_container_exit','webhook','alert','【平台中间件{{addon_id}}异常退出告警】\n','【平台中间件异常退出告警】\n\n中间件: {{addon_id}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n启动时间: {{started_at_value}}\n\n退出时间: {{finished_at_value}}\n\n退出原因: {{terminated_reason_value}}\n\n时间: {{timestamp}}\n\n[查看详情]({{display_url}})\n','{\"finished_at_value\":\"date\",\"started_at_value\":\"date\"}','1.0','2021-05-28 11:54:59','2021-05-28 11:55:01',0),(1929,'平台中间件异常退出','dice_addon','dice_addon_container_exit','dingding','recover','【平台中间件{{addon_id}}异常退出恢复】\n','【平台中间件异常退出恢复】\n\n中间件: {{addon_id}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n','{\"trigger_duration\":\"time:ms\"}','1.0','2021-05-28 11:54:59','2021-05-28 11:55:01',0),(1930,'平台中间件异常退出','dice_addon','dice_addon_container_exit','ticket','recover','【平台中间件{{addon_id}}异常退出恢复】\n','【平台中间件异常退出恢复】\n\n中间件: {{addon_id}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n','{\"trigger_duration\":\"time:ms\"}','1.0','2021-05-28 11:54:59','2021-05-28 11:55:01',0),(1931,'平台中间件异常退出','dice_addon','dice_addon_container_exit','email','recover','【平台中间件{{addon_id}}异常退出恢复】\n','【平台中间件异常退出恢复】\n\n中间件: {{addon_id}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n','{\"trigger_duration\":\"time:ms\"}','1.0','2021-05-28 11:54:59','2021-05-28 11:55:01',0),(1932,'平台中间件异常退出','dice_addon','dice_addon_container_exit','mbox','recover','【平台中间件{{addon_id}}异常退出恢复】\n','【平台中间件异常退出恢复】\n\n中间件: {{addon_id}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n','{\"trigger_duration\":\"time:ms\"}','1.0','2021-05-28 11:54:59','2021-05-28 11:55:01',0),(1933,'平台中间件异常退出','dice_addon','dice_addon_container_exit','webhook','recover','【平台中间件{{addon_id}}异常退出恢复】\n','【平台中间件异常退出恢复】\n\n中间件: {{addon_id}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n','{\"trigger_duration\":\"time:ms\"}','1.0','2021-05-28 11:54:59','2021-05-28 11:55:01',0),(1934,'平台中间件实例内存异常','dice_addon','dice_addon_container_mem','dingding','alert','【平台中间件{{addon_id}}内存使用率告警】\n','【平台中间件内存使用率告警】\n\n中间件: {{addon_id}}\n\n使用率: {{mem_usage_percent_avg}}\n\n使用: {{mem_usage_value}}\n\n限制: {{mem_limit_value}}\n\n分配: {{mem_allocation_value}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n容器ID: {{container_id}}\n\n时间: {{timestamp}}\n','{\"mem_allocation_value\":\"size:byte\",\"mem_limit_value\":\"size:byte\",\"mem_usage_percent_avg\":\"percent:2\",\"mem_usage_value\":\"size:byte\"}','1.0','2021-05-28 11:54:59','2021-05-28 11:55:01',0),(1935,'平台中间件实例内存异常','dice_addon','dice_addon_container_mem','ticket','alert','【平台中间件{{addon_id}}内存使用率告警】\n','【平台中间件内存使用率告警】\n\n中间件: {{addon_id}}\n\n使用率: {{mem_usage_percent_avg}}\n\n使用: {{mem_usage_value}}\n\n限制: {{mem_limit_value}}\n\n分配: {{mem_allocation_value}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n容器ID: {{container_id}}\n\n时间: {{timestamp}}\n','{\"mem_allocation_value\":\"size:byte\",\"mem_limit_value\":\"size:byte\",\"mem_usage_percent_avg\":\"percent:2\",\"mem_usage_value\":\"size:byte\"}','1.0','2021-05-28 11:54:59','2021-05-28 11:55:01',0),(1936,'平台中间件实例内存异常','dice_addon','dice_addon_container_mem','email','alert','【平台中间件{{addon_id}}内存使用率告警】\n','【平台中间件内存使用率告警】\n\n中间件: {{addon_id}}\n\n使用率: {{mem_usage_percent_avg}}\n\n使用: {{mem_usage_value}}\n\n限制: {{mem_limit_value}}\n\n分配: {{mem_allocation_value}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n容器ID: {{container_id}}\n\n时间: {{timestamp}}\n','{\"mem_allocation_value\":\"size:byte\",\"mem_limit_value\":\"size:byte\",\"mem_usage_percent_avg\":\"percent:2\",\"mem_usage_value\":\"size:byte\"}','1.0','2021-05-28 11:54:59','2021-05-28 11:55:01',0),(1937,'平台中间件实例内存异常','dice_addon','dice_addon_container_mem','mbox','alert','【平台中间件{{addon_id}}内存使用率告警】\n','【平台中间件内存使用率告警】\n\n中间件: {{addon_id}}\n\n使用率: {{mem_usage_percent_avg}}\n\n使用: {{mem_usage_value}}\n\n限制: {{mem_limit_value}}\n\n分配: {{mem_allocation_value}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n容器ID: {{container_id}}\n\n时间: {{timestamp}}\n','{\"mem_allocation_value\":\"size:byte\",\"mem_limit_value\":\"size:byte\",\"mem_usage_percent_avg\":\"percent:2\",\"mem_usage_value\":\"size:byte\"}','1.0','2021-05-28 11:54:59','2021-05-28 11:55:01',0),(1938,'平台中间件实例内存异常','dice_addon','dice_addon_container_mem','webhook','alert','【平台中间件{{addon_id}}内存使用率告警】\n','【平台中间件内存使用率告警】\n\n中间件: {{addon_id}}\n\n使用率: {{mem_usage_percent_avg}}\n\n使用: {{mem_usage_value}}\n\n限制: {{mem_limit_value}}\n\n分配: {{mem_allocation_value}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n容器ID: {{container_id}}\n\n时间: {{timestamp}}\n','{\"mem_allocation_value\":\"size:byte\",\"mem_limit_value\":\"size:byte\",\"mem_usage_percent_avg\":\"percent:2\",\"mem_usage_value\":\"size:byte\"}','1.0','2021-05-28 11:54:59','2021-05-28 11:55:01',0),(1939,'平台中间件实例内存异常','dice_addon','dice_addon_container_mem','dingding','recover','【平台中间件{{addon_id}}内存使用率恢复】\n','【平台中间件内存使用率恢复】\n\n中间件: {{addon_id}}\n\n使用率: {{mem_usage_percent_avg}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n容器ID: {{container_id}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n','{\"mem_usage_percent_avg\":\"percent:2\",\"trigger_duration\":\"time:ms\"}','1.0','2021-05-28 11:54:59','2021-05-28 11:55:01',0),(1940,'平台中间件实例内存异常','dice_addon','dice_addon_container_mem','ticket','recover','【平台中间件{{addon_id}}内存使用率恢复】\n','【平台中间件内存使用率恢复】\n\n中间件: {{addon_id}}\n\n使用率: {{mem_usage_percent_avg}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n容器ID: {{container_id}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n','{\"mem_usage_percent_avg\":\"percent:2\",\"trigger_duration\":\"time:ms\"}','1.0','2021-05-28 11:54:59','2021-05-28 11:55:01',0),(1941,'平台中间件实例内存异常','dice_addon','dice_addon_container_mem','email','recover','【平台中间件{{addon_id}}内存使用率恢复】\n','【平台中间件内存使用率恢复】\n\n中间件: {{addon_id}}\n\n使用率: {{mem_usage_percent_avg}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n容器ID: {{container_id}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n','{\"mem_usage_percent_avg\":\"percent:2\",\"trigger_duration\":\"time:ms\"}','1.0','2021-05-28 11:54:59','2021-05-28 11:55:01',0),(1942,'平台中间件实例内存异常','dice_addon','dice_addon_container_mem','mbox','recover','【平台中间件{{addon_id}}内存使用率恢复】\n','【平台中间件内存使用率恢复】\n\n中间件: {{addon_id}}\n\n使用率: {{mem_usage_percent_avg}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n容器ID: {{container_id}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n','{\"mem_usage_percent_avg\":\"percent:2\",\"trigger_duration\":\"time:ms\"}','1.0','2021-05-28 11:54:59','2021-05-28 11:55:01',0),(1943,'平台中间件实例内存异常','dice_addon','dice_addon_container_mem','webhook','recover','【平台中间件{{addon_id}}内存使用率恢复】\n','【平台中间件内存使用率恢复】\n\n中间件: {{addon_id}}\n\n使用率: {{mem_usage_percent_avg}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n容器ID: {{container_id}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n','{\"mem_usage_percent_avg\":\"percent:2\",\"trigger_duration\":\"time:ms\"}','1.0','2021-05-28 11:54:59','2021-05-28 11:55:01',0),(1944,'平台中间件实例Ready状态异常','dice_addon','dice_addon_container_ready','dingding','alert','【平台中间件{{addon_id}} Ready状态异常告警】\n','【平台中间件Ready状态异常告警】\n\n中间件: {{addon_id}}\n\n未就绪实例: {{not_ready_value}}\n\n已就绪实例: {{ready_value}}\n\n集群: {{cluster_name}}\n\n时间: {{timestamp}}\n','','1.0','2021-05-28 11:54:59','2021-05-28 11:55:01',0),(1945,'平台中间件实例Ready状态异常','dice_addon','dice_addon_container_ready','ticket','alert','【平台中间件{{addon_id}} Ready状态异常告警】\n','【平台中间件Ready状态异常告警】\n\n中间件: {{addon_id}}\n\n未就绪实例: {{not_ready_value}}\n\n已就绪实例: {{ready_value}}\n\n集群: {{cluster_name}}\n\n时间: {{timestamp}}\n','','1.0','2021-05-28 11:54:59','2021-05-28 11:55:01',0),(1946,'平台中间件实例Ready状态异常','dice_addon','dice_addon_container_ready','email','alert','【平台中间件{{addon_id}} Ready状态异常告警】\n','【平台中间件Ready状态异常告警】\n\n中间件: {{addon_id}}\n\n未就绪实例: {{not_ready_value}}\n\n已就绪实例: {{ready_value}}\n\n集群: {{cluster_name}}\n\n时间: {{timestamp}}\n','','1.0','2021-05-28 11:54:59','2021-05-28 11:55:01',0),(1947,'平台中间件实例Ready状态异常','dice_addon','dice_addon_container_ready','mbox','alert','【平台中间件{{addon_id}} Ready状态异常告警】\n','【平台中间件Ready状态异常告警】\n\n中间件: {{addon_id}}\n\n未就绪实例: {{not_ready_value}}\n\n已就绪实例: {{ready_value}}\n\n集群: {{cluster_name}}\n\n时间: {{timestamp}}\n','','1.0','2021-05-28 11:54:59','2021-05-28 11:55:01',0),(1948,'平台中间件实例Ready状态异常','dice_addon','dice_addon_container_ready','webhook','alert','【平台中间件{{addon_id}} Ready状态异常告警】\n','【平台中间件Ready状态异常告警】\n\n中间件: {{addon_id}}\n\n未就绪实例: {{not_ready_value}}\n\n已就绪实例: {{ready_value}}\n\n集群: {{cluster_name}}\n\n时间: {{timestamp}}\n','','1.0','2021-05-28 11:54:59','2021-05-28 11:55:01',0),(1949,'平台中间件实例Ready状态异常','dice_addon','dice_addon_container_ready','dingding','recover','【平台中间件{{addon_id}} Ready状态异常恢复】\n','【平台中间件Ready状态异常恢复】\n\n中间件: {{addon_id}}\n\n已绪数实例: {{ready_value}}\n\n集群: {{cluster_name}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n','{\"trigger_duration\":\"time:ms\"}','1.0','2021-05-28 11:54:59','2021-05-28 11:55:01',0),(1950,'平台中间件实例Ready状态异常','dice_addon','dice_addon_container_ready','ticket','recover','【平台中间件{{addon_id}} Ready状态异常恢复】\n','【平台中间件Ready状态异常恢复】\n\n中间件: {{addon_id}}\n\n已绪数实例: {{ready_value}}\n\n集群: {{cluster_name}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n','{\"trigger_duration\":\"time:ms\"}','1.0','2021-05-28 11:54:59','2021-05-28 11:55:01',0),(1951,'平台中间件实例Ready状态异常','dice_addon','dice_addon_container_ready','email','recover','【平台中间件{{addon_id}} Ready状态异常恢复】\n','【平台中间件Ready状态异常恢复】\n\n中间件: {{addon_id}}\n\n已绪数实例: {{ready_value}}\n\n集群: {{cluster_name}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n','{\"trigger_duration\":\"time:ms\"}','1.0','2021-05-28 11:54:59','2021-05-28 11:55:01',0),(1952,'平台中间件实例Ready状态异常','dice_addon','dice_addon_container_ready','mbox','recover','【平台中间件{{addon_id}} Ready状态异常恢复】\n','【平台中间件Ready状态异常恢复】\n\n中间件: {{addon_id}}\n\n已绪数实例: {{ready_value}}\n\n集群: {{cluster_name}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n','{\"trigger_duration\":\"time:ms\"}','1.0','2021-05-28 11:54:59','2021-05-28 11:55:01',0),(1953,'平台中间件实例Ready状态异常','dice_addon','dice_addon_container_ready','webhook','recover','【平台中间件{{addon_id}} Ready状态异常恢复】\n','【平台中间件Ready状态异常恢复】\n\n中间件: {{addon_id}}\n\n已绪数实例: {{ready_value}}\n\n集群: {{cluster_name}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n','{\"trigger_duration\":\"time:ms\"}','1.0','2021-05-28 11:54:59','2021-05-28 11:55:01',0),(1954,'平台中间件elasticsearch GC次数异常','dice_addon','dice_addon_elasticsearch_gc_count','dingding','alert','【平台中间件elasticsearch GC次数告警】\n','【平台中间件elasticsearch GC次数告警】\n\n中间件: {{addon_id}}\n\n老年代GC次数: {{gc_collectors_old_collection_count_win_value}}\n\n集群: {{cluster_name}}\n\n机器: {{node_host}}\n\n时间: {{timestamp}}\n\n[查看详情]({{display_url}})\n','','1.0','2021-05-28 11:54:59','2021-05-28 11:55:01',0),(1955,'平台中间件elasticsearch GC次数异常','dice_addon','dice_addon_elasticsearch_gc_count','ticket','alert','【平台中间件elasticsearch GC次数告警】\n','【平台中间件elasticsearch GC次数告警】\n\n中间件: {{addon_id}}\n\n老年代GC次数: {{gc_collectors_old_collection_count_win_value}}\n\n集群: {{cluster_name}}\n\n机器: {{node_host}}\n\n时间: {{timestamp}}\n\n[查看详情]({{display_url}})\n','','1.0','2021-05-28 11:54:59','2021-05-28 11:55:01',0),(1956,'平台中间件elasticsearch GC次数异常','dice_addon','dice_addon_elasticsearch_gc_count','email','alert','【平台中间件elasticsearch GC次数告警】\n','【平台中间件elasticsearch GC次数告警】\n\n中间件: {{addon_id}}\n\n老年代GC次数: {{gc_collectors_old_collection_count_win_value}}\n\n集群: {{cluster_name}}\n\n机器: {{node_host}}\n\n时间: {{timestamp}}\n\n[查看详情]({{display_url}})\n','','1.0','2021-05-28 11:54:59','2021-05-28 11:55:01',0),(1957,'平台中间件elasticsearch GC次数异常','dice_addon','dice_addon_elasticsearch_gc_count','mbox','alert','【平台中间件elasticsearch GC次数告警】\n','【平台中间件elasticsearch GC次数告警】\n\n中间件: {{addon_id}}\n\n老年代GC次数: {{gc_collectors_old_collection_count_win_value}}\n\n集群: {{cluster_name}}\n\n机器: {{node_host}}\n\n时间: {{timestamp}}\n\n[查看详情]({{display_url}})\n','','1.0','2021-05-28 11:54:59','2021-05-28 11:55:01',0),(1958,'平台中间件elasticsearch GC次数异常','dice_addon','dice_addon_elasticsearch_gc_count','webhook','alert','【平台中间件elasticsearch GC次数告警】\n','【平台中间件elasticsearch GC次数告警】\n\n中间件: {{addon_id}}\n\n老年代GC次数: {{gc_collectors_old_collection_count_win_value}}\n\n集群: {{cluster_name}}\n\n机器: {{node_host}}\n\n时间: {{timestamp}}\n\n[查看详情]({{display_url}})\n','','1.0','2021-05-28 11:54:59','2021-05-28 11:55:01',0),(1959,'平台中间件elasticsearch GC次数异常','dice_addon','dice_addon_elasticsearch_gc_count','dingding','recover','【平台中间件elasticsearch GC次数恢复】\n','【平台中间件elasticsearch GC次数恢复】\n\n中间件: {{addon_id}}\n\n老年代GC次数: {{gc_collectors_old_collection_count_win_value}}\n\n集群: {{cluster_name}}\n\n机器: {{node_host}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n','{\"trigger_duration\":\"time:ms\"}','1.0','2021-05-28 11:54:59','2021-05-28 11:55:01',0),(1960,'平台中间件elasticsearch GC次数异常','dice_addon','dice_addon_elasticsearch_gc_count','ticket','recover','【平台中间件elasticsearch GC次数恢复】\n','【平台中间件elasticsearch GC次数恢复】\n\n中间件: {{addon_id}}\n\n老年代GC次数: {{gc_collectors_old_collection_count_win_value}}\n\n集群: {{cluster_name}}\n\n机器: {{node_host}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n','{\"trigger_duration\":\"time:ms\"}','1.0','2021-05-28 11:54:59','2021-05-28 11:55:01',0),(1961,'平台中间件elasticsearch GC次数异常','dice_addon','dice_addon_elasticsearch_gc_count','email','recover','【平台中间件elasticsearch GC次数恢复】\n','【平台中间件elasticsearch GC次数恢复】\n\n中间件: {{addon_id}}\n\n老年代GC次数: {{gc_collectors_old_collection_count_win_value}}\n\n集群: {{cluster_name}}\n\n机器: {{node_host}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n','{\"trigger_duration\":\"time:ms\"}','1.0','2021-05-28 11:54:59','2021-05-28 11:55:01',0),(1962,'平台中间件elasticsearch GC次数异常','dice_addon','dice_addon_elasticsearch_gc_count','mbox','recover','【平台中间件elasticsearch GC次数恢复】\n','【平台中间件elasticsearch GC次数恢复】\n\n中间件: {{addon_id}}\n\n老年代GC次数: {{gc_collectors_old_collection_count_win_value}}\n\n集群: {{cluster_name}}\n\n机器: {{node_host}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n','{\"trigger_duration\":\"time:ms\"}','1.0','2021-05-28 11:54:59','2021-05-28 11:55:01',0),(1963,'平台中间件elasticsearch GC次数异常','dice_addon','dice_addon_elasticsearch_gc_count','webhook','recover','【平台中间件elasticsearch GC次数恢复】\n','【平台中间件elasticsearch GC次数恢复】\n\n中间件: {{addon_id}}\n\n老年代GC次数: {{gc_collectors_old_collection_count_win_value}}\n\n集群: {{cluster_name}}\n\n机器: {{node_host}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n','{\"trigger_duration\":\"time:ms\"}','1.0','2021-05-28 11:54:59','2021-05-28 11:55:01',0),(1964,'平台中间件elasticsearch GC耗时异常','dice_addon','dice_addon_elasticsearch_gc_time','dingding','alert','【平台中间件elasticsearch GC耗时告警】\n','【平台中间件elasticsearch GC耗时告警】\n\n中间件: {{addon_id}}\n\n老年代GC耗时: {{gc_collectors_old_collection_time_in_millis_win_value}}\n\n集群: {{cluster_name}}\n\n机器: {{node_name}}\n\n时间: {{timestamp}}\n\n[查看详情]({{display_url}})\n','{\"gc_collectors_old_collection_time_in_millis_win_value\":\"time:ms\"}','1.0','2021-05-28 11:54:59','2021-05-28 11:55:01',0),(1965,'平台中间件elasticsearch GC耗时异常','dice_addon','dice_addon_elasticsearch_gc_time','ticket','alert','【平台中间件elasticsearch GC耗时告警】\n','【平台中间件elasticsearch GC耗时告警】\n\n中间件: {{addon_id}}\n\n老年代GC耗时: {{gc_collectors_old_collection_time_in_millis_win_value}}\n\n集群: {{cluster_name}}\n\n机器: {{node_name}}\n\n时间: {{timestamp}}\n\n[查看详情]({{display_url}})\n','{\"gc_collectors_old_collection_time_in_millis_win_value\":\"time:ms\"}','1.0','2021-05-28 11:54:59','2021-05-28 11:55:01',0),(1966,'平台中间件elasticsearch GC耗时异常','dice_addon','dice_addon_elasticsearch_gc_time','email','alert','【平台中间件elasticsearch GC耗时告警】\n','【平台中间件elasticsearch GC耗时告警】\n\n中间件: {{addon_id}}\n\n老年代GC耗时: {{gc_collectors_old_collection_time_in_millis_win_value}}\n\n集群: {{cluster_name}}\n\n机器: {{node_name}}\n\n时间: {{timestamp}}\n\n[查看详情]({{display_url}})\n','{\"gc_collectors_old_collection_time_in_millis_win_value\":\"time:ms\"}','1.0','2021-05-28 11:54:59','2021-05-28 11:55:01',0),(1967,'平台中间件elasticsearch GC耗时异常','dice_addon','dice_addon_elasticsearch_gc_time','mbox','alert','【平台中间件elasticsearch GC耗时告警】\n','【平台中间件elasticsearch GC耗时告警】\n\n中间件: {{addon_id}}\n\n老年代GC耗时: {{gc_collectors_old_collection_time_in_millis_win_value}}\n\n集群: {{cluster_name}}\n\n机器: {{node_name}}\n\n时间: {{timestamp}}\n\n[查看详情]({{display_url}})\n','{\"gc_collectors_old_collection_time_in_millis_win_value\":\"time:ms\"}','1.0','2021-05-28 11:54:59','2021-05-28 11:55:01',0),(1968,'平台中间件elasticsearch GC耗时异常','dice_addon','dice_addon_elasticsearch_gc_time','webhook','alert','【平台中间件elasticsearch GC耗时告警】\n','【平台中间件elasticsearch GC耗时告警】\n\n中间件: {{addon_id}}\n\n老年代GC耗时: {{gc_collectors_old_collection_time_in_millis_win_value}}\n\n集群: {{cluster_name}}\n\n机器: {{node_name}}\n\n时间: {{timestamp}}\n\n[查看详情]({{display_url}})\n','{\"gc_collectors_old_collection_time_in_millis_win_value\":\"time:ms\"}','1.0','2021-05-28 11:54:59','2021-05-28 11:55:01',0),(1969,'平台中间件elasticsearch GC耗时异常','dice_addon','dice_addon_elasticsearch_gc_time','dingding','recover','【平台中间件elasticsearch GC耗时恢复】\n','【平台中间件elasticsearch GC耗时恢复】\n\n中间件: {{addon_id}}\n\n老年代GC耗时: {{gc_collectors_old_collection_time_in_millis_win_value}}\n\n集群: {{cluster_name}}\n\n机器: {{node_name}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n','{\"gc_collectors_old_collection_time_in_millis_win_value\":\"time:ms\",\"trigger_duration\":\"time:ms\"}','1.0','2021-05-28 11:54:59','2021-05-28 11:55:01',0),(1970,'平台中间件elasticsearch GC耗时异常','dice_addon','dice_addon_elasticsearch_gc_time','ticket','recover','【平台中间件elasticsearch GC耗时恢复】\n','【平台中间件elasticsearch GC耗时恢复】\n\n中间件: {{addon_id}}\n\n老年代GC耗时: {{gc_collectors_old_collection_time_in_millis_win_value}}\n\n集群: {{cluster_name}}\n\n机器: {{node_name}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n','{\"gc_collectors_old_collection_time_in_millis_win_value\":\"time:ms\",\"trigger_duration\":\"time:ms\"}','1.0','2021-05-28 11:54:59','2021-05-28 11:55:01',0),(1971,'平台中间件elasticsearch GC耗时异常','dice_addon','dice_addon_elasticsearch_gc_time','email','recover','【平台中间件elasticsearch GC耗时恢复】\n','【平台中间件elasticsearch GC耗时恢复】\n\n中间件: {{addon_id}}\n\n老年代GC耗时: {{gc_collectors_old_collection_time_in_millis_win_value}}\n\n集群: {{cluster_name}}\n\n机器: {{node_name}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n','{\"gc_collectors_old_collection_time_in_millis_win_value\":\"time:ms\",\"trigger_duration\":\"time:ms\"}','1.0','2021-05-28 11:54:59','2021-05-28 11:55:01',0),(1972,'平台中间件elasticsearch GC耗时异常','dice_addon','dice_addon_elasticsearch_gc_time','mbox','recover','【平台中间件elasticsearch GC耗时恢复】\n','【平台中间件elasticsearch GC耗时恢复】\n\n中间件: {{addon_id}}\n\n老年代GC耗时: {{gc_collectors_old_collection_time_in_millis_win_value}}\n\n集群: {{cluster_name}}\n\n机器: {{node_name}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n','{\"gc_collectors_old_collection_time_in_millis_win_value\":\"time:ms\",\"trigger_duration\":\"time:ms\"}','1.0','2021-05-28 11:54:59','2021-05-28 11:55:01',0),(1973,'平台中间件elasticsearch GC耗时异常','dice_addon','dice_addon_elasticsearch_gc_time','webhook','recover','【平台中间件elasticsearch GC耗时恢复】\n','【平台中间件elasticsearch GC耗时恢复】\n\n中间件: {{addon_id}}\n\n老年代GC耗时: {{gc_collectors_old_collection_time_in_millis_win_value}}\n\n集群: {{cluster_name}}\n\n机器: {{node_name}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n','{\"gc_collectors_old_collection_time_in_millis_win_value\":\"time:ms\",\"trigger_duration\":\"time:ms\"}','1.0','2021-05-28 11:54:59','2021-05-28 11:55:01',0),(1974,'平台中间件Kafka GC次数异常','dice_addon','dice_addon_kafka_gc_count','dingding','alert','【平台中间件Kafka GC次数告警】\n','【平台中间件Kafka GC次数告警】\n\n中间件: {{addon_id}}\n\n老年代GC次数: {{CollectionCount_win_value}}\n\n集群: {{cluster_name}}\n\n集群: {{node_host}}\n\n时间: {{timestamp}}\n\n[查看详情]({{display_url}})\n','','1.0','2021-05-28 11:54:59','2021-05-28 11:55:01',0),(1975,'平台中间件Kafka GC次数异常','dice_addon','dice_addon_kafka_gc_count','ticket','alert','【平台中间件Kafka GC次数告警】\n','【平台中间件Kafka GC次数告警】\n\n中间件: {{addon_id}}\n\n老年代GC次数: {{CollectionCount_win_value}}\n\n集群: {{cluster_name}}\n\n集群: {{node_host}}\n\n时间: {{timestamp}}\n\n[查看详情]({{display_url}})\n','','1.0','2021-05-28 11:54:59','2021-05-28 11:55:01',0),(1976,'平台中间件Kafka GC次数异常','dice_addon','dice_addon_kafka_gc_count','email','alert','【平台中间件Kafka GC次数告警】\n','【平台中间件Kafka GC次数告警】\n\n中间件: {{addon_id}}\n\n老年代GC次数: {{CollectionCount_win_value}}\n\n集群: {{cluster_name}}\n\n集群: {{node_host}}\n\n时间: {{timestamp}}\n\n[查看详情]({{display_url}})\n','','1.0','2021-05-28 11:54:59','2021-05-28 11:55:01',0),(1977,'平台中间件Kafka GC次数异常','dice_addon','dice_addon_kafka_gc_count','mbox','alert','【平台中间件Kafka GC次数告警】\n','【平台中间件Kafka GC次数告警】\n\n中间件: {{addon_id}}\n\n老年代GC次数: {{CollectionCount_win_value}}\n\n集群: {{cluster_name}}\n\n集群: {{node_host}}\n\n时间: {{timestamp}}\n\n[查看详情]({{display_url}})\n','','1.0','2021-05-28 11:54:59','2021-05-28 11:55:01',0),(1978,'平台中间件Kafka GC次数异常','dice_addon','dice_addon_kafka_gc_count','webhook','alert','【平台中间件Kafka GC次数告警】\n','【平台中间件Kafka GC次数告警】\n\n中间件: {{addon_id}}\n\n老年代GC次数: {{CollectionCount_win_value}}\n\n集群: {{cluster_name}}\n\n集群: {{node_host}}\n\n时间: {{timestamp}}\n\n[查看详情]({{display_url}})\n','','1.0','2021-05-28 11:54:59','2021-05-28 11:55:01',0),(1979,'平台中间件Kafka GC次数异常','dice_addon','dice_addon_kafka_gc_count','dingding','recover','【平台中间件Kafka GC次数恢复】\n','【平台中间件Kafka GC次数恢复】\n\n中间件: {{addon_id}}\n\n老年代GC次数: {{CollectionCount_win_value}}\n\n集群: {{cluster_name}}\n\n机器: {{node_host}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n','{\"trigger_duration\":\"time:ms\"}','1.0','2021-05-28 11:54:59','2021-05-28 11:55:01',0),(1980,'平台中间件Kafka GC次数异常','dice_addon','dice_addon_kafka_gc_count','ticket','recover','【平台中间件Kafka GC次数恢复】\n','【平台中间件Kafka GC次数恢复】\n\n中间件: {{addon_id}}\n\n老年代GC次数: {{CollectionCount_win_value}}\n\n集群: {{cluster_name}}\n\n机器: {{node_host}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n','{\"trigger_duration\":\"time:ms\"}','1.0','2021-05-28 11:54:59','2021-05-28 11:55:01',0),(1981,'平台中间件Kafka GC次数异常','dice_addon','dice_addon_kafka_gc_count','email','recover','【平台中间件Kafka GC次数恢复】\n','【平台中间件Kafka GC次数恢复】\n\n中间件: {{addon_id}}\n\n老年代GC次数: {{CollectionCount_win_value}}\n\n集群: {{cluster_name}}\n\n机器: {{node_host}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n','{\"trigger_duration\":\"time:ms\"}','1.0','2021-05-28 11:54:59','2021-05-28 11:55:01',0),(1982,'平台中间件Kafka GC次数异常','dice_addon','dice_addon_kafka_gc_count','mbox','recover','【平台中间件Kafka GC次数恢复】\n','【平台中间件Kafka GC次数恢复】\n\n中间件: {{addon_id}}\n\n老年代GC次数: {{CollectionCount_win_value}}\n\n集群: {{cluster_name}}\n\n机器: {{node_host}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n','{\"trigger_duration\":\"time:ms\"}','1.0','2021-05-28 11:54:59','2021-05-28 11:55:01',0),(1983,'平台中间件Kafka GC次数异常','dice_addon','dice_addon_kafka_gc_count','webhook','recover','【平台中间件Kafka GC次数恢复】\n','【平台中间件Kafka GC次数恢复】\n\n中间件: {{addon_id}}\n\n老年代GC次数: {{CollectionCount_win_value}}\n\n集群: {{cluster_name}}\n\n机器: {{node_host}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n','{\"trigger_duration\":\"time:ms\"}','1.0','2021-05-28 11:54:59','2021-05-28 11:55:01',0),(1984,'平台中间件kafka GC耗时异常','dice_addon','dice_addon_kafka_gc_time','dingding','alert','【平台中间件kafka GC耗时告警】\n','【平台中间件kafka GC耗时告警】\n\n中间件: {{addon_id}}\n\n老年代GC耗时: {{CollectionTime_win_value}}\n\n集群: {{cluster_name}}\n\n机器: {{node_host}}\n\n时间: {{timestamp}}\n\n[查看详情]({{display_url}})\n','{\"CollectionTime_win_value\":\"time:ms\"}','1.0','2021-05-28 11:54:59','2021-05-28 11:55:01',0),(1985,'平台中间件kafka GC耗时异常','dice_addon','dice_addon_kafka_gc_time','ticket','alert','【平台中间件kafka GC耗时告警】\n','【平台中间件kafka GC耗时告警】\n\n中间件: {{addon_id}}\n\n老年代GC耗时: {{CollectionTime_win_value}}\n\n集群: {{cluster_name}}\n\n机器: {{node_host}}\n\n时间: {{timestamp}}\n\n[查看详情]({{display_url}})\n','{\"CollectionTime_win_value\":\"time:ms\"}','1.0','2021-05-28 11:54:59','2021-05-28 11:55:01',0),(1986,'平台中间件kafka GC耗时异常','dice_addon','dice_addon_kafka_gc_time','email','alert','【平台中间件kafka GC耗时告警】\n','【平台中间件kafka GC耗时告警】\n\n中间件: {{addon_id}}\n\n老年代GC耗时: {{CollectionTime_win_value}}\n\n集群: {{cluster_name}}\n\n机器: {{node_host}}\n\n时间: {{timestamp}}\n\n[查看详情]({{display_url}})\n','{\"CollectionTime_win_value\":\"time:ms\"}','1.0','2021-05-28 11:54:59','2021-05-28 11:55:01',0),(1987,'平台中间件kafka GC耗时异常','dice_addon','dice_addon_kafka_gc_time','mbox','alert','【平台中间件kafka GC耗时告警】\n','【平台中间件kafka GC耗时告警】\n\n中间件: {{addon_id}}\n\n老年代GC耗时: {{CollectionTime_win_value}}\n\n集群: {{cluster_name}}\n\n机器: {{node_host}}\n\n时间: {{timestamp}}\n\n[查看详情]({{display_url}})\n','{\"CollectionTime_win_value\":\"time:ms\"}','1.0','2021-05-28 11:54:59','2021-05-28 11:55:01',0),(1988,'平台中间件kafka GC耗时异常','dice_addon','dice_addon_kafka_gc_time','webhook','alert','【平台中间件kafka GC耗时告警】\n','【平台中间件kafka GC耗时告警】\n\n中间件: {{addon_id}}\n\n老年代GC耗时: {{CollectionTime_win_value}}\n\n集群: {{cluster_name}}\n\n机器: {{node_host}}\n\n时间: {{timestamp}}\n\n[查看详情]({{display_url}})\n','{\"CollectionTime_win_value\":\"time:ms\"}','1.0','2021-05-28 11:54:59','2021-05-28 11:55:01',0),(1989,'平台中间件kafka GC耗时异常','dice_addon','dice_addon_kafka_gc_time','dingding','recover','【平台中间件kafka GC耗时恢复】\n','【平台中间件kafka GC耗时恢复】\n\n中间件: {{addon_id}}\n\n老年代GC耗时: {{CollectionTime_win_value}}\n\n集群: {{cluster_name}}\n\n机器: {{node_host}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n','{\"CollectionTime_win_value\":\"time:ms\",\"trigger_duration\":\"time:ms\"}','1.0','2021-05-28 11:54:59','2021-05-28 11:55:01',0),(1990,'平台中间件kafka GC耗时异常','dice_addon','dice_addon_kafka_gc_time','ticket','recover','【平台中间件kafka GC耗时恢复】\n','【平台中间件kafka GC耗时恢复】\n\n中间件: {{addon_id}}\n\n老年代GC耗时: {{CollectionTime_win_value}}\n\n集群: {{cluster_name}}\n\n机器: {{node_host}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n','{\"CollectionTime_win_value\":\"time:ms\",\"trigger_duration\":\"time:ms\"}','1.0','2021-05-28 11:54:59','2021-05-28 11:55:01',0),(1991,'平台中间件kafka GC耗时异常','dice_addon','dice_addon_kafka_gc_time','email','recover','【平台中间件kafka GC耗时恢复】\n','【平台中间件kafka GC耗时恢复】\n\n中间件: {{addon_id}}\n\n老年代GC耗时: {{CollectionTime_win_value}}\n\n集群: {{cluster_name}}\n\n机器: {{node_host}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n','{\"CollectionTime_win_value\":\"time:ms\",\"trigger_duration\":\"time:ms\"}','1.0','2021-05-28 11:54:59','2021-05-28 11:55:01',0),(1992,'平台中间件kafka GC耗时异常','dice_addon','dice_addon_kafka_gc_time','mbox','recover','【平台中间件kafka GC耗时恢复】\n','【平台中间件kafka GC耗时恢复】\n\n中间件: {{addon_id}}\n\n老年代GC耗时: {{CollectionTime_win_value}}\n\n集群: {{cluster_name}}\n\n机器: {{node_host}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n','{\"CollectionTime_win_value\":\"time:ms\",\"trigger_duration\":\"time:ms\"}','1.0','2021-05-28 11:54:59','2021-05-28 11:55:01',0),(1993,'平台中间件kafka GC耗时异常','dice_addon','dice_addon_kafka_gc_time','webhook','recover','【平台中间件kafka GC耗时恢复】\n','【平台中间件kafka GC耗时恢复】\n\n中间件: {{addon_id}}\n\n老年代GC耗时: {{CollectionTime_win_value}}\n\n集群: {{cluster_name}}\n\n机器: {{node_host}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n','{\"CollectionTime_win_value\":\"time:ms\",\"trigger_duration\":\"time:ms\"}','1.0','2021-05-28 11:54:59','2021-05-28 11:55:01',0),(1994,'平台中间件kafka消费堆积','dice_addon','dice_addon_kafka_lag','dingding','alert','【平台中间件kafka消费堆积告警】\n','【平台中间件kafka消费堆积告警】\n\n中间件: {{addon_id}}\n\n消费者组: {{group}}\n\nTopic: {{topic}}\n\n当前消息堆积: {{lag_avg}}\n\n消费速度: {{consume_rate_per_sec_avg}} /s\n\n生产速度: {{produce_rate_per_sec_avg}} /s\n\n集群: {{cluster_name}}\n\n时间: {{timestamp}}\n\n[查看详情]({{display_url}})\n','','1.0','2021-05-28 11:54:59','2021-05-28 11:55:01',0),(1995,'平台中间件kafka消费堆积','dice_addon','dice_addon_kafka_lag','ticket','alert','【平台中间件kafka消费堆积告警】\n','【平台中间件kafka消费堆积告警】\n\n中间件: {{addon_id}}\n\n消费者组: {{group}}\n\nTopic: {{topic}}\n\n当前消息堆积: {{lag_avg}}\n\n消费速度: {{consume_rate_per_sec_avg}} /s\n\n生产速度: {{produce_rate_per_sec_avg}} /s\n\n集群: {{cluster_name}}\n\n时间: {{timestamp}}\n\n[查看详情]({{display_url}})\n','','1.0','2021-05-28 11:54:59','2021-05-28 11:55:01',0),(1996,'平台中间件kafka消费堆积','dice_addon','dice_addon_kafka_lag','email','alert','【平台中间件kafka消费堆积告警】\n','【平台中间件kafka消费堆积告警】\n\n中间件: {{addon_id}}\n\n消费者组: {{group}}\n\nTopic: {{topic}}\n\n当前消息堆积: {{lag_avg}}\n\n消费速度: {{consume_rate_per_sec_avg}} /s\n\n生产速度: {{produce_rate_per_sec_avg}} /s\n\n集群: {{cluster_name}}\n\n时间: {{timestamp}}\n\n[查看详情]({{display_url}})\n','','1.0','2021-05-28 11:54:59','2021-05-28 11:55:01',0),(1997,'平台中间件kafka消费堆积','dice_addon','dice_addon_kafka_lag','mbox','alert','【平台中间件kafka消费堆积告警】\n','【平台中间件kafka消费堆积告警】\n\n中间件: {{addon_id}}\n\n消费者组: {{group}}\n\nTopic: {{topic}}\n\n当前消息堆积: {{lag_avg}}\n\n消费速度: {{consume_rate_per_sec_avg}} /s\n\n生产速度: {{produce_rate_per_sec_avg}} /s\n\n集群: {{cluster_name}}\n\n时间: {{timestamp}}\n\n[查看详情]({{display_url}})\n','','1.0','2021-05-28 11:54:59','2021-05-28 11:55:01',0),(1998,'平台中间件kafka消费堆积','dice_addon','dice_addon_kafka_lag','webhook','alert','【平台中间件kafka消费堆积告警】\n','【平台中间件kafka消费堆积告警】\n\n中间件: {{addon_id}}\n\n消费者组: {{group}}\n\nTopic: {{topic}}\n\n当前消息堆积: {{lag_avg}}\n\n消费速度: {{consume_rate_per_sec_avg}} /s\n\n生产速度: {{produce_rate_per_sec_avg}} /s\n\n集群: {{cluster_name}}\n\n时间: {{timestamp}}\n\n[查看详情]({{display_url}})\n','','1.0','2021-05-28 11:54:59','2021-05-28 11:55:01',0),(1999,'平台中间件kafka消费堆积','dice_addon','dice_addon_kafka_lag','dingding','recover','【平台中间件kafka消费堆积恢复】\n','【平台中间件kafka消费堆积恢复】\n\n中间件: {{addon_id}}\n\n消费者组: {{group}}\n\nTopic: {{topic}}\n\n当前消息堆积: {{lag_avg}}\n\n集群: {{cluster_name}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n','{\"trigger_duration\":\"time:ms\"}','1.0','2021-05-28 11:54:59','2021-05-28 11:55:01',0),(2000,'平台中间件kafka消费堆积','dice_addon','dice_addon_kafka_lag','ticket','recover','【平台中间件kafka消费堆积恢复】\n','【平台中间件kafka消费堆积恢复】\n\n中间件: {{addon_id}}\n\n消费者组: {{group}}\n\nTopic: {{topic}}\n\n当前消息堆积: {{lag_avg}}\n\n集群: {{cluster_name}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n','{\"trigger_duration\":\"time:ms\"}','1.0','2021-05-28 11:54:59','2021-05-28 11:55:01',0),(2001,'平台中间件kafka消费堆积','dice_addon','dice_addon_kafka_lag','email','recover','【平台中间件kafka消费堆积恢复】\n','【平台中间件kafka消费堆积恢复】\n\n中间件: {{addon_id}}\n\n消费者组: {{group}}\n\nTopic: {{topic}}\n\n当前消息堆积: {{lag_avg}}\n\n集群: {{cluster_name}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n','{\"trigger_duration\":\"time:ms\"}','1.0','2021-05-28 11:54:59','2021-05-28 11:55:01',0),(2002,'平台中间件kafka消费堆积','dice_addon','dice_addon_kafka_lag','mbox','recover','【平台中间件kafka消费堆积恢复】\n','【平台中间件kafka消费堆积恢复】\n\n中间件: {{addon_id}}\n\n消费者组: {{group}}\n\nTopic: {{topic}}\n\n当前消息堆积: {{lag_avg}}\n\n集群: {{cluster_name}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n','{\"trigger_duration\":\"time:ms\"}','1.0','2021-05-28 11:54:59','2021-05-28 11:55:01',0),(2003,'平台中间件kafka消费堆积','dice_addon','dice_addon_kafka_lag','webhook','recover','【平台中间件kafka消费堆积恢复】\n','【平台中间件kafka消费堆积恢复】\n\n中间件: {{addon_id}}\n\n消费者组: {{group}}\n\nTopic: {{topic}}\n\n当前消息堆积: {{lag_avg}}\n\n集群: {{cluster_name}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n','{\"trigger_duration\":\"time:ms\"}','1.0','2021-05-28 11:54:59','2021-05-28 11:55:01',0),(2004,'平台组件实例CPU异常','dice_component','dice_component_container_cpu','dingding','alert','【平台组件{{component_name}} CPU使用率告警】\n','【平台组件CPU使用率告警】\n\n组件: {{component_name}}\n\n使用率: {{cpu_usage_percent_avg}}\n\n限制: {{cpu_limit_value}}核\n\n分配: {{cpu_allocation_value}}核\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n容器ID: {{container_id}}\n\n时间: {{timestamp}}\n','{\"cpu_allocation_value\":\"fraction:2\",\"cpu_limit_value\":\"fraction:2\",\"cpu_usage_percent_avg\":\"percent:2\"}','1.0','2021-05-28 11:54:59','2021-05-28 11:55:01',0),(2005,'平台组件实例CPU异常','dice_component','dice_component_container_cpu','ticket','alert','【平台组件{{component_name}} CPU使用率告警】\n','【平台组件CPU使用率告警】\n\n组件: {{component_name}}\n\n使用率: {{cpu_usage_percent_avg}}\n\n限制: {{cpu_limit_value}}核\n\n分配: {{cpu_allocation_value}}核\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n容器ID: {{container_id}}\n\n时间: {{timestamp}}\n','{\"cpu_allocation_value\":\"fraction:2\",\"cpu_limit_value\":\"fraction:2\",\"cpu_usage_percent_avg\":\"percent:2\"}','1.0','2021-05-28 11:54:59','2021-05-28 11:55:01',0),(2006,'平台组件实例CPU异常','dice_component','dice_component_container_cpu','email','alert','【平台组件{{component_name}} CPU使用率告警】\n','【平台组件CPU使用率告警】\n\n组件: {{component_name}}\n\n使用率: {{cpu_usage_percent_avg}}\n\n限制: {{cpu_limit_value}}核\n\n分配: {{cpu_allocation_value}}核\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n容器ID: {{container_id}}\n\n时间: {{timestamp}}\n','{\"cpu_allocation_value\":\"fraction:2\",\"cpu_limit_value\":\"fraction:2\",\"cpu_usage_percent_avg\":\"percent:2\"}','1.0','2021-05-28 11:54:59','2021-05-28 11:55:01',0),(2007,'平台组件实例CPU异常','dice_component','dice_component_container_cpu','mbox','alert','【平台组件{{component_name}} CPU使用率告警】\n','【平台组件CPU使用率告警】\n\n组件: {{component_name}}\n\n使用率: {{cpu_usage_percent_avg}}\n\n限制: {{cpu_limit_value}}核\n\n分配: {{cpu_allocation_value}}核\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n容器ID: {{container_id}}\n\n时间: {{timestamp}}\n','{\"cpu_allocation_value\":\"fraction:2\",\"cpu_limit_value\":\"fraction:2\",\"cpu_usage_percent_avg\":\"percent:2\"}','1.0','2021-05-28 11:54:59','2021-05-28 11:55:01',0),(2008,'平台组件实例CPU异常','dice_component','dice_component_container_cpu','webhook','alert','【平台组件{{component_name}} CPU使用率告警】\n','【平台组件CPU使用率告警】\n\n组件: {{component_name}}\n\n使用率: {{cpu_usage_percent_avg}}\n\n限制: {{cpu_limit_value}}核\n\n分配: {{cpu_allocation_value}}核\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n容器ID: {{container_id}}\n\n时间: {{timestamp}}\n','{\"cpu_allocation_value\":\"fraction:2\",\"cpu_limit_value\":\"fraction:2\",\"cpu_usage_percent_avg\":\"percent:2\"}','1.0','2021-05-28 11:54:59','2021-05-28 11:55:01',0),(2009,'平台组件实例CPU异常','dice_component','dice_component_container_cpu','dingding','recover','【平台组件{{component_name}} CPU使用率恢复】\n','【平台组件CPU使用率恢复】\n\n组件: {{component_name}}\n\n使用率: {{cpu_usage_percent_avg}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n容器ID: {{container_id}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n','{\"cpu_usage_percent_avg\":\"percent:2\",\"trigger_duration\":\"time:ms\"}','1.0','2021-05-28 11:54:59','2021-05-28 11:55:01',0),(2010,'平台组件实例CPU异常','dice_component','dice_component_container_cpu','ticket','recover','【平台组件{{component_name}} CPU使用率恢复】\n','【平台组件CPU使用率恢复】\n\n组件: {{component_name}}\n\n使用率: {{cpu_usage_percent_avg}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n容器ID: {{container_id}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n','{\"cpu_usage_percent_avg\":\"percent:2\",\"trigger_duration\":\"time:ms\"}','1.0','2021-05-28 11:54:59','2021-05-28 11:55:01',0),(2011,'平台组件实例CPU异常','dice_component','dice_component_container_cpu','email','recover','【平台组件{{component_name}} CPU使用率恢复】\n','【平台组件CPU使用率恢复】\n\n组件: {{component_name}}\n\n使用率: {{cpu_usage_percent_avg}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n容器ID: {{container_id}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n','{\"cpu_usage_percent_avg\":\"percent:2\",\"trigger_duration\":\"time:ms\"}','1.0','2021-05-28 11:54:59','2021-05-28 11:55:01',0),(2012,'平台组件实例CPU异常','dice_component','dice_component_container_cpu','mbox','recover','【平台组件{{component_name}} CPU使用率恢复】\n','【平台组件CPU使用率恢复】\n\n组件: {{component_name}}\n\n使用率: {{cpu_usage_percent_avg}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n容器ID: {{container_id}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n','{\"cpu_usage_percent_avg\":\"percent:2\",\"trigger_duration\":\"time:ms\"}','1.0','2021-05-28 11:54:59','2021-05-28 11:55:01',0),(2013,'平台组件实例CPU异常','dice_component','dice_component_container_cpu','webhook','recover','【平台组件{{component_name}} CPU使用率恢复】\n','【平台组件CPU使用率恢复】\n\n组件: {{component_name}}\n\n使用率: {{cpu_usage_percent_avg}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n容器ID: {{container_id}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n','{\"cpu_usage_percent_avg\":\"percent:2\",\"trigger_duration\":\"time:ms\"}','1.0','2021-05-28 11:54:59','2021-05-28 11:55:01',0),(2014,'平台组件异常退出','dice_component','dice_component_container_exit','dingding','alert','【平台组件{{component_name}}异常退出告警】\n','【平台组件异常退出告警】\n\n组件: {{component_name}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n启动时间: {{started_at_value}}\n\n退出时间: {{finished_at_value}}\n\n退出原因: {{terminated_reason_value}}\n\n时间: {{timestamp}}\n\n[查看详情]({{display_url}})\n','{\"finished_at_value\":\"date\",\"started_at_value\":\"date\"}','1.0','2021-05-28 11:54:59','2021-05-28 11:55:01',0),(2015,'平台组件异常退出','dice_component','dice_component_container_exit','ticket','alert','【平台组件{{component_name}}异常退出告警】\n','【平台组件异常退出告警】\n\n组件: {{component_name}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n启动时间: {{started_at_value}}\n\n退出时间: {{finished_at_value}}\n\n退出原因: {{terminated_reason_value}}\n\n时间: {{timestamp}}\n\n[查看详情]({{display_url}})\n','{\"finished_at_value\":\"date\",\"started_at_value\":\"date\"}','1.0','2021-05-28 11:54:59','2021-05-28 11:55:01',0),(2016,'平台组件异常退出','dice_component','dice_component_container_exit','email','alert','【平台组件{{component_name}}异常退出告警】\n','【平台组件异常退出告警】\n\n组件: {{component_name}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n启动时间: {{started_at_value}}\n\n退出时间: {{finished_at_value}}\n\n退出原因: {{terminated_reason_value}}\n\n时间: {{timestamp}}\n\n[查看详情]({{display_url}})\n','{\"finished_at_value\":\"date\",\"started_at_value\":\"date\"}','1.0','2021-05-28 11:54:59','2021-05-28 11:55:01',0),(2017,'平台组件异常退出','dice_component','dice_component_container_exit','mbox','alert','【平台组件{{component_name}}异常退出告警】\n','【平台组件异常退出告警】\n\n组件: {{component_name}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n启动时间: {{started_at_value}}\n\n退出时间: {{finished_at_value}}\n\n退出原因: {{terminated_reason_value}}\n\n时间: {{timestamp}}\n\n[查看详情]({{display_url}})\n','{\"finished_at_value\":\"date\",\"started_at_value\":\"date\"}','1.0','2021-05-28 11:54:59','2021-05-28 11:55:01',0),(2018,'平台组件异常退出','dice_component','dice_component_container_exit','webhook','alert','【平台组件{{component_name}}异常退出告警】\n','【平台组件异常退出告警】\n\n组件: {{component_name}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n启动时间: {{started_at_value}}\n\n退出时间: {{finished_at_value}}\n\n退出原因: {{terminated_reason_value}}\n\n时间: {{timestamp}}\n\n[查看详情]({{display_url}})\n','{\"finished_at_value\":\"date\",\"started_at_value\":\"date\"}','1.0','2021-05-28 11:54:59','2021-05-28 11:55:01',0),(2019,'平台组件异常退出','dice_component','dice_component_container_exit','dingding','recover','【平台组件{{component_name}}异常退出恢复】\n','【平台组件异常退出恢复】\n\n组件: {{component_name}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n','{\"trigger_duration\":\"time:ms\"}','1.0','2021-05-28 11:54:59','2021-05-28 11:55:01',0),(2020,'平台组件异常退出','dice_component','dice_component_container_exit','ticket','recover','【平台组件{{component_name}}异常退出恢复】\n','【平台组件异常退出恢复】\n\n组件: {{component_name}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n','{\"trigger_duration\":\"time:ms\"}','1.0','2021-05-28 11:54:59','2021-05-28 11:55:01',0),(2021,'平台组件异常退出','dice_component','dice_component_container_exit','email','recover','【平台组件{{component_name}}异常退出恢复】\n','【平台组件异常退出恢复】\n\n组件: {{component_name}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n','{\"trigger_duration\":\"time:ms\"}','1.0','2021-05-28 11:54:59','2021-05-28 11:55:01',0),(2022,'平台组件异常退出','dice_component','dice_component_container_exit','mbox','recover','【平台组件{{component_name}}异常退出恢复】\n','【平台组件异常退出恢复】\n\n组件: {{component_name}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n','{\"trigger_duration\":\"time:ms\"}','1.0','2021-05-28 11:54:59','2021-05-28 11:55:01',0),(2023,'平台组件异常退出','dice_component','dice_component_container_exit','webhook','recover','【平台组件{{component_name}}异常退出恢复】\n','【平台组件异常退出恢复】\n\n组件: {{component_name}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n','{\"trigger_duration\":\"time:ms\"}','1.0','2021-05-28 11:54:59','2021-05-28 11:55:01',0),(2024,'平台组件实例内存异常','dice_component','dice_component_container_mem','dingding','alert','【平台组件{{component_name}}内存使用率告警】\n','【平台组件内存使用率告警】\n\n组件: {{component_name}}\n\n使用率: {{mem_usage_percent_avg}}\n\n使用: {{mem_usage_value}}\n\n限制: {{mem_limit_value}}\n\n分配: {{mem_allocation_value}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n容器ID: {{container_id}}\n\n时间: {{timestamp}}\n','{\"mem_allocation_value\":\"size:byte\",\"mem_limit_value\":\"size:byte\",\"mem_usage_percent_avg\":\"percent:2\",\"mem_usage_value\":\"size:byte\"}','1.0','2021-05-28 11:54:59','2021-05-28 11:55:01',0),(2025,'平台组件实例内存异常','dice_component','dice_component_container_mem','ticket','alert','【平台组件{{component_name}}内存使用率告警】\n','【平台组件内存使用率告警】\n\n组件: {{component_name}}\n\n使用率: {{mem_usage_percent_avg}}\n\n使用: {{mem_usage_value}}\n\n限制: {{mem_limit_value}}\n\n分配: {{mem_allocation_value}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n容器ID: {{container_id}}\n\n时间: {{timestamp}}\n','{\"mem_allocation_value\":\"size:byte\",\"mem_limit_value\":\"size:byte\",\"mem_usage_percent_avg\":\"percent:2\",\"mem_usage_value\":\"size:byte\"}','1.0','2021-05-28 11:54:59','2021-05-28 11:55:01',0),(2026,'平台组件实例内存异常','dice_component','dice_component_container_mem','email','alert','【平台组件{{component_name}}内存使用率告警】\n','【平台组件内存使用率告警】\n\n组件: {{component_name}}\n\n使用率: {{mem_usage_percent_avg}}\n\n使用: {{mem_usage_value}}\n\n限制: {{mem_limit_value}}\n\n分配: {{mem_allocation_value}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n容器ID: {{container_id}}\n\n时间: {{timestamp}}\n','{\"mem_allocation_value\":\"size:byte\",\"mem_limit_value\":\"size:byte\",\"mem_usage_percent_avg\":\"percent:2\",\"mem_usage_value\":\"size:byte\"}','1.0','2021-05-28 11:54:59','2021-05-28 11:55:01',0),(2027,'平台组件实例内存异常','dice_component','dice_component_container_mem','mbox','alert','【平台组件{{component_name}}内存使用率告警】\n','【平台组件内存使用率告警】\n\n组件: {{component_name}}\n\n使用率: {{mem_usage_percent_avg}}\n\n使用: {{mem_usage_value}}\n\n限制: {{mem_limit_value}}\n\n分配: {{mem_allocation_value}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n容器ID: {{container_id}}\n\n时间: {{timestamp}}\n','{\"mem_allocation_value\":\"size:byte\",\"mem_limit_value\":\"size:byte\",\"mem_usage_percent_avg\":\"percent:2\",\"mem_usage_value\":\"size:byte\"}','1.0','2021-05-28 11:54:59','2021-05-28 11:55:01',0),(2028,'平台组件实例内存异常','dice_component','dice_component_container_mem','webhook','alert','【平台组件{{component_name}}内存使用率告警】\n','【平台组件内存使用率告警】\n\n组件: {{component_name}}\n\n使用率: {{mem_usage_percent_avg}}\n\n使用: {{mem_usage_value}}\n\n限制: {{mem_limit_value}}\n\n分配: {{mem_allocation_value}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n容器ID: {{container_id}}\n\n时间: {{timestamp}}\n','{\"mem_allocation_value\":\"size:byte\",\"mem_limit_value\":\"size:byte\",\"mem_usage_percent_avg\":\"percent:2\",\"mem_usage_value\":\"size:byte\"}','1.0','2021-05-28 11:54:59','2021-05-28 11:55:01',0),(2029,'平台组件实例内存异常','dice_component','dice_component_container_mem','dingding','recover','【平台组件{{component_name}}内存使用率恢复】\n','【平台组件内存使用率恢复】\n\n组件: {{component_name}}\n\n使用率: {{mem_usage_percent_avg}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n容器ID: {{container_id}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n','{\"trigger_duration\":\"time:ms\",\"usage_percent_avg\":\"percent:2\"}','1.0','2021-05-28 11:54:59','2021-05-28 11:55:01',0),(2030,'平台组件实例内存异常','dice_component','dice_component_container_mem','ticket','recover','【平台组件{{component_name}}内存使用率恢复】\n','【平台组件内存使用率恢复】\n\n组件: {{component_name}}\n\n使用率: {{mem_usage_percent_avg}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n容器ID: {{container_id}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n','{\"trigger_duration\":\"time:ms\",\"usage_percent_avg\":\"percent:2\"}','1.0','2021-05-28 11:54:59','2021-05-28 11:55:01',0),(2031,'平台组件实例内存异常','dice_component','dice_component_container_mem','email','recover','【平台组件{{component_name}}内存使用率恢复】\n','【平台组件内存使用率恢复】\n\n组件: {{component_name}}\n\n使用率: {{mem_usage_percent_avg}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n容器ID: {{container_id}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n','{\"trigger_duration\":\"time:ms\",\"usage_percent_avg\":\"percent:2\"}','1.0','2021-05-28 11:54:59','2021-05-28 11:55:01',0),(2032,'平台组件实例内存异常','dice_component','dice_component_container_mem','mbox','recover','【平台组件{{component_name}}内存使用率恢复】\n','【平台组件内存使用率恢复】\n\n组件: {{component_name}}\n\n使用率: {{mem_usage_percent_avg}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n容器ID: {{container_id}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n','{\"trigger_duration\":\"time:ms\",\"usage_percent_avg\":\"percent:2\"}','1.0','2021-05-28 11:54:59','2021-05-28 11:55:01',0),(2033,'平台组件实例内存异常','dice_component','dice_component_container_mem','webhook','recover','【平台组件{{component_name}}内存使用率恢复】\n','【平台组件内存使用率恢复】\n\n组件: {{component_name}}\n\n使用率: {{mem_usage_percent_avg}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n容器ID: {{container_id}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n','{\"trigger_duration\":\"time:ms\",\"usage_percent_avg\":\"percent:2\"}','1.0','2021-05-28 11:54:59','2021-05-28 11:55:01',0),(2034,'平台组件实例Ready状态异常','dice_component','dice_component_container_ready','dingding','alert','【平台组件{{component_name}} Ready状态异常告警】\n','【平台组件Ready状态异常告警】\n\n组件: {{component_name}}\n\n未就绪实例: {{not_ready_value}}\n\n已就绪实例: {{ready_value}}\n\n集群: {{cluster_name}}\n\n时间: {{timestamp}}\n','','1.0','2021-05-28 11:54:59','2021-05-28 11:55:01',0),(2035,'平台组件实例Ready状态异常','dice_component','dice_component_container_ready','ticket','alert','【平台组件{{component_name}} Ready状态异常告警】\n','【平台组件Ready状态异常告警】\n\n组件: {{component_name}}\n\n未就绪实例: {{not_ready_value}}\n\n已就绪实例: {{ready_value}}\n\n集群: {{cluster_name}}\n\n时间: {{timestamp}}\n','','1.0','2021-05-28 11:54:59','2021-05-28 11:55:01',0),(2036,'平台组件实例Ready状态异常','dice_component','dice_component_container_ready','email','alert','【平台组件{{component_name}} Ready状态异常告警】\n','【平台组件Ready状态异常告警】\n\n组件: {{component_name}}\n\n未就绪实例: {{not_ready_value}}\n\n已就绪实例: {{ready_value}}\n\n集群: {{cluster_name}}\n\n时间: {{timestamp}}\n','','1.0','2021-05-28 11:54:59','2021-05-28 11:55:01',0),(2037,'平台组件实例Ready状态异常','dice_component','dice_component_container_ready','mbox','alert','【平台组件{{component_name}} Ready状态异常告警】\n','【平台组件Ready状态异常告警】\n\n组件: {{component_name}}\n\n未就绪实例: {{not_ready_value}}\n\n已就绪实例: {{ready_value}}\n\n集群: {{cluster_name}}\n\n时间: {{timestamp}}\n','','1.0','2021-05-28 11:54:59','2021-05-28 11:55:01',0),(2038,'平台组件实例Ready状态异常','dice_component','dice_component_container_ready','webhook','alert','【平台组件{{component_name}} Ready状态异常告警】\n','【平台组件Ready状态异常告警】\n\n组件: {{component_name}}\n\n未就绪实例: {{not_ready_value}}\n\n已就绪实例: {{ready_value}}\n\n集群: {{cluster_name}}\n\n时间: {{timestamp}}\n','','1.0','2021-05-28 11:54:59','2021-05-28 11:55:01',0),(2039,'平台组件实例Ready状态异常','dice_component','dice_component_container_ready','dingding','recover','【平台组件{{component_name}} Ready状态异常恢复】\n','【平台组件Ready状态异常恢复】\n\n组件: {{component_name}}\n\n已绪数实例: {{ready_value}}\n\n集群: {{cluster_name}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n','{\"trigger_duration\":\"time:ms\"}','1.0','2021-05-28 11:54:59','2021-05-28 11:55:01',0),(2040,'平台组件实例Ready状态异常','dice_component','dice_component_container_ready','ticket','recover','【平台组件{{component_name}} Ready状态异常恢复】\n','【平台组件Ready状态异常恢复】\n\n组件: {{component_name}}\n\n已绪数实例: {{ready_value}}\n\n集群: {{cluster_name}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n','{\"trigger_duration\":\"time:ms\"}','1.0','2021-05-28 11:54:59','2021-05-28 11:55:01',0),(2041,'平台组件实例Ready状态异常','dice_component','dice_component_container_ready','email','recover','【平台组件{{component_name}} Ready状态异常恢复】\n','【平台组件Ready状态异常恢复】\n\n组件: {{component_name}}\n\n已绪数实例: {{ready_value}}\n\n集群: {{cluster_name}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n','{\"trigger_duration\":\"time:ms\"}','1.0','2021-05-28 11:54:59','2021-05-28 11:55:01',0),(2042,'平台组件实例Ready状态异常','dice_component','dice_component_container_ready','mbox','recover','【平台组件{{component_name}} Ready状态异常恢复】\n','【平台组件Ready状态异常恢复】\n\n组件: {{component_name}}\n\n已绪数实例: {{ready_value}}\n\n集群: {{cluster_name}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n','{\"trigger_duration\":\"time:ms\"}','1.0','2021-05-28 11:54:59','2021-05-28 11:55:01',0),(2043,'平台组件实例Ready状态异常','dice_component','dice_component_container_ready','webhook','recover','【平台组件{{component_name}} Ready状态异常恢复】\n','【平台组件Ready状态异常恢复】\n\n组件: {{component_name}}\n\n已绪数实例: {{ready_value}}\n\n集群: {{cluster_name}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n','{\"trigger_duration\":\"time:ms\"}','1.0','2021-05-28 11:54:59','2021-05-28 11:55:01',0),(2044,'平台组件Flink任务checkpoint延迟异常告警','dice_component','dice_component_flink_checkpoint_duration','dingding','alert','【平台组件Flink任务checkpoint延迟异常告警】\n','【平台组件Flink任务checkpoint延迟异常告警】\n\n延迟: {{lastCheckpointDuration_value}}ms\n\n任务ID： {{job_id}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n时间: {{timestamp}}','{}','1.0','2021-05-28 11:54:59','2021-05-28 11:55:01',0),(2045,'平台组件Flink任务checkpoint延迟异常告警','dice_component','dice_component_flink_checkpoint_duration','ticket','alert','【平台组件Flink任务checkpoint延迟异常告警】\n','【平台组件Flink任务checkpoint延迟异常告警】\n\n延迟: {{lastCheckpointDuration_value}}ms\n\n任务ID： {{job_id}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n时间: {{timestamp}}','{}','1.0','2021-05-28 11:54:59','2021-05-28 11:55:01',0),(2046,'平台组件Flink任务checkpoint延迟异常告警','dice_component','dice_component_flink_checkpoint_duration','email','alert','【平台组件Flink任务checkpoint延迟异常告警】\n','【平台组件Flink任务checkpoint延迟异常告警】\n\n延迟: {{lastCheckpointDuration_value}}ms\n\n任务ID： {{job_id}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n时间: {{timestamp}}','{}','1.0','2021-05-28 11:54:59','2021-05-28 11:55:01',0),(2047,'平台组件Flink任务checkpoint延迟异常告警','dice_component','dice_component_flink_checkpoint_duration','mbox','alert','【平台组件Flink任务checkpoint延迟异常告警】\n','【平台组件Flink任务checkpoint延迟异常告警】\n\n延迟: {{lastCheckpointDuration_value}}ms\n\n任务ID： {{job_id}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n时间: {{timestamp}}','{}','1.0','2021-05-28 11:54:59','2021-05-28 11:55:01',0),(2048,'平台组件Flink任务checkpoint延迟异常告警','dice_component','dice_component_flink_checkpoint_duration','webhook','alert','【平台组件Flink任务checkpoint延迟异常告警】\n','【平台组件Flink任务checkpoint延迟异常告警】\n\n延迟: {{lastCheckpointDuration_value}}ms\n\n任务ID： {{job_id}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n时间: {{timestamp}}','{}','1.0','2021-05-28 11:54:59','2021-05-28 11:55:01',0),(2049,'平台组件Flink吞吐量异常告警','dice_component','dice_component_flink_throughput','dingding','alert','【平台组件Flink吞吐量异常告警】\n','【平台组件Flink吞吐量异常告警】\n\noperator每秒输出量: {{numRecordsOutPerSecond_count_value}}\n\n任务ID： {{job_id}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n时间: {{timestamp}}','{}','1.0','2021-05-28 11:54:59','2021-05-28 11:55:01',0),(2050,'平台组件Flink吞吐量异常告警','dice_component','dice_component_flink_throughput','ticket','alert','【平台组件Flink吞吐量异常告警】\n','【平台组件Flink吞吐量异常告警】\n\noperator每秒输出量: {{numRecordsOutPerSecond_count_value}}\n\n任务ID： {{job_id}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n时间: {{timestamp}}','{}','1.0','2021-05-28 11:54:59','2021-05-28 11:55:01',0),(2051,'平台组件Flink吞吐量异常告警','dice_component','dice_component_flink_throughput','email','alert','【平台组件Flink吞吐量异常告警】\n','【平台组件Flink吞吐量异常告警】\n\noperator每秒输出量: {{numRecordsOutPerSecond_count_value}}\n\n任务ID： {{job_id}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n时间: {{timestamp}}','{}','1.0','2021-05-28 11:54:59','2021-05-28 11:55:01',0),(2052,'平台组件Flink吞吐量异常告警','dice_component','dice_component_flink_throughput','mbox','alert','【平台组件Flink吞吐量异常告警】\n','【平台组件Flink吞吐量异常告警】\n\noperator每秒输出量: {{numRecordsOutPerSecond_count_value}}\n\n任务ID： {{job_id}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n时间: {{timestamp}}','{}','1.0','2021-05-28 11:54:59','2021-05-28 11:55:01',0),(2053,'平台组件Flink吞吐量异常告警','dice_component','dice_component_flink_throughput','webhook','alert','【平台组件Flink吞吐量异常告警】\n','【平台组件Flink吞吐量异常告警】\n\noperator每秒输出量: {{numRecordsOutPerSecond_count_value}}\n\n任务ID： {{job_id}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n时间: {{timestamp}}','{}','1.0','2021-05-28 11:54:59','2021-05-28 11:55:01',0),(2054,'平台组件网盘不可用告警','dice_component','dice_component_gfs_status','dingding','alert','【平台组件网盘疑似不可用告警】\n','【平台组件网盘疑似不可用告警】\n\n组件: {{component_name}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n时间: {{timestamp}}','{}','1.0','2021-05-28 11:54:59','2021-05-28 11:55:01',0),(2055,'平台组件网盘不可用告警','dice_component','dice_component_gfs_status','ticket','alert','【平台组件网盘疑似不可用告警】\n','【平台组件网盘疑似不可用告警】\n\n组件: {{component_name}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n时间: {{timestamp}}','{}','1.0','2021-05-28 11:54:59','2021-05-28 11:55:01',0),(2056,'平台组件网盘不可用告警','dice_component','dice_component_gfs_status','email','alert','【平台组件网盘疑似不可用告警】\n','【平台组件网盘疑似不可用告警】\n\n组件: {{component_name}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n时间: {{timestamp}}','{}','1.0','2021-05-28 11:54:59','2021-05-28 11:55:01',0),(2057,'平台组件网盘不可用告警','dice_component','dice_component_gfs_status','mbox','alert','【平台组件网盘疑似不可用告警】\n','【平台组件网盘疑似不可用告警】\n\n组件: {{component_name}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n时间: {{timestamp}}','{}','1.0','2021-05-28 11:54:59','2021-05-28 11:55:01',0),(2058,'平台组件网盘不可用告警','dice_component','dice_component_gfs_status','webhook','alert','【平台组件网盘疑似不可用告警】\n','【平台组件网盘疑似不可用告警】\n\n组件: {{component_name}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n时间: {{timestamp}}','{}','1.0','2021-05-28 11:54:59','2021-05-28 11:55:01',0),(2059,'kubernetes组件实例CPU异常','kubernetes','kubernetes_instance_cpu','dingding','alert','【{{cluster_name}}集群kubernetes组件{{pod_name}} CPU使用率告警】\n','【kubernetes组件CPU使用率告警】\n\nPod: {{pod_name}}\n\n使用率: {{cpu_usage_percent_avg}}\n\n限制: {{cpu_limit_value}}核\n\n分配: {{cpu_allocation_value}}核\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n容器ID: {{container_id}}\n\n时间: {{timestamp}}\n','{\"cpu_allocation_value\":\"fraction:2\",\"cpu_limit_value\":\"fraction:2\",\"cpu_usage_percent_avg\":\"percent:2\"}','1.0','2021-05-28 11:54:59','2021-05-28 11:55:01',0),(2060,'kubernetes组件实例CPU异常','kubernetes','kubernetes_instance_cpu','ticket','alert','【{{cluster_name}}集群kubernetes组件{{pod_name}} CPU使用率告警】\n','【kubernetes组件CPU使用率告警】\n\nPod: {{pod_name}}\n\n使用率: {{cpu_usage_percent_avg}}\n\n限制: {{cpu_limit_value}}核\n\n分配: {{cpu_allocation_value}}核\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n容器ID: {{container_id}}\n\n时间: {{timestamp}}\n','{\"cpu_allocation_value\":\"fraction:2\",\"cpu_limit_value\":\"fraction:2\",\"cpu_usage_percent_avg\":\"percent:2\"}','1.0','2021-05-28 11:54:59','2021-05-28 11:55:01',0),(2061,'kubernetes组件实例CPU异常','kubernetes','kubernetes_instance_cpu','email','alert','【{{cluster_name}}集群kubernetes组件{{pod_name}} CPU使用率告警】\n','【kubernetes组件CPU使用率告警】\n\nPod: {{pod_name}}\n\n使用率: {{cpu_usage_percent_avg}}\n\n限制: {{cpu_limit_value}}核\n\n分配: {{cpu_allocation_value}}核\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n容器ID: {{container_id}}\n\n时间: {{timestamp}}\n','{\"cpu_allocation_value\":\"fraction:2\",\"cpu_limit_value\":\"fraction:2\",\"cpu_usage_percent_avg\":\"percent:2\"}','1.0','2021-05-28 11:54:59','2021-05-28 11:55:01',0),(2062,'kubernetes组件实例CPU异常','kubernetes','kubernetes_instance_cpu','mbox','alert','【{{cluster_name}}集群kubernetes组件{{pod_name}} CPU使用率告警】\n','【kubernetes组件CPU使用率告警】\n\nPod: {{pod_name}}\n\n使用率: {{cpu_usage_percent_avg}}\n\n限制: {{cpu_limit_value}}核\n\n分配: {{cpu_allocation_value}}核\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n容器ID: {{container_id}}\n\n时间: {{timestamp}}\n','{\"cpu_allocation_value\":\"fraction:2\",\"cpu_limit_value\":\"fraction:2\",\"cpu_usage_percent_avg\":\"percent:2\"}','1.0','2021-05-28 11:54:59','2021-05-28 11:55:01',0),(2063,'kubernetes组件实例CPU异常','kubernetes','kubernetes_instance_cpu','webhook','alert','【{{cluster_name}}集群kubernetes组件{{pod_name}} CPU使用率告警】\n','【kubernetes组件CPU使用率告警】\n\nPod: {{pod_name}}\n\n使用率: {{cpu_usage_percent_avg}}\n\n限制: {{cpu_limit_value}}核\n\n分配: {{cpu_allocation_value}}核\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n容器ID: {{container_id}}\n\n时间: {{timestamp}}\n','{\"cpu_allocation_value\":\"fraction:2\",\"cpu_limit_value\":\"fraction:2\",\"cpu_usage_percent_avg\":\"percent:2\"}','1.0','2021-05-28 11:54:59','2021-05-28 11:55:01',0),(2064,'kubernetes组件实例CPU异常','kubernetes','kubernetes_instance_cpu','dingding','recover','【{{cluster_name}}集群kubernetes组件{{pod_name}} CPU使用率恢复】\n','【kubernetes组件CPU使用率恢复】\n\nPod: {{pod_name}}\n\n使用率: {{cpu_usage_percent_avg}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n容器ID: {{container_id}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n','{\"cpu_usage_percent_avg\":\"percent:2\",\"trigger_duration\":\"time:ms\"}','1.0','2021-05-28 11:54:59','2021-05-28 11:55:01',0),(2065,'kubernetes组件实例CPU异常','kubernetes','kubernetes_instance_cpu','ticket','recover','【{{cluster_name}}集群kubernetes组件{{pod_name}} CPU使用率恢复】\n','【kubernetes组件CPU使用率恢复】\n\nPod: {{pod_name}}\n\n使用率: {{cpu_usage_percent_avg}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n容器ID: {{container_id}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n','{\"cpu_usage_percent_avg\":\"percent:2\",\"trigger_duration\":\"time:ms\"}','1.0','2021-05-28 11:54:59','2021-05-28 11:55:01',0),(2066,'kubernetes组件实例CPU异常','kubernetes','kubernetes_instance_cpu','email','recover','【{{cluster_name}}集群kubernetes组件{{pod_name}} CPU使用率恢复】\n','【kubernetes组件CPU使用率恢复】\n\nPod: {{pod_name}}\n\n使用率: {{cpu_usage_percent_avg}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n容器ID: {{container_id}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n','{\"cpu_usage_percent_avg\":\"percent:2\",\"trigger_duration\":\"time:ms\"}','1.0','2021-05-28 11:54:59','2021-05-28 11:55:01',0),(2067,'kubernetes组件实例CPU异常','kubernetes','kubernetes_instance_cpu','mbox','recover','【{{cluster_name}}集群kubernetes组件{{pod_name}} CPU使用率恢复】\n','【kubernetes组件CPU使用率恢复】\n\nPod: {{pod_name}}\n\n使用率: {{cpu_usage_percent_avg}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n容器ID: {{container_id}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n','{\"cpu_usage_percent_avg\":\"percent:2\",\"trigger_duration\":\"time:ms\"}','1.0','2021-05-28 11:54:59','2021-05-28 11:55:01',0),(2068,'kubernetes组件实例CPU异常','kubernetes','kubernetes_instance_cpu','webhook','recover','【{{cluster_name}}集群kubernetes组件{{pod_name}} CPU使用率恢复】\n','【kubernetes组件CPU使用率恢复】\n\nPod: {{pod_name}}\n\n使用率: {{cpu_usage_percent_avg}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n容器ID: {{container_id}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n','{\"cpu_usage_percent_avg\":\"percent:2\",\"trigger_duration\":\"time:ms\"}','1.0','2021-05-28 11:54:59','2021-05-28 11:55:01',0),(2069,'kubernetes组件异常退出','kubernetes','kubernetes_instance_exit','dingding','alert','【{{cluster_name}}集群kubernetes组件{{pod_name}}异常退出告警】\n','【kubernetes组件异常退出告警】\n\n组件: {{pod_name}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n启动时间: {{started_at_value}}\n\n退出时间: {{finished_at_value}}\n\n退出原因: {{terminated_reason_value}}\n\n时间: {{timestamp}}\n\n[查看详情]({{display_url}})\n','{\"finished_at_value\":\"date\",\"started_at_value\":\"date\"}','1.0','2021-05-28 11:54:59','2021-05-28 11:55:01',0),(2070,'kubernetes组件异常退出','kubernetes','kubernetes_instance_exit','ticket','alert','【{{cluster_name}}集群kubernetes组件{{pod_name}}异常退出告警】\n','【kubernetes组件异常退出告警】\n\n组件: {{pod_name}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n启动时间: {{started_at_value}}\n\n退出时间: {{finished_at_value}}\n\n退出原因: {{terminated_reason_value}}\n\n时间: {{timestamp}}\n\n[查看详情]({{display_url}})\n','{\"finished_at_value\":\"date\",\"started_at_value\":\"date\"}','1.0','2021-05-28 11:54:59','2021-05-28 11:55:01',0),(2071,'kubernetes组件异常退出','kubernetes','kubernetes_instance_exit','email','alert','【{{cluster_name}}集群kubernetes组件{{pod_name}}异常退出告警】\n','【kubernetes组件异常退出告警】\n\n组件: {{pod_name}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n启动时间: {{started_at_value}}\n\n退出时间: {{finished_at_value}}\n\n退出原因: {{terminated_reason_value}}\n\n时间: {{timestamp}}\n\n[查看详情]({{display_url}})\n','{\"finished_at_value\":\"date\",\"started_at_value\":\"date\"}','1.0','2021-05-28 11:54:59','2021-05-28 11:55:01',0),(2072,'kubernetes组件异常退出','kubernetes','kubernetes_instance_exit','mbox','alert','【{{cluster_name}}集群kubernetes组件{{pod_name}}异常退出告警】\n','【kubernetes组件异常退出告警】\n\n组件: {{pod_name}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n启动时间: {{started_at_value}}\n\n退出时间: {{finished_at_value}}\n\n退出原因: {{terminated_reason_value}}\n\n时间: {{timestamp}}\n\n[查看详情]({{display_url}})\n','{\"finished_at_value\":\"date\",\"started_at_value\":\"date\"}','1.0','2021-05-28 11:54:59','2021-05-28 11:55:01',0),(2073,'kubernetes组件异常退出','kubernetes','kubernetes_instance_exit','webhook','alert','【{{cluster_name}}集群kubernetes组件{{pod_name}}异常退出告警】\n','【kubernetes组件异常退出告警】\n\n组件: {{pod_name}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n启动时间: {{started_at_value}}\n\n退出时间: {{finished_at_value}}\n\n退出原因: {{terminated_reason_value}}\n\n时间: {{timestamp}}\n\n[查看详情]({{display_url}})\n','{\"finished_at_value\":\"date\",\"started_at_value\":\"date\"}','1.0','2021-05-28 11:54:59','2021-05-28 11:55:01',0),(2074,'kubernetes组件异常退出','kubernetes','kubernetes_instance_exit','dingding','recover','【{{cluster_name}}集群kubernetes组件{{pod_name}}异常退出恢复】\n','【kubernetes组件异常退出恢复】\n\n组件: {{pod_name}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n','{\"trigger_duration\":\"time:ms\"}','1.0','2021-05-28 11:54:59','2021-05-28 11:55:01',0),(2075,'kubernetes组件异常退出','kubernetes','kubernetes_instance_exit','ticket','recover','【{{cluster_name}}集群kubernetes组件{{pod_name}}异常退出恢复】\n','【kubernetes组件异常退出恢复】\n\n组件: {{pod_name}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n','{\"trigger_duration\":\"time:ms\"}','1.0','2021-05-28 11:54:59','2021-05-28 11:55:01',0),(2076,'kubernetes组件异常退出','kubernetes','kubernetes_instance_exit','email','recover','【{{cluster_name}}集群kubernetes组件{{pod_name}}异常退出恢复】\n','【kubernetes组件异常退出恢复】\n\n组件: {{pod_name}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n','{\"trigger_duration\":\"time:ms\"}','1.0','2021-05-28 11:54:59','2021-05-28 11:55:01',0),(2077,'kubernetes组件异常退出','kubernetes','kubernetes_instance_exit','mbox','recover','【{{cluster_name}}集群kubernetes组件{{pod_name}}异常退出恢复】\n','【kubernetes组件异常退出恢复】\n\n组件: {{pod_name}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n','{\"trigger_duration\":\"time:ms\"}','1.0','2021-05-28 11:54:59','2021-05-28 11:55:01',0),(2078,'kubernetes组件异常退出','kubernetes','kubernetes_instance_exit','webhook','recover','【{{cluster_name}}集群kubernetes组件{{pod_name}}异常退出恢复】\n','【kubernetes组件异常退出恢复】\n\n组件: {{pod_name}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n','{\"trigger_duration\":\"time:ms\"}','1.0','2021-05-28 11:54:59','2021-05-28 11:55:01',0),(2079,'kubernetes组件实例内存异常','kubernetes','kubernetes_instance_mem','dingding','alert','【{{cluster_name}}集群kubernetes组件{{pod_name}}内存使用率告警】\n','【kubernetes组件内存使用率告警】\n\nPod: {{pod_name}}\n\n使用率: {{mem_usage_percent_avg}}\n\n使用: {{mem_usage_value}}\n\n限制: {{mem_limit_value}}\n\n分配: {{mem_allocation_value}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n容器ID: {{container_id}}\n\n时间: {{timestamp}}\n','{\"mem_allocation_value\":\"size:byte\",\"mem_limit_value\":\"size:byte\",\"mem_usage_percent_avg\":\"percent:2\",\"mem_usage_value\":\"size:byte\"}','1.0','2021-05-28 11:54:59','2021-05-28 11:55:01',0),(2080,'kubernetes组件实例内存异常','kubernetes','kubernetes_instance_mem','ticket','alert','【{{cluster_name}}集群kubernetes组件{{pod_name}}内存使用率告警】\n','【kubernetes组件内存使用率告警】\n\nPod: {{pod_name}}\n\n使用率: {{mem_usage_percent_avg}}\n\n使用: {{mem_usage_value}}\n\n限制: {{mem_limit_value}}\n\n分配: {{mem_allocation_value}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n容器ID: {{container_id}}\n\n时间: {{timestamp}}\n','{\"mem_allocation_value\":\"size:byte\",\"mem_limit_value\":\"size:byte\",\"mem_usage_percent_avg\":\"percent:2\",\"mem_usage_value\":\"size:byte\"}','1.0','2021-05-28 11:54:59','2021-05-28 11:55:01',0),(2081,'kubernetes组件实例内存异常','kubernetes','kubernetes_instance_mem','email','alert','【{{cluster_name}}集群kubernetes组件{{pod_name}}内存使用率告警】\n','【kubernetes组件内存使用率告警】\n\nPod: {{pod_name}}\n\n使用率: {{mem_usage_percent_avg}}\n\n使用: {{mem_usage_value}}\n\n限制: {{mem_limit_value}}\n\n分配: {{mem_allocation_value}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n容器ID: {{container_id}}\n\n时间: {{timestamp}}\n','{\"mem_allocation_value\":\"size:byte\",\"mem_limit_value\":\"size:byte\",\"mem_usage_percent_avg\":\"percent:2\",\"mem_usage_value\":\"size:byte\"}','1.0','2021-05-28 11:54:59','2021-05-28 11:55:01',0),(2082,'kubernetes组件实例内存异常','kubernetes','kubernetes_instance_mem','mbox','alert','【{{cluster_name}}集群kubernetes组件{{pod_name}}内存使用率告警】\n','【kubernetes组件内存使用率告警】\n\nPod: {{pod_name}}\n\n使用率: {{mem_usage_percent_avg}}\n\n使用: {{mem_usage_value}}\n\n限制: {{mem_limit_value}}\n\n分配: {{mem_allocation_value}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n容器ID: {{container_id}}\n\n时间: {{timestamp}}\n','{\"mem_allocation_value\":\"size:byte\",\"mem_limit_value\":\"size:byte\",\"mem_usage_percent_avg\":\"percent:2\",\"mem_usage_value\":\"size:byte\"}','1.0','2021-05-28 11:54:59','2021-05-28 11:55:01',0),(2083,'kubernetes组件实例内存异常','kubernetes','kubernetes_instance_mem','webhook','alert','【{{cluster_name}}集群kubernetes组件{{pod_name}}内存使用率告警】\n','【kubernetes组件内存使用率告警】\n\nPod: {{pod_name}}\n\n使用率: {{mem_usage_percent_avg}}\n\n使用: {{mem_usage_value}}\n\n限制: {{mem_limit_value}}\n\n分配: {{mem_allocation_value}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n容器ID: {{container_id}}\n\n时间: {{timestamp}}\n','{\"mem_allocation_value\":\"size:byte\",\"mem_limit_value\":\"size:byte\",\"mem_usage_percent_avg\":\"percent:2\",\"mem_usage_value\":\"size:byte\"}','1.0','2021-05-28 11:54:59','2021-05-28 11:55:01',0),(2084,'kubernetes组件实例内存异常','kubernetes','kubernetes_instance_mem','dingding','recover','【{{cluster_name}}集群kubernetes组件{{pod_name}}内存使用率恢复】\n','【kubernetes组件内存使用率恢复】\n\nPod: {{pod_name}}\n\n使用率: {{mem_usage_percent_avg}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n容器ID: {{container_id}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n','{\"mem_usage_percent_avg\":\"percent:2\",\"trigger_duration\":\"time:ms\"}','1.0','2021-05-28 11:54:59','2021-05-28 11:55:01',0),(2085,'kubernetes组件实例内存异常','kubernetes','kubernetes_instance_mem','ticket','recover','【{{cluster_name}}集群kubernetes组件{{pod_name}}内存使用率恢复】\n','【kubernetes组件内存使用率恢复】\n\nPod: {{pod_name}}\n\n使用率: {{mem_usage_percent_avg}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n容器ID: {{container_id}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n','{\"mem_usage_percent_avg\":\"percent:2\",\"trigger_duration\":\"time:ms\"}','1.0','2021-05-28 11:54:59','2021-05-28 11:55:01',0),(2086,'kubernetes组件实例内存异常','kubernetes','kubernetes_instance_mem','email','recover','【{{cluster_name}}集群kubernetes组件{{pod_name}}内存使用率恢复】\n','【kubernetes组件内存使用率恢复】\n\nPod: {{pod_name}}\n\n使用率: {{mem_usage_percent_avg}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n容器ID: {{container_id}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n','{\"mem_usage_percent_avg\":\"percent:2\",\"trigger_duration\":\"time:ms\"}','1.0','2021-05-28 11:54:59','2021-05-28 11:55:01',0),(2087,'kubernetes组件实例内存异常','kubernetes','kubernetes_instance_mem','mbox','recover','【{{cluster_name}}集群kubernetes组件{{pod_name}}内存使用率恢复】\n','【kubernetes组件内存使用率恢复】\n\nPod: {{pod_name}}\n\n使用率: {{mem_usage_percent_avg}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n容器ID: {{container_id}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n','{\"mem_usage_percent_avg\":\"percent:2\",\"trigger_duration\":\"time:ms\"}','1.0','2021-05-28 11:54:59','2021-05-28 11:55:01',0),(2088,'kubernetes组件实例内存异常','kubernetes','kubernetes_instance_mem','webhook','recover','【{{cluster_name}}集群kubernetes组件{{pod_name}}内存使用率恢复】\n','【kubernetes组件内存使用率恢复】\n\nPod: {{pod_name}}\n\n使用率: {{mem_usage_percent_avg}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n容器ID: {{container_id}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n','{\"mem_usage_percent_avg\":\"percent:2\",\"trigger_duration\":\"time:ms\"}','1.0','2021-05-28 11:54:59','2021-05-28 11:55:01',0),(2089,'kubernetes组件实例Ready状态异常','kubernetes','kubernetes_instance_ready','dingding','alert','【{{cluster_name}}集群kubernetes组件{{resource_name_value}} Ready状态告警】\n','【kubernetes组件Ready状态告警】\n\n组件: {{resource_name_value}}\n\n未就绪实例: {{not_ready_value}}\n\n已就绪实例: {{ready_value}}\n\n集群: {{cluster_name}}\n\n时间: {{timestamp}}\n','','1.0','2021-05-28 11:54:59','2021-05-28 11:55:01',0),(2090,'kubernetes组件实例Ready状态异常','kubernetes','kubernetes_instance_ready','ticket','alert','【{{cluster_name}}集群kubernetes组件{{resource_name_value}} Ready状态告警】\n','【kubernetes组件Ready状态告警】\n\n组件: {{resource_name_value}}\n\n未就绪实例: {{not_ready_value}}\n\n已就绪实例: {{ready_value}}\n\n集群: {{cluster_name}}\n\n时间: {{timestamp}}\n','','1.0','2021-05-28 11:54:59','2021-05-28 11:55:01',0),(2091,'kubernetes组件实例Ready状态异常','kubernetes','kubernetes_instance_ready','email','alert','【{{cluster_name}}集群kubernetes组件{{resource_name_value}} Ready状态告警】\n','【kubernetes组件Ready状态告警】\n\n组件: {{resource_name_value}}\n\n未就绪实例: {{not_ready_value}}\n\n已就绪实例: {{ready_value}}\n\n集群: {{cluster_name}}\n\n时间: {{timestamp}}\n','','1.0','2021-05-28 11:54:59','2021-05-28 11:55:01',0),(2092,'kubernetes组件实例Ready状态异常','kubernetes','kubernetes_instance_ready','mbox','alert','【{{cluster_name}}集群kubernetes组件{{resource_name_value}} Ready状态告警】\n','【kubernetes组件Ready状态告警】\n\n组件: {{resource_name_value}}\n\n未就绪实例: {{not_ready_value}}\n\n已就绪实例: {{ready_value}}\n\n集群: {{cluster_name}}\n\n时间: {{timestamp}}\n','','1.0','2021-05-28 11:54:59','2021-05-28 11:55:01',0),(2093,'kubernetes组件实例Ready状态异常','kubernetes','kubernetes_instance_ready','webhook','alert','【{{cluster_name}}集群kubernetes组件{{resource_name_value}} Ready状态告警】\n','【kubernetes组件Ready状态告警】\n\n组件: {{resource_name_value}}\n\n未就绪实例: {{not_ready_value}}\n\n已就绪实例: {{ready_value}}\n\n集群: {{cluster_name}}\n\n时间: {{timestamp}}\n','','1.0','2021-05-28 11:54:59','2021-05-28 11:55:01',0),(2094,'kubernetes组件实例Ready状态异常','kubernetes','kubernetes_instance_ready','dingding','recover','【{{cluster_name}}集群kubernetes组件{{resource_name_value}} Ready状态恢复】\n','【kubernetes组件Ready状态恢复】\n\n组件: {{resource_name_value}}\n\n集群: {{cluster_name}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n','{\"trigger_duration\":\"time:ms\"}','1.0','2021-05-28 11:54:59','2021-05-28 11:55:01',0),(2095,'kubernetes组件实例Ready状态异常','kubernetes','kubernetes_instance_ready','ticket','recover','【{{cluster_name}}集群kubernetes组件{{resource_name_value}} Ready状态恢复】\n','【kubernetes组件Ready状态恢复】\n\n组件: {{resource_name_value}}\n\n集群: {{cluster_name}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n','{\"trigger_duration\":\"time:ms\"}','1.0','2021-05-28 11:54:59','2021-05-28 11:55:01',0),(2096,'kubernetes组件实例Ready状态异常','kubernetes','kubernetes_instance_ready','email','recover','【{{cluster_name}}集群kubernetes组件{{resource_name_value}} Ready状态恢复】\n','【kubernetes组件Ready状态恢复】\n\n组件: {{resource_name_value}}\n\n集群: {{cluster_name}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n','{\"trigger_duration\":\"time:ms\"}','1.0','2021-05-28 11:54:59','2021-05-28 11:55:01',0),(2097,'kubernetes组件实例Ready状态异常','kubernetes','kubernetes_instance_ready','mbox','recover','【{{cluster_name}}集群kubernetes组件{{resource_name_value}} Ready状态恢复】\n','【kubernetes组件Ready状态恢复】\n\n组件: {{resource_name_value}}\n\n集群: {{cluster_name}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n','{\"trigger_duration\":\"time:ms\"}','1.0','2021-05-28 11:54:59','2021-05-28 11:55:01',0),(2098,'kubernetes组件实例Ready状态异常','kubernetes','kubernetes_instance_ready','webhook','recover','【{{cluster_name}}集群kubernetes组件{{resource_name_value}} Ready状态恢复】\n','【kubernetes组件Ready状态恢复】\n\n组件: {{resource_name_value}}\n\n集群: {{cluster_name}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n','{\"trigger_duration\":\"time:ms\"}','1.0','2021-05-28 11:54:59','2021-05-28 11:55:01',0),(2099,'kubernetes节点异常','kubernetes','kubernetes_node','dingding','alert','【{{cluster_name}}集群kubernetes节点{{node_name}}节点异常告警】\n','【kubernetes节点状态异常告警】\n\n集群: {{cluster_name}}\n\n机器: {{node_name}}\n\n已分配Pod数: {{allocatable_pods_value}}\n\n最大Pod数: {{capacity_pods_value}}\n\n已分配CPU核数: {{allocatable_cpu_cores_value}}\n\n最大CPU核数: {{capacity_cpu_cores_value}}\n\n已分配内存: {{allocatable_memory_bytes_value}}\n\n最大内存: {{capacity_memory_bytes_value}}\n\n时间: {{timestamp}}\n','{\"allocatable_memory_bytes_value\":\"size:byte\",\"capacity_memory_bytes_value\":\"size:byte\"}','1.0','2021-05-28 11:54:59','2021-05-28 11:55:01',0),(2100,'kubernetes节点异常','kubernetes','kubernetes_node','ticket','alert','【{{cluster_name}}集群kubernetes节点{{node_name}}节点异常告警】\n','【kubernetes节点状态异常告警】\n\n集群: {{cluster_name}}\n\n机器: {{node_name}}\n\n已分配Pod数: {{allocatable_pods_value}}\n\n最大Pod数: {{capacity_pods_value}}\n\n已分配CPU核数: {{allocatable_cpu_cores_value}}\n\n最大CPU核数: {{capacity_cpu_cores_value}}\n\n已分配内存: {{allocatable_memory_bytes_value}}\n\n最大内存: {{capacity_memory_bytes_value}}\n\n时间: {{timestamp}}\n','{\"allocatable_memory_bytes_value\":\"size:byte\",\"capacity_memory_bytes_value\":\"size:byte\"}','1.0','2021-05-28 11:54:59','2021-05-28 11:55:01',0),(2101,'kubernetes节点异常','kubernetes','kubernetes_node','email','alert','【{{cluster_name}}集群kubernetes节点{{node_name}}节点异常告警】\n','【kubernetes节点状态异常告警】\n\n集群: {{cluster_name}}\n\n机器: {{node_name}}\n\n已分配Pod数: {{allocatable_pods_value}}\n\n最大Pod数: {{capacity_pods_value}}\n\n已分配CPU核数: {{allocatable_cpu_cores_value}}\n\n最大CPU核数: {{capacity_cpu_cores_value}}\n\n已分配内存: {{allocatable_memory_bytes_value}}\n\n最大内存: {{capacity_memory_bytes_value}}\n\n时间: {{timestamp}}\n','{\"allocatable_memory_bytes_value\":\"size:byte\",\"capacity_memory_bytes_value\":\"size:byte\"}','1.0','2021-05-28 11:54:59','2021-05-28 11:55:01',0),(2102,'kubernetes节点异常','kubernetes','kubernetes_node','mbox','alert','【{{cluster_name}}集群kubernetes节点{{node_name}}节点异常告警】\n','【kubernetes节点状态异常告警】\n\n集群: {{cluster_name}}\n\n机器: {{node_name}}\n\n已分配Pod数: {{allocatable_pods_value}}\n\n最大Pod数: {{capacity_pods_value}}\n\n已分配CPU核数: {{allocatable_cpu_cores_value}}\n\n最大CPU核数: {{capacity_cpu_cores_value}}\n\n已分配内存: {{allocatable_memory_bytes_value}}\n\n最大内存: {{capacity_memory_bytes_value}}\n\n时间: {{timestamp}}\n','{\"allocatable_memory_bytes_value\":\"size:byte\",\"capacity_memory_bytes_value\":\"size:byte\"}','1.0','2021-05-28 11:54:59','2021-05-28 11:55:01',0),(2103,'kubernetes节点异常','kubernetes','kubernetes_node','webhook','alert','【{{cluster_name}}集群kubernetes节点{{node_name}}节点异常告警】\n','【kubernetes节点状态异常告警】\n\n集群: {{cluster_name}}\n\n机器: {{node_name}}\n\n已分配Pod数: {{allocatable_pods_value}}\n\n最大Pod数: {{capacity_pods_value}}\n\n已分配CPU核数: {{allocatable_cpu_cores_value}}\n\n最大CPU核数: {{capacity_cpu_cores_value}}\n\n已分配内存: {{allocatable_memory_bytes_value}}\n\n最大内存: {{capacity_memory_bytes_value}}\n\n时间: {{timestamp}}\n','{\"allocatable_memory_bytes_value\":\"size:byte\",\"capacity_memory_bytes_value\":\"size:byte\"}','1.0','2021-05-28 11:54:59','2021-05-28 11:55:01',0),(2104,'kubernetes节点异常','kubernetes','kubernetes_node','dingding','recover','【{{cluster_name}}集群kubernetes节点{{node_name}}节点异常恢复】\n','【kubernetes节点状态异常恢复】\n\n集群: {{cluster_name}}\n\n机器: {{node_name}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n','{\"trigger_duration\":\"time:ms\"}','1.0','2021-05-28 11:54:59','2021-05-28 11:55:01',0),(2105,'kubernetes节点异常','kubernetes','kubernetes_node','ticket','recover','【{{cluster_name}}集群kubernetes节点{{node_name}}节点异常恢复】\n','【kubernetes节点状态异常恢复】\n\n集群: {{cluster_name}}\n\n机器: {{node_name}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n','{\"trigger_duration\":\"time:ms\"}','1.0','2021-05-28 11:54:59','2021-05-28 11:55:01',0),(2106,'kubernetes节点异常','kubernetes','kubernetes_node','email','recover','【{{cluster_name}}集群kubernetes节点{{node_name}}节点异常恢复】\n','【kubernetes节点状态异常恢复】\n\n集群: {{cluster_name}}\n\n机器: {{node_name}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n','{\"trigger_duration\":\"time:ms\"}','1.0','2021-05-28 11:54:59','2021-05-28 11:55:01',0),(2107,'kubernetes节点异常','kubernetes','kubernetes_node','mbox','recover','【{{cluster_name}}集群kubernetes节点{{node_name}}节点异常恢复】\n','【kubernetes节点状态异常恢复】\n\n集群: {{cluster_name}}\n\n机器: {{node_name}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n','{\"trigger_duration\":\"time:ms\"}','1.0','2021-05-28 11:54:59','2021-05-28 11:55:01',0),(2108,'kubernetes节点异常','kubernetes','kubernetes_node','webhook','recover','【{{cluster_name}}集群kubernetes节点{{node_name}}节点异常恢复】\n','【kubernetes节点状态异常恢复】\n\n集群: {{cluster_name}}\n\n机器: {{node_name}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n','{\"trigger_duration\":\"time:ms\"}','1.0','2021-05-28 11:54:59','2021-05-28 11:55:01',0),(2109,'机器CPU异常告警','machine','machine_cpu','dingding','alert','【{{cluster_name}}集群机器{{host_ip}} CPU使用率异常告警】','【机器CPU使用率异常告警】\n\nCPU平均使用率: {{cpu_usage_active_avg}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n时间: {{timestamp}}\n\n[查看详情]({{display_url}})\n','{\"cpu_usage_active_avg\":\"percent:2\"}','1.0','2021-05-28 11:54:59','2021-05-28 11:55:01',0),(2110,'机器CPU异常告警','machine','machine_cpu','ticket','alert','【{{cluster_name}}集群机器{{host_ip}} CPU使用率异常告警】','【机器CPU使用率异常告警】\n\nCPU平均使用率: {{cpu_usage_active_avg}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n时间: {{timestamp}}\n\n[查看详情]({{display_url}})\n','{\"cpu_usage_active_avg\":\"percent:2\"}','1.0','2021-05-28 11:54:59','2021-05-28 11:55:01',0),(2111,'机器CPU异常告警','machine','machine_cpu','email','alert','【{{cluster_name}}集群机器{{host_ip}} CPU使用率异常告警】','【机器CPU使用率异常告警】\n\nCPU平均使用率: {{cpu_usage_active_avg}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n时间: {{timestamp}}\n\n[查看详情]({{display_url}})\n','{\"cpu_usage_active_avg\":\"percent:2\"}','1.0','2021-05-28 11:54:59','2021-05-28 11:55:01',0),(2112,'机器CPU异常告警','machine','machine_cpu','mbox','alert','【{{cluster_name}}集群机器{{host_ip}} CPU使用率异常告警】','【机器CPU使用率异常告警】\n\nCPU平均使用率: {{cpu_usage_active_avg}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n时间: {{timestamp}}\n\n[查看详情]({{display_url}})\n','{\"cpu_usage_active_avg\":\"percent:2\"}','1.0','2021-05-28 11:54:59','2021-05-28 11:55:01',0),(2113,'机器CPU异常告警','machine','machine_cpu','webhook','alert','【{{cluster_name}}集群机器{{host_ip}} CPU使用率异常告警】','【机器CPU使用率异常告警】\n\nCPU平均使用率: {{cpu_usage_active_avg}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n时间: {{timestamp}}\n\n[查看详情]({{display_url}})\n','{\"cpu_usage_active_avg\":\"percent:2\"}','1.0','2021-05-28 11:54:59','2021-05-28 11:55:01',0),(2114,'机器CPU异常恢复','machine','machine_cpu','dingding','recover','【{{cluster_name}}集群机器{{host_ip}} CPU使用率异常恢复】','【机器CPU使用率异常恢复】\n\nCPU平均使用率: {{cpu_usage_active_avg}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}','{\"trigger_duration\":\"time:ms\",\"usage_active_avg\":\"percent:2\"}','1.0','2021-05-28 11:54:59','2021-05-28 11:55:01',0),(2115,'机器CPU异常恢复','machine','machine_cpu','ticket','recover','【{{cluster_name}}集群机器{{host_ip}} CPU使用率异常恢复】','【机器CPU使用率异常恢复】\n\nCPU平均使用率: {{cpu_usage_active_avg}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}','{\"trigger_duration\":\"time:ms\",\"usage_active_avg\":\"percent:2\"}','1.0','2021-05-28 11:54:59','2021-05-28 11:55:01',0),(2116,'机器CPU异常恢复','machine','machine_cpu','email','recover','【{{cluster_name}}集群机器{{host_ip}} CPU使用率异常恢复】','【机器CPU使用率异常恢复】\n\nCPU平均使用率: {{cpu_usage_active_avg}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}','{\"trigger_duration\":\"time:ms\",\"usage_active_avg\":\"percent:2\"}','1.0','2021-05-28 11:54:59','2021-05-28 11:55:01',0),(2117,'机器CPU异常恢复','machine','machine_cpu','mbox','recover','【{{cluster_name}}集群机器{{host_ip}} CPU使用率异常恢复】','【机器CPU使用率异常恢复】\n\nCPU平均使用率: {{cpu_usage_active_avg}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}','{\"trigger_duration\":\"time:ms\",\"usage_active_avg\":\"percent:2\"}','1.0','2021-05-28 11:54:59','2021-05-28 11:55:01',0),(2118,'机器CPU异常恢复','machine','machine_cpu','webhook','recover','【{{cluster_name}}集群机器{{host_ip}} CPU使用率异常恢复】','【机器CPU使用率异常恢复】\n\nCPU平均使用率: {{cpu_usage_active_avg}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}','{\"trigger_duration\":\"time:ms\",\"usage_active_avg\":\"percent:2\"}','1.0','2021-05-28 11:54:59','2021-05-28 11:55:01',0),(2119,'磁盘容量异常告警','machine','machine_disk','dingding','alert','【{{cluster_name}}集群机器{{host_ip}}磁盘使用率异常告警】','【磁盘使用率异常告警】\n\n使用率: {{disk_used_percent_value}}\n\n容量: {{disk_total_value}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n时间: {{timestamp}}\n\n[查看详情]({{display_url}})\n','{\"disk_total_value\":\"size:byte\",\"disk_used_percent_value\":\"percent:2\"}','1.0','2021-05-28 11:54:59','2021-05-28 11:55:01',0),(2120,'磁盘容量异常告警','machine','machine_disk','ticket','alert','【{{cluster_name}}集群机器{{host_ip}}磁盘使用率异常告警】','【磁盘使用率异常告警】\n\n使用率: {{disk_used_percent_value}}\n\n容量: {{disk_total_value}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n时间: {{timestamp}}\n\n[查看详情]({{display_url}})\n','{\"disk_total_value\":\"size:byte\",\"disk_used_percent_value\":\"percent:2\"}','1.0','2021-05-28 11:54:59','2021-05-28 11:55:01',0),(2121,'磁盘容量异常告警','machine','machine_disk','email','alert','【{{cluster_name}}集群机器{{host_ip}}磁盘使用率异常告警】','【磁盘使用率异常告警】\n\n使用率: {{disk_used_percent_value}}\n\n容量: {{disk_total_value}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n时间: {{timestamp}}\n\n[查看详情]({{display_url}})\n','{\"disk_total_value\":\"size:byte\",\"disk_used_percent_value\":\"percent:2\"}','1.0','2021-05-28 11:54:59','2021-05-28 11:55:01',0),(2122,'磁盘容量异常告警','machine','machine_disk','mbox','alert','【{{cluster_name}}集群机器{{host_ip}}磁盘使用率异常告警】','【磁盘使用率异常告警】\n\n使用率: {{disk_used_percent_value}}\n\n容量: {{disk_total_value}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n时间: {{timestamp}}\n\n[查看详情]({{display_url}})\n','{\"disk_total_value\":\"size:byte\",\"disk_used_percent_value\":\"percent:2\"}','1.0','2021-05-28 11:54:59','2021-05-28 11:55:01',0),(2123,'磁盘容量异常告警','machine','machine_disk','webhook','alert','【{{cluster_name}}集群机器{{host_ip}}磁盘使用率异常告警】','【磁盘使用率异常告警】\n\n使用率: {{disk_used_percent_value}}\n\n容量: {{disk_total_value}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n时间: {{timestamp}}\n\n[查看详情]({{display_url}})\n','{\"disk_total_value\":\"size:byte\",\"disk_used_percent_value\":\"percent:2\"}','1.0','2021-05-28 11:54:59','2021-05-28 11:55:01',0),(2124,'磁盘容量异常恢复','machine','machine_disk','dingding','recover','【{{cluster_name}}集群机器{{host_ip}}磁盘使用率异常恢复】','【磁盘使用率异常恢复】\n\n使用率: {{disk_used_percent_value}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}','{\"disk_used_percent_value\":\"percent:2\",\"trigger_duration\":\"time:ms\"}','1.0','2021-05-28 11:54:59','2021-05-28 11:55:01',0),(2125,'磁盘容量异常恢复','machine','machine_disk','ticket','recover','【{{cluster_name}}集群机器{{host_ip}}磁盘使用率异常恢复】','【磁盘使用率异常恢复】\n\n使用率: {{disk_used_percent_value}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}','{\"disk_used_percent_value\":\"percent:2\",\"trigger_duration\":\"time:ms\"}','1.0','2021-05-28 11:54:59','2021-05-28 11:55:01',0),(2126,'磁盘容量异常恢复','machine','machine_disk','email','recover','【{{cluster_name}}集群机器{{host_ip}}磁盘使用率异常恢复】','【磁盘使用率异常恢复】\n\n使用率: {{disk_used_percent_value}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}','{\"disk_used_percent_value\":\"percent:2\",\"trigger_duration\":\"time:ms\"}','1.0','2021-05-28 11:54:59','2021-05-28 11:55:01',0),(2127,'磁盘容量异常恢复','machine','machine_disk','mbox','recover','【{{cluster_name}}集群机器{{host_ip}}磁盘使用率异常恢复】','【磁盘使用率异常恢复】\n\n使用率: {{disk_used_percent_value}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}','{\"disk_used_percent_value\":\"percent:2\",\"trigger_duration\":\"time:ms\"}','1.0','2021-05-28 11:54:59','2021-05-28 11:55:01',0),(2128,'磁盘容量异常恢复','machine','machine_disk','webhook','recover','【{{cluster_name}}集群机器{{host_ip}}磁盘使用率异常恢复】','【磁盘使用率异常恢复】\n\n使用率: {{disk_used_percent_value}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}','{\"disk_used_percent_value\":\"percent:2\",\"trigger_duration\":\"time:ms\"}','1.0','2021-05-28 11:54:59','2021-05-28 11:55:01',0),(2129,'磁盘IO异常告警','machine','machine_disk_util','dingding','alert','【{{cluster_name}}集群机器{{host_ip}}磁盘IO操作百分比异常告警】','【磁盘IO操作百分比异常告警】\n\nIO操作百分比: {{pct_util_p75}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n时间: {{timestamp}}\n','{\"pct_util_p75\":\"percent:2\"}','1.0','2021-05-28 11:54:59','2021-05-28 11:55:01',0),(2130,'磁盘IO异常告警','machine','machine_disk_util','ticket','alert','【{{cluster_name}}集群机器{{host_ip}}磁盘IO操作百分比异常告警】','【磁盘IO操作百分比异常告警】\n\nIO操作百分比: {{pct_util_p75}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n时间: {{timestamp}}\n','{\"pct_util_p75\":\"percent:2\"}','1.0','2021-05-28 11:54:59','2021-05-28 11:55:01',0),(2131,'磁盘IO异常告警','machine','machine_disk_util','email','alert','【{{cluster_name}}集群机器{{host_ip}}磁盘IO操作百分比异常告警】','【磁盘IO操作百分比异常告警】\n\nIO操作百分比: {{pct_util_p75}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n时间: {{timestamp}}\n','{\"pct_util_p75\":\"percent:2\"}','1.0','2021-05-28 11:54:59','2021-05-28 11:55:01',0),(2132,'磁盘IO异常告警','machine','machine_disk_util','mbox','alert','【{{cluster_name}}集群机器{{host_ip}}磁盘IO操作百分比异常告警】','【磁盘IO操作百分比异常告警】\n\nIO操作百分比: {{pct_util_p75}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n时间: {{timestamp}}\n','{\"pct_util_p75\":\"percent:2\"}','1.0','2021-05-28 11:54:59','2021-05-28 11:55:01',0),(2133,'磁盘IO异常告警','machine','machine_disk_util','webhook','alert','【{{cluster_name}}集群机器{{host_ip}}磁盘IO操作百分比异常告警】','【磁盘IO操作百分比异常告警】\n\nIO操作百分比: {{pct_util_p75}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n时间: {{timestamp}}\n','{\"pct_util_p75\":\"percent:2\"}','1.0','2021-05-28 11:54:59','2021-05-28 11:55:01',0),(2134,'磁盘IO异常恢复','machine','machine_disk_util','dingding','recover','【{{cluster_name}}集群机器{{host_ip}}磁盘IO操作百分比异常恢复】','【磁盘IO操作百分比异常恢复】\n\nIO操作百分比: {{pct_util_p75}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}','{\"pct_util_p75\":\"percent:2\",\"trigger_duration\":\"time:ms\"}','1.0','2021-05-28 11:54:59','2021-05-28 11:55:01',0),(2135,'磁盘IO异常恢复','machine','machine_disk_util','ticket','recover','【{{cluster_name}}集群机器{{host_ip}}磁盘IO操作百分比异常恢复】','【磁盘IO操作百分比异常恢复】\n\nIO操作百分比: {{pct_util_p75}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}','{\"pct_util_p75\":\"percent:2\",\"trigger_duration\":\"time:ms\"}','1.0','2021-05-28 11:54:59','2021-05-28 11:55:01',0),(2136,'磁盘IO异常恢复','machine','machine_disk_util','email','recover','【{{cluster_name}}集群机器{{host_ip}}磁盘IO操作百分比异常恢复】','【磁盘IO操作百分比异常恢复】\n\nIO操作百分比: {{pct_util_p75}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}','{\"pct_util_p75\":\"percent:2\",\"trigger_duration\":\"time:ms\"}','1.0','2021-05-28 11:54:59','2021-05-28 11:55:01',0),(2137,'磁盘IO异常恢复','machine','machine_disk_util','mbox','recover','【{{cluster_name}}集群机器{{host_ip}}磁盘IO操作百分比异常恢复】','【磁盘IO操作百分比异常恢复】\n\nIO操作百分比: {{pct_util_p75}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}','{\"pct_util_p75\":\"percent:2\",\"trigger_duration\":\"time:ms\"}','1.0','2021-05-28 11:54:59','2021-05-28 11:55:01',0),(2138,'磁盘IO异常恢复','machine','machine_disk_util','webhook','recover','【{{cluster_name}}集群机器{{host_ip}}磁盘IO操作百分比异常恢复】','【磁盘IO操作百分比异常恢复】\n\nIO操作百分比: {{pct_util_p75}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}','{\"pct_util_p75\":\"percent:2\",\"trigger_duration\":\"time:ms\"}','1.0','2021-05-28 11:54:59','2021-05-28 11:55:01',0),(2139,'机器负载异常告警','machine','machine_load5','dingding','alert','【{{cluster_name}}集群机器{{host_ip}}负载异常告警】','【机器负载异常告警】\n\nLoad5: {{load5_avg}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n时间: {{timestamp}}\n\n[查看详情]({{display_url}})\n','','1.0','2021-05-28 11:54:59','2021-05-28 11:55:01',0),(2140,'机器负载异常告警','machine','machine_load5','ticket','alert','【{{cluster_name}}集群机器{{host_ip}}负载异常告警】','【机器负载异常告警】\n\nLoad5: {{load5_avg}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n时间: {{timestamp}}\n\n[查看详情]({{display_url}})\n','','1.0','2021-05-28 11:54:59','2021-05-28 11:55:01',0),(2141,'机器负载异常告警','machine','machine_load5','email','alert','【{{cluster_name}}集群机器{{host_ip}}负载异常告警】','【机器负载异常告警】\n\nLoad5: {{load5_avg}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n时间: {{timestamp}}\n\n[查看详情]({{display_url}})\n','','1.0','2021-05-28 11:54:59','2021-05-28 11:55:01',0),(2142,'机器负载异常告警','machine','machine_load5','mbox','alert','【{{cluster_name}}集群机器{{host_ip}}负载异常告警】','【机器负载异常告警】\n\nLoad5: {{load5_avg}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n时间: {{timestamp}}\n\n[查看详情]({{display_url}})\n','','1.0','2021-05-28 11:54:59','2021-05-28 11:55:01',0),(2143,'机器负载异常告警','machine','machine_load5','webhook','alert','【{{cluster_name}}集群机器{{host_ip}}负载异常告警】','【机器负载异常告警】\n\nLoad5: {{load5_avg}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n时间: {{timestamp}}\n\n[查看详情]({{display_url}})\n','','1.0','2021-05-28 11:54:59','2021-05-28 11:55:01',0),(2144,'机器负载异常恢复','machine','machine_load5','dingding','recover','【{{cluster_name}}集群机器{{host_ip}}负载异常恢复】','【机器负载异常恢复】\n\nLoad5: {{load5_avg}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n','{\"trigger_duration\":\"time:ms\"}','1.0','2021-05-28 11:54:59','2021-05-28 11:55:01',0),(2145,'机器负载异常恢复','machine','machine_load5','ticket','recover','【{{cluster_name}}集群机器{{host_ip}}负载异常恢复】','【机器负载异常恢复】\n\nLoad5: {{load5_avg}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n','{\"trigger_duration\":\"time:ms\"}','1.0','2021-05-28 11:54:59','2021-05-28 11:55:01',0),(2146,'机器负载异常恢复','machine','machine_load5','email','recover','【{{cluster_name}}集群机器{{host_ip}}负载异常恢复】','【机器负载异常恢复】\n\nLoad5: {{load5_avg}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n','{\"trigger_duration\":\"time:ms\"}','1.0','2021-05-28 11:54:59','2021-05-28 11:55:01',0),(2147,'机器负载异常恢复','machine','machine_load5','mbox','recover','【{{cluster_name}}集群机器{{host_ip}}负载异常恢复】','【机器负载异常恢复】\n\nLoad5: {{load5_avg}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n','{\"trigger_duration\":\"time:ms\"}','1.0','2021-05-28 11:54:59','2021-05-28 11:55:01',0),(2148,'机器负载异常恢复','machine','machine_load5','webhook','recover','【{{cluster_name}}集群机器{{host_ip}}负载异常恢复】','【机器负载异常恢复】\n\nLoad5: {{load5_avg}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n','{\"trigger_duration\":\"time:ms\"}','1.0','2021-05-28 11:54:59','2021-05-28 11:55:01',0),(2149,'网盘容量异常告警','machine','machine_netdisk','dingding','alert','【{{cluster_name}}集群网盘使用率异常告警】','【网盘使用率异常告警】\n\n使用率: {{used_percent_value}}\n\n容量: {{total_value}}\n\n集群: {{cluster_name}}\n\n时间: {{timestamp}}\n','{\"total_value\":\"size:byte\",\"used_percent_value\":\"percent:2\"}','1.0','2021-05-28 11:54:59','2021-05-28 11:55:01',0),(2150,'网盘容量异常告警','machine','machine_netdisk','ticket','alert','【{{cluster_name}}集群网盘使用率异常告警】','【网盘使用率异常告警】\n\n使用率: {{used_percent_value}}\n\n容量: {{total_value}}\n\n集群: {{cluster_name}}\n\n时间: {{timestamp}}\n','{\"total_value\":\"size:byte\",\"used_percent_value\":\"percent:2\"}','1.0','2021-05-28 11:54:59','2021-05-28 11:55:01',0),(2151,'网盘容量异常告警','machine','machine_netdisk','email','alert','【{{cluster_name}}集群网盘使用率异常告警】','【网盘使用率异常告警】\n\n使用率: {{used_percent_value}}\n\n容量: {{total_value}}\n\n集群: {{cluster_name}}\n\n时间: {{timestamp}}\n','{\"total_value\":\"size:byte\",\"used_percent_value\":\"percent:2\"}','1.0','2021-05-28 11:54:59','2021-05-28 11:55:01',0),(2152,'网盘容量异常告警','machine','machine_netdisk','mbox','alert','【{{cluster_name}}集群网盘使用率异常告警】','【网盘使用率异常告警】\n\n使用率: {{used_percent_value}}\n\n容量: {{total_value}}\n\n集群: {{cluster_name}}\n\n时间: {{timestamp}}\n','{\"total_value\":\"size:byte\",\"used_percent_value\":\"percent:2\"}','1.0','2021-05-28 11:54:59','2021-05-28 11:55:01',0),(2153,'网盘容量异常告警','machine','machine_netdisk','webhook','alert','【{{cluster_name}}集群网盘使用率异常告警】','【网盘使用率异常告警】\n\n使用率: {{used_percent_value}}\n\n容量: {{total_value}}\n\n集群: {{cluster_name}}\n\n时间: {{timestamp}}\n','{\"total_value\":\"size:byte\",\"used_percent_value\":\"percent:2\"}','1.0','2021-05-28 11:54:59','2021-05-28 11:55:01',0),(2154,'网盘容量异常恢复','machine','machine_netdisk','dingding','recover','【{{cluster_name}}集群网盘使用率异常恢复】','【网盘使用率异常恢复】\n\n使用率: {{used_percent_value}}\n\n集群: {{cluster_name}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n','{\"trigger_duration\":\"time:ms\",\"used_percent_value\":\"percent:2\"}','1.0','2021-05-28 11:54:59','2021-05-28 11:55:01',0),(2155,'网盘容量异常恢复','machine','machine_netdisk','ticket','recover','【{{cluster_name}}集群网盘使用率异常恢复】','【网盘使用率异常恢复】\n\n使用率: {{used_percent_value}}\n\n集群: {{cluster_name}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n','{\"trigger_duration\":\"time:ms\",\"used_percent_value\":\"percent:2\"}','1.0','2021-05-28 11:54:59','2021-05-28 11:55:01',0),(2156,'网盘容量异常恢复','machine','machine_netdisk','email','recover','【{{cluster_name}}集群网盘使用率异常恢复】','【网盘使用率异常恢复】\n\n使用率: {{used_percent_value}}\n\n集群: {{cluster_name}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n','{\"trigger_duration\":\"time:ms\",\"used_percent_value\":\"percent:2\"}','1.0','2021-05-28 11:54:59','2021-05-28 11:55:01',0),(2157,'网盘容量异常恢复','machine','machine_netdisk','mbox','recover','【{{cluster_name}}集群网盘使用率异常恢复】','【网盘使用率异常恢复】\n\n使用率: {{used_percent_value}}\n\n集群: {{cluster_name}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n','{\"trigger_duration\":\"time:ms\",\"used_percent_value\":\"percent:2\"}','1.0','2021-05-28 11:54:59','2021-05-28 11:55:01',0),(2158,'网盘容量异常恢复','machine','machine_netdisk','webhook','recover','【{{cluster_name}}集群网盘使用率异常恢复】','【网盘使用率异常恢复】\n\n使用率: {{used_percent_value}}\n\n集群: {{cluster_name}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n','{\"trigger_duration\":\"time:ms\",\"used_percent_value\":\"percent:2\"}','1.0','2021-05-28 11:54:59','2021-05-28 11:55:01',0),(2159,'网盘容量使用量异常告警','machine','machine_netdisk_used','dingding','alert','【{{cluster_name}}集群网盘使用率异常告警】','【网盘使用异常告警】\n\n使用: {{used}}GB\n\n容量: {{total}}GB\n\n集群: {{cluster_name}}\n\n时间: {{timestamp}}\n','{}','1.0','2021-05-28 11:54:59','2021-05-28 11:55:01',0),(2160,'网盘容量使用量异常告警','machine','machine_netdisk_used','ticket','alert','【{{cluster_name}}集群网盘使用率异常告警】','【网盘使用异常告警】\n\n使用: {{used}}GB\n\n容量: {{total}}GB\n\n集群: {{cluster_name}}\n\n时间: {{timestamp}}\n','{}','1.0','2021-05-28 11:54:59','2021-05-28 11:55:01',0),(2161,'网盘容量使用量异常告警','machine','machine_netdisk_used','email','alert','【{{cluster_name}}集群网盘使用率异常告警】','【网盘使用异常告警】\n\n使用: {{used}}GB\n\n容量: {{total}}GB\n\n集群: {{cluster_name}}\n\n时间: {{timestamp}}\n','{}','1.0','2021-05-28 11:54:59','2021-05-28 11:55:01',0),(2162,'网盘容量使用量异常告警','machine','machine_netdisk_used','mbox','alert','【{{cluster_name}}集群网盘使用率异常告警】','【网盘使用异常告警】\n\n使用: {{used}}GB\n\n容量: {{total}}GB\n\n集群: {{cluster_name}}\n\n时间: {{timestamp}}\n','{}','1.0','2021-05-28 11:54:59','2021-05-28 11:55:01',0),(2163,'网盘容量使用量异常告警','machine','machine_netdisk_used','webhook','alert','【{{cluster_name}}集群网盘使用率异常告警】','【网盘使用异常告警】\n\n使用: {{used}}GB\n\n容量: {{total}}GB\n\n集群: {{cluster_name}}\n\n时间: {{timestamp}}\n','{}','1.0','2021-05-28 11:54:59','2021-05-28 11:55:01',0),(2164,'网盘容量异常恢复','machine','machine_netdisk_used','dingding','recover','【{{cluster_name}}集群网盘使用率异常恢复】','【网盘使用率异常恢复】\n\n使用: {{used}}GB\n\n集群: {{cluster_name}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n','{\"trigger_duration\":\"time:ms\"}','1.0','2021-05-28 11:54:59','2021-05-28 11:55:01',0),(2165,'网盘容量异常恢复','machine','machine_netdisk_used','ticket','recover','【{{cluster_name}}集群网盘使用率异常恢复】','【网盘使用率异常恢复】\n\n使用: {{used}}GB\n\n集群: {{cluster_name}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n','{\"trigger_duration\":\"time:ms\"}','1.0','2021-05-28 11:54:59','2021-05-28 11:55:01',0),(2166,'网盘容量异常恢复','machine','machine_netdisk_used','email','recover','【{{cluster_name}}集群网盘使用率异常恢复】','【网盘使用率异常恢复】\n\n使用: {{used}}GB\n\n集群: {{cluster_name}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n','{\"trigger_duration\":\"time:ms\"}','1.0','2021-05-28 11:54:59','2021-05-28 11:55:01',0),(2167,'网盘容量异常恢复','machine','machine_netdisk_used','mbox','recover','【{{cluster_name}}集群网盘使用率异常恢复】','【网盘使用率异常恢复】\n\n使用: {{used}}GB\n\n集群: {{cluster_name}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n','{\"trigger_duration\":\"time:ms\"}','1.0','2021-05-28 11:54:59','2021-05-28 11:55:01',0),(2168,'网盘容量异常恢复','machine','machine_netdisk_used','webhook','recover','【{{cluster_name}}集群网盘使用率异常恢复】','【网盘使用率异常恢复】\n\n使用: {{used}}GB\n\n集群: {{cluster_name}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n','{\"trigger_duration\":\"time:ms\"}','1.0','2021-05-28 11:54:59','2021-05-28 11:55:01',0),(2169,'宕机告警','machine','machine_status','dingding','alert','【{{cluster_name}}集群机器{{host_ip}}宕机告警】','【宕机告警】\n\n机器{{window}}分钟内无消息, 疑似发生宕机\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n最近活跃时间: {{last_timestamp_value}}\n\n时间: {{timestamp}}\n\n[查看详情]({{display_url}})\n','{\"last_timestamp_value\":\"date\"}','1.0','2021-05-28 11:54:59','2021-05-28 11:55:01',0),(2170,'宕机告警','machine','machine_status','ticket','alert','【{{cluster_name}}集群机器{{host_ip}}宕机告警】','【宕机告警】\n\n机器{{window}}分钟内无消息, 疑似发生宕机\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n最近活跃时间: {{last_timestamp_value}}\n\n时间: {{timestamp}}\n\n[查看详情]({{display_url}})\n','{\"last_timestamp_value\":\"date\"}','1.0','2021-05-28 11:54:59','2021-05-28 11:55:01',0),(2171,'宕机告警','machine','machine_status','email','alert','【{{cluster_name}}集群机器{{host_ip}}宕机告警】','【宕机告警】\n\n机器{{window}}分钟内无消息, 疑似发生宕机\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n最近活跃时间: {{last_timestamp_value}}\n\n时间: {{timestamp}}\n\n[查看详情]({{display_url}})\n','{\"last_timestamp_value\":\"date\"}','1.0','2021-05-28 11:54:59','2021-05-28 11:55:01',0),(2172,'宕机告警','machine','machine_status','mbox','alert','【{{cluster_name}}集群机器{{host_ip}}宕机告警】','【宕机告警】\n\n机器{{window}}分钟内无消息, 疑似发生宕机\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n最近活跃时间: {{last_timestamp_value}}\n\n时间: {{timestamp}}\n\n[查看详情]({{display_url}})\n','{\"last_timestamp_value\":\"date\"}','1.0','2021-05-28 11:54:59','2021-05-28 11:55:01',0),(2173,'宕机告警','machine','machine_status','webhook','alert','【{{cluster_name}}集群机器{{host_ip}}宕机告警】','【宕机告警】\n\n机器{{window}}分钟内无消息, 疑似发生宕机\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n最近活跃时间: {{last_timestamp_value}}\n\n时间: {{timestamp}}\n\n[查看详情]({{display_url}})\n','{\"last_timestamp_value\":\"date\"}','1.0','2021-05-28 11:54:59','2021-05-28 11:55:01',0),(2174,'宕机恢复','machine','machine_status','dingding','recover','【{{cluster_name}}集群机器{{host_ip}}宕机恢复】','【宕机恢复】\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}','{\"trigger_duration\":\"time:ms\"}','1.0','2021-05-28 11:54:59','2021-05-28 11:55:01',0),(2175,'宕机恢复','machine','machine_status','ticket','recover','【{{cluster_name}}集群机器{{host_ip}}宕机恢复】','【宕机恢复】\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}','{\"trigger_duration\":\"time:ms\"}','1.0','2021-05-28 11:54:59','2021-05-28 11:55:01',0),(2176,'宕机恢复','machine','machine_status','email','recover','【{{cluster_name}}集群机器{{host_ip}}宕机恢复】','【宕机恢复】\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}','{\"trigger_duration\":\"time:ms\"}','1.0','2021-05-28 11:54:59','2021-05-28 11:55:01',0),(2177,'宕机恢复','machine','machine_status','mbox','recover','【{{cluster_name}}集群机器{{host_ip}}宕机恢复】','【宕机恢复】\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}','{\"trigger_duration\":\"time:ms\"}','1.0','2021-05-28 11:54:59','2021-05-28 11:55:01',0),(2178,'宕机恢复','machine','machine_status','webhook','recover','【{{cluster_name}}集群机器{{host_ip}}宕机恢复】','【宕机恢复】\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}','{\"trigger_duration\":\"time:ms\"}','1.0','2021-05-28 11:54:59','2021-05-28 11:55:01',0),(2179,'API网关实例CPU使用率异常','micro_service','api_gateway_cpu','dingding','alert','【API网关实例CPU使用率告警】\n','【API网关实例CPU使用率异常告警】\n\n组件: {{addon_type}}\n\n实例: {{pod_namespace}} - {{pod_name}}\n\nCPU平均使用率: {{cpu_usage_percent_avg}}\n\nCPU限制: {{cpu_limit_value}}核\n\nCPU分配: {{cpu_allocation_value}}核\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n时间: {{timestamp}}\n','{\"container_id\":\"string:6\",\"cpu_allocation_value\":\"fraction:1\",\"cpu_limit_value\":\"fraction:1\",\"cpu_usage_percent_avg\":\"percent:1\"}','1.0','2021-05-28 11:54:59','2021-05-28 11:55:01',0),(2180,'API网关实例CPU使用率异常','micro_service','api_gateway_cpu','ticket','alert','【API网关实例CPU使用率告警】\n','【API网关实例CPU使用率异常告警】\n\n组件: {{addon_type}}\n\n实例: {{pod_namespace}} - {{pod_name}}\n\nCPU平均使用率: {{cpu_usage_percent_avg}}\n\nCPU限制: {{cpu_limit_value}}核\n\nCPU分配: {{cpu_allocation_value}}核\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n时间: {{timestamp}}\n','{\"container_id\":\"string:6\",\"cpu_allocation_value\":\"fraction:1\",\"cpu_limit_value\":\"fraction:1\",\"cpu_usage_percent_avg\":\"percent:1\"}','1.0','2021-05-28 11:54:59','2021-05-28 11:55:01',0),(2181,'API网关实例CPU使用率异常','micro_service','api_gateway_cpu','email','alert','【API网关实例CPU使用率告警】\n','【API网关实例CPU使用率异常告警】\n\n组件: {{addon_type}}\n\n实例: {{pod_namespace}} - {{pod_name}}\n\nCPU平均使用率: {{cpu_usage_percent_avg}}\n\nCPU限制: {{cpu_limit_value}}核\n\nCPU分配: {{cpu_allocation_value}}核\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n时间: {{timestamp}}\n','{\"container_id\":\"string:6\",\"cpu_allocation_value\":\"fraction:1\",\"cpu_limit_value\":\"fraction:1\",\"cpu_usage_percent_avg\":\"percent:1\"}','1.0','2021-05-28 11:54:59','2021-05-28 11:55:01',0),(2182,'API网关实例CPU使用率异常','micro_service','api_gateway_cpu','mbox','alert','【API网关实例CPU使用率告警】\n','【API网关实例CPU使用率异常告警】\n\n组件: {{addon_type}}\n\n实例: {{pod_namespace}} - {{pod_name}}\n\nCPU平均使用率: {{cpu_usage_percent_avg}}\n\nCPU限制: {{cpu_limit_value}}核\n\nCPU分配: {{cpu_allocation_value}}核\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n时间: {{timestamp}}\n','{\"container_id\":\"string:6\",\"cpu_allocation_value\":\"fraction:1\",\"cpu_limit_value\":\"fraction:1\",\"cpu_usage_percent_avg\":\"percent:1\"}','1.0','2021-05-28 11:54:59','2021-05-28 11:55:01',0),(2183,'API网关实例CPU使用率异常','micro_service','api_gateway_cpu','webhook','alert','【API网关实例CPU使用率告警】\n','【API网关实例CPU使用率异常告警】\n\n组件: {{addon_type}}\n\n实例: {{pod_namespace}} - {{pod_name}}\n\nCPU平均使用率: {{cpu_usage_percent_avg}}\n\nCPU限制: {{cpu_limit_value}}核\n\nCPU分配: {{cpu_allocation_value}}核\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n时间: {{timestamp}}\n','{\"container_id\":\"string:6\",\"cpu_allocation_value\":\"fraction:1\",\"cpu_limit_value\":\"fraction:1\",\"cpu_usage_percent_avg\":\"percent:1\"}','1.0','2021-05-28 11:54:59','2021-05-28 11:55:01',0),(2184,'API网关实例内存使用率异常','micro_service','api_gateway_mem','dingding','alert','【API网关实例内存使用率告警】\n','【API网关实例内存使用率异常告警】\n\n组件: {{addon_type}}\n\n实例: {{pod_namespace}} - {{pod_name}}\n\n内存使用率: {{mem_usage_percent_avg}}\n\n内存使用: {{mem_usage_value}}\n\n内存限制: {{mem_limit_value}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n时间: {{timestamp}}\n','{\"container_id\":\"string:6\",\"mem_limit_value\":\"size:byte\",\"mem_usage_percent_avg\":\"percent:1\",\"mem_usage_value\":\"size:byte\"}','1.0','2021-05-28 11:54:59','2021-05-28 11:55:01',0),(2185,'API网关实例内存使用率异常','micro_service','api_gateway_mem','ticket','alert','【API网关实例内存使用率告警】\n','【API网关实例内存使用率异常告警】\n\n组件: {{addon_type}}\n\n实例: {{pod_namespace}} - {{pod_name}}\n\n内存使用率: {{mem_usage_percent_avg}}\n\n内存使用: {{mem_usage_value}}\n\n内存限制: {{mem_limit_value}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n时间: {{timestamp}}\n','{\"container_id\":\"string:6\",\"mem_limit_value\":\"size:byte\",\"mem_usage_percent_avg\":\"percent:1\",\"mem_usage_value\":\"size:byte\"}','1.0','2021-05-28 11:54:59','2021-05-28 11:55:01',0),(2186,'API网关实例内存使用率异常','micro_service','api_gateway_mem','email','alert','【API网关实例内存使用率告警】\n','【API网关实例内存使用率异常告警】\n\n组件: {{addon_type}}\n\n实例: {{pod_namespace}} - {{pod_name}}\n\n内存使用率: {{mem_usage_percent_avg}}\n\n内存使用: {{mem_usage_value}}\n\n内存限制: {{mem_limit_value}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n时间: {{timestamp}}\n','{\"container_id\":\"string:6\",\"mem_limit_value\":\"size:byte\",\"mem_usage_percent_avg\":\"percent:1\",\"mem_usage_value\":\"size:byte\"}','1.0','2021-05-28 11:54:59','2021-05-28 11:55:01',0),(2187,'API网关实例内存使用率异常','micro_service','api_gateway_mem','mbox','alert','【API网关实例内存使用率告警】\n','【API网关实例内存使用率异常告警】\n\n组件: {{addon_type}}\n\n实例: {{pod_namespace}} - {{pod_name}}\n\n内存使用率: {{mem_usage_percent_avg}}\n\n内存使用: {{mem_usage_value}}\n\n内存限制: {{mem_limit_value}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n时间: {{timestamp}}\n','{\"container_id\":\"string:6\",\"mem_limit_value\":\"size:byte\",\"mem_usage_percent_avg\":\"percent:1\",\"mem_usage_value\":\"size:byte\"}','1.0','2021-05-28 11:54:59','2021-05-28 11:55:01',0),(2188,'API网关实例内存使用率异常','micro_service','api_gateway_mem','webhook','alert','【API网关实例内存使用率告警】\n','【API网关实例内存使用率异常告警】\n\n组件: {{addon_type}}\n\n实例: {{pod_namespace}} - {{pod_name}}\n\n内存使用率: {{mem_usage_percent_avg}}\n\n内存使用: {{mem_usage_value}}\n\n内存限制: {{mem_limit_value}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n时间: {{timestamp}}\n','{\"container_id\":\"string:6\",\"mem_limit_value\":\"size:byte\",\"mem_usage_percent_avg\":\"percent:1\",\"mem_usage_value\":\"size:byte\"}','1.0','2021-05-28 11:54:59','2021-05-28 11:55:01',0),(2189,'注册中心实例CPU使用率异常','micro_service','register_center_cpu','dingding','alert','【注册中心实例CPU使用率告警】\n','【注册中心实例CPU使用率异常告警】\n\n组件: {{addon_type}}\n\n实例: {{pod_namespace}} - {{pod_name}}\n\nCPU平均使用率: {{cpu_usage_percent_avg}}\n\nCPU限制: {{cpu_limit_value}}核\n\nCPU分配: {{cpu_allocation_value}}核\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n时间: {{timestamp}}\n','{\"container_id\":\"string:6\",\"cpu_allocation_value\":\"fraction:1\",\"cpu_limit_value\":\"fraction:1\",\"cpu_usage_percent_avg\":\"percent:1\"}','1.0','2021-05-28 11:54:59','2021-05-28 11:55:01',0),(2190,'注册中心实例CPU使用率异常','micro_service','register_center_cpu','ticket','alert','【注册中心实例CPU使用率告警】\n','【注册中心实例CPU使用率异常告警】\n\n组件: {{addon_type}}\n\n实例: {{pod_namespace}} - {{pod_name}}\n\nCPU平均使用率: {{cpu_usage_percent_avg}}\n\nCPU限制: {{cpu_limit_value}}核\n\nCPU分配: {{cpu_allocation_value}}核\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n时间: {{timestamp}}\n','{\"container_id\":\"string:6\",\"cpu_allocation_value\":\"fraction:1\",\"cpu_limit_value\":\"fraction:1\",\"cpu_usage_percent_avg\":\"percent:1\"}','1.0','2021-05-28 11:54:59','2021-05-28 11:55:01',0),(2191,'注册中心实例CPU使用率异常','micro_service','register_center_cpu','email','alert','【注册中心实例CPU使用率告警】\n','【注册中心实例CPU使用率异常告警】\n\n组件: {{addon_type}}\n\n实例: {{pod_namespace}} - {{pod_name}}\n\nCPU平均使用率: {{cpu_usage_percent_avg}}\n\nCPU限制: {{cpu_limit_value}}核\n\nCPU分配: {{cpu_allocation_value}}核\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n时间: {{timestamp}}\n','{\"container_id\":\"string:6\",\"cpu_allocation_value\":\"fraction:1\",\"cpu_limit_value\":\"fraction:1\",\"cpu_usage_percent_avg\":\"percent:1\"}','1.0','2021-05-28 11:54:59','2021-05-28 11:55:01',0),(2192,'注册中心实例CPU使用率异常','micro_service','register_center_cpu','mbox','alert','【注册中心实例CPU使用率告警】\n','【注册中心实例CPU使用率异常告警】\n\n组件: {{addon_type}}\n\n实例: {{pod_namespace}} - {{pod_name}}\n\nCPU平均使用率: {{cpu_usage_percent_avg}}\n\nCPU限制: {{cpu_limit_value}}核\n\nCPU分配: {{cpu_allocation_value}}核\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n时间: {{timestamp}}\n','{\"container_id\":\"string:6\",\"cpu_allocation_value\":\"fraction:1\",\"cpu_limit_value\":\"fraction:1\",\"cpu_usage_percent_avg\":\"percent:1\"}','1.0','2021-05-28 11:54:59','2021-05-28 11:55:01',0),(2193,'注册中心实例CPU使用率异常','micro_service','register_center_cpu','webhook','alert','【注册中心实例CPU使用率告警】\n','【注册中心实例CPU使用率异常告警】\n\n组件: {{addon_type}}\n\n实例: {{pod_namespace}} - {{pod_name}}\n\nCPU平均使用率: {{cpu_usage_percent_avg}}\n\nCPU限制: {{cpu_limit_value}}核\n\nCPU分配: {{cpu_allocation_value}}核\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n时间: {{timestamp}}\n','{\"container_id\":\"string:6\",\"cpu_allocation_value\":\"fraction:1\",\"cpu_limit_value\":\"fraction:1\",\"cpu_usage_percent_avg\":\"percent:1\"}','1.0','2021-05-28 11:54:59','2021-05-28 11:55:01',0),(2194,'注册中心实例内存使用率异常','micro_service','register_center_mem','dingding','alert','【注册中心实例内存使用率告警】\n','【注册中心实例内存使用率异常告警】\n\n组件: {{addon_type}}\n\n实例: {{pod_namespace}} - {{pod_name}}\n\n内存使用率: {{mem_usage_percent_avg}}\n\n内存使用: {{mem_usage_value}}\n\n内存限制: {{mem_limit_value}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n时间: {{timestamp}}\n','{\"container_id\":\"string:6\",\"mem_limit_value\":\"size:byte\",\"mem_usage_percent_avg\":\"percent:1\",\"mem_usage_value\":\"size:byte\"}','1.0','2021-05-28 11:54:59','2021-05-28 11:55:01',0),(2195,'注册中心实例内存使用率异常','micro_service','register_center_mem','ticket','alert','【注册中心实例内存使用率告警】\n','【注册中心实例内存使用率异常告警】\n\n组件: {{addon_type}}\n\n实例: {{pod_namespace}} - {{pod_name}}\n\n内存使用率: {{mem_usage_percent_avg}}\n\n内存使用: {{mem_usage_value}}\n\n内存限制: {{mem_limit_value}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n时间: {{timestamp}}\n','{\"container_id\":\"string:6\",\"mem_limit_value\":\"size:byte\",\"mem_usage_percent_avg\":\"percent:1\",\"mem_usage_value\":\"size:byte\"}','1.0','2021-05-28 11:54:59','2021-05-28 11:55:01',0),(2196,'注册中心实例内存使用率异常','micro_service','register_center_mem','email','alert','【注册中心实例内存使用率告警】\n','【注册中心实例内存使用率异常告警】\n\n组件: {{addon_type}}\n\n实例: {{pod_namespace}} - {{pod_name}}\n\n内存使用率: {{mem_usage_percent_avg}}\n\n内存使用: {{mem_usage_value}}\n\n内存限制: {{mem_limit_value}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n时间: {{timestamp}}\n','{\"container_id\":\"string:6\",\"mem_limit_value\":\"size:byte\",\"mem_usage_percent_avg\":\"percent:1\",\"mem_usage_value\":\"size:byte\"}','1.0','2021-05-28 11:54:59','2021-05-28 11:55:01',0),(2197,'注册中心实例内存使用率异常','micro_service','register_center_mem','mbox','alert','【注册中心实例内存使用率告警】\n','【注册中心实例内存使用率异常告警】\n\n组件: {{addon_type}}\n\n实例: {{pod_namespace}} - {{pod_name}}\n\n内存使用率: {{mem_usage_percent_avg}}\n\n内存使用: {{mem_usage_value}}\n\n内存限制: {{mem_limit_value}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n时间: {{timestamp}}\n','{\"container_id\":\"string:6\",\"mem_limit_value\":\"size:byte\",\"mem_usage_percent_avg\":\"percent:1\",\"mem_usage_value\":\"size:byte\"}','1.0','2021-05-28 11:54:59','2021-05-28 11:55:01',0),(2198,'注册中心实例内存使用率异常','micro_service','register_center_mem','webhook','alert','【注册中心实例内存使用率告警】\n','【注册中心实例内存使用率异常告警】\n\n组件: {{addon_type}}\n\n实例: {{pod_namespace}} - {{pod_name}}\n\n内存使用率: {{mem_usage_percent_avg}}\n\n内存使用: {{mem_usage_value}}\n\n内存限制: {{mem_limit_value}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n时间: {{timestamp}}\n','{\"container_id\":\"string:6\",\"mem_limit_value\":\"size:byte\",\"mem_usage_percent_avg\":\"percent:1\",\"mem_usage_value\":\"size:byte\"}','1.0','2021-05-28 11:54:59','2021-05-28 11:55:01',0),(2199,'服务熔断通知告警','micro_service','sidecar_circuit_breaker','dingding','alert','【{{application_name}}应用{{service_name}}服务发生熔断告警】\n','【服务熔断告警】\n\n服务发生熔断 !\n\n项目: {{project_name}}\n\n环境: {{workspace}}\n\n应用: {{application_name}}\n\n服务: {{runtime_name}} / {{service_name}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n时间: {{timestamp}}\n','','1.0','2021-05-28 11:54:59','2021-05-28 11:55:01',0),(2200,'服务熔断通知告警','micro_service','sidecar_circuit_breaker','ticket','alert','【{{application_name}}应用{{service_name}}服务发生熔断告警】\n','【服务熔断告警】\n\n服务发生熔断 !\n\n项目: {{project_name}}\n\n环境: {{workspace}}\n\n应用: {{application_name}}\n\n服务: {{runtime_name}} / {{service_name}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n时间: {{timestamp}}\n','','1.0','2021-05-28 11:54:59','2021-05-28 11:55:01',0),(2201,'服务熔断通知告警','micro_service','sidecar_circuit_breaker','email','alert','【{{application_name}}应用{{service_name}}服务发生熔断告警】\n','【服务熔断告警】\n\n服务发生熔断 !\n\n项目: {{project_name}}\n\n环境: {{workspace}}\n\n应用: {{application_name}}\n\n服务: {{runtime_name}} / {{service_name}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n时间: {{timestamp}}\n','','1.0','2021-05-28 11:54:59','2021-05-28 11:55:01',0),(2202,'服务熔断通知告警','micro_service','sidecar_circuit_breaker','mbox','alert','【{{application_name}}应用{{service_name}}服务发生熔断告警】\n','【服务熔断告警】\n\n服务发生熔断 !\n\n项目: {{project_name}}\n\n环境: {{workspace}}\n\n应用: {{application_name}}\n\n服务: {{runtime_name}} / {{service_name}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n时间: {{timestamp}}\n','','1.0','2021-05-28 11:54:59','2021-05-28 11:55:01',0),(2203,'服务熔断通知告警','micro_service','sidecar_circuit_breaker','webhook','alert','【{{application_name}}应用{{service_name}}服务发生熔断告警】\n','【服务熔断告警】\n\n服务发生熔断 !\n\n项目: {{project_name}}\n\n环境: {{workspace}}\n\n应用: {{application_name}}\n\n服务: {{runtime_name}} / {{service_name}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n时间: {{timestamp}}\n','','1.0','2021-05-28 11:54:59','2021-05-28 11:55:01',0),(2204,'Elasticsearch实例内存使用率异常告警','addon','addon_elasticsearch_mem','dingding','alert','【Elasticsearch实例内存使用率告警】\n','【Elasticsearch实例内存使用率告警】\n\n组件: {{addon_type}}\n\n实例ID: {{addon_id}}\n\n实例: {{pod_namespace}} - {{pod_name}}\n\n平均使用率: {{mem_usage_percent_avg}}\n\n集群 / 机器: {{cluster_name}} / {{host_ip}}\n\n容器ID: {{container_id}}\n\n机器: {{host_ip}}\n\n时间: {{timestamp}}','{\"container_id\":\"string:6\",\"mem_limit_value\":\"fraction:1\",\"mem_usage_percent_avg\":\"percent:1\"}','1.0','2021-05-28 11:55:01','2021-05-28 11:55:01',0),(2205,'Elasticsearch实例内存使用率异常告警','addon','addon_elasticsearch_mem','ticket','alert','【Elasticsearch实例内存使用率告警】\n','【Elasticsearch实例内存使用率告警】\n\n组件: {{addon_type}}\n\n实例ID: {{addon_id}}\n\n实例: {{pod_namespace}} - {{pod_name}}\n\n平均使用率: {{mem_usage_percent_avg}}\n\n集群 / 机器: {{cluster_name}} / {{host_ip}}\n\n容器ID: {{container_id}}\n\n机器: {{host_ip}}\n\n时间: {{timestamp}}','{\"container_id\":\"string:6\",\"mem_limit_value\":\"fraction:1\",\"mem_usage_percent_avg\":\"percent:1\"}','1.0','2021-05-28 11:55:01','2021-05-28 11:55:01',0),(2206,'Elasticsearch实例内存使用率异常告警','addon','addon_elasticsearch_mem','email','alert','【Elasticsearch实例内存使用率告警】\n','【Elasticsearch实例内存使用率告警】\n\n组件: {{addon_type}}\n\n实例ID: {{addon_id}}\n\n实例: {{pod_namespace}} - {{pod_name}}\n\n平均使用率: {{mem_usage_percent_avg}}\n\n集群 / 机器: {{cluster_name}} / {{host_ip}}\n\n容器ID: {{container_id}}\n\n机器: {{host_ip}}\n\n时间: {{timestamp}}','{\"container_id\":\"string:6\",\"mem_limit_value\":\"fraction:1\",\"mem_usage_percent_avg\":\"percent:1\"}','1.0','2021-05-28 11:55:01','2021-05-28 11:55:01',0),(2207,'Elasticsearch实例内存使用率异常告警','addon','addon_elasticsearch_mem','mbox','alert','【Elasticsearch实例内存使用率告警】\n','【Elasticsearch实例内存使用率告警】\n\n组件: {{addon_type}}\n\n实例ID: {{addon_id}}\n\n实例: {{pod_namespace}} - {{pod_name}}\n\n平均使用率: {{mem_usage_percent_avg}}\n\n集群 / 机器: {{cluster_name}} / {{host_ip}}\n\n容器ID: {{container_id}}\n\n机器: {{host_ip}}\n\n时间: {{timestamp}}','{\"container_id\":\"string:6\",\"mem_limit_value\":\"fraction:1\",\"mem_usage_percent_avg\":\"percent:1\"}','1.0','2021-05-28 11:55:01','2021-05-28 11:55:01',0),(2208,'Elasticsearch实例内存使用率异常告警','addon','addon_elasticsearch_mem','webhook','alert','【Elasticsearch实例内存使用率告警】\n','【Elasticsearch实例内存使用率告警】\n\n组件: {{addon_type}}\n\n实例ID: {{addon_id}}\n\n实例: {{pod_namespace}} - {{pod_name}}\n\n平均使用率: {{mem_usage_percent_avg}}\n\n集群 / 机器: {{cluster_name}} / {{host_ip}}\n\n容器ID: {{container_id}}\n\n机器: {{host_ip}}\n\n时间: {{timestamp}}','{\"container_id\":\"string:6\",\"mem_limit_value\":\"fraction:1\",\"mem_usage_percent_avg\":\"percent:1\"}','1.0','2021-05-28 11:55:01','2021-05-28 11:55:01',0),(2209,'MySQL实例CPU使用率异常告警','addon','addon_mysql_cpu','dingding','alert','【MySQL实例CPU使用率告警】\n','【MySQL实例CPU使用率异常告警】\n\n组件: {{addon_type}}\n\n实例: {{pod_namespace}} - {{pod_name}}\n\nCPU平均使用率: {{cpu_usage_percent_avg}}\n\nCPU限制: {{cpu_limit_value}}核\n\nCPU分配: {{cpu_allocation_value}}核\n\n机器: {{host_ip}}\n\n时间: {{timestamp}}','{\"container_id\":\"string:6\",\"cpu_limit_value\":\"fraction:1\",\"cpu_usage_percent_avg\":\"percent:1\"}','1.0','2021-05-28 11:55:01','2021-05-28 11:55:01',0),(2210,'MySQL实例CPU使用率异常告警','addon','addon_mysql_cpu','ticket','alert','【MySQL实例CPU使用率告警】\n','【MySQL实例CPU使用率异常告警】\n\n组件: {{addon_type}}\n\n实例: {{pod_namespace}} - {{pod_name}}\n\nCPU平均使用率: {{cpu_usage_percent_avg}}\n\nCPU限制: {{cpu_limit_value}}核\n\nCPU分配: {{cpu_allocation_value}}核\n\n机器: {{host_ip}}\n\n时间: {{timestamp}}','{\"container_id\":\"string:6\",\"cpu_limit_value\":\"fraction:1\",\"cpu_usage_percent_avg\":\"percent:1\"}','1.0','2021-05-28 11:55:01','2021-05-28 11:55:01',0),(2211,'MySQL实例CPU使用率异常告警','addon','addon_mysql_cpu','email','alert','【MySQL实例CPU使用率告警】\n','【MySQL实例CPU使用率异常告警】\n\n组件: {{addon_type}}\n\n实例: {{pod_namespace}} - {{pod_name}}\n\nCPU平均使用率: {{cpu_usage_percent_avg}}\n\nCPU限制: {{cpu_limit_value}}核\n\nCPU分配: {{cpu_allocation_value}}核\n\n机器: {{host_ip}}\n\n时间: {{timestamp}}','{\"container_id\":\"string:6\",\"cpu_limit_value\":\"fraction:1\",\"cpu_usage_percent_avg\":\"percent:1\"}','1.0','2021-05-28 11:55:01','2021-05-28 11:55:01',0),(2212,'MySQL实例CPU使用率异常告警','addon','addon_mysql_cpu','mbox','alert','【MySQL实例CPU使用率告警】\n','【MySQL实例CPU使用率异常告警】\n\n组件: {{addon_type}}\n\n实例: {{pod_namespace}} - {{pod_name}}\n\nCPU平均使用率: {{cpu_usage_percent_avg}}\n\nCPU限制: {{cpu_limit_value}}核\n\nCPU分配: {{cpu_allocation_value}}核\n\n机器: {{host_ip}}\n\n时间: {{timestamp}}','{\"container_id\":\"string:6\",\"cpu_limit_value\":\"fraction:1\",\"cpu_usage_percent_avg\":\"percent:1\"}','1.0','2021-05-28 11:55:01','2021-05-28 11:55:01',0),(2213,'MySQL实例CPU使用率异常告警','addon','addon_mysql_cpu','webhook','alert','【MySQL实例CPU使用率告警】\n','【MySQL实例CPU使用率异常告警】\n\n组件: {{addon_type}}\n\n实例: {{pod_namespace}} - {{pod_name}}\n\nCPU平均使用率: {{cpu_usage_percent_avg}}\n\nCPU限制: {{cpu_limit_value}}核\n\nCPU分配: {{cpu_allocation_value}}核\n\n机器: {{host_ip}}\n\n时间: {{timestamp}}','{\"container_id\":\"string:6\",\"cpu_limit_value\":\"fraction:1\",\"cpu_usage_percent_avg\":\"percent:1\"}','1.0','2021-05-28 11:55:01','2021-05-28 11:55:01',0),(2214,'MySQL实例内存使用率异常告警','addon','addon_mysql_mem','dingding','alert','【MySQL实例内存使用率告警】\n','【MySQL实例内存使用率告警】\n\n组件: {{addon_type}}\n\n实例ID: {{addon_id}}\n\n实例: {{pod_namespace}} - {{pod_name}}\n\n平均使用率: {{mem_usage_percent_avg}}\n\n集群 / 机器: {{cluster_name}} / {{host_ip}}\n\n容器ID: {{container_id}}\n\n机器: {{host_ip}}\n\n时间: {{timestamp}}','{\"container_id\":\"string:6\",\"mem_limit_value\":\"fraction:1\",\"mem_usage_percent_avg\":\"percent:1\"}','1.0','2021-05-28 11:55:01','2021-05-28 11:55:01',0),(2215,'MySQL实例内存使用率异常告警','addon','addon_mysql_mem','ticket','alert','【MySQL实例内存使用率告警】\n','【MySQL实例内存使用率告警】\n\n组件: {{addon_type}}\n\n实例ID: {{addon_id}}\n\n实例: {{pod_namespace}} - {{pod_name}}\n\n平均使用率: {{mem_usage_percent_avg}}\n\n集群 / 机器: {{cluster_name}} / {{host_ip}}\n\n容器ID: {{container_id}}\n\n机器: {{host_ip}}\n\n时间: {{timestamp}}','{\"container_id\":\"string:6\",\"mem_limit_value\":\"fraction:1\",\"mem_usage_percent_avg\":\"percent:1\"}','1.0','2021-05-28 11:55:01','2021-05-28 11:55:01',0),(2216,'MySQL实例内存使用率异常告警','addon','addon_mysql_mem','email','alert','【MySQL实例内存使用率告警】\n','【MySQL实例内存使用率告警】\n\n组件: {{addon_type}}\n\n实例ID: {{addon_id}}\n\n实例: {{pod_namespace}} - {{pod_name}}\n\n平均使用率: {{mem_usage_percent_avg}}\n\n集群 / 机器: {{cluster_name}} / {{host_ip}}\n\n容器ID: {{container_id}}\n\n机器: {{host_ip}}\n\n时间: {{timestamp}}','{\"container_id\":\"string:6\",\"mem_limit_value\":\"fraction:1\",\"mem_usage_percent_avg\":\"percent:1\"}','1.0','2021-05-28 11:55:01','2021-05-28 11:55:01',0),(2217,'MySQL实例内存使用率异常告警','addon','addon_mysql_mem','mbox','alert','【MySQL实例内存使用率告警】\n','【MySQL实例内存使用率告警】\n\n组件: {{addon_type}}\n\n实例ID: {{addon_id}}\n\n实例: {{pod_namespace}} - {{pod_name}}\n\n平均使用率: {{mem_usage_percent_avg}}\n\n集群 / 机器: {{cluster_name}} / {{host_ip}}\n\n容器ID: {{container_id}}\n\n机器: {{host_ip}}\n\n时间: {{timestamp}}','{\"container_id\":\"string:6\",\"mem_limit_value\":\"fraction:1\",\"mem_usage_percent_avg\":\"percent:1\"}','1.0','2021-05-28 11:55:01','2021-05-28 11:55:01',0),(2218,'MySQL实例内存使用率异常告警','addon','addon_mysql_mem','webhook','alert','【MySQL实例内存使用率告警】\n','【MySQL实例内存使用率告警】\n\n组件: {{addon_type}}\n\n实例ID: {{addon_id}}\n\n实例: {{pod_namespace}} - {{pod_name}}\n\n平均使用率: {{mem_usage_percent_avg}}\n\n集群 / 机器: {{cluster_name}} / {{host_ip}}\n\n容器ID: {{container_id}}\n\n机器: {{host_ip}}\n\n时间: {{timestamp}}','{\"container_id\":\"string:6\",\"mem_limit_value\":\"fraction:1\",\"mem_usage_percent_avg\":\"percent:1\"}','1.0','2021-05-28 11:55:01','2021-05-28 11:55:01',0),(2219,'MySQL实例主从同步异常告警','addon','addon_mysql_slave_status','dingding','alert','【MySQL实例主从同步异常】\n','【MySQL实例主从同步异常】\n\n组件: \"mysql\"\n\n实例ID: {{addon_id}}\n\n从节点IO异常状态: {{slave_slave_io_running_value}}\n\n从节点连接异常状态: {{slave_slave_sql_running_value}}\n\n集群 / 机器: {{cluster_name}} / {{host_ip}}\n\n机器: {{host_ip}}\n\n时间: {{timestamp}}','{\"limit_value\":\"fraction:1\",\"usage_percent_avg\":\"percent:1\"}','1.0','2021-05-28 11:55:01','2021-05-28 11:55:01',0),(2220,'MySQL实例主从同步异常告警','addon','addon_mysql_slave_status','ticket','alert','【MySQL实例主从同步异常】\n','【MySQL实例主从同步异常】\n\n组件: \"mysql\"\n\n实例ID: {{addon_id}}\n\n从节点IO异常状态: {{slave_slave_io_running_value}}\n\n从节点连接异常状态: {{slave_slave_sql_running_value}}\n\n集群 / 机器: {{cluster_name}} / {{host_ip}}\n\n机器: {{host_ip}}\n\n时间: {{timestamp}}','{\"limit_value\":\"fraction:1\",\"usage_percent_avg\":\"percent:1\"}','1.0','2021-05-28 11:55:01','2021-05-28 11:55:01',0),(2221,'MySQL实例主从同步异常告警','addon','addon_mysql_slave_status','email','alert','【MySQL实例主从同步异常】\n','【MySQL实例主从同步异常】\n\n组件: \"mysql\"\n\n实例ID: {{addon_id}}\n\n从节点IO异常状态: {{slave_slave_io_running_value}}\n\n从节点连接异常状态: {{slave_slave_sql_running_value}}\n\n集群 / 机器: {{cluster_name}} / {{host_ip}}\n\n机器: {{host_ip}}\n\n时间: {{timestamp}}','{\"limit_value\":\"fraction:1\",\"usage_percent_avg\":\"percent:1\"}','1.0','2021-05-28 11:55:01','2021-05-28 11:55:01',0),(2222,'MySQL实例主从同步异常告警','addon','addon_mysql_slave_status','mbox','alert','【MySQL实例主从同步异常】\n','【MySQL实例主从同步异常】\n\n组件: \"mysql\"\n\n实例ID: {{addon_id}}\n\n从节点IO异常状态: {{slave_slave_io_running_value}}\n\n从节点连接异常状态: {{slave_slave_sql_running_value}}\n\n集群 / 机器: {{cluster_name}} / {{host_ip}}\n\n机器: {{host_ip}}\n\n时间: {{timestamp}}','{\"limit_value\":\"fraction:1\",\"usage_percent_avg\":\"percent:1\"}','1.0','2021-05-28 11:55:01','2021-05-28 11:55:01',0),(2223,'MySQL实例主从同步异常告警','addon','addon_mysql_slave_status','webhook','alert','【MySQL实例主从同步异常】\n','【MySQL实例主从同步异常】\n\n组件: \"mysql\"\n\n实例ID: {{addon_id}}\n\n从节点IO异常状态: {{slave_slave_io_running_value}}\n\n从节点连接异常状态: {{slave_slave_sql_running_value}}\n\n集群 / 机器: {{cluster_name}} / {{host_ip}}\n\n机器: {{host_ip}}\n\n时间: {{timestamp}}','{\"limit_value\":\"fraction:1\",\"usage_percent_avg\":\"percent:1\"}','1.0','2021-05-28 11:55:01','2021-05-28 11:55:01',0),(2224,'redis实例内存使用率异常告警','addon','addon_redis_mem','dingding','alert','【redis实例内存使用率异常告警】\n','【redis实例内存使用率异常告警】\n\n组件: {{addon_type}}\n\n实例ID: {{addon_id}}\n\n实例: {{pod_namespace}} - {{pod_name}}\n\n平均使用率: {{mem_usage_percent_avg}}\n\n集群 / 机器: {{cluster_name}} / {{host_ip}}\n\n容器ID: {{container_id}}\n\n机器: {{host_ip}}\n\n时间: {{timestamp}}','{\"container_id\":\"string:6\",\"mem_limit_value\":\"fraction:1\",\"mem_usage_percent_avg\":\"percent:1\"}','1.0','2021-05-28 11:55:01','2021-05-28 11:55:01',0),(2225,'redis实例内存使用率异常告警','addon','addon_redis_mem','ticket','alert','【redis实例内存使用率异常告警】\n','【redis实例内存使用率异常告警】\n\n组件: {{addon_type}}\n\n实例ID: {{addon_id}}\n\n实例: {{pod_namespace}} - {{pod_name}}\n\n平均使用率: {{mem_usage_percent_avg}}\n\n集群 / 机器: {{cluster_name}} / {{host_ip}}\n\n容器ID: {{container_id}}\n\n机器: {{host_ip}}\n\n时间: {{timestamp}}','{\"container_id\":\"string:6\",\"mem_limit_value\":\"fraction:1\",\"mem_usage_percent_avg\":\"percent:1\"}','1.0','2021-05-28 11:55:01','2021-05-28 11:55:01',0),(2226,'redis实例内存使用率异常告警','addon','addon_redis_mem','email','alert','【redis实例内存使用率异常告警】\n','【redis实例内存使用率异常告警】\n\n组件: {{addon_type}}\n\n实例ID: {{addon_id}}\n\n实例: {{pod_namespace}} - {{pod_name}}\n\n平均使用率: {{mem_usage_percent_avg}}\n\n集群 / 机器: {{cluster_name}} / {{host_ip}}\n\n容器ID: {{container_id}}\n\n机器: {{host_ip}}\n\n时间: {{timestamp}}','{\"container_id\":\"string:6\",\"mem_limit_value\":\"fraction:1\",\"mem_usage_percent_avg\":\"percent:1\"}','1.0','2021-05-28 11:55:01','2021-05-28 11:55:01',0),(2227,'redis实例内存使用率异常告警','addon','addon_redis_mem','mbox','alert','【redis实例内存使用率异常告警】\n','【redis实例内存使用率异常告警】\n\n组件: {{addon_type}}\n\n实例ID: {{addon_id}}\n\n实例: {{pod_namespace}} - {{pod_name}}\n\n平均使用率: {{mem_usage_percent_avg}}\n\n集群 / 机器: {{cluster_name}} / {{host_ip}}\n\n容器ID: {{container_id}}\n\n机器: {{host_ip}}\n\n时间: {{timestamp}}','{\"container_id\":\"string:6\",\"mem_limit_value\":\"fraction:1\",\"mem_usage_percent_avg\":\"percent:1\"}','1.0','2021-05-28 11:55:01','2021-05-28 11:55:01',0),(2228,'redis实例内存使用率异常告警','addon','addon_redis_mem','webhook','alert','【redis实例内存使用率异常告警】\n','【redis实例内存使用率异常告警】\n\n组件: {{addon_type}}\n\n实例ID: {{addon_id}}\n\n实例: {{pod_namespace}} - {{pod_name}}\n\n平均使用率: {{mem_usage_percent_avg}}\n\n集群 / 机器: {{cluster_name}} / {{host_ip}}\n\n容器ID: {{container_id}}\n\n机器: {{host_ip}}\n\n时间: {{timestamp}}','{\"container_id\":\"string:6\",\"mem_limit_value\":\"fraction:1\",\"mem_usage_percent_avg\":\"percent:1\"}','1.0','2021-05-28 11:55:01','2021-05-28 11:55:01',0),(2229,'应用异常','app_exception','app_exception_count','dingding','alert','【{{application_name}}应用{{service_name}}服务异常告警】\n','【应用异常告警】\n\n项目: {{project_name}}\n\n应用: {{application_name}}\n\n服务: {{runtime_name}} - {{service_name}}\n\n实例: {{instance_id}}\n\n类: {{class}}\n\n方法: {{method}}\n\n行数: {{line}}\n\n错误: {{type}}\n\n事件: {{window}}分钟内出现 {{count_sum}} 次\n\n时间: {{timestamp}}\n\n[查看详情]({{display_url}})\n','','1.0','2021-05-28 11:55:01','2021-05-28 11:55:01',0),(2230,'应用异常','app_exception','app_exception_count','ticket','alert','【{{application_name}}应用{{service_name}}服务异常告警】\n','【应用异常告警】\n\n项目: {{project_name}}\n\n应用: {{application_name}}\n\n服务: {{runtime_name}} - {{service_name}}\n\n实例: {{instance_id}}\n\n类: {{class}}\n\n方法: {{method}}\n\n行数: {{line}}\n\n错误: {{type}}\n\n事件: {{window}}分钟内出现 {{count_sum}} 次\n\n时间: {{timestamp}}\n\n[查看详情]({{display_url}})\n','','1.0','2021-05-28 11:55:01','2021-05-28 11:55:01',0),(2231,'应用异常','app_exception','app_exception_count','email','alert','【{{application_name}}应用{{service_name}}服务异常告警】\n','【应用异常告警】\n\n项目: {{project_name}}\n\n应用: {{application_name}}\n\n服务: {{runtime_name}} - {{service_name}}\n\n实例: {{instance_id}}\n\n类: {{class}}\n\n方法: {{method}}\n\n行数: {{line}}\n\n错误: {{type}}\n\n事件: {{window}}分钟内出现 {{count_sum}} 次\n\n时间: {{timestamp}}\n\n[查看详情]({{display_url}})\n','','1.0','2021-05-28 11:55:01','2021-05-28 11:55:01',0),(2232,'应用异常','app_exception','app_exception_count','mbox','alert','【{{application_name}}应用{{service_name}}服务异常告警】\n','【应用异常告警】\n\n项目: {{project_name}}\n\n应用: {{application_name}}\n\n服务: {{runtime_name}} - {{service_name}}\n\n实例: {{instance_id}}\n\n类: {{class}}\n\n方法: {{method}}\n\n行数: {{line}}\n\n错误: {{type}}\n\n事件: {{window}}分钟内出现 {{count_sum}} 次\n\n时间: {{timestamp}}\n\n[查看详情]({{display_url}})\n','','1.0','2021-05-28 11:55:01','2021-05-28 11:55:01',0),(2233,'应用异常','app_exception','app_exception_count','webhook','alert','【{{application_name}}应用{{service_name}}服务异常告警】\n','【应用异常告警】\n\n项目: {{project_name}}\n\n应用: {{application_name}}\n\n服务: {{runtime_name}} - {{service_name}}\n\n实例: {{instance_id}}\n\n类: {{class}}\n\n方法: {{method}}\n\n行数: {{line}}\n\n错误: {{type}}\n\n事件: {{window}}分钟内出现 {{count_sum}} 次\n\n时间: {{timestamp}}\n\n[查看详情]({{display_url}})\n','','1.0','2021-05-28 11:55:01','2021-05-28 11:55:01',0),(2234,'应用异常','app_exception','app_exception_count','dingding','recover','【{{application_name}}应用{{service_name}}服务异常恢复】\n','【应用异常恢复】\n\n项目: {{project_name}}\n\n应用: {{application_name}}\n\n服务: {{runtime_name}} - {{service_name}}\n\n实例: {{instance_id}}\n\n类: {{class}}\n\n方法: {{method}}\n\n行数: {{line}}\n\n错误: {{type}}\n\n持续时间: {{trigger_duration_min}}\n\n恢复时间: {{timestamp}}','','1.0','2021-05-28 11:55:01','2021-05-28 11:55:01',0),(2235,'应用异常','app_exception','app_exception_count','ticket','recover','【{{application_name}}应用{{service_name}}服务异常恢复】\n','【应用异常恢复】\n\n项目: {{project_name}}\n\n应用: {{application_name}}\n\n服务: {{runtime_name}} - {{service_name}}\n\n实例: {{instance_id}}\n\n类: {{class}}\n\n方法: {{method}}\n\n行数: {{line}}\n\n错误: {{type}}\n\n持续时间: {{trigger_duration_min}}\n\n恢复时间: {{timestamp}}','','1.0','2021-05-28 11:55:01','2021-05-28 11:55:01',0),(2236,'应用异常','app_exception','app_exception_count','email','recover','【{{application_name}}应用{{service_name}}服务异常恢复】\n','【应用异常恢复】\n\n项目: {{project_name}}\n\n应用: {{application_name}}\n\n服务: {{runtime_name}} - {{service_name}}\n\n实例: {{instance_id}}\n\n类: {{class}}\n\n方法: {{method}}\n\n行数: {{line}}\n\n错误: {{type}}\n\n持续时间: {{trigger_duration_min}}\n\n恢复时间: {{timestamp}}','','1.0','2021-05-28 11:55:01','2021-05-28 11:55:01',0),(2237,'应用异常','app_exception','app_exception_count','mbox','recover','【{{application_name}}应用{{service_name}}服务异常恢复】\n','【应用异常恢复】\n\n项目: {{project_name}}\n\n应用: {{application_name}}\n\n服务: {{runtime_name}} - {{service_name}}\n\n实例: {{instance_id}}\n\n类: {{class}}\n\n方法: {{method}}\n\n行数: {{line}}\n\n错误: {{type}}\n\n持续时间: {{trigger_duration_min}}\n\n恢复时间: {{timestamp}}','','1.0','2021-05-28 11:55:01','2021-05-28 11:55:01',0),(2238,'应用异常','app_exception','app_exception_count','webhook','recover','【{{application_name}}应用{{service_name}}服务异常恢复】\n','【应用异常恢复】\n\n项目: {{project_name}}\n\n应用: {{application_name}}\n\n服务: {{runtime_name}} - {{service_name}}\n\n实例: {{instance_id}}\n\n类: {{class}}\n\n方法: {{method}}\n\n行数: {{line}}\n\n错误: {{type}}\n\n持续时间: {{trigger_duration_min}}\n\n恢复时间: {{timestamp}}','','1.0','2021-05-28 11:55:01','2021-05-28 11:55:01',0),(2239,'应用实例CPU使用率异常','app_resource','app_resource_container_cpu','dingding','alert','【{{application_name}}应用{{service_name}}服务实例CPU使用率告警】\n','【应用实例CPU使用率异常告警】\n\n项目: {{project_name}}\n\n应用: {{application_name}}\n\n服务实例: {{runtime_name}} - {{service_name}}.{{container_id}}\n\nCPU平均使用率: {{cpu_usage_percent_avg}}\n\nCPU限制: {{cpu_limit_value}}核\n\n机器: {{host_ip}}\n\n时间: {{timestamp}}\n\n[查看详情]({{display_url}})\n','{\"container_id\":\"string:6\",\"cpu_limit_value\":\"fraction:1\",\"cpu_usage_percent_avg\":\"percent:1\"}','1.0','2021-05-28 11:55:01','2021-05-28 11:55:01',0),(2240,'应用实例CPU使用率异常','app_resource','app_resource_container_cpu','ticket','alert','【{{application_name}}应用{{service_name}}服务实例CPU使用率告警】\n','【应用实例CPU使用率异常告警】\n\n项目: {{project_name}}\n\n应用: {{application_name}}\n\n服务实例: {{runtime_name}} - {{service_name}}.{{container_id}}\n\nCPU平均使用率: {{cpu_usage_percent_avg}}\n\nCPU限制: {{cpu_limit_value}}核\n\n机器: {{host_ip}}\n\n时间: {{timestamp}}\n\n[查看详情]({{display_url}})\n','{\"container_id\":\"string:6\",\"cpu_limit_value\":\"fraction:1\",\"cpu_usage_percent_avg\":\"percent:1\"}','1.0','2021-05-28 11:55:01','2021-05-28 11:55:01',0),(2241,'应用实例CPU使用率异常','app_resource','app_resource_container_cpu','email','alert','【{{application_name}}应用{{service_name}}服务实例CPU使用率告警】\n','【应用实例CPU使用率异常告警】\n\n项目: {{project_name}}\n\n应用: {{application_name}}\n\n服务实例: {{runtime_name}} - {{service_name}}.{{container_id}}\n\nCPU平均使用率: {{cpu_usage_percent_avg}}\n\nCPU限制: {{cpu_limit_value}}核\n\n机器: {{host_ip}}\n\n时间: {{timestamp}}\n\n[查看详情]({{display_url}})\n','{\"container_id\":\"string:6\",\"cpu_limit_value\":\"fraction:1\",\"cpu_usage_percent_avg\":\"percent:1\"}','1.0','2021-05-28 11:55:01','2021-05-28 11:55:01',0),(2242,'应用实例CPU使用率异常','app_resource','app_resource_container_cpu','mbox','alert','【{{application_name}}应用{{service_name}}服务实例CPU使用率告警】\n','【应用实例CPU使用率异常告警】\n\n项目: {{project_name}}\n\n应用: {{application_name}}\n\n服务实例: {{runtime_name}} - {{service_name}}.{{container_id}}\n\nCPU平均使用率: {{cpu_usage_percent_avg}}\n\nCPU限制: {{cpu_limit_value}}核\n\n机器: {{host_ip}}\n\n时间: {{timestamp}}\n\n[查看详情]({{display_url}})\n','{\"container_id\":\"string:6\",\"cpu_limit_value\":\"fraction:1\",\"cpu_usage_percent_avg\":\"percent:1\"}','1.0','2021-05-28 11:55:01','2021-05-28 11:55:01',0),(2243,'应用实例CPU使用率异常','app_resource','app_resource_container_cpu','webhook','alert','【{{application_name}}应用{{service_name}}服务实例CPU使用率告警】\n','【应用实例CPU使用率异常告警】\n\n项目: {{project_name}}\n\n应用: {{application_name}}\n\n服务实例: {{runtime_name}} - {{service_name}}.{{container_id}}\n\nCPU平均使用率: {{cpu_usage_percent_avg}}\n\nCPU限制: {{cpu_limit_value}}核\n\n机器: {{host_ip}}\n\n时间: {{timestamp}}\n\n[查看详情]({{display_url}})\n','{\"container_id\":\"string:6\",\"cpu_limit_value\":\"fraction:1\",\"cpu_usage_percent_avg\":\"percent:1\"}','1.0','2021-05-28 11:55:01','2021-05-28 11:55:01',0),(2244,'应用实例CPU使用率恢复','app_resource','app_resource_container_cpu','dingding','recover','【{{application_name}}应用{{service_name}}服务实例CPU使用率恢复】\n','【应用实例CPU使用率恢复】\n\n项目: {{project_name}}\n\n应用: {{application_name}}\n\n服务实例: {{runtime_name}} - {{service_name}}.{{container_id}}\n\n平均使用率: {{cpu_usage_percent_avg}}\n\n机器: {{host_ip}}\n\n容器ID: {{container_id}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}','{\"container_id\":\"string:6\",\"cpu_usage_percent_avg\":\"percent:1\",\"trigger_duration\":\"time:ms\"}','1.0','2021-05-28 11:55:01','2021-05-28 11:55:01',0),(2245,'应用实例CPU使用率恢复','app_resource','app_resource_container_cpu','ticket','recover','【{{application_name}}应用{{service_name}}服务实例CPU使用率恢复】\n','【应用实例CPU使用率恢复】\n\n项目: {{project_name}}\n\n应用: {{application_name}}\n\n服务实例: {{runtime_name}} - {{service_name}}.{{container_id}}\n\n平均使用率: {{cpu_usage_percent_avg}}\n\n机器: {{host_ip}}\n\n容器ID: {{container_id}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}','{\"container_id\":\"string:6\",\"cpu_usage_percent_avg\":\"percent:1\",\"trigger_duration\":\"time:ms\"}','1.0','2021-05-28 11:55:01','2021-05-28 11:55:01',0),(2246,'应用实例CPU使用率恢复','app_resource','app_resource_container_cpu','email','recover','【{{application_name}}应用{{service_name}}服务实例CPU使用率恢复】\n','【应用实例CPU使用率恢复】\n\n项目: {{project_name}}\n\n应用: {{application_name}}\n\n服务实例: {{runtime_name}} - {{service_name}}.{{container_id}}\n\n平均使用率: {{cpu_usage_percent_avg}}\n\n机器: {{host_ip}}\n\n容器ID: {{container_id}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}','{\"container_id\":\"string:6\",\"cpu_usage_percent_avg\":\"percent:1\",\"trigger_duration\":\"time:ms\"}','1.0','2021-05-28 11:55:01','2021-05-28 11:55:01',0),(2247,'应用实例CPU使用率恢复','app_resource','app_resource_container_cpu','mbox','recover','【{{application_name}}应用{{service_name}}服务实例CPU使用率恢复】\n','【应用实例CPU使用率恢复】\n\n项目: {{project_name}}\n\n应用: {{application_name}}\n\n服务实例: {{runtime_name}} - {{service_name}}.{{container_id}}\n\n平均使用率: {{cpu_usage_percent_avg}}\n\n机器: {{host_ip}}\n\n容器ID: {{container_id}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}','{\"container_id\":\"string:6\",\"cpu_usage_percent_avg\":\"percent:1\",\"trigger_duration\":\"time:ms\"}','1.0','2021-05-28 11:55:01','2021-05-28 11:55:01',0),(2248,'应用实例CPU使用率恢复','app_resource','app_resource_container_cpu','webhook','recover','【{{application_name}}应用{{service_name}}服务实例CPU使用率恢复】\n','【应用实例CPU使用率恢复】\n\n项目: {{project_name}}\n\n应用: {{application_name}}\n\n服务实例: {{runtime_name}} - {{service_name}}.{{container_id}}\n\n平均使用率: {{cpu_usage_percent_avg}}\n\n机器: {{host_ip}}\n\n容器ID: {{container_id}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}','{\"container_id\":\"string:6\",\"cpu_usage_percent_avg\":\"percent:1\",\"trigger_duration\":\"time:ms\"}','1.0','2021-05-28 11:55:01','2021-05-28 11:55:01',0),(2249,'应用实例内存使用率异常','app_resource','app_resource_container_mem','dingding','alert','【{{application_name}}应用{{service_name}}服务内存使用率异常告警】\n','【应用实例内存使用率异常告警】\n\n项目: {{project_name}}\n\n应用: {{application_name}}\n\n服务实例: {{runtime_name}} - {{service_name}}.{{container_id}}\n\n内存使用率: {{mem_usage_percent_avg}}\n\n内存使用: {{mem_usage_value}}\n\n内存限制: {{mem_limit_value}}\n\n机器: {{host_ip}}\n\n时间: {{timestamp}}\n\n[查看详情]({{display_url}})\n','{\"container_id\":\"string:6\",\"mem_limit_value\":\"size:byte\",\"mem_usage_percent_avg\":\"percent:1\",\"mem_usage_value\":\"size:byte\"}','1.0','2021-05-28 11:55:01','2021-05-28 11:55:01',0),(2250,'应用实例内存使用率异常','app_resource','app_resource_container_mem','ticket','alert','【{{application_name}}应用{{service_name}}服务内存使用率异常告警】\n','【应用实例内存使用率异常告警】\n\n项目: {{project_name}}\n\n应用: {{application_name}}\n\n服务实例: {{runtime_name}} - {{service_name}}.{{container_id}}\n\n内存使用率: {{mem_usage_percent_avg}}\n\n内存使用: {{mem_usage_value}}\n\n内存限制: {{mem_limit_value}}\n\n机器: {{host_ip}}\n\n时间: {{timestamp}}\n\n[查看详情]({{display_url}})\n','{\"container_id\":\"string:6\",\"mem_limit_value\":\"size:byte\",\"mem_usage_percent_avg\":\"percent:1\",\"mem_usage_value\":\"size:byte\"}','1.0','2021-05-28 11:55:01','2021-05-28 11:55:01',0),(2251,'应用实例内存使用率异常','app_resource','app_resource_container_mem','email','alert','【{{application_name}}应用{{service_name}}服务内存使用率异常告警】\n','【应用实例内存使用率异常告警】\n\n项目: {{project_name}}\n\n应用: {{application_name}}\n\n服务实例: {{runtime_name}} - {{service_name}}.{{container_id}}\n\n内存使用率: {{mem_usage_percent_avg}}\n\n内存使用: {{mem_usage_value}}\n\n内存限制: {{mem_limit_value}}\n\n机器: {{host_ip}}\n\n时间: {{timestamp}}\n\n[查看详情]({{display_url}})\n','{\"container_id\":\"string:6\",\"mem_limit_value\":\"size:byte\",\"mem_usage_percent_avg\":\"percent:1\",\"mem_usage_value\":\"size:byte\"}','1.0','2021-05-28 11:55:01','2021-05-28 11:55:01',0),(2252,'应用实例内存使用率异常','app_resource','app_resource_container_mem','mbox','alert','【{{application_name}}应用{{service_name}}服务内存使用率异常告警】\n','【应用实例内存使用率异常告警】\n\n项目: {{project_name}}\n\n应用: {{application_name}}\n\n服务实例: {{runtime_name}} - {{service_name}}.{{container_id}}\n\n内存使用率: {{mem_usage_percent_avg}}\n\n内存使用: {{mem_usage_value}}\n\n内存限制: {{mem_limit_value}}\n\n机器: {{host_ip}}\n\n时间: {{timestamp}}\n\n[查看详情]({{display_url}})\n','{\"container_id\":\"string:6\",\"mem_limit_value\":\"size:byte\",\"mem_usage_percent_avg\":\"percent:1\",\"mem_usage_value\":\"size:byte\"}','1.0','2021-05-28 11:55:01','2021-05-28 11:55:01',0),(2253,'应用实例内存使用率异常','app_resource','app_resource_container_mem','webhook','alert','【{{application_name}}应用{{service_name}}服务内存使用率异常告警】\n','【应用实例内存使用率异常告警】\n\n项目: {{project_name}}\n\n应用: {{application_name}}\n\n服务实例: {{runtime_name}} - {{service_name}}.{{container_id}}\n\n内存使用率: {{mem_usage_percent_avg}}\n\n内存使用: {{mem_usage_value}}\n\n内存限制: {{mem_limit_value}}\n\n机器: {{host_ip}}\n\n时间: {{timestamp}}\n\n[查看详情]({{display_url}})\n','{\"container_id\":\"string:6\",\"mem_limit_value\":\"size:byte\",\"mem_usage_percent_avg\":\"percent:1\",\"mem_usage_value\":\"size:byte\"}','1.0','2021-05-28 11:55:01','2021-05-28 11:55:01',0),(2254,'应用实例内存异常','app_resource','app_resource_container_mem','dingding','recover','【{{application_name}}应用{{service_name}}服务内存使用率异常恢复】\n','【应用实例内存使用率异常恢复】\n\n项目: {{project_name}}\n\n应用: {{application_name}}\n\n服务实例: {{runtime_name}} - {{service_name}}.{{container_id}}\n\n内存使用率: {{mem_usage_percent_avg}}\n\n内存使用: {{mem_usage_value}}\n\n内存限制: {{mem_limit_value}}\n\n机器: {{host_ip}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}','{\"container_id\":\"string:6\",\"mem_usage_percent_avg\":\"percent:1\",\"trigger_duration\":\"time:ms\"}','1.0','2021-05-28 11:55:01','2021-05-28 11:55:01',0),(2255,'应用实例内存异常','app_resource','app_resource_container_mem','ticket','recover','【{{application_name}}应用{{service_name}}服务内存使用率异常恢复】\n','【应用实例内存使用率异常恢复】\n\n项目: {{project_name}}\n\n应用: {{application_name}}\n\n服务实例: {{runtime_name}} - {{service_name}}.{{container_id}}\n\n内存使用率: {{mem_usage_percent_avg}}\n\n内存使用: {{mem_usage_value}}\n\n内存限制: {{mem_limit_value}}\n\n机器: {{host_ip}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}','{\"container_id\":\"string:6\",\"mem_usage_percent_avg\":\"percent:1\",\"trigger_duration\":\"time:ms\"}','1.0','2021-05-28 11:55:01','2021-05-28 11:55:01',0),(2256,'应用实例内存异常','app_resource','app_resource_container_mem','email','recover','【{{application_name}}应用{{service_name}}服务内存使用率异常恢复】\n','【应用实例内存使用率异常恢复】\n\n项目: {{project_name}}\n\n应用: {{application_name}}\n\n服务实例: {{runtime_name}} - {{service_name}}.{{container_id}}\n\n内存使用率: {{mem_usage_percent_avg}}\n\n内存使用: {{mem_usage_value}}\n\n内存限制: {{mem_limit_value}}\n\n机器: {{host_ip}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}','{\"container_id\":\"string:6\",\"mem_usage_percent_avg\":\"percent:1\",\"trigger_duration\":\"time:ms\"}','1.0','2021-05-28 11:55:01','2021-05-28 11:55:01',0),(2257,'应用实例内存异常','app_resource','app_resource_container_mem','mbox','recover','【{{application_name}}应用{{service_name}}服务内存使用率异常恢复】\n','【应用实例内存使用率异常恢复】\n\n项目: {{project_name}}\n\n应用: {{application_name}}\n\n服务实例: {{runtime_name}} - {{service_name}}.{{container_id}}\n\n内存使用率: {{mem_usage_percent_avg}}\n\n内存使用: {{mem_usage_value}}\n\n内存限制: {{mem_limit_value}}\n\n机器: {{host_ip}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}','{\"container_id\":\"string:6\",\"mem_usage_percent_avg\":\"percent:1\",\"trigger_duration\":\"time:ms\"}','1.0','2021-05-28 11:55:01','2021-05-28 11:55:01',0),(2258,'应用实例内存异常','app_resource','app_resource_container_mem','webhook','recover','【{{application_name}}应用{{service_name}}服务内存使用率异常恢复】\n','【应用实例内存使用率异常恢复】\n\n项目: {{project_name}}\n\n应用: {{application_name}}\n\n服务实例: {{runtime_name}} - {{service_name}}.{{container_id}}\n\n内存使用率: {{mem_usage_percent_avg}}\n\n内存使用: {{mem_usage_value}}\n\n内存限制: {{mem_limit_value}}\n\n机器: {{host_ip}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}','{\"container_id\":\"string:6\",\"mem_usage_percent_avg\":\"percent:1\",\"trigger_duration\":\"time:ms\"}','1.0','2021-05-28 11:55:01','2021-05-28 11:55:01',0),(2259,'应用实例OOM告警','app_resource','app_resource_container_oom','dingding','alert','【{{application_name}}应用{{service_name}}服务实例OOM告警】\n','【应用实例OOM告警】\n\n项目: {{project_name}}\n\n应用: {{application_name}}\n\n服务实例: {{runtime_name}} - {{service_name}}.{{container_id}}\n\n事件: 服务实例发生OOM\n\n机器: {{host_ip}}\n\n时间: {{timestamp}}\n\n[查看详情]({{display_url}})','{\"container_id\":\"string:6\"}','1.0','2021-05-28 11:55:01','2021-05-28 11:55:01',0),(2260,'应用实例OOM告警','app_resource','app_resource_container_oom','ticket','alert','【{{application_name}}应用{{service_name}}服务实例OOM告警】\n','【应用实例OOM告警】\n\n项目: {{project_name}}\n\n应用: {{application_name}}\n\n服务实例: {{runtime_name}} - {{service_name}}.{{container_id}}\n\n事件: 服务实例发生OOM\n\n机器: {{host_ip}}\n\n时间: {{timestamp}}\n\n[查看详情]({{display_url}})','{\"container_id\":\"string:6\"}','1.0','2021-05-28 11:55:01','2021-05-28 11:55:01',0),(2261,'应用实例OOM告警','app_resource','app_resource_container_oom','email','alert','【{{application_name}}应用{{service_name}}服务实例OOM告警】\n','【应用实例OOM告警】\n\n项目: {{project_name}}\n\n应用: {{application_name}}\n\n服务实例: {{runtime_name}} - {{service_name}}.{{container_id}}\n\n事件: 服务实例发生OOM\n\n机器: {{host_ip}}\n\n时间: {{timestamp}}\n\n[查看详情]({{display_url}})','{\"container_id\":\"string:6\"}','1.0','2021-05-28 11:55:01','2021-05-28 11:55:01',0),(2262,'应用实例OOM告警','app_resource','app_resource_container_oom','mbox','alert','【{{application_name}}应用{{service_name}}服务实例OOM告警】\n','【应用实例OOM告警】\n\n项目: {{project_name}}\n\n应用: {{application_name}}\n\n服务实例: {{runtime_name}} - {{service_name}}.{{container_id}}\n\n事件: 服务实例发生OOM\n\n机器: {{host_ip}}\n\n时间: {{timestamp}}\n\n[查看详情]({{display_url}})','{\"container_id\":\"string:6\"}','1.0','2021-05-28 11:55:01','2021-05-28 11:55:01',0),(2263,'应用实例OOM告警','app_resource','app_resource_container_oom','webhook','alert','【{{application_name}}应用{{service_name}}服务实例OOM告警】\n','【应用实例OOM告警】\n\n项目: {{project_name}}\n\n应用: {{application_name}}\n\n服务实例: {{runtime_name}} - {{service_name}}.{{container_id}}\n\n事件: 服务实例发生OOM\n\n机器: {{host_ip}}\n\n时间: {{timestamp}}\n\n[查看详情]({{display_url}})','{\"container_id\":\"string:6\"}','1.0','2021-05-28 11:55:01','2021-05-28 11:55:01',0),(2264,'应用JVM GC次数异常','app_resource','app_resource_jvm_gc_count','dingding','alert','【{{application_name}}应用{{service_name}}服务JVM GC次数异常告警】\n','【应用JVM GC次数异常告警】\n\n实例GC次数太多 !\n\n项目: {{project_name}}\n\n应用: {{application_name}}\n\n服务: {{runtime_name}} / {{service_name}}\n\n老年代GC次数: {{count_sum}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n时间: {{timestamp}}\n\n[查看详情]({{display_url}})\n','','1.0','2021-05-28 11:55:01','2021-05-28 11:55:01',0),(2265,'应用JVM GC次数异常','app_resource','app_resource_jvm_gc_count','ticket','alert','【{{application_name}}应用{{service_name}}服务JVM GC次数异常告警】\n','【应用JVM GC次数异常告警】\n\n实例GC次数太多 !\n\n项目: {{project_name}}\n\n应用: {{application_name}}\n\n服务: {{runtime_name}} / {{service_name}}\n\n老年代GC次数: {{count_sum}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n时间: {{timestamp}}\n\n[查看详情]({{display_url}})\n','','1.0','2021-05-28 11:55:01','2021-05-28 11:55:01',0),(2266,'应用JVM GC次数异常','app_resource','app_resource_jvm_gc_count','email','alert','【{{application_name}}应用{{service_name}}服务JVM GC次数异常告警】\n','【应用JVM GC次数异常告警】\n\n实例GC次数太多 !\n\n项目: {{project_name}}\n\n应用: {{application_name}}\n\n服务: {{runtime_name}} / {{service_name}}\n\n老年代GC次数: {{count_sum}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n时间: {{timestamp}}\n\n[查看详情]({{display_url}})\n','','1.0','2021-05-28 11:55:01','2021-05-28 11:55:01',0),(2267,'应用JVM GC次数异常','app_resource','app_resource_jvm_gc_count','mbox','alert','【{{application_name}}应用{{service_name}}服务JVM GC次数异常告警】\n','【应用JVM GC次数异常告警】\n\n实例GC次数太多 !\n\n项目: {{project_name}}\n\n应用: {{application_name}}\n\n服务: {{runtime_name}} / {{service_name}}\n\n老年代GC次数: {{count_sum}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n时间: {{timestamp}}\n\n[查看详情]({{display_url}})\n','','1.0','2021-05-28 11:55:01','2021-05-28 11:55:01',0),(2268,'应用JVM GC次数异常','app_resource','app_resource_jvm_gc_count','webhook','alert','【{{application_name}}应用{{service_name}}服务JVM GC次数异常告警】\n','【应用JVM GC次数异常告警】\n\n实例GC次数太多 !\n\n项目: {{project_name}}\n\n应用: {{application_name}}\n\n服务: {{runtime_name}} / {{service_name}}\n\n老年代GC次数: {{count_sum}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n时间: {{timestamp}}\n\n[查看详情]({{display_url}})\n','','1.0','2021-05-28 11:55:01','2021-05-28 11:55:01',0),(2269,'应用JVM GC次数异常','app_resource','app_resource_jvm_gc_count','dingding','recover','【{{application_name}}应用{{service_name}}服务JVM GC次数异常恢复】\n','【应用JVM GC次数异常恢复】\n\n实例GC次数已恢复正常值 .\n\n项目: {{project_name}}\n\n应用: {{application_name}}\n\n服务: {{runtime_name}} / {{service_name}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n持续时间: {{trigger_duration_min}}\n\n恢复时间: {{timestamp}}\n','','1.0','2021-05-28 11:55:01','2021-05-28 11:55:01',0),(2270,'应用JVM GC次数异常','app_resource','app_resource_jvm_gc_count','ticket','recover','【{{application_name}}应用{{service_name}}服务JVM GC次数异常恢复】\n','【应用JVM GC次数异常恢复】\n\n实例GC次数已恢复正常值 .\n\n项目: {{project_name}}\n\n应用: {{application_name}}\n\n服务: {{runtime_name}} / {{service_name}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n持续时间: {{trigger_duration_min}}\n\n恢复时间: {{timestamp}}\n','','1.0','2021-05-28 11:55:01','2021-05-28 11:55:01',0),(2271,'应用JVM GC次数异常','app_resource','app_resource_jvm_gc_count','email','recover','【{{application_name}}应用{{service_name}}服务JVM GC次数异常恢复】\n','【应用JVM GC次数异常恢复】\n\n实例GC次数已恢复正常值 .\n\n项目: {{project_name}}\n\n应用: {{application_name}}\n\n服务: {{runtime_name}} / {{service_name}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n持续时间: {{trigger_duration_min}}\n\n恢复时间: {{timestamp}}\n','','1.0','2021-05-28 11:55:01','2021-05-28 11:55:01',0),(2272,'应用JVM GC次数异常','app_resource','app_resource_jvm_gc_count','mbox','recover','【{{application_name}}应用{{service_name}}服务JVM GC次数异常恢复】\n','【应用JVM GC次数异常恢复】\n\n实例GC次数已恢复正常值 .\n\n项目: {{project_name}}\n\n应用: {{application_name}}\n\n服务: {{runtime_name}} / {{service_name}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n持续时间: {{trigger_duration_min}}\n\n恢复时间: {{timestamp}}\n','','1.0','2021-05-28 11:55:01','2021-05-28 11:55:01',0),(2273,'应用JVM GC次数异常','app_resource','app_resource_jvm_gc_count','webhook','recover','【{{application_name}}应用{{service_name}}服务JVM GC次数异常恢复】\n','【应用JVM GC次数异常恢复】\n\n实例GC次数已恢复正常值 .\n\n项目: {{project_name}}\n\n应用: {{application_name}}\n\n服务: {{runtime_name}} / {{service_name}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n持续时间: {{trigger_duration_min}}\n\n恢复时间: {{timestamp}}\n','','1.0','2021-05-28 11:55:01','2021-05-28 11:55:01',0),(2274,'应用JVM GC耗时异常','app_resource','app_resource_jvm_gc_time','dingding','alert','【{{application_name}}应用{{service_name}}服务JVM GC耗时异常告警】\n','【应用JVM GC耗时异常告警】\n\n实例GC耗时过长 !\n\n项目: {{project_name}}\n\n应用: {{application_name}}\n\n服务: {{runtime_name}} / {{service_name}}\n\n老年代GC耗时: 总耗时{{time_sum}}，最后一次耗时{{time_value}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n时间: {{timestamp}}\n\n[查看详情]({{display_url}})\n','{\"time_sum\":\"time:ms\",\"time_value\":\"time:ms\"}','1.0','2021-05-28 11:55:01','2021-05-28 11:55:01',0),(2275,'应用JVM GC耗时异常','app_resource','app_resource_jvm_gc_time','ticket','alert','【{{application_name}}应用{{service_name}}服务JVM GC耗时异常告警】\n','【应用JVM GC耗时异常告警】\n\n实例GC耗时过长 !\n\n项目: {{project_name}}\n\n应用: {{application_name}}\n\n服务: {{runtime_name}} / {{service_name}}\n\n老年代GC耗时: 总耗时{{time_sum}}，最后一次耗时{{time_value}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n时间: {{timestamp}}\n\n[查看详情]({{display_url}})\n','{\"time_sum\":\"time:ms\",\"time_value\":\"time:ms\"}','1.0','2021-05-28 11:55:01','2021-05-28 11:55:01',0),(2276,'应用JVM GC耗时异常','app_resource','app_resource_jvm_gc_time','email','alert','【{{application_name}}应用{{service_name}}服务JVM GC耗时异常告警】\n','【应用JVM GC耗时异常告警】\n\n实例GC耗时过长 !\n\n项目: {{project_name}}\n\n应用: {{application_name}}\n\n服务: {{runtime_name}} / {{service_name}}\n\n老年代GC耗时: 总耗时{{time_sum}}，最后一次耗时{{time_value}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n时间: {{timestamp}}\n\n[查看详情]({{display_url}})\n','{\"time_sum\":\"time:ms\",\"time_value\":\"time:ms\"}','1.0','2021-05-28 11:55:01','2021-05-28 11:55:01',0),(2277,'应用JVM GC耗时异常','app_resource','app_resource_jvm_gc_time','mbox','alert','【{{application_name}}应用{{service_name}}服务JVM GC耗时异常告警】\n','【应用JVM GC耗时异常告警】\n\n实例GC耗时过长 !\n\n项目: {{project_name}}\n\n应用: {{application_name}}\n\n服务: {{runtime_name}} / {{service_name}}\n\n老年代GC耗时: 总耗时{{time_sum}}，最后一次耗时{{time_value}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n时间: {{timestamp}}\n\n[查看详情]({{display_url}})\n','{\"time_sum\":\"time:ms\",\"time_value\":\"time:ms\"}','1.0','2021-05-28 11:55:01','2021-05-28 11:55:01',0),(2278,'应用JVM GC耗时异常','app_resource','app_resource_jvm_gc_time','webhook','alert','【{{application_name}}应用{{service_name}}服务JVM GC耗时异常告警】\n','【应用JVM GC耗时异常告警】\n\n实例GC耗时过长 !\n\n项目: {{project_name}}\n\n应用: {{application_name}}\n\n服务: {{runtime_name}} / {{service_name}}\n\n老年代GC耗时: 总耗时{{time_sum}}，最后一次耗时{{time_value}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n时间: {{timestamp}}\n\n[查看详情]({{display_url}})\n','{\"time_sum\":\"time:ms\",\"time_value\":\"time:ms\"}','1.0','2021-05-28 11:55:01','2021-05-28 11:55:01',0),(2279,'应用JVM GC耗时异常','app_resource','app_resource_jvm_gc_time','dingding','recover','【{{application_name}}应用{{service_name}}服务JVM GC耗时异常恢复】\n','【应用JVM GC耗时异常恢复】\n\n实例GC耗时已恢复正常值 .\n\n项目: {{project_name}}\n\n应用: {{application_name}}\n\n服务: {{runtime_name}} / {{service_name}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n持续时间: {{trigger_duration_min}}\n\n恢复时间: {{timestamp}}\n','','1.0','2021-05-28 11:55:01','2021-05-28 11:55:01',0),(2280,'应用JVM GC耗时异常','app_resource','app_resource_jvm_gc_time','ticket','recover','【{{application_name}}应用{{service_name}}服务JVM GC耗时异常恢复】\n','【应用JVM GC耗时异常恢复】\n\n实例GC耗时已恢复正常值 .\n\n项目: {{project_name}}\n\n应用: {{application_name}}\n\n服务: {{runtime_name}} / {{service_name}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n持续时间: {{trigger_duration_min}}\n\n恢复时间: {{timestamp}}\n','','1.0','2021-05-28 11:55:01','2021-05-28 11:55:01',0),(2281,'应用JVM GC耗时异常','app_resource','app_resource_jvm_gc_time','email','recover','【{{application_name}}应用{{service_name}}服务JVM GC耗时异常恢复】\n','【应用JVM GC耗时异常恢复】\n\n实例GC耗时已恢复正常值 .\n\n项目: {{project_name}}\n\n应用: {{application_name}}\n\n服务: {{runtime_name}} / {{service_name}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n持续时间: {{trigger_duration_min}}\n\n恢复时间: {{timestamp}}\n','','1.0','2021-05-28 11:55:01','2021-05-28 11:55:01',0),(2282,'应用JVM GC耗时异常','app_resource','app_resource_jvm_gc_time','mbox','recover','【{{application_name}}应用{{service_name}}服务JVM GC耗时异常恢复】\n','【应用JVM GC耗时异常恢复】\n\n实例GC耗时已恢复正常值 .\n\n项目: {{project_name}}\n\n应用: {{application_name}}\n\n服务: {{runtime_name}} / {{service_name}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n持续时间: {{trigger_duration_min}}\n\n恢复时间: {{timestamp}}\n','','1.0','2021-05-28 11:55:01','2021-05-28 11:55:01',0),(2283,'应用JVM GC耗时异常','app_resource','app_resource_jvm_gc_time','webhook','recover','【{{application_name}}应用{{service_name}}服务JVM GC耗时异常恢复】\n','【应用JVM GC耗时异常恢复】\n\n实例GC耗时已恢复正常值 .\n\n项目: {{project_name}}\n\n应用: {{application_name}}\n\n服务: {{runtime_name}} / {{service_name}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n持续时间: {{trigger_duration_min}}\n\n恢复时间: {{timestamp}}\n','','1.0','2021-05-28 11:55:01','2021-05-28 11:55:01',0),(2284,'JVM堆内存使用异常告警','app_resource','app_resource_jvm_heap','dingding','alert','【{{application_name}}应用{{service_name}}服务JVM堆内存使用异常告警】','【JVM堆内存使用异常告警】\n\n实例JVM堆内存使用过高 ！\n\n项目: {{project_name}}\n\n应用: {{application_name}}\n\n服务: {{runtime_name}} / {{service_name}}\n\n实例: {{instance_id}}\n\n堆内存使用率: {{usage_percent_avg}}\n\n已使用: {{used_value}}\n\n最大使用: {{max_value}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n时间: {{timestamp}}\n\n[查看详情]({{display_url}})\n','{\"max_value\":\"size:byte\",\"usage_percent_avg\":\"percent\",\"used_value\":\"size:byte\"}','1.0','2021-05-28 11:55:01','2021-05-28 11:55:01',0),(2285,'JVM堆内存使用异常告警','app_resource','app_resource_jvm_heap','ticket','alert','【{{application_name}}应用{{service_name}}服务JVM堆内存使用异常告警】','【JVM堆内存使用异常告警】\n\n实例JVM堆内存使用过高 ！\n\n项目: {{project_name}}\n\n应用: {{application_name}}\n\n服务: {{runtime_name}} / {{service_name}}\n\n实例: {{instance_id}}\n\n堆内存使用率: {{usage_percent_avg}}\n\n已使用: {{used_value}}\n\n最大使用: {{max_value}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n时间: {{timestamp}}\n\n[查看详情]({{display_url}})\n','{\"max_value\":\"size:byte\",\"usage_percent_avg\":\"percent\",\"used_value\":\"size:byte\"}','1.0','2021-05-28 11:55:01','2021-05-28 11:55:01',0),(2286,'JVM堆内存使用异常告警','app_resource','app_resource_jvm_heap','email','alert','【{{application_name}}应用{{service_name}}服务JVM堆内存使用异常告警】','【JVM堆内存使用异常告警】\n\n实例JVM堆内存使用过高 ！\n\n项目: {{project_name}}\n\n应用: {{application_name}}\n\n服务: {{runtime_name}} / {{service_name}}\n\n实例: {{instance_id}}\n\n堆内存使用率: {{usage_percent_avg}}\n\n已使用: {{used_value}}\n\n最大使用: {{max_value}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n时间: {{timestamp}}\n\n[查看详情]({{display_url}})\n','{\"max_value\":\"size:byte\",\"usage_percent_avg\":\"percent\",\"used_value\":\"size:byte\"}','1.0','2021-05-28 11:55:01','2021-05-28 11:55:01',0),(2287,'JVM堆内存使用异常告警','app_resource','app_resource_jvm_heap','mbox','alert','【{{application_name}}应用{{service_name}}服务JVM堆内存使用异常告警】','【JVM堆内存使用异常告警】\n\n实例JVM堆内存使用过高 ！\n\n项目: {{project_name}}\n\n应用: {{application_name}}\n\n服务: {{runtime_name}} / {{service_name}}\n\n实例: {{instance_id}}\n\n堆内存使用率: {{usage_percent_avg}}\n\n已使用: {{used_value}}\n\n最大使用: {{max_value}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n时间: {{timestamp}}\n\n[查看详情]({{display_url}})\n','{\"max_value\":\"size:byte\",\"usage_percent_avg\":\"percent\",\"used_value\":\"size:byte\"}','1.0','2021-05-28 11:55:01','2021-05-28 11:55:01',0),(2288,'JVM堆内存使用异常告警','app_resource','app_resource_jvm_heap','webhook','alert','【{{application_name}}应用{{service_name}}服务JVM堆内存使用异常告警】','【JVM堆内存使用异常告警】\n\n实例JVM堆内存使用过高 ！\n\n项目: {{project_name}}\n\n应用: {{application_name}}\n\n服务: {{runtime_name}} / {{service_name}}\n\n实例: {{instance_id}}\n\n堆内存使用率: {{usage_percent_avg}}\n\n已使用: {{used_value}}\n\n最大使用: {{max_value}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n时间: {{timestamp}}\n\n[查看详情]({{display_url}})\n','{\"max_value\":\"size:byte\",\"usage_percent_avg\":\"percent\",\"used_value\":\"size:byte\"}','1.0','2021-05-28 11:55:01','2021-05-28 11:55:01',0),(2289,'JVM堆内存使用异常恢复','app_resource','app_resource_jvm_heap','dingding','recover','【{{application_name}}应用{{service_name}}服务JVM堆内存使用异常恢复】','【JVM堆内存使用异常恢复】\n\n实例JVM堆内存已恢复恢复正常使用状态 .\n\n项目: {{project_name}}\n\n应用: {{application_name}}\n\n服务: {{runtime_name}} / {{service_name}}\n\n实例: {{instance_id}}\n\n堆内存使用率: {{usage_percent_avg}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n持续时间: {{trigger_duration_min}}\n\n恢复时间: {{timestamp}}\n','{\"usage_percent_avg\":\"percent\"}','1.0','2021-05-28 11:55:01','2021-05-28 11:55:01',0),(2290,'JVM堆内存使用异常恢复','app_resource','app_resource_jvm_heap','ticket','recover','【{{application_name}}应用{{service_name}}服务JVM堆内存使用异常恢复】','【JVM堆内存使用异常恢复】\n\n实例JVM堆内存已恢复恢复正常使用状态 .\n\n项目: {{project_name}}\n\n应用: {{application_name}}\n\n服务: {{runtime_name}} / {{service_name}}\n\n实例: {{instance_id}}\n\n堆内存使用率: {{usage_percent_avg}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n持续时间: {{trigger_duration_min}}\n\n恢复时间: {{timestamp}}\n','{\"usage_percent_avg\":\"percent\"}','1.0','2021-05-28 11:55:01','2021-05-28 11:55:01',0),(2291,'JVM堆内存使用异常恢复','app_resource','app_resource_jvm_heap','email','recover','【{{application_name}}应用{{service_name}}服务JVM堆内存使用异常恢复】','【JVM堆内存使用异常恢复】\n\n实例JVM堆内存已恢复恢复正常使用状态 .\n\n项目: {{project_name}}\n\n应用: {{application_name}}\n\n服务: {{runtime_name}} / {{service_name}}\n\n实例: {{instance_id}}\n\n堆内存使用率: {{usage_percent_avg}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n持续时间: {{trigger_duration_min}}\n\n恢复时间: {{timestamp}}\n','{\"usage_percent_avg\":\"percent\"}','1.0','2021-05-28 11:55:01','2021-05-28 11:55:01',0),(2292,'JVM堆内存使用异常恢复','app_resource','app_resource_jvm_heap','mbox','recover','【{{application_name}}应用{{service_name}}服务JVM堆内存使用异常恢复】','【JVM堆内存使用异常恢复】\n\n实例JVM堆内存已恢复恢复正常使用状态 .\n\n项目: {{project_name}}\n\n应用: {{application_name}}\n\n服务: {{runtime_name}} / {{service_name}}\n\n实例: {{instance_id}}\n\n堆内存使用率: {{usage_percent_avg}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n持续时间: {{trigger_duration_min}}\n\n恢复时间: {{timestamp}}\n','{\"usage_percent_avg\":\"percent\"}','1.0','2021-05-28 11:55:01','2021-05-28 11:55:01',0),(2293,'JVM堆内存使用异常恢复','app_resource','app_resource_jvm_heap','webhook','recover','【{{application_name}}应用{{service_name}}服务JVM堆内存使用异常恢复】','【JVM堆内存使用异常恢复】\n\n实例JVM堆内存已恢复恢复正常使用状态 .\n\n项目: {{project_name}}\n\n应用: {{application_name}}\n\n服务: {{runtime_name}} / {{service_name}}\n\n实例: {{instance_id}}\n\n堆内存使用率: {{usage_percent_avg}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n持续时间: {{trigger_duration_min}}\n\n恢复时间: {{timestamp}}\n','{\"usage_percent_avg\":\"percent\"}','1.0','2021-05-28 11:55:01','2021-05-28 11:55:01',0),(2294,'应用NodeJS堆内存使用异常告警','app_resource','app_resource_nodejs_heap','dingding','alert','【{{application_name}}应用{{service_name}}服务NodeJS堆内存使用异常告警】','【应用NodeJS堆内存使用异常告警】\n\n实例NodeJS堆内存使用过高 ！\n\n项目: {{project_name}}\n\n应用: {{application_name}}\n\n服务: {{runtime_name}} / {{service_name}}\n\n实例: {{instance_id}}\n\n堆内存使用率: {{usage_percent_avg}}\n\n已使用: {{heap_used_value}}\n\n常驻内存: {{rss_value}}\n\n最大使用: {{max_value}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n时间: {{timestamp}}\n\n[查看详情]({{display_url}})\n','{\"heap_used_value\":\"size:byte\",\"max_value\":\"size:byte\",\"rss_value\":\"size:byte\",\"usage_percent_avg\":\"percent\"}','1.0','2021-05-28 11:55:01','2021-05-28 11:55:01',0),(2295,'应用NodeJS堆内存使用异常告警','app_resource','app_resource_nodejs_heap','ticket','alert','【{{application_name}}应用{{service_name}}服务NodeJS堆内存使用异常告警】','【应用NodeJS堆内存使用异常告警】\n\n实例NodeJS堆内存使用过高 ！\n\n项目: {{project_name}}\n\n应用: {{application_name}}\n\n服务: {{runtime_name}} / {{service_name}}\n\n实例: {{instance_id}}\n\n堆内存使用率: {{usage_percent_avg}}\n\n已使用: {{heap_used_value}}\n\n常驻内存: {{rss_value}}\n\n最大使用: {{max_value}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n时间: {{timestamp}}\n\n[查看详情]({{display_url}})\n','{\"heap_used_value\":\"size:byte\",\"max_value\":\"size:byte\",\"rss_value\":\"size:byte\",\"usage_percent_avg\":\"percent\"}','1.0','2021-05-28 11:55:01','2021-05-28 11:55:01',0),(2296,'应用NodeJS堆内存使用异常告警','app_resource','app_resource_nodejs_heap','email','alert','【{{application_name}}应用{{service_name}}服务NodeJS堆内存使用异常告警】','【应用NodeJS堆内存使用异常告警】\n\n实例NodeJS堆内存使用过高 ！\n\n项目: {{project_name}}\n\n应用: {{application_name}}\n\n服务: {{runtime_name}} / {{service_name}}\n\n实例: {{instance_id}}\n\n堆内存使用率: {{usage_percent_avg}}\n\n已使用: {{heap_used_value}}\n\n常驻内存: {{rss_value}}\n\n最大使用: {{max_value}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n时间: {{timestamp}}\n\n[查看详情]({{display_url}})\n','{\"heap_used_value\":\"size:byte\",\"max_value\":\"size:byte\",\"rss_value\":\"size:byte\",\"usage_percent_avg\":\"percent\"}','1.0','2021-05-28 11:55:01','2021-05-28 11:55:01',0),(2297,'应用NodeJS堆内存使用异常告警','app_resource','app_resource_nodejs_heap','mbox','alert','【{{application_name}}应用{{service_name}}服务NodeJS堆内存使用异常告警】','【应用NodeJS堆内存使用异常告警】\n\n实例NodeJS堆内存使用过高 ！\n\n项目: {{project_name}}\n\n应用: {{application_name}}\n\n服务: {{runtime_name}} / {{service_name}}\n\n实例: {{instance_id}}\n\n堆内存使用率: {{usage_percent_avg}}\n\n已使用: {{heap_used_value}}\n\n常驻内存: {{rss_value}}\n\n最大使用: {{max_value}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n时间: {{timestamp}}\n\n[查看详情]({{display_url}})\n','{\"heap_used_value\":\"size:byte\",\"max_value\":\"size:byte\",\"rss_value\":\"size:byte\",\"usage_percent_avg\":\"percent\"}','1.0','2021-05-28 11:55:01','2021-05-28 11:55:01',0),(2298,'应用NodeJS堆内存使用异常告警','app_resource','app_resource_nodejs_heap','webhook','alert','【{{application_name}}应用{{service_name}}服务NodeJS堆内存使用异常告警】','【应用NodeJS堆内存使用异常告警】\n\n实例NodeJS堆内存使用过高 ！\n\n项目: {{project_name}}\n\n应用: {{application_name}}\n\n服务: {{runtime_name}} / {{service_name}}\n\n实例: {{instance_id}}\n\n堆内存使用率: {{usage_percent_avg}}\n\n已使用: {{heap_used_value}}\n\n常驻内存: {{rss_value}}\n\n最大使用: {{max_value}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n时间: {{timestamp}}\n\n[查看详情]({{display_url}})\n','{\"heap_used_value\":\"size:byte\",\"max_value\":\"size:byte\",\"rss_value\":\"size:byte\",\"usage_percent_avg\":\"percent\"}','1.0','2021-05-28 11:55:01','2021-05-28 11:55:01',0),(2299,'应用NodeJS堆内存使用异常恢复','app_resource','app_resource_nodejs_heap','dingding','recover','【{{application_name}}应用{{service_name}}服务NodeJS堆内存使用异常恢复】','【应用NodeJS堆内存使用异常恢复】\n\nNodeJS堆内存已恢复恢复正常状态 .\n\n项目: {{project_name}}\n\n应用: {{application_name}}\n\n服务: {{runtime_name}} / {{service_name}}\n\n实例: {{instance_id}}\n\n堆内存使用率: {{usage_percent_avg}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n持续时间: {{trigger_duration_min}}\n\n恢复时间: {{timestamp}}\n','{\"usage_percent_avg\":\"percent\"}','1.0','2021-05-28 11:55:01','2021-05-28 11:55:01',0),(2300,'应用NodeJS堆内存使用异常恢复','app_resource','app_resource_nodejs_heap','ticket','recover','【{{application_name}}应用{{service_name}}服务NodeJS堆内存使用异常恢复】','【应用NodeJS堆内存使用异常恢复】\n\nNodeJS堆内存已恢复恢复正常状态 .\n\n项目: {{project_name}}\n\n应用: {{application_name}}\n\n服务: {{runtime_name}} / {{service_name}}\n\n实例: {{instance_id}}\n\n堆内存使用率: {{usage_percent_avg}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n持续时间: {{trigger_duration_min}}\n\n恢复时间: {{timestamp}}\n','{\"usage_percent_avg\":\"percent\"}','1.0','2021-05-28 11:55:01','2021-05-28 11:55:01',0),(2301,'应用NodeJS堆内存使用异常恢复','app_resource','app_resource_nodejs_heap','email','recover','【{{application_name}}应用{{service_name}}服务NodeJS堆内存使用异常恢复】','【应用NodeJS堆内存使用异常恢复】\n\nNodeJS堆内存已恢复恢复正常状态 .\n\n项目: {{project_name}}\n\n应用: {{application_name}}\n\n服务: {{runtime_name}} / {{service_name}}\n\n实例: {{instance_id}}\n\n堆内存使用率: {{usage_percent_avg}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n持续时间: {{trigger_duration_min}}\n\n恢复时间: {{timestamp}}\n','{\"usage_percent_avg\":\"percent\"}','1.0','2021-05-28 11:55:01','2021-05-28 11:55:01',0),(2302,'应用NodeJS堆内存使用异常恢复','app_resource','app_resource_nodejs_heap','mbox','recover','【{{application_name}}应用{{service_name}}服务NodeJS堆内存使用异常恢复】','【应用NodeJS堆内存使用异常恢复】\n\nNodeJS堆内存已恢复恢复正常状态 .\n\n项目: {{project_name}}\n\n应用: {{application_name}}\n\n服务: {{runtime_name}} / {{service_name}}\n\n实例: {{instance_id}}\n\n堆内存使用率: {{usage_percent_avg}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n持续时间: {{trigger_duration_min}}\n\n恢复时间: {{timestamp}}\n','{\"usage_percent_avg\":\"percent\"}','1.0','2021-05-28 11:55:01','2021-05-28 11:55:01',0),(2303,'应用NodeJS堆内存使用异常恢复','app_resource','app_resource_nodejs_heap','webhook','recover','【{{application_name}}应用{{service_name}}服务NodeJS堆内存使用异常恢复】','【应用NodeJS堆内存使用异常恢复】\n\nNodeJS堆内存已恢复恢复正常状态 .\n\n项目: {{project_name}}\n\n应用: {{application_name}}\n\n服务: {{runtime_name}} / {{service_name}}\n\n实例: {{instance_id}}\n\n堆内存使用率: {{usage_percent_avg}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n持续时间: {{trigger_duration_min}}\n\n恢复时间: {{timestamp}}\n','{\"usage_percent_avg\":\"percent\"}','1.0','2021-05-28 11:55:01','2021-05-28 11:55:01',0),(2304,' 页面内容改变','app_status','app_status_browser','dingding','alert','【{{project_name}}项目{{status_metric_name}}页面内容改变告警】\n','【页面内容改变告警】\n\n项目: {{project_name}}\n\n环境: {{workspace}}\n\n事件：[{{status_metric_name}}]({{url}})页面内容和基准点对比不一致\n\n时间: {{timestamp}}\n\n[查看详情]({{display_url}})\n','','1.0','2021-05-28 11:55:01','2021-05-28 11:55:01',0),(2305,' 页面内容改变','app_status','app_status_browser','ticket','alert','【{{project_name}}项目{{status_metric_name}}页面内容改变告警】\n','【页面内容改变告警】\n\n项目: {{project_name}}\n\n环境: {{workspace}}\n\n事件：[{{status_metric_name}}]({{url}})页面内容和基准点对比不一致\n\n时间: {{timestamp}}\n\n[查看详情]({{display_url}})\n','','1.0','2021-05-28 11:55:01','2021-05-28 11:55:01',0),(2306,' 页面内容改变','app_status','app_status_browser','email','alert','【{{project_name}}项目{{status_metric_name}}页面内容改变告警】\n','【页面内容改变告警】\n\n项目: {{project_name}}\n\n环境: {{workspace}}\n\n事件：[{{status_metric_name}}]({{url}})页面内容和基准点对比不一致\n\n时间: {{timestamp}}\n\n[查看详情]({{display_url}})\n','','1.0','2021-05-28 11:55:01','2021-05-28 11:55:01',0),(2307,' 页面内容改变','app_status','app_status_browser','mbox','alert','【{{project_name}}项目{{status_metric_name}}页面内容改变告警】\n','【页面内容改变告警】\n\n项目: {{project_name}}\n\n环境: {{workspace}}\n\n事件：[{{status_metric_name}}]({{url}})页面内容和基准点对比不一致\n\n时间: {{timestamp}}\n\n[查看详情]({{display_url}})\n','','1.0','2021-05-28 11:55:01','2021-05-28 11:55:01',0),(2308,' 页面内容改变','app_status','app_status_browser','webhook','alert','【{{project_name}}项目{{status_metric_name}}页面内容改变告警】\n','【页面内容改变告警】\n\n项目: {{project_name}}\n\n环境: {{workspace}}\n\n事件：[{{status_metric_name}}]({{url}})页面内容和基准点对比不一致\n\n时间: {{timestamp}}\n\n[查看详情]({{display_url}})\n','','1.0','2021-05-28 11:55:01','2021-05-28 11:55:01',0),(2309,' 业务请求状态异常','app_status','app_status_browser','dingding','recover','【{{project_name}}项目{{status_metric_name}}页面内容改变恢复】\n','【页面内容改变恢复】\n\n[{{status_metric_name}}]({{url}}) 页面内容改变 .\n\n项目: {{project_name}}\n\n环境: {{workspace}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n','{\"trigger_duration\":\"time:ms\"}','1.0','2021-05-28 11:55:01','2021-05-28 11:55:01',0),(2310,' 业务请求状态异常','app_status','app_status_browser','ticket','recover','【{{project_name}}项目{{status_metric_name}}页面内容改变恢复】\n','【页面内容改变恢复】\n\n[{{status_metric_name}}]({{url}}) 页面内容改变 .\n\n项目: {{project_name}}\n\n环境: {{workspace}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n','{\"trigger_duration\":\"time:ms\"}','1.0','2021-05-28 11:55:01','2021-05-28 11:55:01',0),(2311,' 业务请求状态异常','app_status','app_status_browser','email','recover','【{{project_name}}项目{{status_metric_name}}页面内容改变恢复】\n','【页面内容改变恢复】\n\n[{{status_metric_name}}]({{url}}) 页面内容改变 .\n\n项目: {{project_name}}\n\n环境: {{workspace}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n','{\"trigger_duration\":\"time:ms\"}','1.0','2021-05-28 11:55:01','2021-05-28 11:55:01',0),(2312,' 业务请求状态异常','app_status','app_status_browser','mbox','recover','【{{project_name}}项目{{status_metric_name}}页面内容改变恢复】\n','【页面内容改变恢复】\n\n[{{status_metric_name}}]({{url}}) 页面内容改变 .\n\n项目: {{project_name}}\n\n环境: {{workspace}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n','{\"trigger_duration\":\"time:ms\"}','1.0','2021-05-28 11:55:01','2021-05-28 11:55:01',0),(2313,' 业务请求状态异常','app_status','app_status_browser','webhook','recover','【{{project_name}}项目{{status_metric_name}}页面内容改变恢复】\n','【页面内容改变恢复】\n\n[{{status_metric_name}}]({{url}}) 页面内容改变 .\n\n项目: {{project_name}}\n\n环境: {{workspace}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n','{\"trigger_duration\":\"time:ms\"}','1.0','2021-05-28 11:55:01','2021-05-28 11:55:01',0),(2314,' 主动监控HTTP状态异常','app_status','app_status_code','dingding','alert','【{{project_name}}项目{{status_metric_name}}指标HTTP状态异常告警】\n','【主动监控HTTP状态异常】\n\n项目: {{project_name}}\n\n环境: {{workspace}}\n\n事件: [{{status_metric_name}}]({{url}}) 指标状态异常\n\n响应状态码: {{code_min}}\n\n时间: {{timestamp}}\n\n[查看详情]({{display_url}})\n','','1.0','2021-05-28 11:55:01','2021-05-28 11:55:01',0),(2315,' 主动监控HTTP状态异常','app_status','app_status_code','ticket','alert','【{{project_name}}项目{{status_metric_name}}指标HTTP状态异常告警】\n','【主动监控HTTP状态异常】\n\n项目: {{project_name}}\n\n环境: {{workspace}}\n\n事件: [{{status_metric_name}}]({{url}}) 指标状态异常\n\n响应状态码: {{code_min}}\n\n时间: {{timestamp}}\n\n[查看详情]({{display_url}})\n','','1.0','2021-05-28 11:55:01','2021-05-28 11:55:01',0),(2316,' 主动监控HTTP状态异常','app_status','app_status_code','email','alert','【{{project_name}}项目{{status_metric_name}}指标HTTP状态异常告警】\n','【主动监控HTTP状态异常】\n\n项目: {{project_name}}\n\n环境: {{workspace}}\n\n事件: [{{status_metric_name}}]({{url}}) 指标状态异常\n\n响应状态码: {{code_min}}\n\n时间: {{timestamp}}\n\n[查看详情]({{display_url}})\n','','1.0','2021-05-28 11:55:01','2021-05-28 11:55:01',0),(2317,' 主动监控HTTP状态异常','app_status','app_status_code','mbox','alert','【{{project_name}}项目{{status_metric_name}}指标HTTP状态异常告警】\n','【主动监控HTTP状态异常】\n\n项目: {{project_name}}\n\n环境: {{workspace}}\n\n事件: [{{status_metric_name}}]({{url}}) 指标状态异常\n\n响应状态码: {{code_min}}\n\n时间: {{timestamp}}\n\n[查看详情]({{display_url}})\n','','1.0','2021-05-28 11:55:01','2021-05-28 11:55:01',0),(2318,' 主动监控HTTP状态异常','app_status','app_status_code','webhook','alert','【{{project_name}}项目{{status_metric_name}}指标HTTP状态异常告警】\n','【主动监控HTTP状态异常】\n\n项目: {{project_name}}\n\n环境: {{workspace}}\n\n事件: [{{status_metric_name}}]({{url}}) 指标状态异常\n\n响应状态码: {{code_min}}\n\n时间: {{timestamp}}\n\n[查看详情]({{display_url}})\n','','1.0','2021-05-28 11:55:01','2021-05-28 11:55:01',0),(2319,'主动监控HTTP状态恢复','app_status','app_status_code','dingding','recover','【{{project_name}}项目{{status_metric_name}}指标HTTP状态恢复】\n','【主动监控HTTP状态恢复】\n\n项目: {{project_name}}\n\n环境: {{workspace}}\n\n事件: [{{status_metric_name}}]({{url}}) 指标状态恢复\n\n响应状态码: {{code_min}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n','{\"trigger_duration\":\"time:ms\"}','1.0','2021-05-28 11:55:01','2021-05-28 11:55:01',0),(2320,'主动监控HTTP状态恢复','app_status','app_status_code','ticket','recover','【{{project_name}}项目{{status_metric_name}}指标HTTP状态恢复】\n','【主动监控HTTP状态恢复】\n\n项目: {{project_name}}\n\n环境: {{workspace}}\n\n事件: [{{status_metric_name}}]({{url}}) 指标状态恢复\n\n响应状态码: {{code_min}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n','{\"trigger_duration\":\"time:ms\"}','1.0','2021-05-28 11:55:01','2021-05-28 11:55:01',0),(2321,'主动监控HTTP状态恢复','app_status','app_status_code','email','recover','【{{project_name}}项目{{status_metric_name}}指标HTTP状态恢复】\n','【主动监控HTTP状态恢复】\n\n项目: {{project_name}}\n\n环境: {{workspace}}\n\n事件: [{{status_metric_name}}]({{url}}) 指标状态恢复\n\n响应状态码: {{code_min}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n','{\"trigger_duration\":\"time:ms\"}','1.0','2021-05-28 11:55:01','2021-05-28 11:55:01',0),(2322,'主动监控HTTP状态恢复','app_status','app_status_code','mbox','recover','【{{project_name}}项目{{status_metric_name}}指标HTTP状态恢复】\n','【主动监控HTTP状态恢复】\n\n项目: {{project_name}}\n\n环境: {{workspace}}\n\n事件: [{{status_metric_name}}]({{url}}) 指标状态恢复\n\n响应状态码: {{code_min}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n','{\"trigger_duration\":\"time:ms\"}','1.0','2021-05-28 11:55:01','2021-05-28 11:55:01',0),(2323,'主动监控HTTP状态恢复','app_status','app_status_code','webhook','recover','【{{project_name}}项目{{status_metric_name}}指标HTTP状态恢复】\n','【主动监控HTTP状态恢复】\n\n项目: {{project_name}}\n\n环境: {{workspace}}\n\n事件: [{{status_metric_name}}]({{url}}) 指标状态恢复\n\n响应状态码: {{code_min}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n','{\"trigger_duration\":\"time:ms\"}','1.0','2021-05-28 11:55:01','2021-05-28 11:55:01',0),(2324,'服务接口HTTP错误率异常','app_transaction','app_transaction_http_path_error','dingding','alert','【{{service_name}}服务接口HTTP错误率异常告警】','【服务接口HTTP错误率异常告警】\n\n项目: {{project_name}}\n\n应用: {{application_name}}\n\n服务: {{runtime_name}} - {{service_name}}\n\n接口: {{http_method}} {{http_url}}\n\n事件: {{ window }}分钟内HTTP错误率{{ error_percent_value }} 错误请求次数{{ error_count_sum }} 总请求次数{{ elapsed_count_sum }}\n\n时间: {{timestamp}}\n\n[查看详情]({{display_url}})\n','{\"error_percent_value\":\"percent\"}','1.0','2021-05-28 11:55:01','2021-05-28 11:55:01',0),(2325,'服务接口HTTP错误率异常','app_transaction','app_transaction_http_path_error','ticket','alert','【{{service_name}}服务接口HTTP错误率异常告警】','【服务接口HTTP错误率异常告警】\n\n项目: {{project_name}}\n\n应用: {{application_name}}\n\n服务: {{runtime_name}} - {{service_name}}\n\n接口: {{http_method}} {{http_url}}\n\n事件: {{ window }}分钟内HTTP错误率{{ error_percent_value }} 错误请求次数{{ error_count_sum }} 总请求次数{{ elapsed_count_sum }}\n\n时间: {{timestamp}}\n\n[查看详情]({{display_url}})\n','{\"error_percent_value\":\"percent\"}','1.0','2021-05-28 11:55:01','2021-05-28 11:55:01',0),(2326,'服务接口HTTP错误率异常','app_transaction','app_transaction_http_path_error','email','alert','【{{service_name}}服务接口HTTP错误率异常告警】','【服务接口HTTP错误率异常告警】\n\n项目: {{project_name}}\n\n应用: {{application_name}}\n\n服务: {{runtime_name}} - {{service_name}}\n\n接口: {{http_method}} {{http_url}}\n\n事件: {{ window }}分钟内HTTP错误率{{ error_percent_value }} 错误请求次数{{ error_count_sum }} 总请求次数{{ elapsed_count_sum }}\n\n时间: {{timestamp}}\n\n[查看详情]({{display_url}})\n','{\"error_percent_value\":\"percent\"}','1.0','2021-05-28 11:55:01','2021-05-28 11:55:01',0),(2327,'服务接口HTTP错误率异常','app_transaction','app_transaction_http_path_error','mbox','alert','【{{service_name}}服务接口HTTP错误率异常告警】','【服务接口HTTP错误率异常告警】\n\n项目: {{project_name}}\n\n应用: {{application_name}}\n\n服务: {{runtime_name}} - {{service_name}}\n\n接口: {{http_method}} {{http_url}}\n\n事件: {{ window }}分钟内HTTP错误率{{ error_percent_value }} 错误请求次数{{ error_count_sum }} 总请求次数{{ elapsed_count_sum }}\n\n时间: {{timestamp}}\n\n[查看详情]({{display_url}})\n','{\"error_percent_value\":\"percent\"}','1.0','2021-05-28 11:55:01','2021-05-28 11:55:01',0),(2328,'服务接口HTTP错误率异常','app_transaction','app_transaction_http_path_error','webhook','alert','【{{service_name}}服务接口HTTP错误率异常告警】','【服务接口HTTP错误率异常告警】\n\n项目: {{project_name}}\n\n应用: {{application_name}}\n\n服务: {{runtime_name}} - {{service_name}}\n\n接口: {{http_method}} {{http_url}}\n\n事件: {{ window }}分钟内HTTP错误率{{ error_percent_value }} 错误请求次数{{ error_count_sum }} 总请求次数{{ elapsed_count_sum }}\n\n时间: {{timestamp}}\n\n[查看详情]({{display_url}})\n','{\"error_percent_value\":\"percent\"}','1.0','2021-05-28 11:55:01','2021-05-28 11:55:01',0),(2329,'服务接口HTTP错误率恢复','app_transaction','app_transaction_http_path_error','dingding','recover','【{{service_name}}服务接口HTTP错误率异常恢复】','【服务接口HTTP错误率异常恢复】\n\n项目: {{project_name}}\n\n应用: {{application_name}}\n\n服务: {{runtime_name}} - {{service_name}}\n\n接口: {{http_method}} {{http_url}}\n\n持续时间: {{trigger_duration_min}}\n\n恢复时间: {{timestamp}}','{\"trigger_duration\":\"time:ms\"}','1.0','2021-05-28 11:55:01','2021-05-28 11:55:01',0),(2330,'服务接口HTTP错误率恢复','app_transaction','app_transaction_http_path_error','ticket','recover','【{{service_name}}服务接口HTTP错误率异常恢复】','【服务接口HTTP错误率异常恢复】\n\n项目: {{project_name}}\n\n应用: {{application_name}}\n\n服务: {{runtime_name}} - {{service_name}}\n\n接口: {{http_method}} {{http_url}}\n\n持续时间: {{trigger_duration_min}}\n\n恢复时间: {{timestamp}}','{\"trigger_duration\":\"time:ms\"}','1.0','2021-05-28 11:55:01','2021-05-28 11:55:01',0),(2331,'服务接口HTTP错误率恢复','app_transaction','app_transaction_http_path_error','email','recover','【{{service_name}}服务接口HTTP错误率异常恢复】','【服务接口HTTP错误率异常恢复】\n\n项目: {{project_name}}\n\n应用: {{application_name}}\n\n服务: {{runtime_name}} - {{service_name}}\n\n接口: {{http_method}} {{http_url}}\n\n持续时间: {{trigger_duration_min}}\n\n恢复时间: {{timestamp}}','{\"trigger_duration\":\"time:ms\"}','1.0','2021-05-28 11:55:01','2021-05-28 11:55:01',0),(2332,'服务接口HTTP错误率恢复','app_transaction','app_transaction_http_path_error','mbox','recover','【{{service_name}}服务接口HTTP错误率异常恢复】','【服务接口HTTP错误率异常恢复】\n\n项目: {{project_name}}\n\n应用: {{application_name}}\n\n服务: {{runtime_name}} - {{service_name}}\n\n接口: {{http_method}} {{http_url}}\n\n持续时间: {{trigger_duration_min}}\n\n恢复时间: {{timestamp}}','{\"trigger_duration\":\"time:ms\"}','1.0','2021-05-28 11:55:01','2021-05-28 11:55:01',0),(2333,'服务接口HTTP错误率恢复','app_transaction','app_transaction_http_path_error','webhook','recover','【{{service_name}}服务接口HTTP错误率异常恢复】','【服务接口HTTP错误率异常恢复】\n\n项目: {{project_name}}\n\n应用: {{application_name}}\n\n服务: {{runtime_name}} - {{service_name}}\n\n接口: {{http_method}} {{http_url}}\n\n持续时间: {{trigger_duration_min}}\n\n恢复时间: {{timestamp}}','{\"trigger_duration\":\"time:ms\"}','1.0','2021-05-28 11:55:01','2021-05-28 11:55:01',0),(2334,'服务接口HTTP慢事务异常','app_transaction','app_transaction_http_path_rt','dingding','alert','【{{service_name}}服务接口HTTP慢事务异常告警】','【服务接口HTTP慢事务异常告警】\n\n项目: {{project_name}}\n\n应用: {{application_name}}\n\n服务: {{runtime_name}} - {{service_name}}\n\n接口: {{http_method}} {{http_url}}\n\n事件: {{window}}分钟内平均响应时间{{elapsed_avg_value}} 请求次数{{elapsed_count_sum}}\n\n时间: {{timestamp}}\n\n[查看详情]({{display_url}})\n','{\"elapsed_avg_value\":\"time:ms\",\"elapsed_sum\":\"time:ms\"}','1.0','2021-05-28 11:55:01','2021-05-28 11:55:01',0),(2335,'服务接口HTTP慢事务异常','app_transaction','app_transaction_http_path_rt','ticket','alert','【{{service_name}}服务接口HTTP慢事务异常告警】','【服务接口HTTP慢事务异常告警】\n\n项目: {{project_name}}\n\n应用: {{application_name}}\n\n服务: {{runtime_name}} - {{service_name}}\n\n接口: {{http_method}} {{http_url}}\n\n事件: {{window}}分钟内平均响应时间{{elapsed_avg_value}} 请求次数{{elapsed_count_sum}}\n\n时间: {{timestamp}}\n\n[查看详情]({{display_url}})\n','{\"elapsed_avg_value\":\"time:ms\",\"elapsed_sum\":\"time:ms\"}','1.0','2021-05-28 11:55:01','2021-05-28 11:55:01',0),(2336,'服务接口HTTP慢事务异常','app_transaction','app_transaction_http_path_rt','email','alert','【{{service_name}}服务接口HTTP慢事务异常告警】','【服务接口HTTP慢事务异常告警】\n\n项目: {{project_name}}\n\n应用: {{application_name}}\n\n服务: {{runtime_name}} - {{service_name}}\n\n接口: {{http_method}} {{http_url}}\n\n事件: {{window}}分钟内平均响应时间{{elapsed_avg_value}} 请求次数{{elapsed_count_sum}}\n\n时间: {{timestamp}}\n\n[查看详情]({{display_url}})\n','{\"elapsed_avg_value\":\"time:ms\",\"elapsed_sum\":\"time:ms\"}','1.0','2021-05-28 11:55:01','2021-05-28 11:55:01',0),(2337,'服务接口HTTP慢事务异常','app_transaction','app_transaction_http_path_rt','mbox','alert','【{{service_name}}服务接口HTTP慢事务异常告警】','【服务接口HTTP慢事务异常告警】\n\n项目: {{project_name}}\n\n应用: {{application_name}}\n\n服务: {{runtime_name}} - {{service_name}}\n\n接口: {{http_method}} {{http_url}}\n\n事件: {{window}}分钟内平均响应时间{{elapsed_avg_value}} 请求次数{{elapsed_count_sum}}\n\n时间: {{timestamp}}\n\n[查看详情]({{display_url}})\n','{\"elapsed_avg_value\":\"time:ms\",\"elapsed_sum\":\"time:ms\"}','1.0','2021-05-28 11:55:01','2021-05-28 11:55:01',0),(2338,'服务接口HTTP慢事务异常','app_transaction','app_transaction_http_path_rt','webhook','alert','【{{service_name}}服务接口HTTP慢事务异常告警】','【服务接口HTTP慢事务异常告警】\n\n项目: {{project_name}}\n\n应用: {{application_name}}\n\n服务: {{runtime_name}} - {{service_name}}\n\n接口: {{http_method}} {{http_url}}\n\n事件: {{window}}分钟内平均响应时间{{elapsed_avg_value}} 请求次数{{elapsed_count_sum}}\n\n时间: {{timestamp}}\n\n[查看详情]({{display_url}})\n','{\"elapsed_avg_value\":\"time:ms\",\"elapsed_sum\":\"time:ms\"}','1.0','2021-05-28 11:55:01','2021-05-28 11:55:01',0),(2339,'服务接口HTTP慢事务恢复','app_transaction','app_transaction_http_path_rt','dingding','recover','【{{service_name}}服务接口HTTP慢事务恢复】','【服务接口HTTP慢事务恢复】\n\n项目: {{project_name}}\n\n应用: {{application_name}}\n\n服务: {{runtime_name}} - {{service_name}}\n\n接口: {{http_method}} {{http_url}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}','{\"trigger_duration\":\"time:ms\"}','1.0','2021-05-28 11:55:01','2021-05-28 11:55:01',0),(2340,'服务接口HTTP慢事务恢复','app_transaction','app_transaction_http_path_rt','ticket','recover','【{{service_name}}服务接口HTTP慢事务恢复】','【服务接口HTTP慢事务恢复】\n\n项目: {{project_name}}\n\n应用: {{application_name}}\n\n服务: {{runtime_name}} - {{service_name}}\n\n接口: {{http_method}} {{http_url}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}','{\"trigger_duration\":\"time:ms\"}','1.0','2021-05-28 11:55:01','2021-05-28 11:55:01',0),(2341,'服务接口HTTP慢事务恢复','app_transaction','app_transaction_http_path_rt','email','recover','【{{service_name}}服务接口HTTP慢事务恢复】','【服务接口HTTP慢事务恢复】\n\n项目: {{project_name}}\n\n应用: {{application_name}}\n\n服务: {{runtime_name}} - {{service_name}}\n\n接口: {{http_method}} {{http_url}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}','{\"trigger_duration\":\"time:ms\"}','1.0','2021-05-28 11:55:01','2021-05-28 11:55:01',0),(2342,'服务接口HTTP慢事务恢复','app_transaction','app_transaction_http_path_rt','mbox','recover','【{{service_name}}服务接口HTTP慢事务恢复】','【服务接口HTTP慢事务恢复】\n\n项目: {{project_name}}\n\n应用: {{application_name}}\n\n服务: {{runtime_name}} - {{service_name}}\n\n接口: {{http_method}} {{http_url}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}','{\"trigger_duration\":\"time:ms\"}','1.0','2021-05-28 11:55:01','2021-05-28 11:55:01',0),(2343,'服务接口HTTP慢事务恢复','app_transaction','app_transaction_http_path_rt','webhook','recover','【{{service_name}}服务接口HTTP慢事务恢复】','【服务接口HTTP慢事务恢复】\n\n项目: {{project_name}}\n\n应用: {{application_name}}\n\n服务: {{runtime_name}} - {{service_name}}\n\n接口: {{http_method}} {{http_url}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}','{\"trigger_duration\":\"time:ms\"}','1.0','2021-05-28 11:55:01','2021-05-28 11:55:01',0),(2344,'服务HTTP错误率异常','app_transaction','app_transaction_http_service_error','dingding','alert','【{{service_name}}服务HTTP错误率异常告警】','【服务HTTP错误率异常告警】\n\n项目: {{project_name}}\n\n应用: {{application_name}}\n\n服务: {{runtime_name}} - {{service_name}}\n\n事件: {{ window }}分钟内HTTP错误率{{ error_percent_value }} 错误请求次数{{ error_count_sum }} 总请求次数{{ elapsed_count_sum }}\n\n时间: {{timestamp}}\n\n[查看详情]({{display_url}})\n','{\"error_percent_value\":\"percent\"}','1.0','2021-05-28 11:55:01','2021-05-28 11:55:01',0),(2345,'服务HTTP错误率异常','app_transaction','app_transaction_http_service_error','ticket','alert','【{{service_name}}服务HTTP错误率异常告警】','【服务HTTP错误率异常告警】\n\n项目: {{project_name}}\n\n应用: {{application_name}}\n\n服务: {{runtime_name}} - {{service_name}}\n\n事件: {{ window }}分钟内HTTP错误率{{ error_percent_value }} 错误请求次数{{ error_count_sum }} 总请求次数{{ elapsed_count_sum }}\n\n时间: {{timestamp}}\n\n[查看详情]({{display_url}})\n','{\"error_percent_value\":\"percent\"}','1.0','2021-05-28 11:55:01','2021-05-28 11:55:01',0),(2346,'服务HTTP错误率异常','app_transaction','app_transaction_http_service_error','email','alert','【{{service_name}}服务HTTP错误率异常告警】','【服务HTTP错误率异常告警】\n\n项目: {{project_name}}\n\n应用: {{application_name}}\n\n服务: {{runtime_name}} - {{service_name}}\n\n事件: {{ window }}分钟内HTTP错误率{{ error_percent_value }} 错误请求次数{{ error_count_sum }} 总请求次数{{ elapsed_count_sum }}\n\n时间: {{timestamp}}\n\n[查看详情]({{display_url}})\n','{\"error_percent_value\":\"percent\"}','1.0','2021-05-28 11:55:01','2021-05-28 11:55:01',0),(2347,'服务HTTP错误率异常','app_transaction','app_transaction_http_service_error','mbox','alert','【{{service_name}}服务HTTP错误率异常告警】','【服务HTTP错误率异常告警】\n\n项目: {{project_name}}\n\n应用: {{application_name}}\n\n服务: {{runtime_name}} - {{service_name}}\n\n事件: {{ window }}分钟内HTTP错误率{{ error_percent_value }} 错误请求次数{{ error_count_sum }} 总请求次数{{ elapsed_count_sum }}\n\n时间: {{timestamp}}\n\n[查看详情]({{display_url}})\n','{\"error_percent_value\":\"percent\"}','1.0','2021-05-28 11:55:01','2021-05-28 11:55:01',0),(2348,'服务HTTP错误率异常','app_transaction','app_transaction_http_service_error','webhook','alert','【{{service_name}}服务HTTP错误率异常告警】','【服务HTTP错误率异常告警】\n\n项目: {{project_name}}\n\n应用: {{application_name}}\n\n服务: {{runtime_name}} - {{service_name}}\n\n事件: {{ window }}分钟内HTTP错误率{{ error_percent_value }} 错误请求次数{{ error_count_sum }} 总请求次数{{ elapsed_count_sum }}\n\n时间: {{timestamp}}\n\n[查看详情]({{display_url}})\n','{\"error_percent_value\":\"percent\"}','1.0','2021-05-28 11:55:01','2021-05-28 11:55:01',0),(2349,'服务HTTP错误率恢复','app_transaction','app_transaction_http_service_error','dingding','recover','【{{service_name}}服务HTTP错误率恢复】','【服务HTTP错误率异常恢复】\n\n项目: {{project_name}}\n\n应用: {{application_name}}\n\n服务: {{runtime_name}} - {{service_name}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n','{\"trigger_duration\":\"time:ms\"}','1.0','2021-05-28 11:55:01','2021-05-28 11:55:01',0),(2350,'服务HTTP错误率恢复','app_transaction','app_transaction_http_service_error','ticket','recover','【{{service_name}}服务HTTP错误率恢复】','【服务HTTP错误率异常恢复】\n\n项目: {{project_name}}\n\n应用: {{application_name}}\n\n服务: {{runtime_name}} - {{service_name}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n','{\"trigger_duration\":\"time:ms\"}','1.0','2021-05-28 11:55:01','2021-05-28 11:55:01',0),(2351,'服务HTTP错误率恢复','app_transaction','app_transaction_http_service_error','email','recover','【{{service_name}}服务HTTP错误率恢复】','【服务HTTP错误率异常恢复】\n\n项目: {{project_name}}\n\n应用: {{application_name}}\n\n服务: {{runtime_name}} - {{service_name}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n','{\"trigger_duration\":\"time:ms\"}','1.0','2021-05-28 11:55:01','2021-05-28 11:55:01',0),(2352,'服务HTTP错误率恢复','app_transaction','app_transaction_http_service_error','mbox','recover','【{{service_name}}服务HTTP错误率恢复】','【服务HTTP错误率异常恢复】\n\n项目: {{project_name}}\n\n应用: {{application_name}}\n\n服务: {{runtime_name}} - {{service_name}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n','{\"trigger_duration\":\"time:ms\"}','1.0','2021-05-28 11:55:01','2021-05-28 11:55:01',0),(2353,'服务HTTP错误率恢复','app_transaction','app_transaction_http_service_error','webhook','recover','【{{service_name}}服务HTTP错误率恢复】','【服务HTTP错误率异常恢复】\n\n项目: {{project_name}}\n\n应用: {{application_name}}\n\n服务: {{runtime_name}} - {{service_name}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n','{\"trigger_duration\":\"time:ms\"}','1.0','2021-05-28 11:55:01','2021-05-28 11:55:01',0),(2354,'服务HTTP慢事务异常','app_transaction','app_transaction_http_service_rt','dingding','alert','【应用{{service_name}}服务HTTP慢事务异常告警】','【服务HTTP慢事务异常告警】\n\n项目: {{project_name}}\n\n应用: {{application_name}}\n\n服务: {{runtime_name}} - {{service_name}}\n\n事件: {{window}}分钟内HTTP事务平均响应时间{{elapsed_avg_value}} 请求次数{{elapsed_count_sum}}\n\n时间: {{timestamp}}\n\n[查看详情]({{display_url}})\n','{\"elapsed_avg_value\":\"time:ms\",\"elapsed_sum\":\"time:ms\"}','1.0','2021-05-28 11:55:01','2021-05-28 11:55:01',0),(2355,'服务HTTP慢事务异常','app_transaction','app_transaction_http_service_rt','ticket','alert','【应用{{service_name}}服务HTTP慢事务异常告警】','【服务HTTP慢事务异常告警】\n\n项目: {{project_name}}\n\n应用: {{application_name}}\n\n服务: {{runtime_name}} - {{service_name}}\n\n事件: {{window}}分钟内HTTP事务平均响应时间{{elapsed_avg_value}} 请求次数{{elapsed_count_sum}}\n\n时间: {{timestamp}}\n\n[查看详情]({{display_url}})\n','{\"elapsed_avg_value\":\"time:ms\",\"elapsed_sum\":\"time:ms\"}','1.0','2021-05-28 11:55:01','2021-05-28 11:55:01',0),(2356,'服务HTTP慢事务异常','app_transaction','app_transaction_http_service_rt','email','alert','【应用{{service_name}}服务HTTP慢事务异常告警】','【服务HTTP慢事务异常告警】\n\n项目: {{project_name}}\n\n应用: {{application_name}}\n\n服务: {{runtime_name}} - {{service_name}}\n\n事件: {{window}}分钟内HTTP事务平均响应时间{{elapsed_avg_value}} 请求次数{{elapsed_count_sum}}\n\n时间: {{timestamp}}\n\n[查看详情]({{display_url}})\n','{\"elapsed_avg_value\":\"time:ms\",\"elapsed_sum\":\"time:ms\"}','1.0','2021-05-28 11:55:01','2021-05-28 11:55:01',0),(2357,'服务HTTP慢事务异常','app_transaction','app_transaction_http_service_rt','mbox','alert','【应用{{service_name}}服务HTTP慢事务异常告警】','【服务HTTP慢事务异常告警】\n\n项目: {{project_name}}\n\n应用: {{application_name}}\n\n服务: {{runtime_name}} - {{service_name}}\n\n事件: {{window}}分钟内HTTP事务平均响应时间{{elapsed_avg_value}} 请求次数{{elapsed_count_sum}}\n\n时间: {{timestamp}}\n\n[查看详情]({{display_url}})\n','{\"elapsed_avg_value\":\"time:ms\",\"elapsed_sum\":\"time:ms\"}','1.0','2021-05-28 11:55:01','2021-05-28 11:55:01',0),(2358,'服务HTTP慢事务异常','app_transaction','app_transaction_http_service_rt','webhook','alert','【应用{{service_name}}服务HTTP慢事务异常告警】','【服务HTTP慢事务异常告警】\n\n项目: {{project_name}}\n\n应用: {{application_name}}\n\n服务: {{runtime_name}} - {{service_name}}\n\n事件: {{window}}分钟内HTTP事务平均响应时间{{elapsed_avg_value}} 请求次数{{elapsed_count_sum}}\n\n时间: {{timestamp}}\n\n[查看详情]({{display_url}})\n','{\"elapsed_avg_value\":\"time:ms\",\"elapsed_sum\":\"time:ms\"}','1.0','2021-05-28 11:55:01','2021-05-28 11:55:01',0),(2359,'服务HTTP慢事务异常恢复','app_transaction','app_transaction_http_service_rt','dingding','recover','【应用{{service_name}}服务HTTP慢事务异常恢复】','【服务HTTP慢事务异常恢复】\n\n项目: {{project_name}}\n\n应用: {{application_name}}\n\n服务: {{runtime_name}} - {{service_name}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n','{\"trigger_duration\":\"time:ms\"}','1.0','2021-05-28 11:55:01','2021-05-28 11:55:01',0),(2360,'服务HTTP慢事务异常恢复','app_transaction','app_transaction_http_service_rt','ticket','recover','【应用{{service_name}}服务HTTP慢事务异常恢复】','【服务HTTP慢事务异常恢复】\n\n项目: {{project_name}}\n\n应用: {{application_name}}\n\n服务: {{runtime_name}} - {{service_name}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n','{\"trigger_duration\":\"time:ms\"}','1.0','2021-05-28 11:55:01','2021-05-28 11:55:01',0),(2361,'服务HTTP慢事务异常恢复','app_transaction','app_transaction_http_service_rt','email','recover','【应用{{service_name}}服务HTTP慢事务异常恢复】','【服务HTTP慢事务异常恢复】\n\n项目: {{project_name}}\n\n应用: {{application_name}}\n\n服务: {{runtime_name}} - {{service_name}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n','{\"trigger_duration\":\"time:ms\"}','1.0','2021-05-28 11:55:01','2021-05-28 11:55:01',0),(2362,'服务HTTP慢事务异常恢复','app_transaction','app_transaction_http_service_rt','mbox','recover','【应用{{service_name}}服务HTTP慢事务异常恢复】','【服务HTTP慢事务异常恢复】\n\n项目: {{project_name}}\n\n应用: {{application_name}}\n\n服务: {{runtime_name}} - {{service_name}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n','{\"trigger_duration\":\"time:ms\"}','1.0','2021-05-28 11:55:01','2021-05-28 11:55:01',0),(2363,'服务HTTP慢事务异常恢复','app_transaction','app_transaction_http_service_rt','webhook','recover','【应用{{service_name}}服务HTTP慢事务异常恢复】','【服务HTTP慢事务异常恢复】\n\n项目: {{project_name}}\n\n应用: {{application_name}}\n\n服务: {{runtime_name}} - {{service_name}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n','{\"trigger_duration\":\"time:ms\"}','1.0','2021-05-28 11:55:01','2021-05-28 11:55:01',0),(2364,'平台中间件cassandra GC次数异常','dice_addon','dice_addon_cassandra_gc_count','dingding','alert','【平台中间件cassandra GC次数告警】\n','【平台中间件cassandra GC次数告警】\n\n中间件: {{addon_id}}\n\n老年代GC次数: {{CollectionCount_win_value}}\n\n集群: {{cluster_name}}\n\n机器: {{node_host}}\n\n时间: {{timestamp}}\n\n[查看详情]({{display_url}})\n','','1.0','2021-05-28 11:55:01','2021-05-28 11:55:01',0),(2365,'平台中间件cassandra GC次数异常','dice_addon','dice_addon_cassandra_gc_count','ticket','alert','【平台中间件cassandra GC次数告警】\n','【平台中间件cassandra GC次数告警】\n\n中间件: {{addon_id}}\n\n老年代GC次数: {{CollectionCount_win_value}}\n\n集群: {{cluster_name}}\n\n机器: {{node_host}}\n\n时间: {{timestamp}}\n\n[查看详情]({{display_url}})\n','','1.0','2021-05-28 11:55:01','2021-05-28 11:55:01',0),(2366,'平台中间件cassandra GC次数异常','dice_addon','dice_addon_cassandra_gc_count','email','alert','【平台中间件cassandra GC次数告警】\n','【平台中间件cassandra GC次数告警】\n\n中间件: {{addon_id}}\n\n老年代GC次数: {{CollectionCount_win_value}}\n\n集群: {{cluster_name}}\n\n机器: {{node_host}}\n\n时间: {{timestamp}}\n\n[查看详情]({{display_url}})\n','','1.0','2021-05-28 11:55:01','2021-05-28 11:55:01',0),(2367,'平台中间件cassandra GC次数异常','dice_addon','dice_addon_cassandra_gc_count','mbox','alert','【平台中间件cassandra GC次数告警】\n','【平台中间件cassandra GC次数告警】\n\n中间件: {{addon_id}}\n\n老年代GC次数: {{CollectionCount_win_value}}\n\n集群: {{cluster_name}}\n\n机器: {{node_host}}\n\n时间: {{timestamp}}\n\n[查看详情]({{display_url}})\n','','1.0','2021-05-28 11:55:01','2021-05-28 11:55:01',0),(2368,'平台中间件cassandra GC次数异常','dice_addon','dice_addon_cassandra_gc_count','webhook','alert','【平台中间件cassandra GC次数告警】\n','【平台中间件cassandra GC次数告警】\n\n中间件: {{addon_id}}\n\n老年代GC次数: {{CollectionCount_win_value}}\n\n集群: {{cluster_name}}\n\n机器: {{node_host}}\n\n时间: {{timestamp}}\n\n[查看详情]({{display_url}})\n','','1.0','2021-05-28 11:55:01','2021-05-28 11:55:01',0),(2369,'平台中间件cassandra GC次数异常','dice_addon','dice_addon_cassandra_gc_count','dingding','recover','【平台中间件cassandra GC次数恢复】\n','【平台中间件cassandra GC次数恢复】\n\n中间件: {{addon_id}}\n\n老年代GC次数: {{CollectionCount_win_value}}\n\n集群: {{cluster_name}}\n\n机器: {{node_host}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n','{\"trigger_duration\":\"time:ms\"}','1.0','2021-05-28 11:55:01','2021-05-28 11:55:01',0),(2370,'平台中间件cassandra GC次数异常','dice_addon','dice_addon_cassandra_gc_count','ticket','recover','【平台中间件cassandra GC次数恢复】\n','【平台中间件cassandra GC次数恢复】\n\n中间件: {{addon_id}}\n\n老年代GC次数: {{CollectionCount_win_value}}\n\n集群: {{cluster_name}}\n\n机器: {{node_host}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n','{\"trigger_duration\":\"time:ms\"}','1.0','2021-05-28 11:55:01','2021-05-28 11:55:01',0),(2371,'平台中间件cassandra GC次数异常','dice_addon','dice_addon_cassandra_gc_count','email','recover','【平台中间件cassandra GC次数恢复】\n','【平台中间件cassandra GC次数恢复】\n\n中间件: {{addon_id}}\n\n老年代GC次数: {{CollectionCount_win_value}}\n\n集群: {{cluster_name}}\n\n机器: {{node_host}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n','{\"trigger_duration\":\"time:ms\"}','1.0','2021-05-28 11:55:01','2021-05-28 11:55:01',0),(2372,'平台中间件cassandra GC次数异常','dice_addon','dice_addon_cassandra_gc_count','mbox','recover','【平台中间件cassandra GC次数恢复】\n','【平台中间件cassandra GC次数恢复】\n\n中间件: {{addon_id}}\n\n老年代GC次数: {{CollectionCount_win_value}}\n\n集群: {{cluster_name}}\n\n机器: {{node_host}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n','{\"trigger_duration\":\"time:ms\"}','1.0','2021-05-28 11:55:01','2021-05-28 11:55:01',0),(2373,'平台中间件cassandra GC次数异常','dice_addon','dice_addon_cassandra_gc_count','webhook','recover','【平台中间件cassandra GC次数恢复】\n','【平台中间件cassandra GC次数恢复】\n\n中间件: {{addon_id}}\n\n老年代GC次数: {{CollectionCount_win_value}}\n\n集群: {{cluster_name}}\n\n机器: {{node_host}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n','{\"trigger_duration\":\"time:ms\"}','1.0','2021-05-28 11:55:01','2021-05-28 11:55:01',0),(2374,'平台中间件cassandra GC耗时异常','dice_addon','dice_addon_cassandra_gc_time','dingding','alert','【平台中间件cassandra GC耗时告警】\n','【平台中间件cassandra GC耗时告警】\n\n中间件: {{addon_id}}\n\n老年代GC耗时: {{CollectionTime_win_value}}\n\n集群: {{cluster_name}}\n\n机器: {{node_host}}\n\n时间: {{timestamp}}\n\n[查看详情]({{display_url}})\n','{\"CollectionTime_win_value\":\"time:ms\"}','1.0','2021-05-28 11:55:01','2021-05-28 11:55:01',0),(2375,'平台中间件cassandra GC耗时异常','dice_addon','dice_addon_cassandra_gc_time','ticket','alert','【平台中间件cassandra GC耗时告警】\n','【平台中间件cassandra GC耗时告警】\n\n中间件: {{addon_id}}\n\n老年代GC耗时: {{CollectionTime_win_value}}\n\n集群: {{cluster_name}}\n\n机器: {{node_host}}\n\n时间: {{timestamp}}\n\n[查看详情]({{display_url}})\n','{\"CollectionTime_win_value\":\"time:ms\"}','1.0','2021-05-28 11:55:01','2021-05-28 11:55:01',0),(2376,'平台中间件cassandra GC耗时异常','dice_addon','dice_addon_cassandra_gc_time','email','alert','【平台中间件cassandra GC耗时告警】\n','【平台中间件cassandra GC耗时告警】\n\n中间件: {{addon_id}}\n\n老年代GC耗时: {{CollectionTime_win_value}}\n\n集群: {{cluster_name}}\n\n机器: {{node_host}}\n\n时间: {{timestamp}}\n\n[查看详情]({{display_url}})\n','{\"CollectionTime_win_value\":\"time:ms\"}','1.0','2021-05-28 11:55:01','2021-05-28 11:55:01',0),(2377,'平台中间件cassandra GC耗时异常','dice_addon','dice_addon_cassandra_gc_time','mbox','alert','【平台中间件cassandra GC耗时告警】\n','【平台中间件cassandra GC耗时告警】\n\n中间件: {{addon_id}}\n\n老年代GC耗时: {{CollectionTime_win_value}}\n\n集群: {{cluster_name}}\n\n机器: {{node_host}}\n\n时间: {{timestamp}}\n\n[查看详情]({{display_url}})\n','{\"CollectionTime_win_value\":\"time:ms\"}','1.0','2021-05-28 11:55:01','2021-05-28 11:55:01',0),(2378,'平台中间件cassandra GC耗时异常','dice_addon','dice_addon_cassandra_gc_time','webhook','alert','【平台中间件cassandra GC耗时告警】\n','【平台中间件cassandra GC耗时告警】\n\n中间件: {{addon_id}}\n\n老年代GC耗时: {{CollectionTime_win_value}}\n\n集群: {{cluster_name}}\n\n机器: {{node_host}}\n\n时间: {{timestamp}}\n\n[查看详情]({{display_url}})\n','{\"CollectionTime_win_value\":\"time:ms\"}','1.0','2021-05-28 11:55:01','2021-05-28 11:55:01',0),(2379,'平台中间件cassandra GC耗时异常','dice_addon','dice_addon_cassandra_gc_time','dingding','recover','【平台中间件cassandra GC耗时恢复】\n','【平台中间件cassandra GC耗时恢复】\n\n中间件: {{addon_id}}\n\n老年代GC耗时: {{CollectionTime_win_value}}\n\n集群: {{cluster_name}}\n\n机器: {{node_host}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n','{\"CollectionTime_win_value\":\"time:ms\",\"trigger_duration\":\"time:ms\"}','1.0','2021-05-28 11:55:01','2021-05-28 11:55:01',0),(2380,'平台中间件cassandra GC耗时异常','dice_addon','dice_addon_cassandra_gc_time','ticket','recover','【平台中间件cassandra GC耗时恢复】\n','【平台中间件cassandra GC耗时恢复】\n\n中间件: {{addon_id}}\n\n老年代GC耗时: {{CollectionTime_win_value}}\n\n集群: {{cluster_name}}\n\n机器: {{node_host}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n','{\"CollectionTime_win_value\":\"time:ms\",\"trigger_duration\":\"time:ms\"}','1.0','2021-05-28 11:55:01','2021-05-28 11:55:01',0),(2381,'平台中间件cassandra GC耗时异常','dice_addon','dice_addon_cassandra_gc_time','email','recover','【平台中间件cassandra GC耗时恢复】\n','【平台中间件cassandra GC耗时恢复】\n\n中间件: {{addon_id}}\n\n老年代GC耗时: {{CollectionTime_win_value}}\n\n集群: {{cluster_name}}\n\n机器: {{node_host}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n','{\"CollectionTime_win_value\":\"time:ms\",\"trigger_duration\":\"time:ms\"}','1.0','2021-05-28 11:55:01','2021-05-28 11:55:01',0),(2382,'平台中间件cassandra GC耗时异常','dice_addon','dice_addon_cassandra_gc_time','mbox','recover','【平台中间件cassandra GC耗时恢复】\n','【平台中间件cassandra GC耗时恢复】\n\n中间件: {{addon_id}}\n\n老年代GC耗时: {{CollectionTime_win_value}}\n\n集群: {{cluster_name}}\n\n机器: {{node_host}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n','{\"CollectionTime_win_value\":\"time:ms\",\"trigger_duration\":\"time:ms\"}','1.0','2021-05-28 11:55:01','2021-05-28 11:55:01',0),(2383,'平台中间件cassandra GC耗时异常','dice_addon','dice_addon_cassandra_gc_time','webhook','recover','【平台中间件cassandra GC耗时恢复】\n','【平台中间件cassandra GC耗时恢复】\n\n中间件: {{addon_id}}\n\n老年代GC耗时: {{CollectionTime_win_value}}\n\n集群: {{cluster_name}}\n\n机器: {{node_host}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n','{\"CollectionTime_win_value\":\"time:ms\",\"trigger_duration\":\"time:ms\"}','1.0','2021-05-28 11:55:01','2021-05-28 11:55:01',0),(2384,'平台中间件实例CPU异常','dice_addon','dice_addon_container_cpu','dingding','alert','【平台中间件{{addon_id}} CPU使用率告警】\n','【平台中间件CPU使用率告警】\n\n中间件: {{addon_id}}\n\n使用率: {{cpu_usage_percent_avg}}\n\n限制: {{cpu_limit_value}}核\n\n分配: {{cpu_allocation_value}}核\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n容器ID: {{container_id}}\n\n时间: {{timestamp}}\n','{\"cpu_allocation_value\":\"fraction:2\",\"cpu_limit_value\":\"fraction:2\",\"cpu_usage_percent_avg\":\"percent:2\"}','1.0','2021-05-28 11:55:01','2021-05-28 11:55:01',0),(2385,'平台中间件实例CPU异常','dice_addon','dice_addon_container_cpu','ticket','alert','【平台中间件{{addon_id}} CPU使用率告警】\n','【平台中间件CPU使用率告警】\n\n中间件: {{addon_id}}\n\n使用率: {{cpu_usage_percent_avg}}\n\n限制: {{cpu_limit_value}}核\n\n分配: {{cpu_allocation_value}}核\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n容器ID: {{container_id}}\n\n时间: {{timestamp}}\n','{\"cpu_allocation_value\":\"fraction:2\",\"cpu_limit_value\":\"fraction:2\",\"cpu_usage_percent_avg\":\"percent:2\"}','1.0','2021-05-28 11:55:01','2021-05-28 11:55:01',0),(2386,'平台中间件实例CPU异常','dice_addon','dice_addon_container_cpu','email','alert','【平台中间件{{addon_id}} CPU使用率告警】\n','【平台中间件CPU使用率告警】\n\n中间件: {{addon_id}}\n\n使用率: {{cpu_usage_percent_avg}}\n\n限制: {{cpu_limit_value}}核\n\n分配: {{cpu_allocation_value}}核\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n容器ID: {{container_id}}\n\n时间: {{timestamp}}\n','{\"cpu_allocation_value\":\"fraction:2\",\"cpu_limit_value\":\"fraction:2\",\"cpu_usage_percent_avg\":\"percent:2\"}','1.0','2021-05-28 11:55:01','2021-05-28 11:55:01',0),(2387,'平台中间件实例CPU异常','dice_addon','dice_addon_container_cpu','mbox','alert','【平台中间件{{addon_id}} CPU使用率告警】\n','【平台中间件CPU使用率告警】\n\n中间件: {{addon_id}}\n\n使用率: {{cpu_usage_percent_avg}}\n\n限制: {{cpu_limit_value}}核\n\n分配: {{cpu_allocation_value}}核\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n容器ID: {{container_id}}\n\n时间: {{timestamp}}\n','{\"cpu_allocation_value\":\"fraction:2\",\"cpu_limit_value\":\"fraction:2\",\"cpu_usage_percent_avg\":\"percent:2\"}','1.0','2021-05-28 11:55:01','2021-05-28 11:55:01',0),(2388,'平台中间件实例CPU异常','dice_addon','dice_addon_container_cpu','webhook','alert','【平台中间件{{addon_id}} CPU使用率告警】\n','【平台中间件CPU使用率告警】\n\n中间件: {{addon_id}}\n\n使用率: {{cpu_usage_percent_avg}}\n\n限制: {{cpu_limit_value}}核\n\n分配: {{cpu_allocation_value}}核\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n容器ID: {{container_id}}\n\n时间: {{timestamp}}\n','{\"cpu_allocation_value\":\"fraction:2\",\"cpu_limit_value\":\"fraction:2\",\"cpu_usage_percent_avg\":\"percent:2\"}','1.0','2021-05-28 11:55:01','2021-05-28 11:55:01',0),(2389,'平台中间件实例CPU异常','dice_addon','dice_addon_container_cpu','dingding','recover','【平台中间件{{addon_id}} CPU使用率恢复】\n','【平台中间件CPU使用率恢复】\n\n中间件: {{addon_id}}\n\n使用率: {{cpu_usage_percent_avg}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n容器ID: {{container_id}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n','{\"cpu_usage_percent_avg\":\"percent:2\",\"trigger_duration\":\"time:ms\"}','1.0','2021-05-28 11:55:01','2021-05-28 11:55:01',0),(2390,'平台中间件实例CPU异常','dice_addon','dice_addon_container_cpu','ticket','recover','【平台中间件{{addon_id}} CPU使用率恢复】\n','【平台中间件CPU使用率恢复】\n\n中间件: {{addon_id}}\n\n使用率: {{cpu_usage_percent_avg}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n容器ID: {{container_id}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n','{\"cpu_usage_percent_avg\":\"percent:2\",\"trigger_duration\":\"time:ms\"}','1.0','2021-05-28 11:55:01','2021-05-28 11:55:01',0),(2391,'平台中间件实例CPU异常','dice_addon','dice_addon_container_cpu','email','recover','【平台中间件{{addon_id}} CPU使用率恢复】\n','【平台中间件CPU使用率恢复】\n\n中间件: {{addon_id}}\n\n使用率: {{cpu_usage_percent_avg}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n容器ID: {{container_id}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n','{\"cpu_usage_percent_avg\":\"percent:2\",\"trigger_duration\":\"time:ms\"}','1.0','2021-05-28 11:55:01','2021-05-28 11:55:01',0),(2392,'平台中间件实例CPU异常','dice_addon','dice_addon_container_cpu','mbox','recover','【平台中间件{{addon_id}} CPU使用率恢复】\n','【平台中间件CPU使用率恢复】\n\n中间件: {{addon_id}}\n\n使用率: {{cpu_usage_percent_avg}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n容器ID: {{container_id}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n','{\"cpu_usage_percent_avg\":\"percent:2\",\"trigger_duration\":\"time:ms\"}','1.0','2021-05-28 11:55:01','2021-05-28 11:55:01',0),(2393,'平台中间件实例CPU异常','dice_addon','dice_addon_container_cpu','webhook','recover','【平台中间件{{addon_id}} CPU使用率恢复】\n','【平台中间件CPU使用率恢复】\n\n中间件: {{addon_id}}\n\n使用率: {{cpu_usage_percent_avg}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n容器ID: {{container_id}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n','{\"cpu_usage_percent_avg\":\"percent:2\",\"trigger_duration\":\"time:ms\"}','1.0','2021-05-28 11:55:01','2021-05-28 11:55:01',0),(2394,'平台中间件异常退出','dice_addon','dice_addon_container_exit','dingding','alert','【平台中间件{{addon_id}}异常退出告警】\n','【平台中间件异常退出告警】\n\n中间件: {{addon_id}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n启动时间: {{started_at_value}}\n\n退出时间: {{finished_at_value}}\n\n退出原因: {{terminated_reason_value}}\n\n时间: {{timestamp}}\n\n[查看详情]({{display_url}})\n','{\"finished_at_value\":\"date\",\"started_at_value\":\"date\"}','1.0','2021-05-28 11:55:01','2021-05-28 11:55:01',0),(2395,'平台中间件异常退出','dice_addon','dice_addon_container_exit','ticket','alert','【平台中间件{{addon_id}}异常退出告警】\n','【平台中间件异常退出告警】\n\n中间件: {{addon_id}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n启动时间: {{started_at_value}}\n\n退出时间: {{finished_at_value}}\n\n退出原因: {{terminated_reason_value}}\n\n时间: {{timestamp}}\n\n[查看详情]({{display_url}})\n','{\"finished_at_value\":\"date\",\"started_at_value\":\"date\"}','1.0','2021-05-28 11:55:01','2021-05-28 11:55:01',0),(2396,'平台中间件异常退出','dice_addon','dice_addon_container_exit','email','alert','【平台中间件{{addon_id}}异常退出告警】\n','【平台中间件异常退出告警】\n\n中间件: {{addon_id}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n启动时间: {{started_at_value}}\n\n退出时间: {{finished_at_value}}\n\n退出原因: {{terminated_reason_value}}\n\n时间: {{timestamp}}\n\n[查看详情]({{display_url}})\n','{\"finished_at_value\":\"date\",\"started_at_value\":\"date\"}','1.0','2021-05-28 11:55:01','2021-05-28 11:55:01',0),(2397,'平台中间件异常退出','dice_addon','dice_addon_container_exit','mbox','alert','【平台中间件{{addon_id}}异常退出告警】\n','【平台中间件异常退出告警】\n\n中间件: {{addon_id}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n启动时间: {{started_at_value}}\n\n退出时间: {{finished_at_value}}\n\n退出原因: {{terminated_reason_value}}\n\n时间: {{timestamp}}\n\n[查看详情]({{display_url}})\n','{\"finished_at_value\":\"date\",\"started_at_value\":\"date\"}','1.0','2021-05-28 11:55:01','2021-05-28 11:55:01',0),(2398,'平台中间件异常退出','dice_addon','dice_addon_container_exit','webhook','alert','【平台中间件{{addon_id}}异常退出告警】\n','【平台中间件异常退出告警】\n\n中间件: {{addon_id}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n启动时间: {{started_at_value}}\n\n退出时间: {{finished_at_value}}\n\n退出原因: {{terminated_reason_value}}\n\n时间: {{timestamp}}\n\n[查看详情]({{display_url}})\n','{\"finished_at_value\":\"date\",\"started_at_value\":\"date\"}','1.0','2021-05-28 11:55:01','2021-05-28 11:55:01',0),(2399,'平台中间件异常退出','dice_addon','dice_addon_container_exit','dingding','recover','【平台中间件{{addon_id}}异常退出恢复】\n','【平台中间件异常退出恢复】\n\n中间件: {{addon_id}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n','{\"trigger_duration\":\"time:ms\"}','1.0','2021-05-28 11:55:01','2021-05-28 11:55:01',0),(2400,'平台中间件异常退出','dice_addon','dice_addon_container_exit','ticket','recover','【平台中间件{{addon_id}}异常退出恢复】\n','【平台中间件异常退出恢复】\n\n中间件: {{addon_id}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n','{\"trigger_duration\":\"time:ms\"}','1.0','2021-05-28 11:55:01','2021-05-28 11:55:01',0),(2401,'平台中间件异常退出','dice_addon','dice_addon_container_exit','email','recover','【平台中间件{{addon_id}}异常退出恢复】\n','【平台中间件异常退出恢复】\n\n中间件: {{addon_id}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n','{\"trigger_duration\":\"time:ms\"}','1.0','2021-05-28 11:55:01','2021-05-28 11:55:01',0),(2402,'平台中间件异常退出','dice_addon','dice_addon_container_exit','mbox','recover','【平台中间件{{addon_id}}异常退出恢复】\n','【平台中间件异常退出恢复】\n\n中间件: {{addon_id}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n','{\"trigger_duration\":\"time:ms\"}','1.0','2021-05-28 11:55:01','2021-05-28 11:55:01',0),(2403,'平台中间件异常退出','dice_addon','dice_addon_container_exit','webhook','recover','【平台中间件{{addon_id}}异常退出恢复】\n','【平台中间件异常退出恢复】\n\n中间件: {{addon_id}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n','{\"trigger_duration\":\"time:ms\"}','1.0','2021-05-28 11:55:01','2021-05-28 11:55:01',0),(2404,'平台中间件实例内存异常','dice_addon','dice_addon_container_mem','dingding','alert','【平台中间件{{addon_id}}内存使用率告警】\n','【平台中间件内存使用率告警】\n\n中间件: {{addon_id}}\n\n使用率: {{mem_usage_percent_avg}}\n\n使用: {{mem_usage_value}}\n\n限制: {{mem_limit_value}}\n\n分配: {{mem_allocation_value}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n容器ID: {{container_id}}\n\n时间: {{timestamp}}\n','{\"mem_allocation_value\":\"size:byte\",\"mem_limit_value\":\"size:byte\",\"mem_usage_percent_avg\":\"percent:2\",\"mem_usage_value\":\"size:byte\"}','1.0','2021-05-28 11:55:01','2021-05-28 11:55:01',0),(2405,'平台中间件实例内存异常','dice_addon','dice_addon_container_mem','ticket','alert','【平台中间件{{addon_id}}内存使用率告警】\n','【平台中间件内存使用率告警】\n\n中间件: {{addon_id}}\n\n使用率: {{mem_usage_percent_avg}}\n\n使用: {{mem_usage_value}}\n\n限制: {{mem_limit_value}}\n\n分配: {{mem_allocation_value}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n容器ID: {{container_id}}\n\n时间: {{timestamp}}\n','{\"mem_allocation_value\":\"size:byte\",\"mem_limit_value\":\"size:byte\",\"mem_usage_percent_avg\":\"percent:2\",\"mem_usage_value\":\"size:byte\"}','1.0','2021-05-28 11:55:01','2021-05-28 11:55:01',0),(2406,'平台中间件实例内存异常','dice_addon','dice_addon_container_mem','email','alert','【平台中间件{{addon_id}}内存使用率告警】\n','【平台中间件内存使用率告警】\n\n中间件: {{addon_id}}\n\n使用率: {{mem_usage_percent_avg}}\n\n使用: {{mem_usage_value}}\n\n限制: {{mem_limit_value}}\n\n分配: {{mem_allocation_value}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n容器ID: {{container_id}}\n\n时间: {{timestamp}}\n','{\"mem_allocation_value\":\"size:byte\",\"mem_limit_value\":\"size:byte\",\"mem_usage_percent_avg\":\"percent:2\",\"mem_usage_value\":\"size:byte\"}','1.0','2021-05-28 11:55:01','2021-05-28 11:55:01',0),(2407,'平台中间件实例内存异常','dice_addon','dice_addon_container_mem','mbox','alert','【平台中间件{{addon_id}}内存使用率告警】\n','【平台中间件内存使用率告警】\n\n中间件: {{addon_id}}\n\n使用率: {{mem_usage_percent_avg}}\n\n使用: {{mem_usage_value}}\n\n限制: {{mem_limit_value}}\n\n分配: {{mem_allocation_value}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n容器ID: {{container_id}}\n\n时间: {{timestamp}}\n','{\"mem_allocation_value\":\"size:byte\",\"mem_limit_value\":\"size:byte\",\"mem_usage_percent_avg\":\"percent:2\",\"mem_usage_value\":\"size:byte\"}','1.0','2021-05-28 11:55:01','2021-05-28 11:55:01',0),(2408,'平台中间件实例内存异常','dice_addon','dice_addon_container_mem','webhook','alert','【平台中间件{{addon_id}}内存使用率告警】\n','【平台中间件内存使用率告警】\n\n中间件: {{addon_id}}\n\n使用率: {{mem_usage_percent_avg}}\n\n使用: {{mem_usage_value}}\n\n限制: {{mem_limit_value}}\n\n分配: {{mem_allocation_value}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n容器ID: {{container_id}}\n\n时间: {{timestamp}}\n','{\"mem_allocation_value\":\"size:byte\",\"mem_limit_value\":\"size:byte\",\"mem_usage_percent_avg\":\"percent:2\",\"mem_usage_value\":\"size:byte\"}','1.0','2021-05-28 11:55:01','2021-05-28 11:55:01',0),(2409,'平台中间件实例内存异常','dice_addon','dice_addon_container_mem','dingding','recover','【平台中间件{{addon_id}}内存使用率恢复】\n','【平台中间件内存使用率恢复】\n\n中间件: {{addon_id}}\n\n使用率: {{mem_usage_percent_avg}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n容器ID: {{container_id}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n','{\"mem_usage_percent_avg\":\"percent:2\",\"trigger_duration\":\"time:ms\"}','1.0','2021-05-28 11:55:01','2021-05-28 11:55:01',0),(2410,'平台中间件实例内存异常','dice_addon','dice_addon_container_mem','ticket','recover','【平台中间件{{addon_id}}内存使用率恢复】\n','【平台中间件内存使用率恢复】\n\n中间件: {{addon_id}}\n\n使用率: {{mem_usage_percent_avg}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n容器ID: {{container_id}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n','{\"mem_usage_percent_avg\":\"percent:2\",\"trigger_duration\":\"time:ms\"}','1.0','2021-05-28 11:55:01','2021-05-28 11:55:01',0),(2411,'平台中间件实例内存异常','dice_addon','dice_addon_container_mem','email','recover','【平台中间件{{addon_id}}内存使用率恢复】\n','【平台中间件内存使用率恢复】\n\n中间件: {{addon_id}}\n\n使用率: {{mem_usage_percent_avg}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n容器ID: {{container_id}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n','{\"mem_usage_percent_avg\":\"percent:2\",\"trigger_duration\":\"time:ms\"}','1.0','2021-05-28 11:55:01','2021-05-28 11:55:01',0),(2412,'平台中间件实例内存异常','dice_addon','dice_addon_container_mem','mbox','recover','【平台中间件{{addon_id}}内存使用率恢复】\n','【平台中间件内存使用率恢复】\n\n中间件: {{addon_id}}\n\n使用率: {{mem_usage_percent_avg}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n容器ID: {{container_id}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n','{\"mem_usage_percent_avg\":\"percent:2\",\"trigger_duration\":\"time:ms\"}','1.0','2021-05-28 11:55:01','2021-05-28 11:55:01',0),(2413,'平台中间件实例内存异常','dice_addon','dice_addon_container_mem','webhook','recover','【平台中间件{{addon_id}}内存使用率恢复】\n','【平台中间件内存使用率恢复】\n\n中间件: {{addon_id}}\n\n使用率: {{mem_usage_percent_avg}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n容器ID: {{container_id}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n','{\"mem_usage_percent_avg\":\"percent:2\",\"trigger_duration\":\"time:ms\"}','1.0','2021-05-28 11:55:01','2021-05-28 11:55:01',0),(2414,'平台中间件实例Ready状态异常','dice_addon','dice_addon_container_ready','dingding','alert','【平台中间件{{addon_id}} Ready状态异常告警】\n','【平台中间件Ready状态异常告警】\n\n中间件: {{addon_id}}\n\n未就绪实例: {{not_ready_value}}\n\n已就绪实例: {{ready_value}}\n\n集群: {{cluster_name}}\n\n时间: {{timestamp}}\n','','1.0','2021-05-28 11:55:01','2021-05-28 11:55:01',0),(2415,'平台中间件实例Ready状态异常','dice_addon','dice_addon_container_ready','ticket','alert','【平台中间件{{addon_id}} Ready状态异常告警】\n','【平台中间件Ready状态异常告警】\n\n中间件: {{addon_id}}\n\n未就绪实例: {{not_ready_value}}\n\n已就绪实例: {{ready_value}}\n\n集群: {{cluster_name}}\n\n时间: {{timestamp}}\n','','1.0','2021-05-28 11:55:01','2021-05-28 11:55:01',0),(2416,'平台中间件实例Ready状态异常','dice_addon','dice_addon_container_ready','email','alert','【平台中间件{{addon_id}} Ready状态异常告警】\n','【平台中间件Ready状态异常告警】\n\n中间件: {{addon_id}}\n\n未就绪实例: {{not_ready_value}}\n\n已就绪实例: {{ready_value}}\n\n集群: {{cluster_name}}\n\n时间: {{timestamp}}\n','','1.0','2021-05-28 11:55:01','2021-05-28 11:55:01',0),(2417,'平台中间件实例Ready状态异常','dice_addon','dice_addon_container_ready','mbox','alert','【平台中间件{{addon_id}} Ready状态异常告警】\n','【平台中间件Ready状态异常告警】\n\n中间件: {{addon_id}}\n\n未就绪实例: {{not_ready_value}}\n\n已就绪实例: {{ready_value}}\n\n集群: {{cluster_name}}\n\n时间: {{timestamp}}\n','','1.0','2021-05-28 11:55:01','2021-05-28 11:55:01',0),(2418,'平台中间件实例Ready状态异常','dice_addon','dice_addon_container_ready','webhook','alert','【平台中间件{{addon_id}} Ready状态异常告警】\n','【平台中间件Ready状态异常告警】\n\n中间件: {{addon_id}}\n\n未就绪实例: {{not_ready_value}}\n\n已就绪实例: {{ready_value}}\n\n集群: {{cluster_name}}\n\n时间: {{timestamp}}\n','','1.0','2021-05-28 11:55:01','2021-05-28 11:55:01',0),(2419,'平台中间件实例Ready状态异常','dice_addon','dice_addon_container_ready','dingding','recover','【平台中间件{{addon_id}} Ready状态异常恢复】\n','【平台中间件Ready状态异常恢复】\n\n中间件: {{addon_id}}\n\n已绪数实例: {{ready_value}}\n\n集群: {{cluster_name}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n','{\"trigger_duration\":\"time:ms\"}','1.0','2021-05-28 11:55:01','2021-05-28 11:55:01',0),(2420,'平台中间件实例Ready状态异常','dice_addon','dice_addon_container_ready','ticket','recover','【平台中间件{{addon_id}} Ready状态异常恢复】\n','【平台中间件Ready状态异常恢复】\n\n中间件: {{addon_id}}\n\n已绪数实例: {{ready_value}}\n\n集群: {{cluster_name}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n','{\"trigger_duration\":\"time:ms\"}','1.0','2021-05-28 11:55:01','2021-05-28 11:55:01',0),(2421,'平台中间件实例Ready状态异常','dice_addon','dice_addon_container_ready','email','recover','【平台中间件{{addon_id}} Ready状态异常恢复】\n','【平台中间件Ready状态异常恢复】\n\n中间件: {{addon_id}}\n\n已绪数实例: {{ready_value}}\n\n集群: {{cluster_name}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n','{\"trigger_duration\":\"time:ms\"}','1.0','2021-05-28 11:55:01','2021-05-28 11:55:01',0),(2422,'平台中间件实例Ready状态异常','dice_addon','dice_addon_container_ready','mbox','recover','【平台中间件{{addon_id}} Ready状态异常恢复】\n','【平台中间件Ready状态异常恢复】\n\n中间件: {{addon_id}}\n\n已绪数实例: {{ready_value}}\n\n集群: {{cluster_name}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n','{\"trigger_duration\":\"time:ms\"}','1.0','2021-05-28 11:55:01','2021-05-28 11:55:01',0),(2423,'平台中间件实例Ready状态异常','dice_addon','dice_addon_container_ready','webhook','recover','【平台中间件{{addon_id}} Ready状态异常恢复】\n','【平台中间件Ready状态异常恢复】\n\n中间件: {{addon_id}}\n\n已绪数实例: {{ready_value}}\n\n集群: {{cluster_name}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n','{\"trigger_duration\":\"time:ms\"}','1.0','2021-05-28 11:55:01','2021-05-28 11:55:01',0),(2424,'平台中间件elasticsearch GC次数异常','dice_addon','dice_addon_elasticsearch_gc_count','dingding','alert','【平台中间件elasticsearch GC次数告警】\n','【平台中间件elasticsearch GC次数告警】\n\n中间件: {{addon_id}}\n\n老年代GC次数: {{gc_collectors_old_collection_count_win_value}}\n\n集群: {{cluster_name}}\n\n机器: {{node_host}}\n\n时间: {{timestamp}}\n\n[查看详情]({{display_url}})\n','','1.0','2021-05-28 11:55:01','2021-05-28 11:55:01',0),(2425,'平台中间件elasticsearch GC次数异常','dice_addon','dice_addon_elasticsearch_gc_count','ticket','alert','【平台中间件elasticsearch GC次数告警】\n','【平台中间件elasticsearch GC次数告警】\n\n中间件: {{addon_id}}\n\n老年代GC次数: {{gc_collectors_old_collection_count_win_value}}\n\n集群: {{cluster_name}}\n\n机器: {{node_host}}\n\n时间: {{timestamp}}\n\n[查看详情]({{display_url}})\n','','1.0','2021-05-28 11:55:01','2021-05-28 11:55:01',0),(2426,'平台中间件elasticsearch GC次数异常','dice_addon','dice_addon_elasticsearch_gc_count','email','alert','【平台中间件elasticsearch GC次数告警】\n','【平台中间件elasticsearch GC次数告警】\n\n中间件: {{addon_id}}\n\n老年代GC次数: {{gc_collectors_old_collection_count_win_value}}\n\n集群: {{cluster_name}}\n\n机器: {{node_host}}\n\n时间: {{timestamp}}\n\n[查看详情]({{display_url}})\n','','1.0','2021-05-28 11:55:01','2021-05-28 11:55:01',0),(2427,'平台中间件elasticsearch GC次数异常','dice_addon','dice_addon_elasticsearch_gc_count','mbox','alert','【平台中间件elasticsearch GC次数告警】\n','【平台中间件elasticsearch GC次数告警】\n\n中间件: {{addon_id}}\n\n老年代GC次数: {{gc_collectors_old_collection_count_win_value}}\n\n集群: {{cluster_name}}\n\n机器: {{node_host}}\n\n时间: {{timestamp}}\n\n[查看详情]({{display_url}})\n','','1.0','2021-05-28 11:55:01','2021-05-28 11:55:01',0),(2428,'平台中间件elasticsearch GC次数异常','dice_addon','dice_addon_elasticsearch_gc_count','webhook','alert','【平台中间件elasticsearch GC次数告警】\n','【平台中间件elasticsearch GC次数告警】\n\n中间件: {{addon_id}}\n\n老年代GC次数: {{gc_collectors_old_collection_count_win_value}}\n\n集群: {{cluster_name}}\n\n机器: {{node_host}}\n\n时间: {{timestamp}}\n\n[查看详情]({{display_url}})\n','','1.0','2021-05-28 11:55:01','2021-05-28 11:55:01',0),(2429,'平台中间件elasticsearch GC次数异常','dice_addon','dice_addon_elasticsearch_gc_count','dingding','recover','【平台中间件elasticsearch GC次数恢复】\n','【平台中间件elasticsearch GC次数恢复】\n\n中间件: {{addon_id}}\n\n老年代GC次数: {{gc_collectors_old_collection_count_win_value}}\n\n集群: {{cluster_name}}\n\n机器: {{node_host}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n','{\"trigger_duration\":\"time:ms\"}','1.0','2021-05-28 11:55:01','2021-05-28 11:55:01',0),(2430,'平台中间件elasticsearch GC次数异常','dice_addon','dice_addon_elasticsearch_gc_count','ticket','recover','【平台中间件elasticsearch GC次数恢复】\n','【平台中间件elasticsearch GC次数恢复】\n\n中间件: {{addon_id}}\n\n老年代GC次数: {{gc_collectors_old_collection_count_win_value}}\n\n集群: {{cluster_name}}\n\n机器: {{node_host}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n','{\"trigger_duration\":\"time:ms\"}','1.0','2021-05-28 11:55:01','2021-05-28 11:55:01',0),(2431,'平台中间件elasticsearch GC次数异常','dice_addon','dice_addon_elasticsearch_gc_count','email','recover','【平台中间件elasticsearch GC次数恢复】\n','【平台中间件elasticsearch GC次数恢复】\n\n中间件: {{addon_id}}\n\n老年代GC次数: {{gc_collectors_old_collection_count_win_value}}\n\n集群: {{cluster_name}}\n\n机器: {{node_host}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n','{\"trigger_duration\":\"time:ms\"}','1.0','2021-05-28 11:55:01','2021-05-28 11:55:01',0),(2432,'平台中间件elasticsearch GC次数异常','dice_addon','dice_addon_elasticsearch_gc_count','mbox','recover','【平台中间件elasticsearch GC次数恢复】\n','【平台中间件elasticsearch GC次数恢复】\n\n中间件: {{addon_id}}\n\n老年代GC次数: {{gc_collectors_old_collection_count_win_value}}\n\n集群: {{cluster_name}}\n\n机器: {{node_host}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n','{\"trigger_duration\":\"time:ms\"}','1.0','2021-05-28 11:55:01','2021-05-28 11:55:01',0),(2433,'平台中间件elasticsearch GC次数异常','dice_addon','dice_addon_elasticsearch_gc_count','webhook','recover','【平台中间件elasticsearch GC次数恢复】\n','【平台中间件elasticsearch GC次数恢复】\n\n中间件: {{addon_id}}\n\n老年代GC次数: {{gc_collectors_old_collection_count_win_value}}\n\n集群: {{cluster_name}}\n\n机器: {{node_host}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n','{\"trigger_duration\":\"time:ms\"}','1.0','2021-05-28 11:55:01','2021-05-28 11:55:01',0),(2434,'平台中间件elasticsearch GC耗时异常','dice_addon','dice_addon_elasticsearch_gc_time','dingding','alert','【平台中间件elasticsearch GC耗时告警】\n','【平台中间件elasticsearch GC耗时告警】\n\n中间件: {{addon_id}}\n\n老年代GC耗时: {{gc_collectors_old_collection_time_in_millis_win_value}}\n\n集群: {{cluster_name}}\n\n机器: {{node_name}}\n\n时间: {{timestamp}}\n\n[查看详情]({{display_url}})\n','{\"gc_collectors_old_collection_time_in_millis_win_value\":\"time:ms\"}','1.0','2021-05-28 11:55:01','2021-05-28 11:55:01',0),(2435,'平台中间件elasticsearch GC耗时异常','dice_addon','dice_addon_elasticsearch_gc_time','ticket','alert','【平台中间件elasticsearch GC耗时告警】\n','【平台中间件elasticsearch GC耗时告警】\n\n中间件: {{addon_id}}\n\n老年代GC耗时: {{gc_collectors_old_collection_time_in_millis_win_value}}\n\n集群: {{cluster_name}}\n\n机器: {{node_name}}\n\n时间: {{timestamp}}\n\n[查看详情]({{display_url}})\n','{\"gc_collectors_old_collection_time_in_millis_win_value\":\"time:ms\"}','1.0','2021-05-28 11:55:01','2021-05-28 11:55:01',0),(2436,'平台中间件elasticsearch GC耗时异常','dice_addon','dice_addon_elasticsearch_gc_time','email','alert','【平台中间件elasticsearch GC耗时告警】\n','【平台中间件elasticsearch GC耗时告警】\n\n中间件: {{addon_id}}\n\n老年代GC耗时: {{gc_collectors_old_collection_time_in_millis_win_value}}\n\n集群: {{cluster_name}}\n\n机器: {{node_name}}\n\n时间: {{timestamp}}\n\n[查看详情]({{display_url}})\n','{\"gc_collectors_old_collection_time_in_millis_win_value\":\"time:ms\"}','1.0','2021-05-28 11:55:01','2021-05-28 11:55:01',0),(2437,'平台中间件elasticsearch GC耗时异常','dice_addon','dice_addon_elasticsearch_gc_time','mbox','alert','【平台中间件elasticsearch GC耗时告警】\n','【平台中间件elasticsearch GC耗时告警】\n\n中间件: {{addon_id}}\n\n老年代GC耗时: {{gc_collectors_old_collection_time_in_millis_win_value}}\n\n集群: {{cluster_name}}\n\n机器: {{node_name}}\n\n时间: {{timestamp}}\n\n[查看详情]({{display_url}})\n','{\"gc_collectors_old_collection_time_in_millis_win_value\":\"time:ms\"}','1.0','2021-05-28 11:55:01','2021-05-28 11:55:01',0),(2438,'平台中间件elasticsearch GC耗时异常','dice_addon','dice_addon_elasticsearch_gc_time','webhook','alert','【平台中间件elasticsearch GC耗时告警】\n','【平台中间件elasticsearch GC耗时告警】\n\n中间件: {{addon_id}}\n\n老年代GC耗时: {{gc_collectors_old_collection_time_in_millis_win_value}}\n\n集群: {{cluster_name}}\n\n机器: {{node_name}}\n\n时间: {{timestamp}}\n\n[查看详情]({{display_url}})\n','{\"gc_collectors_old_collection_time_in_millis_win_value\":\"time:ms\"}','1.0','2021-05-28 11:55:01','2021-05-28 11:55:01',0),(2439,'平台中间件elasticsearch GC耗时异常','dice_addon','dice_addon_elasticsearch_gc_time','dingding','recover','【平台中间件elasticsearch GC耗时恢复】\n','【平台中间件elasticsearch GC耗时恢复】\n\n中间件: {{addon_id}}\n\n老年代GC耗时: {{gc_collectors_old_collection_time_in_millis_win_value}}\n\n集群: {{cluster_name}}\n\n机器: {{node_name}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n','{\"gc_collectors_old_collection_time_in_millis_win_value\":\"time:ms\",\"trigger_duration\":\"time:ms\"}','1.0','2021-05-28 11:55:01','2021-05-28 11:55:01',0),(2440,'平台中间件elasticsearch GC耗时异常','dice_addon','dice_addon_elasticsearch_gc_time','ticket','recover','【平台中间件elasticsearch GC耗时恢复】\n','【平台中间件elasticsearch GC耗时恢复】\n\n中间件: {{addon_id}}\n\n老年代GC耗时: {{gc_collectors_old_collection_time_in_millis_win_value}}\n\n集群: {{cluster_name}}\n\n机器: {{node_name}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n','{\"gc_collectors_old_collection_time_in_millis_win_value\":\"time:ms\",\"trigger_duration\":\"time:ms\"}','1.0','2021-05-28 11:55:01','2021-05-28 11:55:01',0),(2441,'平台中间件elasticsearch GC耗时异常','dice_addon','dice_addon_elasticsearch_gc_time','email','recover','【平台中间件elasticsearch GC耗时恢复】\n','【平台中间件elasticsearch GC耗时恢复】\n\n中间件: {{addon_id}}\n\n老年代GC耗时: {{gc_collectors_old_collection_time_in_millis_win_value}}\n\n集群: {{cluster_name}}\n\n机器: {{node_name}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n','{\"gc_collectors_old_collection_time_in_millis_win_value\":\"time:ms\",\"trigger_duration\":\"time:ms\"}','1.0','2021-05-28 11:55:01','2021-05-28 11:55:01',0),(2442,'平台中间件elasticsearch GC耗时异常','dice_addon','dice_addon_elasticsearch_gc_time','mbox','recover','【平台中间件elasticsearch GC耗时恢复】\n','【平台中间件elasticsearch GC耗时恢复】\n\n中间件: {{addon_id}}\n\n老年代GC耗时: {{gc_collectors_old_collection_time_in_millis_win_value}}\n\n集群: {{cluster_name}}\n\n机器: {{node_name}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n','{\"gc_collectors_old_collection_time_in_millis_win_value\":\"time:ms\",\"trigger_duration\":\"time:ms\"}','1.0','2021-05-28 11:55:01','2021-05-28 11:55:01',0),(2443,'平台中间件elasticsearch GC耗时异常','dice_addon','dice_addon_elasticsearch_gc_time','webhook','recover','【平台中间件elasticsearch GC耗时恢复】\n','【平台中间件elasticsearch GC耗时恢复】\n\n中间件: {{addon_id}}\n\n老年代GC耗时: {{gc_collectors_old_collection_time_in_millis_win_value}}\n\n集群: {{cluster_name}}\n\n机器: {{node_name}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n','{\"gc_collectors_old_collection_time_in_millis_win_value\":\"time:ms\",\"trigger_duration\":\"time:ms\"}','1.0','2021-05-28 11:55:01','2021-05-28 11:55:01',0),(2444,'平台中间件Kafka GC次数异常','dice_addon','dice_addon_kafka_gc_count','dingding','alert','【平台中间件Kafka GC次数告警】\n','【平台中间件Kafka GC次数告警】\n\n中间件: {{addon_id}}\n\n老年代GC次数: {{CollectionCount_win_value}}\n\n集群: {{cluster_name}}\n\n集群: {{node_host}}\n\n时间: {{timestamp}}\n\n[查看详情]({{display_url}})\n','','1.0','2021-05-28 11:55:01','2021-05-28 11:55:01',0),(2445,'平台中间件Kafka GC次数异常','dice_addon','dice_addon_kafka_gc_count','ticket','alert','【平台中间件Kafka GC次数告警】\n','【平台中间件Kafka GC次数告警】\n\n中间件: {{addon_id}}\n\n老年代GC次数: {{CollectionCount_win_value}}\n\n集群: {{cluster_name}}\n\n集群: {{node_host}}\n\n时间: {{timestamp}}\n\n[查看详情]({{display_url}})\n','','1.0','2021-05-28 11:55:01','2021-05-28 11:55:01',0),(2446,'平台中间件Kafka GC次数异常','dice_addon','dice_addon_kafka_gc_count','email','alert','【平台中间件Kafka GC次数告警】\n','【平台中间件Kafka GC次数告警】\n\n中间件: {{addon_id}}\n\n老年代GC次数: {{CollectionCount_win_value}}\n\n集群: {{cluster_name}}\n\n集群: {{node_host}}\n\n时间: {{timestamp}}\n\n[查看详情]({{display_url}})\n','','1.0','2021-05-28 11:55:01','2021-05-28 11:55:01',0),(2447,'平台中间件Kafka GC次数异常','dice_addon','dice_addon_kafka_gc_count','mbox','alert','【平台中间件Kafka GC次数告警】\n','【平台中间件Kafka GC次数告警】\n\n中间件: {{addon_id}}\n\n老年代GC次数: {{CollectionCount_win_value}}\n\n集群: {{cluster_name}}\n\n集群: {{node_host}}\n\n时间: {{timestamp}}\n\n[查看详情]({{display_url}})\n','','1.0','2021-05-28 11:55:01','2021-05-28 11:55:01',0),(2448,'平台中间件Kafka GC次数异常','dice_addon','dice_addon_kafka_gc_count','webhook','alert','【平台中间件Kafka GC次数告警】\n','【平台中间件Kafka GC次数告警】\n\n中间件: {{addon_id}}\n\n老年代GC次数: {{CollectionCount_win_value}}\n\n集群: {{cluster_name}}\n\n集群: {{node_host}}\n\n时间: {{timestamp}}\n\n[查看详情]({{display_url}})\n','','1.0','2021-05-28 11:55:01','2021-05-28 11:55:01',0),(2449,'平台中间件Kafka GC次数异常','dice_addon','dice_addon_kafka_gc_count','dingding','recover','【平台中间件Kafka GC次数恢复】\n','【平台中间件Kafka GC次数恢复】\n\n中间件: {{addon_id}}\n\n老年代GC次数: {{CollectionCount_win_value}}\n\n集群: {{cluster_name}}\n\n机器: {{node_host}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n','{\"trigger_duration\":\"time:ms\"}','1.0','2021-05-28 11:55:01','2021-05-28 11:55:01',0),(2450,'平台中间件Kafka GC次数异常','dice_addon','dice_addon_kafka_gc_count','ticket','recover','【平台中间件Kafka GC次数恢复】\n','【平台中间件Kafka GC次数恢复】\n\n中间件: {{addon_id}}\n\n老年代GC次数: {{CollectionCount_win_value}}\n\n集群: {{cluster_name}}\n\n机器: {{node_host}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n','{\"trigger_duration\":\"time:ms\"}','1.0','2021-05-28 11:55:01','2021-05-28 11:55:01',0),(2451,'平台中间件Kafka GC次数异常','dice_addon','dice_addon_kafka_gc_count','email','recover','【平台中间件Kafka GC次数恢复】\n','【平台中间件Kafka GC次数恢复】\n\n中间件: {{addon_id}}\n\n老年代GC次数: {{CollectionCount_win_value}}\n\n集群: {{cluster_name}}\n\n机器: {{node_host}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n','{\"trigger_duration\":\"time:ms\"}','1.0','2021-05-28 11:55:01','2021-05-28 11:55:01',0),(2452,'平台中间件Kafka GC次数异常','dice_addon','dice_addon_kafka_gc_count','mbox','recover','【平台中间件Kafka GC次数恢复】\n','【平台中间件Kafka GC次数恢复】\n\n中间件: {{addon_id}}\n\n老年代GC次数: {{CollectionCount_win_value}}\n\n集群: {{cluster_name}}\n\n机器: {{node_host}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n','{\"trigger_duration\":\"time:ms\"}','1.0','2021-05-28 11:55:01','2021-05-28 11:55:01',0),(2453,'平台中间件Kafka GC次数异常','dice_addon','dice_addon_kafka_gc_count','webhook','recover','【平台中间件Kafka GC次数恢复】\n','【平台中间件Kafka GC次数恢复】\n\n中间件: {{addon_id}}\n\n老年代GC次数: {{CollectionCount_win_value}}\n\n集群: {{cluster_name}}\n\n机器: {{node_host}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n','{\"trigger_duration\":\"time:ms\"}','1.0','2021-05-28 11:55:01','2021-05-28 11:55:01',0),(2454,'平台中间件kafka GC耗时异常','dice_addon','dice_addon_kafka_gc_time','dingding','alert','【平台中间件kafka GC耗时告警】\n','【平台中间件kafka GC耗时告警】\n\n中间件: {{addon_id}}\n\n老年代GC耗时: {{CollectionTime_win_value}}\n\n集群: {{cluster_name}}\n\n机器: {{node_host}}\n\n时间: {{timestamp}}\n\n[查看详情]({{display_url}})\n','{\"CollectionTime_win_value\":\"time:ms\"}','1.0','2021-05-28 11:55:01','2021-05-28 11:55:01',0),(2455,'平台中间件kafka GC耗时异常','dice_addon','dice_addon_kafka_gc_time','ticket','alert','【平台中间件kafka GC耗时告警】\n','【平台中间件kafka GC耗时告警】\n\n中间件: {{addon_id}}\n\n老年代GC耗时: {{CollectionTime_win_value}}\n\n集群: {{cluster_name}}\n\n机器: {{node_host}}\n\n时间: {{timestamp}}\n\n[查看详情]({{display_url}})\n','{\"CollectionTime_win_value\":\"time:ms\"}','1.0','2021-05-28 11:55:01','2021-05-28 11:55:01',0),(2456,'平台中间件kafka GC耗时异常','dice_addon','dice_addon_kafka_gc_time','email','alert','【平台中间件kafka GC耗时告警】\n','【平台中间件kafka GC耗时告警】\n\n中间件: {{addon_id}}\n\n老年代GC耗时: {{CollectionTime_win_value}}\n\n集群: {{cluster_name}}\n\n机器: {{node_host}}\n\n时间: {{timestamp}}\n\n[查看详情]({{display_url}})\n','{\"CollectionTime_win_value\":\"time:ms\"}','1.0','2021-05-28 11:55:01','2021-05-28 11:55:01',0),(2457,'平台中间件kafka GC耗时异常','dice_addon','dice_addon_kafka_gc_time','mbox','alert','【平台中间件kafka GC耗时告警】\n','【平台中间件kafka GC耗时告警】\n\n中间件: {{addon_id}}\n\n老年代GC耗时: {{CollectionTime_win_value}}\n\n集群: {{cluster_name}}\n\n机器: {{node_host}}\n\n时间: {{timestamp}}\n\n[查看详情]({{display_url}})\n','{\"CollectionTime_win_value\":\"time:ms\"}','1.0','2021-05-28 11:55:01','2021-05-28 11:55:01',0),(2458,'平台中间件kafka GC耗时异常','dice_addon','dice_addon_kafka_gc_time','webhook','alert','【平台中间件kafka GC耗时告警】\n','【平台中间件kafka GC耗时告警】\n\n中间件: {{addon_id}}\n\n老年代GC耗时: {{CollectionTime_win_value}}\n\n集群: {{cluster_name}}\n\n机器: {{node_host}}\n\n时间: {{timestamp}}\n\n[查看详情]({{display_url}})\n','{\"CollectionTime_win_value\":\"time:ms\"}','1.0','2021-05-28 11:55:01','2021-05-28 11:55:01',0),(2459,'平台中间件kafka GC耗时异常','dice_addon','dice_addon_kafka_gc_time','dingding','recover','【平台中间件kafka GC耗时恢复】\n','【平台中间件kafka GC耗时恢复】\n\n中间件: {{addon_id}}\n\n老年代GC耗时: {{CollectionTime_win_value}}\n\n集群: {{cluster_name}}\n\n机器: {{node_host}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n','{\"CollectionTime_win_value\":\"time:ms\",\"trigger_duration\":\"time:ms\"}','1.0','2021-05-28 11:55:01','2021-05-28 11:55:01',0),(2460,'平台中间件kafka GC耗时异常','dice_addon','dice_addon_kafka_gc_time','ticket','recover','【平台中间件kafka GC耗时恢复】\n','【平台中间件kafka GC耗时恢复】\n\n中间件: {{addon_id}}\n\n老年代GC耗时: {{CollectionTime_win_value}}\n\n集群: {{cluster_name}}\n\n机器: {{node_host}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n','{\"CollectionTime_win_value\":\"time:ms\",\"trigger_duration\":\"time:ms\"}','1.0','2021-05-28 11:55:01','2021-05-28 11:55:01',0),(2461,'平台中间件kafka GC耗时异常','dice_addon','dice_addon_kafka_gc_time','email','recover','【平台中间件kafka GC耗时恢复】\n','【平台中间件kafka GC耗时恢复】\n\n中间件: {{addon_id}}\n\n老年代GC耗时: {{CollectionTime_win_value}}\n\n集群: {{cluster_name}}\n\n机器: {{node_host}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n','{\"CollectionTime_win_value\":\"time:ms\",\"trigger_duration\":\"time:ms\"}','1.0','2021-05-28 11:55:01','2021-05-28 11:55:01',0),(2462,'平台中间件kafka GC耗时异常','dice_addon','dice_addon_kafka_gc_time','mbox','recover','【平台中间件kafka GC耗时恢复】\n','【平台中间件kafka GC耗时恢复】\n\n中间件: {{addon_id}}\n\n老年代GC耗时: {{CollectionTime_win_value}}\n\n集群: {{cluster_name}}\n\n机器: {{node_host}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n','{\"CollectionTime_win_value\":\"time:ms\",\"trigger_duration\":\"time:ms\"}','1.0','2021-05-28 11:55:01','2021-05-28 11:55:01',0),(2463,'平台中间件kafka GC耗时异常','dice_addon','dice_addon_kafka_gc_time','webhook','recover','【平台中间件kafka GC耗时恢复】\n','【平台中间件kafka GC耗时恢复】\n\n中间件: {{addon_id}}\n\n老年代GC耗时: {{CollectionTime_win_value}}\n\n集群: {{cluster_name}}\n\n机器: {{node_host}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n','{\"CollectionTime_win_value\":\"time:ms\",\"trigger_duration\":\"time:ms\"}','1.0','2021-05-28 11:55:01','2021-05-28 11:55:01',0),(2464,'平台中间件kafka消费堆积','dice_addon','dice_addon_kafka_lag','dingding','alert','【平台中间件kafka消费堆积告警】\n','【平台中间件kafka消费堆积告警】\n\n中间件: {{addon_id}}\n\n消费者组: {{group}}\n\nTopic: {{topic}}\n\n当前消息堆积: {{lag_avg}}\n\n消费速度: {{consume_rate_per_sec_avg}} /s\n\n生产速度: {{produce_rate_per_sec_avg}} /s\n\n集群: {{cluster_name}}\n\n时间: {{timestamp}}\n\n[查看详情]({{display_url}})\n','','1.0','2021-05-28 11:55:01','2021-05-28 11:55:01',0),(2465,'平台中间件kafka消费堆积','dice_addon','dice_addon_kafka_lag','ticket','alert','【平台中间件kafka消费堆积告警】\n','【平台中间件kafka消费堆积告警】\n\n中间件: {{addon_id}}\n\n消费者组: {{group}}\n\nTopic: {{topic}}\n\n当前消息堆积: {{lag_avg}}\n\n消费速度: {{consume_rate_per_sec_avg}} /s\n\n生产速度: {{produce_rate_per_sec_avg}} /s\n\n集群: {{cluster_name}}\n\n时间: {{timestamp}}\n\n[查看详情]({{display_url}})\n','','1.0','2021-05-28 11:55:01','2021-05-28 11:55:01',0),(2466,'平台中间件kafka消费堆积','dice_addon','dice_addon_kafka_lag','email','alert','【平台中间件kafka消费堆积告警】\n','【平台中间件kafka消费堆积告警】\n\n中间件: {{addon_id}}\n\n消费者组: {{group}}\n\nTopic: {{topic}}\n\n当前消息堆积: {{lag_avg}}\n\n消费速度: {{consume_rate_per_sec_avg}} /s\n\n生产速度: {{produce_rate_per_sec_avg}} /s\n\n集群: {{cluster_name}}\n\n时间: {{timestamp}}\n\n[查看详情]({{display_url}})\n','','1.0','2021-05-28 11:55:01','2021-05-28 11:55:01',0),(2467,'平台中间件kafka消费堆积','dice_addon','dice_addon_kafka_lag','mbox','alert','【平台中间件kafka消费堆积告警】\n','【平台中间件kafka消费堆积告警】\n\n中间件: {{addon_id}}\n\n消费者组: {{group}}\n\nTopic: {{topic}}\n\n当前消息堆积: {{lag_avg}}\n\n消费速度: {{consume_rate_per_sec_avg}} /s\n\n生产速度: {{produce_rate_per_sec_avg}} /s\n\n集群: {{cluster_name}}\n\n时间: {{timestamp}}\n\n[查看详情]({{display_url}})\n','','1.0','2021-05-28 11:55:01','2021-05-28 11:55:01',0),(2468,'平台中间件kafka消费堆积','dice_addon','dice_addon_kafka_lag','webhook','alert','【平台中间件kafka消费堆积告警】\n','【平台中间件kafka消费堆积告警】\n\n中间件: {{addon_id}}\n\n消费者组: {{group}}\n\nTopic: {{topic}}\n\n当前消息堆积: {{lag_avg}}\n\n消费速度: {{consume_rate_per_sec_avg}} /s\n\n生产速度: {{produce_rate_per_sec_avg}} /s\n\n集群: {{cluster_name}}\n\n时间: {{timestamp}}\n\n[查看详情]({{display_url}})\n','','1.0','2021-05-28 11:55:01','2021-05-28 11:55:01',0),(2469,'平台中间件kafka消费堆积','dice_addon','dice_addon_kafka_lag','dingding','recover','【平台中间件kafka消费堆积恢复】\n','【平台中间件kafka消费堆积恢复】\n\n中间件: {{addon_id}}\n\n消费者组: {{group}}\n\nTopic: {{topic}}\n\n当前消息堆积: {{lag_avg}}\n\n集群: {{cluster_name}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n','{\"trigger_duration\":\"time:ms\"}','1.0','2021-05-28 11:55:01','2021-05-28 11:55:01',0),(2470,'平台中间件kafka消费堆积','dice_addon','dice_addon_kafka_lag','ticket','recover','【平台中间件kafka消费堆积恢复】\n','【平台中间件kafka消费堆积恢复】\n\n中间件: {{addon_id}}\n\n消费者组: {{group}}\n\nTopic: {{topic}}\n\n当前消息堆积: {{lag_avg}}\n\n集群: {{cluster_name}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n','{\"trigger_duration\":\"time:ms\"}','1.0','2021-05-28 11:55:01','2021-05-28 11:55:01',0),(2471,'平台中间件kafka消费堆积','dice_addon','dice_addon_kafka_lag','email','recover','【平台中间件kafka消费堆积恢复】\n','【平台中间件kafka消费堆积恢复】\n\n中间件: {{addon_id}}\n\n消费者组: {{group}}\n\nTopic: {{topic}}\n\n当前消息堆积: {{lag_avg}}\n\n集群: {{cluster_name}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n','{\"trigger_duration\":\"time:ms\"}','1.0','2021-05-28 11:55:01','2021-05-28 11:55:01',0),(2472,'平台中间件kafka消费堆积','dice_addon','dice_addon_kafka_lag','mbox','recover','【平台中间件kafka消费堆积恢复】\n','【平台中间件kafka消费堆积恢复】\n\n中间件: {{addon_id}}\n\n消费者组: {{group}}\n\nTopic: {{topic}}\n\n当前消息堆积: {{lag_avg}}\n\n集群: {{cluster_name}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n','{\"trigger_duration\":\"time:ms\"}','1.0','2021-05-28 11:55:01','2021-05-28 11:55:01',0),(2473,'平台中间件kafka消费堆积','dice_addon','dice_addon_kafka_lag','webhook','recover','【平台中间件kafka消费堆积恢复】\n','【平台中间件kafka消费堆积恢复】\n\n中间件: {{addon_id}}\n\n消费者组: {{group}}\n\nTopic: {{topic}}\n\n当前消息堆积: {{lag_avg}}\n\n集群: {{cluster_name}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n','{\"trigger_duration\":\"time:ms\"}','1.0','2021-05-28 11:55:01','2021-05-28 11:55:01',0),(2474,'平台组件实例CPU异常','dice_component','dice_component_container_cpu','dingding','alert','【平台组件{{component_name}} CPU使用率告警】\n','【平台组件CPU使用率告警】\n\n组件: {{component_name}}\n\n使用率: {{cpu_usage_percent_avg}}\n\n限制: {{cpu_limit_value}}核\n\n分配: {{cpu_allocation_value}}核\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n容器ID: {{container_id}}\n\n时间: {{timestamp}}\n','{\"cpu_allocation_value\":\"fraction:2\",\"cpu_limit_value\":\"fraction:2\",\"cpu_usage_percent_avg\":\"percent:2\"}','1.0','2021-05-28 11:55:01','2021-05-28 11:55:01',0),(2475,'平台组件实例CPU异常','dice_component','dice_component_container_cpu','ticket','alert','【平台组件{{component_name}} CPU使用率告警】\n','【平台组件CPU使用率告警】\n\n组件: {{component_name}}\n\n使用率: {{cpu_usage_percent_avg}}\n\n限制: {{cpu_limit_value}}核\n\n分配: {{cpu_allocation_value}}核\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n容器ID: {{container_id}}\n\n时间: {{timestamp}}\n','{\"cpu_allocation_value\":\"fraction:2\",\"cpu_limit_value\":\"fraction:2\",\"cpu_usage_percent_avg\":\"percent:2\"}','1.0','2021-05-28 11:55:01','2021-05-28 11:55:01',0),(2476,'平台组件实例CPU异常','dice_component','dice_component_container_cpu','email','alert','【平台组件{{component_name}} CPU使用率告警】\n','【平台组件CPU使用率告警】\n\n组件: {{component_name}}\n\n使用率: {{cpu_usage_percent_avg}}\n\n限制: {{cpu_limit_value}}核\n\n分配: {{cpu_allocation_value}}核\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n容器ID: {{container_id}}\n\n时间: {{timestamp}}\n','{\"cpu_allocation_value\":\"fraction:2\",\"cpu_limit_value\":\"fraction:2\",\"cpu_usage_percent_avg\":\"percent:2\"}','1.0','2021-05-28 11:55:01','2021-05-28 11:55:01',0),(2477,'平台组件实例CPU异常','dice_component','dice_component_container_cpu','mbox','alert','【平台组件{{component_name}} CPU使用率告警】\n','【平台组件CPU使用率告警】\n\n组件: {{component_name}}\n\n使用率: {{cpu_usage_percent_avg}}\n\n限制: {{cpu_limit_value}}核\n\n分配: {{cpu_allocation_value}}核\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n容器ID: {{container_id}}\n\n时间: {{timestamp}}\n','{\"cpu_allocation_value\":\"fraction:2\",\"cpu_limit_value\":\"fraction:2\",\"cpu_usage_percent_avg\":\"percent:2\"}','1.0','2021-05-28 11:55:01','2021-05-28 11:55:01',0),(2478,'平台组件实例CPU异常','dice_component','dice_component_container_cpu','webhook','alert','【平台组件{{component_name}} CPU使用率告警】\n','【平台组件CPU使用率告警】\n\n组件: {{component_name}}\n\n使用率: {{cpu_usage_percent_avg}}\n\n限制: {{cpu_limit_value}}核\n\n分配: {{cpu_allocation_value}}核\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n容器ID: {{container_id}}\n\n时间: {{timestamp}}\n','{\"cpu_allocation_value\":\"fraction:2\",\"cpu_limit_value\":\"fraction:2\",\"cpu_usage_percent_avg\":\"percent:2\"}','1.0','2021-05-28 11:55:01','2021-05-28 11:55:01',0),(2479,'平台组件实例CPU异常','dice_component','dice_component_container_cpu','dingding','recover','【平台组件{{component_name}} CPU使用率恢复】\n','【平台组件CPU使用率恢复】\n\n组件: {{component_name}}\n\n使用率: {{cpu_usage_percent_avg}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n容器ID: {{container_id}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n','{\"cpu_usage_percent_avg\":\"percent:2\",\"trigger_duration\":\"time:ms\"}','1.0','2021-05-28 11:55:01','2021-05-28 11:55:01',0),(2480,'平台组件实例CPU异常','dice_component','dice_component_container_cpu','ticket','recover','【平台组件{{component_name}} CPU使用率恢复】\n','【平台组件CPU使用率恢复】\n\n组件: {{component_name}}\n\n使用率: {{cpu_usage_percent_avg}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n容器ID: {{container_id}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n','{\"cpu_usage_percent_avg\":\"percent:2\",\"trigger_duration\":\"time:ms\"}','1.0','2021-05-28 11:55:01','2021-05-28 11:55:01',0),(2481,'平台组件实例CPU异常','dice_component','dice_component_container_cpu','email','recover','【平台组件{{component_name}} CPU使用率恢复】\n','【平台组件CPU使用率恢复】\n\n组件: {{component_name}}\n\n使用率: {{cpu_usage_percent_avg}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n容器ID: {{container_id}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n','{\"cpu_usage_percent_avg\":\"percent:2\",\"trigger_duration\":\"time:ms\"}','1.0','2021-05-28 11:55:01','2021-05-28 11:55:01',0),(2482,'平台组件实例CPU异常','dice_component','dice_component_container_cpu','mbox','recover','【平台组件{{component_name}} CPU使用率恢复】\n','【平台组件CPU使用率恢复】\n\n组件: {{component_name}}\n\n使用率: {{cpu_usage_percent_avg}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n容器ID: {{container_id}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n','{\"cpu_usage_percent_avg\":\"percent:2\",\"trigger_duration\":\"time:ms\"}','1.0','2021-05-28 11:55:01','2021-05-28 11:55:01',0),(2483,'平台组件实例CPU异常','dice_component','dice_component_container_cpu','webhook','recover','【平台组件{{component_name}} CPU使用率恢复】\n','【平台组件CPU使用率恢复】\n\n组件: {{component_name}}\n\n使用率: {{cpu_usage_percent_avg}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n容器ID: {{container_id}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n','{\"cpu_usage_percent_avg\":\"percent:2\",\"trigger_duration\":\"time:ms\"}','1.0','2021-05-28 11:55:01','2021-05-28 11:55:01',0),(2484,'平台组件异常退出','dice_component','dice_component_container_exit','dingding','alert','【平台组件{{component_name}}异常退出告警】\n','【平台组件异常退出告警】\n\n组件: {{component_name}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n启动时间: {{started_at_value}}\n\n退出时间: {{finished_at_value}}\n\n退出原因: {{terminated_reason_value}}\n\n时间: {{timestamp}}\n\n[查看详情]({{display_url}})\n','{\"finished_at_value\":\"date\",\"started_at_value\":\"date\"}','1.0','2021-05-28 11:55:01','2021-05-28 11:55:01',0),(2485,'平台组件异常退出','dice_component','dice_component_container_exit','ticket','alert','【平台组件{{component_name}}异常退出告警】\n','【平台组件异常退出告警】\n\n组件: {{component_name}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n启动时间: {{started_at_value}}\n\n退出时间: {{finished_at_value}}\n\n退出原因: {{terminated_reason_value}}\n\n时间: {{timestamp}}\n\n[查看详情]({{display_url}})\n','{\"finished_at_value\":\"date\",\"started_at_value\":\"date\"}','1.0','2021-05-28 11:55:01','2021-05-28 11:55:01',0),(2486,'平台组件异常退出','dice_component','dice_component_container_exit','email','alert','【平台组件{{component_name}}异常退出告警】\n','【平台组件异常退出告警】\n\n组件: {{component_name}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n启动时间: {{started_at_value}}\n\n退出时间: {{finished_at_value}}\n\n退出原因: {{terminated_reason_value}}\n\n时间: {{timestamp}}\n\n[查看详情]({{display_url}})\n','{\"finished_at_value\":\"date\",\"started_at_value\":\"date\"}','1.0','2021-05-28 11:55:01','2021-05-28 11:55:01',0),(2487,'平台组件异常退出','dice_component','dice_component_container_exit','mbox','alert','【平台组件{{component_name}}异常退出告警】\n','【平台组件异常退出告警】\n\n组件: {{component_name}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n启动时间: {{started_at_value}}\n\n退出时间: {{finished_at_value}}\n\n退出原因: {{terminated_reason_value}}\n\n时间: {{timestamp}}\n\n[查看详情]({{display_url}})\n','{\"finished_at_value\":\"date\",\"started_at_value\":\"date\"}','1.0','2021-05-28 11:55:01','2021-05-28 11:55:01',0),(2488,'平台组件异常退出','dice_component','dice_component_container_exit','webhook','alert','【平台组件{{component_name}}异常退出告警】\n','【平台组件异常退出告警】\n\n组件: {{component_name}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n启动时间: {{started_at_value}}\n\n退出时间: {{finished_at_value}}\n\n退出原因: {{terminated_reason_value}}\n\n时间: {{timestamp}}\n\n[查看详情]({{display_url}})\n','{\"finished_at_value\":\"date\",\"started_at_value\":\"date\"}','1.0','2021-05-28 11:55:01','2021-05-28 11:55:01',0),(2489,'平台组件异常退出','dice_component','dice_component_container_exit','dingding','recover','【平台组件{{component_name}}异常退出恢复】\n','【平台组件异常退出恢复】\n\n组件: {{component_name}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n','{\"trigger_duration\":\"time:ms\"}','1.0','2021-05-28 11:55:01','2021-05-28 11:55:01',0),(2490,'平台组件异常退出','dice_component','dice_component_container_exit','ticket','recover','【平台组件{{component_name}}异常退出恢复】\n','【平台组件异常退出恢复】\n\n组件: {{component_name}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n','{\"trigger_duration\":\"time:ms\"}','1.0','2021-05-28 11:55:01','2021-05-28 11:55:01',0),(2491,'平台组件异常退出','dice_component','dice_component_container_exit','email','recover','【平台组件{{component_name}}异常退出恢复】\n','【平台组件异常退出恢复】\n\n组件: {{component_name}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n','{\"trigger_duration\":\"time:ms\"}','1.0','2021-05-28 11:55:01','2021-05-28 11:55:01',0),(2492,'平台组件异常退出','dice_component','dice_component_container_exit','mbox','recover','【平台组件{{component_name}}异常退出恢复】\n','【平台组件异常退出恢复】\n\n组件: {{component_name}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n','{\"trigger_duration\":\"time:ms\"}','1.0','2021-05-28 11:55:01','2021-05-28 11:55:01',0),(2493,'平台组件异常退出','dice_component','dice_component_container_exit','webhook','recover','【平台组件{{component_name}}异常退出恢复】\n','【平台组件异常退出恢复】\n\n组件: {{component_name}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n','{\"trigger_duration\":\"time:ms\"}','1.0','2021-05-28 11:55:01','2021-05-28 11:55:01',0),(2494,'平台组件实例内存异常','dice_component','dice_component_container_mem','dingding','alert','【平台组件{{component_name}}内存使用率告警】\n','【平台组件内存使用率告警】\n\n组件: {{component_name}}\n\n使用率: {{mem_usage_percent_avg}}\n\n使用: {{mem_usage_value}}\n\n限制: {{mem_limit_value}}\n\n分配: {{mem_allocation_value}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n容器ID: {{container_id}}\n\n时间: {{timestamp}}\n','{\"mem_allocation_value\":\"size:byte\",\"mem_limit_value\":\"size:byte\",\"mem_usage_percent_avg\":\"percent:2\",\"mem_usage_value\":\"size:byte\"}','1.0','2021-05-28 11:55:01','2021-05-28 11:55:01',0),(2495,'平台组件实例内存异常','dice_component','dice_component_container_mem','ticket','alert','【平台组件{{component_name}}内存使用率告警】\n','【平台组件内存使用率告警】\n\n组件: {{component_name}}\n\n使用率: {{mem_usage_percent_avg}}\n\n使用: {{mem_usage_value}}\n\n限制: {{mem_limit_value}}\n\n分配: {{mem_allocation_value}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n容器ID: {{container_id}}\n\n时间: {{timestamp}}\n','{\"mem_allocation_value\":\"size:byte\",\"mem_limit_value\":\"size:byte\",\"mem_usage_percent_avg\":\"percent:2\",\"mem_usage_value\":\"size:byte\"}','1.0','2021-05-28 11:55:01','2021-05-28 11:55:01',0),(2496,'平台组件实例内存异常','dice_component','dice_component_container_mem','email','alert','【平台组件{{component_name}}内存使用率告警】\n','【平台组件内存使用率告警】\n\n组件: {{component_name}}\n\n使用率: {{mem_usage_percent_avg}}\n\n使用: {{mem_usage_value}}\n\n限制: {{mem_limit_value}}\n\n分配: {{mem_allocation_value}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n容器ID: {{container_id}}\n\n时间: {{timestamp}}\n','{\"mem_allocation_value\":\"size:byte\",\"mem_limit_value\":\"size:byte\",\"mem_usage_percent_avg\":\"percent:2\",\"mem_usage_value\":\"size:byte\"}','1.0','2021-05-28 11:55:01','2021-05-28 11:55:01',0),(2497,'平台组件实例内存异常','dice_component','dice_component_container_mem','mbox','alert','【平台组件{{component_name}}内存使用率告警】\n','【平台组件内存使用率告警】\n\n组件: {{component_name}}\n\n使用率: {{mem_usage_percent_avg}}\n\n使用: {{mem_usage_value}}\n\n限制: {{mem_limit_value}}\n\n分配: {{mem_allocation_value}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n容器ID: {{container_id}}\n\n时间: {{timestamp}}\n','{\"mem_allocation_value\":\"size:byte\",\"mem_limit_value\":\"size:byte\",\"mem_usage_percent_avg\":\"percent:2\",\"mem_usage_value\":\"size:byte\"}','1.0','2021-05-28 11:55:01','2021-05-28 11:55:01',0),(2498,'平台组件实例内存异常','dice_component','dice_component_container_mem','webhook','alert','【平台组件{{component_name}}内存使用率告警】\n','【平台组件内存使用率告警】\n\n组件: {{component_name}}\n\n使用率: {{mem_usage_percent_avg}}\n\n使用: {{mem_usage_value}}\n\n限制: {{mem_limit_value}}\n\n分配: {{mem_allocation_value}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n容器ID: {{container_id}}\n\n时间: {{timestamp}}\n','{\"mem_allocation_value\":\"size:byte\",\"mem_limit_value\":\"size:byte\",\"mem_usage_percent_avg\":\"percent:2\",\"mem_usage_value\":\"size:byte\"}','1.0','2021-05-28 11:55:01','2021-05-28 11:55:01',0),(2499,'平台组件实例内存异常','dice_component','dice_component_container_mem','dingding','recover','【平台组件{{component_name}}内存使用率恢复】\n','【平台组件内存使用率恢复】\n\n组件: {{component_name}}\n\n使用率: {{mem_usage_percent_avg}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n容器ID: {{container_id}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n','{\"trigger_duration\":\"time:ms\",\"usage_percent_avg\":\"percent:2\"}','1.0','2021-05-28 11:55:01','2021-05-28 11:55:01',0),(2500,'平台组件实例内存异常','dice_component','dice_component_container_mem','ticket','recover','【平台组件{{component_name}}内存使用率恢复】\n','【平台组件内存使用率恢复】\n\n组件: {{component_name}}\n\n使用率: {{mem_usage_percent_avg}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n容器ID: {{container_id}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n','{\"trigger_duration\":\"time:ms\",\"usage_percent_avg\":\"percent:2\"}','1.0','2021-05-28 11:55:01','2021-05-28 11:55:01',0),(2501,'平台组件实例内存异常','dice_component','dice_component_container_mem','email','recover','【平台组件{{component_name}}内存使用率恢复】\n','【平台组件内存使用率恢复】\n\n组件: {{component_name}}\n\n使用率: {{mem_usage_percent_avg}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n容器ID: {{container_id}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n','{\"trigger_duration\":\"time:ms\",\"usage_percent_avg\":\"percent:2\"}','1.0','2021-05-28 11:55:01','2021-05-28 11:55:01',0),(2502,'平台组件实例内存异常','dice_component','dice_component_container_mem','mbox','recover','【平台组件{{component_name}}内存使用率恢复】\n','【平台组件内存使用率恢复】\n\n组件: {{component_name}}\n\n使用率: {{mem_usage_percent_avg}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n容器ID: {{container_id}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n','{\"trigger_duration\":\"time:ms\",\"usage_percent_avg\":\"percent:2\"}','1.0','2021-05-28 11:55:01','2021-05-28 11:55:01',0),(2503,'平台组件实例内存异常','dice_component','dice_component_container_mem','webhook','recover','【平台组件{{component_name}}内存使用率恢复】\n','【平台组件内存使用率恢复】\n\n组件: {{component_name}}\n\n使用率: {{mem_usage_percent_avg}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n容器ID: {{container_id}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n','{\"trigger_duration\":\"time:ms\",\"usage_percent_avg\":\"percent:2\"}','1.0','2021-05-28 11:55:01','2021-05-28 11:55:01',0),(2504,'平台组件实例Ready状态异常','dice_component','dice_component_container_ready','dingding','alert','【平台组件{{component_name}} Ready状态异常告警】\n','【平台组件Ready状态异常告警】\n\n组件: {{component_name}}\n\n未就绪实例: {{not_ready_value}}\n\n已就绪实例: {{ready_value}}\n\n集群: {{cluster_name}}\n\n时间: {{timestamp}}\n','','1.0','2021-05-28 11:55:01','2021-05-28 11:55:01',0),(2505,'平台组件实例Ready状态异常','dice_component','dice_component_container_ready','ticket','alert','【平台组件{{component_name}} Ready状态异常告警】\n','【平台组件Ready状态异常告警】\n\n组件: {{component_name}}\n\n未就绪实例: {{not_ready_value}}\n\n已就绪实例: {{ready_value}}\n\n集群: {{cluster_name}}\n\n时间: {{timestamp}}\n','','1.0','2021-05-28 11:55:01','2021-05-28 11:55:01',0),(2506,'平台组件实例Ready状态异常','dice_component','dice_component_container_ready','email','alert','【平台组件{{component_name}} Ready状态异常告警】\n','【平台组件Ready状态异常告警】\n\n组件: {{component_name}}\n\n未就绪实例: {{not_ready_value}}\n\n已就绪实例: {{ready_value}}\n\n集群: {{cluster_name}}\n\n时间: {{timestamp}}\n','','1.0','2021-05-28 11:55:01','2021-05-28 11:55:01',0),(2507,'平台组件实例Ready状态异常','dice_component','dice_component_container_ready','mbox','alert','【平台组件{{component_name}} Ready状态异常告警】\n','【平台组件Ready状态异常告警】\n\n组件: {{component_name}}\n\n未就绪实例: {{not_ready_value}}\n\n已就绪实例: {{ready_value}}\n\n集群: {{cluster_name}}\n\n时间: {{timestamp}}\n','','1.0','2021-05-28 11:55:01','2021-05-28 11:55:01',0),(2508,'平台组件实例Ready状态异常','dice_component','dice_component_container_ready','webhook','alert','【平台组件{{component_name}} Ready状态异常告警】\n','【平台组件Ready状态异常告警】\n\n组件: {{component_name}}\n\n未就绪实例: {{not_ready_value}}\n\n已就绪实例: {{ready_value}}\n\n集群: {{cluster_name}}\n\n时间: {{timestamp}}\n','','1.0','2021-05-28 11:55:01','2021-05-28 11:55:01',0),(2509,'平台组件实例Ready状态异常','dice_component','dice_component_container_ready','dingding','recover','【平台组件{{component_name}} Ready状态异常恢复】\n','【平台组件Ready状态异常恢复】\n\n组件: {{component_name}}\n\n已绪数实例: {{ready_value}}\n\n集群: {{cluster_name}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n','{\"trigger_duration\":\"time:ms\"}','1.0','2021-05-28 11:55:01','2021-05-28 11:55:01',0),(2510,'平台组件实例Ready状态异常','dice_component','dice_component_container_ready','ticket','recover','【平台组件{{component_name}} Ready状态异常恢复】\n','【平台组件Ready状态异常恢复】\n\n组件: {{component_name}}\n\n已绪数实例: {{ready_value}}\n\n集群: {{cluster_name}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n','{\"trigger_duration\":\"time:ms\"}','1.0','2021-05-28 11:55:01','2021-05-28 11:55:01',0),(2511,'平台组件实例Ready状态异常','dice_component','dice_component_container_ready','email','recover','【平台组件{{component_name}} Ready状态异常恢复】\n','【平台组件Ready状态异常恢复】\n\n组件: {{component_name}}\n\n已绪数实例: {{ready_value}}\n\n集群: {{cluster_name}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n','{\"trigger_duration\":\"time:ms\"}','1.0','2021-05-28 11:55:01','2021-05-28 11:55:01',0),(2512,'平台组件实例Ready状态异常','dice_component','dice_component_container_ready','mbox','recover','【平台组件{{component_name}} Ready状态异常恢复】\n','【平台组件Ready状态异常恢复】\n\n组件: {{component_name}}\n\n已绪数实例: {{ready_value}}\n\n集群: {{cluster_name}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n','{\"trigger_duration\":\"time:ms\"}','1.0','2021-05-28 11:55:01','2021-05-28 11:55:01',0),(2513,'平台组件实例Ready状态异常','dice_component','dice_component_container_ready','webhook','recover','【平台组件{{component_name}} Ready状态异常恢复】\n','【平台组件Ready状态异常恢复】\n\n组件: {{component_name}}\n\n已绪数实例: {{ready_value}}\n\n集群: {{cluster_name}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n','{\"trigger_duration\":\"time:ms\"}','1.0','2021-05-28 11:55:01','2021-05-28 11:55:01',0),(2514,'平台组件Flink任务checkpoint延迟异常告警','dice_component','dice_component_flink_checkpoint_duration','dingding','alert','【平台组件Flink任务checkpoint延迟异常告警】\n','【平台组件Flink任务checkpoint延迟异常告警】\n\n延迟: {{lastCheckpointDuration_value}}ms\n\n任务ID： {{job_id}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n时间: {{timestamp}}','{}','1.0','2021-05-28 11:55:01','2021-05-28 11:55:01',0),(2515,'平台组件Flink任务checkpoint延迟异常告警','dice_component','dice_component_flink_checkpoint_duration','ticket','alert','【平台组件Flink任务checkpoint延迟异常告警】\n','【平台组件Flink任务checkpoint延迟异常告警】\n\n延迟: {{lastCheckpointDuration_value}}ms\n\n任务ID： {{job_id}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n时间: {{timestamp}}','{}','1.0','2021-05-28 11:55:01','2021-05-28 11:55:01',0),(2516,'平台组件Flink任务checkpoint延迟异常告警','dice_component','dice_component_flink_checkpoint_duration','email','alert','【平台组件Flink任务checkpoint延迟异常告警】\n','【平台组件Flink任务checkpoint延迟异常告警】\n\n延迟: {{lastCheckpointDuration_value}}ms\n\n任务ID： {{job_id}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n时间: {{timestamp}}','{}','1.0','2021-05-28 11:55:01','2021-05-28 11:55:01',0),(2517,'平台组件Flink任务checkpoint延迟异常告警','dice_component','dice_component_flink_checkpoint_duration','mbox','alert','【平台组件Flink任务checkpoint延迟异常告警】\n','【平台组件Flink任务checkpoint延迟异常告警】\n\n延迟: {{lastCheckpointDuration_value}}ms\n\n任务ID： {{job_id}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n时间: {{timestamp}}','{}','1.0','2021-05-28 11:55:01','2021-05-28 11:55:01',0),(2518,'平台组件Flink任务checkpoint延迟异常告警','dice_component','dice_component_flink_checkpoint_duration','webhook','alert','【平台组件Flink任务checkpoint延迟异常告警】\n','【平台组件Flink任务checkpoint延迟异常告警】\n\n延迟: {{lastCheckpointDuration_value}}ms\n\n任务ID： {{job_id}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n时间: {{timestamp}}','{}','1.0','2021-05-28 11:55:01','2021-05-28 11:55:01',0),(2519,'平台组件Flink吞吐量异常告警','dice_component','dice_component_flink_throughput','dingding','alert','【平台组件Flink吞吐量异常告警】\n','【平台组件Flink吞吐量异常告警】\n\noperator每秒输出量: {{numRecordsOutPerSecond_count_value}}\n\n任务ID： {{job_id}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n时间: {{timestamp}}','{}','1.0','2021-05-28 11:55:01','2021-05-28 11:55:01',0),(2520,'平台组件Flink吞吐量异常告警','dice_component','dice_component_flink_throughput','ticket','alert','【平台组件Flink吞吐量异常告警】\n','【平台组件Flink吞吐量异常告警】\n\noperator每秒输出量: {{numRecordsOutPerSecond_count_value}}\n\n任务ID： {{job_id}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n时间: {{timestamp}}','{}','1.0','2021-05-28 11:55:01','2021-05-28 11:55:01',0),(2521,'平台组件Flink吞吐量异常告警','dice_component','dice_component_flink_throughput','email','alert','【平台组件Flink吞吐量异常告警】\n','【平台组件Flink吞吐量异常告警】\n\noperator每秒输出量: {{numRecordsOutPerSecond_count_value}}\n\n任务ID： {{job_id}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n时间: {{timestamp}}','{}','1.0','2021-05-28 11:55:01','2021-05-28 11:55:01',0),(2522,'平台组件Flink吞吐量异常告警','dice_component','dice_component_flink_throughput','mbox','alert','【平台组件Flink吞吐量异常告警】\n','【平台组件Flink吞吐量异常告警】\n\noperator每秒输出量: {{numRecordsOutPerSecond_count_value}}\n\n任务ID： {{job_id}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n时间: {{timestamp}}','{}','1.0','2021-05-28 11:55:01','2021-05-28 11:55:01',0),(2523,'平台组件Flink吞吐量异常告警','dice_component','dice_component_flink_throughput','webhook','alert','【平台组件Flink吞吐量异常告警】\n','【平台组件Flink吞吐量异常告警】\n\noperator每秒输出量: {{numRecordsOutPerSecond_count_value}}\n\n任务ID： {{job_id}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n时间: {{timestamp}}','{}','1.0','2021-05-28 11:55:01','2021-05-28 11:55:01',0),(2524,'平台组件网盘不可用告警','dice_component','dice_component_gfs_status','dingding','alert','【平台组件网盘疑似不可用告警】\n','【平台组件网盘疑似不可用告警】\n\n组件: {{component_name}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n时间: {{timestamp}}','{}','1.0','2021-05-28 11:55:01','2021-05-28 11:55:01',0),(2525,'平台组件网盘不可用告警','dice_component','dice_component_gfs_status','ticket','alert','【平台组件网盘疑似不可用告警】\n','【平台组件网盘疑似不可用告警】\n\n组件: {{component_name}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n时间: {{timestamp}}','{}','1.0','2021-05-28 11:55:01','2021-05-28 11:55:01',0),(2526,'平台组件网盘不可用告警','dice_component','dice_component_gfs_status','email','alert','【平台组件网盘疑似不可用告警】\n','【平台组件网盘疑似不可用告警】\n\n组件: {{component_name}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n时间: {{timestamp}}','{}','1.0','2021-05-28 11:55:01','2021-05-28 11:55:01',0),(2527,'平台组件网盘不可用告警','dice_component','dice_component_gfs_status','mbox','alert','【平台组件网盘疑似不可用告警】\n','【平台组件网盘疑似不可用告警】\n\n组件: {{component_name}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n时间: {{timestamp}}','{}','1.0','2021-05-28 11:55:01','2021-05-28 11:55:01',0),(2528,'平台组件网盘不可用告警','dice_component','dice_component_gfs_status','webhook','alert','【平台组件网盘疑似不可用告警】\n','【平台组件网盘疑似不可用告警】\n\n组件: {{component_name}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n时间: {{timestamp}}','{}','1.0','2021-05-28 11:55:01','2021-05-28 11:55:01',0),(2529,'kubernetes组件实例CPU异常','kubernetes','kubernetes_instance_cpu','dingding','alert','【{{cluster_name}}集群kubernetes组件{{pod_name}} CPU使用率告警】\n','【kubernetes组件CPU使用率告警】\n\nPod: {{pod_name}}\n\n使用率: {{cpu_usage_percent_avg}}\n\n限制: {{cpu_limit_value}}核\n\n分配: {{cpu_allocation_value}}核\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n容器ID: {{container_id}}\n\n时间: {{timestamp}}\n','{\"cpu_allocation_value\":\"fraction:2\",\"cpu_limit_value\":\"fraction:2\",\"cpu_usage_percent_avg\":\"percent:2\"}','1.0','2021-05-28 11:55:01','2021-05-28 11:55:01',0),(2530,'kubernetes组件实例CPU异常','kubernetes','kubernetes_instance_cpu','ticket','alert','【{{cluster_name}}集群kubernetes组件{{pod_name}} CPU使用率告警】\n','【kubernetes组件CPU使用率告警】\n\nPod: {{pod_name}}\n\n使用率: {{cpu_usage_percent_avg}}\n\n限制: {{cpu_limit_value}}核\n\n分配: {{cpu_allocation_value}}核\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n容器ID: {{container_id}}\n\n时间: {{timestamp}}\n','{\"cpu_allocation_value\":\"fraction:2\",\"cpu_limit_value\":\"fraction:2\",\"cpu_usage_percent_avg\":\"percent:2\"}','1.0','2021-05-28 11:55:01','2021-05-28 11:55:01',0),(2531,'kubernetes组件实例CPU异常','kubernetes','kubernetes_instance_cpu','email','alert','【{{cluster_name}}集群kubernetes组件{{pod_name}} CPU使用率告警】\n','【kubernetes组件CPU使用率告警】\n\nPod: {{pod_name}}\n\n使用率: {{cpu_usage_percent_avg}}\n\n限制: {{cpu_limit_value}}核\n\n分配: {{cpu_allocation_value}}核\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n容器ID: {{container_id}}\n\n时间: {{timestamp}}\n','{\"cpu_allocation_value\":\"fraction:2\",\"cpu_limit_value\":\"fraction:2\",\"cpu_usage_percent_avg\":\"percent:2\"}','1.0','2021-05-28 11:55:01','2021-05-28 11:55:01',0),(2532,'kubernetes组件实例CPU异常','kubernetes','kubernetes_instance_cpu','mbox','alert','【{{cluster_name}}集群kubernetes组件{{pod_name}} CPU使用率告警】\n','【kubernetes组件CPU使用率告警】\n\nPod: {{pod_name}}\n\n使用率: {{cpu_usage_percent_avg}}\n\n限制: {{cpu_limit_value}}核\n\n分配: {{cpu_allocation_value}}核\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n容器ID: {{container_id}}\n\n时间: {{timestamp}}\n','{\"cpu_allocation_value\":\"fraction:2\",\"cpu_limit_value\":\"fraction:2\",\"cpu_usage_percent_avg\":\"percent:2\"}','1.0','2021-05-28 11:55:01','2021-05-28 11:55:01',0),(2533,'kubernetes组件实例CPU异常','kubernetes','kubernetes_instance_cpu','webhook','alert','【{{cluster_name}}集群kubernetes组件{{pod_name}} CPU使用率告警】\n','【kubernetes组件CPU使用率告警】\n\nPod: {{pod_name}}\n\n使用率: {{cpu_usage_percent_avg}}\n\n限制: {{cpu_limit_value}}核\n\n分配: {{cpu_allocation_value}}核\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n容器ID: {{container_id}}\n\n时间: {{timestamp}}\n','{\"cpu_allocation_value\":\"fraction:2\",\"cpu_limit_value\":\"fraction:2\",\"cpu_usage_percent_avg\":\"percent:2\"}','1.0','2021-05-28 11:55:01','2021-05-28 11:55:01',0),(2534,'kubernetes组件实例CPU异常','kubernetes','kubernetes_instance_cpu','dingding','recover','【{{cluster_name}}集群kubernetes组件{{pod_name}} CPU使用率恢复】\n','【kubernetes组件CPU使用率恢复】\n\nPod: {{pod_name}}\n\n使用率: {{cpu_usage_percent_avg}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n容器ID: {{container_id}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n','{\"cpu_usage_percent_avg\":\"percent:2\",\"trigger_duration\":\"time:ms\"}','1.0','2021-05-28 11:55:01','2021-05-28 11:55:01',0),(2535,'kubernetes组件实例CPU异常','kubernetes','kubernetes_instance_cpu','ticket','recover','【{{cluster_name}}集群kubernetes组件{{pod_name}} CPU使用率恢复】\n','【kubernetes组件CPU使用率恢复】\n\nPod: {{pod_name}}\n\n使用率: {{cpu_usage_percent_avg}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n容器ID: {{container_id}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n','{\"cpu_usage_percent_avg\":\"percent:2\",\"trigger_duration\":\"time:ms\"}','1.0','2021-05-28 11:55:01','2021-05-28 11:55:01',0),(2536,'kubernetes组件实例CPU异常','kubernetes','kubernetes_instance_cpu','email','recover','【{{cluster_name}}集群kubernetes组件{{pod_name}} CPU使用率恢复】\n','【kubernetes组件CPU使用率恢复】\n\nPod: {{pod_name}}\n\n使用率: {{cpu_usage_percent_avg}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n容器ID: {{container_id}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n','{\"cpu_usage_percent_avg\":\"percent:2\",\"trigger_duration\":\"time:ms\"}','1.0','2021-05-28 11:55:01','2021-05-28 11:55:01',0),(2537,'kubernetes组件实例CPU异常','kubernetes','kubernetes_instance_cpu','mbox','recover','【{{cluster_name}}集群kubernetes组件{{pod_name}} CPU使用率恢复】\n','【kubernetes组件CPU使用率恢复】\n\nPod: {{pod_name}}\n\n使用率: {{cpu_usage_percent_avg}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n容器ID: {{container_id}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n','{\"cpu_usage_percent_avg\":\"percent:2\",\"trigger_duration\":\"time:ms\"}','1.0','2021-05-28 11:55:01','2021-05-28 11:55:01',0),(2538,'kubernetes组件实例CPU异常','kubernetes','kubernetes_instance_cpu','webhook','recover','【{{cluster_name}}集群kubernetes组件{{pod_name}} CPU使用率恢复】\n','【kubernetes组件CPU使用率恢复】\n\nPod: {{pod_name}}\n\n使用率: {{cpu_usage_percent_avg}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n容器ID: {{container_id}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n','{\"cpu_usage_percent_avg\":\"percent:2\",\"trigger_duration\":\"time:ms\"}','1.0','2021-05-28 11:55:01','2021-05-28 11:55:01',0),(2539,'kubernetes组件异常退出','kubernetes','kubernetes_instance_exit','dingding','alert','【{{cluster_name}}集群kubernetes组件{{pod_name}}异常退出告警】\n','【kubernetes组件异常退出告警】\n\n组件: {{pod_name}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n启动时间: {{started_at_value}}\n\n退出时间: {{finished_at_value}}\n\n退出原因: {{terminated_reason_value}}\n\n时间: {{timestamp}}\n\n[查看详情]({{display_url}})\n','{\"finished_at_value\":\"date\",\"started_at_value\":\"date\"}','1.0','2021-05-28 11:55:01','2021-05-28 11:55:01',0),(2540,'kubernetes组件异常退出','kubernetes','kubernetes_instance_exit','ticket','alert','【{{cluster_name}}集群kubernetes组件{{pod_name}}异常退出告警】\n','【kubernetes组件异常退出告警】\n\n组件: {{pod_name}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n启动时间: {{started_at_value}}\n\n退出时间: {{finished_at_value}}\n\n退出原因: {{terminated_reason_value}}\n\n时间: {{timestamp}}\n\n[查看详情]({{display_url}})\n','{\"finished_at_value\":\"date\",\"started_at_value\":\"date\"}','1.0','2021-05-28 11:55:01','2021-05-28 11:55:01',0),(2541,'kubernetes组件异常退出','kubernetes','kubernetes_instance_exit','email','alert','【{{cluster_name}}集群kubernetes组件{{pod_name}}异常退出告警】\n','【kubernetes组件异常退出告警】\n\n组件: {{pod_name}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n启动时间: {{started_at_value}}\n\n退出时间: {{finished_at_value}}\n\n退出原因: {{terminated_reason_value}}\n\n时间: {{timestamp}}\n\n[查看详情]({{display_url}})\n','{\"finished_at_value\":\"date\",\"started_at_value\":\"date\"}','1.0','2021-05-28 11:55:01','2021-05-28 11:55:01',0),(2542,'kubernetes组件异常退出','kubernetes','kubernetes_instance_exit','mbox','alert','【{{cluster_name}}集群kubernetes组件{{pod_name}}异常退出告警】\n','【kubernetes组件异常退出告警】\n\n组件: {{pod_name}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n启动时间: {{started_at_value}}\n\n退出时间: {{finished_at_value}}\n\n退出原因: {{terminated_reason_value}}\n\n时间: {{timestamp}}\n\n[查看详情]({{display_url}})\n','{\"finished_at_value\":\"date\",\"started_at_value\":\"date\"}','1.0','2021-05-28 11:55:01','2021-05-28 11:55:01',0),(2543,'kubernetes组件异常退出','kubernetes','kubernetes_instance_exit','webhook','alert','【{{cluster_name}}集群kubernetes组件{{pod_name}}异常退出告警】\n','【kubernetes组件异常退出告警】\n\n组件: {{pod_name}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n启动时间: {{started_at_value}}\n\n退出时间: {{finished_at_value}}\n\n退出原因: {{terminated_reason_value}}\n\n时间: {{timestamp}}\n\n[查看详情]({{display_url}})\n','{\"finished_at_value\":\"date\",\"started_at_value\":\"date\"}','1.0','2021-05-28 11:55:01','2021-05-28 11:55:01',0),(2544,'kubernetes组件异常退出','kubernetes','kubernetes_instance_exit','dingding','recover','【{{cluster_name}}集群kubernetes组件{{pod_name}}异常退出恢复】\n','【kubernetes组件异常退出恢复】\n\n组件: {{pod_name}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n','{\"trigger_duration\":\"time:ms\"}','1.0','2021-05-28 11:55:01','2021-05-28 11:55:01',0),(2545,'kubernetes组件异常退出','kubernetes','kubernetes_instance_exit','ticket','recover','【{{cluster_name}}集群kubernetes组件{{pod_name}}异常退出恢复】\n','【kubernetes组件异常退出恢复】\n\n组件: {{pod_name}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n','{\"trigger_duration\":\"time:ms\"}','1.0','2021-05-28 11:55:01','2021-05-28 11:55:01',0),(2546,'kubernetes组件异常退出','kubernetes','kubernetes_instance_exit','email','recover','【{{cluster_name}}集群kubernetes组件{{pod_name}}异常退出恢复】\n','【kubernetes组件异常退出恢复】\n\n组件: {{pod_name}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n','{\"trigger_duration\":\"time:ms\"}','1.0','2021-05-28 11:55:01','2021-05-28 11:55:01',0),(2547,'kubernetes组件异常退出','kubernetes','kubernetes_instance_exit','mbox','recover','【{{cluster_name}}集群kubernetes组件{{pod_name}}异常退出恢复】\n','【kubernetes组件异常退出恢复】\n\n组件: {{pod_name}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n','{\"trigger_duration\":\"time:ms\"}','1.0','2021-05-28 11:55:01','2021-05-28 11:55:01',0),(2548,'kubernetes组件异常退出','kubernetes','kubernetes_instance_exit','webhook','recover','【{{cluster_name}}集群kubernetes组件{{pod_name}}异常退出恢复】\n','【kubernetes组件异常退出恢复】\n\n组件: {{pod_name}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n','{\"trigger_duration\":\"time:ms\"}','1.0','2021-05-28 11:55:01','2021-05-28 11:55:01',0),(2549,'kubernetes组件实例内存异常','kubernetes','kubernetes_instance_mem','dingding','alert','【{{cluster_name}}集群kubernetes组件{{pod_name}}内存使用率告警】\n','【kubernetes组件内存使用率告警】\n\nPod: {{pod_name}}\n\n使用率: {{mem_usage_percent_avg}}\n\n使用: {{mem_usage_value}}\n\n限制: {{mem_limit_value}}\n\n分配: {{mem_allocation_value}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n容器ID: {{container_id}}\n\n时间: {{timestamp}}\n','{\"mem_allocation_value\":\"size:byte\",\"mem_limit_value\":\"size:byte\",\"mem_usage_percent_avg\":\"percent:2\",\"mem_usage_value\":\"size:byte\"}','1.0','2021-05-28 11:55:01','2021-05-28 11:55:01',0),(2550,'kubernetes组件实例内存异常','kubernetes','kubernetes_instance_mem','ticket','alert','【{{cluster_name}}集群kubernetes组件{{pod_name}}内存使用率告警】\n','【kubernetes组件内存使用率告警】\n\nPod: {{pod_name}}\n\n使用率: {{mem_usage_percent_avg}}\n\n使用: {{mem_usage_value}}\n\n限制: {{mem_limit_value}}\n\n分配: {{mem_allocation_value}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n容器ID: {{container_id}}\n\n时间: {{timestamp}}\n','{\"mem_allocation_value\":\"size:byte\",\"mem_limit_value\":\"size:byte\",\"mem_usage_percent_avg\":\"percent:2\",\"mem_usage_value\":\"size:byte\"}','1.0','2021-05-28 11:55:01','2021-05-28 11:55:01',0),(2551,'kubernetes组件实例内存异常','kubernetes','kubernetes_instance_mem','email','alert','【{{cluster_name}}集群kubernetes组件{{pod_name}}内存使用率告警】\n','【kubernetes组件内存使用率告警】\n\nPod: {{pod_name}}\n\n使用率: {{mem_usage_percent_avg}}\n\n使用: {{mem_usage_value}}\n\n限制: {{mem_limit_value}}\n\n分配: {{mem_allocation_value}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n容器ID: {{container_id}}\n\n时间: {{timestamp}}\n','{\"mem_allocation_value\":\"size:byte\",\"mem_limit_value\":\"size:byte\",\"mem_usage_percent_avg\":\"percent:2\",\"mem_usage_value\":\"size:byte\"}','1.0','2021-05-28 11:55:01','2021-05-28 11:55:01',0),(2552,'kubernetes组件实例内存异常','kubernetes','kubernetes_instance_mem','mbox','alert','【{{cluster_name}}集群kubernetes组件{{pod_name}}内存使用率告警】\n','【kubernetes组件内存使用率告警】\n\nPod: {{pod_name}}\n\n使用率: {{mem_usage_percent_avg}}\n\n使用: {{mem_usage_value}}\n\n限制: {{mem_limit_value}}\n\n分配: {{mem_allocation_value}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n容器ID: {{container_id}}\n\n时间: {{timestamp}}\n','{\"mem_allocation_value\":\"size:byte\",\"mem_limit_value\":\"size:byte\",\"mem_usage_percent_avg\":\"percent:2\",\"mem_usage_value\":\"size:byte\"}','1.0','2021-05-28 11:55:01','2021-05-28 11:55:01',0),(2553,'kubernetes组件实例内存异常','kubernetes','kubernetes_instance_mem','webhook','alert','【{{cluster_name}}集群kubernetes组件{{pod_name}}内存使用率告警】\n','【kubernetes组件内存使用率告警】\n\nPod: {{pod_name}}\n\n使用率: {{mem_usage_percent_avg}}\n\n使用: {{mem_usage_value}}\n\n限制: {{mem_limit_value}}\n\n分配: {{mem_allocation_value}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n容器ID: {{container_id}}\n\n时间: {{timestamp}}\n','{\"mem_allocation_value\":\"size:byte\",\"mem_limit_value\":\"size:byte\",\"mem_usage_percent_avg\":\"percent:2\",\"mem_usage_value\":\"size:byte\"}','1.0','2021-05-28 11:55:01','2021-05-28 11:55:01',0),(2554,'kubernetes组件实例内存异常','kubernetes','kubernetes_instance_mem','dingding','recover','【{{cluster_name}}集群kubernetes组件{{pod_name}}内存使用率恢复】\n','【kubernetes组件内存使用率恢复】\n\nPod: {{pod_name}}\n\n使用率: {{mem_usage_percent_avg}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n容器ID: {{container_id}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n','{\"mem_usage_percent_avg\":\"percent:2\",\"trigger_duration\":\"time:ms\"}','1.0','2021-05-28 11:55:01','2021-05-28 11:55:01',0),(2555,'kubernetes组件实例内存异常','kubernetes','kubernetes_instance_mem','ticket','recover','【{{cluster_name}}集群kubernetes组件{{pod_name}}内存使用率恢复】\n','【kubernetes组件内存使用率恢复】\n\nPod: {{pod_name}}\n\n使用率: {{mem_usage_percent_avg}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n容器ID: {{container_id}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n','{\"mem_usage_percent_avg\":\"percent:2\",\"trigger_duration\":\"time:ms\"}','1.0','2021-05-28 11:55:01','2021-05-28 11:55:01',0),(2556,'kubernetes组件实例内存异常','kubernetes','kubernetes_instance_mem','email','recover','【{{cluster_name}}集群kubernetes组件{{pod_name}}内存使用率恢复】\n','【kubernetes组件内存使用率恢复】\n\nPod: {{pod_name}}\n\n使用率: {{mem_usage_percent_avg}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n容器ID: {{container_id}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n','{\"mem_usage_percent_avg\":\"percent:2\",\"trigger_duration\":\"time:ms\"}','1.0','2021-05-28 11:55:01','2021-05-28 11:55:01',0);

INSERT INTO `sp_alert_notify_template` (`id`, `name`, `alert_type`, `alert_index`, `target`, `trigger`, `title`, `template`, `formats`, `version`, `create_time`, `update_time`, `enable`) VALUES (2557,'kubernetes组件实例内存异常','kubernetes','kubernetes_instance_mem','mbox','recover','【{{cluster_name}}集群kubernetes组件{{pod_name}}内存使用率恢复】\n','【kubernetes组件内存使用率恢复】\n\nPod: {{pod_name}}\n\n使用率: {{mem_usage_percent_avg}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n容器ID: {{container_id}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n','{\"mem_usage_percent_avg\":\"percent:2\",\"trigger_duration\":\"time:ms\"}','1.0','2021-05-28 11:55:01','2021-05-28 11:55:01',0),(2558,'kubernetes组件实例内存异常','kubernetes','kubernetes_instance_mem','webhook','recover','【{{cluster_name}}集群kubernetes组件{{pod_name}}内存使用率恢复】\n','【kubernetes组件内存使用率恢复】\n\nPod: {{pod_name}}\n\n使用率: {{mem_usage_percent_avg}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n容器ID: {{container_id}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n','{\"mem_usage_percent_avg\":\"percent:2\",\"trigger_duration\":\"time:ms\"}','1.0','2021-05-28 11:55:01','2021-05-28 11:55:01',0),(2559,'kubernetes组件实例Ready状态异常','kubernetes','kubernetes_instance_ready','dingding','alert','【{{cluster_name}}集群kubernetes组件{{resource_name_value}} Ready状态告警】\n','【kubernetes组件Ready状态告警】\n\n组件: {{resource_name_value}}\n\n未就绪实例: {{not_ready_value}}\n\n已就绪实例: {{ready_value}}\n\n集群: {{cluster_name}}\n\n时间: {{timestamp}}\n','','1.0','2021-05-28 11:55:01','2021-05-28 11:55:01',0),(2560,'kubernetes组件实例Ready状态异常','kubernetes','kubernetes_instance_ready','ticket','alert','【{{cluster_name}}集群kubernetes组件{{resource_name_value}} Ready状态告警】\n','【kubernetes组件Ready状态告警】\n\n组件: {{resource_name_value}}\n\n未就绪实例: {{not_ready_value}}\n\n已就绪实例: {{ready_value}}\n\n集群: {{cluster_name}}\n\n时间: {{timestamp}}\n','','1.0','2021-05-28 11:55:01','2021-05-28 11:55:01',0),(2561,'kubernetes组件实例Ready状态异常','kubernetes','kubernetes_instance_ready','email','alert','【{{cluster_name}}集群kubernetes组件{{resource_name_value}} Ready状态告警】\n','【kubernetes组件Ready状态告警】\n\n组件: {{resource_name_value}}\n\n未就绪实例: {{not_ready_value}}\n\n已就绪实例: {{ready_value}}\n\n集群: {{cluster_name}}\n\n时间: {{timestamp}}\n','','1.0','2021-05-28 11:55:01','2021-05-28 11:55:01',0),(2562,'kubernetes组件实例Ready状态异常','kubernetes','kubernetes_instance_ready','mbox','alert','【{{cluster_name}}集群kubernetes组件{{resource_name_value}} Ready状态告警】\n','【kubernetes组件Ready状态告警】\n\n组件: {{resource_name_value}}\n\n未就绪实例: {{not_ready_value}}\n\n已就绪实例: {{ready_value}}\n\n集群: {{cluster_name}}\n\n时间: {{timestamp}}\n','','1.0','2021-05-28 11:55:01','2021-05-28 11:55:01',0),(2563,'kubernetes组件实例Ready状态异常','kubernetes','kubernetes_instance_ready','webhook','alert','【{{cluster_name}}集群kubernetes组件{{resource_name_value}} Ready状态告警】\n','【kubernetes组件Ready状态告警】\n\n组件: {{resource_name_value}}\n\n未就绪实例: {{not_ready_value}}\n\n已就绪实例: {{ready_value}}\n\n集群: {{cluster_name}}\n\n时间: {{timestamp}}\n','','1.0','2021-05-28 11:55:01','2021-05-28 11:55:01',0),(2564,'kubernetes组件实例Ready状态异常','kubernetes','kubernetes_instance_ready','dingding','recover','【{{cluster_name}}集群kubernetes组件{{resource_name_value}} Ready状态恢复】\n','【kubernetes组件Ready状态恢复】\n\n组件: {{resource_name_value}}\n\n集群: {{cluster_name}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n','{\"trigger_duration\":\"time:ms\"}','1.0','2021-05-28 11:55:01','2021-05-28 11:55:01',0),(2565,'kubernetes组件实例Ready状态异常','kubernetes','kubernetes_instance_ready','ticket','recover','【{{cluster_name}}集群kubernetes组件{{resource_name_value}} Ready状态恢复】\n','【kubernetes组件Ready状态恢复】\n\n组件: {{resource_name_value}}\n\n集群: {{cluster_name}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n','{\"trigger_duration\":\"time:ms\"}','1.0','2021-05-28 11:55:01','2021-05-28 11:55:01',0),(2566,'kubernetes组件实例Ready状态异常','kubernetes','kubernetes_instance_ready','email','recover','【{{cluster_name}}集群kubernetes组件{{resource_name_value}} Ready状态恢复】\n','【kubernetes组件Ready状态恢复】\n\n组件: {{resource_name_value}}\n\n集群: {{cluster_name}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n','{\"trigger_duration\":\"time:ms\"}','1.0','2021-05-28 11:55:01','2021-05-28 11:55:01',0),(2567,'kubernetes组件实例Ready状态异常','kubernetes','kubernetes_instance_ready','mbox','recover','【{{cluster_name}}集群kubernetes组件{{resource_name_value}} Ready状态恢复】\n','【kubernetes组件Ready状态恢复】\n\n组件: {{resource_name_value}}\n\n集群: {{cluster_name}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n','{\"trigger_duration\":\"time:ms\"}','1.0','2021-05-28 11:55:01','2021-05-28 11:55:01',0),(2568,'kubernetes组件实例Ready状态异常','kubernetes','kubernetes_instance_ready','webhook','recover','【{{cluster_name}}集群kubernetes组件{{resource_name_value}} Ready状态恢复】\n','【kubernetes组件Ready状态恢复】\n\n组件: {{resource_name_value}}\n\n集群: {{cluster_name}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n','{\"trigger_duration\":\"time:ms\"}','1.0','2021-05-28 11:55:01','2021-05-28 11:55:01',0),(2569,'kubernetes节点异常','kubernetes','kubernetes_node','dingding','alert','【{{cluster_name}}集群kubernetes节点{{node_name}}节点异常告警】\n','【kubernetes节点状态异常告警】\n\n集群: {{cluster_name}}\n\n机器: {{node_name}}\n\n已分配Pod数: {{allocatable_pods_value}}\n\n最大Pod数: {{capacity_pods_value}}\n\n已分配CPU核数: {{allocatable_cpu_cores_value}}\n\n最大CPU核数: {{capacity_cpu_cores_value}}\n\n已分配内存: {{allocatable_memory_bytes_value}}\n\n最大内存: {{capacity_memory_bytes_value}}\n\n时间: {{timestamp}}\n','{\"allocatable_memory_bytes_value\":\"size:byte\",\"capacity_memory_bytes_value\":\"size:byte\"}','1.0','2021-05-28 11:55:01','2021-05-28 11:55:01',0),(2570,'kubernetes节点异常','kubernetes','kubernetes_node','ticket','alert','【{{cluster_name}}集群kubernetes节点{{node_name}}节点异常告警】\n','【kubernetes节点状态异常告警】\n\n集群: {{cluster_name}}\n\n机器: {{node_name}}\n\n已分配Pod数: {{allocatable_pods_value}}\n\n最大Pod数: {{capacity_pods_value}}\n\n已分配CPU核数: {{allocatable_cpu_cores_value}}\n\n最大CPU核数: {{capacity_cpu_cores_value}}\n\n已分配内存: {{allocatable_memory_bytes_value}}\n\n最大内存: {{capacity_memory_bytes_value}}\n\n时间: {{timestamp}}\n','{\"allocatable_memory_bytes_value\":\"size:byte\",\"capacity_memory_bytes_value\":\"size:byte\"}','1.0','2021-05-28 11:55:01','2021-05-28 11:55:01',0),(2571,'kubernetes节点异常','kubernetes','kubernetes_node','email','alert','【{{cluster_name}}集群kubernetes节点{{node_name}}节点异常告警】\n','【kubernetes节点状态异常告警】\n\n集群: {{cluster_name}}\n\n机器: {{node_name}}\n\n已分配Pod数: {{allocatable_pods_value}}\n\n最大Pod数: {{capacity_pods_value}}\n\n已分配CPU核数: {{allocatable_cpu_cores_value}}\n\n最大CPU核数: {{capacity_cpu_cores_value}}\n\n已分配内存: {{allocatable_memory_bytes_value}}\n\n最大内存: {{capacity_memory_bytes_value}}\n\n时间: {{timestamp}}\n','{\"allocatable_memory_bytes_value\":\"size:byte\",\"capacity_memory_bytes_value\":\"size:byte\"}','1.0','2021-05-28 11:55:01','2021-05-28 11:55:01',0),(2572,'kubernetes节点异常','kubernetes','kubernetes_node','mbox','alert','【{{cluster_name}}集群kubernetes节点{{node_name}}节点异常告警】\n','【kubernetes节点状态异常告警】\n\n集群: {{cluster_name}}\n\n机器: {{node_name}}\n\n已分配Pod数: {{allocatable_pods_value}}\n\n最大Pod数: {{capacity_pods_value}}\n\n已分配CPU核数: {{allocatable_cpu_cores_value}}\n\n最大CPU核数: {{capacity_cpu_cores_value}}\n\n已分配内存: {{allocatable_memory_bytes_value}}\n\n最大内存: {{capacity_memory_bytes_value}}\n\n时间: {{timestamp}}\n','{\"allocatable_memory_bytes_value\":\"size:byte\",\"capacity_memory_bytes_value\":\"size:byte\"}','1.0','2021-05-28 11:55:01','2021-05-28 11:55:01',0),(2573,'kubernetes节点异常','kubernetes','kubernetes_node','webhook','alert','【{{cluster_name}}集群kubernetes节点{{node_name}}节点异常告警】\n','【kubernetes节点状态异常告警】\n\n集群: {{cluster_name}}\n\n机器: {{node_name}}\n\n已分配Pod数: {{allocatable_pods_value}}\n\n最大Pod数: {{capacity_pods_value}}\n\n已分配CPU核数: {{allocatable_cpu_cores_value}}\n\n最大CPU核数: {{capacity_cpu_cores_value}}\n\n已分配内存: {{allocatable_memory_bytes_value}}\n\n最大内存: {{capacity_memory_bytes_value}}\n\n时间: {{timestamp}}\n','{\"allocatable_memory_bytes_value\":\"size:byte\",\"capacity_memory_bytes_value\":\"size:byte\"}','1.0','2021-05-28 11:55:01','2021-05-28 11:55:01',0),(2574,'kubernetes节点异常','kubernetes','kubernetes_node','dingding','recover','【{{cluster_name}}集群kubernetes节点{{node_name}}节点异常恢复】\n','【kubernetes节点状态异常恢复】\n\n集群: {{cluster_name}}\n\n机器: {{node_name}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n','{\"trigger_duration\":\"time:ms\"}','1.0','2021-05-28 11:55:01','2021-05-28 11:55:01',0),(2575,'kubernetes节点异常','kubernetes','kubernetes_node','ticket','recover','【{{cluster_name}}集群kubernetes节点{{node_name}}节点异常恢复】\n','【kubernetes节点状态异常恢复】\n\n集群: {{cluster_name}}\n\n机器: {{node_name}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n','{\"trigger_duration\":\"time:ms\"}','1.0','2021-05-28 11:55:01','2021-05-28 11:55:01',0),(2576,'kubernetes节点异常','kubernetes','kubernetes_node','email','recover','【{{cluster_name}}集群kubernetes节点{{node_name}}节点异常恢复】\n','【kubernetes节点状态异常恢复】\n\n集群: {{cluster_name}}\n\n机器: {{node_name}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n','{\"trigger_duration\":\"time:ms\"}','1.0','2021-05-28 11:55:01','2021-05-28 11:55:01',0),(2577,'kubernetes节点异常','kubernetes','kubernetes_node','mbox','recover','【{{cluster_name}}集群kubernetes节点{{node_name}}节点异常恢复】\n','【kubernetes节点状态异常恢复】\n\n集群: {{cluster_name}}\n\n机器: {{node_name}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n','{\"trigger_duration\":\"time:ms\"}','1.0','2021-05-28 11:55:01','2021-05-28 11:55:01',0),(2578,'kubernetes节点异常','kubernetes','kubernetes_node','webhook','recover','【{{cluster_name}}集群kubernetes节点{{node_name}}节点异常恢复】\n','【kubernetes节点状态异常恢复】\n\n集群: {{cluster_name}}\n\n机器: {{node_name}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n','{\"trigger_duration\":\"time:ms\"}','1.0','2021-05-28 11:55:01','2021-05-28 11:55:01',0),(2579,'机器CPU异常告警','machine','machine_cpu','dingding','alert','【{{cluster_name}}集群机器{{host_ip}} CPU使用率异常告警】','【机器CPU使用率异常告警】\n\nCPU平均使用率: {{cpu_usage_active_avg}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n时间: {{timestamp}}\n\n[查看详情]({{display_url}})\n','{\"cpu_usage_active_avg\":\"percent:2\"}','1.0','2021-05-28 11:55:01','2021-05-28 11:55:01',0),(2580,'机器CPU异常告警','machine','machine_cpu','ticket','alert','【{{cluster_name}}集群机器{{host_ip}} CPU使用率异常告警】','【机器CPU使用率异常告警】\n\nCPU平均使用率: {{cpu_usage_active_avg}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n时间: {{timestamp}}\n\n[查看详情]({{display_url}})\n','{\"cpu_usage_active_avg\":\"percent:2\"}','1.0','2021-05-28 11:55:01','2021-05-28 11:55:01',0),(2581,'机器CPU异常告警','machine','machine_cpu','email','alert','【{{cluster_name}}集群机器{{host_ip}} CPU使用率异常告警】','【机器CPU使用率异常告警】\n\nCPU平均使用率: {{cpu_usage_active_avg}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n时间: {{timestamp}}\n\n[查看详情]({{display_url}})\n','{\"cpu_usage_active_avg\":\"percent:2\"}','1.0','2021-05-28 11:55:01','2021-05-28 11:55:01',0),(2582,'机器CPU异常告警','machine','machine_cpu','mbox','alert','【{{cluster_name}}集群机器{{host_ip}} CPU使用率异常告警】','【机器CPU使用率异常告警】\n\nCPU平均使用率: {{cpu_usage_active_avg}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n时间: {{timestamp}}\n\n[查看详情]({{display_url}})\n','{\"cpu_usage_active_avg\":\"percent:2\"}','1.0','2021-05-28 11:55:01','2021-05-28 11:55:01',0),(2583,'机器CPU异常告警','machine','machine_cpu','webhook','alert','【{{cluster_name}}集群机器{{host_ip}} CPU使用率异常告警】','【机器CPU使用率异常告警】\n\nCPU平均使用率: {{cpu_usage_active_avg}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n时间: {{timestamp}}\n\n[查看详情]({{display_url}})\n','{\"cpu_usage_active_avg\":\"percent:2\"}','1.0','2021-05-28 11:55:01','2021-05-28 11:55:01',0),(2584,'机器CPU异常恢复','machine','machine_cpu','dingding','recover','【{{cluster_name}}集群机器{{host_ip}} CPU使用率异常恢复】','【机器CPU使用率异常恢复】\n\nCPU平均使用率: {{cpu_usage_active_avg}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}','{\"trigger_duration\":\"time:ms\",\"usage_active_avg\":\"percent:2\"}','1.0','2021-05-28 11:55:01','2021-05-28 11:55:01',0),(2585,'机器CPU异常恢复','machine','machine_cpu','ticket','recover','【{{cluster_name}}集群机器{{host_ip}} CPU使用率异常恢复】','【机器CPU使用率异常恢复】\n\nCPU平均使用率: {{cpu_usage_active_avg}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}','{\"trigger_duration\":\"time:ms\",\"usage_active_avg\":\"percent:2\"}','1.0','2021-05-28 11:55:01','2021-05-28 11:55:01',0),(2586,'机器CPU异常恢复','machine','machine_cpu','email','recover','【{{cluster_name}}集群机器{{host_ip}} CPU使用率异常恢复】','【机器CPU使用率异常恢复】\n\nCPU平均使用率: {{cpu_usage_active_avg}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}','{\"trigger_duration\":\"time:ms\",\"usage_active_avg\":\"percent:2\"}','1.0','2021-05-28 11:55:01','2021-05-28 11:55:01',0),(2587,'机器CPU异常恢复','machine','machine_cpu','mbox','recover','【{{cluster_name}}集群机器{{host_ip}} CPU使用率异常恢复】','【机器CPU使用率异常恢复】\n\nCPU平均使用率: {{cpu_usage_active_avg}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}','{\"trigger_duration\":\"time:ms\",\"usage_active_avg\":\"percent:2\"}','1.0','2021-05-28 11:55:01','2021-05-28 11:55:01',0),(2588,'机器CPU异常恢复','machine','machine_cpu','webhook','recover','【{{cluster_name}}集群机器{{host_ip}} CPU使用率异常恢复】','【机器CPU使用率异常恢复】\n\nCPU平均使用率: {{cpu_usage_active_avg}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}','{\"trigger_duration\":\"time:ms\",\"usage_active_avg\":\"percent:2\"}','1.0','2021-05-28 11:55:01','2021-05-28 11:55:01',0),(2589,'磁盘容量异常告警','machine','machine_disk','dingding','alert','【{{cluster_name}}集群机器{{host_ip}}磁盘使用率异常告警】','【磁盘使用率异常告警】\n\n使用率: {{used_percent_value}}\n\n容量: {{total_value}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n设备: {{device}}\n\n时间: {{timestamp}}\n\n[查看详情]({{display_url}})\n','{\"total_value\":\"size:byte\",\"used_percent_value\":\"percent:2\"}','1.0','2021-05-28 11:55:01','2021-05-28 11:55:01',0),(2590,'磁盘容量异常告警','machine','machine_disk','ticket','alert','【{{cluster_name}}集群机器{{host_ip}}磁盘使用率异常告警】','【磁盘使用率异常告警】\n\n使用率: {{used_percent_value}}\n\n容量: {{total_value}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n设备: {{device}}\n\n时间: {{timestamp}}\n\n[查看详情]({{display_url}})\n','{\"total_value\":\"size:byte\",\"used_percent_value\":\"percent:2\"}','1.0','2021-05-28 11:55:01','2021-05-28 11:55:01',0),(2591,'磁盘容量异常告警','machine','machine_disk','email','alert','【{{cluster_name}}集群机器{{host_ip}}磁盘使用率异常告警】','【磁盘使用率异常告警】\n\n使用率: {{used_percent_value}}\n\n容量: {{total_value}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n设备: {{device}}\n\n时间: {{timestamp}}\n\n[查看详情]({{display_url}})\n','{\"total_value\":\"size:byte\",\"used_percent_value\":\"percent:2\"}','1.0','2021-05-28 11:55:01','2021-05-28 11:55:01',0),(2592,'磁盘容量异常告警','machine','machine_disk','mbox','alert','【{{cluster_name}}集群机器{{host_ip}}磁盘使用率异常告警】','【磁盘使用率异常告警】\n\n使用率: {{used_percent_value}}\n\n容量: {{total_value}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n设备: {{device}}\n\n时间: {{timestamp}}\n\n[查看详情]({{display_url}})\n','{\"total_value\":\"size:byte\",\"used_percent_value\":\"percent:2\"}','1.0','2021-05-28 11:55:01','2021-05-28 11:55:01',0),(2593,'磁盘容量异常告警','machine','machine_disk','webhook','alert','【{{cluster_name}}集群机器{{host_ip}}磁盘使用率异常告警】','【磁盘使用率异常告警】\n\n使用率: {{used_percent_value}}\n\n容量: {{total_value}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n设备: {{device}}\n\n时间: {{timestamp}}\n\n[查看详情]({{display_url}})\n','{\"total_value\":\"size:byte\",\"used_percent_value\":\"percent:2\"}','1.0','2021-05-28 11:55:01','2021-05-28 11:55:01',0),(2594,'磁盘容量异常恢复','machine','machine_disk','dingding','recover','【{{cluster_name}}集群机器{{host_ip}}磁盘使用率异常恢复】','【磁盘使用率异常恢复】\n\n使用率: {{used_percent_value}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n设备: {{device}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}','{\"trigger_duration\":\"time:ms\",\"used_percent_value\":\"percent:2\"}','1.0','2021-05-28 11:55:01','2021-05-28 11:55:01',0),(2595,'磁盘容量异常恢复','machine','machine_disk','ticket','recover','【{{cluster_name}}集群机器{{host_ip}}磁盘使用率异常恢复】','【磁盘使用率异常恢复】\n\n使用率: {{used_percent_value}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n设备: {{device}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}','{\"trigger_duration\":\"time:ms\",\"used_percent_value\":\"percent:2\"}','1.0','2021-05-28 11:55:01','2021-05-28 11:55:01',0),(2596,'磁盘容量异常恢复','machine','machine_disk','email','recover','【{{cluster_name}}集群机器{{host_ip}}磁盘使用率异常恢复】','【磁盘使用率异常恢复】\n\n使用率: {{used_percent_value}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n设备: {{device}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}','{\"trigger_duration\":\"time:ms\",\"used_percent_value\":\"percent:2\"}','1.0','2021-05-28 11:55:01','2021-05-28 11:55:01',0),(2597,'磁盘容量异常恢复','machine','machine_disk','mbox','recover','【{{cluster_name}}集群机器{{host_ip}}磁盘使用率异常恢复】','【磁盘使用率异常恢复】\n\n使用率: {{used_percent_value}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n设备: {{device}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}','{\"trigger_duration\":\"time:ms\",\"used_percent_value\":\"percent:2\"}','1.0','2021-05-28 11:55:01','2021-05-28 11:55:01',0),(2598,'磁盘容量异常恢复','machine','machine_disk','webhook','recover','【{{cluster_name}}集群机器{{host_ip}}磁盘使用率异常恢复】','【磁盘使用率异常恢复】\n\n使用率: {{used_percent_value}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n设备: {{device}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}','{\"trigger_duration\":\"time:ms\",\"used_percent_value\":\"percent:2\"}','1.0','2021-05-28 11:55:01','2021-05-28 11:55:01',0),(2599,'磁盘Inode异常告警','machine','machine_disk_inode','dingding','alert','【{{cluster_name}}集群机器{{host_ip}}磁盘Inode异常告警】','【磁盘Inode异常告警】\n\n使用率: {{inode_used_percent_value}}\n\n容量: {{inodes_total_value}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n设备: {{device}}\n\n时间: {{timestamp}}\n\n[查看详情]({{display_url}})\n','{\"inode_used_percent_value\":\"percent:2\",\"inodes_total_value\":\"size:byte\"}','1.0','2021-05-28 11:55:01','2021-05-28 11:55:01',0),(2600,'磁盘Inode异常告警','machine','machine_disk_inode','ticket','alert','【{{cluster_name}}集群机器{{host_ip}}磁盘Inode异常告警】','【磁盘Inode异常告警】\n\n使用率: {{inode_used_percent_value}}\n\n容量: {{inodes_total_value}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n设备: {{device}}\n\n时间: {{timestamp}}\n\n[查看详情]({{display_url}})\n','{\"inode_used_percent_value\":\"percent:2\",\"inodes_total_value\":\"size:byte\"}','1.0','2021-05-28 11:55:01','2021-05-28 11:55:01',0),(2601,'磁盘Inode异常告警','machine','machine_disk_inode','email','alert','【{{cluster_name}}集群机器{{host_ip}}磁盘Inode异常告警】','【磁盘Inode异常告警】\n\n使用率: {{inode_used_percent_value}}\n\n容量: {{inodes_total_value}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n设备: {{device}}\n\n时间: {{timestamp}}\n\n[查看详情]({{display_url}})\n','{\"inode_used_percent_value\":\"percent:2\",\"inodes_total_value\":\"size:byte\"}','1.0','2021-05-28 11:55:01','2021-05-28 11:55:01',0),(2602,'磁盘Inode异常告警','machine','machine_disk_inode','mbox','alert','【{{cluster_name}}集群机器{{host_ip}}磁盘Inode异常告警】','【磁盘Inode异常告警】\n\n使用率: {{inode_used_percent_value}}\n\n容量: {{inodes_total_value}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n设备: {{device}}\n\n时间: {{timestamp}}\n\n[查看详情]({{display_url}})\n','{\"inode_used_percent_value\":\"percent:2\",\"inodes_total_value\":\"size:byte\"}','1.0','2021-05-28 11:55:01','2021-05-28 11:55:01',0),(2603,'磁盘Inode异常告警','machine','machine_disk_inode','webhook','alert','【{{cluster_name}}集群机器{{host_ip}}磁盘Inode异常告警】','【磁盘Inode异常告警】\n\n使用率: {{inode_used_percent_value}}\n\n容量: {{inodes_total_value}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n设备: {{device}}\n\n时间: {{timestamp}}\n\n[查看详情]({{display_url}})\n','{\"inode_used_percent_value\":\"percent:2\",\"inodes_total_value\":\"size:byte\"}','1.0','2021-05-28 11:55:01','2021-05-28 11:55:01',0),(2604,'磁盘Inode异常恢复','machine','machine_disk_inode','dingding','recover','【{{cluster_name}}集群机器{{host_ip}}磁盘Inode异常恢复】','【磁盘Inode异常恢复】\n\n使用率: {{inode_used_percent_value}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n设备: {{device}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}','{\"inode_used_percent_value\":\"percent:2\",\"trigger_duration\":\"time:ms\"}','1.0','2021-05-28 11:55:01','2021-05-28 11:55:01',0),(2605,'磁盘Inode异常恢复','machine','machine_disk_inode','ticket','recover','【{{cluster_name}}集群机器{{host_ip}}磁盘Inode异常恢复】','【磁盘Inode异常恢复】\n\n使用率: {{inode_used_percent_value}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n设备: {{device}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}','{\"inode_used_percent_value\":\"percent:2\",\"trigger_duration\":\"time:ms\"}','1.0','2021-05-28 11:55:01','2021-05-28 11:55:01',0),(2606,'磁盘Inode异常恢复','machine','machine_disk_inode','email','recover','【{{cluster_name}}集群机器{{host_ip}}磁盘Inode异常恢复】','【磁盘Inode异常恢复】\n\n使用率: {{inode_used_percent_value}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n设备: {{device}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}','{\"inode_used_percent_value\":\"percent:2\",\"trigger_duration\":\"time:ms\"}','1.0','2021-05-28 11:55:01','2021-05-28 11:55:01',0),(2607,'磁盘Inode异常恢复','machine','machine_disk_inode','mbox','recover','【{{cluster_name}}集群机器{{host_ip}}磁盘Inode异常恢复】','【磁盘Inode异常恢复】\n\n使用率: {{inode_used_percent_value}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n设备: {{device}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}','{\"inode_used_percent_value\":\"percent:2\",\"trigger_duration\":\"time:ms\"}','1.0','2021-05-28 11:55:01','2021-05-28 11:55:01',0),(2608,'磁盘Inode异常恢复','machine','machine_disk_inode','webhook','recover','【{{cluster_name}}集群机器{{host_ip}}磁盘Inode异常恢复】','【磁盘Inode异常恢复】\n\n使用率: {{inode_used_percent_value}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n设备: {{device}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}','{\"inode_used_percent_value\":\"percent:2\",\"trigger_duration\":\"time:ms\"}','1.0','2021-05-28 11:55:01','2021-05-28 11:55:01',0),(2609,'磁盘IO异常告警','machine','machine_disk_util','dingding','alert','【{{cluster_name}}集群机器{{host_ip}}磁盘IO操作百分比异常告警】','【磁盘IO操作百分比异常告警】\n\nIO操作百分比: {{pct_util_p75}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n时间: {{timestamp}}\n','{\"pct_util_p75\":\"percent:2\"}','1.0','2021-05-28 11:55:01','2021-05-28 11:55:01',0),(2610,'磁盘IO异常告警','machine','machine_disk_util','ticket','alert','【{{cluster_name}}集群机器{{host_ip}}磁盘IO操作百分比异常告警】','【磁盘IO操作百分比异常告警】\n\nIO操作百分比: {{pct_util_p75}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n时间: {{timestamp}}\n','{\"pct_util_p75\":\"percent:2\"}','1.0','2021-05-28 11:55:01','2021-05-28 11:55:01',0),(2611,'磁盘IO异常告警','machine','machine_disk_util','email','alert','【{{cluster_name}}集群机器{{host_ip}}磁盘IO操作百分比异常告警】','【磁盘IO操作百分比异常告警】\n\nIO操作百分比: {{pct_util_p75}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n时间: {{timestamp}}\n','{\"pct_util_p75\":\"percent:2\"}','1.0','2021-05-28 11:55:01','2021-05-28 11:55:01',0),(2612,'磁盘IO异常告警','machine','machine_disk_util','mbox','alert','【{{cluster_name}}集群机器{{host_ip}}磁盘IO操作百分比异常告警】','【磁盘IO操作百分比异常告警】\n\nIO操作百分比: {{pct_util_p75}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n时间: {{timestamp}}\n','{\"pct_util_p75\":\"percent:2\"}','1.0','2021-05-28 11:55:01','2021-05-28 11:55:01',0),(2613,'磁盘IO异常告警','machine','machine_disk_util','webhook','alert','【{{cluster_name}}集群机器{{host_ip}}磁盘IO操作百分比异常告警】','【磁盘IO操作百分比异常告警】\n\nIO操作百分比: {{pct_util_p75}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n时间: {{timestamp}}\n','{\"pct_util_p75\":\"percent:2\"}','1.0','2021-05-28 11:55:01','2021-05-28 11:55:01',0),(2614,'磁盘IO异常恢复','machine','machine_disk_util','dingding','recover','【{{cluster_name}}集群机器{{host_ip}}磁盘IO操作百分比异常恢复】','【磁盘IO操作百分比异常恢复】\n\nIO操作百分比: {{pct_util_p75}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}','{\"pct_util_p75\":\"percent:2\",\"trigger_duration\":\"time:ms\"}','1.0','2021-05-28 11:55:01','2021-05-28 11:55:01',0),(2615,'磁盘IO异常恢复','machine','machine_disk_util','ticket','recover','【{{cluster_name}}集群机器{{host_ip}}磁盘IO操作百分比异常恢复】','【磁盘IO操作百分比异常恢复】\n\nIO操作百分比: {{pct_util_p75}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}','{\"pct_util_p75\":\"percent:2\",\"trigger_duration\":\"time:ms\"}','1.0','2021-05-28 11:55:01','2021-05-28 11:55:01',0),(2616,'磁盘IO异常恢复','machine','machine_disk_util','email','recover','【{{cluster_name}}集群机器{{host_ip}}磁盘IO操作百分比异常恢复】','【磁盘IO操作百分比异常恢复】\n\nIO操作百分比: {{pct_util_p75}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}','{\"pct_util_p75\":\"percent:2\",\"trigger_duration\":\"time:ms\"}','1.0','2021-05-28 11:55:01','2021-05-28 11:55:01',0),(2617,'磁盘IO异常恢复','machine','machine_disk_util','mbox','recover','【{{cluster_name}}集群机器{{host_ip}}磁盘IO操作百分比异常恢复】','【磁盘IO操作百分比异常恢复】\n\nIO操作百分比: {{pct_util_p75}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}','{\"pct_util_p75\":\"percent:2\",\"trigger_duration\":\"time:ms\"}','1.0','2021-05-28 11:55:01','2021-05-28 11:55:01',0),(2618,'磁盘IO异常恢复','machine','machine_disk_util','webhook','recover','【{{cluster_name}}集群机器{{host_ip}}磁盘IO操作百分比异常恢复】','【磁盘IO操作百分比异常恢复】\n\nIO操作百分比: {{pct_util_p75}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}','{\"pct_util_p75\":\"percent:2\",\"trigger_duration\":\"time:ms\"}','1.0','2021-05-28 11:55:01','2021-05-28 11:55:01',0),(2619,'机器负载异常告警','machine','machine_load5','dingding','alert','【{{cluster_name}}集群机器{{host_ip}}负载异常告警】','【机器负载异常告警】\n\nLoad5: {{load5_avg}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n时间: {{timestamp}}\n\n[查看详情]({{display_url}})\n','','1.0','2021-05-28 11:55:01','2021-05-28 11:55:01',0),(2620,'机器负载异常告警','machine','machine_load5','ticket','alert','【{{cluster_name}}集群机器{{host_ip}}负载异常告警】','【机器负载异常告警】\n\nLoad5: {{load5_avg}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n时间: {{timestamp}}\n\n[查看详情]({{display_url}})\n','','1.0','2021-05-28 11:55:01','2021-05-28 11:55:01',0),(2621,'机器负载异常告警','machine','machine_load5','email','alert','【{{cluster_name}}集群机器{{host_ip}}负载异常告警】','【机器负载异常告警】\n\nLoad5: {{load5_avg}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n时间: {{timestamp}}\n\n[查看详情]({{display_url}})\n','','1.0','2021-05-28 11:55:01','2021-05-28 11:55:01',0),(2622,'机器负载异常告警','machine','machine_load5','mbox','alert','【{{cluster_name}}集群机器{{host_ip}}负载异常告警】','【机器负载异常告警】\n\nLoad5: {{load5_avg}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n时间: {{timestamp}}\n\n[查看详情]({{display_url}})\n','','1.0','2021-05-28 11:55:01','2021-05-28 11:55:01',0),(2623,'机器负载异常告警','machine','machine_load5','webhook','alert','【{{cluster_name}}集群机器{{host_ip}}负载异常告警】','【机器负载异常告警】\n\nLoad5: {{load5_avg}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n时间: {{timestamp}}\n\n[查看详情]({{display_url}})\n','','1.0','2021-05-28 11:55:01','2021-05-28 11:55:01',0),(2624,'机器负载异常恢复','machine','machine_load5','dingding','recover','【{{cluster_name}}集群机器{{host_ip}}负载异常恢复】','【机器负载异常恢复】\n\nLoad5: {{load5_avg}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n','{\"trigger_duration\":\"time:ms\"}','1.0','2021-05-28 11:55:01','2021-05-28 11:55:01',0),(2625,'机器负载异常恢复','machine','machine_load5','ticket','recover','【{{cluster_name}}集群机器{{host_ip}}负载异常恢复】','【机器负载异常恢复】\n\nLoad5: {{load5_avg}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n','{\"trigger_duration\":\"time:ms\"}','1.0','2021-05-28 11:55:01','2021-05-28 11:55:01',0),(2626,'机器负载异常恢复','machine','machine_load5','email','recover','【{{cluster_name}}集群机器{{host_ip}}负载异常恢复】','【机器负载异常恢复】\n\nLoad5: {{load5_avg}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n','{\"trigger_duration\":\"time:ms\"}','1.0','2021-05-28 11:55:01','2021-05-28 11:55:01',0),(2627,'机器负载异常恢复','machine','machine_load5','mbox','recover','【{{cluster_name}}集群机器{{host_ip}}负载异常恢复】','【机器负载异常恢复】\n\nLoad5: {{load5_avg}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n','{\"trigger_duration\":\"time:ms\"}','1.0','2021-05-28 11:55:01','2021-05-28 11:55:01',0),(2628,'机器负载异常恢复','machine','machine_load5','webhook','recover','【{{cluster_name}}集群机器{{host_ip}}负载异常恢复】','【机器负载异常恢复】\n\nLoad5: {{load5_avg}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n','{\"trigger_duration\":\"time:ms\"}','1.0','2021-05-28 11:55:01','2021-05-28 11:55:01',0),(2629,'网盘容量异常告警','machine','machine_netdisk','dingding','alert','【{{cluster_name}}集群网盘使用率异常告警】','【网盘使用率异常告警】\n\n使用率: {{used_percent_value}}\n\n容量: {{total_value}}\n\n集群: {{cluster_name}}\n\n时间: {{timestamp}}\n','{\"total_value\":\"size:byte\",\"used_percent_value\":\"percent:2\"}','1.0','2021-05-28 11:55:01','2021-05-28 11:55:01',0),(2630,'网盘容量异常告警','machine','machine_netdisk','ticket','alert','【{{cluster_name}}集群网盘使用率异常告警】','【网盘使用率异常告警】\n\n使用率: {{used_percent_value}}\n\n容量: {{total_value}}\n\n集群: {{cluster_name}}\n\n时间: {{timestamp}}\n','{\"total_value\":\"size:byte\",\"used_percent_value\":\"percent:2\"}','1.0','2021-05-28 11:55:01','2021-05-28 11:55:01',0),(2631,'网盘容量异常告警','machine','machine_netdisk','email','alert','【{{cluster_name}}集群网盘使用率异常告警】','【网盘使用率异常告警】\n\n使用率: {{used_percent_value}}\n\n容量: {{total_value}}\n\n集群: {{cluster_name}}\n\n时间: {{timestamp}}\n','{\"total_value\":\"size:byte\",\"used_percent_value\":\"percent:2\"}','1.0','2021-05-28 11:55:01','2021-05-28 11:55:01',0),(2632,'网盘容量异常告警','machine','machine_netdisk','mbox','alert','【{{cluster_name}}集群网盘使用率异常告警】','【网盘使用率异常告警】\n\n使用率: {{used_percent_value}}\n\n容量: {{total_value}}\n\n集群: {{cluster_name}}\n\n时间: {{timestamp}}\n','{\"total_value\":\"size:byte\",\"used_percent_value\":\"percent:2\"}','1.0','2021-05-28 11:55:01','2021-05-28 11:55:01',0),(2633,'网盘容量异常告警','machine','machine_netdisk','webhook','alert','【{{cluster_name}}集群网盘使用率异常告警】','【网盘使用率异常告警】\n\n使用率: {{used_percent_value}}\n\n容量: {{total_value}}\n\n集群: {{cluster_name}}\n\n时间: {{timestamp}}\n','{\"total_value\":\"size:byte\",\"used_percent_value\":\"percent:2\"}','1.0','2021-05-28 11:55:01','2021-05-28 11:55:01',0),(2634,'网盘容量异常恢复','machine','machine_netdisk','dingding','recover','【{{cluster_name}}集群网盘使用率异常恢复】','【网盘使用率异常恢复】\n\n使用率: {{used_percent_value}}\n\n集群: {{cluster_name}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n','{\"trigger_duration\":\"time:ms\",\"used_percent_value\":\"percent:2\"}','1.0','2021-05-28 11:55:01','2021-05-28 11:55:01',0),(2635,'网盘容量异常恢复','machine','machine_netdisk','ticket','recover','【{{cluster_name}}集群网盘使用率异常恢复】','【网盘使用率异常恢复】\n\n使用率: {{used_percent_value}}\n\n集群: {{cluster_name}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n','{\"trigger_duration\":\"time:ms\",\"used_percent_value\":\"percent:2\"}','1.0','2021-05-28 11:55:01','2021-05-28 11:55:01',0),(2636,'网盘容量异常恢复','machine','machine_netdisk','email','recover','【{{cluster_name}}集群网盘使用率异常恢复】','【网盘使用率异常恢复】\n\n使用率: {{used_percent_value}}\n\n集群: {{cluster_name}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n','{\"trigger_duration\":\"time:ms\",\"used_percent_value\":\"percent:2\"}','1.0','2021-05-28 11:55:01','2021-05-28 11:55:01',0),(2637,'网盘容量异常恢复','machine','machine_netdisk','mbox','recover','【{{cluster_name}}集群网盘使用率异常恢复】','【网盘使用率异常恢复】\n\n使用率: {{used_percent_value}}\n\n集群: {{cluster_name}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n','{\"trigger_duration\":\"time:ms\",\"used_percent_value\":\"percent:2\"}','1.0','2021-05-28 11:55:01','2021-05-28 11:55:01',0),(2638,'网盘容量异常恢复','machine','machine_netdisk','webhook','recover','【{{cluster_name}}集群网盘使用率异常恢复】','【网盘使用率异常恢复】\n\n使用率: {{used_percent_value}}\n\n集群: {{cluster_name}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n','{\"trigger_duration\":\"time:ms\",\"used_percent_value\":\"percent:2\"}','1.0','2021-05-28 11:55:01','2021-05-28 11:55:01',0),(2639,'网盘容量使用量异常告警','machine','machine_netdisk_used','dingding','alert','【{{cluster_name}}集群网盘使用率异常告警】','【网盘使用异常告警】\n\n使用: {{used}}GB\n\n容量: {{total}}GB\n\n集群: {{cluster_name}}\n\n时间: {{timestamp}}\n','{}','1.0','2021-05-28 11:55:01','2021-05-28 11:55:01',0),(2640,'网盘容量使用量异常告警','machine','machine_netdisk_used','ticket','alert','【{{cluster_name}}集群网盘使用率异常告警】','【网盘使用异常告警】\n\n使用: {{used}}GB\n\n容量: {{total}}GB\n\n集群: {{cluster_name}}\n\n时间: {{timestamp}}\n','{}','1.0','2021-05-28 11:55:01','2021-05-28 11:55:01',0),(2641,'网盘容量使用量异常告警','machine','machine_netdisk_used','email','alert','【{{cluster_name}}集群网盘使用率异常告警】','【网盘使用异常告警】\n\n使用: {{used}}GB\n\n容量: {{total}}GB\n\n集群: {{cluster_name}}\n\n时间: {{timestamp}}\n','{}','1.0','2021-05-28 11:55:01','2021-05-28 11:55:01',0),(2642,'网盘容量使用量异常告警','machine','machine_netdisk_used','mbox','alert','【{{cluster_name}}集群网盘使用率异常告警】','【网盘使用异常告警】\n\n使用: {{used}}GB\n\n容量: {{total}}GB\n\n集群: {{cluster_name}}\n\n时间: {{timestamp}}\n','{}','1.0','2021-05-28 11:55:01','2021-05-28 11:55:01',0),(2643,'网盘容量使用量异常告警','machine','machine_netdisk_used','webhook','alert','【{{cluster_name}}集群网盘使用率异常告警】','【网盘使用异常告警】\n\n使用: {{used}}GB\n\n容量: {{total}}GB\n\n集群: {{cluster_name}}\n\n时间: {{timestamp}}\n','{}','1.0','2021-05-28 11:55:01','2021-05-28 11:55:01',0),(2644,'网盘容量异常恢复','machine','machine_netdisk_used','dingding','recover','【{{cluster_name}}集群网盘使用率异常恢复】','【网盘使用率异常恢复】\n\n使用: {{used}}GB\n\n集群: {{cluster_name}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n','{\"trigger_duration\":\"time:ms\"}','1.0','2021-05-28 11:55:01','2021-05-28 11:55:01',0),(2645,'网盘容量异常恢复','machine','machine_netdisk_used','ticket','recover','【{{cluster_name}}集群网盘使用率异常恢复】','【网盘使用率异常恢复】\n\n使用: {{used}}GB\n\n集群: {{cluster_name}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n','{\"trigger_duration\":\"time:ms\"}','1.0','2021-05-28 11:55:01','2021-05-28 11:55:01',0),(2646,'网盘容量异常恢复','machine','machine_netdisk_used','email','recover','【{{cluster_name}}集群网盘使用率异常恢复】','【网盘使用率异常恢复】\n\n使用: {{used}}GB\n\n集群: {{cluster_name}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n','{\"trigger_duration\":\"time:ms\"}','1.0','2021-05-28 11:55:01','2021-05-28 11:55:01',0),(2647,'网盘容量异常恢复','machine','machine_netdisk_used','mbox','recover','【{{cluster_name}}集群网盘使用率异常恢复】','【网盘使用率异常恢复】\n\n使用: {{used}}GB\n\n集群: {{cluster_name}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n','{\"trigger_duration\":\"time:ms\"}','1.0','2021-05-28 11:55:01','2021-05-28 11:55:01',0),(2648,'网盘容量异常恢复','machine','machine_netdisk_used','webhook','recover','【{{cluster_name}}集群网盘使用率异常恢复】','【网盘使用率异常恢复】\n\n使用: {{used}}GB\n\n集群: {{cluster_name}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n','{\"trigger_duration\":\"time:ms\"}','1.0','2021-05-28 11:55:01','2021-05-28 11:55:01',0),(2649,'宕机告警','machine','machine_status','dingding','alert','【{{cluster_name}}集群机器{{host_ip}}宕机告警】','【宕机告警】\n\n机器{{window}}分钟内无消息, 疑似发生宕机\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n最近活跃时间: {{last_timestamp_value}}\n\n时间: {{timestamp}}\n\n[查看详情]({{display_url}})\n','{\"last_timestamp_value\":\"date\"}','1.0','2021-05-28 11:55:01','2021-05-28 11:55:01',0),(2650,'宕机告警','machine','machine_status','ticket','alert','【{{cluster_name}}集群机器{{host_ip}}宕机告警】','【宕机告警】\n\n机器{{window}}分钟内无消息, 疑似发生宕机\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n最近活跃时间: {{last_timestamp_value}}\n\n时间: {{timestamp}}\n\n[查看详情]({{display_url}})\n','{\"last_timestamp_value\":\"date\"}','1.0','2021-05-28 11:55:01','2021-05-28 11:55:01',0),(2651,'宕机告警','machine','machine_status','email','alert','【{{cluster_name}}集群机器{{host_ip}}宕机告警】','【宕机告警】\n\n机器{{window}}分钟内无消息, 疑似发生宕机\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n最近活跃时间: {{last_timestamp_value}}\n\n时间: {{timestamp}}\n\n[查看详情]({{display_url}})\n','{\"last_timestamp_value\":\"date\"}','1.0','2021-05-28 11:55:01','2021-05-28 11:55:01',0),(2652,'宕机告警','machine','machine_status','mbox','alert','【{{cluster_name}}集群机器{{host_ip}}宕机告警】','【宕机告警】\n\n机器{{window}}分钟内无消息, 疑似发生宕机\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n最近活跃时间: {{last_timestamp_value}}\n\n时间: {{timestamp}}\n\n[查看详情]({{display_url}})\n','{\"last_timestamp_value\":\"date\"}','1.0','2021-05-28 11:55:01','2021-05-28 11:55:01',0),(2653,'宕机告警','machine','machine_status','webhook','alert','【{{cluster_name}}集群机器{{host_ip}}宕机告警】','【宕机告警】\n\n机器{{window}}分钟内无消息, 疑似发生宕机\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n最近活跃时间: {{last_timestamp_value}}\n\n时间: {{timestamp}}\n\n[查看详情]({{display_url}})\n','{\"last_timestamp_value\":\"date\"}','1.0','2021-05-28 11:55:01','2021-05-28 11:55:01',0),(2654,'宕机恢复','machine','machine_status','dingding','recover','【{{cluster_name}}集群机器{{host_ip}}宕机恢复】','【宕机恢复】\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}','{\"trigger_duration\":\"time:ms\"}','1.0','2021-05-28 11:55:01','2021-05-28 11:55:01',0),(2655,'宕机恢复','machine','machine_status','ticket','recover','【{{cluster_name}}集群机器{{host_ip}}宕机恢复】','【宕机恢复】\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}','{\"trigger_duration\":\"time:ms\"}','1.0','2021-05-28 11:55:01','2021-05-28 11:55:01',0),(2656,'宕机恢复','machine','machine_status','email','recover','【{{cluster_name}}集群机器{{host_ip}}宕机恢复】','【宕机恢复】\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}','{\"trigger_duration\":\"time:ms\"}','1.0','2021-05-28 11:55:01','2021-05-28 11:55:01',0),(2657,'宕机恢复','machine','machine_status','mbox','recover','【{{cluster_name}}集群机器{{host_ip}}宕机恢复】','【宕机恢复】\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}','{\"trigger_duration\":\"time:ms\"}','1.0','2021-05-28 11:55:01','2021-05-28 11:55:01',0),(2658,'宕机恢复','machine','machine_status','webhook','recover','【{{cluster_name}}集群机器{{host_ip}}宕机恢复】','【宕机恢复】\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}','{\"trigger_duration\":\"time:ms\"}','1.0','2021-05-28 11:55:01','2021-05-28 11:55:01',0),(2659,'API网关实例CPU使用率异常','micro_service','api_gateway_cpu','dingding','alert','【API网关实例CPU使用率告警】\n','【API网关实例CPU使用率异常告警】\n\n组件: {{addon_type}}\n\n实例: {{pod_namespace}} - {{pod_name}}\n\nCPU平均使用率: {{cpu_usage_percent_avg}}\n\nCPU限制: {{cpu_limit_value}}核\n\nCPU分配: {{cpu_allocation_value}}核\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n时间: {{timestamp}}\n','{\"container_id\":\"string:6\",\"cpu_allocation_value\":\"fraction:1\",\"cpu_limit_value\":\"fraction:1\",\"cpu_usage_percent_avg\":\"percent:1\"}','1.0','2021-05-28 11:55:01','2021-05-28 11:55:01',0),(2660,'API网关实例CPU使用率异常','micro_service','api_gateway_cpu','ticket','alert','【API网关实例CPU使用率告警】\n','【API网关实例CPU使用率异常告警】\n\n组件: {{addon_type}}\n\n实例: {{pod_namespace}} - {{pod_name}}\n\nCPU平均使用率: {{cpu_usage_percent_avg}}\n\nCPU限制: {{cpu_limit_value}}核\n\nCPU分配: {{cpu_allocation_value}}核\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n时间: {{timestamp}}\n','{\"container_id\":\"string:6\",\"cpu_allocation_value\":\"fraction:1\",\"cpu_limit_value\":\"fraction:1\",\"cpu_usage_percent_avg\":\"percent:1\"}','1.0','2021-05-28 11:55:01','2021-05-28 11:55:01',0),(2661,'API网关实例CPU使用率异常','micro_service','api_gateway_cpu','email','alert','【API网关实例CPU使用率告警】\n','【API网关实例CPU使用率异常告警】\n\n组件: {{addon_type}}\n\n实例: {{pod_namespace}} - {{pod_name}}\n\nCPU平均使用率: {{cpu_usage_percent_avg}}\n\nCPU限制: {{cpu_limit_value}}核\n\nCPU分配: {{cpu_allocation_value}}核\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n时间: {{timestamp}}\n','{\"container_id\":\"string:6\",\"cpu_allocation_value\":\"fraction:1\",\"cpu_limit_value\":\"fraction:1\",\"cpu_usage_percent_avg\":\"percent:1\"}','1.0','2021-05-28 11:55:01','2021-05-28 11:55:01',0),(2662,'API网关实例CPU使用率异常','micro_service','api_gateway_cpu','mbox','alert','【API网关实例CPU使用率告警】\n','【API网关实例CPU使用率异常告警】\n\n组件: {{addon_type}}\n\n实例: {{pod_namespace}} - {{pod_name}}\n\nCPU平均使用率: {{cpu_usage_percent_avg}}\n\nCPU限制: {{cpu_limit_value}}核\n\nCPU分配: {{cpu_allocation_value}}核\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n时间: {{timestamp}}\n','{\"container_id\":\"string:6\",\"cpu_allocation_value\":\"fraction:1\",\"cpu_limit_value\":\"fraction:1\",\"cpu_usage_percent_avg\":\"percent:1\"}','1.0','2021-05-28 11:55:01','2021-05-28 11:55:01',0),(2663,'API网关实例CPU使用率异常','micro_service','api_gateway_cpu','webhook','alert','【API网关实例CPU使用率告警】\n','【API网关实例CPU使用率异常告警】\n\n组件: {{addon_type}}\n\n实例: {{pod_namespace}} - {{pod_name}}\n\nCPU平均使用率: {{cpu_usage_percent_avg}}\n\nCPU限制: {{cpu_limit_value}}核\n\nCPU分配: {{cpu_allocation_value}}核\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n时间: {{timestamp}}\n','{\"container_id\":\"string:6\",\"cpu_allocation_value\":\"fraction:1\",\"cpu_limit_value\":\"fraction:1\",\"cpu_usage_percent_avg\":\"percent:1\"}','1.0','2021-05-28 11:55:01','2021-05-28 11:55:01',0),(2664,'API网关实例内存使用率异常','micro_service','api_gateway_mem','dingding','alert','【API网关实例内存使用率告警】\n','【API网关实例内存使用率异常告警】\n\n组件: {{addon_type}}\n\n实例: {{pod_namespace}} - {{pod_name}}\n\n内存使用率: {{mem_usage_percent_avg}}\n\n内存使用: {{mem_usage_value}}\n\n内存限制: {{mem_limit_value}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n时间: {{timestamp}}\n','{\"container_id\":\"string:6\",\"mem_limit_value\":\"size:byte\",\"mem_usage_percent_avg\":\"percent:1\",\"mem_usage_value\":\"size:byte\"}','1.0','2021-05-28 11:55:01','2021-05-28 11:55:01',0),(2665,'API网关实例内存使用率异常','micro_service','api_gateway_mem','ticket','alert','【API网关实例内存使用率告警】\n','【API网关实例内存使用率异常告警】\n\n组件: {{addon_type}}\n\n实例: {{pod_namespace}} - {{pod_name}}\n\n内存使用率: {{mem_usage_percent_avg}}\n\n内存使用: {{mem_usage_value}}\n\n内存限制: {{mem_limit_value}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n时间: {{timestamp}}\n','{\"container_id\":\"string:6\",\"mem_limit_value\":\"size:byte\",\"mem_usage_percent_avg\":\"percent:1\",\"mem_usage_value\":\"size:byte\"}','1.0','2021-05-28 11:55:01','2021-05-28 11:55:01',0),(2666,'API网关实例内存使用率异常','micro_service','api_gateway_mem','email','alert','【API网关实例内存使用率告警】\n','【API网关实例内存使用率异常告警】\n\n组件: {{addon_type}}\n\n实例: {{pod_namespace}} - {{pod_name}}\n\n内存使用率: {{mem_usage_percent_avg}}\n\n内存使用: {{mem_usage_value}}\n\n内存限制: {{mem_limit_value}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n时间: {{timestamp}}\n','{\"container_id\":\"string:6\",\"mem_limit_value\":\"size:byte\",\"mem_usage_percent_avg\":\"percent:1\",\"mem_usage_value\":\"size:byte\"}','1.0','2021-05-28 11:55:01','2021-05-28 11:55:01',0),(2667,'API网关实例内存使用率异常','micro_service','api_gateway_mem','mbox','alert','【API网关实例内存使用率告警】\n','【API网关实例内存使用率异常告警】\n\n组件: {{addon_type}}\n\n实例: {{pod_namespace}} - {{pod_name}}\n\n内存使用率: {{mem_usage_percent_avg}}\n\n内存使用: {{mem_usage_value}}\n\n内存限制: {{mem_limit_value}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n时间: {{timestamp}}\n','{\"container_id\":\"string:6\",\"mem_limit_value\":\"size:byte\",\"mem_usage_percent_avg\":\"percent:1\",\"mem_usage_value\":\"size:byte\"}','1.0','2021-05-28 11:55:01','2021-05-28 11:55:01',0),(2668,'API网关实例内存使用率异常','micro_service','api_gateway_mem','webhook','alert','【API网关实例内存使用率告警】\n','【API网关实例内存使用率异常告警】\n\n组件: {{addon_type}}\n\n实例: {{pod_namespace}} - {{pod_name}}\n\n内存使用率: {{mem_usage_percent_avg}}\n\n内存使用: {{mem_usage_value}}\n\n内存限制: {{mem_limit_value}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n时间: {{timestamp}}\n','{\"container_id\":\"string:6\",\"mem_limit_value\":\"size:byte\",\"mem_usage_percent_avg\":\"percent:1\",\"mem_usage_value\":\"size:byte\"}','1.0','2021-05-28 11:55:01','2021-05-28 11:55:01',0),(2669,'注册中心实例CPU使用率异常','micro_service','register_center_cpu','dingding','alert','【注册中心实例CPU使用率告警】\n','【注册中心实例CPU使用率异常告警】\n\n组件: {{addon_type}}\n\n实例: {{pod_namespace}} - {{pod_name}}\n\nCPU平均使用率: {{cpu_usage_percent_avg}}\n\nCPU限制: {{cpu_limit_value}}核\n\nCPU分配: {{cpu_allocation_value}}核\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n时间: {{timestamp}}\n','{\"container_id\":\"string:6\",\"cpu_allocation_value\":\"fraction:1\",\"cpu_limit_value\":\"fraction:1\",\"cpu_usage_percent_avg\":\"percent:1\"}','1.0','2021-05-28 11:55:01','2021-05-28 11:55:01',0),(2670,'注册中心实例CPU使用率异常','micro_service','register_center_cpu','ticket','alert','【注册中心实例CPU使用率告警】\n','【注册中心实例CPU使用率异常告警】\n\n组件: {{addon_type}}\n\n实例: {{pod_namespace}} - {{pod_name}}\n\nCPU平均使用率: {{cpu_usage_percent_avg}}\n\nCPU限制: {{cpu_limit_value}}核\n\nCPU分配: {{cpu_allocation_value}}核\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n时间: {{timestamp}}\n','{\"container_id\":\"string:6\",\"cpu_allocation_value\":\"fraction:1\",\"cpu_limit_value\":\"fraction:1\",\"cpu_usage_percent_avg\":\"percent:1\"}','1.0','2021-05-28 11:55:01','2021-05-28 11:55:01',0),(2671,'注册中心实例CPU使用率异常','micro_service','register_center_cpu','email','alert','【注册中心实例CPU使用率告警】\n','【注册中心实例CPU使用率异常告警】\n\n组件: {{addon_type}}\n\n实例: {{pod_namespace}} - {{pod_name}}\n\nCPU平均使用率: {{cpu_usage_percent_avg}}\n\nCPU限制: {{cpu_limit_value}}核\n\nCPU分配: {{cpu_allocation_value}}核\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n时间: {{timestamp}}\n','{\"container_id\":\"string:6\",\"cpu_allocation_value\":\"fraction:1\",\"cpu_limit_value\":\"fraction:1\",\"cpu_usage_percent_avg\":\"percent:1\"}','1.0','2021-05-28 11:55:01','2021-05-28 11:55:01',0),(2672,'注册中心实例CPU使用率异常','micro_service','register_center_cpu','mbox','alert','【注册中心实例CPU使用率告警】\n','【注册中心实例CPU使用率异常告警】\n\n组件: {{addon_type}}\n\n实例: {{pod_namespace}} - {{pod_name}}\n\nCPU平均使用率: {{cpu_usage_percent_avg}}\n\nCPU限制: {{cpu_limit_value}}核\n\nCPU分配: {{cpu_allocation_value}}核\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n时间: {{timestamp}}\n','{\"container_id\":\"string:6\",\"cpu_allocation_value\":\"fraction:1\",\"cpu_limit_value\":\"fraction:1\",\"cpu_usage_percent_avg\":\"percent:1\"}','1.0','2021-05-28 11:55:01','2021-05-28 11:55:01',0),(2673,'注册中心实例CPU使用率异常','micro_service','register_center_cpu','webhook','alert','【注册中心实例CPU使用率告警】\n','【注册中心实例CPU使用率异常告警】\n\n组件: {{addon_type}}\n\n实例: {{pod_namespace}} - {{pod_name}}\n\nCPU平均使用率: {{cpu_usage_percent_avg}}\n\nCPU限制: {{cpu_limit_value}}核\n\nCPU分配: {{cpu_allocation_value}}核\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n时间: {{timestamp}}\n','{\"container_id\":\"string:6\",\"cpu_allocation_value\":\"fraction:1\",\"cpu_limit_value\":\"fraction:1\",\"cpu_usage_percent_avg\":\"percent:1\"}','1.0','2021-05-28 11:55:01','2021-05-28 11:55:01',0),(2674,'注册中心实例内存使用率异常','micro_service','register_center_mem','dingding','alert','【注册中心实例内存使用率告警】\n','【注册中心实例内存使用率异常告警】\n\n组件: {{addon_type}}\n\n实例: {{pod_namespace}} - {{pod_name}}\n\n内存使用率: {{mem_usage_percent_avg}}\n\n内存使用: {{mem_usage_value}}\n\n内存限制: {{mem_limit_value}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n时间: {{timestamp}}\n','{\"container_id\":\"string:6\",\"mem_limit_value\":\"size:byte\",\"mem_usage_percent_avg\":\"percent:1\",\"mem_usage_value\":\"size:byte\"}','1.0','2021-05-28 11:55:01','2021-05-28 11:55:01',0),(2675,'注册中心实例内存使用率异常','micro_service','register_center_mem','ticket','alert','【注册中心实例内存使用率告警】\n','【注册中心实例内存使用率异常告警】\n\n组件: {{addon_type}}\n\n实例: {{pod_namespace}} - {{pod_name}}\n\n内存使用率: {{mem_usage_percent_avg}}\n\n内存使用: {{mem_usage_value}}\n\n内存限制: {{mem_limit_value}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n时间: {{timestamp}}\n','{\"container_id\":\"string:6\",\"mem_limit_value\":\"size:byte\",\"mem_usage_percent_avg\":\"percent:1\",\"mem_usage_value\":\"size:byte\"}','1.0','2021-05-28 11:55:01','2021-05-28 11:55:01',0),(2676,'注册中心实例内存使用率异常','micro_service','register_center_mem','email','alert','【注册中心实例内存使用率告警】\n','【注册中心实例内存使用率异常告警】\n\n组件: {{addon_type}}\n\n实例: {{pod_namespace}} - {{pod_name}}\n\n内存使用率: {{mem_usage_percent_avg}}\n\n内存使用: {{mem_usage_value}}\n\n内存限制: {{mem_limit_value}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n时间: {{timestamp}}\n','{\"container_id\":\"string:6\",\"mem_limit_value\":\"size:byte\",\"mem_usage_percent_avg\":\"percent:1\",\"mem_usage_value\":\"size:byte\"}','1.0','2021-05-28 11:55:01','2021-05-28 11:55:01',0),(2677,'注册中心实例内存使用率异常','micro_service','register_center_mem','mbox','alert','【注册中心实例内存使用率告警】\n','【注册中心实例内存使用率异常告警】\n\n组件: {{addon_type}}\n\n实例: {{pod_namespace}} - {{pod_name}}\n\n内存使用率: {{mem_usage_percent_avg}}\n\n内存使用: {{mem_usage_value}}\n\n内存限制: {{mem_limit_value}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n时间: {{timestamp}}\n','{\"container_id\":\"string:6\",\"mem_limit_value\":\"size:byte\",\"mem_usage_percent_avg\":\"percent:1\",\"mem_usage_value\":\"size:byte\"}','1.0','2021-05-28 11:55:01','2021-05-28 11:55:01',0),(2678,'注册中心实例内存使用率异常','micro_service','register_center_mem','webhook','alert','【注册中心实例内存使用率告警】\n','【注册中心实例内存使用率异常告警】\n\n组件: {{addon_type}}\n\n实例: {{pod_namespace}} - {{pod_name}}\n\n内存使用率: {{mem_usage_percent_avg}}\n\n内存使用: {{mem_usage_value}}\n\n内存限制: {{mem_limit_value}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n时间: {{timestamp}}\n','{\"container_id\":\"string:6\",\"mem_limit_value\":\"size:byte\",\"mem_usage_percent_avg\":\"percent:1\",\"mem_usage_value\":\"size:byte\"}','1.0','2021-05-28 11:55:01','2021-05-28 11:55:01',0),(2679,'服务熔断通知告警','micro_service','sidecar_circuit_breaker','dingding','alert','【{{application_name}}应用{{service_name}}服务发生熔断告警】\n','【服务熔断告警】\n\n服务发生熔断 !\n\n项目: {{project_name}}\n\n环境: {{workspace}}\n\n应用: {{application_name}}\n\n服务: {{runtime_name}} / {{service_name}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n时间: {{timestamp}}\n','','1.0','2021-05-28 11:55:01','2021-05-28 11:55:01',0),(2680,'服务熔断通知告警','micro_service','sidecar_circuit_breaker','ticket','alert','【{{application_name}}应用{{service_name}}服务发生熔断告警】\n','【服务熔断告警】\n\n服务发生熔断 !\n\n项目: {{project_name}}\n\n环境: {{workspace}}\n\n应用: {{application_name}}\n\n服务: {{runtime_name}} / {{service_name}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n时间: {{timestamp}}\n','','1.0','2021-05-28 11:55:01','2021-05-28 11:55:01',0),(2681,'服务熔断通知告警','micro_service','sidecar_circuit_breaker','email','alert','【{{application_name}}应用{{service_name}}服务发生熔断告警】\n','【服务熔断告警】\n\n服务发生熔断 !\n\n项目: {{project_name}}\n\n环境: {{workspace}}\n\n应用: {{application_name}}\n\n服务: {{runtime_name}} / {{service_name}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n时间: {{timestamp}}\n','','1.0','2021-05-28 11:55:01','2021-05-28 11:55:01',0),(2682,'服务熔断通知告警','micro_service','sidecar_circuit_breaker','mbox','alert','【{{application_name}}应用{{service_name}}服务发生熔断告警】\n','【服务熔断告警】\n\n服务发生熔断 !\n\n项目: {{project_name}}\n\n环境: {{workspace}}\n\n应用: {{application_name}}\n\n服务: {{runtime_name}} / {{service_name}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n时间: {{timestamp}}\n','','1.0','2021-05-28 11:55:01','2021-05-28 11:55:01',0),(2683,'服务熔断通知告警','micro_service','sidecar_circuit_breaker','webhook','alert','【{{application_name}}应用{{service_name}}服务发生熔断告警】\n','【服务熔断告警】\n\n服务发生熔断 !\n\n项目: {{project_name}}\n\n环境: {{workspace}}\n\n应用: {{application_name}}\n\n服务: {{runtime_name}} / {{service_name}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n时间: {{timestamp}}\n','','1.0','2021-05-28 11:55:01','2021-05-28 11:55:01',0),(2684,'ElasticSearch实例CPU使用率异常告警','addon','addon_elasticsearch_cpu','dingding','alert','【ElasticSearch实例CPU使用率告警】\n','【ElasticSearch实例CPU使用率异常告警】\n\n组件: {{addon_type}}\n\n实例: {{pod_namespace}} - {{pod_name}}\n\nCPU平均使用率: {{cpu_usage_percent_avg}}\n\nCPU限制: {{limit_value}}核\n\nCPU分配: {{allocation_value}}核\n\n集群 / 机器: {{cluster_name}} / {{host_ip}}\n\n容器ID: {{container_id}}\n\n机器: {{host_ip}}\n\n时间: {{timestamp}}\n','{\"container_id\":\"string:6\",\"cpu_usage_percent_avg\":\"percent:1\",\"limit_value\":\"fraction:1\"}','1.0','2021-05-28 11:55:01','2021-05-28 11:55:02',0),(2685,'ElasticSearch实例CPU使用率异常告警','addon','addon_elasticsearch_cpu','ticket','alert','【ElasticSearch实例CPU使用率告警】\n','【ElasticSearch实例CPU使用率异常告警】\n\n组件: {{addon_type}}\n\n实例: {{pod_namespace}} - {{pod_name}}\n\nCPU平均使用率: {{cpu_usage_percent_avg}}\n\nCPU限制: {{limit_value}}核\n\nCPU分配: {{allocation_value}}核\n\n集群 / 机器: {{cluster_name}} / {{host_ip}}\n\n容器ID: {{container_id}}\n\n机器: {{host_ip}}\n\n时间: {{timestamp}}\n','{\"container_id\":\"string:6\",\"cpu_usage_percent_avg\":\"percent:1\",\"limit_value\":\"fraction:1\"}','1.0','2021-05-28 11:55:01','2021-05-28 11:55:02',0),(2686,'ElasticSearch实例CPU使用率异常告警','addon','addon_elasticsearch_cpu','email','alert','【ElasticSearch实例CPU使用率告警】\n','【ElasticSearch实例CPU使用率异常告警】\n\n组件: {{addon_type}}\n\n实例: {{pod_namespace}} - {{pod_name}}\n\nCPU平均使用率: {{cpu_usage_percent_avg}}\n\nCPU限制: {{limit_value}}核\n\nCPU分配: {{allocation_value}}核\n\n集群 / 机器: {{cluster_name}} / {{host_ip}}\n\n容器ID: {{container_id}}\n\n机器: {{host_ip}}\n\n时间: {{timestamp}}\n','{\"container_id\":\"string:6\",\"cpu_usage_percent_avg\":\"percent:1\",\"limit_value\":\"fraction:1\"}','1.0','2021-05-28 11:55:01','2021-05-28 11:55:02',0),(2687,'ElasticSearch实例CPU使用率异常告警','addon','addon_elasticsearch_cpu','mbox','alert','【ElasticSearch实例CPU使用率告警】\n','【ElasticSearch实例CPU使用率异常告警】\n\n组件: {{addon_type}}\n\n实例: {{pod_namespace}} - {{pod_name}}\n\nCPU平均使用率: {{cpu_usage_percent_avg}}\n\nCPU限制: {{limit_value}}核\n\nCPU分配: {{allocation_value}}核\n\n集群 / 机器: {{cluster_name}} / {{host_ip}}\n\n容器ID: {{container_id}}\n\n机器: {{host_ip}}\n\n时间: {{timestamp}}\n','{\"container_id\":\"string:6\",\"cpu_usage_percent_avg\":\"percent:1\",\"limit_value\":\"fraction:1\"}','1.0','2021-05-28 11:55:01','2021-05-28 11:55:02',0),(2688,'ElasticSearch实例CPU使用率异常告警','addon','addon_elasticsearch_cpu','webhook','alert','【ElasticSearch实例CPU使用率告警】\n','【ElasticSearch实例CPU使用率异常告警】\n\n组件: {{addon_type}}\n\n实例: {{pod_namespace}} - {{pod_name}}\n\nCPU平均使用率: {{cpu_usage_percent_avg}}\n\nCPU限制: {{limit_value}}核\n\nCPU分配: {{allocation_value}}核\n\n集群 / 机器: {{cluster_name}} / {{host_ip}}\n\n容器ID: {{container_id}}\n\n机器: {{host_ip}}\n\n时间: {{timestamp}}\n','{\"container_id\":\"string:6\",\"cpu_usage_percent_avg\":\"percent:1\",\"limit_value\":\"fraction:1\"}','1.0','2021-05-28 11:55:01','2021-05-28 11:55:02',0),(2689,'Elasticsearch实例内存使用率异常告警','addon','addon_elasticsearch_mem','dingding','alert','【Elasticsearch实例内存使用率告警】\n','【Elasticsearch实例内存使用率告警】\n\n组件: {{addon_type}}\n\n实例ID: {{addon_id}}\n\n实例: {{pod_namespace}} - {{pod_name}}\n\n平均使用率: {{mem_usage_percent_avg}}\n\n集群 / 机器: {{cluster_name}} / {{host_ip}}\n\n容器ID: {{container_id}}\n\n机器: {{host_ip}}\n\n时间: {{timestamp}}','{\"container_id\":\"string:6\",\"mem_limit_value\":\"fraction:1\",\"mem_usage_percent_avg\":\"percent:1\"}','1.0','2021-05-28 11:55:01','2021-05-28 11:55:02',0),(2690,'Elasticsearch实例内存使用率异常告警','addon','addon_elasticsearch_mem','ticket','alert','【Elasticsearch实例内存使用率告警】\n','【Elasticsearch实例内存使用率告警】\n\n组件: {{addon_type}}\n\n实例ID: {{addon_id}}\n\n实例: {{pod_namespace}} - {{pod_name}}\n\n平均使用率: {{mem_usage_percent_avg}}\n\n集群 / 机器: {{cluster_name}} / {{host_ip}}\n\n容器ID: {{container_id}}\n\n机器: {{host_ip}}\n\n时间: {{timestamp}}','{\"container_id\":\"string:6\",\"mem_limit_value\":\"fraction:1\",\"mem_usage_percent_avg\":\"percent:1\"}','1.0','2021-05-28 11:55:01','2021-05-28 11:55:02',0),(2691,'Elasticsearch实例内存使用率异常告警','addon','addon_elasticsearch_mem','email','alert','【Elasticsearch实例内存使用率告警】\n','【Elasticsearch实例内存使用率告警】\n\n组件: {{addon_type}}\n\n实例ID: {{addon_id}}\n\n实例: {{pod_namespace}} - {{pod_name}}\n\n平均使用率: {{mem_usage_percent_avg}}\n\n集群 / 机器: {{cluster_name}} / {{host_ip}}\n\n容器ID: {{container_id}}\n\n机器: {{host_ip}}\n\n时间: {{timestamp}}','{\"container_id\":\"string:6\",\"mem_limit_value\":\"fraction:1\",\"mem_usage_percent_avg\":\"percent:1\"}','1.0','2021-05-28 11:55:01','2021-05-28 11:55:02',0),(2692,'Elasticsearch实例内存使用率异常告警','addon','addon_elasticsearch_mem','mbox','alert','【Elasticsearch实例内存使用率告警】\n','【Elasticsearch实例内存使用率告警】\n\n组件: {{addon_type}}\n\n实例ID: {{addon_id}}\n\n实例: {{pod_namespace}} - {{pod_name}}\n\n平均使用率: {{mem_usage_percent_avg}}\n\n集群 / 机器: {{cluster_name}} / {{host_ip}}\n\n容器ID: {{container_id}}\n\n机器: {{host_ip}}\n\n时间: {{timestamp}}','{\"container_id\":\"string:6\",\"mem_limit_value\":\"fraction:1\",\"mem_usage_percent_avg\":\"percent:1\"}','1.0','2021-05-28 11:55:01','2021-05-28 11:55:02',0),(2693,'Elasticsearch实例内存使用率异常告警','addon','addon_elasticsearch_mem','webhook','alert','【Elasticsearch实例内存使用率告警】\n','【Elasticsearch实例内存使用率告警】\n\n组件: {{addon_type}}\n\n实例ID: {{addon_id}}\n\n实例: {{pod_namespace}} - {{pod_name}}\n\n平均使用率: {{mem_usage_percent_avg}}\n\n集群 / 机器: {{cluster_name}} / {{host_ip}}\n\n容器ID: {{container_id}}\n\n机器: {{host_ip}}\n\n时间: {{timestamp}}','{\"container_id\":\"string:6\",\"mem_limit_value\":\"fraction:1\",\"mem_usage_percent_avg\":\"percent:1\"}','1.0','2021-05-28 11:55:01','2021-05-28 11:55:02',0),(2694,'MySQL实例CPU使用率异常告警','addon','addon_mysql_cpu','dingding','alert','【MySQL实例CPU使用率告警】\n','【MySQL实例CPU使用率异常告警】\n\n组件: {{addon_type}}\n\n实例: {{pod_namespace}} - {{pod_name}}\n\nCPU平均使用率: {{cpu_usage_percent_avg}}\n\nCPU限制: {{cpu_limit_value}}核\n\nCPU分配: {{cpu_allocation_value}}核\n\n集群 / 机器: {{cluster_name}} / {{host_ip}}\n\n容器ID: {{container_id}}\n\n机器: {{host_ip}}\n\n时间: {{timestamp}}','{\"container_id\":\"string:6\",\"cpu_limit_value\":\"fraction:1\",\"cpu_usage_percent_avg\":\"percent:1\"}','1.0','2021-05-28 11:55:01','2021-05-28 11:55:02',0),(2695,'MySQL实例CPU使用率异常告警','addon','addon_mysql_cpu','ticket','alert','【MySQL实例CPU使用率告警】\n','【MySQL实例CPU使用率异常告警】\n\n组件: {{addon_type}}\n\n实例: {{pod_namespace}} - {{pod_name}}\n\nCPU平均使用率: {{cpu_usage_percent_avg}}\n\nCPU限制: {{cpu_limit_value}}核\n\nCPU分配: {{cpu_allocation_value}}核\n\n集群 / 机器: {{cluster_name}} / {{host_ip}}\n\n容器ID: {{container_id}}\n\n机器: {{host_ip}}\n\n时间: {{timestamp}}','{\"container_id\":\"string:6\",\"cpu_limit_value\":\"fraction:1\",\"cpu_usage_percent_avg\":\"percent:1\"}','1.0','2021-05-28 11:55:01','2021-05-28 11:55:02',0),(2696,'MySQL实例CPU使用率异常告警','addon','addon_mysql_cpu','email','alert','【MySQL实例CPU使用率告警】\n','【MySQL实例CPU使用率异常告警】\n\n组件: {{addon_type}}\n\n实例: {{pod_namespace}} - {{pod_name}}\n\nCPU平均使用率: {{cpu_usage_percent_avg}}\n\nCPU限制: {{cpu_limit_value}}核\n\nCPU分配: {{cpu_allocation_value}}核\n\n集群 / 机器: {{cluster_name}} / {{host_ip}}\n\n容器ID: {{container_id}}\n\n机器: {{host_ip}}\n\n时间: {{timestamp}}','{\"container_id\":\"string:6\",\"cpu_limit_value\":\"fraction:1\",\"cpu_usage_percent_avg\":\"percent:1\"}','1.0','2021-05-28 11:55:01','2021-05-28 11:55:02',0),(2697,'MySQL实例CPU使用率异常告警','addon','addon_mysql_cpu','mbox','alert','【MySQL实例CPU使用率告警】\n','【MySQL实例CPU使用率异常告警】\n\n组件: {{addon_type}}\n\n实例: {{pod_namespace}} - {{pod_name}}\n\nCPU平均使用率: {{cpu_usage_percent_avg}}\n\nCPU限制: {{cpu_limit_value}}核\n\nCPU分配: {{cpu_allocation_value}}核\n\n集群 / 机器: {{cluster_name}} / {{host_ip}}\n\n容器ID: {{container_id}}\n\n机器: {{host_ip}}\n\n时间: {{timestamp}}','{\"container_id\":\"string:6\",\"cpu_limit_value\":\"fraction:1\",\"cpu_usage_percent_avg\":\"percent:1\"}','1.0','2021-05-28 11:55:01','2021-05-28 11:55:02',0),(2698,'MySQL实例CPU使用率异常告警','addon','addon_mysql_cpu','webhook','alert','【MySQL实例CPU使用率告警】\n','【MySQL实例CPU使用率异常告警】\n\n组件: {{addon_type}}\n\n实例: {{pod_namespace}} - {{pod_name}}\n\nCPU平均使用率: {{cpu_usage_percent_avg}}\n\nCPU限制: {{cpu_limit_value}}核\n\nCPU分配: {{cpu_allocation_value}}核\n\n集群 / 机器: {{cluster_name}} / {{host_ip}}\n\n容器ID: {{container_id}}\n\n机器: {{host_ip}}\n\n时间: {{timestamp}}','{\"container_id\":\"string:6\",\"cpu_limit_value\":\"fraction:1\",\"cpu_usage_percent_avg\":\"percent:1\"}','1.0','2021-05-28 11:55:01','2021-05-28 11:55:02',0),(2699,'MySQL实例内存使用率异常告警','addon','addon_mysql_mem','dingding','alert','【MySQL实例内存使用率告警】\n','【MySQL实例内存使用率告警】\n\n组件: {{addon_type}}\n\n实例ID: {{addon_id}}\n\n实例: {{pod_namespace}} - {{pod_name}}\n\n平均使用率: {{mem_usage_percent_avg}}\n\n集群 / 机器: {{cluster_name}} / {{host_ip}}\n\n容器ID: {{container_id}}\n\n机器: {{host_ip}}\n\n时间: {{timestamp}}','{\"container_id\":\"string:6\",\"mem_limit_value\":\"fraction:1\",\"mem_usage_percent_avg\":\"percent:1\"}','1.0','2021-05-28 11:55:01','2021-05-28 11:55:02',0),(2700,'MySQL实例内存使用率异常告警','addon','addon_mysql_mem','ticket','alert','【MySQL实例内存使用率告警】\n','【MySQL实例内存使用率告警】\n\n组件: {{addon_type}}\n\n实例ID: {{addon_id}}\n\n实例: {{pod_namespace}} - {{pod_name}}\n\n平均使用率: {{mem_usage_percent_avg}}\n\n集群 / 机器: {{cluster_name}} / {{host_ip}}\n\n容器ID: {{container_id}}\n\n机器: {{host_ip}}\n\n时间: {{timestamp}}','{\"container_id\":\"string:6\",\"mem_limit_value\":\"fraction:1\",\"mem_usage_percent_avg\":\"percent:1\"}','1.0','2021-05-28 11:55:01','2021-05-28 11:55:02',0),(2701,'MySQL实例内存使用率异常告警','addon','addon_mysql_mem','email','alert','【MySQL实例内存使用率告警】\n','【MySQL实例内存使用率告警】\n\n组件: {{addon_type}}\n\n实例ID: {{addon_id}}\n\n实例: {{pod_namespace}} - {{pod_name}}\n\n平均使用率: {{mem_usage_percent_avg}}\n\n集群 / 机器: {{cluster_name}} / {{host_ip}}\n\n容器ID: {{container_id}}\n\n机器: {{host_ip}}\n\n时间: {{timestamp}}','{\"container_id\":\"string:6\",\"mem_limit_value\":\"fraction:1\",\"mem_usage_percent_avg\":\"percent:1\"}','1.0','2021-05-28 11:55:01','2021-05-28 11:55:02',0),(2702,'MySQL实例内存使用率异常告警','addon','addon_mysql_mem','mbox','alert','【MySQL实例内存使用率告警】\n','【MySQL实例内存使用率告警】\n\n组件: {{addon_type}}\n\n实例ID: {{addon_id}}\n\n实例: {{pod_namespace}} - {{pod_name}}\n\n平均使用率: {{mem_usage_percent_avg}}\n\n集群 / 机器: {{cluster_name}} / {{host_ip}}\n\n容器ID: {{container_id}}\n\n机器: {{host_ip}}\n\n时间: {{timestamp}}','{\"container_id\":\"string:6\",\"mem_limit_value\":\"fraction:1\",\"mem_usage_percent_avg\":\"percent:1\"}','1.0','2021-05-28 11:55:01','2021-05-28 11:55:02',0),(2703,'MySQL实例内存使用率异常告警','addon','addon_mysql_mem','webhook','alert','【MySQL实例内存使用率告警】\n','【MySQL实例内存使用率告警】\n\n组件: {{addon_type}}\n\n实例ID: {{addon_id}}\n\n实例: {{pod_namespace}} - {{pod_name}}\n\n平均使用率: {{mem_usage_percent_avg}}\n\n集群 / 机器: {{cluster_name}} / {{host_ip}}\n\n容器ID: {{container_id}}\n\n机器: {{host_ip}}\n\n时间: {{timestamp}}','{\"container_id\":\"string:6\",\"mem_limit_value\":\"fraction:1\",\"mem_usage_percent_avg\":\"percent:1\"}','1.0','2021-05-28 11:55:01','2021-05-28 11:55:02',0),(2704,'MySQL实例主从同步异常告警','addon','addon_mysql_slave_status','dingding','alert','【MySQL实例主从同步异常】\n','【MySQL实例主从同步异常】\n\n组件: \"mysql\"\n\n实例ID: {{addon_id}}\n\n从节点IO异常状态: {{slave_slave_io_running_value}}\n\n从节点连接异常状态: {{slave_slave_sql_running_value}}\n\n集群 / 机器: {{cluster_name}} / {{host_ip}}\n\n机器: {{host_ip}}\n\n时间: {{timestamp}}','{\"limit_value\":\"fraction:1\",\"usage_percent_avg\":\"percent:1\"}','1.0','2021-05-28 11:55:01','2021-05-28 11:55:02',0),(2705,'MySQL实例主从同步异常告警','addon','addon_mysql_slave_status','ticket','alert','【MySQL实例主从同步异常】\n','【MySQL实例主从同步异常】\n\n组件: \"mysql\"\n\n实例ID: {{addon_id}}\n\n从节点IO异常状态: {{slave_slave_io_running_value}}\n\n从节点连接异常状态: {{slave_slave_sql_running_value}}\n\n集群 / 机器: {{cluster_name}} / {{host_ip}}\n\n机器: {{host_ip}}\n\n时间: {{timestamp}}','{\"limit_value\":\"fraction:1\",\"usage_percent_avg\":\"percent:1\"}','1.0','2021-05-28 11:55:01','2021-05-28 11:55:02',0),(2706,'MySQL实例主从同步异常告警','addon','addon_mysql_slave_status','email','alert','【MySQL实例主从同步异常】\n','【MySQL实例主从同步异常】\n\n组件: \"mysql\"\n\n实例ID: {{addon_id}}\n\n从节点IO异常状态: {{slave_slave_io_running_value}}\n\n从节点连接异常状态: {{slave_slave_sql_running_value}}\n\n集群 / 机器: {{cluster_name}} / {{host_ip}}\n\n机器: {{host_ip}}\n\n时间: {{timestamp}}','{\"limit_value\":\"fraction:1\",\"usage_percent_avg\":\"percent:1\"}','1.0','2021-05-28 11:55:01','2021-05-28 11:55:02',0),(2707,'MySQL实例主从同步异常告警','addon','addon_mysql_slave_status','mbox','alert','【MySQL实例主从同步异常】\n','【MySQL实例主从同步异常】\n\n组件: \"mysql\"\n\n实例ID: {{addon_id}}\n\n从节点IO异常状态: {{slave_slave_io_running_value}}\n\n从节点连接异常状态: {{slave_slave_sql_running_value}}\n\n集群 / 机器: {{cluster_name}} / {{host_ip}}\n\n机器: {{host_ip}}\n\n时间: {{timestamp}}','{\"limit_value\":\"fraction:1\",\"usage_percent_avg\":\"percent:1\"}','1.0','2021-05-28 11:55:01','2021-05-28 11:55:02',0),(2708,'MySQL实例主从同步异常告警','addon','addon_mysql_slave_status','webhook','alert','【MySQL实例主从同步异常】\n','【MySQL实例主从同步异常】\n\n组件: \"mysql\"\n\n实例ID: {{addon_id}}\n\n从节点IO异常状态: {{slave_slave_io_running_value}}\n\n从节点连接异常状态: {{slave_slave_sql_running_value}}\n\n集群 / 机器: {{cluster_name}} / {{host_ip}}\n\n机器: {{host_ip}}\n\n时间: {{timestamp}}','{\"limit_value\":\"fraction:1\",\"usage_percent_avg\":\"percent:1\"}','1.0','2021-05-28 11:55:01','2021-05-28 11:55:02',0),(2709,'redis实例内存使用率异常告警','addon','addon_redis_mem','dingding','alert','【redis实例内存使用率异常告警】\n','【redis实例内存使用率异常告警】\n\n组件: {{addon_type}}\n\n实例ID: {{addon_id}}\n\n实例: {{pod_namespace}} - {{pod_name}}\n\n平均使用率: {{mem_usage_percent_avg}}\n\n集群 / 机器: {{cluster_name}} / {{host_ip}}\n\n容器ID: {{container_id}}\n\n机器: {{host_ip}}\n\n时间: {{timestamp}}','{\"container_id\":\"string:6\",\"mem_limit_value\":\"fraction:1\",\"mem_usage_percent_avg\":\"percent:1\"}','1.0','2021-05-28 11:55:01','2021-05-28 11:55:02',0),(2710,'redis实例内存使用率异常告警','addon','addon_redis_mem','ticket','alert','【redis实例内存使用率异常告警】\n','【redis实例内存使用率异常告警】\n\n组件: {{addon_type}}\n\n实例ID: {{addon_id}}\n\n实例: {{pod_namespace}} - {{pod_name}}\n\n平均使用率: {{mem_usage_percent_avg}}\n\n集群 / 机器: {{cluster_name}} / {{host_ip}}\n\n容器ID: {{container_id}}\n\n机器: {{host_ip}}\n\n时间: {{timestamp}}','{\"container_id\":\"string:6\",\"mem_limit_value\":\"fraction:1\",\"mem_usage_percent_avg\":\"percent:1\"}','1.0','2021-05-28 11:55:01','2021-05-28 11:55:02',0),(2711,'redis实例内存使用率异常告警','addon','addon_redis_mem','email','alert','【redis实例内存使用率异常告警】\n','【redis实例内存使用率异常告警】\n\n组件: {{addon_type}}\n\n实例ID: {{addon_id}}\n\n实例: {{pod_namespace}} - {{pod_name}}\n\n平均使用率: {{mem_usage_percent_avg}}\n\n集群 / 机器: {{cluster_name}} / {{host_ip}}\n\n容器ID: {{container_id}}\n\n机器: {{host_ip}}\n\n时间: {{timestamp}}','{\"container_id\":\"string:6\",\"mem_limit_value\":\"fraction:1\",\"mem_usage_percent_avg\":\"percent:1\"}','1.0','2021-05-28 11:55:01','2021-05-28 11:55:02',0),(2712,'redis实例内存使用率异常告警','addon','addon_redis_mem','mbox','alert','【redis实例内存使用率异常告警】\n','【redis实例内存使用率异常告警】\n\n组件: {{addon_type}}\n\n实例ID: {{addon_id}}\n\n实例: {{pod_namespace}} - {{pod_name}}\n\n平均使用率: {{mem_usage_percent_avg}}\n\n集群 / 机器: {{cluster_name}} / {{host_ip}}\n\n容器ID: {{container_id}}\n\n机器: {{host_ip}}\n\n时间: {{timestamp}}','{\"container_id\":\"string:6\",\"mem_limit_value\":\"fraction:1\",\"mem_usage_percent_avg\":\"percent:1\"}','1.0','2021-05-28 11:55:01','2021-05-28 11:55:02',0),(2713,'redis实例内存使用率异常告警','addon','addon_redis_mem','webhook','alert','【redis实例内存使用率异常告警】\n','【redis实例内存使用率异常告警】\n\n组件: {{addon_type}}\n\n实例ID: {{addon_id}}\n\n实例: {{pod_namespace}} - {{pod_name}}\n\n平均使用率: {{mem_usage_percent_avg}}\n\n集群 / 机器: {{cluster_name}} / {{host_ip}}\n\n容器ID: {{container_id}}\n\n机器: {{host_ip}}\n\n时间: {{timestamp}}','{\"container_id\":\"string:6\",\"mem_limit_value\":\"fraction:1\",\"mem_usage_percent_avg\":\"percent:1\"}','1.0','2021-05-28 11:55:01','2021-05-28 11:55:02',0),(2714,'应用异常','app_exception','app_exception_count','dingding','alert','【{{application_name}}应用{{service_name}}服务异常告警】\n','【应用异常告警】\n\n项目: {{project_name}}\n\n应用: {{application_name}}\n\n服务: {{runtime_name}} - {{service_name}}\n\n实例: {{instance_id}}\n\n类: {{class}}\n\n方法: {{method}}\n\n行数: {{line}}\n\n错误: {{type}}\n\n事件: {{window}}分钟内出现 {{count_sum}} 次\n\n时间: {{timestamp}}\n\n[查看详情]({{display_url}})\n','','1.0','2021-05-28 11:55:01','2021-05-28 11:55:02',0),(2715,'应用异常','app_exception','app_exception_count','ticket','alert','【{{application_name}}应用{{service_name}}服务异常告警】\n','【应用异常告警】\n\n项目: {{project_name}}\n\n应用: {{application_name}}\n\n服务: {{runtime_name}} - {{service_name}}\n\n实例: {{instance_id}}\n\n类: {{class}}\n\n方法: {{method}}\n\n行数: {{line}}\n\n错误: {{type}}\n\n事件: {{window}}分钟内出现 {{count_sum}} 次\n\n时间: {{timestamp}}\n\n[查看详情]({{display_url}})\n','','1.0','2021-05-28 11:55:01','2021-05-28 11:55:02',0),(2716,'应用异常','app_exception','app_exception_count','email','alert','【{{application_name}}应用{{service_name}}服务异常告警】\n','【应用异常告警】\n\n项目: {{project_name}}\n\n应用: {{application_name}}\n\n服务: {{runtime_name}} - {{service_name}}\n\n实例: {{instance_id}}\n\n类: {{class}}\n\n方法: {{method}}\n\n行数: {{line}}\n\n错误: {{type}}\n\n事件: {{window}}分钟内出现 {{count_sum}} 次\n\n时间: {{timestamp}}\n\n[查看详情]({{display_url}})\n','','1.0','2021-05-28 11:55:01','2021-05-28 11:55:02',0),(2717,'应用异常','app_exception','app_exception_count','mbox','alert','【{{application_name}}应用{{service_name}}服务异常告警】\n','【应用异常告警】\n\n项目: {{project_name}}\n\n应用: {{application_name}}\n\n服务: {{runtime_name}} - {{service_name}}\n\n实例: {{instance_id}}\n\n类: {{class}}\n\n方法: {{method}}\n\n行数: {{line}}\n\n错误: {{type}}\n\n事件: {{window}}分钟内出现 {{count_sum}} 次\n\n时间: {{timestamp}}\n\n[查看详情]({{display_url}})\n','','1.0','2021-05-28 11:55:01','2021-05-28 11:55:02',0),(2718,'应用异常','app_exception','app_exception_count','webhook','alert','【{{application_name}}应用{{service_name}}服务异常告警】\n','【应用异常告警】\n\n项目: {{project_name}}\n\n应用: {{application_name}}\n\n服务: {{runtime_name}} - {{service_name}}\n\n实例: {{instance_id}}\n\n类: {{class}}\n\n方法: {{method}}\n\n行数: {{line}}\n\n错误: {{type}}\n\n事件: {{window}}分钟内出现 {{count_sum}} 次\n\n时间: {{timestamp}}\n\n[查看详情]({{display_url}})\n','','1.0','2021-05-28 11:55:01','2021-05-28 11:55:02',0),(2719,'应用异常','app_exception','app_exception_count','dingding','recover','【{{application_name}}应用{{service_name}}服务异常恢复】\n','【应用异常恢复】\n\n项目: {{project_name}}\n\n应用: {{application_name}}\n\n服务: {{runtime_name}} - {{service_name}}\n\n实例: {{instance_id}}\n\n类: {{class}}\n\n方法: {{method}}\n\n行数: {{line}}\n\n错误: {{type}}\n\n持续时间: {{trigger_duration_min}}\n\n恢复时间: {{timestamp}}','','1.0','2021-05-28 11:55:01','2021-05-28 11:55:02',0),(2720,'应用异常','app_exception','app_exception_count','ticket','recover','【{{application_name}}应用{{service_name}}服务异常恢复】\n','【应用异常恢复】\n\n项目: {{project_name}}\n\n应用: {{application_name}}\n\n服务: {{runtime_name}} - {{service_name}}\n\n实例: {{instance_id}}\n\n类: {{class}}\n\n方法: {{method}}\n\n行数: {{line}}\n\n错误: {{type}}\n\n持续时间: {{trigger_duration_min}}\n\n恢复时间: {{timestamp}}','','1.0','2021-05-28 11:55:01','2021-05-28 11:55:02',0),(2721,'应用异常','app_exception','app_exception_count','email','recover','【{{application_name}}应用{{service_name}}服务异常恢复】\n','【应用异常恢复】\n\n项目: {{project_name}}\n\n应用: {{application_name}}\n\n服务: {{runtime_name}} - {{service_name}}\n\n实例: {{instance_id}}\n\n类: {{class}}\n\n方法: {{method}}\n\n行数: {{line}}\n\n错误: {{type}}\n\n持续时间: {{trigger_duration_min}}\n\n恢复时间: {{timestamp}}','','1.0','2021-05-28 11:55:01','2021-05-28 11:55:02',0),(2722,'应用异常','app_exception','app_exception_count','mbox','recover','【{{application_name}}应用{{service_name}}服务异常恢复】\n','【应用异常恢复】\n\n项目: {{project_name}}\n\n应用: {{application_name}}\n\n服务: {{runtime_name}} - {{service_name}}\n\n实例: {{instance_id}}\n\n类: {{class}}\n\n方法: {{method}}\n\n行数: {{line}}\n\n错误: {{type}}\n\n持续时间: {{trigger_duration_min}}\n\n恢复时间: {{timestamp}}','','1.0','2021-05-28 11:55:01','2021-05-28 11:55:02',0),(2723,'应用异常','app_exception','app_exception_count','webhook','recover','【{{application_name}}应用{{service_name}}服务异常恢复】\n','【应用异常恢复】\n\n项目: {{project_name}}\n\n应用: {{application_name}}\n\n服务: {{runtime_name}} - {{service_name}}\n\n实例: {{instance_id}}\n\n类: {{class}}\n\n方法: {{method}}\n\n行数: {{line}}\n\n错误: {{type}}\n\n持续时间: {{trigger_duration_min}}\n\n恢复时间: {{timestamp}}','','1.0','2021-05-28 11:55:01','2021-05-28 11:55:02',0),(2724,'应用实例CPU使用率异常','app_resource','app_resource_container_cpu','dingding','alert','【{{application_name}}应用{{service_name}}服务实例CPU使用率告警】\n','【应用实例CPU使用率异常告警】\n\n项目: {{project_name}}\n\n应用: {{application_name}}\n\n服务实例: {{runtime_name}} - {{service_name}}.{{container_id}}\n\nCPU平均使用率: {{cpu_usage_percent_avg}}\n\nCPU限制: {{cpu_limit_value}}核\n\n机器: {{host_ip}}\n\n时间: {{timestamp}}\n\n[查看详情]({{display_url}})\n','{\"container_id\":\"string:6\",\"cpu_limit_value\":\"fraction:1\",\"cpu_usage_percent_avg\":\"percent:1\"}','1.0','2021-05-28 11:55:01','2021-05-28 11:55:02',0),(2725,'应用实例CPU使用率异常','app_resource','app_resource_container_cpu','ticket','alert','【{{application_name}}应用{{service_name}}服务实例CPU使用率告警】\n','【应用实例CPU使用率异常告警】\n\n项目: {{project_name}}\n\n应用: {{application_name}}\n\n服务实例: {{runtime_name}} - {{service_name}}.{{container_id}}\n\nCPU平均使用率: {{cpu_usage_percent_avg}}\n\nCPU限制: {{cpu_limit_value}}核\n\n机器: {{host_ip}}\n\n时间: {{timestamp}}\n\n[查看详情]({{display_url}})\n','{\"container_id\":\"string:6\",\"cpu_limit_value\":\"fraction:1\",\"cpu_usage_percent_avg\":\"percent:1\"}','1.0','2021-05-28 11:55:01','2021-05-28 11:55:02',0),(2726,'应用实例CPU使用率异常','app_resource','app_resource_container_cpu','email','alert','【{{application_name}}应用{{service_name}}服务实例CPU使用率告警】\n','【应用实例CPU使用率异常告警】\n\n项目: {{project_name}}\n\n应用: {{application_name}}\n\n服务实例: {{runtime_name}} - {{service_name}}.{{container_id}}\n\nCPU平均使用率: {{cpu_usage_percent_avg}}\n\nCPU限制: {{cpu_limit_value}}核\n\n机器: {{host_ip}}\n\n时间: {{timestamp}}\n\n[查看详情]({{display_url}})\n','{\"container_id\":\"string:6\",\"cpu_limit_value\":\"fraction:1\",\"cpu_usage_percent_avg\":\"percent:1\"}','1.0','2021-05-28 11:55:01','2021-05-28 11:55:02',0),(2727,'应用实例CPU使用率异常','app_resource','app_resource_container_cpu','mbox','alert','【{{application_name}}应用{{service_name}}服务实例CPU使用率告警】\n','【应用实例CPU使用率异常告警】\n\n项目: {{project_name}}\n\n应用: {{application_name}}\n\n服务实例: {{runtime_name}} - {{service_name}}.{{container_id}}\n\nCPU平均使用率: {{cpu_usage_percent_avg}}\n\nCPU限制: {{cpu_limit_value}}核\n\n机器: {{host_ip}}\n\n时间: {{timestamp}}\n\n[查看详情]({{display_url}})\n','{\"container_id\":\"string:6\",\"cpu_limit_value\":\"fraction:1\",\"cpu_usage_percent_avg\":\"percent:1\"}','1.0','2021-05-28 11:55:01','2021-05-28 11:55:02',0),(2728,'应用实例CPU使用率异常','app_resource','app_resource_container_cpu','webhook','alert','【{{application_name}}应用{{service_name}}服务实例CPU使用率告警】\n','【应用实例CPU使用率异常告警】\n\n项目: {{project_name}}\n\n应用: {{application_name}}\n\n服务实例: {{runtime_name}} - {{service_name}}.{{container_id}}\n\nCPU平均使用率: {{cpu_usage_percent_avg}}\n\nCPU限制: {{cpu_limit_value}}核\n\n机器: {{host_ip}}\n\n时间: {{timestamp}}\n\n[查看详情]({{display_url}})\n','{\"container_id\":\"string:6\",\"cpu_limit_value\":\"fraction:1\",\"cpu_usage_percent_avg\":\"percent:1\"}','1.0','2021-05-28 11:55:01','2021-05-28 11:55:02',0),(2729,'应用实例CPU使用率恢复','app_resource','app_resource_container_cpu','dingding','recover','【{{application_name}}应用{{service_name}}服务实例CPU使用率恢复】\n','【应用实例CPU使用率恢复】\n\n项目: {{project_name}}\n\n应用: {{application_name}}\n\n服务实例: {{runtime_name}} - {{service_name}}.{{container_id}}\n\n平均使用率: {{cpu_usage_percent_avg}}\n\n机器: {{host_ip}}\n\n容器ID: {{container_id}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}','{\"container_id\":\"string:6\",\"cpu_usage_percent_avg\":\"percent:1\",\"trigger_duration\":\"time:ms\"}','1.0','2021-05-28 11:55:01','2021-05-28 11:55:02',0),(2730,'应用实例CPU使用率恢复','app_resource','app_resource_container_cpu','ticket','recover','【{{application_name}}应用{{service_name}}服务实例CPU使用率恢复】\n','【应用实例CPU使用率恢复】\n\n项目: {{project_name}}\n\n应用: {{application_name}}\n\n服务实例: {{runtime_name}} - {{service_name}}.{{container_id}}\n\n平均使用率: {{cpu_usage_percent_avg}}\n\n机器: {{host_ip}}\n\n容器ID: {{container_id}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}','{\"container_id\":\"string:6\",\"cpu_usage_percent_avg\":\"percent:1\",\"trigger_duration\":\"time:ms\"}','1.0','2021-05-28 11:55:01','2021-05-28 11:55:02',0),(2731,'应用实例CPU使用率恢复','app_resource','app_resource_container_cpu','email','recover','【{{application_name}}应用{{service_name}}服务实例CPU使用率恢复】\n','【应用实例CPU使用率恢复】\n\n项目: {{project_name}}\n\n应用: {{application_name}}\n\n服务实例: {{runtime_name}} - {{service_name}}.{{container_id}}\n\n平均使用率: {{cpu_usage_percent_avg}}\n\n机器: {{host_ip}}\n\n容器ID: {{container_id}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}','{\"container_id\":\"string:6\",\"cpu_usage_percent_avg\":\"percent:1\",\"trigger_duration\":\"time:ms\"}','1.0','2021-05-28 11:55:01','2021-05-28 11:55:02',0),(2732,'应用实例CPU使用率恢复','app_resource','app_resource_container_cpu','mbox','recover','【{{application_name}}应用{{service_name}}服务实例CPU使用率恢复】\n','【应用实例CPU使用率恢复】\n\n项目: {{project_name}}\n\n应用: {{application_name}}\n\n服务实例: {{runtime_name}} - {{service_name}}.{{container_id}}\n\n平均使用率: {{cpu_usage_percent_avg}}\n\n机器: {{host_ip}}\n\n容器ID: {{container_id}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}','{\"container_id\":\"string:6\",\"cpu_usage_percent_avg\":\"percent:1\",\"trigger_duration\":\"time:ms\"}','1.0','2021-05-28 11:55:01','2021-05-28 11:55:02',0),(2733,'应用实例CPU使用率恢复','app_resource','app_resource_container_cpu','webhook','recover','【{{application_name}}应用{{service_name}}服务实例CPU使用率恢复】\n','【应用实例CPU使用率恢复】\n\n项目: {{project_name}}\n\n应用: {{application_name}}\n\n服务实例: {{runtime_name}} - {{service_name}}.{{container_id}}\n\n平均使用率: {{cpu_usage_percent_avg}}\n\n机器: {{host_ip}}\n\n容器ID: {{container_id}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}','{\"container_id\":\"string:6\",\"cpu_usage_percent_avg\":\"percent:1\",\"trigger_duration\":\"time:ms\"}','1.0','2021-05-28 11:55:01','2021-05-28 11:55:02',0),(2734,'应用实例内存使用率异常','app_resource','app_resource_container_mem','dingding','alert','【{{application_name}}应用{{service_name}}服务内存使用率异常告警】\n','【应用实例内存使用率异常告警】\n\n项目: {{project_name}}\n\n应用: {{application_name}}\n\n服务实例: {{runtime_name}} - {{service_name}}.{{container_id}}\n\n内存使用率: {{mem_usage_percent_avg}}\n\n内存使用: {{mem_usage_value}}\n\n内存限制: {{mem_limit_value}}\n\n机器: {{host_ip}}\n\n时间: {{timestamp}}\n\n[查看详情]({{display_url}})\n','{\"container_id\":\"string:6\",\"mem_limit_value\":\"size:byte\",\"mem_usage_percent_avg\":\"percent:1\",\"mem_usage_value\":\"size:byte\"}','1.0','2021-05-28 11:55:01','2021-05-28 11:55:02',0),(2735,'应用实例内存使用率异常','app_resource','app_resource_container_mem','ticket','alert','【{{application_name}}应用{{service_name}}服务内存使用率异常告警】\n','【应用实例内存使用率异常告警】\n\n项目: {{project_name}}\n\n应用: {{application_name}}\n\n服务实例: {{runtime_name}} - {{service_name}}.{{container_id}}\n\n内存使用率: {{mem_usage_percent_avg}}\n\n内存使用: {{mem_usage_value}}\n\n内存限制: {{mem_limit_value}}\n\n机器: {{host_ip}}\n\n时间: {{timestamp}}\n\n[查看详情]({{display_url}})\n','{\"container_id\":\"string:6\",\"mem_limit_value\":\"size:byte\",\"mem_usage_percent_avg\":\"percent:1\",\"mem_usage_value\":\"size:byte\"}','1.0','2021-05-28 11:55:01','2021-05-28 11:55:02',0),(2736,'应用实例内存使用率异常','app_resource','app_resource_container_mem','email','alert','【{{application_name}}应用{{service_name}}服务内存使用率异常告警】\n','【应用实例内存使用率异常告警】\n\n项目: {{project_name}}\n\n应用: {{application_name}}\n\n服务实例: {{runtime_name}} - {{service_name}}.{{container_id}}\n\n内存使用率: {{mem_usage_percent_avg}}\n\n内存使用: {{mem_usage_value}}\n\n内存限制: {{mem_limit_value}}\n\n机器: {{host_ip}}\n\n时间: {{timestamp}}\n\n[查看详情]({{display_url}})\n','{\"container_id\":\"string:6\",\"mem_limit_value\":\"size:byte\",\"mem_usage_percent_avg\":\"percent:1\",\"mem_usage_value\":\"size:byte\"}','1.0','2021-05-28 11:55:01','2021-05-28 11:55:02',0),(2737,'应用实例内存使用率异常','app_resource','app_resource_container_mem','mbox','alert','【{{application_name}}应用{{service_name}}服务内存使用率异常告警】\n','【应用实例内存使用率异常告警】\n\n项目: {{project_name}}\n\n应用: {{application_name}}\n\n服务实例: {{runtime_name}} - {{service_name}}.{{container_id}}\n\n内存使用率: {{mem_usage_percent_avg}}\n\n内存使用: {{mem_usage_value}}\n\n内存限制: {{mem_limit_value}}\n\n机器: {{host_ip}}\n\n时间: {{timestamp}}\n\n[查看详情]({{display_url}})\n','{\"container_id\":\"string:6\",\"mem_limit_value\":\"size:byte\",\"mem_usage_percent_avg\":\"percent:1\",\"mem_usage_value\":\"size:byte\"}','1.0','2021-05-28 11:55:01','2021-05-28 11:55:02',0),(2738,'应用实例内存使用率异常','app_resource','app_resource_container_mem','webhook','alert','【{{application_name}}应用{{service_name}}服务内存使用率异常告警】\n','【应用实例内存使用率异常告警】\n\n项目: {{project_name}}\n\n应用: {{application_name}}\n\n服务实例: {{runtime_name}} - {{service_name}}.{{container_id}}\n\n内存使用率: {{mem_usage_percent_avg}}\n\n内存使用: {{mem_usage_value}}\n\n内存限制: {{mem_limit_value}}\n\n机器: {{host_ip}}\n\n时间: {{timestamp}}\n\n[查看详情]({{display_url}})\n','{\"container_id\":\"string:6\",\"mem_limit_value\":\"size:byte\",\"mem_usage_percent_avg\":\"percent:1\",\"mem_usage_value\":\"size:byte\"}','1.0','2021-05-28 11:55:01','2021-05-28 11:55:02',0),(2739,'应用实例内存异常','app_resource','app_resource_container_mem','dingding','recover','【{{application_name}}应用{{service_name}}服务内存使用率异常恢复】\n','【应用实例内存使用率异常恢复】\n\n项目: {{project_name}}\n\n应用: {{application_name}}\n\n服务实例: {{runtime_name}} - {{service_name}}.{{container_id}}\n\n内存使用率: {{mem_usage_percent_avg}}\n\n内存使用: {{mem_usage_value}}\n\n内存限制: {{mem_limit_value}}\n\n机器: {{host_ip}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}','{\"container_id\":\"string:6\",\"mem_usage_percent_avg\":\"percent:1\",\"trigger_duration\":\"time:ms\"}','1.0','2021-05-28 11:55:01','2021-05-28 11:55:02',0),(2740,'应用实例内存异常','app_resource','app_resource_container_mem','ticket','recover','【{{application_name}}应用{{service_name}}服务内存使用率异常恢复】\n','【应用实例内存使用率异常恢复】\n\n项目: {{project_name}}\n\n应用: {{application_name}}\n\n服务实例: {{runtime_name}} - {{service_name}}.{{container_id}}\n\n内存使用率: {{mem_usage_percent_avg}}\n\n内存使用: {{mem_usage_value}}\n\n内存限制: {{mem_limit_value}}\n\n机器: {{host_ip}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}','{\"container_id\":\"string:6\",\"mem_usage_percent_avg\":\"percent:1\",\"trigger_duration\":\"time:ms\"}','1.0','2021-05-28 11:55:01','2021-05-28 11:55:02',0),(2741,'应用实例内存异常','app_resource','app_resource_container_mem','email','recover','【{{application_name}}应用{{service_name}}服务内存使用率异常恢复】\n','【应用实例内存使用率异常恢复】\n\n项目: {{project_name}}\n\n应用: {{application_name}}\n\n服务实例: {{runtime_name}} - {{service_name}}.{{container_id}}\n\n内存使用率: {{mem_usage_percent_avg}}\n\n内存使用: {{mem_usage_value}}\n\n内存限制: {{mem_limit_value}}\n\n机器: {{host_ip}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}','{\"container_id\":\"string:6\",\"mem_usage_percent_avg\":\"percent:1\",\"trigger_duration\":\"time:ms\"}','1.0','2021-05-28 11:55:01','2021-05-28 11:55:02',0),(2742,'应用实例内存异常','app_resource','app_resource_container_mem','mbox','recover','【{{application_name}}应用{{service_name}}服务内存使用率异常恢复】\n','【应用实例内存使用率异常恢复】\n\n项目: {{project_name}}\n\n应用: {{application_name}}\n\n服务实例: {{runtime_name}} - {{service_name}}.{{container_id}}\n\n内存使用率: {{mem_usage_percent_avg}}\n\n内存使用: {{mem_usage_value}}\n\n内存限制: {{mem_limit_value}}\n\n机器: {{host_ip}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}','{\"container_id\":\"string:6\",\"mem_usage_percent_avg\":\"percent:1\",\"trigger_duration\":\"time:ms\"}','1.0','2021-05-28 11:55:01','2021-05-28 11:55:02',0),(2743,'应用实例内存异常','app_resource','app_resource_container_mem','webhook','recover','【{{application_name}}应用{{service_name}}服务内存使用率异常恢复】\n','【应用实例内存使用率异常恢复】\n\n项目: {{project_name}}\n\n应用: {{application_name}}\n\n服务实例: {{runtime_name}} - {{service_name}}.{{container_id}}\n\n内存使用率: {{mem_usage_percent_avg}}\n\n内存使用: {{mem_usage_value}}\n\n内存限制: {{mem_limit_value}}\n\n机器: {{host_ip}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}','{\"container_id\":\"string:6\",\"mem_usage_percent_avg\":\"percent:1\",\"trigger_duration\":\"time:ms\"}','1.0','2021-05-28 11:55:01','2021-05-28 11:55:02',0),(2744,'应用实例OOM告警','app_resource','app_resource_container_oom','dingding','alert','【{{application_name}}应用{{service_name}}服务实例OOM告警】\n','【应用实例OOM告警】\n\n项目: {{project_name}}\n\n应用: {{application_name}}\n\n服务实例: {{runtime_name}} - {{service_name}}.{{container_id}}\n\n事件: 服务实例发生OOM\n\n机器: {{host_ip}}\n\n时间: {{timestamp}}\n\n[查看详情]({{display_url}})','{\"container_id\":\"string:6\"}','1.0','2021-05-28 11:55:01','2021-05-28 11:55:02',0),(2745,'应用实例OOM告警','app_resource','app_resource_container_oom','ticket','alert','【{{application_name}}应用{{service_name}}服务实例OOM告警】\n','【应用实例OOM告警】\n\n项目: {{project_name}}\n\n应用: {{application_name}}\n\n服务实例: {{runtime_name}} - {{service_name}}.{{container_id}}\n\n事件: 服务实例发生OOM\n\n机器: {{host_ip}}\n\n时间: {{timestamp}}\n\n[查看详情]({{display_url}})','{\"container_id\":\"string:6\"}','1.0','2021-05-28 11:55:01','2021-05-28 11:55:02',0),(2746,'应用实例OOM告警','app_resource','app_resource_container_oom','email','alert','【{{application_name}}应用{{service_name}}服务实例OOM告警】\n','【应用实例OOM告警】\n\n项目: {{project_name}}\n\n应用: {{application_name}}\n\n服务实例: {{runtime_name}} - {{service_name}}.{{container_id}}\n\n事件: 服务实例发生OOM\n\n机器: {{host_ip}}\n\n时间: {{timestamp}}\n\n[查看详情]({{display_url}})','{\"container_id\":\"string:6\"}','1.0','2021-05-28 11:55:01','2021-05-28 11:55:02',0),(2747,'应用实例OOM告警','app_resource','app_resource_container_oom','mbox','alert','【{{application_name}}应用{{service_name}}服务实例OOM告警】\n','【应用实例OOM告警】\n\n项目: {{project_name}}\n\n应用: {{application_name}}\n\n服务实例: {{runtime_name}} - {{service_name}}.{{container_id}}\n\n事件: 服务实例发生OOM\n\n机器: {{host_ip}}\n\n时间: {{timestamp}}\n\n[查看详情]({{display_url}})','{\"container_id\":\"string:6\"}','1.0','2021-05-28 11:55:01','2021-05-28 11:55:02',0),(2748,'应用实例OOM告警','app_resource','app_resource_container_oom','webhook','alert','【{{application_name}}应用{{service_name}}服务实例OOM告警】\n','【应用实例OOM告警】\n\n项目: {{project_name}}\n\n应用: {{application_name}}\n\n服务实例: {{runtime_name}} - {{service_name}}.{{container_id}}\n\n事件: 服务实例发生OOM\n\n机器: {{host_ip}}\n\n时间: {{timestamp}}\n\n[查看详情]({{display_url}})','{\"container_id\":\"string:6\"}','1.0','2021-05-28 11:55:01','2021-05-28 11:55:02',0),(2749,'应用JVM GC次数异常','app_resource','app_resource_jvm_gc_count','dingding','alert','【{{application_name}}应用{{service_name}}服务JVM GC次数异常告警】\n','【应用JVM GC次数异常告警】\n\n实例GC次数太多 !\n\n项目: {{project_name}}\n\n应用: {{application_name}}\n\n服务: {{runtime_name}} / {{service_name}}\n\n老年代GC次数: {{count_sum}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n时间: {{timestamp}}\n\n[查看详情]({{display_url}})\n','','1.0','2021-05-28 11:55:01','2021-05-28 11:55:02',0),(2750,'应用JVM GC次数异常','app_resource','app_resource_jvm_gc_count','ticket','alert','【{{application_name}}应用{{service_name}}服务JVM GC次数异常告警】\n','【应用JVM GC次数异常告警】\n\n实例GC次数太多 !\n\n项目: {{project_name}}\n\n应用: {{application_name}}\n\n服务: {{runtime_name}} / {{service_name}}\n\n老年代GC次数: {{count_sum}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n时间: {{timestamp}}\n\n[查看详情]({{display_url}})\n','','1.0','2021-05-28 11:55:01','2021-05-28 11:55:02',0),(2751,'应用JVM GC次数异常','app_resource','app_resource_jvm_gc_count','email','alert','【{{application_name}}应用{{service_name}}服务JVM GC次数异常告警】\n','【应用JVM GC次数异常告警】\n\n实例GC次数太多 !\n\n项目: {{project_name}}\n\n应用: {{application_name}}\n\n服务: {{runtime_name}} / {{service_name}}\n\n老年代GC次数: {{count_sum}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n时间: {{timestamp}}\n\n[查看详情]({{display_url}})\n','','1.0','2021-05-28 11:55:01','2021-05-28 11:55:02',0),(2752,'应用JVM GC次数异常','app_resource','app_resource_jvm_gc_count','mbox','alert','【{{application_name}}应用{{service_name}}服务JVM GC次数异常告警】\n','【应用JVM GC次数异常告警】\n\n实例GC次数太多 !\n\n项目: {{project_name}}\n\n应用: {{application_name}}\n\n服务: {{runtime_name}} / {{service_name}}\n\n老年代GC次数: {{count_sum}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n时间: {{timestamp}}\n\n[查看详情]({{display_url}})\n','','1.0','2021-05-28 11:55:01','2021-05-28 11:55:02',0),(2753,'应用JVM GC次数异常','app_resource','app_resource_jvm_gc_count','webhook','alert','【{{application_name}}应用{{service_name}}服务JVM GC次数异常告警】\n','【应用JVM GC次数异常告警】\n\n实例GC次数太多 !\n\n项目: {{project_name}}\n\n应用: {{application_name}}\n\n服务: {{runtime_name}} / {{service_name}}\n\n老年代GC次数: {{count_sum}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n时间: {{timestamp}}\n\n[查看详情]({{display_url}})\n','','1.0','2021-05-28 11:55:01','2021-05-28 11:55:02',0),(2754,'应用JVM GC次数异常','app_resource','app_resource_jvm_gc_count','dingding','recover','【{{application_name}}应用{{service_name}}服务JVM GC次数异常恢复】\n','【应用JVM GC次数异常恢复】\n\n实例GC次数已恢复正常值 .\n\n项目: {{project_name}}\n\n应用: {{application_name}}\n\n服务: {{runtime_name}} / {{service_name}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n持续时间: {{trigger_duration_min}}\n\n恢复时间: {{timestamp}}\n','','1.0','2021-05-28 11:55:01','2021-05-28 11:55:02',0),(2755,'应用JVM GC次数异常','app_resource','app_resource_jvm_gc_count','ticket','recover','【{{application_name}}应用{{service_name}}服务JVM GC次数异常恢复】\n','【应用JVM GC次数异常恢复】\n\n实例GC次数已恢复正常值 .\n\n项目: {{project_name}}\n\n应用: {{application_name}}\n\n服务: {{runtime_name}} / {{service_name}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n持续时间: {{trigger_duration_min}}\n\n恢复时间: {{timestamp}}\n','','1.0','2021-05-28 11:55:01','2021-05-28 11:55:02',0),(2756,'应用JVM GC次数异常','app_resource','app_resource_jvm_gc_count','email','recover','【{{application_name}}应用{{service_name}}服务JVM GC次数异常恢复】\n','【应用JVM GC次数异常恢复】\n\n实例GC次数已恢复正常值 .\n\n项目: {{project_name}}\n\n应用: {{application_name}}\n\n服务: {{runtime_name}} / {{service_name}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n持续时间: {{trigger_duration_min}}\n\n恢复时间: {{timestamp}}\n','','1.0','2021-05-28 11:55:01','2021-05-28 11:55:02',0),(2757,'应用JVM GC次数异常','app_resource','app_resource_jvm_gc_count','mbox','recover','【{{application_name}}应用{{service_name}}服务JVM GC次数异常恢复】\n','【应用JVM GC次数异常恢复】\n\n实例GC次数已恢复正常值 .\n\n项目: {{project_name}}\n\n应用: {{application_name}}\n\n服务: {{runtime_name}} / {{service_name}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n持续时间: {{trigger_duration_min}}\n\n恢复时间: {{timestamp}}\n','','1.0','2021-05-28 11:55:01','2021-05-28 11:55:02',0),(2758,'应用JVM GC次数异常','app_resource','app_resource_jvm_gc_count','webhook','recover','【{{application_name}}应用{{service_name}}服务JVM GC次数异常恢复】\n','【应用JVM GC次数异常恢复】\n\n实例GC次数已恢复正常值 .\n\n项目: {{project_name}}\n\n应用: {{application_name}}\n\n服务: {{runtime_name}} / {{service_name}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n持续时间: {{trigger_duration_min}}\n\n恢复时间: {{timestamp}}\n','','1.0','2021-05-28 11:55:01','2021-05-28 11:55:02',0),(2759,'应用JVM GC耗时异常','app_resource','app_resource_jvm_gc_time','dingding','alert','【{{application_name}}应用{{service_name}}服务JVM GC耗时异常告警】\n','【应用JVM GC耗时异常告警】\n\n实例GC耗时过长 !\n\n项目: {{project_name}}\n\n应用: {{application_name}}\n\n服务: {{runtime_name}} / {{service_name}}\n\n老年代GC耗时: 总耗时{{time_sum}}，最后一次耗时{{time_value}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n时间: {{timestamp}}\n\n[查看详情]({{display_url}})\n','{\"time_sum\":\"time:ms\",\"time_value\":\"time:ms\"}','1.0','2021-05-28 11:55:02','2021-05-28 11:55:02',0),(2760,'应用JVM GC耗时异常','app_resource','app_resource_jvm_gc_time','ticket','alert','【{{application_name}}应用{{service_name}}服务JVM GC耗时异常告警】\n','【应用JVM GC耗时异常告警】\n\n实例GC耗时过长 !\n\n项目: {{project_name}}\n\n应用: {{application_name}}\n\n服务: {{runtime_name}} / {{service_name}}\n\n老年代GC耗时: 总耗时{{time_sum}}，最后一次耗时{{time_value}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n时间: {{timestamp}}\n\n[查看详情]({{display_url}})\n','{\"time_sum\":\"time:ms\",\"time_value\":\"time:ms\"}','1.0','2021-05-28 11:55:02','2021-05-28 11:55:02',0),(2761,'应用JVM GC耗时异常','app_resource','app_resource_jvm_gc_time','email','alert','【{{application_name}}应用{{service_name}}服务JVM GC耗时异常告警】\n','【应用JVM GC耗时异常告警】\n\n实例GC耗时过长 !\n\n项目: {{project_name}}\n\n应用: {{application_name}}\n\n服务: {{runtime_name}} / {{service_name}}\n\n老年代GC耗时: 总耗时{{time_sum}}，最后一次耗时{{time_value}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n时间: {{timestamp}}\n\n[查看详情]({{display_url}})\n','{\"time_sum\":\"time:ms\",\"time_value\":\"time:ms\"}','1.0','2021-05-28 11:55:02','2021-05-28 11:55:02',0),(2762,'应用JVM GC耗时异常','app_resource','app_resource_jvm_gc_time','mbox','alert','【{{application_name}}应用{{service_name}}服务JVM GC耗时异常告警】\n','【应用JVM GC耗时异常告警】\n\n实例GC耗时过长 !\n\n项目: {{project_name}}\n\n应用: {{application_name}}\n\n服务: {{runtime_name}} / {{service_name}}\n\n老年代GC耗时: 总耗时{{time_sum}}，最后一次耗时{{time_value}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n时间: {{timestamp}}\n\n[查看详情]({{display_url}})\n','{\"time_sum\":\"time:ms\",\"time_value\":\"time:ms\"}','1.0','2021-05-28 11:55:02','2021-05-28 11:55:02',0),(2763,'应用JVM GC耗时异常','app_resource','app_resource_jvm_gc_time','webhook','alert','【{{application_name}}应用{{service_name}}服务JVM GC耗时异常告警】\n','【应用JVM GC耗时异常告警】\n\n实例GC耗时过长 !\n\n项目: {{project_name}}\n\n应用: {{application_name}}\n\n服务: {{runtime_name}} / {{service_name}}\n\n老年代GC耗时: 总耗时{{time_sum}}，最后一次耗时{{time_value}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n时间: {{timestamp}}\n\n[查看详情]({{display_url}})\n','{\"time_sum\":\"time:ms\",\"time_value\":\"time:ms\"}','1.0','2021-05-28 11:55:02','2021-05-28 11:55:02',0),(2764,'应用JVM GC耗时异常','app_resource','app_resource_jvm_gc_time','dingding','recover','【{{application_name}}应用{{service_name}}服务JVM GC耗时异常恢复】\n','【应用JVM GC耗时异常恢复】\n\n实例GC耗时已恢复正常值 .\n\n项目: {{project_name}}\n\n应用: {{application_name}}\n\n服务: {{runtime_name}} / {{service_name}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n持续时间: {{trigger_duration_min}}\n\n恢复时间: {{timestamp}}\n','','1.0','2021-05-28 11:55:02','2021-05-28 11:55:02',0),(2765,'应用JVM GC耗时异常','app_resource','app_resource_jvm_gc_time','ticket','recover','【{{application_name}}应用{{service_name}}服务JVM GC耗时异常恢复】\n','【应用JVM GC耗时异常恢复】\n\n实例GC耗时已恢复正常值 .\n\n项目: {{project_name}}\n\n应用: {{application_name}}\n\n服务: {{runtime_name}} / {{service_name}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n持续时间: {{trigger_duration_min}}\n\n恢复时间: {{timestamp}}\n','','1.0','2021-05-28 11:55:02','2021-05-28 11:55:02',0),(2766,'应用JVM GC耗时异常','app_resource','app_resource_jvm_gc_time','email','recover','【{{application_name}}应用{{service_name}}服务JVM GC耗时异常恢复】\n','【应用JVM GC耗时异常恢复】\n\n实例GC耗时已恢复正常值 .\n\n项目: {{project_name}}\n\n应用: {{application_name}}\n\n服务: {{runtime_name}} / {{service_name}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n持续时间: {{trigger_duration_min}}\n\n恢复时间: {{timestamp}}\n','','1.0','2021-05-28 11:55:02','2021-05-28 11:55:02',0),(2767,'应用JVM GC耗时异常','app_resource','app_resource_jvm_gc_time','mbox','recover','【{{application_name}}应用{{service_name}}服务JVM GC耗时异常恢复】\n','【应用JVM GC耗时异常恢复】\n\n实例GC耗时已恢复正常值 .\n\n项目: {{project_name}}\n\n应用: {{application_name}}\n\n服务: {{runtime_name}} / {{service_name}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n持续时间: {{trigger_duration_min}}\n\n恢复时间: {{timestamp}}\n','','1.0','2021-05-28 11:55:02','2021-05-28 11:55:02',0),(2768,'应用JVM GC耗时异常','app_resource','app_resource_jvm_gc_time','webhook','recover','【{{application_name}}应用{{service_name}}服务JVM GC耗时异常恢复】\n','【应用JVM GC耗时异常恢复】\n\n实例GC耗时已恢复正常值 .\n\n项目: {{project_name}}\n\n应用: {{application_name}}\n\n服务: {{runtime_name}} / {{service_name}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n持续时间: {{trigger_duration_min}}\n\n恢复时间: {{timestamp}}\n','','1.0','2021-05-28 11:55:02','2021-05-28 11:55:02',0),(2769,'JVM堆内存使用异常告警','app_resource','app_resource_jvm_heap','dingding','alert','【{{application_name}}应用{{service_name}}服务JVM堆内存使用异常告警】','【JVM堆内存使用异常告警】\n\n实例JVM堆内存使用过高 ！\n\n项目: {{project_name}}\n\n应用: {{application_name}}\n\n服务: {{runtime_name}} / {{service_name}}\n\n实例: {{instance_id}}\n\n堆内存使用率: {{usage_percent_avg}}\n\n已使用: {{used_value}}\n\n最大使用: {{max_value}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n时间: {{timestamp}}\n\n[查看详情]({{display_url}})\n','{\"max_value\":\"size:byte\",\"usage_percent_avg\":\"percent\",\"used_value\":\"size:byte\"}','1.0','2021-05-28 11:55:02','2021-05-28 11:55:02',0),(2770,'JVM堆内存使用异常告警','app_resource','app_resource_jvm_heap','ticket','alert','【{{application_name}}应用{{service_name}}服务JVM堆内存使用异常告警】','【JVM堆内存使用异常告警】\n\n实例JVM堆内存使用过高 ！\n\n项目: {{project_name}}\n\n应用: {{application_name}}\n\n服务: {{runtime_name}} / {{service_name}}\n\n实例: {{instance_id}}\n\n堆内存使用率: {{usage_percent_avg}}\n\n已使用: {{used_value}}\n\n最大使用: {{max_value}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n时间: {{timestamp}}\n\n[查看详情]({{display_url}})\n','{\"max_value\":\"size:byte\",\"usage_percent_avg\":\"percent\",\"used_value\":\"size:byte\"}','1.0','2021-05-28 11:55:02','2021-05-28 11:55:02',0),(2771,'JVM堆内存使用异常告警','app_resource','app_resource_jvm_heap','email','alert','【{{application_name}}应用{{service_name}}服务JVM堆内存使用异常告警】','【JVM堆内存使用异常告警】\n\n实例JVM堆内存使用过高 ！\n\n项目: {{project_name}}\n\n应用: {{application_name}}\n\n服务: {{runtime_name}} / {{service_name}}\n\n实例: {{instance_id}}\n\n堆内存使用率: {{usage_percent_avg}}\n\n已使用: {{used_value}}\n\n最大使用: {{max_value}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n时间: {{timestamp}}\n\n[查看详情]({{display_url}})\n','{\"max_value\":\"size:byte\",\"usage_percent_avg\":\"percent\",\"used_value\":\"size:byte\"}','1.0','2021-05-28 11:55:02','2021-05-28 11:55:02',0),(2772,'JVM堆内存使用异常告警','app_resource','app_resource_jvm_heap','mbox','alert','【{{application_name}}应用{{service_name}}服务JVM堆内存使用异常告警】','【JVM堆内存使用异常告警】\n\n实例JVM堆内存使用过高 ！\n\n项目: {{project_name}}\n\n应用: {{application_name}}\n\n服务: {{runtime_name}} / {{service_name}}\n\n实例: {{instance_id}}\n\n堆内存使用率: {{usage_percent_avg}}\n\n已使用: {{used_value}}\n\n最大使用: {{max_value}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n时间: {{timestamp}}\n\n[查看详情]({{display_url}})\n','{\"max_value\":\"size:byte\",\"usage_percent_avg\":\"percent\",\"used_value\":\"size:byte\"}','1.0','2021-05-28 11:55:02','2021-05-28 11:55:02',0),(2773,'JVM堆内存使用异常告警','app_resource','app_resource_jvm_heap','webhook','alert','【{{application_name}}应用{{service_name}}服务JVM堆内存使用异常告警】','【JVM堆内存使用异常告警】\n\n实例JVM堆内存使用过高 ！\n\n项目: {{project_name}}\n\n应用: {{application_name}}\n\n服务: {{runtime_name}} / {{service_name}}\n\n实例: {{instance_id}}\n\n堆内存使用率: {{usage_percent_avg}}\n\n已使用: {{used_value}}\n\n最大使用: {{max_value}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n时间: {{timestamp}}\n\n[查看详情]({{display_url}})\n','{\"max_value\":\"size:byte\",\"usage_percent_avg\":\"percent\",\"used_value\":\"size:byte\"}','1.0','2021-05-28 11:55:02','2021-05-28 11:55:02',0),(2774,'JVM堆内存使用异常恢复','app_resource','app_resource_jvm_heap','dingding','recover','【{{application_name}}应用{{service_name}}服务JVM堆内存使用异常恢复】','【JVM堆内存使用异常恢复】\n\n实例JVM堆内存已恢复恢复正常使用状态 .\n\n项目: {{project_name}}\n\n应用: {{application_name}}\n\n服务: {{runtime_name}} / {{service_name}}\n\n实例: {{instance_id}}\n\n堆内存使用率: {{usage_percent_avg}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n持续时间: {{trigger_duration_min}}\n\n恢复时间: {{timestamp}}\n','{\"usage_percent_avg\":\"percent\"}','1.0','2021-05-28 11:55:02','2021-05-28 11:55:02',0),(2775,'JVM堆内存使用异常恢复','app_resource','app_resource_jvm_heap','ticket','recover','【{{application_name}}应用{{service_name}}服务JVM堆内存使用异常恢复】','【JVM堆内存使用异常恢复】\n\n实例JVM堆内存已恢复恢复正常使用状态 .\n\n项目: {{project_name}}\n\n应用: {{application_name}}\n\n服务: {{runtime_name}} / {{service_name}}\n\n实例: {{instance_id}}\n\n堆内存使用率: {{usage_percent_avg}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n持续时间: {{trigger_duration_min}}\n\n恢复时间: {{timestamp}}\n','{\"usage_percent_avg\":\"percent\"}','1.0','2021-05-28 11:55:02','2021-05-28 11:55:02',0),(2776,'JVM堆内存使用异常恢复','app_resource','app_resource_jvm_heap','email','recover','【{{application_name}}应用{{service_name}}服务JVM堆内存使用异常恢复】','【JVM堆内存使用异常恢复】\n\n实例JVM堆内存已恢复恢复正常使用状态 .\n\n项目: {{project_name}}\n\n应用: {{application_name}}\n\n服务: {{runtime_name}} / {{service_name}}\n\n实例: {{instance_id}}\n\n堆内存使用率: {{usage_percent_avg}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n持续时间: {{trigger_duration_min}}\n\n恢复时间: {{timestamp}}\n','{\"usage_percent_avg\":\"percent\"}','1.0','2021-05-28 11:55:02','2021-05-28 11:55:02',0),(2777,'JVM堆内存使用异常恢复','app_resource','app_resource_jvm_heap','mbox','recover','【{{application_name}}应用{{service_name}}服务JVM堆内存使用异常恢复】','【JVM堆内存使用异常恢复】\n\n实例JVM堆内存已恢复恢复正常使用状态 .\n\n项目: {{project_name}}\n\n应用: {{application_name}}\n\n服务: {{runtime_name}} / {{service_name}}\n\n实例: {{instance_id}}\n\n堆内存使用率: {{usage_percent_avg}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n持续时间: {{trigger_duration_min}}\n\n恢复时间: {{timestamp}}\n','{\"usage_percent_avg\":\"percent\"}','1.0','2021-05-28 11:55:02','2021-05-28 11:55:02',0),(2778,'JVM堆内存使用异常恢复','app_resource','app_resource_jvm_heap','webhook','recover','【{{application_name}}应用{{service_name}}服务JVM堆内存使用异常恢复】','【JVM堆内存使用异常恢复】\n\n实例JVM堆内存已恢复恢复正常使用状态 .\n\n项目: {{project_name}}\n\n应用: {{application_name}}\n\n服务: {{runtime_name}} / {{service_name}}\n\n实例: {{instance_id}}\n\n堆内存使用率: {{usage_percent_avg}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n持续时间: {{trigger_duration_min}}\n\n恢复时间: {{timestamp}}\n','{\"usage_percent_avg\":\"percent\"}','1.0','2021-05-28 11:55:02','2021-05-28 11:55:02',0),(2779,'应用NodeJS堆内存使用异常告警','app_resource','app_resource_nodejs_heap','dingding','alert','【{{application_name}}应用{{service_name}}服务NodeJS堆内存使用异常告警】','【应用NodeJS堆内存使用异常告警】\n\n实例NodeJS堆内存使用过高 ！\n\n项目: {{project_name}}\n\n应用: {{application_name}}\n\n服务: {{runtime_name}} / {{service_name}}\n\n实例: {{instance_id}}\n\n堆内存使用率: {{usage_percent_avg}}\n\n已使用: {{heap_used_value}}\n\n常驻内存: {{rss_value}}\n\n最大使用: {{max_value}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n时间: {{timestamp}}\n\n[查看详情]({{display_url}})\n','{\"heap_used_value\":\"size:byte\",\"max_value\":\"size:byte\",\"rss_value\":\"size:byte\",\"usage_percent_avg\":\"percent\"}','1.0','2021-05-28 11:55:02','2021-05-28 11:55:02',0),(2780,'应用NodeJS堆内存使用异常告警','app_resource','app_resource_nodejs_heap','ticket','alert','【{{application_name}}应用{{service_name}}服务NodeJS堆内存使用异常告警】','【应用NodeJS堆内存使用异常告警】\n\n实例NodeJS堆内存使用过高 ！\n\n项目: {{project_name}}\n\n应用: {{application_name}}\n\n服务: {{runtime_name}} / {{service_name}}\n\n实例: {{instance_id}}\n\n堆内存使用率: {{usage_percent_avg}}\n\n已使用: {{heap_used_value}}\n\n常驻内存: {{rss_value}}\n\n最大使用: {{max_value}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n时间: {{timestamp}}\n\n[查看详情]({{display_url}})\n','{\"heap_used_value\":\"size:byte\",\"max_value\":\"size:byte\",\"rss_value\":\"size:byte\",\"usage_percent_avg\":\"percent\"}','1.0','2021-05-28 11:55:02','2021-05-28 11:55:02',0),(2781,'应用NodeJS堆内存使用异常告警','app_resource','app_resource_nodejs_heap','email','alert','【{{application_name}}应用{{service_name}}服务NodeJS堆内存使用异常告警】','【应用NodeJS堆内存使用异常告警】\n\n实例NodeJS堆内存使用过高 ！\n\n项目: {{project_name}}\n\n应用: {{application_name}}\n\n服务: {{runtime_name}} / {{service_name}}\n\n实例: {{instance_id}}\n\n堆内存使用率: {{usage_percent_avg}}\n\n已使用: {{heap_used_value}}\n\n常驻内存: {{rss_value}}\n\n最大使用: {{max_value}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n时间: {{timestamp}}\n\n[查看详情]({{display_url}})\n','{\"heap_used_value\":\"size:byte\",\"max_value\":\"size:byte\",\"rss_value\":\"size:byte\",\"usage_percent_avg\":\"percent\"}','1.0','2021-05-28 11:55:02','2021-05-28 11:55:02',0),(2782,'应用NodeJS堆内存使用异常告警','app_resource','app_resource_nodejs_heap','mbox','alert','【{{application_name}}应用{{service_name}}服务NodeJS堆内存使用异常告警】','【应用NodeJS堆内存使用异常告警】\n\n实例NodeJS堆内存使用过高 ！\n\n项目: {{project_name}}\n\n应用: {{application_name}}\n\n服务: {{runtime_name}} / {{service_name}}\n\n实例: {{instance_id}}\n\n堆内存使用率: {{usage_percent_avg}}\n\n已使用: {{heap_used_value}}\n\n常驻内存: {{rss_value}}\n\n最大使用: {{max_value}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n时间: {{timestamp}}\n\n[查看详情]({{display_url}})\n','{\"heap_used_value\":\"size:byte\",\"max_value\":\"size:byte\",\"rss_value\":\"size:byte\",\"usage_percent_avg\":\"percent\"}','1.0','2021-05-28 11:55:02','2021-05-28 11:55:02',0),(2783,'应用NodeJS堆内存使用异常告警','app_resource','app_resource_nodejs_heap','webhook','alert','【{{application_name}}应用{{service_name}}服务NodeJS堆内存使用异常告警】','【应用NodeJS堆内存使用异常告警】\n\n实例NodeJS堆内存使用过高 ！\n\n项目: {{project_name}}\n\n应用: {{application_name}}\n\n服务: {{runtime_name}} / {{service_name}}\n\n实例: {{instance_id}}\n\n堆内存使用率: {{usage_percent_avg}}\n\n已使用: {{heap_used_value}}\n\n常驻内存: {{rss_value}}\n\n最大使用: {{max_value}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n时间: {{timestamp}}\n\n[查看详情]({{display_url}})\n','{\"heap_used_value\":\"size:byte\",\"max_value\":\"size:byte\",\"rss_value\":\"size:byte\",\"usage_percent_avg\":\"percent\"}','1.0','2021-05-28 11:55:02','2021-05-28 11:55:02',0),(2784,'应用NodeJS堆内存使用异常恢复','app_resource','app_resource_nodejs_heap','dingding','recover','【{{application_name}}应用{{service_name}}服务NodeJS堆内存使用异常恢复】','【应用NodeJS堆内存使用异常恢复】\n\nNodeJS堆内存已恢复恢复正常状态 .\n\n项目: {{project_name}}\n\n应用: {{application_name}}\n\n服务: {{runtime_name}} / {{service_name}}\n\n实例: {{instance_id}}\n\n堆内存使用率: {{usage_percent_avg}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n持续时间: {{trigger_duration_min}}\n\n恢复时间: {{timestamp}}\n','{\"usage_percent_avg\":\"percent\"}','1.0','2021-05-28 11:55:02','2021-05-28 11:55:02',0),(2785,'应用NodeJS堆内存使用异常恢复','app_resource','app_resource_nodejs_heap','ticket','recover','【{{application_name}}应用{{service_name}}服务NodeJS堆内存使用异常恢复】','【应用NodeJS堆内存使用异常恢复】\n\nNodeJS堆内存已恢复恢复正常状态 .\n\n项目: {{project_name}}\n\n应用: {{application_name}}\n\n服务: {{runtime_name}} / {{service_name}}\n\n实例: {{instance_id}}\n\n堆内存使用率: {{usage_percent_avg}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n持续时间: {{trigger_duration_min}}\n\n恢复时间: {{timestamp}}\n','{\"usage_percent_avg\":\"percent\"}','1.0','2021-05-28 11:55:02','2021-05-28 11:55:02',0),(2786,'应用NodeJS堆内存使用异常恢复','app_resource','app_resource_nodejs_heap','email','recover','【{{application_name}}应用{{service_name}}服务NodeJS堆内存使用异常恢复】','【应用NodeJS堆内存使用异常恢复】\n\nNodeJS堆内存已恢复恢复正常状态 .\n\n项目: {{project_name}}\n\n应用: {{application_name}}\n\n服务: {{runtime_name}} / {{service_name}}\n\n实例: {{instance_id}}\n\n堆内存使用率: {{usage_percent_avg}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n持续时间: {{trigger_duration_min}}\n\n恢复时间: {{timestamp}}\n','{\"usage_percent_avg\":\"percent\"}','1.0','2021-05-28 11:55:02','2021-05-28 11:55:02',0),(2787,'应用NodeJS堆内存使用异常恢复','app_resource','app_resource_nodejs_heap','mbox','recover','【{{application_name}}应用{{service_name}}服务NodeJS堆内存使用异常恢复】','【应用NodeJS堆内存使用异常恢复】\n\nNodeJS堆内存已恢复恢复正常状态 .\n\n项目: {{project_name}}\n\n应用: {{application_name}}\n\n服务: {{runtime_name}} / {{service_name}}\n\n实例: {{instance_id}}\n\n堆内存使用率: {{usage_percent_avg}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n持续时间: {{trigger_duration_min}}\n\n恢复时间: {{timestamp}}\n','{\"usage_percent_avg\":\"percent\"}','1.0','2021-05-28 11:55:02','2021-05-28 11:55:02',0),(2788,'应用NodeJS堆内存使用异常恢复','app_resource','app_resource_nodejs_heap','webhook','recover','【{{application_name}}应用{{service_name}}服务NodeJS堆内存使用异常恢复】','【应用NodeJS堆内存使用异常恢复】\n\nNodeJS堆内存已恢复恢复正常状态 .\n\n项目: {{project_name}}\n\n应用: {{application_name}}\n\n服务: {{runtime_name}} / {{service_name}}\n\n实例: {{instance_id}}\n\n堆内存使用率: {{usage_percent_avg}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n持续时间: {{trigger_duration_min}}\n\n恢复时间: {{timestamp}}\n','{\"usage_percent_avg\":\"percent\"}','1.0','2021-05-28 11:55:02','2021-05-28 11:55:02',0),(2789,' 页面内容改变','app_status','app_status_browser','dingding','alert','【{{project_name}}项目{{status_metric_name}}页面内容改变告警】\n','【页面内容改变告警】\n\n项目: {{project_name}}\n\n环境: {{workspace}}\n\n事件：[{{status_metric_name}}]({{url}})页面内容和基准点对比不一致\n\n时间: {{timestamp}}\n\n[查看详情]({{display_url}})\n','','1.0','2021-05-28 11:55:02','2021-05-28 11:55:02',0),(2790,' 页面内容改变','app_status','app_status_browser','ticket','alert','【{{project_name}}项目{{status_metric_name}}页面内容改变告警】\n','【页面内容改变告警】\n\n项目: {{project_name}}\n\n环境: {{workspace}}\n\n事件：[{{status_metric_name}}]({{url}})页面内容和基准点对比不一致\n\n时间: {{timestamp}}\n\n[查看详情]({{display_url}})\n','','1.0','2021-05-28 11:55:02','2021-05-28 11:55:02',0),(2791,' 页面内容改变','app_status','app_status_browser','email','alert','【{{project_name}}项目{{status_metric_name}}页面内容改变告警】\n','【页面内容改变告警】\n\n项目: {{project_name}}\n\n环境: {{workspace}}\n\n事件：[{{status_metric_name}}]({{url}})页面内容和基准点对比不一致\n\n时间: {{timestamp}}\n\n[查看详情]({{display_url}})\n','','1.0','2021-05-28 11:55:02','2021-05-28 11:55:02',0),(2792,' 页面内容改变','app_status','app_status_browser','mbox','alert','【{{project_name}}项目{{status_metric_name}}页面内容改变告警】\n','【页面内容改变告警】\n\n项目: {{project_name}}\n\n环境: {{workspace}}\n\n事件：[{{status_metric_name}}]({{url}})页面内容和基准点对比不一致\n\n时间: {{timestamp}}\n\n[查看详情]({{display_url}})\n','','1.0','2021-05-28 11:55:02','2021-05-28 11:55:02',0),(2793,' 页面内容改变','app_status','app_status_browser','webhook','alert','【{{project_name}}项目{{status_metric_name}}页面内容改变告警】\n','【页面内容改变告警】\n\n项目: {{project_name}}\n\n环境: {{workspace}}\n\n事件：[{{status_metric_name}}]({{url}})页面内容和基准点对比不一致\n\n时间: {{timestamp}}\n\n[查看详情]({{display_url}})\n','','1.0','2021-05-28 11:55:02','2021-05-28 11:55:02',0),(2794,' 业务请求状态异常','app_status','app_status_browser','dingding','recover','【{{project_name}}项目{{status_metric_name}}页面内容改变恢复】\n','【页面内容改变恢复】\n\n[{{status_metric_name}}]({{url}}) 页面内容改变 .\n\n项目: {{project_name}}\n\n环境: {{workspace}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n','{\"trigger_duration\":\"time:ms\"}','1.0','2021-05-28 11:55:02','2021-05-28 11:55:02',0),(2795,' 业务请求状态异常','app_status','app_status_browser','ticket','recover','【{{project_name}}项目{{status_metric_name}}页面内容改变恢复】\n','【页面内容改变恢复】\n\n[{{status_metric_name}}]({{url}}) 页面内容改变 .\n\n项目: {{project_name}}\n\n环境: {{workspace}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n','{\"trigger_duration\":\"time:ms\"}','1.0','2021-05-28 11:55:02','2021-05-28 11:55:02',0),(2796,' 业务请求状态异常','app_status','app_status_browser','email','recover','【{{project_name}}项目{{status_metric_name}}页面内容改变恢复】\n','【页面内容改变恢复】\n\n[{{status_metric_name}}]({{url}}) 页面内容改变 .\n\n项目: {{project_name}}\n\n环境: {{workspace}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n','{\"trigger_duration\":\"time:ms\"}','1.0','2021-05-28 11:55:02','2021-05-28 11:55:02',0),(2797,' 业务请求状态异常','app_status','app_status_browser','mbox','recover','【{{project_name}}项目{{status_metric_name}}页面内容改变恢复】\n','【页面内容改变恢复】\n\n[{{status_metric_name}}]({{url}}) 页面内容改变 .\n\n项目: {{project_name}}\n\n环境: {{workspace}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n','{\"trigger_duration\":\"time:ms\"}','1.0','2021-05-28 11:55:02','2021-05-28 11:55:02',0),(2798,' 业务请求状态异常','app_status','app_status_browser','webhook','recover','【{{project_name}}项目{{status_metric_name}}页面内容改变恢复】\n','【页面内容改变恢复】\n\n[{{status_metric_name}}]({{url}}) 页面内容改变 .\n\n项目: {{project_name}}\n\n环境: {{workspace}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n','{\"trigger_duration\":\"time:ms\"}','1.0','2021-05-28 11:55:02','2021-05-28 11:55:02',0),(2799,' 主动监控HTTP状态异常','app_status','app_status_code','dingding','alert','【{{project_name}}项目{{status_metric_name}}指标HTTP状态异常告警】\n','【主动监控HTTP状态异常】\n\n项目: {{project_name}}\n\n环境: {{workspace}}\n\n事件: [{{status_metric_name}}]({{url}}) 指标状态异常\n\n响应状态码: {{code_min}}\n\n时间: {{timestamp}}\n\n[查看详情]({{display_url}})\n','','1.0','2021-05-28 11:55:02','2021-05-28 11:55:02',0),(2800,' 主动监控HTTP状态异常','app_status','app_status_code','ticket','alert','【{{project_name}}项目{{status_metric_name}}指标HTTP状态异常告警】\n','【主动监控HTTP状态异常】\n\n项目: {{project_name}}\n\n环境: {{workspace}}\n\n事件: [{{status_metric_name}}]({{url}}) 指标状态异常\n\n响应状态码: {{code_min}}\n\n时间: {{timestamp}}\n\n[查看详情]({{display_url}})\n','','1.0','2021-05-28 11:55:02','2021-05-28 11:55:02',0),(2801,' 主动监控HTTP状态异常','app_status','app_status_code','email','alert','【{{project_name}}项目{{status_metric_name}}指标HTTP状态异常告警】\n','【主动监控HTTP状态异常】\n\n项目: {{project_name}}\n\n环境: {{workspace}}\n\n事件: [{{status_metric_name}}]({{url}}) 指标状态异常\n\n响应状态码: {{code_min}}\n\n时间: {{timestamp}}\n\n[查看详情]({{display_url}})\n','','1.0','2021-05-28 11:55:02','2021-05-28 11:55:02',0),(2802,' 主动监控HTTP状态异常','app_status','app_status_code','mbox','alert','【{{project_name}}项目{{status_metric_name}}指标HTTP状态异常告警】\n','【主动监控HTTP状态异常】\n\n项目: {{project_name}}\n\n环境: {{workspace}}\n\n事件: [{{status_metric_name}}]({{url}}) 指标状态异常\n\n响应状态码: {{code_min}}\n\n时间: {{timestamp}}\n\n[查看详情]({{display_url}})\n','','1.0','2021-05-28 11:55:02','2021-05-28 11:55:02',0),(2803,' 主动监控HTTP状态异常','app_status','app_status_code','webhook','alert','【{{project_name}}项目{{status_metric_name}}指标HTTP状态异常告警】\n','【主动监控HTTP状态异常】\n\n项目: {{project_name}}\n\n环境: {{workspace}}\n\n事件: [{{status_metric_name}}]({{url}}) 指标状态异常\n\n响应状态码: {{code_min}}\n\n时间: {{timestamp}}\n\n[查看详情]({{display_url}})\n','','1.0','2021-05-28 11:55:02','2021-05-28 11:55:02',0),(2804,'主动监控HTTP状态恢复','app_status','app_status_code','dingding','recover','【{{project_name}}项目{{status_metric_name}}指标HTTP状态恢复】\n','【主动监控HTTP状态恢复】\n\n项目: {{project_name}}\n\n环境: {{workspace}}\n\n事件: [{{status_metric_name}}]({{url}}) 指标状态恢复\n\n响应状态码: {{code_min}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n','{\"trigger_duration\":\"time:ms\"}','1.0','2021-05-28 11:55:02','2021-05-28 11:55:02',0),(2805,'主动监控HTTP状态恢复','app_status','app_status_code','ticket','recover','【{{project_name}}项目{{status_metric_name}}指标HTTP状态恢复】\n','【主动监控HTTP状态恢复】\n\n项目: {{project_name}}\n\n环境: {{workspace}}\n\n事件: [{{status_metric_name}}]({{url}}) 指标状态恢复\n\n响应状态码: {{code_min}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n','{\"trigger_duration\":\"time:ms\"}','1.0','2021-05-28 11:55:02','2021-05-28 11:55:02',0),(2806,'主动监控HTTP状态恢复','app_status','app_status_code','email','recover','【{{project_name}}项目{{status_metric_name}}指标HTTP状态恢复】\n','【主动监控HTTP状态恢复】\n\n项目: {{project_name}}\n\n环境: {{workspace}}\n\n事件: [{{status_metric_name}}]({{url}}) 指标状态恢复\n\n响应状态码: {{code_min}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n','{\"trigger_duration\":\"time:ms\"}','1.0','2021-05-28 11:55:02','2021-05-28 11:55:02',0),(2807,'主动监控HTTP状态恢复','app_status','app_status_code','mbox','recover','【{{project_name}}项目{{status_metric_name}}指标HTTP状态恢复】\n','【主动监控HTTP状态恢复】\n\n项目: {{project_name}}\n\n环境: {{workspace}}\n\n事件: [{{status_metric_name}}]({{url}}) 指标状态恢复\n\n响应状态码: {{code_min}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n','{\"trigger_duration\":\"time:ms\"}','1.0','2021-05-28 11:55:02','2021-05-28 11:55:02',0),(2808,'主动监控HTTP状态恢复','app_status','app_status_code','webhook','recover','【{{project_name}}项目{{status_metric_name}}指标HTTP状态恢复】\n','【主动监控HTTP状态恢复】\n\n项目: {{project_name}}\n\n环境: {{workspace}}\n\n事件: [{{status_metric_name}}]({{url}}) 指标状态恢复\n\n响应状态码: {{code_min}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n','{\"trigger_duration\":\"time:ms\"}','1.0','2021-05-28 11:55:02','2021-05-28 11:55:02',0),(2809,'服务接口HTTP错误率异常','app_transaction','app_transaction_http_path_error','dingding','alert','【{{service_name}}服务接口HTTP错误率异常告警】','【服务接口HTTP错误率异常告警】\n\n项目: {{project_name}}\n\n应用: {{application_name}}\n\n服务: {{runtime_name}} - {{service_name}}\n\n接口: {{http_method}} {{http_url}}\n\n事件: {{ window }}分钟内HTTP错误率{{ error_percent_value }} 错误请求次数{{ error_count_sum }} 总请求次数{{ elapsed_count_sum }}\n\n时间: {{timestamp}}\n\n[查看详情]({{display_url}})\n','{\"error_percent_value\":\"percent\"}','1.0','2021-05-28 11:55:02','2021-05-28 11:55:02',0),(2810,'服务接口HTTP错误率异常','app_transaction','app_transaction_http_path_error','ticket','alert','【{{service_name}}服务接口HTTP错误率异常告警】','【服务接口HTTP错误率异常告警】\n\n项目: {{project_name}}\n\n应用: {{application_name}}\n\n服务: {{runtime_name}} - {{service_name}}\n\n接口: {{http_method}} {{http_url}}\n\n事件: {{ window }}分钟内HTTP错误率{{ error_percent_value }} 错误请求次数{{ error_count_sum }} 总请求次数{{ elapsed_count_sum }}\n\n时间: {{timestamp}}\n\n[查看详情]({{display_url}})\n','{\"error_percent_value\":\"percent\"}','1.0','2021-05-28 11:55:02','2021-05-28 11:55:02',0),(2811,'服务接口HTTP错误率异常','app_transaction','app_transaction_http_path_error','email','alert','【{{service_name}}服务接口HTTP错误率异常告警】','【服务接口HTTP错误率异常告警】\n\n项目: {{project_name}}\n\n应用: {{application_name}}\n\n服务: {{runtime_name}} - {{service_name}}\n\n接口: {{http_method}} {{http_url}}\n\n事件: {{ window }}分钟内HTTP错误率{{ error_percent_value }} 错误请求次数{{ error_count_sum }} 总请求次数{{ elapsed_count_sum }}\n\n时间: {{timestamp}}\n\n[查看详情]({{display_url}})\n','{\"error_percent_value\":\"percent\"}','1.0','2021-05-28 11:55:02','2021-05-28 11:55:02',0),(2812,'服务接口HTTP错误率异常','app_transaction','app_transaction_http_path_error','mbox','alert','【{{service_name}}服务接口HTTP错误率异常告警】','【服务接口HTTP错误率异常告警】\n\n项目: {{project_name}}\n\n应用: {{application_name}}\n\n服务: {{runtime_name}} - {{service_name}}\n\n接口: {{http_method}} {{http_url}}\n\n事件: {{ window }}分钟内HTTP错误率{{ error_percent_value }} 错误请求次数{{ error_count_sum }} 总请求次数{{ elapsed_count_sum }}\n\n时间: {{timestamp}}\n\n[查看详情]({{display_url}})\n','{\"error_percent_value\":\"percent\"}','1.0','2021-05-28 11:55:02','2021-05-28 11:55:02',0),(2813,'服务接口HTTP错误率异常','app_transaction','app_transaction_http_path_error','webhook','alert','【{{service_name}}服务接口HTTP错误率异常告警】','【服务接口HTTP错误率异常告警】\n\n项目: {{project_name}}\n\n应用: {{application_name}}\n\n服务: {{runtime_name}} - {{service_name}}\n\n接口: {{http_method}} {{http_url}}\n\n事件: {{ window }}分钟内HTTP错误率{{ error_percent_value }} 错误请求次数{{ error_count_sum }} 总请求次数{{ elapsed_count_sum }}\n\n时间: {{timestamp}}\n\n[查看详情]({{display_url}})\n','{\"error_percent_value\":\"percent\"}','1.0','2021-05-28 11:55:02','2021-05-28 11:55:02',0),(2814,'服务接口HTTP错误率恢复','app_transaction','app_transaction_http_path_error','dingding','recover','【{{service_name}}服务接口HTTP错误率异常恢复】','【服务接口HTTP错误率异常恢复】\n\n项目: {{project_name}}\n\n应用: {{application_name}}\n\n服务: {{runtime_name}} - {{service_name}}\n\n接口: {{http_method}} {{http_url}}\n\n持续时间: {{trigger_duration_min}}\n\n恢复时间: {{timestamp}}','{\"trigger_duration\":\"time:ms\"}','1.0','2021-05-28 11:55:02','2021-05-28 11:55:02',0),(2815,'服务接口HTTP错误率恢复','app_transaction','app_transaction_http_path_error','ticket','recover','【{{service_name}}服务接口HTTP错误率异常恢复】','【服务接口HTTP错误率异常恢复】\n\n项目: {{project_name}}\n\n应用: {{application_name}}\n\n服务: {{runtime_name}} - {{service_name}}\n\n接口: {{http_method}} {{http_url}}\n\n持续时间: {{trigger_duration_min}}\n\n恢复时间: {{timestamp}}','{\"trigger_duration\":\"time:ms\"}','1.0','2021-05-28 11:55:02','2021-05-28 11:55:02',0),(2816,'服务接口HTTP错误率恢复','app_transaction','app_transaction_http_path_error','email','recover','【{{service_name}}服务接口HTTP错误率异常恢复】','【服务接口HTTP错误率异常恢复】\n\n项目: {{project_name}}\n\n应用: {{application_name}}\n\n服务: {{runtime_name}} - {{service_name}}\n\n接口: {{http_method}} {{http_url}}\n\n持续时间: {{trigger_duration_min}}\n\n恢复时间: {{timestamp}}','{\"trigger_duration\":\"time:ms\"}','1.0','2021-05-28 11:55:02','2021-05-28 11:55:02',0),(2817,'服务接口HTTP错误率恢复','app_transaction','app_transaction_http_path_error','mbox','recover','【{{service_name}}服务接口HTTP错误率异常恢复】','【服务接口HTTP错误率异常恢复】\n\n项目: {{project_name}}\n\n应用: {{application_name}}\n\n服务: {{runtime_name}} - {{service_name}}\n\n接口: {{http_method}} {{http_url}}\n\n持续时间: {{trigger_duration_min}}\n\n恢复时间: {{timestamp}}','{\"trigger_duration\":\"time:ms\"}','1.0','2021-05-28 11:55:02','2021-05-28 11:55:02',0),(2818,'服务接口HTTP错误率恢复','app_transaction','app_transaction_http_path_error','webhook','recover','【{{service_name}}服务接口HTTP错误率异常恢复】','【服务接口HTTP错误率异常恢复】\n\n项目: {{project_name}}\n\n应用: {{application_name}}\n\n服务: {{runtime_name}} - {{service_name}}\n\n接口: {{http_method}} {{http_url}}\n\n持续时间: {{trigger_duration_min}}\n\n恢复时间: {{timestamp}}','{\"trigger_duration\":\"time:ms\"}','1.0','2021-05-28 11:55:02','2021-05-28 11:55:02',0),(2819,'服务接口HTTP慢事务异常','app_transaction','app_transaction_http_path_rt','dingding','alert','【{{service_name}}服务接口HTTP慢事务异常告警】','【服务接口HTTP慢事务异常告警】\n\n项目: {{project_name}}\n\n应用: {{application_name}}\n\n服务: {{runtime_name}} - {{service_name}}\n\n接口: {{http_method}} {{http_url}}\n\n事件: {{window}}分钟内平均响应时间{{elapsed_avg_value}} 请求次数{{elapsed_count_sum}}\n\n时间: {{timestamp}}\n\n[查看详情]({{display_url}})\n','{\"elapsed_avg_value\":\"time:ms\",\"elapsed_sum\":\"time:ms\"}','1.0','2021-05-28 11:55:02','2021-05-28 11:55:02',0),(2820,'服务接口HTTP慢事务异常','app_transaction','app_transaction_http_path_rt','ticket','alert','【{{service_name}}服务接口HTTP慢事务异常告警】','【服务接口HTTP慢事务异常告警】\n\n项目: {{project_name}}\n\n应用: {{application_name}}\n\n服务: {{runtime_name}} - {{service_name}}\n\n接口: {{http_method}} {{http_url}}\n\n事件: {{window}}分钟内平均响应时间{{elapsed_avg_value}} 请求次数{{elapsed_count_sum}}\n\n时间: {{timestamp}}\n\n[查看详情]({{display_url}})\n','{\"elapsed_avg_value\":\"time:ms\",\"elapsed_sum\":\"time:ms\"}','1.0','2021-05-28 11:55:02','2021-05-28 11:55:02',0),(2821,'服务接口HTTP慢事务异常','app_transaction','app_transaction_http_path_rt','email','alert','【{{service_name}}服务接口HTTP慢事务异常告警】','【服务接口HTTP慢事务异常告警】\n\n项目: {{project_name}}\n\n应用: {{application_name}}\n\n服务: {{runtime_name}} - {{service_name}}\n\n接口: {{http_method}} {{http_url}}\n\n事件: {{window}}分钟内平均响应时间{{elapsed_avg_value}} 请求次数{{elapsed_count_sum}}\n\n时间: {{timestamp}}\n\n[查看详情]({{display_url}})\n','{\"elapsed_avg_value\":\"time:ms\",\"elapsed_sum\":\"time:ms\"}','1.0','2021-05-28 11:55:02','2021-05-28 11:55:02',0),(2822,'服务接口HTTP慢事务异常','app_transaction','app_transaction_http_path_rt','mbox','alert','【{{service_name}}服务接口HTTP慢事务异常告警】','【服务接口HTTP慢事务异常告警】\n\n项目: {{project_name}}\n\n应用: {{application_name}}\n\n服务: {{runtime_name}} - {{service_name}}\n\n接口: {{http_method}} {{http_url}}\n\n事件: {{window}}分钟内平均响应时间{{elapsed_avg_value}} 请求次数{{elapsed_count_sum}}\n\n时间: {{timestamp}}\n\n[查看详情]({{display_url}})\n','{\"elapsed_avg_value\":\"time:ms\",\"elapsed_sum\":\"time:ms\"}','1.0','2021-05-28 11:55:02','2021-05-28 11:55:02',0),(2823,'服务接口HTTP慢事务异常','app_transaction','app_transaction_http_path_rt','webhook','alert','【{{service_name}}服务接口HTTP慢事务异常告警】','【服务接口HTTP慢事务异常告警】\n\n项目: {{project_name}}\n\n应用: {{application_name}}\n\n服务: {{runtime_name}} - {{service_name}}\n\n接口: {{http_method}} {{http_url}}\n\n事件: {{window}}分钟内平均响应时间{{elapsed_avg_value}} 请求次数{{elapsed_count_sum}}\n\n时间: {{timestamp}}\n\n[查看详情]({{display_url}})\n','{\"elapsed_avg_value\":\"time:ms\",\"elapsed_sum\":\"time:ms\"}','1.0','2021-05-28 11:55:02','2021-05-28 11:55:02',0),(2824,'服务接口HTTP慢事务恢复','app_transaction','app_transaction_http_path_rt','dingding','recover','【{{service_name}}服务接口HTTP慢事务恢复】','【服务接口HTTP慢事务恢复】\n\n项目: {{project_name}}\n\n应用: {{application_name}}\n\n服务: {{runtime_name}} - {{service_name}}\n\n接口: {{http_method}} {{http_url}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}','{\"trigger_duration\":\"time:ms\"}','1.0','2021-05-28 11:55:02','2021-05-28 11:55:02',0),(2825,'服务接口HTTP慢事务恢复','app_transaction','app_transaction_http_path_rt','ticket','recover','【{{service_name}}服务接口HTTP慢事务恢复】','【服务接口HTTP慢事务恢复】\n\n项目: {{project_name}}\n\n应用: {{application_name}}\n\n服务: {{runtime_name}} - {{service_name}}\n\n接口: {{http_method}} {{http_url}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}','{\"trigger_duration\":\"time:ms\"}','1.0','2021-05-28 11:55:02','2021-05-28 11:55:02',0),(2826,'服务接口HTTP慢事务恢复','app_transaction','app_transaction_http_path_rt','email','recover','【{{service_name}}服务接口HTTP慢事务恢复】','【服务接口HTTP慢事务恢复】\n\n项目: {{project_name}}\n\n应用: {{application_name}}\n\n服务: {{runtime_name}} - {{service_name}}\n\n接口: {{http_method}} {{http_url}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}','{\"trigger_duration\":\"time:ms\"}','1.0','2021-05-28 11:55:02','2021-05-28 11:55:02',0),(2827,'服务接口HTTP慢事务恢复','app_transaction','app_transaction_http_path_rt','mbox','recover','【{{service_name}}服务接口HTTP慢事务恢复】','【服务接口HTTP慢事务恢复】\n\n项目: {{project_name}}\n\n应用: {{application_name}}\n\n服务: {{runtime_name}} - {{service_name}}\n\n接口: {{http_method}} {{http_url}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}','{\"trigger_duration\":\"time:ms\"}','1.0','2021-05-28 11:55:02','2021-05-28 11:55:02',0),(2828,'服务接口HTTP慢事务恢复','app_transaction','app_transaction_http_path_rt','webhook','recover','【{{service_name}}服务接口HTTP慢事务恢复】','【服务接口HTTP慢事务恢复】\n\n项目: {{project_name}}\n\n应用: {{application_name}}\n\n服务: {{runtime_name}} - {{service_name}}\n\n接口: {{http_method}} {{http_url}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}','{\"trigger_duration\":\"time:ms\"}','1.0','2021-05-28 11:55:02','2021-05-28 11:55:02',0),(2829,'服务HTTP错误率异常','app_transaction','app_transaction_http_service_error','dingding','alert','【{{service_name}}服务HTTP错误率异常告警】','【服务HTTP错误率异常告警】\n\n项目: {{project_name}}\n\n应用: {{application_name}}\n\n服务: {{runtime_name}} - {{service_name}}\n\n事件: {{ window }}分钟内HTTP错误率{{ error_percent_value }} 错误请求次数{{ error_count_sum }} 总请求次数{{ elapsed_count_sum }}\n\n时间: {{timestamp}}\n\n[查看详情]({{display_url}})\n','{\"error_percent_value\":\"percent\"}','1.0','2021-05-28 11:55:02','2021-05-28 11:55:02',0),(2830,'服务HTTP错误率异常','app_transaction','app_transaction_http_service_error','ticket','alert','【{{service_name}}服务HTTP错误率异常告警】','【服务HTTP错误率异常告警】\n\n项目: {{project_name}}\n\n应用: {{application_name}}\n\n服务: {{runtime_name}} - {{service_name}}\n\n事件: {{ window }}分钟内HTTP错误率{{ error_percent_value }} 错误请求次数{{ error_count_sum }} 总请求次数{{ elapsed_count_sum }}\n\n时间: {{timestamp}}\n\n[查看详情]({{display_url}})\n','{\"error_percent_value\":\"percent\"}','1.0','2021-05-28 11:55:02','2021-05-28 11:55:02',0),(2831,'服务HTTP错误率异常','app_transaction','app_transaction_http_service_error','email','alert','【{{service_name}}服务HTTP错误率异常告警】','【服务HTTP错误率异常告警】\n\n项目: {{project_name}}\n\n应用: {{application_name}}\n\n服务: {{runtime_name}} - {{service_name}}\n\n事件: {{ window }}分钟内HTTP错误率{{ error_percent_value }} 错误请求次数{{ error_count_sum }} 总请求次数{{ elapsed_count_sum }}\n\n时间: {{timestamp}}\n\n[查看详情]({{display_url}})\n','{\"error_percent_value\":\"percent\"}','1.0','2021-05-28 11:55:02','2021-05-28 11:55:02',0),(2832,'服务HTTP错误率异常','app_transaction','app_transaction_http_service_error','mbox','alert','【{{service_name}}服务HTTP错误率异常告警】','【服务HTTP错误率异常告警】\n\n项目: {{project_name}}\n\n应用: {{application_name}}\n\n服务: {{runtime_name}} - {{service_name}}\n\n事件: {{ window }}分钟内HTTP错误率{{ error_percent_value }} 错误请求次数{{ error_count_sum }} 总请求次数{{ elapsed_count_sum }}\n\n时间: {{timestamp}}\n\n[查看详情]({{display_url}})\n','{\"error_percent_value\":\"percent\"}','1.0','2021-05-28 11:55:02','2021-05-28 11:55:02',0),(2833,'服务HTTP错误率异常','app_transaction','app_transaction_http_service_error','webhook','alert','【{{service_name}}服务HTTP错误率异常告警】','【服务HTTP错误率异常告警】\n\n项目: {{project_name}}\n\n应用: {{application_name}}\n\n服务: {{runtime_name}} - {{service_name}}\n\n事件: {{ window }}分钟内HTTP错误率{{ error_percent_value }} 错误请求次数{{ error_count_sum }} 总请求次数{{ elapsed_count_sum }}\n\n时间: {{timestamp}}\n\n[查看详情]({{display_url}})\n','{\"error_percent_value\":\"percent\"}','1.0','2021-05-28 11:55:02','2021-05-28 11:55:02',0),(2834,'服务HTTP错误率恢复','app_transaction','app_transaction_http_service_error','dingding','recover','【{{service_name}}服务HTTP错误率恢复】','【服务HTTP错误率异常恢复】\n\n项目: {{project_name}}\n\n应用: {{application_name}}\n\n服务: {{runtime_name}} - {{service_name}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n','{\"trigger_duration\":\"time:ms\"}','1.0','2021-05-28 11:55:02','2021-05-28 11:55:02',0),(2835,'服务HTTP错误率恢复','app_transaction','app_transaction_http_service_error','ticket','recover','【{{service_name}}服务HTTP错误率恢复】','【服务HTTP错误率异常恢复】\n\n项目: {{project_name}}\n\n应用: {{application_name}}\n\n服务: {{runtime_name}} - {{service_name}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n','{\"trigger_duration\":\"time:ms\"}','1.0','2021-05-28 11:55:02','2021-05-28 11:55:02',0),(2836,'服务HTTP错误率恢复','app_transaction','app_transaction_http_service_error','email','recover','【{{service_name}}服务HTTP错误率恢复】','【服务HTTP错误率异常恢复】\n\n项目: {{project_name}}\n\n应用: {{application_name}}\n\n服务: {{runtime_name}} - {{service_name}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n','{\"trigger_duration\":\"time:ms\"}','1.0','2021-05-28 11:55:02','2021-05-28 11:55:02',0),(2837,'服务HTTP错误率恢复','app_transaction','app_transaction_http_service_error','mbox','recover','【{{service_name}}服务HTTP错误率恢复】','【服务HTTP错误率异常恢复】\n\n项目: {{project_name}}\n\n应用: {{application_name}}\n\n服务: {{runtime_name}} - {{service_name}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n','{\"trigger_duration\":\"time:ms\"}','1.0','2021-05-28 11:55:02','2021-05-28 11:55:02',0),(2838,'服务HTTP错误率恢复','app_transaction','app_transaction_http_service_error','webhook','recover','【{{service_name}}服务HTTP错误率恢复】','【服务HTTP错误率异常恢复】\n\n项目: {{project_name}}\n\n应用: {{application_name}}\n\n服务: {{runtime_name}} - {{service_name}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n','{\"trigger_duration\":\"time:ms\"}','1.0','2021-05-28 11:55:02','2021-05-28 11:55:02',0),(2839,'服务HTTP慢事务异常','app_transaction','app_transaction_http_service_rt','dingding','alert','【应用{{service_name}}服务HTTP慢事务异常告警】','【服务HTTP慢事务异常告警】\n\n项目: {{project_name}}\n\n应用: {{application_name}}\n\n服务: {{runtime_name}} - {{service_name}}\n\n事件: {{window}}分钟内HTTP事务平均响应时间{{elapsed_avg_value}} 请求次数{{elapsed_count_sum}}\n\n时间: {{timestamp}}\n\n[查看详情]({{display_url}})\n','{\"elapsed_avg_value\":\"time:ms\",\"elapsed_sum\":\"time:ms\"}','1.0','2021-05-28 11:55:02','2021-05-28 11:55:02',0),(2840,'服务HTTP慢事务异常','app_transaction','app_transaction_http_service_rt','ticket','alert','【应用{{service_name}}服务HTTP慢事务异常告警】','【服务HTTP慢事务异常告警】\n\n项目: {{project_name}}\n\n应用: {{application_name}}\n\n服务: {{runtime_name}} - {{service_name}}\n\n事件: {{window}}分钟内HTTP事务平均响应时间{{elapsed_avg_value}} 请求次数{{elapsed_count_sum}}\n\n时间: {{timestamp}}\n\n[查看详情]({{display_url}})\n','{\"elapsed_avg_value\":\"time:ms\",\"elapsed_sum\":\"time:ms\"}','1.0','2021-05-28 11:55:02','2021-05-28 11:55:02',0),(2841,'服务HTTP慢事务异常','app_transaction','app_transaction_http_service_rt','email','alert','【应用{{service_name}}服务HTTP慢事务异常告警】','【服务HTTP慢事务异常告警】\n\n项目: {{project_name}}\n\n应用: {{application_name}}\n\n服务: {{runtime_name}} - {{service_name}}\n\n事件: {{window}}分钟内HTTP事务平均响应时间{{elapsed_avg_value}} 请求次数{{elapsed_count_sum}}\n\n时间: {{timestamp}}\n\n[查看详情]({{display_url}})\n','{\"elapsed_avg_value\":\"time:ms\",\"elapsed_sum\":\"time:ms\"}','1.0','2021-05-28 11:55:02','2021-05-28 11:55:02',0),(2842,'服务HTTP慢事务异常','app_transaction','app_transaction_http_service_rt','mbox','alert','【应用{{service_name}}服务HTTP慢事务异常告警】','【服务HTTP慢事务异常告警】\n\n项目: {{project_name}}\n\n应用: {{application_name}}\n\n服务: {{runtime_name}} - {{service_name}}\n\n事件: {{window}}分钟内HTTP事务平均响应时间{{elapsed_avg_value}} 请求次数{{elapsed_count_sum}}\n\n时间: {{timestamp}}\n\n[查看详情]({{display_url}})\n','{\"elapsed_avg_value\":\"time:ms\",\"elapsed_sum\":\"time:ms\"}','1.0','2021-05-28 11:55:02','2021-05-28 11:55:02',0),(2843,'服务HTTP慢事务异常','app_transaction','app_transaction_http_service_rt','webhook','alert','【应用{{service_name}}服务HTTP慢事务异常告警】','【服务HTTP慢事务异常告警】\n\n项目: {{project_name}}\n\n应用: {{application_name}}\n\n服务: {{runtime_name}} - {{service_name}}\n\n事件: {{window}}分钟内HTTP事务平均响应时间{{elapsed_avg_value}} 请求次数{{elapsed_count_sum}}\n\n时间: {{timestamp}}\n\n[查看详情]({{display_url}})\n','{\"elapsed_avg_value\":\"time:ms\",\"elapsed_sum\":\"time:ms\"}','1.0','2021-05-28 11:55:02','2021-05-28 11:55:02',0),(2844,'服务HTTP慢事务异常恢复','app_transaction','app_transaction_http_service_rt','dingding','recover','【应用{{service_name}}服务HTTP慢事务异常恢复】','【服务HTTP慢事务异常恢复】\n\n项目: {{project_name}}\n\n应用: {{application_name}}\n\n服务: {{runtime_name}} - {{service_name}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n','{\"trigger_duration\":\"time:ms\"}','1.0','2021-05-28 11:55:02','2021-05-28 11:55:02',0),(2845,'服务HTTP慢事务异常恢复','app_transaction','app_transaction_http_service_rt','ticket','recover','【应用{{service_name}}服务HTTP慢事务异常恢复】','【服务HTTP慢事务异常恢复】\n\n项目: {{project_name}}\n\n应用: {{application_name}}\n\n服务: {{runtime_name}} - {{service_name}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n','{\"trigger_duration\":\"time:ms\"}','1.0','2021-05-28 11:55:02','2021-05-28 11:55:02',0),(2846,'服务HTTP慢事务异常恢复','app_transaction','app_transaction_http_service_rt','email','recover','【应用{{service_name}}服务HTTP慢事务异常恢复】','【服务HTTP慢事务异常恢复】\n\n项目: {{project_name}}\n\n应用: {{application_name}}\n\n服务: {{runtime_name}} - {{service_name}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n','{\"trigger_duration\":\"time:ms\"}','1.0','2021-05-28 11:55:02','2021-05-28 11:55:02',0),(2847,'服务HTTP慢事务异常恢复','app_transaction','app_transaction_http_service_rt','mbox','recover','【应用{{service_name}}服务HTTP慢事务异常恢复】','【服务HTTP慢事务异常恢复】\n\n项目: {{project_name}}\n\n应用: {{application_name}}\n\n服务: {{runtime_name}} - {{service_name}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n','{\"trigger_duration\":\"time:ms\"}','1.0','2021-05-28 11:55:02','2021-05-28 11:55:02',0),(2848,'服务HTTP慢事务异常恢复','app_transaction','app_transaction_http_service_rt','webhook','recover','【应用{{service_name}}服务HTTP慢事务异常恢复】','【服务HTTP慢事务异常恢复】\n\n项目: {{project_name}}\n\n应用: {{application_name}}\n\n服务: {{runtime_name}} - {{service_name}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n','{\"trigger_duration\":\"time:ms\"}','1.0','2021-05-28 11:55:02','2021-05-28 11:55:02',0),(2849,'MySQL SLAVE DELAY ALERT','custom_addon','slave_dly_alert','dingding','alert','【MySQL {{window}}M 聚合时间内 SLAVE 延迟 {{slave_seconds_behind_master_max}}s】\n','【MySQL {{window}}M 聚合时间内 SLAVE 延迟 {{slave_seconds_behind_master_max}}s】\n\n集群: {{cluster_name}}\n\nmysql: {{server_id}}\n\n延迟时间： {{slave_seconds_behind_master_max}}\n\n时间: {{timestamp}}','{\"limit_value\":\"fraction:1\",\"usage_percent_avg\":\"percent:1\"}','1.0','2021-05-28 11:55:02','2021-05-28 11:55:02',0),(2850,'MySQL SLAVE SYNC ALERT','custom_addon','slave_sync_alert','dingding','alert','【MySQL SLAVE 同步异常】\n','【MySQL SLAVE 同步异常】\n\n集群: {{cluster_name}}\n\nmysql: {{server_id}}\n\nSlave_IO_Running: {{slave_slave_io_running_value}}\n\nSlave_SQL_Running: {{slave_slave_sql_running_value}}\n\n时间: {{timestamp}}','{\"limit_value\":\"fraction:1\",\"usage_percent_avg\":\"percent:1\"}','1.0','2021-05-28 11:55:02','2021-05-28 11:55:02',0),(2851,'平台中间件cassandra GC次数异常','dice_addon','dice_addon_cassandra_gc_count','dingding','alert','【平台中间件cassandra GC次数告警】\n','【平台中间件cassandra GC次数告警】\n\n中间件: {{addon_id}}\n\n老年代GC次数: {{CollectionCount_win_value}}\n\n集群: {{cluster_name}}\n\n机器: {{node_host}}\n\n时间: {{timestamp}}\n\n[查看详情]({{display_url}})\n','','1.0','2021-05-28 11:55:02','2021-05-28 11:55:02',0),(2852,'平台中间件cassandra GC次数异常','dice_addon','dice_addon_cassandra_gc_count','ticket','alert','【平台中间件cassandra GC次数告警】\n','【平台中间件cassandra GC次数告警】\n\n中间件: {{addon_id}}\n\n老年代GC次数: {{CollectionCount_win_value}}\n\n集群: {{cluster_name}}\n\n机器: {{node_host}}\n\n时间: {{timestamp}}\n\n[查看详情]({{display_url}})\n','','1.0','2021-05-28 11:55:02','2021-05-28 11:55:02',0),(2853,'平台中间件cassandra GC次数异常','dice_addon','dice_addon_cassandra_gc_count','email','alert','【平台中间件cassandra GC次数告警】\n','【平台中间件cassandra GC次数告警】\n\n中间件: {{addon_id}}\n\n老年代GC次数: {{CollectionCount_win_value}}\n\n集群: {{cluster_name}}\n\n机器: {{node_host}}\n\n时间: {{timestamp}}\n\n[查看详情]({{display_url}})\n','','1.0','2021-05-28 11:55:02','2021-05-28 11:55:02',0),(2854,'平台中间件cassandra GC次数异常','dice_addon','dice_addon_cassandra_gc_count','mbox','alert','【平台中间件cassandra GC次数告警】\n','【平台中间件cassandra GC次数告警】\n\n中间件: {{addon_id}}\n\n老年代GC次数: {{CollectionCount_win_value}}\n\n集群: {{cluster_name}}\n\n机器: {{node_host}}\n\n时间: {{timestamp}}\n\n[查看详情]({{display_url}})\n','','1.0','2021-05-28 11:55:02','2021-05-28 11:55:02',0),(2855,'平台中间件cassandra GC次数异常','dice_addon','dice_addon_cassandra_gc_count','webhook','alert','【平台中间件cassandra GC次数告警】\n','【平台中间件cassandra GC次数告警】\n\n中间件: {{addon_id}}\n\n老年代GC次数: {{CollectionCount_win_value}}\n\n集群: {{cluster_name}}\n\n机器: {{node_host}}\n\n时间: {{timestamp}}\n\n[查看详情]({{display_url}})\n','','1.0','2021-05-28 11:55:02','2021-05-28 11:55:02',0),(2856,'平台中间件cassandra GC次数异常','dice_addon','dice_addon_cassandra_gc_count','dingding','recover','【平台中间件cassandra GC次数恢复】\n','【平台中间件cassandra GC次数恢复】\n\n中间件: {{addon_id}}\n\n老年代GC次数: {{CollectionCount_win_value}}\n\n集群: {{cluster_name}}\n\n机器: {{node_host}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n','{\"trigger_duration\":\"time:ms\"}','1.0','2021-05-28 11:55:02','2021-05-28 11:55:02',0),(2857,'平台中间件cassandra GC次数异常','dice_addon','dice_addon_cassandra_gc_count','ticket','recover','【平台中间件cassandra GC次数恢复】\n','【平台中间件cassandra GC次数恢复】\n\n中间件: {{addon_id}}\n\n老年代GC次数: {{CollectionCount_win_value}}\n\n集群: {{cluster_name}}\n\n机器: {{node_host}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n','{\"trigger_duration\":\"time:ms\"}','1.0','2021-05-28 11:55:02','2021-05-28 11:55:02',0),(2858,'平台中间件cassandra GC次数异常','dice_addon','dice_addon_cassandra_gc_count','email','recover','【平台中间件cassandra GC次数恢复】\n','【平台中间件cassandra GC次数恢复】\n\n中间件: {{addon_id}}\n\n老年代GC次数: {{CollectionCount_win_value}}\n\n集群: {{cluster_name}}\n\n机器: {{node_host}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n','{\"trigger_duration\":\"time:ms\"}','1.0','2021-05-28 11:55:02','2021-05-28 11:55:02',0),(2859,'平台中间件cassandra GC次数异常','dice_addon','dice_addon_cassandra_gc_count','mbox','recover','【平台中间件cassandra GC次数恢复】\n','【平台中间件cassandra GC次数恢复】\n\n中间件: {{addon_id}}\n\n老年代GC次数: {{CollectionCount_win_value}}\n\n集群: {{cluster_name}}\n\n机器: {{node_host}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n','{\"trigger_duration\":\"time:ms\"}','1.0','2021-05-28 11:55:02','2021-05-28 11:55:02',0),(2860,'平台中间件cassandra GC次数异常','dice_addon','dice_addon_cassandra_gc_count','webhook','recover','【平台中间件cassandra GC次数恢复】\n','【平台中间件cassandra GC次数恢复】\n\n中间件: {{addon_id}}\n\n老年代GC次数: {{CollectionCount_win_value}}\n\n集群: {{cluster_name}}\n\n机器: {{node_host}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n','{\"trigger_duration\":\"time:ms\"}','1.0','2021-05-28 11:55:02','2021-05-28 11:55:02',0),(2861,'平台中间件cassandra GC耗时异常','dice_addon','dice_addon_cassandra_gc_time','dingding','alert','【平台中间件cassandra GC耗时告警】\n','【平台中间件cassandra GC耗时告警】\n\n中间件: {{addon_id}}\n\n老年代GC耗时: {{CollectionTime_win_value}}\n\n集群: {{cluster_name}}\n\n机器: {{node_host}}\n\n时间: {{timestamp}}\n\n[查看详情]({{display_url}})\n','{\"CollectionTime_win_value\":\"time:ms\"}','1.0','2021-05-28 11:55:02','2021-05-28 11:55:02',0),(2862,'平台中间件cassandra GC耗时异常','dice_addon','dice_addon_cassandra_gc_time','ticket','alert','【平台中间件cassandra GC耗时告警】\n','【平台中间件cassandra GC耗时告警】\n\n中间件: {{addon_id}}\n\n老年代GC耗时: {{CollectionTime_win_value}}\n\n集群: {{cluster_name}}\n\n机器: {{node_host}}\n\n时间: {{timestamp}}\n\n[查看详情]({{display_url}})\n','{\"CollectionTime_win_value\":\"time:ms\"}','1.0','2021-05-28 11:55:02','2021-05-28 11:55:02',0),(2863,'平台中间件cassandra GC耗时异常','dice_addon','dice_addon_cassandra_gc_time','email','alert','【平台中间件cassandra GC耗时告警】\n','【平台中间件cassandra GC耗时告警】\n\n中间件: {{addon_id}}\n\n老年代GC耗时: {{CollectionTime_win_value}}\n\n集群: {{cluster_name}}\n\n机器: {{node_host}}\n\n时间: {{timestamp}}\n\n[查看详情]({{display_url}})\n','{\"CollectionTime_win_value\":\"time:ms\"}','1.0','2021-05-28 11:55:02','2021-05-28 11:55:02',0),(2864,'平台中间件cassandra GC耗时异常','dice_addon','dice_addon_cassandra_gc_time','mbox','alert','【平台中间件cassandra GC耗时告警】\n','【平台中间件cassandra GC耗时告警】\n\n中间件: {{addon_id}}\n\n老年代GC耗时: {{CollectionTime_win_value}}\n\n集群: {{cluster_name}}\n\n机器: {{node_host}}\n\n时间: {{timestamp}}\n\n[查看详情]({{display_url}})\n','{\"CollectionTime_win_value\":\"time:ms\"}','1.0','2021-05-28 11:55:02','2021-05-28 11:55:02',0),(2865,'平台中间件cassandra GC耗时异常','dice_addon','dice_addon_cassandra_gc_time','webhook','alert','【平台中间件cassandra GC耗时告警】\n','【平台中间件cassandra GC耗时告警】\n\n中间件: {{addon_id}}\n\n老年代GC耗时: {{CollectionTime_win_value}}\n\n集群: {{cluster_name}}\n\n机器: {{node_host}}\n\n时间: {{timestamp}}\n\n[查看详情]({{display_url}})\n','{\"CollectionTime_win_value\":\"time:ms\"}','1.0','2021-05-28 11:55:02','2021-05-28 11:55:02',0),(2866,'平台中间件cassandra GC耗时异常','dice_addon','dice_addon_cassandra_gc_time','dingding','recover','【平台中间件cassandra GC耗时恢复】\n','【平台中间件cassandra GC耗时恢复】\n\n中间件: {{addon_id}}\n\n老年代GC耗时: {{CollectionTime_win_value}}\n\n集群: {{cluster_name}}\n\n机器: {{node_host}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n','{\"CollectionTime_win_value\":\"time:ms\",\"trigger_duration\":\"time:ms\"}','1.0','2021-05-28 11:55:02','2021-05-28 11:55:02',0),(2867,'平台中间件cassandra GC耗时异常','dice_addon','dice_addon_cassandra_gc_time','ticket','recover','【平台中间件cassandra GC耗时恢复】\n','【平台中间件cassandra GC耗时恢复】\n\n中间件: {{addon_id}}\n\n老年代GC耗时: {{CollectionTime_win_value}}\n\n集群: {{cluster_name}}\n\n机器: {{node_host}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n','{\"CollectionTime_win_value\":\"time:ms\",\"trigger_duration\":\"time:ms\"}','1.0','2021-05-28 11:55:02','2021-05-28 11:55:02',0),(2868,'平台中间件cassandra GC耗时异常','dice_addon','dice_addon_cassandra_gc_time','email','recover','【平台中间件cassandra GC耗时恢复】\n','【平台中间件cassandra GC耗时恢复】\n\n中间件: {{addon_id}}\n\n老年代GC耗时: {{CollectionTime_win_value}}\n\n集群: {{cluster_name}}\n\n机器: {{node_host}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n','{\"CollectionTime_win_value\":\"time:ms\",\"trigger_duration\":\"time:ms\"}','1.0','2021-05-28 11:55:02','2021-05-28 11:55:02',0),(2869,'平台中间件cassandra GC耗时异常','dice_addon','dice_addon_cassandra_gc_time','mbox','recover','【平台中间件cassandra GC耗时恢复】\n','【平台中间件cassandra GC耗时恢复】\n\n中间件: {{addon_id}}\n\n老年代GC耗时: {{CollectionTime_win_value}}\n\n集群: {{cluster_name}}\n\n机器: {{node_host}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n','{\"CollectionTime_win_value\":\"time:ms\",\"trigger_duration\":\"time:ms\"}','1.0','2021-05-28 11:55:02','2021-05-28 11:55:02',0),(2870,'平台中间件cassandra GC耗时异常','dice_addon','dice_addon_cassandra_gc_time','webhook','recover','【平台中间件cassandra GC耗时恢复】\n','【平台中间件cassandra GC耗时恢复】\n\n中间件: {{addon_id}}\n\n老年代GC耗时: {{CollectionTime_win_value}}\n\n集群: {{cluster_name}}\n\n机器: {{node_host}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n','{\"CollectionTime_win_value\":\"time:ms\",\"trigger_duration\":\"time:ms\"}','1.0','2021-05-28 11:55:02','2021-05-28 11:55:02',0),(2871,'平台中间件实例CPU异常','dice_addon','dice_addon_container_cpu','dingding','alert','【平台中间件{{addon_id}} CPU使用率告警】\n','【平台中间件CPU使用率告警】\n\n中间件: {{addon_id}}\n\n使用率: {{cpu_usage_percent_avg}}\n\n限制: {{cpu_limit_value}}核\n\n分配: {{cpu_allocation_value}}核\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n容器ID: {{container_id}}\n\n时间: {{timestamp}}\n','{\"cpu_allocation_value\":\"fraction:2\",\"cpu_limit_value\":\"fraction:2\",\"cpu_usage_percent_avg\":\"percent:2\"}','1.0','2021-05-28 11:55:02','2021-05-28 11:55:02',0),(2872,'平台中间件实例CPU异常','dice_addon','dice_addon_container_cpu','ticket','alert','【平台中间件{{addon_id}} CPU使用率告警】\n','【平台中间件CPU使用率告警】\n\n中间件: {{addon_id}}\n\n使用率: {{cpu_usage_percent_avg}}\n\n限制: {{cpu_limit_value}}核\n\n分配: {{cpu_allocation_value}}核\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n容器ID: {{container_id}}\n\n时间: {{timestamp}}\n','{\"cpu_allocation_value\":\"fraction:2\",\"cpu_limit_value\":\"fraction:2\",\"cpu_usage_percent_avg\":\"percent:2\"}','1.0','2021-05-28 11:55:02','2021-05-28 11:55:02',0),(2873,'平台中间件实例CPU异常','dice_addon','dice_addon_container_cpu','email','alert','【平台中间件{{addon_id}} CPU使用率告警】\n','【平台中间件CPU使用率告警】\n\n中间件: {{addon_id}}\n\n使用率: {{cpu_usage_percent_avg}}\n\n限制: {{cpu_limit_value}}核\n\n分配: {{cpu_allocation_value}}核\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n容器ID: {{container_id}}\n\n时间: {{timestamp}}\n','{\"cpu_allocation_value\":\"fraction:2\",\"cpu_limit_value\":\"fraction:2\",\"cpu_usage_percent_avg\":\"percent:2\"}','1.0','2021-05-28 11:55:02','2021-05-28 11:55:02',0),(2874,'平台中间件实例CPU异常','dice_addon','dice_addon_container_cpu','mbox','alert','【平台中间件{{addon_id}} CPU使用率告警】\n','【平台中间件CPU使用率告警】\n\n中间件: {{addon_id}}\n\n使用率: {{cpu_usage_percent_avg}}\n\n限制: {{cpu_limit_value}}核\n\n分配: {{cpu_allocation_value}}核\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n容器ID: {{container_id}}\n\n时间: {{timestamp}}\n','{\"cpu_allocation_value\":\"fraction:2\",\"cpu_limit_value\":\"fraction:2\",\"cpu_usage_percent_avg\":\"percent:2\"}','1.0','2021-05-28 11:55:02','2021-05-28 11:55:02',0),(2875,'平台中间件实例CPU异常','dice_addon','dice_addon_container_cpu','webhook','alert','【平台中间件{{addon_id}} CPU使用率告警】\n','【平台中间件CPU使用率告警】\n\n中间件: {{addon_id}}\n\n使用率: {{cpu_usage_percent_avg}}\n\n限制: {{cpu_limit_value}}核\n\n分配: {{cpu_allocation_value}}核\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n容器ID: {{container_id}}\n\n时间: {{timestamp}}\n','{\"cpu_allocation_value\":\"fraction:2\",\"cpu_limit_value\":\"fraction:2\",\"cpu_usage_percent_avg\":\"percent:2\"}','1.0','2021-05-28 11:55:02','2021-05-28 11:55:02',0),(2876,'平台中间件实例CPU异常','dice_addon','dice_addon_container_cpu','dingding','recover','【平台中间件{{addon_id}} CPU使用率恢复】\n','【平台中间件CPU使用率恢复】\n\n中间件: {{addon_id}}\n\n使用率: {{cpu_usage_percent_avg}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n容器ID: {{container_id}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n','{\"cpu_usage_percent_avg\":\"percent:2\",\"trigger_duration\":\"time:ms\"}','1.0','2021-05-28 11:55:02','2021-05-28 11:55:02',0),(2877,'平台中间件实例CPU异常','dice_addon','dice_addon_container_cpu','ticket','recover','【平台中间件{{addon_id}} CPU使用率恢复】\n','【平台中间件CPU使用率恢复】\n\n中间件: {{addon_id}}\n\n使用率: {{cpu_usage_percent_avg}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n容器ID: {{container_id}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n','{\"cpu_usage_percent_avg\":\"percent:2\",\"trigger_duration\":\"time:ms\"}','1.0','2021-05-28 11:55:02','2021-05-28 11:55:02',0),(2878,'平台中间件实例CPU异常','dice_addon','dice_addon_container_cpu','email','recover','【平台中间件{{addon_id}} CPU使用率恢复】\n','【平台中间件CPU使用率恢复】\n\n中间件: {{addon_id}}\n\n使用率: {{cpu_usage_percent_avg}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n容器ID: {{container_id}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n','{\"cpu_usage_percent_avg\":\"percent:2\",\"trigger_duration\":\"time:ms\"}','1.0','2021-05-28 11:55:02','2021-05-28 11:55:02',0),(2879,'平台中间件实例CPU异常','dice_addon','dice_addon_container_cpu','mbox','recover','【平台中间件{{addon_id}} CPU使用率恢复】\n','【平台中间件CPU使用率恢复】\n\n中间件: {{addon_id}}\n\n使用率: {{cpu_usage_percent_avg}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n容器ID: {{container_id}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n','{\"cpu_usage_percent_avg\":\"percent:2\",\"trigger_duration\":\"time:ms\"}','1.0','2021-05-28 11:55:02','2021-05-28 11:55:02',0),(2880,'平台中间件实例CPU异常','dice_addon','dice_addon_container_cpu','webhook','recover','【平台中间件{{addon_id}} CPU使用率恢复】\n','【平台中间件CPU使用率恢复】\n\n中间件: {{addon_id}}\n\n使用率: {{cpu_usage_percent_avg}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n容器ID: {{container_id}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n','{\"cpu_usage_percent_avg\":\"percent:2\",\"trigger_duration\":\"time:ms\"}','1.0','2021-05-28 11:55:02','2021-05-28 11:55:02',0),(2881,'平台中间件异常退出','dice_addon','dice_addon_container_exit','dingding','alert','【平台中间件{{addon_id}}异常退出告警】\n','【平台中间件异常退出告警】\n\n中间件: {{addon_id}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n启动时间: {{started_at_value}}\n\n退出时间: {{finished_at_value}}\n\n退出原因: {{terminated_reason_value}}\n\n时间: {{timestamp}}\n\n[查看详情]({{display_url}})\n','{\"finished_at_value\":\"date\",\"started_at_value\":\"date\"}','1.0','2021-05-28 11:55:02','2021-05-28 11:55:02',0),(2882,'平台中间件异常退出','dice_addon','dice_addon_container_exit','ticket','alert','【平台中间件{{addon_id}}异常退出告警】\n','【平台中间件异常退出告警】\n\n中间件: {{addon_id}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n启动时间: {{started_at_value}}\n\n退出时间: {{finished_at_value}}\n\n退出原因: {{terminated_reason_value}}\n\n时间: {{timestamp}}\n\n[查看详情]({{display_url}})\n','{\"finished_at_value\":\"date\",\"started_at_value\":\"date\"}','1.0','2021-05-28 11:55:02','2021-05-28 11:55:02',0),(2883,'平台中间件异常退出','dice_addon','dice_addon_container_exit','email','alert','【平台中间件{{addon_id}}异常退出告警】\n','【平台中间件异常退出告警】\n\n中间件: {{addon_id}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n启动时间: {{started_at_value}}\n\n退出时间: {{finished_at_value}}\n\n退出原因: {{terminated_reason_value}}\n\n时间: {{timestamp}}\n\n[查看详情]({{display_url}})\n','{\"finished_at_value\":\"date\",\"started_at_value\":\"date\"}','1.0','2021-05-28 11:55:02','2021-05-28 11:55:02',0),(2884,'平台中间件异常退出','dice_addon','dice_addon_container_exit','mbox','alert','【平台中间件{{addon_id}}异常退出告警】\n','【平台中间件异常退出告警】\n\n中间件: {{addon_id}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n启动时间: {{started_at_value}}\n\n退出时间: {{finished_at_value}}\n\n退出原因: {{terminated_reason_value}}\n\n时间: {{timestamp}}\n\n[查看详情]({{display_url}})\n','{\"finished_at_value\":\"date\",\"started_at_value\":\"date\"}','1.0','2021-05-28 11:55:02','2021-05-28 11:55:02',0),(2885,'平台中间件异常退出','dice_addon','dice_addon_container_exit','webhook','alert','【平台中间件{{addon_id}}异常退出告警】\n','【平台中间件异常退出告警】\n\n中间件: {{addon_id}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n启动时间: {{started_at_value}}\n\n退出时间: {{finished_at_value}}\n\n退出原因: {{terminated_reason_value}}\n\n时间: {{timestamp}}\n\n[查看详情]({{display_url}})\n','{\"finished_at_value\":\"date\",\"started_at_value\":\"date\"}','1.0','2021-05-28 11:55:02','2021-05-28 11:55:02',0),(2886,'平台中间件异常退出','dice_addon','dice_addon_container_exit','dingding','recover','【平台中间件{{addon_id}}异常退出恢复】\n','【平台中间件异常退出恢复】\n\n中间件: {{addon_id}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n','{\"trigger_duration\":\"time:ms\"}','1.0','2021-05-28 11:55:02','2021-05-28 11:55:02',0),(2887,'平台中间件异常退出','dice_addon','dice_addon_container_exit','ticket','recover','【平台中间件{{addon_id}}异常退出恢复】\n','【平台中间件异常退出恢复】\n\n中间件: {{addon_id}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n','{\"trigger_duration\":\"time:ms\"}','1.0','2021-05-28 11:55:02','2021-05-28 11:55:02',0),(2888,'平台中间件异常退出','dice_addon','dice_addon_container_exit','email','recover','【平台中间件{{addon_id}}异常退出恢复】\n','【平台中间件异常退出恢复】\n\n中间件: {{addon_id}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n','{\"trigger_duration\":\"time:ms\"}','1.0','2021-05-28 11:55:02','2021-05-28 11:55:02',0),(2889,'平台中间件异常退出','dice_addon','dice_addon_container_exit','mbox','recover','【平台中间件{{addon_id}}异常退出恢复】\n','【平台中间件异常退出恢复】\n\n中间件: {{addon_id}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n','{\"trigger_duration\":\"time:ms\"}','1.0','2021-05-28 11:55:02','2021-05-28 11:55:02',0),(2890,'平台中间件异常退出','dice_addon','dice_addon_container_exit','webhook','recover','【平台中间件{{addon_id}}异常退出恢复】\n','【平台中间件异常退出恢复】\n\n中间件: {{addon_id}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n','{\"trigger_duration\":\"time:ms\"}','1.0','2021-05-28 11:55:02','2021-05-28 11:55:02',0),(2891,'平台中间件实例内存异常','dice_addon','dice_addon_container_mem','dingding','alert','【平台中间件{{addon_id}}内存使用率告警】\n','【平台中间件内存使用率告警】\n\n中间件: {{addon_id}}\n\n使用率: {{mem_usage_percent_avg}}\n\n使用: {{mem_usage_value}}\n\n限制: {{mem_limit_value}}\n\n分配: {{mem_allocation_value}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n容器ID: {{container_id}}\n\n时间: {{timestamp}}\n','{\"mem_allocation_value\":\"size:byte\",\"mem_limit_value\":\"size:byte\",\"mem_usage_percent_avg\":\"percent:2\",\"mem_usage_value\":\"size:byte\"}','1.0','2021-05-28 11:55:02','2021-05-28 11:55:02',0),(2892,'平台中间件实例内存异常','dice_addon','dice_addon_container_mem','ticket','alert','【平台中间件{{addon_id}}内存使用率告警】\n','【平台中间件内存使用率告警】\n\n中间件: {{addon_id}}\n\n使用率: {{mem_usage_percent_avg}}\n\n使用: {{mem_usage_value}}\n\n限制: {{mem_limit_value}}\n\n分配: {{mem_allocation_value}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n容器ID: {{container_id}}\n\n时间: {{timestamp}}\n','{\"mem_allocation_value\":\"size:byte\",\"mem_limit_value\":\"size:byte\",\"mem_usage_percent_avg\":\"percent:2\",\"mem_usage_value\":\"size:byte\"}','1.0','2021-05-28 11:55:02','2021-05-28 11:55:02',0),(2893,'平台中间件实例内存异常','dice_addon','dice_addon_container_mem','email','alert','【平台中间件{{addon_id}}内存使用率告警】\n','【平台中间件内存使用率告警】\n\n中间件: {{addon_id}}\n\n使用率: {{mem_usage_percent_avg}}\n\n使用: {{mem_usage_value}}\n\n限制: {{mem_limit_value}}\n\n分配: {{mem_allocation_value}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n容器ID: {{container_id}}\n\n时间: {{timestamp}}\n','{\"mem_allocation_value\":\"size:byte\",\"mem_limit_value\":\"size:byte\",\"mem_usage_percent_avg\":\"percent:2\",\"mem_usage_value\":\"size:byte\"}','1.0','2021-05-28 11:55:02','2021-05-28 11:55:02',0),(2894,'平台中间件实例内存异常','dice_addon','dice_addon_container_mem','mbox','alert','【平台中间件{{addon_id}}内存使用率告警】\n','【平台中间件内存使用率告警】\n\n中间件: {{addon_id}}\n\n使用率: {{mem_usage_percent_avg}}\n\n使用: {{mem_usage_value}}\n\n限制: {{mem_limit_value}}\n\n分配: {{mem_allocation_value}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n容器ID: {{container_id}}\n\n时间: {{timestamp}}\n','{\"mem_allocation_value\":\"size:byte\",\"mem_limit_value\":\"size:byte\",\"mem_usage_percent_avg\":\"percent:2\",\"mem_usage_value\":\"size:byte\"}','1.0','2021-05-28 11:55:02','2021-05-28 11:55:02',0),(2895,'平台中间件实例内存异常','dice_addon','dice_addon_container_mem','webhook','alert','【平台中间件{{addon_id}}内存使用率告警】\n','【平台中间件内存使用率告警】\n\n中间件: {{addon_id}}\n\n使用率: {{mem_usage_percent_avg}}\n\n使用: {{mem_usage_value}}\n\n限制: {{mem_limit_value}}\n\n分配: {{mem_allocation_value}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n容器ID: {{container_id}}\n\n时间: {{timestamp}}\n','{\"mem_allocation_value\":\"size:byte\",\"mem_limit_value\":\"size:byte\",\"mem_usage_percent_avg\":\"percent:2\",\"mem_usage_value\":\"size:byte\"}','1.0','2021-05-28 11:55:02','2021-05-28 11:55:02',0),(2896,'平台中间件实例内存异常','dice_addon','dice_addon_container_mem','dingding','recover','【平台中间件{{addon_id}}内存使用率恢复】\n','【平台中间件内存使用率恢复】\n\n中间件: {{addon_id}}\n\n使用率: {{mem_usage_percent_avg}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n容器ID: {{container_id}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n','{\"mem_usage_percent_avg\":\"percent:2\",\"trigger_duration\":\"time:ms\"}','1.0','2021-05-28 11:55:02','2021-05-28 11:55:02',0),(2897,'平台中间件实例内存异常','dice_addon','dice_addon_container_mem','ticket','recover','【平台中间件{{addon_id}}内存使用率恢复】\n','【平台中间件内存使用率恢复】\n\n中间件: {{addon_id}}\n\n使用率: {{mem_usage_percent_avg}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n容器ID: {{container_id}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n','{\"mem_usage_percent_avg\":\"percent:2\",\"trigger_duration\":\"time:ms\"}','1.0','2021-05-28 11:55:02','2021-05-28 11:55:02',0),(2898,'平台中间件实例内存异常','dice_addon','dice_addon_container_mem','email','recover','【平台中间件{{addon_id}}内存使用率恢复】\n','【平台中间件内存使用率恢复】\n\n中间件: {{addon_id}}\n\n使用率: {{mem_usage_percent_avg}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n容器ID: {{container_id}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n','{\"mem_usage_percent_avg\":\"percent:2\",\"trigger_duration\":\"time:ms\"}','1.0','2021-05-28 11:55:02','2021-05-28 11:55:02',0),(2899,'平台中间件实例内存异常','dice_addon','dice_addon_container_mem','mbox','recover','【平台中间件{{addon_id}}内存使用率恢复】\n','【平台中间件内存使用率恢复】\n\n中间件: {{addon_id}}\n\n使用率: {{mem_usage_percent_avg}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n容器ID: {{container_id}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n','{\"mem_usage_percent_avg\":\"percent:2\",\"trigger_duration\":\"time:ms\"}','1.0','2021-05-28 11:55:02','2021-05-28 11:55:02',0),(2900,'平台中间件实例内存异常','dice_addon','dice_addon_container_mem','webhook','recover','【平台中间件{{addon_id}}内存使用率恢复】\n','【平台中间件内存使用率恢复】\n\n中间件: {{addon_id}}\n\n使用率: {{mem_usage_percent_avg}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n容器ID: {{container_id}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n','{\"mem_usage_percent_avg\":\"percent:2\",\"trigger_duration\":\"time:ms\"}','1.0','2021-05-28 11:55:02','2021-05-28 11:55:02',0),(2901,'平台中间件实例Ready状态异常','dice_addon','dice_addon_container_ready','dingding','alert','【平台中间件{{addon_id}} Ready状态异常告警】\n','【平台中间件Ready状态异常告警】\n\n中间件: {{addon_id}}\n\n未就绪实例: {{not_ready_value}}\n\n已就绪实例: {{ready_value}}\n\n集群: {{cluster_name}}\n\n时间: {{timestamp}}\n','','1.0','2021-05-28 11:55:02','2021-05-28 11:55:02',0),(2902,'平台中间件实例Ready状态异常','dice_addon','dice_addon_container_ready','ticket','alert','【平台中间件{{addon_id}} Ready状态异常告警】\n','【平台中间件Ready状态异常告警】\n\n中间件: {{addon_id}}\n\n未就绪实例: {{not_ready_value}}\n\n已就绪实例: {{ready_value}}\n\n集群: {{cluster_name}}\n\n时间: {{timestamp}}\n','','1.0','2021-05-28 11:55:02','2021-05-28 11:55:02',0),(2903,'平台中间件实例Ready状态异常','dice_addon','dice_addon_container_ready','email','alert','【平台中间件{{addon_id}} Ready状态异常告警】\n','【平台中间件Ready状态异常告警】\n\n中间件: {{addon_id}}\n\n未就绪实例: {{not_ready_value}}\n\n已就绪实例: {{ready_value}}\n\n集群: {{cluster_name}}\n\n时间: {{timestamp}}\n','','1.0','2021-05-28 11:55:02','2021-05-28 11:55:02',0),(2904,'平台中间件实例Ready状态异常','dice_addon','dice_addon_container_ready','mbox','alert','【平台中间件{{addon_id}} Ready状态异常告警】\n','【平台中间件Ready状态异常告警】\n\n中间件: {{addon_id}}\n\n未就绪实例: {{not_ready_value}}\n\n已就绪实例: {{ready_value}}\n\n集群: {{cluster_name}}\n\n时间: {{timestamp}}\n','','1.0','2021-05-28 11:55:02','2021-05-28 11:55:02',0),(2905,'平台中间件实例Ready状态异常','dice_addon','dice_addon_container_ready','webhook','alert','【平台中间件{{addon_id}} Ready状态异常告警】\n','【平台中间件Ready状态异常告警】\n\n中间件: {{addon_id}}\n\n未就绪实例: {{not_ready_value}}\n\n已就绪实例: {{ready_value}}\n\n集群: {{cluster_name}}\n\n时间: {{timestamp}}\n','','1.0','2021-05-28 11:55:02','2021-05-28 11:55:02',0),(2906,'平台中间件实例Ready状态异常','dice_addon','dice_addon_container_ready','dingding','recover','【平台中间件{{addon_id}} Ready状态异常恢复】\n','【平台中间件Ready状态异常恢复】\n\n中间件: {{addon_id}}\n\n已绪数实例: {{ready_value}}\n\n集群: {{cluster_name}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n','{\"trigger_duration\":\"time:ms\"}','1.0','2021-05-28 11:55:02','2021-05-28 11:55:02',0),(2907,'平台中间件实例Ready状态异常','dice_addon','dice_addon_container_ready','ticket','recover','【平台中间件{{addon_id}} Ready状态异常恢复】\n','【平台中间件Ready状态异常恢复】\n\n中间件: {{addon_id}}\n\n已绪数实例: {{ready_value}}\n\n集群: {{cluster_name}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n','{\"trigger_duration\":\"time:ms\"}','1.0','2021-05-28 11:55:02','2021-05-28 11:55:02',0),(2908,'平台中间件实例Ready状态异常','dice_addon','dice_addon_container_ready','email','recover','【平台中间件{{addon_id}} Ready状态异常恢复】\n','【平台中间件Ready状态异常恢复】\n\n中间件: {{addon_id}}\n\n已绪数实例: {{ready_value}}\n\n集群: {{cluster_name}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n','{\"trigger_duration\":\"time:ms\"}','1.0','2021-05-28 11:55:02','2021-05-28 11:55:02',0),(2909,'平台中间件实例Ready状态异常','dice_addon','dice_addon_container_ready','mbox','recover','【平台中间件{{addon_id}} Ready状态异常恢复】\n','【平台中间件Ready状态异常恢复】\n\n中间件: {{addon_id}}\n\n已绪数实例: {{ready_value}}\n\n集群: {{cluster_name}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n','{\"trigger_duration\":\"time:ms\"}','1.0','2021-05-28 11:55:02','2021-05-28 11:55:02',0),(2910,'平台中间件实例Ready状态异常','dice_addon','dice_addon_container_ready','webhook','recover','【平台中间件{{addon_id}} Ready状态异常恢复】\n','【平台中间件Ready状态异常恢复】\n\n中间件: {{addon_id}}\n\n已绪数实例: {{ready_value}}\n\n集群: {{cluster_name}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n','{\"trigger_duration\":\"time:ms\"}','1.0','2021-05-28 11:55:02','2021-05-28 11:55:02',0),(2911,'平台中间件elasticsearch GC次数异常','dice_addon','dice_addon_elasticsearch_gc_count','dingding','alert','【平台中间件elasticsearch GC次数告警】\n','【平台中间件elasticsearch GC次数告警】\n\n中间件: {{addon_id}}\n\n老年代GC次数: {{gc_collectors_old_collection_count_win_value}}\n\n集群: {{cluster_name}}\n\n机器: {{node_host}}\n\n时间: {{timestamp}}\n\n[查看详情]({{display_url}})\n','','1.0','2021-05-28 11:55:02','2021-05-28 11:55:02',0),(2912,'平台中间件elasticsearch GC次数异常','dice_addon','dice_addon_elasticsearch_gc_count','ticket','alert','【平台中间件elasticsearch GC次数告警】\n','【平台中间件elasticsearch GC次数告警】\n\n中间件: {{addon_id}}\n\n老年代GC次数: {{gc_collectors_old_collection_count_win_value}}\n\n集群: {{cluster_name}}\n\n机器: {{node_host}}\n\n时间: {{timestamp}}\n\n[查看详情]({{display_url}})\n','','1.0','2021-05-28 11:55:02','2021-05-28 11:55:02',0),(2913,'平台中间件elasticsearch GC次数异常','dice_addon','dice_addon_elasticsearch_gc_count','email','alert','【平台中间件elasticsearch GC次数告警】\n','【平台中间件elasticsearch GC次数告警】\n\n中间件: {{addon_id}}\n\n老年代GC次数: {{gc_collectors_old_collection_count_win_value}}\n\n集群: {{cluster_name}}\n\n机器: {{node_host}}\n\n时间: {{timestamp}}\n\n[查看详情]({{display_url}})\n','','1.0','2021-05-28 11:55:02','2021-05-28 11:55:02',0),(2914,'平台中间件elasticsearch GC次数异常','dice_addon','dice_addon_elasticsearch_gc_count','mbox','alert','【平台中间件elasticsearch GC次数告警】\n','【平台中间件elasticsearch GC次数告警】\n\n中间件: {{addon_id}}\n\n老年代GC次数: {{gc_collectors_old_collection_count_win_value}}\n\n集群: {{cluster_name}}\n\n机器: {{node_host}}\n\n时间: {{timestamp}}\n\n[查看详情]({{display_url}})\n','','1.0','2021-05-28 11:55:02','2021-05-28 11:55:02',0),(2915,'平台中间件elasticsearch GC次数异常','dice_addon','dice_addon_elasticsearch_gc_count','webhook','alert','【平台中间件elasticsearch GC次数告警】\n','【平台中间件elasticsearch GC次数告警】\n\n中间件: {{addon_id}}\n\n老年代GC次数: {{gc_collectors_old_collection_count_win_value}}\n\n集群: {{cluster_name}}\n\n机器: {{node_host}}\n\n时间: {{timestamp}}\n\n[查看详情]({{display_url}})\n','','1.0','2021-05-28 11:55:02','2021-05-28 11:55:02',0),(2916,'平台中间件elasticsearch GC次数异常','dice_addon','dice_addon_elasticsearch_gc_count','dingding','recover','【平台中间件elasticsearch GC次数恢复】\n','【平台中间件elasticsearch GC次数恢复】\n\n中间件: {{addon_id}}\n\n老年代GC次数: {{gc_collectors_old_collection_count_win_value}}\n\n集群: {{cluster_name}}\n\n机器: {{node_host}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n','{\"trigger_duration\":\"time:ms\"}','1.0','2021-05-28 11:55:02','2021-05-28 11:55:02',0),(2917,'平台中间件elasticsearch GC次数异常','dice_addon','dice_addon_elasticsearch_gc_count','ticket','recover','【平台中间件elasticsearch GC次数恢复】\n','【平台中间件elasticsearch GC次数恢复】\n\n中间件: {{addon_id}}\n\n老年代GC次数: {{gc_collectors_old_collection_count_win_value}}\n\n集群: {{cluster_name}}\n\n机器: {{node_host}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n','{\"trigger_duration\":\"time:ms\"}','1.0','2021-05-28 11:55:02','2021-05-28 11:55:02',0),(2918,'平台中间件elasticsearch GC次数异常','dice_addon','dice_addon_elasticsearch_gc_count','email','recover','【平台中间件elasticsearch GC次数恢复】\n','【平台中间件elasticsearch GC次数恢复】\n\n中间件: {{addon_id}}\n\n老年代GC次数: {{gc_collectors_old_collection_count_win_value}}\n\n集群: {{cluster_name}}\n\n机器: {{node_host}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n','{\"trigger_duration\":\"time:ms\"}','1.0','2021-05-28 11:55:02','2021-05-28 11:55:02',0),(2919,'平台中间件elasticsearch GC次数异常','dice_addon','dice_addon_elasticsearch_gc_count','mbox','recover','【平台中间件elasticsearch GC次数恢复】\n','【平台中间件elasticsearch GC次数恢复】\n\n中间件: {{addon_id}}\n\n老年代GC次数: {{gc_collectors_old_collection_count_win_value}}\n\n集群: {{cluster_name}}\n\n机器: {{node_host}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n','{\"trigger_duration\":\"time:ms\"}','1.0','2021-05-28 11:55:02','2021-05-28 11:55:02',0),(2920,'平台中间件elasticsearch GC次数异常','dice_addon','dice_addon_elasticsearch_gc_count','webhook','recover','【平台中间件elasticsearch GC次数恢复】\n','【平台中间件elasticsearch GC次数恢复】\n\n中间件: {{addon_id}}\n\n老年代GC次数: {{gc_collectors_old_collection_count_win_value}}\n\n集群: {{cluster_name}}\n\n机器: {{node_host}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n','{\"trigger_duration\":\"time:ms\"}','1.0','2021-05-28 11:55:02','2021-05-28 11:55:02',0),(2921,'平台中间件elasticsearch GC耗时异常','dice_addon','dice_addon_elasticsearch_gc_time','dingding','alert','【平台中间件elasticsearch GC耗时告警】\n','【平台中间件elasticsearch GC耗时告警】\n\n中间件: {{addon_id}}\n\n老年代GC耗时: {{gc_collectors_old_collection_time_in_millis_win_value}}\n\n集群: {{cluster_name}}\n\n机器: {{node_name}}\n\n时间: {{timestamp}}\n\n[查看详情]({{display_url}})\n','{\"gc_collectors_old_collection_time_in_millis_win_value\":\"time:ms\"}','1.0','2021-05-28 11:55:02','2021-05-28 11:55:02',0),(2922,'平台中间件elasticsearch GC耗时异常','dice_addon','dice_addon_elasticsearch_gc_time','ticket','alert','【平台中间件elasticsearch GC耗时告警】\n','【平台中间件elasticsearch GC耗时告警】\n\n中间件: {{addon_id}}\n\n老年代GC耗时: {{gc_collectors_old_collection_time_in_millis_win_value}}\n\n集群: {{cluster_name}}\n\n机器: {{node_name}}\n\n时间: {{timestamp}}\n\n[查看详情]({{display_url}})\n','{\"gc_collectors_old_collection_time_in_millis_win_value\":\"time:ms\"}','1.0','2021-05-28 11:55:02','2021-05-28 11:55:02',0),(2923,'平台中间件elasticsearch GC耗时异常','dice_addon','dice_addon_elasticsearch_gc_time','email','alert','【平台中间件elasticsearch GC耗时告警】\n','【平台中间件elasticsearch GC耗时告警】\n\n中间件: {{addon_id}}\n\n老年代GC耗时: {{gc_collectors_old_collection_time_in_millis_win_value}}\n\n集群: {{cluster_name}}\n\n机器: {{node_name}}\n\n时间: {{timestamp}}\n\n[查看详情]({{display_url}})\n','{\"gc_collectors_old_collection_time_in_millis_win_value\":\"time:ms\"}','1.0','2021-05-28 11:55:02','2021-05-28 11:55:02',0),(2924,'平台中间件elasticsearch GC耗时异常','dice_addon','dice_addon_elasticsearch_gc_time','mbox','alert','【平台中间件elasticsearch GC耗时告警】\n','【平台中间件elasticsearch GC耗时告警】\n\n中间件: {{addon_id}}\n\n老年代GC耗时: {{gc_collectors_old_collection_time_in_millis_win_value}}\n\n集群: {{cluster_name}}\n\n机器: {{node_name}}\n\n时间: {{timestamp}}\n\n[查看详情]({{display_url}})\n','{\"gc_collectors_old_collection_time_in_millis_win_value\":\"time:ms\"}','1.0','2021-05-28 11:55:02','2021-05-28 11:55:02',0),(2925,'平台中间件elasticsearch GC耗时异常','dice_addon','dice_addon_elasticsearch_gc_time','webhook','alert','【平台中间件elasticsearch GC耗时告警】\n','【平台中间件elasticsearch GC耗时告警】\n\n中间件: {{addon_id}}\n\n老年代GC耗时: {{gc_collectors_old_collection_time_in_millis_win_value}}\n\n集群: {{cluster_name}}\n\n机器: {{node_name}}\n\n时间: {{timestamp}}\n\n[查看详情]({{display_url}})\n','{\"gc_collectors_old_collection_time_in_millis_win_value\":\"time:ms\"}','1.0','2021-05-28 11:55:02','2021-05-28 11:55:02',0),(2926,'平台中间件elasticsearch GC耗时异常','dice_addon','dice_addon_elasticsearch_gc_time','dingding','recover','【平台中间件elasticsearch GC耗时恢复】\n','【平台中间件elasticsearch GC耗时恢复】\n\n中间件: {{addon_id}}\n\n老年代GC耗时: {{gc_collectors_old_collection_time_in_millis_win_value}}\n\n集群: {{cluster_name}}\n\n机器: {{node_name}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n','{\"gc_collectors_old_collection_time_in_millis_win_value\":\"time:ms\",\"trigger_duration\":\"time:ms\"}','1.0','2021-05-28 11:55:02','2021-05-28 11:55:02',0),(2927,'平台中间件elasticsearch GC耗时异常','dice_addon','dice_addon_elasticsearch_gc_time','ticket','recover','【平台中间件elasticsearch GC耗时恢复】\n','【平台中间件elasticsearch GC耗时恢复】\n\n中间件: {{addon_id}}\n\n老年代GC耗时: {{gc_collectors_old_collection_time_in_millis_win_value}}\n\n集群: {{cluster_name}}\n\n机器: {{node_name}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n','{\"gc_collectors_old_collection_time_in_millis_win_value\":\"time:ms\",\"trigger_duration\":\"time:ms\"}','1.0','2021-05-28 11:55:02','2021-05-28 11:55:02',0),(2928,'平台中间件elasticsearch GC耗时异常','dice_addon','dice_addon_elasticsearch_gc_time','email','recover','【平台中间件elasticsearch GC耗时恢复】\n','【平台中间件elasticsearch GC耗时恢复】\n\n中间件: {{addon_id}}\n\n老年代GC耗时: {{gc_collectors_old_collection_time_in_millis_win_value}}\n\n集群: {{cluster_name}}\n\n机器: {{node_name}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n','{\"gc_collectors_old_collection_time_in_millis_win_value\":\"time:ms\",\"trigger_duration\":\"time:ms\"}','1.0','2021-05-28 11:55:02','2021-05-28 11:55:02',0),(2929,'平台中间件elasticsearch GC耗时异常','dice_addon','dice_addon_elasticsearch_gc_time','mbox','recover','【平台中间件elasticsearch GC耗时恢复】\n','【平台中间件elasticsearch GC耗时恢复】\n\n中间件: {{addon_id}}\n\n老年代GC耗时: {{gc_collectors_old_collection_time_in_millis_win_value}}\n\n集群: {{cluster_name}}\n\n机器: {{node_name}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n','{\"gc_collectors_old_collection_time_in_millis_win_value\":\"time:ms\",\"trigger_duration\":\"time:ms\"}','1.0','2021-05-28 11:55:02','2021-05-28 11:55:02',0),(2930,'平台中间件elasticsearch GC耗时异常','dice_addon','dice_addon_elasticsearch_gc_time','webhook','recover','【平台中间件elasticsearch GC耗时恢复】\n','【平台中间件elasticsearch GC耗时恢复】\n\n中间件: {{addon_id}}\n\n老年代GC耗时: {{gc_collectors_old_collection_time_in_millis_win_value}}\n\n集群: {{cluster_name}}\n\n机器: {{node_name}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n','{\"gc_collectors_old_collection_time_in_millis_win_value\":\"time:ms\",\"trigger_duration\":\"time:ms\"}','1.0','2021-05-28 11:55:02','2021-05-28 11:55:02',0),(2931,'平台中间件Kafka GC次数异常','dice_addon','dice_addon_kafka_gc_count','dingding','alert','【平台中间件Kafka GC次数告警】\n','【平台中间件Kafka GC次数告警】\n\n中间件: {{addon_id}}\n\n老年代GC次数: {{CollectionCount_win_value}}\n\n集群: {{cluster_name}}\n\n集群: {{node_host}}\n\n时间: {{timestamp}}\n\n[查看详情]({{display_url}})\n','','1.0','2021-05-28 11:55:02','2021-05-28 11:55:02',0),(2932,'平台中间件Kafka GC次数异常','dice_addon','dice_addon_kafka_gc_count','ticket','alert','【平台中间件Kafka GC次数告警】\n','【平台中间件Kafka GC次数告警】\n\n中间件: {{addon_id}}\n\n老年代GC次数: {{CollectionCount_win_value}}\n\n集群: {{cluster_name}}\n\n集群: {{node_host}}\n\n时间: {{timestamp}}\n\n[查看详情]({{display_url}})\n','','1.0','2021-05-28 11:55:02','2021-05-28 11:55:02',0),(2933,'平台中间件Kafka GC次数异常','dice_addon','dice_addon_kafka_gc_count','email','alert','【平台中间件Kafka GC次数告警】\n','【平台中间件Kafka GC次数告警】\n\n中间件: {{addon_id}}\n\n老年代GC次数: {{CollectionCount_win_value}}\n\n集群: {{cluster_name}}\n\n集群: {{node_host}}\n\n时间: {{timestamp}}\n\n[查看详情]({{display_url}})\n','','1.0','2021-05-28 11:55:02','2021-05-28 11:55:02',0),(2934,'平台中间件Kafka GC次数异常','dice_addon','dice_addon_kafka_gc_count','mbox','alert','【平台中间件Kafka GC次数告警】\n','【平台中间件Kafka GC次数告警】\n\n中间件: {{addon_id}}\n\n老年代GC次数: {{CollectionCount_win_value}}\n\n集群: {{cluster_name}}\n\n集群: {{node_host}}\n\n时间: {{timestamp}}\n\n[查看详情]({{display_url}})\n','','1.0','2021-05-28 11:55:02','2021-05-28 11:55:02',0),(2935,'平台中间件Kafka GC次数异常','dice_addon','dice_addon_kafka_gc_count','webhook','alert','【平台中间件Kafka GC次数告警】\n','【平台中间件Kafka GC次数告警】\n\n中间件: {{addon_id}}\n\n老年代GC次数: {{CollectionCount_win_value}}\n\n集群: {{cluster_name}}\n\n集群: {{node_host}}\n\n时间: {{timestamp}}\n\n[查看详情]({{display_url}})\n','','1.0','2021-05-28 11:55:02','2021-05-28 11:55:02',0),(2936,'平台中间件Kafka GC次数异常','dice_addon','dice_addon_kafka_gc_count','dingding','recover','【平台中间件Kafka GC次数恢复】\n','【平台中间件Kafka GC次数恢复】\n\n中间件: {{addon_id}}\n\n老年代GC次数: {{CollectionCount_win_value}}\n\n集群: {{cluster_name}}\n\n机器: {{node_host}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n','{\"trigger_duration\":\"time:ms\"}','1.0','2021-05-28 11:55:02','2021-05-28 11:55:02',0),(2937,'平台中间件Kafka GC次数异常','dice_addon','dice_addon_kafka_gc_count','ticket','recover','【平台中间件Kafka GC次数恢复】\n','【平台中间件Kafka GC次数恢复】\n\n中间件: {{addon_id}}\n\n老年代GC次数: {{CollectionCount_win_value}}\n\n集群: {{cluster_name}}\n\n机器: {{node_host}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n','{\"trigger_duration\":\"time:ms\"}','1.0','2021-05-28 11:55:02','2021-05-28 11:55:02',0),(2938,'平台中间件Kafka GC次数异常','dice_addon','dice_addon_kafka_gc_count','email','recover','【平台中间件Kafka GC次数恢复】\n','【平台中间件Kafka GC次数恢复】\n\n中间件: {{addon_id}}\n\n老年代GC次数: {{CollectionCount_win_value}}\n\n集群: {{cluster_name}}\n\n机器: {{node_host}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n','{\"trigger_duration\":\"time:ms\"}','1.0','2021-05-28 11:55:02','2021-05-28 11:55:02',0),(2939,'平台中间件Kafka GC次数异常','dice_addon','dice_addon_kafka_gc_count','mbox','recover','【平台中间件Kafka GC次数恢复】\n','【平台中间件Kafka GC次数恢复】\n\n中间件: {{addon_id}}\n\n老年代GC次数: {{CollectionCount_win_value}}\n\n集群: {{cluster_name}}\n\n机器: {{node_host}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n','{\"trigger_duration\":\"time:ms\"}','1.0','2021-05-28 11:55:02','2021-05-28 11:55:02',0),(2940,'平台中间件Kafka GC次数异常','dice_addon','dice_addon_kafka_gc_count','webhook','recover','【平台中间件Kafka GC次数恢复】\n','【平台中间件Kafka GC次数恢复】\n\n中间件: {{addon_id}}\n\n老年代GC次数: {{CollectionCount_win_value}}\n\n集群: {{cluster_name}}\n\n机器: {{node_host}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n','{\"trigger_duration\":\"time:ms\"}','1.0','2021-05-28 11:55:02','2021-05-28 11:55:02',0),(2941,'平台中间件kafka GC耗时异常','dice_addon','dice_addon_kafka_gc_time','dingding','alert','【平台中间件kafka GC耗时告警】\n','【平台中间件kafka GC耗时告警】\n\n中间件: {{addon_id}}\n\n老年代GC耗时: {{CollectionTime_win_value}}\n\n集群: {{cluster_name}}\n\n机器: {{node_host}}\n\n时间: {{timestamp}}\n\n[查看详情]({{display_url}})\n','{\"CollectionTime_win_value\":\"time:ms\"}','1.0','2021-05-28 11:55:02','2021-05-28 11:55:02',0),(2942,'平台中间件kafka GC耗时异常','dice_addon','dice_addon_kafka_gc_time','ticket','alert','【平台中间件kafka GC耗时告警】\n','【平台中间件kafka GC耗时告警】\n\n中间件: {{addon_id}}\n\n老年代GC耗时: {{CollectionTime_win_value}}\n\n集群: {{cluster_name}}\n\n机器: {{node_host}}\n\n时间: {{timestamp}}\n\n[查看详情]({{display_url}})\n','{\"CollectionTime_win_value\":\"time:ms\"}','1.0','2021-05-28 11:55:02','2021-05-28 11:55:02',0),(2943,'平台中间件kafka GC耗时异常','dice_addon','dice_addon_kafka_gc_time','email','alert','【平台中间件kafka GC耗时告警】\n','【平台中间件kafka GC耗时告警】\n\n中间件: {{addon_id}}\n\n老年代GC耗时: {{CollectionTime_win_value}}\n\n集群: {{cluster_name}}\n\n机器: {{node_host}}\n\n时间: {{timestamp}}\n\n[查看详情]({{display_url}})\n','{\"CollectionTime_win_value\":\"time:ms\"}','1.0','2021-05-28 11:55:02','2021-05-28 11:55:02',0),(2944,'平台中间件kafka GC耗时异常','dice_addon','dice_addon_kafka_gc_time','mbox','alert','【平台中间件kafka GC耗时告警】\n','【平台中间件kafka GC耗时告警】\n\n中间件: {{addon_id}}\n\n老年代GC耗时: {{CollectionTime_win_value}}\n\n集群: {{cluster_name}}\n\n机器: {{node_host}}\n\n时间: {{timestamp}}\n\n[查看详情]({{display_url}})\n','{\"CollectionTime_win_value\":\"time:ms\"}','1.0','2021-05-28 11:55:02','2021-05-28 11:55:02',0),(2945,'平台中间件kafka GC耗时异常','dice_addon','dice_addon_kafka_gc_time','webhook','alert','【平台中间件kafka GC耗时告警】\n','【平台中间件kafka GC耗时告警】\n\n中间件: {{addon_id}}\n\n老年代GC耗时: {{CollectionTime_win_value}}\n\n集群: {{cluster_name}}\n\n机器: {{node_host}}\n\n时间: {{timestamp}}\n\n[查看详情]({{display_url}})\n','{\"CollectionTime_win_value\":\"time:ms\"}','1.0','2021-05-28 11:55:02','2021-05-28 11:55:02',0),(2946,'平台中间件kafka GC耗时异常','dice_addon','dice_addon_kafka_gc_time','dingding','recover','【平台中间件kafka GC耗时恢复】\n','【平台中间件kafka GC耗时恢复】\n\n中间件: {{addon_id}}\n\n老年代GC耗时: {{CollectionTime_win_value}}\n\n集群: {{cluster_name}}\n\n机器: {{node_host}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n','{\"CollectionTime_win_value\":\"time:ms\",\"trigger_duration\":\"time:ms\"}','1.0','2021-05-28 11:55:02','2021-05-28 11:55:02',0),(2947,'平台中间件kafka GC耗时异常','dice_addon','dice_addon_kafka_gc_time','ticket','recover','【平台中间件kafka GC耗时恢复】\n','【平台中间件kafka GC耗时恢复】\n\n中间件: {{addon_id}}\n\n老年代GC耗时: {{CollectionTime_win_value}}\n\n集群: {{cluster_name}}\n\n机器: {{node_host}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n','{\"CollectionTime_win_value\":\"time:ms\",\"trigger_duration\":\"time:ms\"}','1.0','2021-05-28 11:55:02','2021-05-28 11:55:02',0),(2948,'平台中间件kafka GC耗时异常','dice_addon','dice_addon_kafka_gc_time','email','recover','【平台中间件kafka GC耗时恢复】\n','【平台中间件kafka GC耗时恢复】\n\n中间件: {{addon_id}}\n\n老年代GC耗时: {{CollectionTime_win_value}}\n\n集群: {{cluster_name}}\n\n机器: {{node_host}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n','{\"CollectionTime_win_value\":\"time:ms\",\"trigger_duration\":\"time:ms\"}','1.0','2021-05-28 11:55:02','2021-05-28 11:55:02',0),(2949,'平台中间件kafka GC耗时异常','dice_addon','dice_addon_kafka_gc_time','mbox','recover','【平台中间件kafka GC耗时恢复】\n','【平台中间件kafka GC耗时恢复】\n\n中间件: {{addon_id}}\n\n老年代GC耗时: {{CollectionTime_win_value}}\n\n集群: {{cluster_name}}\n\n机器: {{node_host}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n','{\"CollectionTime_win_value\":\"time:ms\",\"trigger_duration\":\"time:ms\"}','1.0','2021-05-28 11:55:02','2021-05-28 11:55:02',0),(2950,'平台中间件kafka GC耗时异常','dice_addon','dice_addon_kafka_gc_time','webhook','recover','【平台中间件kafka GC耗时恢复】\n','【平台中间件kafka GC耗时恢复】\n\n中间件: {{addon_id}}\n\n老年代GC耗时: {{CollectionTime_win_value}}\n\n集群: {{cluster_name}}\n\n机器: {{node_host}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n','{\"CollectionTime_win_value\":\"time:ms\",\"trigger_duration\":\"time:ms\"}','1.0','2021-05-28 11:55:02','2021-05-28 11:55:02',0),(2951,'平台中间件kafka消费堆积','dice_addon','dice_addon_kafka_lag','dingding','alert','【平台中间件kafka消费堆积告警】\n','【平台中间件kafka消费堆积告警】\n\n中间件: {{addon_id}}\n\n消费者组: {{group}}\n\nTopic: {{topic}}\n\n当前消息堆积: {{lag_avg}}\n\n消费速度: {{consume_rate_per_sec_avg}} /s\n\n生产速度: {{produce_rate_per_sec_avg}} /s\n\n集群: {{cluster_name}}\n\n时间: {{timestamp}}\n\n[查看详情]({{display_url}})\n','','1.0','2021-05-28 11:55:02','2021-05-28 11:55:02',0),(2952,'平台中间件kafka消费堆积','dice_addon','dice_addon_kafka_lag','ticket','alert','【平台中间件kafka消费堆积告警】\n','【平台中间件kafka消费堆积告警】\n\n中间件: {{addon_id}}\n\n消费者组: {{group}}\n\nTopic: {{topic}}\n\n当前消息堆积: {{lag_avg}}\n\n消费速度: {{consume_rate_per_sec_avg}} /s\n\n生产速度: {{produce_rate_per_sec_avg}} /s\n\n集群: {{cluster_name}}\n\n时间: {{timestamp}}\n\n[查看详情]({{display_url}})\n','','1.0','2021-05-28 11:55:02','2021-05-28 11:55:02',0),(2953,'平台中间件kafka消费堆积','dice_addon','dice_addon_kafka_lag','email','alert','【平台中间件kafka消费堆积告警】\n','【平台中间件kafka消费堆积告警】\n\n中间件: {{addon_id}}\n\n消费者组: {{group}}\n\nTopic: {{topic}}\n\n当前消息堆积: {{lag_avg}}\n\n消费速度: {{consume_rate_per_sec_avg}} /s\n\n生产速度: {{produce_rate_per_sec_avg}} /s\n\n集群: {{cluster_name}}\n\n时间: {{timestamp}}\n\n[查看详情]({{display_url}})\n','','1.0','2021-05-28 11:55:02','2021-05-28 11:55:02',0),(2954,'平台中间件kafka消费堆积','dice_addon','dice_addon_kafka_lag','mbox','alert','【平台中间件kafka消费堆积告警】\n','【平台中间件kafka消费堆积告警】\n\n中间件: {{addon_id}}\n\n消费者组: {{group}}\n\nTopic: {{topic}}\n\n当前消息堆积: {{lag_avg}}\n\n消费速度: {{consume_rate_per_sec_avg}} /s\n\n生产速度: {{produce_rate_per_sec_avg}} /s\n\n集群: {{cluster_name}}\n\n时间: {{timestamp}}\n\n[查看详情]({{display_url}})\n','','1.0','2021-05-28 11:55:02','2021-05-28 11:55:02',0),(2955,'平台中间件kafka消费堆积','dice_addon','dice_addon_kafka_lag','webhook','alert','【平台中间件kafka消费堆积告警】\n','【平台中间件kafka消费堆积告警】\n\n中间件: {{addon_id}}\n\n消费者组: {{group}}\n\nTopic: {{topic}}\n\n当前消息堆积: {{lag_avg}}\n\n消费速度: {{consume_rate_per_sec_avg}} /s\n\n生产速度: {{produce_rate_per_sec_avg}} /s\n\n集群: {{cluster_name}}\n\n时间: {{timestamp}}\n\n[查看详情]({{display_url}})\n','','1.0','2021-05-28 11:55:02','2021-05-28 11:55:02',0),(2956,'平台中间件kafka消费堆积','dice_addon','dice_addon_kafka_lag','dingding','recover','【平台中间件kafka消费堆积恢复】\n','【平台中间件kafka消费堆积恢复】\n\n中间件: {{addon_id}}\n\n消费者组: {{group}}\n\nTopic: {{topic}}\n\n当前消息堆积: {{lag_avg}}\n\n集群: {{cluster_name}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n','{\"trigger_duration\":\"time:ms\"}','1.0','2021-05-28 11:55:02','2021-05-28 11:55:02',0),(2957,'平台中间件kafka消费堆积','dice_addon','dice_addon_kafka_lag','ticket','recover','【平台中间件kafka消费堆积恢复】\n','【平台中间件kafka消费堆积恢复】\n\n中间件: {{addon_id}}\n\n消费者组: {{group}}\n\nTopic: {{topic}}\n\n当前消息堆积: {{lag_avg}}\n\n集群: {{cluster_name}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n','{\"trigger_duration\":\"time:ms\"}','1.0','2021-05-28 11:55:02','2021-05-28 11:55:02',0),(2958,'平台中间件kafka消费堆积','dice_addon','dice_addon_kafka_lag','email','recover','【平台中间件kafka消费堆积恢复】\n','【平台中间件kafka消费堆积恢复】\n\n中间件: {{addon_id}}\n\n消费者组: {{group}}\n\nTopic: {{topic}}\n\n当前消息堆积: {{lag_avg}}\n\n集群: {{cluster_name}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n','{\"trigger_duration\":\"time:ms\"}','1.0','2021-05-28 11:55:02','2021-05-28 11:55:02',0),(2959,'平台中间件kafka消费堆积','dice_addon','dice_addon_kafka_lag','mbox','recover','【平台中间件kafka消费堆积恢复】\n','【平台中间件kafka消费堆积恢复】\n\n中间件: {{addon_id}}\n\n消费者组: {{group}}\n\nTopic: {{topic}}\n\n当前消息堆积: {{lag_avg}}\n\n集群: {{cluster_name}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n','{\"trigger_duration\":\"time:ms\"}','1.0','2021-05-28 11:55:02','2021-05-28 11:55:02',0),(2960,'平台中间件kafka消费堆积','dice_addon','dice_addon_kafka_lag','webhook','recover','【平台中间件kafka消费堆积恢复】\n','【平台中间件kafka消费堆积恢复】\n\n中间件: {{addon_id}}\n\n消费者组: {{group}}\n\nTopic: {{topic}}\n\n当前消息堆积: {{lag_avg}}\n\n集群: {{cluster_name}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n','{\"trigger_duration\":\"time:ms\"}','1.0','2021-05-28 11:55:02','2021-05-28 11:55:02',0),(2961,'平台组件实例CPU异常','dice_component','dice_component_container_cpu','dingding','alert','【平台组件{{component_name}} CPU使用率告警】\n','【平台组件CPU使用率告警】\n\n组件: {{component_name}}\n\n使用率: {{cpu_usage_percent_avg}}\n\n限制: {{cpu_limit_value}}核\n\n分配: {{cpu_allocation_value}}核\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n容器ID: {{container_id}}\n\n时间: {{timestamp}}\n','{\"cpu_allocation_value\":\"fraction:2\",\"cpu_limit_value\":\"fraction:2\",\"cpu_usage_percent_avg\":\"percent:2\"}','1.0','2021-05-28 11:55:02','2021-05-28 11:55:02',0),(2962,'平台组件实例CPU异常','dice_component','dice_component_container_cpu','ticket','alert','【平台组件{{component_name}} CPU使用率告警】\n','【平台组件CPU使用率告警】\n\n组件: {{component_name}}\n\n使用率: {{cpu_usage_percent_avg}}\n\n限制: {{cpu_limit_value}}核\n\n分配: {{cpu_allocation_value}}核\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n容器ID: {{container_id}}\n\n时间: {{timestamp}}\n','{\"cpu_allocation_value\":\"fraction:2\",\"cpu_limit_value\":\"fraction:2\",\"cpu_usage_percent_avg\":\"percent:2\"}','1.0','2021-05-28 11:55:02','2021-05-28 11:55:02',0),(2963,'平台组件实例CPU异常','dice_component','dice_component_container_cpu','email','alert','【平台组件{{component_name}} CPU使用率告警】\n','【平台组件CPU使用率告警】\n\n组件: {{component_name}}\n\n使用率: {{cpu_usage_percent_avg}}\n\n限制: {{cpu_limit_value}}核\n\n分配: {{cpu_allocation_value}}核\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n容器ID: {{container_id}}\n\n时间: {{timestamp}}\n','{\"cpu_allocation_value\":\"fraction:2\",\"cpu_limit_value\":\"fraction:2\",\"cpu_usage_percent_avg\":\"percent:2\"}','1.0','2021-05-28 11:55:02','2021-05-28 11:55:02',0),(2964,'平台组件实例CPU异常','dice_component','dice_component_container_cpu','mbox','alert','【平台组件{{component_name}} CPU使用率告警】\n','【平台组件CPU使用率告警】\n\n组件: {{component_name}}\n\n使用率: {{cpu_usage_percent_avg}}\n\n限制: {{cpu_limit_value}}核\n\n分配: {{cpu_allocation_value}}核\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n容器ID: {{container_id}}\n\n时间: {{timestamp}}\n','{\"cpu_allocation_value\":\"fraction:2\",\"cpu_limit_value\":\"fraction:2\",\"cpu_usage_percent_avg\":\"percent:2\"}','1.0','2021-05-28 11:55:02','2021-05-28 11:55:02',0),(2965,'平台组件实例CPU异常','dice_component','dice_component_container_cpu','webhook','alert','【平台组件{{component_name}} CPU使用率告警】\n','【平台组件CPU使用率告警】\n\n组件: {{component_name}}\n\n使用率: {{cpu_usage_percent_avg}}\n\n限制: {{cpu_limit_value}}核\n\n分配: {{cpu_allocation_value}}核\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n容器ID: {{container_id}}\n\n时间: {{timestamp}}\n','{\"cpu_allocation_value\":\"fraction:2\",\"cpu_limit_value\":\"fraction:2\",\"cpu_usage_percent_avg\":\"percent:2\"}','1.0','2021-05-28 11:55:02','2021-05-28 11:55:02',0),(2966,'平台组件实例CPU异常','dice_component','dice_component_container_cpu','dingding','recover','【平台组件{{component_name}} CPU使用率恢复】\n','【平台组件CPU使用率恢复】\n\n组件: {{component_name}}\n\n使用率: {{cpu_usage_percent_avg}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n容器ID: {{container_id}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n','{\"cpu_usage_percent_avg\":\"percent:2\",\"trigger_duration\":\"time:ms\"}','1.0','2021-05-28 11:55:02','2021-05-28 11:55:02',0),(2967,'平台组件实例CPU异常','dice_component','dice_component_container_cpu','ticket','recover','【平台组件{{component_name}} CPU使用率恢复】\n','【平台组件CPU使用率恢复】\n\n组件: {{component_name}}\n\n使用率: {{cpu_usage_percent_avg}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n容器ID: {{container_id}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n','{\"cpu_usage_percent_avg\":\"percent:2\",\"trigger_duration\":\"time:ms\"}','1.0','2021-05-28 11:55:02','2021-05-28 11:55:02',0),(2968,'平台组件实例CPU异常','dice_component','dice_component_container_cpu','email','recover','【平台组件{{component_name}} CPU使用率恢复】\n','【平台组件CPU使用率恢复】\n\n组件: {{component_name}}\n\n使用率: {{cpu_usage_percent_avg}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n容器ID: {{container_id}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n','{\"cpu_usage_percent_avg\":\"percent:2\",\"trigger_duration\":\"time:ms\"}','1.0','2021-05-28 11:55:02','2021-05-28 11:55:02',0),(2969,'平台组件实例CPU异常','dice_component','dice_component_container_cpu','mbox','recover','【平台组件{{component_name}} CPU使用率恢复】\n','【平台组件CPU使用率恢复】\n\n组件: {{component_name}}\n\n使用率: {{cpu_usage_percent_avg}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n容器ID: {{container_id}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n','{\"cpu_usage_percent_avg\":\"percent:2\",\"trigger_duration\":\"time:ms\"}','1.0','2021-05-28 11:55:02','2021-05-28 11:55:02',0),(2970,'平台组件实例CPU异常','dice_component','dice_component_container_cpu','webhook','recover','【平台组件{{component_name}} CPU使用率恢复】\n','【平台组件CPU使用率恢复】\n\n组件: {{component_name}}\n\n使用率: {{cpu_usage_percent_avg}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n容器ID: {{container_id}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n','{\"cpu_usage_percent_avg\":\"percent:2\",\"trigger_duration\":\"time:ms\"}','1.0','2021-05-28 11:55:02','2021-05-28 11:55:02',0),(2971,'平台组件异常退出','dice_component','dice_component_container_exit','dingding','alert','【平台组件{{component_name}}异常退出告警】\n','【平台组件异常退出告警】\n\n组件: {{component_name}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n启动时间: {{started_at_value}}\n\n退出时间: {{finished_at_value}}\n\n退出原因: {{terminated_reason_value}}\n\n时间: {{timestamp}}\n\n[查看详情]({{display_url}})\n','{\"finished_at_value\":\"date\",\"started_at_value\":\"date\"}','1.0','2021-05-28 11:55:02','2021-05-28 11:55:02',0),(2972,'平台组件异常退出','dice_component','dice_component_container_exit','ticket','alert','【平台组件{{component_name}}异常退出告警】\n','【平台组件异常退出告警】\n\n组件: {{component_name}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n启动时间: {{started_at_value}}\n\n退出时间: {{finished_at_value}}\n\n退出原因: {{terminated_reason_value}}\n\n时间: {{timestamp}}\n\n[查看详情]({{display_url}})\n','{\"finished_at_value\":\"date\",\"started_at_value\":\"date\"}','1.0','2021-05-28 11:55:02','2021-05-28 11:55:02',0),(2973,'平台组件异常退出','dice_component','dice_component_container_exit','email','alert','【平台组件{{component_name}}异常退出告警】\n','【平台组件异常退出告警】\n\n组件: {{component_name}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n启动时间: {{started_at_value}}\n\n退出时间: {{finished_at_value}}\n\n退出原因: {{terminated_reason_value}}\n\n时间: {{timestamp}}\n\n[查看详情]({{display_url}})\n','{\"finished_at_value\":\"date\",\"started_at_value\":\"date\"}','1.0','2021-05-28 11:55:02','2021-05-28 11:55:02',0),(2974,'平台组件异常退出','dice_component','dice_component_container_exit','mbox','alert','【平台组件{{component_name}}异常退出告警】\n','【平台组件异常退出告警】\n\n组件: {{component_name}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n启动时间: {{started_at_value}}\n\n退出时间: {{finished_at_value}}\n\n退出原因: {{terminated_reason_value}}\n\n时间: {{timestamp}}\n\n[查看详情]({{display_url}})\n','{\"finished_at_value\":\"date\",\"started_at_value\":\"date\"}','1.0','2021-05-28 11:55:02','2021-05-28 11:55:02',0),(2975,'平台组件异常退出','dice_component','dice_component_container_exit','webhook','alert','【平台组件{{component_name}}异常退出告警】\n','【平台组件异常退出告警】\n\n组件: {{component_name}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n启动时间: {{started_at_value}}\n\n退出时间: {{finished_at_value}}\n\n退出原因: {{terminated_reason_value}}\n\n时间: {{timestamp}}\n\n[查看详情]({{display_url}})\n','{\"finished_at_value\":\"date\",\"started_at_value\":\"date\"}','1.0','2021-05-28 11:55:02','2021-05-28 11:55:02',0),(2976,'平台组件异常退出','dice_component','dice_component_container_exit','dingding','recover','【平台组件{{component_name}}异常退出恢复】\n','【平台组件异常退出恢复】\n\n组件: {{component_name}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n','{\"trigger_duration\":\"time:ms\"}','1.0','2021-05-28 11:55:02','2021-05-28 11:55:02',0),(2977,'平台组件异常退出','dice_component','dice_component_container_exit','ticket','recover','【平台组件{{component_name}}异常退出恢复】\n','【平台组件异常退出恢复】\n\n组件: {{component_name}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n','{\"trigger_duration\":\"time:ms\"}','1.0','2021-05-28 11:55:02','2021-05-28 11:55:02',0),(2978,'平台组件异常退出','dice_component','dice_component_container_exit','email','recover','【平台组件{{component_name}}异常退出恢复】\n','【平台组件异常退出恢复】\n\n组件: {{component_name}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n','{\"trigger_duration\":\"time:ms\"}','1.0','2021-05-28 11:55:02','2021-05-28 11:55:02',0),(2979,'平台组件异常退出','dice_component','dice_component_container_exit','mbox','recover','【平台组件{{component_name}}异常退出恢复】\n','【平台组件异常退出恢复】\n\n组件: {{component_name}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n','{\"trigger_duration\":\"time:ms\"}','1.0','2021-05-28 11:55:02','2021-05-28 11:55:02',0),(2980,'平台组件异常退出','dice_component','dice_component_container_exit','webhook','recover','【平台组件{{component_name}}异常退出恢复】\n','【平台组件异常退出恢复】\n\n组件: {{component_name}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n','{\"trigger_duration\":\"time:ms\"}','1.0','2021-05-28 11:55:02','2021-05-28 11:55:02',0),(2981,'平台组件实例内存异常','dice_component','dice_component_container_mem','dingding','alert','【平台组件{{component_name}}内存使用率告警】\n','【平台组件内存使用率告警】\n\n组件: {{component_name}}\n\n使用率: {{mem_usage_percent_avg}}\n\n使用: {{mem_usage_value}}\n\n限制: {{mem_limit_value}}\n\n分配: {{mem_allocation_value}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n容器ID: {{container_id}}\n\n时间: {{timestamp}}\n','{\"mem_allocation_value\":\"size:byte\",\"mem_limit_value\":\"size:byte\",\"mem_usage_percent_avg\":\"percent:2\",\"mem_usage_value\":\"size:byte\"}','1.0','2021-05-28 11:55:02','2021-05-28 11:55:02',0),(2982,'平台组件实例内存异常','dice_component','dice_component_container_mem','ticket','alert','【平台组件{{component_name}}内存使用率告警】\n','【平台组件内存使用率告警】\n\n组件: {{component_name}}\n\n使用率: {{mem_usage_percent_avg}}\n\n使用: {{mem_usage_value}}\n\n限制: {{mem_limit_value}}\n\n分配: {{mem_allocation_value}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n容器ID: {{container_id}}\n\n时间: {{timestamp}}\n','{\"mem_allocation_value\":\"size:byte\",\"mem_limit_value\":\"size:byte\",\"mem_usage_percent_avg\":\"percent:2\",\"mem_usage_value\":\"size:byte\"}','1.0','2021-05-28 11:55:02','2021-05-28 11:55:02',0),(2983,'平台组件实例内存异常','dice_component','dice_component_container_mem','email','alert','【平台组件{{component_name}}内存使用率告警】\n','【平台组件内存使用率告警】\n\n组件: {{component_name}}\n\n使用率: {{mem_usage_percent_avg}}\n\n使用: {{mem_usage_value}}\n\n限制: {{mem_limit_value}}\n\n分配: {{mem_allocation_value}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n容器ID: {{container_id}}\n\n时间: {{timestamp}}\n','{\"mem_allocation_value\":\"size:byte\",\"mem_limit_value\":\"size:byte\",\"mem_usage_percent_avg\":\"percent:2\",\"mem_usage_value\":\"size:byte\"}','1.0','2021-05-28 11:55:02','2021-05-28 11:55:02',0),(2984,'平台组件实例内存异常','dice_component','dice_component_container_mem','mbox','alert','【平台组件{{component_name}}内存使用率告警】\n','【平台组件内存使用率告警】\n\n组件: {{component_name}}\n\n使用率: {{mem_usage_percent_avg}}\n\n使用: {{mem_usage_value}}\n\n限制: {{mem_limit_value}}\n\n分配: {{mem_allocation_value}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n容器ID: {{container_id}}\n\n时间: {{timestamp}}\n','{\"mem_allocation_value\":\"size:byte\",\"mem_limit_value\":\"size:byte\",\"mem_usage_percent_avg\":\"percent:2\",\"mem_usage_value\":\"size:byte\"}','1.0','2021-05-28 11:55:02','2021-05-28 11:55:02',0),(2985,'平台组件实例内存异常','dice_component','dice_component_container_mem','webhook','alert','【平台组件{{component_name}}内存使用率告警】\n','【平台组件内存使用率告警】\n\n组件: {{component_name}}\n\n使用率: {{mem_usage_percent_avg}}\n\n使用: {{mem_usage_value}}\n\n限制: {{mem_limit_value}}\n\n分配: {{mem_allocation_value}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n容器ID: {{container_id}}\n\n时间: {{timestamp}}\n','{\"mem_allocation_value\":\"size:byte\",\"mem_limit_value\":\"size:byte\",\"mem_usage_percent_avg\":\"percent:2\",\"mem_usage_value\":\"size:byte\"}','1.0','2021-05-28 11:55:02','2021-05-28 11:55:02',0),(2986,'平台组件实例内存异常','dice_component','dice_component_container_mem','dingding','recover','【平台组件{{component_name}}内存使用率恢复】\n','【平台组件内存使用率恢复】\n\n组件: {{component_name}}\n\n使用率: {{mem_usage_percent_avg}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n容器ID: {{container_id}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n','{\"trigger_duration\":\"time:ms\",\"usage_percent_avg\":\"percent:2\"}','1.0','2021-05-28 11:55:02','2021-05-28 11:55:02',0),(2987,'平台组件实例内存异常','dice_component','dice_component_container_mem','ticket','recover','【平台组件{{component_name}}内存使用率恢复】\n','【平台组件内存使用率恢复】\n\n组件: {{component_name}}\n\n使用率: {{mem_usage_percent_avg}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n容器ID: {{container_id}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n','{\"trigger_duration\":\"time:ms\",\"usage_percent_avg\":\"percent:2\"}','1.0','2021-05-28 11:55:02','2021-05-28 11:55:02',0),(2988,'平台组件实例内存异常','dice_component','dice_component_container_mem','email','recover','【平台组件{{component_name}}内存使用率恢复】\n','【平台组件内存使用率恢复】\n\n组件: {{component_name}}\n\n使用率: {{mem_usage_percent_avg}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n容器ID: {{container_id}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n','{\"trigger_duration\":\"time:ms\",\"usage_percent_avg\":\"percent:2\"}','1.0','2021-05-28 11:55:02','2021-05-28 11:55:02',0),(2989,'平台组件实例内存异常','dice_component','dice_component_container_mem','mbox','recover','【平台组件{{component_name}}内存使用率恢复】\n','【平台组件内存使用率恢复】\n\n组件: {{component_name}}\n\n使用率: {{mem_usage_percent_avg}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n容器ID: {{container_id}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n','{\"trigger_duration\":\"time:ms\",\"usage_percent_avg\":\"percent:2\"}','1.0','2021-05-28 11:55:02','2021-05-28 11:55:02',0),(2990,'平台组件实例内存异常','dice_component','dice_component_container_mem','webhook','recover','【平台组件{{component_name}}内存使用率恢复】\n','【平台组件内存使用率恢复】\n\n组件: {{component_name}}\n\n使用率: {{mem_usage_percent_avg}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n容器ID: {{container_id}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n','{\"trigger_duration\":\"time:ms\",\"usage_percent_avg\":\"percent:2\"}','1.0','2021-05-28 11:55:02','2021-05-28 11:55:02',0),(2991,'平台组件实例Ready状态异常','dice_component','dice_component_container_ready','dingding','alert','【平台组件{{component_name}} Ready状态异常告警】\n','【平台组件Ready状态异常告警】\n\n组件: {{component_name}}\n\n未就绪实例: {{not_ready_value}}\n\n已就绪实例: {{ready_value}}\n\n集群: {{cluster_name}}\n\n时间: {{timestamp}}\n','','1.0','2021-05-28 11:55:02','2021-05-28 11:55:02',0),(2992,'平台组件实例Ready状态异常','dice_component','dice_component_container_ready','ticket','alert','【平台组件{{component_name}} Ready状态异常告警】\n','【平台组件Ready状态异常告警】\n\n组件: {{component_name}}\n\n未就绪实例: {{not_ready_value}}\n\n已就绪实例: {{ready_value}}\n\n集群: {{cluster_name}}\n\n时间: {{timestamp}}\n','','1.0','2021-05-28 11:55:02','2021-05-28 11:55:02',0),(2993,'平台组件实例Ready状态异常','dice_component','dice_component_container_ready','email','alert','【平台组件{{component_name}} Ready状态异常告警】\n','【平台组件Ready状态异常告警】\n\n组件: {{component_name}}\n\n未就绪实例: {{not_ready_value}}\n\n已就绪实例: {{ready_value}}\n\n集群: {{cluster_name}}\n\n时间: {{timestamp}}\n','','1.0','2021-05-28 11:55:02','2021-05-28 11:55:02',0),(2994,'平台组件实例Ready状态异常','dice_component','dice_component_container_ready','mbox','alert','【平台组件{{component_name}} Ready状态异常告警】\n','【平台组件Ready状态异常告警】\n\n组件: {{component_name}}\n\n未就绪实例: {{not_ready_value}}\n\n已就绪实例: {{ready_value}}\n\n集群: {{cluster_name}}\n\n时间: {{timestamp}}\n','','1.0','2021-05-28 11:55:02','2021-05-28 11:55:02',0),(2995,'平台组件实例Ready状态异常','dice_component','dice_component_container_ready','webhook','alert','【平台组件{{component_name}} Ready状态异常告警】\n','【平台组件Ready状态异常告警】\n\n组件: {{component_name}}\n\n未就绪实例: {{not_ready_value}}\n\n已就绪实例: {{ready_value}}\n\n集群: {{cluster_name}}\n\n时间: {{timestamp}}\n','','1.0','2021-05-28 11:55:02','2021-05-28 11:55:02',0),(2996,'平台组件实例Ready状态异常','dice_component','dice_component_container_ready','dingding','recover','【平台组件{{component_name}} Ready状态异常恢复】\n','【平台组件Ready状态异常恢复】\n\n组件: {{component_name}}\n\n已绪数实例: {{ready_value}}\n\n集群: {{cluster_name}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n','{\"trigger_duration\":\"time:ms\"}','1.0','2021-05-28 11:55:02','2021-05-28 11:55:02',0),(2997,'平台组件实例Ready状态异常','dice_component','dice_component_container_ready','ticket','recover','【平台组件{{component_name}} Ready状态异常恢复】\n','【平台组件Ready状态异常恢复】\n\n组件: {{component_name}}\n\n已绪数实例: {{ready_value}}\n\n集群: {{cluster_name}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n','{\"trigger_duration\":\"time:ms\"}','1.0','2021-05-28 11:55:02','2021-05-28 11:55:02',0),(2998,'平台组件实例Ready状态异常','dice_component','dice_component_container_ready','email','recover','【平台组件{{component_name}} Ready状态异常恢复】\n','【平台组件Ready状态异常恢复】\n\n组件: {{component_name}}\n\n已绪数实例: {{ready_value}}\n\n集群: {{cluster_name}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n','{\"trigger_duration\":\"time:ms\"}','1.0','2021-05-28 11:55:02','2021-05-28 11:55:02',0),(2999,'平台组件实例Ready状态异常','dice_component','dice_component_container_ready','mbox','recover','【平台组件{{component_name}} Ready状态异常恢复】\n','【平台组件Ready状态异常恢复】\n\n组件: {{component_name}}\n\n已绪数实例: {{ready_value}}\n\n集群: {{cluster_name}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n','{\"trigger_duration\":\"time:ms\"}','1.0','2021-05-28 11:55:02','2021-05-28 11:55:02',0),(3000,'平台组件实例Ready状态异常','dice_component','dice_component_container_ready','webhook','recover','【平台组件{{component_name}} Ready状态异常恢复】\n','【平台组件Ready状态异常恢复】\n\n组件: {{component_name}}\n\n已绪数实例: {{ready_value}}\n\n集群: {{cluster_name}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n','{\"trigger_duration\":\"time:ms\"}','1.0','2021-05-28 11:55:02','2021-05-28 11:55:02',0),(3001,'平台组件Flink任务checkpoint延迟异常告警','dice_component','dice_component_flink_checkpoint_duration','dingding','alert','【平台组件Flink任务checkpoint延迟异常告警】\n','【平台组件Flink任务checkpoint延迟异常告警】\n\n延迟: {{lastCheckpointDuration_value}}ms\n\n任务ID： {{job_id}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n时间: {{timestamp}}','{}','1.0','2021-05-28 11:55:02','2021-05-28 11:55:02',0),(3002,'平台组件Flink任务checkpoint延迟异常告警','dice_component','dice_component_flink_checkpoint_duration','ticket','alert','【平台组件Flink任务checkpoint延迟异常告警】\n','【平台组件Flink任务checkpoint延迟异常告警】\n\n延迟: {{lastCheckpointDuration_value}}ms\n\n任务ID： {{job_id}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n时间: {{timestamp}}','{}','1.0','2021-05-28 11:55:02','2021-05-28 11:55:02',0),(3003,'平台组件Flink任务checkpoint延迟异常告警','dice_component','dice_component_flink_checkpoint_duration','email','alert','【平台组件Flink任务checkpoint延迟异常告警】\n','【平台组件Flink任务checkpoint延迟异常告警】\n\n延迟: {{lastCheckpointDuration_value}}ms\n\n任务ID： {{job_id}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n时间: {{timestamp}}','{}','1.0','2021-05-28 11:55:02','2021-05-28 11:55:02',0),(3004,'平台组件Flink任务checkpoint延迟异常告警','dice_component','dice_component_flink_checkpoint_duration','mbox','alert','【平台组件Flink任务checkpoint延迟异常告警】\n','【平台组件Flink任务checkpoint延迟异常告警】\n\n延迟: {{lastCheckpointDuration_value}}ms\n\n任务ID： {{job_id}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n时间: {{timestamp}}','{}','1.0','2021-05-28 11:55:02','2021-05-28 11:55:02',0),(3005,'平台组件Flink任务checkpoint延迟异常告警','dice_component','dice_component_flink_checkpoint_duration','webhook','alert','【平台组件Flink任务checkpoint延迟异常告警】\n','【平台组件Flink任务checkpoint延迟异常告警】\n\n延迟: {{lastCheckpointDuration_value}}ms\n\n任务ID： {{job_id}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n时间: {{timestamp}}','{}','1.0','2021-05-28 11:55:02','2021-05-28 11:55:02',0),(3006,'平台组件Flink吞吐量异常告警','dice_component','dice_component_flink_throughput','dingding','alert','【平台组件Flink吞吐量异常告警】\n','【平台组件Flink吞吐量异常告警】\n\noperator每秒输出量: {{numRecordsOutPerSecond_count_value}}\n\n任务ID： {{job_id}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n时间: {{timestamp}}','{}','1.0','2021-05-28 11:55:02','2021-05-28 11:55:02',0),(3007,'平台组件Flink吞吐量异常告警','dice_component','dice_component_flink_throughput','ticket','alert','【平台组件Flink吞吐量异常告警】\n','【平台组件Flink吞吐量异常告警】\n\noperator每秒输出量: {{numRecordsOutPerSecond_count_value}}\n\n任务ID： {{job_id}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n时间: {{timestamp}}','{}','1.0','2021-05-28 11:55:02','2021-05-28 11:55:02',0),(3008,'平台组件Flink吞吐量异常告警','dice_component','dice_component_flink_throughput','email','alert','【平台组件Flink吞吐量异常告警】\n','【平台组件Flink吞吐量异常告警】\n\noperator每秒输出量: {{numRecordsOutPerSecond_count_value}}\n\n任务ID： {{job_id}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n时间: {{timestamp}}','{}','1.0','2021-05-28 11:55:02','2021-05-28 11:55:02',0),(3009,'平台组件Flink吞吐量异常告警','dice_component','dice_component_flink_throughput','mbox','alert','【平台组件Flink吞吐量异常告警】\n','【平台组件Flink吞吐量异常告警】\n\noperator每秒输出量: {{numRecordsOutPerSecond_count_value}}\n\n任务ID： {{job_id}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n时间: {{timestamp}}','{}','1.0','2021-05-28 11:55:02','2021-05-28 11:55:02',0),(3010,'平台组件Flink吞吐量异常告警','dice_component','dice_component_flink_throughput','webhook','alert','【平台组件Flink吞吐量异常告警】\n','【平台组件Flink吞吐量异常告警】\n\noperator每秒输出量: {{numRecordsOutPerSecond_count_value}}\n\n任务ID： {{job_id}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n时间: {{timestamp}}','{}','1.0','2021-05-28 11:55:02','2021-05-28 11:55:02',0),(3011,'平台组件网盘不可用告警','dice_component','dice_component_gfs_status','dingding','alert','【平台组件网盘疑似不可用告警】\n','【平台组件网盘疑似不可用告警】\n\n组件: {{component_name}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n时间: {{timestamp}}','{}','1.0','2021-05-28 11:55:02','2021-05-28 11:55:02',0),(3012,'平台组件网盘不可用告警','dice_component','dice_component_gfs_status','ticket','alert','【平台组件网盘疑似不可用告警】\n','【平台组件网盘疑似不可用告警】\n\n组件: {{component_name}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n时间: {{timestamp}}','{}','1.0','2021-05-28 11:55:02','2021-05-28 11:55:02',0),(3013,'平台组件网盘不可用告警','dice_component','dice_component_gfs_status','email','alert','【平台组件网盘疑似不可用告警】\n','【平台组件网盘疑似不可用告警】\n\n组件: {{component_name}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n时间: {{timestamp}}','{}','1.0','2021-05-28 11:55:02','2021-05-28 11:55:02',0),(3014,'平台组件网盘不可用告警','dice_component','dice_component_gfs_status','mbox','alert','【平台组件网盘疑似不可用告警】\n','【平台组件网盘疑似不可用告警】\n\n组件: {{component_name}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n时间: {{timestamp}}','{}','1.0','2021-05-28 11:55:02','2021-05-28 11:55:02',0),(3015,'平台组件网盘不可用告警','dice_component','dice_component_gfs_status','webhook','alert','【平台组件网盘疑似不可用告警】\n','【平台组件网盘疑似不可用告警】\n\n组件: {{component_name}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n时间: {{timestamp}}','{}','1.0','2021-05-28 11:55:02','2021-05-28 11:55:02',0),(3016,'kubernetes组件实例CPU异常','kubernetes','kubernetes_instance_cpu','dingding','alert','【{{cluster_name}}集群kubernetes组件{{pod_name}} CPU使用率告警】\n','【kubernetes组件CPU使用率告警】\n\nPod: {{pod_name}}\n\n使用率: {{cpu_usage_percent_avg}}\n\n限制: {{cpu_limit_value}}核\n\n分配: {{cpu_allocation_value}}核\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n容器ID: {{container_id}}\n\n时间: {{timestamp}}\n','{\"cpu_allocation_value\":\"fraction:2\",\"cpu_limit_value\":\"fraction:2\",\"cpu_usage_percent_avg\":\"percent:2\"}','1.0','2021-05-28 11:55:02','2021-05-28 11:55:02',0),(3017,'kubernetes组件实例CPU异常','kubernetes','kubernetes_instance_cpu','ticket','alert','【{{cluster_name}}集群kubernetes组件{{pod_name}} CPU使用率告警】\n','【kubernetes组件CPU使用率告警】\n\nPod: {{pod_name}}\n\n使用率: {{cpu_usage_percent_avg}}\n\n限制: {{cpu_limit_value}}核\n\n分配: {{cpu_allocation_value}}核\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n容器ID: {{container_id}}\n\n时间: {{timestamp}}\n','{\"cpu_allocation_value\":\"fraction:2\",\"cpu_limit_value\":\"fraction:2\",\"cpu_usage_percent_avg\":\"percent:2\"}','1.0','2021-05-28 11:55:02','2021-05-28 11:55:02',0),(3018,'kubernetes组件实例CPU异常','kubernetes','kubernetes_instance_cpu','email','alert','【{{cluster_name}}集群kubernetes组件{{pod_name}} CPU使用率告警】\n','【kubernetes组件CPU使用率告警】\n\nPod: {{pod_name}}\n\n使用率: {{cpu_usage_percent_avg}}\n\n限制: {{cpu_limit_value}}核\n\n分配: {{cpu_allocation_value}}核\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n容器ID: {{container_id}}\n\n时间: {{timestamp}}\n','{\"cpu_allocation_value\":\"fraction:2\",\"cpu_limit_value\":\"fraction:2\",\"cpu_usage_percent_avg\":\"percent:2\"}','1.0','2021-05-28 11:55:02','2021-05-28 11:55:02',0),(3019,'kubernetes组件实例CPU异常','kubernetes','kubernetes_instance_cpu','mbox','alert','【{{cluster_name}}集群kubernetes组件{{pod_name}} CPU使用率告警】\n','【kubernetes组件CPU使用率告警】\n\nPod: {{pod_name}}\n\n使用率: {{cpu_usage_percent_avg}}\n\n限制: {{cpu_limit_value}}核\n\n分配: {{cpu_allocation_value}}核\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n容器ID: {{container_id}}\n\n时间: {{timestamp}}\n','{\"cpu_allocation_value\":\"fraction:2\",\"cpu_limit_value\":\"fraction:2\",\"cpu_usage_percent_avg\":\"percent:2\"}','1.0','2021-05-28 11:55:02','2021-05-28 11:55:02',0),(3020,'kubernetes组件实例CPU异常','kubernetes','kubernetes_instance_cpu','webhook','alert','【{{cluster_name}}集群kubernetes组件{{pod_name}} CPU使用率告警】\n','【kubernetes组件CPU使用率告警】\n\nPod: {{pod_name}}\n\n使用率: {{cpu_usage_percent_avg}}\n\n限制: {{cpu_limit_value}}核\n\n分配: {{cpu_allocation_value}}核\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n容器ID: {{container_id}}\n\n时间: {{timestamp}}\n','{\"cpu_allocation_value\":\"fraction:2\",\"cpu_limit_value\":\"fraction:2\",\"cpu_usage_percent_avg\":\"percent:2\"}','1.0','2021-05-28 11:55:02','2021-05-28 11:55:02',0),(3021,'kubernetes组件实例CPU异常','kubernetes','kubernetes_instance_cpu','dingding','recover','【{{cluster_name}}集群kubernetes组件{{pod_name}} CPU使用率恢复】\n','【kubernetes组件CPU使用率恢复】\n\nPod: {{pod_name}}\n\n使用率: {{cpu_usage_percent_avg}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n容器ID: {{container_id}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n','{\"cpu_usage_percent_avg\":\"percent:2\",\"trigger_duration\":\"time:ms\"}','1.0','2021-05-28 11:55:02','2021-05-28 11:55:02',0),(3022,'kubernetes组件实例CPU异常','kubernetes','kubernetes_instance_cpu','ticket','recover','【{{cluster_name}}集群kubernetes组件{{pod_name}} CPU使用率恢复】\n','【kubernetes组件CPU使用率恢复】\n\nPod: {{pod_name}}\n\n使用率: {{cpu_usage_percent_avg}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n容器ID: {{container_id}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n','{\"cpu_usage_percent_avg\":\"percent:2\",\"trigger_duration\":\"time:ms\"}','1.0','2021-05-28 11:55:02','2021-05-28 11:55:02',0),(3023,'kubernetes组件实例CPU异常','kubernetes','kubernetes_instance_cpu','email','recover','【{{cluster_name}}集群kubernetes组件{{pod_name}} CPU使用率恢复】\n','【kubernetes组件CPU使用率恢复】\n\nPod: {{pod_name}}\n\n使用率: {{cpu_usage_percent_avg}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n容器ID: {{container_id}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n','{\"cpu_usage_percent_avg\":\"percent:2\",\"trigger_duration\":\"time:ms\"}','1.0','2021-05-28 11:55:02','2021-05-28 11:55:02',0),(3024,'kubernetes组件实例CPU异常','kubernetes','kubernetes_instance_cpu','mbox','recover','【{{cluster_name}}集群kubernetes组件{{pod_name}} CPU使用率恢复】\n','【kubernetes组件CPU使用率恢复】\n\nPod: {{pod_name}}\n\n使用率: {{cpu_usage_percent_avg}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n容器ID: {{container_id}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n','{\"cpu_usage_percent_avg\":\"percent:2\",\"trigger_duration\":\"time:ms\"}','1.0','2021-05-28 11:55:02','2021-05-28 11:55:02',0),(3025,'kubernetes组件实例CPU异常','kubernetes','kubernetes_instance_cpu','webhook','recover','【{{cluster_name}}集群kubernetes组件{{pod_name}} CPU使用率恢复】\n','【kubernetes组件CPU使用率恢复】\n\nPod: {{pod_name}}\n\n使用率: {{cpu_usage_percent_avg}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n容器ID: {{container_id}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n','{\"cpu_usage_percent_avg\":\"percent:2\",\"trigger_duration\":\"time:ms\"}','1.0','2021-05-28 11:55:02','2021-05-28 11:55:02',0),(3026,'kubernetes组件异常退出','kubernetes','kubernetes_instance_exit','dingding','alert','【{{cluster_name}}集群kubernetes组件{{pod_name}}异常退出告警】\n','【kubernetes组件异常退出告警】\n\n组件: {{pod_name}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n启动时间: {{started_at_value}}\n\n退出时间: {{finished_at_value}}\n\n退出原因: {{terminated_reason_value}}\n\n时间: {{timestamp}}\n\n[查看详情]({{display_url}})\n','{\"finished_at_value\":\"date\",\"started_at_value\":\"date\"}','1.0','2021-05-28 11:55:02','2021-05-28 11:55:02',0),(3027,'kubernetes组件异常退出','kubernetes','kubernetes_instance_exit','ticket','alert','【{{cluster_name}}集群kubernetes组件{{pod_name}}异常退出告警】\n','【kubernetes组件异常退出告警】\n\n组件: {{pod_name}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n启动时间: {{started_at_value}}\n\n退出时间: {{finished_at_value}}\n\n退出原因: {{terminated_reason_value}}\n\n时间: {{timestamp}}\n\n[查看详情]({{display_url}})\n','{\"finished_at_value\":\"date\",\"started_at_value\":\"date\"}','1.0','2021-05-28 11:55:02','2021-05-28 11:55:02',0),(3028,'kubernetes组件异常退出','kubernetes','kubernetes_instance_exit','email','alert','【{{cluster_name}}集群kubernetes组件{{pod_name}}异常退出告警】\n','【kubernetes组件异常退出告警】\n\n组件: {{pod_name}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n启动时间: {{started_at_value}}\n\n退出时间: {{finished_at_value}}\n\n退出原因: {{terminated_reason_value}}\n\n时间: {{timestamp}}\n\n[查看详情]({{display_url}})\n','{\"finished_at_value\":\"date\",\"started_at_value\":\"date\"}','1.0','2021-05-28 11:55:02','2021-05-28 11:55:02',0),(3029,'kubernetes组件异常退出','kubernetes','kubernetes_instance_exit','mbox','alert','【{{cluster_name}}集群kubernetes组件{{pod_name}}异常退出告警】\n','【kubernetes组件异常退出告警】\n\n组件: {{pod_name}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n启动时间: {{started_at_value}}\n\n退出时间: {{finished_at_value}}\n\n退出原因: {{terminated_reason_value}}\n\n时间: {{timestamp}}\n\n[查看详情]({{display_url}})\n','{\"finished_at_value\":\"date\",\"started_at_value\":\"date\"}','1.0','2021-05-28 11:55:02','2021-05-28 11:55:02',0),(3030,'kubernetes组件异常退出','kubernetes','kubernetes_instance_exit','webhook','alert','【{{cluster_name}}集群kubernetes组件{{pod_name}}异常退出告警】\n','【kubernetes组件异常退出告警】\n\n组件: {{pod_name}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n启动时间: {{started_at_value}}\n\n退出时间: {{finished_at_value}}\n\n退出原因: {{terminated_reason_value}}\n\n时间: {{timestamp}}\n\n[查看详情]({{display_url}})\n','{\"finished_at_value\":\"date\",\"started_at_value\":\"date\"}','1.0','2021-05-28 11:55:02','2021-05-28 11:55:02',0),(3031,'kubernetes组件异常退出','kubernetes','kubernetes_instance_exit','dingding','recover','【{{cluster_name}}集群kubernetes组件{{pod_name}}异常退出恢复】\n','【kubernetes组件异常退出恢复】\n\n组件: {{pod_name}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n','{\"trigger_duration\":\"time:ms\"}','1.0','2021-05-28 11:55:02','2021-05-28 11:55:02',0),(3032,'kubernetes组件异常退出','kubernetes','kubernetes_instance_exit','ticket','recover','【{{cluster_name}}集群kubernetes组件{{pod_name}}异常退出恢复】\n','【kubernetes组件异常退出恢复】\n\n组件: {{pod_name}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n','{\"trigger_duration\":\"time:ms\"}','1.0','2021-05-28 11:55:02','2021-05-28 11:55:02',0),(3033,'kubernetes组件异常退出','kubernetes','kubernetes_instance_exit','email','recover','【{{cluster_name}}集群kubernetes组件{{pod_name}}异常退出恢复】\n','【kubernetes组件异常退出恢复】\n\n组件: {{pod_name}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n','{\"trigger_duration\":\"time:ms\"}','1.0','2021-05-28 11:55:02','2021-05-28 11:55:02',0),(3034,'kubernetes组件异常退出','kubernetes','kubernetes_instance_exit','mbox','recover','【{{cluster_name}}集群kubernetes组件{{pod_name}}异常退出恢复】\n','【kubernetes组件异常退出恢复】\n\n组件: {{pod_name}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n','{\"trigger_duration\":\"time:ms\"}','1.0','2021-05-28 11:55:02','2021-05-28 11:55:02',0),(3035,'kubernetes组件异常退出','kubernetes','kubernetes_instance_exit','webhook','recover','【{{cluster_name}}集群kubernetes组件{{pod_name}}异常退出恢复】\n','【kubernetes组件异常退出恢复】\n\n组件: {{pod_name}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n','{\"trigger_duration\":\"time:ms\"}','1.0','2021-05-28 11:55:02','2021-05-28 11:55:02',0),(3036,'kubernetes组件实例内存异常','kubernetes','kubernetes_instance_mem','dingding','alert','【{{cluster_name}}集群kubernetes组件{{pod_name}}内存使用率告警】\n','【kubernetes组件内存使用率告警】\n\nPod: {{pod_name}}\n\n使用率: {{mem_usage_percent_avg}}\n\n使用: {{mem_usage_value}}\n\n限制: {{mem_limit_value}}\n\n分配: {{mem_allocation_value}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n容器ID: {{container_id}}\n\n时间: {{timestamp}}\n','{\"mem_allocation_value\":\"size:byte\",\"mem_limit_value\":\"size:byte\",\"mem_usage_percent_avg\":\"percent:2\",\"mem_usage_value\":\"size:byte\"}','1.0','2021-05-28 11:55:02','2021-05-28 11:55:02',0),(3037,'kubernetes组件实例内存异常','kubernetes','kubernetes_instance_mem','ticket','alert','【{{cluster_name}}集群kubernetes组件{{pod_name}}内存使用率告警】\n','【kubernetes组件内存使用率告警】\n\nPod: {{pod_name}}\n\n使用率: {{mem_usage_percent_avg}}\n\n使用: {{mem_usage_value}}\n\n限制: {{mem_limit_value}}\n\n分配: {{mem_allocation_value}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n容器ID: {{container_id}}\n\n时间: {{timestamp}}\n','{\"mem_allocation_value\":\"size:byte\",\"mem_limit_value\":\"size:byte\",\"mem_usage_percent_avg\":\"percent:2\",\"mem_usage_value\":\"size:byte\"}','1.0','2021-05-28 11:55:02','2021-05-28 11:55:02',0),(3038,'kubernetes组件实例内存异常','kubernetes','kubernetes_instance_mem','email','alert','【{{cluster_name}}集群kubernetes组件{{pod_name}}内存使用率告警】\n','【kubernetes组件内存使用率告警】\n\nPod: {{pod_name}}\n\n使用率: {{mem_usage_percent_avg}}\n\n使用: {{mem_usage_value}}\n\n限制: {{mem_limit_value}}\n\n分配: {{mem_allocation_value}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n容器ID: {{container_id}}\n\n时间: {{timestamp}}\n','{\"mem_allocation_value\":\"size:byte\",\"mem_limit_value\":\"size:byte\",\"mem_usage_percent_avg\":\"percent:2\",\"mem_usage_value\":\"size:byte\"}','1.0','2021-05-28 11:55:02','2021-05-28 11:55:02',0),(3039,'kubernetes组件实例内存异常','kubernetes','kubernetes_instance_mem','mbox','alert','【{{cluster_name}}集群kubernetes组件{{pod_name}}内存使用率告警】\n','【kubernetes组件内存使用率告警】\n\nPod: {{pod_name}}\n\n使用率: {{mem_usage_percent_avg}}\n\n使用: {{mem_usage_value}}\n\n限制: {{mem_limit_value}}\n\n分配: {{mem_allocation_value}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n容器ID: {{container_id}}\n\n时间: {{timestamp}}\n','{\"mem_allocation_value\":\"size:byte\",\"mem_limit_value\":\"size:byte\",\"mem_usage_percent_avg\":\"percent:2\",\"mem_usage_value\":\"size:byte\"}','1.0','2021-05-28 11:55:02','2021-05-28 11:55:02',0),(3040,'kubernetes组件实例内存异常','kubernetes','kubernetes_instance_mem','webhook','alert','【{{cluster_name}}集群kubernetes组件{{pod_name}}内存使用率告警】\n','【kubernetes组件内存使用率告警】\n\nPod: {{pod_name}}\n\n使用率: {{mem_usage_percent_avg}}\n\n使用: {{mem_usage_value}}\n\n限制: {{mem_limit_value}}\n\n分配: {{mem_allocation_value}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n容器ID: {{container_id}}\n\n时间: {{timestamp}}\n','{\"mem_allocation_value\":\"size:byte\",\"mem_limit_value\":\"size:byte\",\"mem_usage_percent_avg\":\"percent:2\",\"mem_usage_value\":\"size:byte\"}','1.0','2021-05-28 11:55:02','2021-05-28 11:55:02',0),(3041,'kubernetes组件实例内存异常','kubernetes','kubernetes_instance_mem','dingding','recover','【{{cluster_name}}集群kubernetes组件{{pod_name}}内存使用率恢复】\n','【kubernetes组件内存使用率恢复】\n\nPod: {{pod_name}}\n\n使用率: {{mem_usage_percent_avg}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n容器ID: {{container_id}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n','{\"mem_usage_percent_avg\":\"percent:2\",\"trigger_duration\":\"time:ms\"}','1.0','2021-05-28 11:55:02','2021-05-28 11:55:02',0),(3042,'kubernetes组件实例内存异常','kubernetes','kubernetes_instance_mem','ticket','recover','【{{cluster_name}}集群kubernetes组件{{pod_name}}内存使用率恢复】\n','【kubernetes组件内存使用率恢复】\n\nPod: {{pod_name}}\n\n使用率: {{mem_usage_percent_avg}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n容器ID: {{container_id}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n','{\"mem_usage_percent_avg\":\"percent:2\",\"trigger_duration\":\"time:ms\"}','1.0','2021-05-28 11:55:02','2021-05-28 11:55:02',0),(3043,'kubernetes组件实例内存异常','kubernetes','kubernetes_instance_mem','email','recover','【{{cluster_name}}集群kubernetes组件{{pod_name}}内存使用率恢复】\n','【kubernetes组件内存使用率恢复】\n\nPod: {{pod_name}}\n\n使用率: {{mem_usage_percent_avg}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n容器ID: {{container_id}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n','{\"mem_usage_percent_avg\":\"percent:2\",\"trigger_duration\":\"time:ms\"}','1.0','2021-05-28 11:55:02','2021-05-28 11:55:02',0),(3044,'kubernetes组件实例内存异常','kubernetes','kubernetes_instance_mem','mbox','recover','【{{cluster_name}}集群kubernetes组件{{pod_name}}内存使用率恢复】\n','【kubernetes组件内存使用率恢复】\n\nPod: {{pod_name}}\n\n使用率: {{mem_usage_percent_avg}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n容器ID: {{container_id}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n','{\"mem_usage_percent_avg\":\"percent:2\",\"trigger_duration\":\"time:ms\"}','1.0','2021-05-28 11:55:02','2021-05-28 11:55:02',0),(3045,'kubernetes组件实例内存异常','kubernetes','kubernetes_instance_mem','webhook','recover','【{{cluster_name}}集群kubernetes组件{{pod_name}}内存使用率恢复】\n','【kubernetes组件内存使用率恢复】\n\nPod: {{pod_name}}\n\n使用率: {{mem_usage_percent_avg}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n容器ID: {{container_id}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n','{\"mem_usage_percent_avg\":\"percent:2\",\"trigger_duration\":\"time:ms\"}','1.0','2021-05-28 11:55:02','2021-05-28 11:55:02',0),(3046,'kubernetes组件实例Ready状态异常','kubernetes','kubernetes_instance_ready','dingding','alert','【{{cluster_name}}集群kubernetes组件{{resource_name_value}} Ready状态告警】\n','【kubernetes组件Ready状态告警】\n\n组件: {{resource_name_value}}\n\n未就绪实例: {{not_ready_value}}\n\n已就绪实例: {{ready_value}}\n\n集群: {{cluster_name}}\n\n时间: {{timestamp}}\n','','1.0','2021-05-28 11:55:02','2021-05-28 11:55:02',0),(3047,'kubernetes组件实例Ready状态异常','kubernetes','kubernetes_instance_ready','ticket','alert','【{{cluster_name}}集群kubernetes组件{{resource_name_value}} Ready状态告警】\n','【kubernetes组件Ready状态告警】\n\n组件: {{resource_name_value}}\n\n未就绪实例: {{not_ready_value}}\n\n已就绪实例: {{ready_value}}\n\n集群: {{cluster_name}}\n\n时间: {{timestamp}}\n','','1.0','2021-05-28 11:55:02','2021-05-28 11:55:02',0),(3048,'kubernetes组件实例Ready状态异常','kubernetes','kubernetes_instance_ready','email','alert','【{{cluster_name}}集群kubernetes组件{{resource_name_value}} Ready状态告警】\n','【kubernetes组件Ready状态告警】\n\n组件: {{resource_name_value}}\n\n未就绪实例: {{not_ready_value}}\n\n已就绪实例: {{ready_value}}\n\n集群: {{cluster_name}}\n\n时间: {{timestamp}}\n','','1.0','2021-05-28 11:55:02','2021-05-28 11:55:02',0),(3049,'kubernetes组件实例Ready状态异常','kubernetes','kubernetes_instance_ready','mbox','alert','【{{cluster_name}}集群kubernetes组件{{resource_name_value}} Ready状态告警】\n','【kubernetes组件Ready状态告警】\n\n组件: {{resource_name_value}}\n\n未就绪实例: {{not_ready_value}}\n\n已就绪实例: {{ready_value}}\n\n集群: {{cluster_name}}\n\n时间: {{timestamp}}\n','','1.0','2021-05-28 11:55:02','2021-05-28 11:55:02',0),(3050,'kubernetes组件实例Ready状态异常','kubernetes','kubernetes_instance_ready','webhook','alert','【{{cluster_name}}集群kubernetes组件{{resource_name_value}} Ready状态告警】\n','【kubernetes组件Ready状态告警】\n\n组件: {{resource_name_value}}\n\n未就绪实例: {{not_ready_value}}\n\n已就绪实例: {{ready_value}}\n\n集群: {{cluster_name}}\n\n时间: {{timestamp}}\n','','1.0','2021-05-28 11:55:02','2021-05-28 11:55:02',0),(3051,'kubernetes组件实例Ready状态异常','kubernetes','kubernetes_instance_ready','dingding','recover','【{{cluster_name}}集群kubernetes组件{{resource_name_value}} Ready状态恢复】\n','【kubernetes组件Ready状态恢复】\n\n组件: {{resource_name_value}}\n\n集群: {{cluster_name}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n','{\"trigger_duration\":\"time:ms\"}','1.0','2021-05-28 11:55:02','2021-05-28 11:55:02',0),(3052,'kubernetes组件实例Ready状态异常','kubernetes','kubernetes_instance_ready','ticket','recover','【{{cluster_name}}集群kubernetes组件{{resource_name_value}} Ready状态恢复】\n','【kubernetes组件Ready状态恢复】\n\n组件: {{resource_name_value}}\n\n集群: {{cluster_name}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n','{\"trigger_duration\":\"time:ms\"}','1.0','2021-05-28 11:55:02','2021-05-28 11:55:02',0),(3053,'kubernetes组件实例Ready状态异常','kubernetes','kubernetes_instance_ready','email','recover','【{{cluster_name}}集群kubernetes组件{{resource_name_value}} Ready状态恢复】\n','【kubernetes组件Ready状态恢复】\n\n组件: {{resource_name_value}}\n\n集群: {{cluster_name}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n','{\"trigger_duration\":\"time:ms\"}','1.0','2021-05-28 11:55:02','2021-05-28 11:55:02',0),(3054,'kubernetes组件实例Ready状态异常','kubernetes','kubernetes_instance_ready','mbox','recover','【{{cluster_name}}集群kubernetes组件{{resource_name_value}} Ready状态恢复】\n','【kubernetes组件Ready状态恢复】\n\n组件: {{resource_name_value}}\n\n集群: {{cluster_name}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n','{\"trigger_duration\":\"time:ms\"}','1.0','2021-05-28 11:55:02','2021-05-28 11:55:02',0),(3055,'kubernetes组件实例Ready状态异常','kubernetes','kubernetes_instance_ready','webhook','recover','【{{cluster_name}}集群kubernetes组件{{resource_name_value}} Ready状态恢复】\n','【kubernetes组件Ready状态恢复】\n\n组件: {{resource_name_value}}\n\n集群: {{cluster_name}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n','{\"trigger_duration\":\"time:ms\"}','1.0','2021-05-28 11:55:02','2021-05-28 11:55:02',0),(3056,'kubernetes节点异常','kubernetes','kubernetes_node','dingding','alert','【{{cluster_name}}集群kubernetes节点{{node_name}}节点异常告警】\n','【kubernetes节点状态异常告警】\n\n集群: {{cluster_name}}\n\n机器: {{node_name}}\n\n已分配Pod数: {{allocatable_pods_value}}\n\n最大Pod数: {{capacity_pods_value}}\n\n已分配CPU核数: {{allocatable_cpu_cores_value}}\n\n最大CPU核数: {{capacity_cpu_cores_value}}\n\n已分配内存: {{allocatable_memory_bytes_value}}\n\n最大内存: {{capacity_memory_bytes_value}}\n\n时间: {{timestamp}}\n','{\"allocatable_memory_bytes_value\":\"size:byte\",\"capacity_memory_bytes_value\":\"size:byte\"}','1.0','2021-05-28 11:55:02','2021-05-28 11:55:02',0),(3057,'kubernetes节点异常','kubernetes','kubernetes_node','ticket','alert','【{{cluster_name}}集群kubernetes节点{{node_name}}节点异常告警】\n','【kubernetes节点状态异常告警】\n\n集群: {{cluster_name}}\n\n机器: {{node_name}}\n\n已分配Pod数: {{allocatable_pods_value}}\n\n最大Pod数: {{capacity_pods_value}}\n\n已分配CPU核数: {{allocatable_cpu_cores_value}}\n\n最大CPU核数: {{capacity_cpu_cores_value}}\n\n已分配内存: {{allocatable_memory_bytes_value}}\n\n最大内存: {{capacity_memory_bytes_value}}\n\n时间: {{timestamp}}\n','{\"allocatable_memory_bytes_value\":\"size:byte\",\"capacity_memory_bytes_value\":\"size:byte\"}','1.0','2021-05-28 11:55:02','2021-05-28 11:55:02',0),(3058,'kubernetes节点异常','kubernetes','kubernetes_node','email','alert','【{{cluster_name}}集群kubernetes节点{{node_name}}节点异常告警】\n','【kubernetes节点状态异常告警】\n\n集群: {{cluster_name}}\n\n机器: {{node_name}}\n\n已分配Pod数: {{allocatable_pods_value}}\n\n最大Pod数: {{capacity_pods_value}}\n\n已分配CPU核数: {{allocatable_cpu_cores_value}}\n\n最大CPU核数: {{capacity_cpu_cores_value}}\n\n已分配内存: {{allocatable_memory_bytes_value}}\n\n最大内存: {{capacity_memory_bytes_value}}\n\n时间: {{timestamp}}\n','{\"allocatable_memory_bytes_value\":\"size:byte\",\"capacity_memory_bytes_value\":\"size:byte\"}','1.0','2021-05-28 11:55:02','2021-05-28 11:55:02',0),(3059,'kubernetes节点异常','kubernetes','kubernetes_node','mbox','alert','【{{cluster_name}}集群kubernetes节点{{node_name}}节点异常告警】\n','【kubernetes节点状态异常告警】\n\n集群: {{cluster_name}}\n\n机器: {{node_name}}\n\n已分配Pod数: {{allocatable_pods_value}}\n\n最大Pod数: {{capacity_pods_value}}\n\n已分配CPU核数: {{allocatable_cpu_cores_value}}\n\n最大CPU核数: {{capacity_cpu_cores_value}}\n\n已分配内存: {{allocatable_memory_bytes_value}}\n\n最大内存: {{capacity_memory_bytes_value}}\n\n时间: {{timestamp}}\n','{\"allocatable_memory_bytes_value\":\"size:byte\",\"capacity_memory_bytes_value\":\"size:byte\"}','1.0','2021-05-28 11:55:02','2021-05-28 11:55:02',0),(3060,'kubernetes节点异常','kubernetes','kubernetes_node','webhook','alert','【{{cluster_name}}集群kubernetes节点{{node_name}}节点异常告警】\n','【kubernetes节点状态异常告警】\n\n集群: {{cluster_name}}\n\n机器: {{node_name}}\n\n已分配Pod数: {{allocatable_pods_value}}\n\n最大Pod数: {{capacity_pods_value}}\n\n已分配CPU核数: {{allocatable_cpu_cores_value}}\n\n最大CPU核数: {{capacity_cpu_cores_value}}\n\n已分配内存: {{allocatable_memory_bytes_value}}\n\n最大内存: {{capacity_memory_bytes_value}}\n\n时间: {{timestamp}}\n','{\"allocatable_memory_bytes_value\":\"size:byte\",\"capacity_memory_bytes_value\":\"size:byte\"}','1.0','2021-05-28 11:55:02','2021-05-28 11:55:02',0),(3061,'kubernetes节点异常','kubernetes','kubernetes_node','dingding','recover','【{{cluster_name}}集群kubernetes节点{{node_name}}节点异常恢复】\n','【kubernetes节点状态异常恢复】\n\n集群: {{cluster_name}}\n\n机器: {{node_name}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n','{\"trigger_duration\":\"time:ms\"}','1.0','2021-05-28 11:55:02','2021-05-28 11:55:02',0),(3062,'kubernetes节点异常','kubernetes','kubernetes_node','ticket','recover','【{{cluster_name}}集群kubernetes节点{{node_name}}节点异常恢复】\n','【kubernetes节点状态异常恢复】\n\n集群: {{cluster_name}}\n\n机器: {{node_name}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n','{\"trigger_duration\":\"time:ms\"}','1.0','2021-05-28 11:55:02','2021-05-28 11:55:02',0),(3063,'kubernetes节点异常','kubernetes','kubernetes_node','email','recover','【{{cluster_name}}集群kubernetes节点{{node_name}}节点异常恢复】\n','【kubernetes节点状态异常恢复】\n\n集群: {{cluster_name}}\n\n机器: {{node_name}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n','{\"trigger_duration\":\"time:ms\"}','1.0','2021-05-28 11:55:02','2021-05-28 11:55:02',0),(3064,'kubernetes节点异常','kubernetes','kubernetes_node','mbox','recover','【{{cluster_name}}集群kubernetes节点{{node_name}}节点异常恢复】\n','【kubernetes节点状态异常恢复】\n\n集群: {{cluster_name}}\n\n机器: {{node_name}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n','{\"trigger_duration\":\"time:ms\"}','1.0','2021-05-28 11:55:02','2021-05-28 11:55:02',0),(3065,'kubernetes节点异常','kubernetes','kubernetes_node','webhook','recover','【{{cluster_name}}集群kubernetes节点{{node_name}}节点异常恢复】\n','【kubernetes节点状态异常恢复】\n\n集群: {{cluster_name}}\n\n机器: {{node_name}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n','{\"trigger_duration\":\"time:ms\"}','1.0','2021-05-28 11:55:02','2021-05-28 11:55:02',0),(3066,'机器CPU异常告警','machine','machine_cpu','dingding','alert','【{{cluster_name}}集群机器{{host_ip}} CPU使用率异常告警】','【机器CPU使用率异常告警】\n\nCPU平均使用率: {{cpu_usage_active_avg}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n时间: {{timestamp}}\n\n[查看详情]({{display_url}})\n','{\"cpu_usage_active_avg\":\"percent:2\"}','1.0','2021-05-28 11:55:02','2021-05-28 11:55:02',0),(3067,'机器CPU异常告警','machine','machine_cpu','ticket','alert','【{{cluster_name}}集群机器{{host_ip}} CPU使用率异常告警】','【机器CPU使用率异常告警】\n\nCPU平均使用率: {{cpu_usage_active_avg}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n时间: {{timestamp}}\n\n[查看详情]({{display_url}})\n','{\"cpu_usage_active_avg\":\"percent:2\"}','1.0','2021-05-28 11:55:02','2021-05-28 11:55:02',0),(3068,'机器CPU异常告警','machine','machine_cpu','email','alert','【{{cluster_name}}集群机器{{host_ip}} CPU使用率异常告警】','【机器CPU使用率异常告警】\n\nCPU平均使用率: {{cpu_usage_active_avg}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n时间: {{timestamp}}\n\n[查看详情]({{display_url}})\n','{\"cpu_usage_active_avg\":\"percent:2\"}','1.0','2021-05-28 11:55:02','2021-05-28 11:55:02',0),(3069,'机器CPU异常告警','machine','machine_cpu','mbox','alert','【{{cluster_name}}集群机器{{host_ip}} CPU使用率异常告警】','【机器CPU使用率异常告警】\n\nCPU平均使用率: {{cpu_usage_active_avg}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n时间: {{timestamp}}\n\n[查看详情]({{display_url}})\n','{\"cpu_usage_active_avg\":\"percent:2\"}','1.0','2021-05-28 11:55:02','2021-05-28 11:55:02',0),(3070,'机器CPU异常告警','machine','machine_cpu','webhook','alert','【{{cluster_name}}集群机器{{host_ip}} CPU使用率异常告警】','【机器CPU使用率异常告警】\n\nCPU平均使用率: {{cpu_usage_active_avg}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n时间: {{timestamp}}\n\n[查看详情]({{display_url}})\n','{\"cpu_usage_active_avg\":\"percent:2\"}','1.0','2021-05-28 11:55:02','2021-05-28 11:55:02',0),(3071,'机器CPU异常恢复','machine','machine_cpu','dingding','recover','【{{cluster_name}}集群机器{{host_ip}} CPU使用率异常恢复】','【机器CPU使用率异常恢复】\n\nCPU平均使用率: {{cpu_usage_active_avg}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}','{\"trigger_duration\":\"time:ms\",\"usage_active_avg\":\"percent:2\"}','1.0','2021-05-28 11:55:02','2021-05-28 11:55:02',0),(3072,'机器CPU异常恢复','machine','machine_cpu','ticket','recover','【{{cluster_name}}集群机器{{host_ip}} CPU使用率异常恢复】','【机器CPU使用率异常恢复】\n\nCPU平均使用率: {{cpu_usage_active_avg}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}','{\"trigger_duration\":\"time:ms\",\"usage_active_avg\":\"percent:2\"}','1.0','2021-05-28 11:55:02','2021-05-28 11:55:02',0),(3073,'机器CPU异常恢复','machine','machine_cpu','email','recover','【{{cluster_name}}集群机器{{host_ip}} CPU使用率异常恢复】','【机器CPU使用率异常恢复】\n\nCPU平均使用率: {{cpu_usage_active_avg}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}','{\"trigger_duration\":\"time:ms\",\"usage_active_avg\":\"percent:2\"}','1.0','2021-05-28 11:55:02','2021-05-28 11:55:02',0),(3074,'机器CPU异常恢复','machine','machine_cpu','mbox','recover','【{{cluster_name}}集群机器{{host_ip}} CPU使用率异常恢复】','【机器CPU使用率异常恢复】\n\nCPU平均使用率: {{cpu_usage_active_avg}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}','{\"trigger_duration\":\"time:ms\",\"usage_active_avg\":\"percent:2\"}','1.0','2021-05-28 11:55:02','2021-05-28 11:55:02',0),(3075,'机器CPU异常恢复','machine','machine_cpu','webhook','recover','【{{cluster_name}}集群机器{{host_ip}} CPU使用率异常恢复】','【机器CPU使用率异常恢复】\n\nCPU平均使用率: {{cpu_usage_active_avg}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}','{\"trigger_duration\":\"time:ms\",\"usage_active_avg\":\"percent:2\"}','1.0','2021-05-28 11:55:02','2021-05-28 11:55:02',0),(3076,'磁盘容量异常告警','machine','machine_disk','dingding','alert','【{{cluster_name}}集群机器{{host_ip}}磁盘使用率异常告警】','【磁盘使用率异常告警】\n\n使用率: {{used_percent_value}}\n\n容量: {{total_value}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n设备: {{device}}\n\n时间: {{timestamp}}\n\n[查看详情]({{display_url}})\n','{\"total_value\":\"size:byte\",\"used_percent_value\":\"percent:2\"}','1.0','2021-05-28 11:55:02','2021-05-28 11:55:02',0),(3077,'磁盘容量异常告警','machine','machine_disk','ticket','alert','【{{cluster_name}}集群机器{{host_ip}}磁盘使用率异常告警】','【磁盘使用率异常告警】\n\n使用率: {{used_percent_value}}\n\n容量: {{total_value}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n设备: {{device}}\n\n时间: {{timestamp}}\n\n[查看详情]({{display_url}})\n','{\"total_value\":\"size:byte\",\"used_percent_value\":\"percent:2\"}','1.0','2021-05-28 11:55:02','2021-05-28 11:55:02',0),(3078,'磁盘容量异常告警','machine','machine_disk','email','alert','【{{cluster_name}}集群机器{{host_ip}}磁盘使用率异常告警】','【磁盘使用率异常告警】\n\n使用率: {{used_percent_value}}\n\n容量: {{total_value}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n设备: {{device}}\n\n时间: {{timestamp}}\n\n[查看详情]({{display_url}})\n','{\"total_value\":\"size:byte\",\"used_percent_value\":\"percent:2\"}','1.0','2021-05-28 11:55:02','2021-05-28 11:55:02',0),(3079,'磁盘容量异常告警','machine','machine_disk','mbox','alert','【{{cluster_name}}集群机器{{host_ip}}磁盘使用率异常告警】','【磁盘使用率异常告警】\n\n使用率: {{used_percent_value}}\n\n容量: {{total_value}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n设备: {{device}}\n\n时间: {{timestamp}}\n\n[查看详情]({{display_url}})\n','{\"total_value\":\"size:byte\",\"used_percent_value\":\"percent:2\"}','1.0','2021-05-28 11:55:02','2021-05-28 11:55:02',0),(3080,'磁盘容量异常告警','machine','machine_disk','webhook','alert','【{{cluster_name}}集群机器{{host_ip}}磁盘使用率异常告警】','【磁盘使用率异常告警】\n\n使用率: {{used_percent_value}}\n\n容量: {{total_value}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n设备: {{device}}\n\n时间: {{timestamp}}\n\n[查看详情]({{display_url}})\n','{\"total_value\":\"size:byte\",\"used_percent_value\":\"percent:2\"}','1.0','2021-05-28 11:55:02','2021-05-28 11:55:02',0),(3081,'磁盘容量异常恢复','machine','machine_disk','dingding','recover','【{{cluster_name}}集群机器{{host_ip}}磁盘使用率异常恢复】','【磁盘使用率异常恢复】\n\n使用率: {{used_percent_value}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n设备: {{device}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}','{\"trigger_duration\":\"time:ms\",\"used_percent_value\":\"percent:2\"}','1.0','2021-05-28 11:55:02','2021-05-28 11:55:02',0),(3082,'磁盘容量异常恢复','machine','machine_disk','ticket','recover','【{{cluster_name}}集群机器{{host_ip}}磁盘使用率异常恢复】','【磁盘使用率异常恢复】\n\n使用率: {{used_percent_value}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n设备: {{device}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}','{\"trigger_duration\":\"time:ms\",\"used_percent_value\":\"percent:2\"}','1.0','2021-05-28 11:55:02','2021-05-28 11:55:02',0),(3083,'磁盘容量异常恢复','machine','machine_disk','email','recover','【{{cluster_name}}集群机器{{host_ip}}磁盘使用率异常恢复】','【磁盘使用率异常恢复】\n\n使用率: {{used_percent_value}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n设备: {{device}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}','{\"trigger_duration\":\"time:ms\",\"used_percent_value\":\"percent:2\"}','1.0','2021-05-28 11:55:02','2021-05-28 11:55:02',0),(3084,'磁盘容量异常恢复','machine','machine_disk','mbox','recover','【{{cluster_name}}集群机器{{host_ip}}磁盘使用率异常恢复】','【磁盘使用率异常恢复】\n\n使用率: {{used_percent_value}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n设备: {{device}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}','{\"trigger_duration\":\"time:ms\",\"used_percent_value\":\"percent:2\"}','1.0','2021-05-28 11:55:02','2021-05-28 11:55:02',0),(3085,'磁盘容量异常恢复','machine','machine_disk','webhook','recover','【{{cluster_name}}集群机器{{host_ip}}磁盘使用率异常恢复】','【磁盘使用率异常恢复】\n\n使用率: {{used_percent_value}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n设备: {{device}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}','{\"trigger_duration\":\"time:ms\",\"used_percent_value\":\"percent:2\"}','1.0','2021-05-28 11:55:02','2021-05-28 11:55:02',0),(3086,'磁盘Inode异常告警','machine','machine_disk_inode','dingding','alert','【{{cluster_name}}集群机器{{host_ip}}磁盘Inode异常告警】','【磁盘Inode异常告警】\n\n使用率: {{inode_used_percent_value}}\n\n容量: {{inodes_total_value}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n设备: {{device}}\n\n时间: {{timestamp}}\n\n[查看详情]({{display_url}})\n','{\"inode_used_percent_value\":\"percent:2\",\"inodes_total_value\":\"size:byte\"}','1.0','2021-05-28 11:55:02','2021-05-28 11:55:02',0),(3087,'磁盘Inode异常告警','machine','machine_disk_inode','ticket','alert','【{{cluster_name}}集群机器{{host_ip}}磁盘Inode异常告警】','【磁盘Inode异常告警】\n\n使用率: {{inode_used_percent_value}}\n\n容量: {{inodes_total_value}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n设备: {{device}}\n\n时间: {{timestamp}}\n\n[查看详情]({{display_url}})\n','{\"inode_used_percent_value\":\"percent:2\",\"inodes_total_value\":\"size:byte\"}','1.0','2021-05-28 11:55:02','2021-05-28 11:55:02',0),(3088,'磁盘Inode异常告警','machine','machine_disk_inode','email','alert','【{{cluster_name}}集群机器{{host_ip}}磁盘Inode异常告警】','【磁盘Inode异常告警】\n\n使用率: {{inode_used_percent_value}}\n\n容量: {{inodes_total_value}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n设备: {{device}}\n\n时间: {{timestamp}}\n\n[查看详情]({{display_url}})\n','{\"inode_used_percent_value\":\"percent:2\",\"inodes_total_value\":\"size:byte\"}','1.0','2021-05-28 11:55:02','2021-05-28 11:55:02',0),(3089,'磁盘Inode异常告警','machine','machine_disk_inode','mbox','alert','【{{cluster_name}}集群机器{{host_ip}}磁盘Inode异常告警】','【磁盘Inode异常告警】\n\n使用率: {{inode_used_percent_value}}\n\n容量: {{inodes_total_value}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n设备: {{device}}\n\n时间: {{timestamp}}\n\n[查看详情]({{display_url}})\n','{\"inode_used_percent_value\":\"percent:2\",\"inodes_total_value\":\"size:byte\"}','1.0','2021-05-28 11:55:02','2021-05-28 11:55:02',0),(3090,'磁盘Inode异常告警','machine','machine_disk_inode','webhook','alert','【{{cluster_name}}集群机器{{host_ip}}磁盘Inode异常告警】','【磁盘Inode异常告警】\n\n使用率: {{inode_used_percent_value}}\n\n容量: {{inodes_total_value}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n设备: {{device}}\n\n时间: {{timestamp}}\n\n[查看详情]({{display_url}})\n','{\"inode_used_percent_value\":\"percent:2\",\"inodes_total_value\":\"size:byte\"}','1.0','2021-05-28 11:55:02','2021-05-28 11:55:02',0),(3091,'磁盘Inode异常恢复','machine','machine_disk_inode','dingding','recover','【{{cluster_name}}集群机器{{host_ip}}磁盘Inode异常恢复】','【磁盘Inode异常恢复】\n\n使用率: {{inode_used_percent_value}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n设备: {{device}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}','{\"inode_used_percent_value\":\"percent:2\",\"trigger_duration\":\"time:ms\"}','1.0','2021-05-28 11:55:02','2021-05-28 11:55:02',0),(3092,'磁盘Inode异常恢复','machine','machine_disk_inode','ticket','recover','【{{cluster_name}}集群机器{{host_ip}}磁盘Inode异常恢复】','【磁盘Inode异常恢复】\n\n使用率: {{inode_used_percent_value}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n设备: {{device}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}','{\"inode_used_percent_value\":\"percent:2\",\"trigger_duration\":\"time:ms\"}','1.0','2021-05-28 11:55:02','2021-05-28 11:55:02',0),(3093,'磁盘Inode异常恢复','machine','machine_disk_inode','email','recover','【{{cluster_name}}集群机器{{host_ip}}磁盘Inode异常恢复】','【磁盘Inode异常恢复】\n\n使用率: {{inode_used_percent_value}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n设备: {{device}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}','{\"inode_used_percent_value\":\"percent:2\",\"trigger_duration\":\"time:ms\"}','1.0','2021-05-28 11:55:02','2021-05-28 11:55:02',0),(3094,'磁盘Inode异常恢复','machine','machine_disk_inode','mbox','recover','【{{cluster_name}}集群机器{{host_ip}}磁盘Inode异常恢复】','【磁盘Inode异常恢复】\n\n使用率: {{inode_used_percent_value}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n设备: {{device}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}','{\"inode_used_percent_value\":\"percent:2\",\"trigger_duration\":\"time:ms\"}','1.0','2021-05-28 11:55:02','2021-05-28 11:55:02',0),(3095,'磁盘Inode异常恢复','machine','machine_disk_inode','webhook','recover','【{{cluster_name}}集群机器{{host_ip}}磁盘Inode异常恢复】','【磁盘Inode异常恢复】\n\n使用率: {{inode_used_percent_value}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n设备: {{device}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}','{\"inode_used_percent_value\":\"percent:2\",\"trigger_duration\":\"time:ms\"}','1.0','2021-05-28 11:55:02','2021-05-28 11:55:02',0),(3096,'磁盘IO异常告警','machine','machine_disk_util','dingding','alert','【{{cluster_name}}集群机器{{host_ip}}磁盘IO操作百分比异常告警】','【磁盘IO操作百分比异常告警】\n\nIO操作百分比: {{pct_util_p75}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n时间: {{timestamp}}\n','{\"pct_util_p75\":\"percent:2\"}','1.0','2021-05-28 11:55:02','2021-05-28 11:55:02',0),(3097,'磁盘IO异常告警','machine','machine_disk_util','ticket','alert','【{{cluster_name}}集群机器{{host_ip}}磁盘IO操作百分比异常告警】','【磁盘IO操作百分比异常告警】\n\nIO操作百分比: {{pct_util_p75}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n时间: {{timestamp}}\n','{\"pct_util_p75\":\"percent:2\"}','1.0','2021-05-28 11:55:02','2021-05-28 11:55:02',0),(3098,'磁盘IO异常告警','machine','machine_disk_util','email','alert','【{{cluster_name}}集群机器{{host_ip}}磁盘IO操作百分比异常告警】','【磁盘IO操作百分比异常告警】\n\nIO操作百分比: {{pct_util_p75}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n时间: {{timestamp}}\n','{\"pct_util_p75\":\"percent:2\"}','1.0','2021-05-28 11:55:02','2021-05-28 11:55:02',0),(3099,'磁盘IO异常告警','machine','machine_disk_util','mbox','alert','【{{cluster_name}}集群机器{{host_ip}}磁盘IO操作百分比异常告警】','【磁盘IO操作百分比异常告警】\n\nIO操作百分比: {{pct_util_p75}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n时间: {{timestamp}}\n','{\"pct_util_p75\":\"percent:2\"}','1.0','2021-05-28 11:55:02','2021-05-28 11:55:02',0),(3100,'磁盘IO异常告警','machine','machine_disk_util','webhook','alert','【{{cluster_name}}集群机器{{host_ip}}磁盘IO操作百分比异常告警】','【磁盘IO操作百分比异常告警】\n\nIO操作百分比: {{pct_util_p75}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n时间: {{timestamp}}\n','{\"pct_util_p75\":\"percent:2\"}','1.0','2021-05-28 11:55:02','2021-05-28 11:55:02',0),(3101,'磁盘IO异常恢复','machine','machine_disk_util','dingding','recover','【{{cluster_name}}集群机器{{host_ip}}磁盘IO操作百分比异常恢复】','【磁盘IO操作百分比异常恢复】\n\nIO操作百分比: {{pct_util_p75}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}','{\"pct_util_p75\":\"percent:2\",\"trigger_duration\":\"time:ms\"}','1.0','2021-05-28 11:55:02','2021-05-28 11:55:02',0),(3102,'磁盘IO异常恢复','machine','machine_disk_util','ticket','recover','【{{cluster_name}}集群机器{{host_ip}}磁盘IO操作百分比异常恢复】','【磁盘IO操作百分比异常恢复】\n\nIO操作百分比: {{pct_util_p75}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}','{\"pct_util_p75\":\"percent:2\",\"trigger_duration\":\"time:ms\"}','1.0','2021-05-28 11:55:02','2021-05-28 11:55:02',0),(3103,'磁盘IO异常恢复','machine','machine_disk_util','email','recover','【{{cluster_name}}集群机器{{host_ip}}磁盘IO操作百分比异常恢复】','【磁盘IO操作百分比异常恢复】\n\nIO操作百分比: {{pct_util_p75}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}','{\"pct_util_p75\":\"percent:2\",\"trigger_duration\":\"time:ms\"}','1.0','2021-05-28 11:55:02','2021-05-28 11:55:02',0),(3104,'磁盘IO异常恢复','machine','machine_disk_util','mbox','recover','【{{cluster_name}}集群机器{{host_ip}}磁盘IO操作百分比异常恢复】','【磁盘IO操作百分比异常恢复】\n\nIO操作百分比: {{pct_util_p75}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}','{\"pct_util_p75\":\"percent:2\",\"trigger_duration\":\"time:ms\"}','1.0','2021-05-28 11:55:02','2021-05-28 11:55:02',0),(3105,'磁盘IO异常恢复','machine','machine_disk_util','webhook','recover','【{{cluster_name}}集群机器{{host_ip}}磁盘IO操作百分比异常恢复】','【磁盘IO操作百分比异常恢复】\n\nIO操作百分比: {{pct_util_p75}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}','{\"pct_util_p75\":\"percent:2\",\"trigger_duration\":\"time:ms\"}','1.0','2021-05-28 11:55:02','2021-05-28 11:55:02',0),(3106,'机器负载异常告警','machine','machine_load5','dingding','alert','【{{cluster_name}}集群机器{{host_ip}}负载异常告警】','【机器负载异常告警】\n\nLoad5: {{load5_avg}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n时间: {{timestamp}}\n\n[查看详情]({{display_url}})\n','','1.0','2021-05-28 11:55:02','2021-05-28 11:55:02',0),(3107,'机器负载异常告警','machine','machine_load5','ticket','alert','【{{cluster_name}}集群机器{{host_ip}}负载异常告警】','【机器负载异常告警】\n\nLoad5: {{load5_avg}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n时间: {{timestamp}}\n\n[查看详情]({{display_url}})\n','','1.0','2021-05-28 11:55:02','2021-05-28 11:55:02',0),(3108,'机器负载异常告警','machine','machine_load5','email','alert','【{{cluster_name}}集群机器{{host_ip}}负载异常告警】','【机器负载异常告警】\n\nLoad5: {{load5_avg}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n时间: {{timestamp}}\n\n[查看详情]({{display_url}})\n','','1.0','2021-05-28 11:55:02','2021-05-28 11:55:02',0),(3109,'机器负载异常告警','machine','machine_load5','mbox','alert','【{{cluster_name}}集群机器{{host_ip}}负载异常告警】','【机器负载异常告警】\n\nLoad5: {{load5_avg}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n时间: {{timestamp}}\n\n[查看详情]({{display_url}})\n','','1.0','2021-05-28 11:55:02','2021-05-28 11:55:02',0),(3110,'机器负载异常告警','machine','machine_load5','webhook','alert','【{{cluster_name}}集群机器{{host_ip}}负载异常告警】','【机器负载异常告警】\n\nLoad5: {{load5_avg}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n时间: {{timestamp}}\n\n[查看详情]({{display_url}})\n','','1.0','2021-05-28 11:55:02','2021-05-28 11:55:02',0),(3111,'机器负载异常恢复','machine','machine_load5','dingding','recover','【{{cluster_name}}集群机器{{host_ip}}负载异常恢复】','【机器负载异常恢复】\n\nLoad5: {{load5_avg}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n','{\"trigger_duration\":\"time:ms\"}','1.0','2021-05-28 11:55:02','2021-05-28 11:55:02',0),(3112,'机器负载异常恢复','machine','machine_load5','ticket','recover','【{{cluster_name}}集群机器{{host_ip}}负载异常恢复】','【机器负载异常恢复】\n\nLoad5: {{load5_avg}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n','{\"trigger_duration\":\"time:ms\"}','1.0','2021-05-28 11:55:02','2021-05-28 11:55:02',0),(3113,'机器负载异常恢复','machine','machine_load5','email','recover','【{{cluster_name}}集群机器{{host_ip}}负载异常恢复】','【机器负载异常恢复】\n\nLoad5: {{load5_avg}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n','{\"trigger_duration\":\"time:ms\"}','1.0','2021-05-28 11:55:02','2021-05-28 11:55:02',0),(3114,'机器负载异常恢复','machine','machine_load5','mbox','recover','【{{cluster_name}}集群机器{{host_ip}}负载异常恢复】','【机器负载异常恢复】\n\nLoad5: {{load5_avg}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n','{\"trigger_duration\":\"time:ms\"}','1.0','2021-05-28 11:55:02','2021-05-28 11:55:02',0),(3115,'机器负载异常恢复','machine','machine_load5','webhook','recover','【{{cluster_name}}集群机器{{host_ip}}负载异常恢复】','【机器负载异常恢复】\n\nLoad5: {{load5_avg}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n','{\"trigger_duration\":\"time:ms\"}','1.0','2021-05-28 11:55:02','2021-05-28 11:55:02',0),(3116,'网盘容量异常告警','machine','machine_netdisk','dingding','alert','【{{cluster_name}}集群网盘使用率异常告警】','【网盘使用率异常告警】\n\n使用率: {{used_percent_value}}\n\n容量: {{total_value}}\n\n集群: {{cluster_name}}\n\n时间: {{timestamp}}\n','{\"total_value\":\"size:byte\",\"used_percent_value\":\"percent:2\"}','1.0','2021-05-28 11:55:02','2021-05-28 11:55:02',0),(3117,'网盘容量异常告警','machine','machine_netdisk','ticket','alert','【{{cluster_name}}集群网盘使用率异常告警】','【网盘使用率异常告警】\n\n使用率: {{used_percent_value}}\n\n容量: {{total_value}}\n\n集群: {{cluster_name}}\n\n时间: {{timestamp}}\n','{\"total_value\":\"size:byte\",\"used_percent_value\":\"percent:2\"}','1.0','2021-05-28 11:55:02','2021-05-28 11:55:02',0),(3118,'网盘容量异常告警','machine','machine_netdisk','email','alert','【{{cluster_name}}集群网盘使用率异常告警】','【网盘使用率异常告警】\n\n使用率: {{used_percent_value}}\n\n容量: {{total_value}}\n\n集群: {{cluster_name}}\n\n时间: {{timestamp}}\n','{\"total_value\":\"size:byte\",\"used_percent_value\":\"percent:2\"}','1.0','2021-05-28 11:55:02','2021-05-28 11:55:02',0),(3119,'网盘容量异常告警','machine','machine_netdisk','mbox','alert','【{{cluster_name}}集群网盘使用率异常告警】','【网盘使用率异常告警】\n\n使用率: {{used_percent_value}}\n\n容量: {{total_value}}\n\n集群: {{cluster_name}}\n\n时间: {{timestamp}}\n','{\"total_value\":\"size:byte\",\"used_percent_value\":\"percent:2\"}','1.0','2021-05-28 11:55:02','2021-05-28 11:55:02',0),(3120,'网盘容量异常告警','machine','machine_netdisk','webhook','alert','【{{cluster_name}}集群网盘使用率异常告警】','【网盘使用率异常告警】\n\n使用率: {{used_percent_value}}\n\n容量: {{total_value}}\n\n集群: {{cluster_name}}\n\n时间: {{timestamp}}\n','{\"total_value\":\"size:byte\",\"used_percent_value\":\"percent:2\"}','1.0','2021-05-28 11:55:02','2021-05-28 11:55:02',0),(3121,'网盘容量异常恢复','machine','machine_netdisk','dingding','recover','【{{cluster_name}}集群网盘使用率异常恢复】','【网盘使用率异常恢复】\n\n使用率: {{used_percent_value}}\n\n集群: {{cluster_name}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n','{\"trigger_duration\":\"time:ms\",\"used_percent_value\":\"percent:2\"}','1.0','2021-05-28 11:55:02','2021-05-28 11:55:02',0),(3122,'网盘容量异常恢复','machine','machine_netdisk','ticket','recover','【{{cluster_name}}集群网盘使用率异常恢复】','【网盘使用率异常恢复】\n\n使用率: {{used_percent_value}}\n\n集群: {{cluster_name}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n','{\"trigger_duration\":\"time:ms\",\"used_percent_value\":\"percent:2\"}','1.0','2021-05-28 11:55:02','2021-05-28 11:55:02',0),(3123,'网盘容量异常恢复','machine','machine_netdisk','email','recover','【{{cluster_name}}集群网盘使用率异常恢复】','【网盘使用率异常恢复】\n\n使用率: {{used_percent_value}}\n\n集群: {{cluster_name}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n','{\"trigger_duration\":\"time:ms\",\"used_percent_value\":\"percent:2\"}','1.0','2021-05-28 11:55:02','2021-05-28 11:55:02',0),(3124,'网盘容量异常恢复','machine','machine_netdisk','mbox','recover','【{{cluster_name}}集群网盘使用率异常恢复】','【网盘使用率异常恢复】\n\n使用率: {{used_percent_value}}\n\n集群: {{cluster_name}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n','{\"trigger_duration\":\"time:ms\",\"used_percent_value\":\"percent:2\"}','1.0','2021-05-28 11:55:02','2021-05-28 11:55:02',0),(3125,'网盘容量异常恢复','machine','machine_netdisk','webhook','recover','【{{cluster_name}}集群网盘使用率异常恢复】','【网盘使用率异常恢复】\n\n使用率: {{used_percent_value}}\n\n集群: {{cluster_name}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n','{\"trigger_duration\":\"time:ms\",\"used_percent_value\":\"percent:2\"}','1.0','2021-05-28 11:55:02','2021-05-28 11:55:02',0),(3126,'网盘容量使用量异常告警','machine','machine_netdisk_used','dingding','alert','【{{cluster_name}}集群网盘使用率异常告警】','【网盘使用异常告警】\n\n使用: {{used}}GB\n\n容量: {{total}}GB\n\n集群: {{cluster_name}}\n\n时间: {{timestamp}}\n','{}','1.0','2021-05-28 11:55:02','2021-05-28 11:55:02',0),(3127,'网盘容量使用量异常告警','machine','machine_netdisk_used','ticket','alert','【{{cluster_name}}集群网盘使用率异常告警】','【网盘使用异常告警】\n\n使用: {{used}}GB\n\n容量: {{total}}GB\n\n集群: {{cluster_name}}\n\n时间: {{timestamp}}\n','{}','1.0','2021-05-28 11:55:02','2021-05-28 11:55:02',0),(3128,'网盘容量使用量异常告警','machine','machine_netdisk_used','email','alert','【{{cluster_name}}集群网盘使用率异常告警】','【网盘使用异常告警】\n\n使用: {{used}}GB\n\n容量: {{total}}GB\n\n集群: {{cluster_name}}\n\n时间: {{timestamp}}\n','{}','1.0','2021-05-28 11:55:02','2021-05-28 11:55:02',0),(3129,'网盘容量使用量异常告警','machine','machine_netdisk_used','mbox','alert','【{{cluster_name}}集群网盘使用率异常告警】','【网盘使用异常告警】\n\n使用: {{used}}GB\n\n容量: {{total}}GB\n\n集群: {{cluster_name}}\n\n时间: {{timestamp}}\n','{}','1.0','2021-05-28 11:55:02','2021-05-28 11:55:02',0),(3130,'网盘容量使用量异常告警','machine','machine_netdisk_used','webhook','alert','【{{cluster_name}}集群网盘使用率异常告警】','【网盘使用异常告警】\n\n使用: {{used}}GB\n\n容量: {{total}}GB\n\n集群: {{cluster_name}}\n\n时间: {{timestamp}}\n','{}','1.0','2021-05-28 11:55:02','2021-05-28 11:55:02',0),(3131,'网盘容量异常恢复','machine','machine_netdisk_used','dingding','recover','【{{cluster_name}}集群网盘使用率异常恢复】','【网盘使用率异常恢复】\n\n使用: {{used}}GB\n\n集群: {{cluster_name}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n','{\"trigger_duration\":\"time:ms\"}','1.0','2021-05-28 11:55:02','2021-05-28 11:55:02',0),(3132,'网盘容量异常恢复','machine','machine_netdisk_used','ticket','recover','【{{cluster_name}}集群网盘使用率异常恢复】','【网盘使用率异常恢复】\n\n使用: {{used}}GB\n\n集群: {{cluster_name}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n','{\"trigger_duration\":\"time:ms\"}','1.0','2021-05-28 11:55:02','2021-05-28 11:55:02',0),(3133,'网盘容量异常恢复','machine','machine_netdisk_used','email','recover','【{{cluster_name}}集群网盘使用率异常恢复】','【网盘使用率异常恢复】\n\n使用: {{used}}GB\n\n集群: {{cluster_name}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n','{\"trigger_duration\":\"time:ms\"}','1.0','2021-05-28 11:55:02','2021-05-28 11:55:02',0),(3134,'网盘容量异常恢复','machine','machine_netdisk_used','mbox','recover','【{{cluster_name}}集群网盘使用率异常恢复】','【网盘使用率异常恢复】\n\n使用: {{used}}GB\n\n集群: {{cluster_name}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n','{\"trigger_duration\":\"time:ms\"}','1.0','2021-05-28 11:55:02','2021-05-28 11:55:02',0),(3135,'网盘容量异常恢复','machine','machine_netdisk_used','webhook','recover','【{{cluster_name}}集群网盘使用率异常恢复】','【网盘使用率异常恢复】\n\n使用: {{used}}GB\n\n集群: {{cluster_name}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n','{\"trigger_duration\":\"time:ms\"}','1.0','2021-05-28 11:55:02','2021-05-28 11:55:02',0),(3136,'宕机告警','machine','machine_status','dingding','alert','【{{cluster_name}}集群机器{{host_ip}}宕机告警】','【宕机告警】\n\n机器{{window}}分钟内无消息, 疑似发生宕机\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n最近活跃时间: {{last_timestamp_value}}\n\n时间: {{timestamp}}\n\n[查看详情]({{display_url}})\n','{\"last_timestamp_value\":\"date\"}','1.0','2021-05-28 11:55:02','2021-05-28 11:55:02',0),(3137,'宕机告警','machine','machine_status','ticket','alert','【{{cluster_name}}集群机器{{host_ip}}宕机告警】','【宕机告警】\n\n机器{{window}}分钟内无消息, 疑似发生宕机\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n最近活跃时间: {{last_timestamp_value}}\n\n时间: {{timestamp}}\n\n[查看详情]({{display_url}})\n','{\"last_timestamp_value\":\"date\"}','1.0','2021-05-28 11:55:02','2021-05-28 11:55:02',0),(3138,'宕机告警','machine','machine_status','email','alert','【{{cluster_name}}集群机器{{host_ip}}宕机告警】','【宕机告警】\n\n机器{{window}}分钟内无消息, 疑似发生宕机\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n最近活跃时间: {{last_timestamp_value}}\n\n时间: {{timestamp}}\n\n[查看详情]({{display_url}})\n','{\"last_timestamp_value\":\"date\"}','1.0','2021-05-28 11:55:02','2021-05-28 11:55:02',0),(3139,'宕机告警','machine','machine_status','mbox','alert','【{{cluster_name}}集群机器{{host_ip}}宕机告警】','【宕机告警】\n\n机器{{window}}分钟内无消息, 疑似发生宕机\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n最近活跃时间: {{last_timestamp_value}}\n\n时间: {{timestamp}}\n\n[查看详情]({{display_url}})\n','{\"last_timestamp_value\":\"date\"}','1.0','2021-05-28 11:55:02','2021-05-28 11:55:02',0),(3140,'宕机告警','machine','machine_status','webhook','alert','【{{cluster_name}}集群机器{{host_ip}}宕机告警】','【宕机告警】\n\n机器{{window}}分钟内无消息, 疑似发生宕机\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n最近活跃时间: {{last_timestamp_value}}\n\n时间: {{timestamp}}\n\n[查看详情]({{display_url}})\n','{\"last_timestamp_value\":\"date\"}','1.0','2021-05-28 11:55:02','2021-05-28 11:55:02',0),(3141,'宕机恢复','machine','machine_status','dingding','recover','【{{cluster_name}}集群机器{{host_ip}}宕机恢复】','【宕机恢复】\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}','{\"trigger_duration\":\"time:ms\"}','1.0','2021-05-28 11:55:02','2021-05-28 11:55:02',0),(3142,'宕机恢复','machine','machine_status','ticket','recover','【{{cluster_name}}集群机器{{host_ip}}宕机恢复】','【宕机恢复】\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}','{\"trigger_duration\":\"time:ms\"}','1.0','2021-05-28 11:55:02','2021-05-28 11:55:02',0),(3143,'宕机恢复','machine','machine_status','email','recover','【{{cluster_name}}集群机器{{host_ip}}宕机恢复】','【宕机恢复】\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}','{\"trigger_duration\":\"time:ms\"}','1.0','2021-05-28 11:55:02','2021-05-28 11:55:02',0),(3144,'宕机恢复','machine','machine_status','mbox','recover','【{{cluster_name}}集群机器{{host_ip}}宕机恢复】','【宕机恢复】\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}','{\"trigger_duration\":\"time:ms\"}','1.0','2021-05-28 11:55:02','2021-05-28 11:55:02',0),(3145,'宕机恢复','machine','machine_status','webhook','recover','【{{cluster_name}}集群机器{{host_ip}}宕机恢复】','【宕机恢复】\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}','{\"trigger_duration\":\"time:ms\"}','1.0','2021-05-28 11:55:02','2021-05-28 11:55:02',0),(3146,'API网关实例CPU使用率异常','micro_service','api_gateway_cpu','dingding','alert','【API网关实例CPU使用率告警】\n','【API网关实例CPU使用率异常告警】\n\n组件: {{addon_type}}\n\n实例: {{pod_namespace}} - {{pod_name}}\n\nCPU平均使用率: {{cpu_usage_percent_avg}}\n\nCPU限制: {{cpu_limit_value}}核\n\nCPU分配: {{cpu_allocation_value}}核\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n时间: {{timestamp}}\n','{\"container_id\":\"string:6\",\"cpu_allocation_value\":\"fraction:1\",\"cpu_limit_value\":\"fraction:1\",\"cpu_usage_percent_avg\":\"percent:1\"}','1.0','2021-05-28 11:55:02','2021-05-28 11:55:02',0),(3147,'API网关实例CPU使用率异常','micro_service','api_gateway_cpu','ticket','alert','【API网关实例CPU使用率告警】\n','【API网关实例CPU使用率异常告警】\n\n组件: {{addon_type}}\n\n实例: {{pod_namespace}} - {{pod_name}}\n\nCPU平均使用率: {{cpu_usage_percent_avg}}\n\nCPU限制: {{cpu_limit_value}}核\n\nCPU分配: {{cpu_allocation_value}}核\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n时间: {{timestamp}}\n','{\"container_id\":\"string:6\",\"cpu_allocation_value\":\"fraction:1\",\"cpu_limit_value\":\"fraction:1\",\"cpu_usage_percent_avg\":\"percent:1\"}','1.0','2021-05-28 11:55:02','2021-05-28 11:55:02',0),(3148,'API网关实例CPU使用率异常','micro_service','api_gateway_cpu','email','alert','【API网关实例CPU使用率告警】\n','【API网关实例CPU使用率异常告警】\n\n组件: {{addon_type}}\n\n实例: {{pod_namespace}} - {{pod_name}}\n\nCPU平均使用率: {{cpu_usage_percent_avg}}\n\nCPU限制: {{cpu_limit_value}}核\n\nCPU分配: {{cpu_allocation_value}}核\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n时间: {{timestamp}}\n','{\"container_id\":\"string:6\",\"cpu_allocation_value\":\"fraction:1\",\"cpu_limit_value\":\"fraction:1\",\"cpu_usage_percent_avg\":\"percent:1\"}','1.0','2021-05-28 11:55:02','2021-05-28 11:55:02',0),(3149,'API网关实例CPU使用率异常','micro_service','api_gateway_cpu','mbox','alert','【API网关实例CPU使用率告警】\n','【API网关实例CPU使用率异常告警】\n\n组件: {{addon_type}}\n\n实例: {{pod_namespace}} - {{pod_name}}\n\nCPU平均使用率: {{cpu_usage_percent_avg}}\n\nCPU限制: {{cpu_limit_value}}核\n\nCPU分配: {{cpu_allocation_value}}核\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n时间: {{timestamp}}\n','{\"container_id\":\"string:6\",\"cpu_allocation_value\":\"fraction:1\",\"cpu_limit_value\":\"fraction:1\",\"cpu_usage_percent_avg\":\"percent:1\"}','1.0','2021-05-28 11:55:02','2021-05-28 11:55:02',0),(3150,'API网关实例CPU使用率异常','micro_service','api_gateway_cpu','webhook','alert','【API网关实例CPU使用率告警】\n','【API网关实例CPU使用率异常告警】\n\n组件: {{addon_type}}\n\n实例: {{pod_namespace}} - {{pod_name}}\n\nCPU平均使用率: {{cpu_usage_percent_avg}}\n\nCPU限制: {{cpu_limit_value}}核\n\nCPU分配: {{cpu_allocation_value}}核\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n时间: {{timestamp}}\n','{\"container_id\":\"string:6\",\"cpu_allocation_value\":\"fraction:1\",\"cpu_limit_value\":\"fraction:1\",\"cpu_usage_percent_avg\":\"percent:1\"}','1.0','2021-05-28 11:55:02','2021-05-28 11:55:02',0),(3151,'API网关实例内存使用率异常','micro_service','api_gateway_mem','dingding','alert','【API网关实例内存使用率告警】\n','【API网关实例内存使用率异常告警】\n\n组件: {{addon_type}}\n\n实例: {{pod_namespace}} - {{pod_name}}\n\n内存使用率: {{mem_usage_percent_avg}}\n\n内存使用: {{mem_usage_value}}\n\n内存限制: {{mem_limit_value}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n时间: {{timestamp}}\n','{\"container_id\":\"string:6\",\"mem_limit_value\":\"size:byte\",\"mem_usage_percent_avg\":\"percent:1\",\"mem_usage_value\":\"size:byte\"}','1.0','2021-05-28 11:55:02','2021-05-28 11:55:02',0),(3152,'API网关实例内存使用率异常','micro_service','api_gateway_mem','ticket','alert','【API网关实例内存使用率告警】\n','【API网关实例内存使用率异常告警】\n\n组件: {{addon_type}}\n\n实例: {{pod_namespace}} - {{pod_name}}\n\n内存使用率: {{mem_usage_percent_avg}}\n\n内存使用: {{mem_usage_value}}\n\n内存限制: {{mem_limit_value}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n时间: {{timestamp}}\n','{\"container_id\":\"string:6\",\"mem_limit_value\":\"size:byte\",\"mem_usage_percent_avg\":\"percent:1\",\"mem_usage_value\":\"size:byte\"}','1.0','2021-05-28 11:55:02','2021-05-28 11:55:02',0),(3153,'API网关实例内存使用率异常','micro_service','api_gateway_mem','email','alert','【API网关实例内存使用率告警】\n','【API网关实例内存使用率异常告警】\n\n组件: {{addon_type}}\n\n实例: {{pod_namespace}} - {{pod_name}}\n\n内存使用率: {{mem_usage_percent_avg}}\n\n内存使用: {{mem_usage_value}}\n\n内存限制: {{mem_limit_value}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n时间: {{timestamp}}\n','{\"container_id\":\"string:6\",\"mem_limit_value\":\"size:byte\",\"mem_usage_percent_avg\":\"percent:1\",\"mem_usage_value\":\"size:byte\"}','1.0','2021-05-28 11:55:02','2021-05-28 11:55:02',0),(3154,'API网关实例内存使用率异常','micro_service','api_gateway_mem','mbox','alert','【API网关实例内存使用率告警】\n','【API网关实例内存使用率异常告警】\n\n组件: {{addon_type}}\n\n实例: {{pod_namespace}} - {{pod_name}}\n\n内存使用率: {{mem_usage_percent_avg}}\n\n内存使用: {{mem_usage_value}}\n\n内存限制: {{mem_limit_value}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n时间: {{timestamp}}\n','{\"container_id\":\"string:6\",\"mem_limit_value\":\"size:byte\",\"mem_usage_percent_avg\":\"percent:1\",\"mem_usage_value\":\"size:byte\"}','1.0','2021-05-28 11:55:02','2021-05-28 11:55:02',0),(3155,'API网关实例内存使用率异常','micro_service','api_gateway_mem','webhook','alert','【API网关实例内存使用率告警】\n','【API网关实例内存使用率异常告警】\n\n组件: {{addon_type}}\n\n实例: {{pod_namespace}} - {{pod_name}}\n\n内存使用率: {{mem_usage_percent_avg}}\n\n内存使用: {{mem_usage_value}}\n\n内存限制: {{mem_limit_value}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n时间: {{timestamp}}\n','{\"container_id\":\"string:6\",\"mem_limit_value\":\"size:byte\",\"mem_usage_percent_avg\":\"percent:1\",\"mem_usage_value\":\"size:byte\"}','1.0','2021-05-28 11:55:02','2021-05-28 11:55:02',0),(3156,'注册中心实例CPU使用率异常','micro_service','register_center_cpu','dingding','alert','【注册中心实例CPU使用率告警】\n','【注册中心实例CPU使用率异常告警】\n\n组件: {{addon_type}}\n\n实例: {{pod_namespace}} - {{pod_name}}\n\nCPU平均使用率: {{cpu_usage_percent_avg}}\n\nCPU限制: {{cpu_limit_value}}核\n\nCPU分配: {{cpu_allocation_value}}核\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n时间: {{timestamp}}\n','{\"container_id\":\"string:6\",\"cpu_allocation_value\":\"fraction:1\",\"cpu_limit_value\":\"fraction:1\",\"cpu_usage_percent_avg\":\"percent:1\"}','1.0','2021-05-28 11:55:02','2021-05-28 11:55:02',0),(3157,'注册中心实例CPU使用率异常','micro_service','register_center_cpu','ticket','alert','【注册中心实例CPU使用率告警】\n','【注册中心实例CPU使用率异常告警】\n\n组件: {{addon_type}}\n\n实例: {{pod_namespace}} - {{pod_name}}\n\nCPU平均使用率: {{cpu_usage_percent_avg}}\n\nCPU限制: {{cpu_limit_value}}核\n\nCPU分配: {{cpu_allocation_value}}核\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n时间: {{timestamp}}\n','{\"container_id\":\"string:6\",\"cpu_allocation_value\":\"fraction:1\",\"cpu_limit_value\":\"fraction:1\",\"cpu_usage_percent_avg\":\"percent:1\"}','1.0','2021-05-28 11:55:02','2021-05-28 11:55:02',0),(3158,'注册中心实例CPU使用率异常','micro_service','register_center_cpu','email','alert','【注册中心实例CPU使用率告警】\n','【注册中心实例CPU使用率异常告警】\n\n组件: {{addon_type}}\n\n实例: {{pod_namespace}} - {{pod_name}}\n\nCPU平均使用率: {{cpu_usage_percent_avg}}\n\nCPU限制: {{cpu_limit_value}}核\n\nCPU分配: {{cpu_allocation_value}}核\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n时间: {{timestamp}}\n','{\"container_id\":\"string:6\",\"cpu_allocation_value\":\"fraction:1\",\"cpu_limit_value\":\"fraction:1\",\"cpu_usage_percent_avg\":\"percent:1\"}','1.0','2021-05-28 11:55:02','2021-05-28 11:55:02',0),(3159,'注册中心实例CPU使用率异常','micro_service','register_center_cpu','mbox','alert','【注册中心实例CPU使用率告警】\n','【注册中心实例CPU使用率异常告警】\n\n组件: {{addon_type}}\n\n实例: {{pod_namespace}} - {{pod_name}}\n\nCPU平均使用率: {{cpu_usage_percent_avg}}\n\nCPU限制: {{cpu_limit_value}}核\n\nCPU分配: {{cpu_allocation_value}}核\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n时间: {{timestamp}}\n','{\"container_id\":\"string:6\",\"cpu_allocation_value\":\"fraction:1\",\"cpu_limit_value\":\"fraction:1\",\"cpu_usage_percent_avg\":\"percent:1\"}','1.0','2021-05-28 11:55:02','2021-05-28 11:55:02',0),(3160,'注册中心实例CPU使用率异常','micro_service','register_center_cpu','webhook','alert','【注册中心实例CPU使用率告警】\n','【注册中心实例CPU使用率异常告警】\n\n组件: {{addon_type}}\n\n实例: {{pod_namespace}} - {{pod_name}}\n\nCPU平均使用率: {{cpu_usage_percent_avg}}\n\nCPU限制: {{cpu_limit_value}}核\n\nCPU分配: {{cpu_allocation_value}}核\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n时间: {{timestamp}}\n','{\"container_id\":\"string:6\",\"cpu_allocation_value\":\"fraction:1\",\"cpu_limit_value\":\"fraction:1\",\"cpu_usage_percent_avg\":\"percent:1\"}','1.0','2021-05-28 11:55:02','2021-05-28 11:55:02',0),(3161,'注册中心实例内存使用率异常','micro_service','register_center_mem','dingding','alert','【注册中心实例内存使用率告警】\n','【注册中心实例内存使用率异常告警】\n\n组件: {{addon_type}}\n\n实例: {{pod_namespace}} - {{pod_name}}\n\n内存使用率: {{mem_usage_percent_avg}}\n\n内存使用: {{mem_usage_value}}\n\n内存限制: {{mem_limit_value}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n时间: {{timestamp}}\n','{\"container_id\":\"string:6\",\"mem_limit_value\":\"size:byte\",\"mem_usage_percent_avg\":\"percent:1\",\"mem_usage_value\":\"size:byte\"}','1.0','2021-05-28 11:55:02','2021-05-28 11:55:02',0),(3162,'注册中心实例内存使用率异常','micro_service','register_center_mem','ticket','alert','【注册中心实例内存使用率告警】\n','【注册中心实例内存使用率异常告警】\n\n组件: {{addon_type}}\n\n实例: {{pod_namespace}} - {{pod_name}}\n\n内存使用率: {{mem_usage_percent_avg}}\n\n内存使用: {{mem_usage_value}}\n\n内存限制: {{mem_limit_value}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n时间: {{timestamp}}\n','{\"container_id\":\"string:6\",\"mem_limit_value\":\"size:byte\",\"mem_usage_percent_avg\":\"percent:1\",\"mem_usage_value\":\"size:byte\"}','1.0','2021-05-28 11:55:02','2021-05-28 11:55:02',0),(3163,'注册中心实例内存使用率异常','micro_service','register_center_mem','email','alert','【注册中心实例内存使用率告警】\n','【注册中心实例内存使用率异常告警】\n\n组件: {{addon_type}}\n\n实例: {{pod_namespace}} - {{pod_name}}\n\n内存使用率: {{mem_usage_percent_avg}}\n\n内存使用: {{mem_usage_value}}\n\n内存限制: {{mem_limit_value}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n时间: {{timestamp}}\n','{\"container_id\":\"string:6\",\"mem_limit_value\":\"size:byte\",\"mem_usage_percent_avg\":\"percent:1\",\"mem_usage_value\":\"size:byte\"}','1.0','2021-05-28 11:55:02','2021-05-28 11:55:02',0),(3164,'注册中心实例内存使用率异常','micro_service','register_center_mem','mbox','alert','【注册中心实例内存使用率告警】\n','【注册中心实例内存使用率异常告警】\n\n组件: {{addon_type}}\n\n实例: {{pod_namespace}} - {{pod_name}}\n\n内存使用率: {{mem_usage_percent_avg}}\n\n内存使用: {{mem_usage_value}}\n\n内存限制: {{mem_limit_value}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n时间: {{timestamp}}\n','{\"container_id\":\"string:6\",\"mem_limit_value\":\"size:byte\",\"mem_usage_percent_avg\":\"percent:1\",\"mem_usage_value\":\"size:byte\"}','1.0','2021-05-28 11:55:02','2021-05-28 11:55:02',0),(3165,'注册中心实例内存使用率异常','micro_service','register_center_mem','webhook','alert','【注册中心实例内存使用率告警】\n','【注册中心实例内存使用率异常告警】\n\n组件: {{addon_type}}\n\n实例: {{pod_namespace}} - {{pod_name}}\n\n内存使用率: {{mem_usage_percent_avg}}\n\n内存使用: {{mem_usage_value}}\n\n内存限制: {{mem_limit_value}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n时间: {{timestamp}}\n','{\"container_id\":\"string:6\",\"mem_limit_value\":\"size:byte\",\"mem_usage_percent_avg\":\"percent:1\",\"mem_usage_value\":\"size:byte\"}','1.0','2021-05-28 11:55:02','2021-05-28 11:55:02',0),(3166,'服务熔断通知告警','micro_service','sidecar_circuit_breaker','dingding','alert','【{{application_name}}应用{{service_name}}服务发生熔断告警】\n','【服务熔断告警】\n\n服务发生熔断 !\n\n项目: {{project_name}}\n\n环境: {{workspace}}\n\n应用: {{application_name}}\n\n服务: {{runtime_name}} / {{service_name}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n时间: {{timestamp}}\n','','1.0','2021-05-28 11:55:02','2021-05-28 11:55:02',0),(3167,'服务熔断通知告警','micro_service','sidecar_circuit_breaker','ticket','alert','【{{application_name}}应用{{service_name}}服务发生熔断告警】\n','【服务熔断告警】\n\n服务发生熔断 !\n\n项目: {{project_name}}\n\n环境: {{workspace}}\n\n应用: {{application_name}}\n\n服务: {{runtime_name}} / {{service_name}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n时间: {{timestamp}}\n','','1.0','2021-05-28 11:55:02','2021-05-28 11:55:02',0),(3168,'服务熔断通知告警','micro_service','sidecar_circuit_breaker','email','alert','【{{application_name}}应用{{service_name}}服务发生熔断告警】\n','【服务熔断告警】\n\n服务发生熔断 !\n\n项目: {{project_name}}\n\n环境: {{workspace}}\n\n应用: {{application_name}}\n\n服务: {{runtime_name}} / {{service_name}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n时间: {{timestamp}}\n','','1.0','2021-05-28 11:55:02','2021-05-28 11:55:02',0),(3169,'服务熔断通知告警','micro_service','sidecar_circuit_breaker','mbox','alert','【{{application_name}}应用{{service_name}}服务发生熔断告警】\n','【服务熔断告警】\n\n服务发生熔断 !\n\n项目: {{project_name}}\n\n环境: {{workspace}}\n\n应用: {{application_name}}\n\n服务: {{runtime_name}} / {{service_name}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n时间: {{timestamp}}\n','','1.0','2021-05-28 11:55:02','2021-05-28 11:55:02',0),(3170,'服务熔断通知告警','micro_service','sidecar_circuit_breaker','webhook','alert','【{{application_name}}应用{{service_name}}服务发生熔断告警】\n','【服务熔断告警】\n\n服务发生熔断 !\n\n项目: {{project_name}}\n\n环境: {{workspace}}\n\n应用: {{application_name}}\n\n服务: {{runtime_name}} / {{service_name}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n时间: {{timestamp}}\n','','1.0','2021-05-28 11:55:02','2021-05-28 11:55:02',0),(3171,'ElasticSearch实例CPU使用率异常告警','addon','addon_elasticsearch_cpu','dingding','alert','【ElasticSearch实例CPU使用率告警】\n','【ElasticSearch实例CPU使用率异常告警】\n\n组件: {{addon_type}}\n\n实例: {{pod_namespace}} - {{pod_name}}\n\nCPU平均使用率: {{cpu_usage_percent_avg}}\n\nCPU限制: {{cpu_limit_value}}核\n\nCPU分配: {{cpu_allocation_value}}核\n\n集群 / 机器: {{cluster_name}} / {{host_ip}}\n\n容器ID: {{container_id}}\n\n机器: {{host_ip}}\n\n时间: {{timestamp}}\n','{\"container_id\":\"string:6\",\"cpu_usage_percent_avg\":\"percent:1\",\"limit_value\":\"fraction:1\"}','1.0','2021-05-28 11:55:02','2021-05-28 11:55:03',0),(3172,'ElasticSearch实例CPU使用率异常告警','addon','addon_elasticsearch_cpu','ticket','alert','【ElasticSearch实例CPU使用率告警】\n','【ElasticSearch实例CPU使用率异常告警】\n\n组件: {{addon_type}}\n\n实例: {{pod_namespace}} - {{pod_name}}\n\nCPU平均使用率: {{cpu_usage_percent_avg}}\n\nCPU限制: {{cpu_limit_value}}核\n\nCPU分配: {{cpu_allocation_value}}核\n\n集群 / 机器: {{cluster_name}} / {{host_ip}}\n\n容器ID: {{container_id}}\n\n机器: {{host_ip}}\n\n时间: {{timestamp}}\n','{\"container_id\":\"string:6\",\"cpu_usage_percent_avg\":\"percent:1\",\"limit_value\":\"fraction:1\"}','1.0','2021-05-28 11:55:02','2021-05-28 11:55:03',0),(3173,'ElasticSearch实例CPU使用率异常告警','addon','addon_elasticsearch_cpu','email','alert','【ElasticSearch实例CPU使用率告警】\n','【ElasticSearch实例CPU使用率异常告警】\n\n组件: {{addon_type}}\n\n实例: {{pod_namespace}} - {{pod_name}}\n\nCPU平均使用率: {{cpu_usage_percent_avg}}\n\nCPU限制: {{cpu_limit_value}}核\n\nCPU分配: {{cpu_allocation_value}}核\n\n集群 / 机器: {{cluster_name}} / {{host_ip}}\n\n容器ID: {{container_id}}\n\n机器: {{host_ip}}\n\n时间: {{timestamp}}\n','{\"container_id\":\"string:6\",\"cpu_usage_percent_avg\":\"percent:1\",\"limit_value\":\"fraction:1\"}','1.0','2021-05-28 11:55:02','2021-05-28 11:55:03',0),(3174,'ElasticSearch实例CPU使用率异常告警','addon','addon_elasticsearch_cpu','mbox','alert','【ElasticSearch实例CPU使用率告警】\n','【ElasticSearch实例CPU使用率异常告警】\n\n组件: {{addon_type}}\n\n实例: {{pod_namespace}} - {{pod_name}}\n\nCPU平均使用率: {{cpu_usage_percent_avg}}\n\nCPU限制: {{cpu_limit_value}}核\n\nCPU分配: {{cpu_allocation_value}}核\n\n集群 / 机器: {{cluster_name}} / {{host_ip}}\n\n容器ID: {{container_id}}\n\n机器: {{host_ip}}\n\n时间: {{timestamp}}\n','{\"container_id\":\"string:6\",\"cpu_usage_percent_avg\":\"percent:1\",\"limit_value\":\"fraction:1\"}','1.0','2021-05-28 11:55:02','2021-05-28 11:55:03',0),(3175,'ElasticSearch实例CPU使用率异常告警','addon','addon_elasticsearch_cpu','webhook','alert','【ElasticSearch实例CPU使用率告警】\n','【ElasticSearch实例CPU使用率异常告警】\n\n组件: {{addon_type}}\n\n实例: {{pod_namespace}} - {{pod_name}}\n\nCPU平均使用率: {{cpu_usage_percent_avg}}\n\nCPU限制: {{cpu_limit_value}}核\n\nCPU分配: {{cpu_allocation_value}}核\n\n集群 / 机器: {{cluster_name}} / {{host_ip}}\n\n容器ID: {{container_id}}\n\n机器: {{host_ip}}\n\n时间: {{timestamp}}\n','{\"container_id\":\"string:6\",\"cpu_usage_percent_avg\":\"percent:1\",\"limit_value\":\"fraction:1\"}','1.0','2021-05-28 11:55:02','2021-05-28 11:55:03',0),(3176,'Elasticsearch实例内存使用率异常告警','addon','addon_elasticsearch_mem','dingding','alert','【Elasticsearch实例内存使用率告警】\n','【Elasticsearch实例内存使用率告警】\n\n组件: {{addon_type}}\n\n实例ID: {{addon_id}}\n\n实例: {{pod_namespace}} - {{pod_name}}\n\n平均使用率: {{mem_usage_percent_avg}}\n\n集群 / 机器: {{cluster_name}} / {{host_ip}}\n\n容器ID: {{container_id}}\n\n机器: {{host_ip}}\n\n时间: {{timestamp}}','{\"container_id\":\"string:6\",\"mem_limit_value\":\"fraction:1\",\"mem_usage_percent_avg\":\"percent:1\"}','1.0','2021-05-28 11:55:02','2021-05-28 11:55:03',0),(3177,'Elasticsearch实例内存使用率异常告警','addon','addon_elasticsearch_mem','ticket','alert','【Elasticsearch实例内存使用率告警】\n','【Elasticsearch实例内存使用率告警】\n\n组件: {{addon_type}}\n\n实例ID: {{addon_id}}\n\n实例: {{pod_namespace}} - {{pod_name}}\n\n平均使用率: {{mem_usage_percent_avg}}\n\n集群 / 机器: {{cluster_name}} / {{host_ip}}\n\n容器ID: {{container_id}}\n\n机器: {{host_ip}}\n\n时间: {{timestamp}}','{\"container_id\":\"string:6\",\"mem_limit_value\":\"fraction:1\",\"mem_usage_percent_avg\":\"percent:1\"}','1.0','2021-05-28 11:55:02','2021-05-28 11:55:03',0),(3178,'Elasticsearch实例内存使用率异常告警','addon','addon_elasticsearch_mem','email','alert','【Elasticsearch实例内存使用率告警】\n','【Elasticsearch实例内存使用率告警】\n\n组件: {{addon_type}}\n\n实例ID: {{addon_id}}\n\n实例: {{pod_namespace}} - {{pod_name}}\n\n平均使用率: {{mem_usage_percent_avg}}\n\n集群 / 机器: {{cluster_name}} / {{host_ip}}\n\n容器ID: {{container_id}}\n\n机器: {{host_ip}}\n\n时间: {{timestamp}}','{\"container_id\":\"string:6\",\"mem_limit_value\":\"fraction:1\",\"mem_usage_percent_avg\":\"percent:1\"}','1.0','2021-05-28 11:55:02','2021-05-28 11:55:03',0),(3179,'Elasticsearch实例内存使用率异常告警','addon','addon_elasticsearch_mem','mbox','alert','【Elasticsearch实例内存使用率告警】\n','【Elasticsearch实例内存使用率告警】\n\n组件: {{addon_type}}\n\n实例ID: {{addon_id}}\n\n实例: {{pod_namespace}} - {{pod_name}}\n\n平均使用率: {{mem_usage_percent_avg}}\n\n集群 / 机器: {{cluster_name}} / {{host_ip}}\n\n容器ID: {{container_id}}\n\n机器: {{host_ip}}\n\n时间: {{timestamp}}','{\"container_id\":\"string:6\",\"mem_limit_value\":\"fraction:1\",\"mem_usage_percent_avg\":\"percent:1\"}','1.0','2021-05-28 11:55:02','2021-05-28 11:55:03',0),(3180,'Elasticsearch实例内存使用率异常告警','addon','addon_elasticsearch_mem','webhook','alert','【Elasticsearch实例内存使用率告警】\n','【Elasticsearch实例内存使用率告警】\n\n组件: {{addon_type}}\n\n实例ID: {{addon_id}}\n\n实例: {{pod_namespace}} - {{pod_name}}\n\n平均使用率: {{mem_usage_percent_avg}}\n\n集群 / 机器: {{cluster_name}} / {{host_ip}}\n\n容器ID: {{container_id}}\n\n机器: {{host_ip}}\n\n时间: {{timestamp}}','{\"container_id\":\"string:6\",\"mem_limit_value\":\"fraction:1\",\"mem_usage_percent_avg\":\"percent:1\"}','1.0','2021-05-28 11:55:02','2021-05-28 11:55:03',0),(3181,'MySQL实例CPU使用率异常告警','addon','addon_mysql_cpu','dingding','alert','【MySQL实例CPU使用率告警】\n','【MySQL实例CPU使用率异常告警】\n\n组件: {{addon_type}}\n\n实例: {{pod_namespace}} - {{pod_name}}\n\nCPU平均使用率: {{cpu_usage_percent_avg}}\n\nCPU限制: {{cpu_limit_value}}核\n\nCPU分配: {{cpu_allocation_value}}核\n\n集群 / 机器: {{cluster_name}} / {{host_ip}}\n\n容器ID: {{container_id}}\n\n机器: {{host_ip}}\n\n时间: {{timestamp}}','{\"container_id\":\"string:6\",\"cpu_limit_value\":\"fraction:1\",\"cpu_usage_percent_avg\":\"percent:1\"}','1.0','2021-05-28 11:55:02','2021-05-28 11:55:03',0),(3182,'MySQL实例CPU使用率异常告警','addon','addon_mysql_cpu','ticket','alert','【MySQL实例CPU使用率告警】\n','【MySQL实例CPU使用率异常告警】\n\n组件: {{addon_type}}\n\n实例: {{pod_namespace}} - {{pod_name}}\n\nCPU平均使用率: {{cpu_usage_percent_avg}}\n\nCPU限制: {{cpu_limit_value}}核\n\nCPU分配: {{cpu_allocation_value}}核\n\n集群 / 机器: {{cluster_name}} / {{host_ip}}\n\n容器ID: {{container_id}}\n\n机器: {{host_ip}}\n\n时间: {{timestamp}}','{\"container_id\":\"string:6\",\"cpu_limit_value\":\"fraction:1\",\"cpu_usage_percent_avg\":\"percent:1\"}','1.0','2021-05-28 11:55:02','2021-05-28 11:55:03',0),(3183,'MySQL实例CPU使用率异常告警','addon','addon_mysql_cpu','email','alert','【MySQL实例CPU使用率告警】\n','【MySQL实例CPU使用率异常告警】\n\n组件: {{addon_type}}\n\n实例: {{pod_namespace}} - {{pod_name}}\n\nCPU平均使用率: {{cpu_usage_percent_avg}}\n\nCPU限制: {{cpu_limit_value}}核\n\nCPU分配: {{cpu_allocation_value}}核\n\n集群 / 机器: {{cluster_name}} / {{host_ip}}\n\n容器ID: {{container_id}}\n\n机器: {{host_ip}}\n\n时间: {{timestamp}}','{\"container_id\":\"string:6\",\"cpu_limit_value\":\"fraction:1\",\"cpu_usage_percent_avg\":\"percent:1\"}','1.0','2021-05-28 11:55:02','2021-05-28 11:55:03',0),(3184,'MySQL实例CPU使用率异常告警','addon','addon_mysql_cpu','mbox','alert','【MySQL实例CPU使用率告警】\n','【MySQL实例CPU使用率异常告警】\n\n组件: {{addon_type}}\n\n实例: {{pod_namespace}} - {{pod_name}}\n\nCPU平均使用率: {{cpu_usage_percent_avg}}\n\nCPU限制: {{cpu_limit_value}}核\n\nCPU分配: {{cpu_allocation_value}}核\n\n集群 / 机器: {{cluster_name}} / {{host_ip}}\n\n容器ID: {{container_id}}\n\n机器: {{host_ip}}\n\n时间: {{timestamp}}','{\"container_id\":\"string:6\",\"cpu_limit_value\":\"fraction:1\",\"cpu_usage_percent_avg\":\"percent:1\"}','1.0','2021-05-28 11:55:02','2021-05-28 11:55:03',0),(3185,'MySQL实例CPU使用率异常告警','addon','addon_mysql_cpu','webhook','alert','【MySQL实例CPU使用率告警】\n','【MySQL实例CPU使用率异常告警】\n\n组件: {{addon_type}}\n\n实例: {{pod_namespace}} - {{pod_name}}\n\nCPU平均使用率: {{cpu_usage_percent_avg}}\n\nCPU限制: {{cpu_limit_value}}核\n\nCPU分配: {{cpu_allocation_value}}核\n\n集群 / 机器: {{cluster_name}} / {{host_ip}}\n\n容器ID: {{container_id}}\n\n机器: {{host_ip}}\n\n时间: {{timestamp}}','{\"container_id\":\"string:6\",\"cpu_limit_value\":\"fraction:1\",\"cpu_usage_percent_avg\":\"percent:1\"}','1.0','2021-05-28 11:55:02','2021-05-28 11:55:03',0),(3186,'MySQL实例内存使用率异常告警','addon','addon_mysql_mem','dingding','alert','【MySQL实例内存使用率告警】\n','【MySQL实例内存使用率告警】\n\n组件: {{addon_type}}\n\n实例ID: {{addon_id}}\n\n实例: {{pod_namespace}} - {{pod_name}}\n\n平均使用率: {{mem_usage_percent_avg}}\n\n集群 / 机器: {{cluster_name}} / {{host_ip}}\n\n容器ID: {{container_id}}\n\n机器: {{host_ip}}\n\n时间: {{timestamp}}','{\"container_id\":\"string:6\",\"mem_limit_value\":\"fraction:1\",\"mem_usage_percent_avg\":\"percent:1\"}','1.0','2021-05-28 11:55:02','2021-05-28 11:55:03',0),(3187,'MySQL实例内存使用率异常告警','addon','addon_mysql_mem','ticket','alert','【MySQL实例内存使用率告警】\n','【MySQL实例内存使用率告警】\n\n组件: {{addon_type}}\n\n实例ID: {{addon_id}}\n\n实例: {{pod_namespace}} - {{pod_name}}\n\n平均使用率: {{mem_usage_percent_avg}}\n\n集群 / 机器: {{cluster_name}} / {{host_ip}}\n\n容器ID: {{container_id}}\n\n机器: {{host_ip}}\n\n时间: {{timestamp}}','{\"container_id\":\"string:6\",\"mem_limit_value\":\"fraction:1\",\"mem_usage_percent_avg\":\"percent:1\"}','1.0','2021-05-28 11:55:02','2021-05-28 11:55:03',0),(3188,'MySQL实例内存使用率异常告警','addon','addon_mysql_mem','email','alert','【MySQL实例内存使用率告警】\n','【MySQL实例内存使用率告警】\n\n组件: {{addon_type}}\n\n实例ID: {{addon_id}}\n\n实例: {{pod_namespace}} - {{pod_name}}\n\n平均使用率: {{mem_usage_percent_avg}}\n\n集群 / 机器: {{cluster_name}} / {{host_ip}}\n\n容器ID: {{container_id}}\n\n机器: {{host_ip}}\n\n时间: {{timestamp}}','{\"container_id\":\"string:6\",\"mem_limit_value\":\"fraction:1\",\"mem_usage_percent_avg\":\"percent:1\"}','1.0','2021-05-28 11:55:02','2021-05-28 11:55:03',0),(3189,'MySQL实例内存使用率异常告警','addon','addon_mysql_mem','mbox','alert','【MySQL实例内存使用率告警】\n','【MySQL实例内存使用率告警】\n\n组件: {{addon_type}}\n\n实例ID: {{addon_id}}\n\n实例: {{pod_namespace}} - {{pod_name}}\n\n平均使用率: {{mem_usage_percent_avg}}\n\n集群 / 机器: {{cluster_name}} / {{host_ip}}\n\n容器ID: {{container_id}}\n\n机器: {{host_ip}}\n\n时间: {{timestamp}}','{\"container_id\":\"string:6\",\"mem_limit_value\":\"fraction:1\",\"mem_usage_percent_avg\":\"percent:1\"}','1.0','2021-05-28 11:55:02','2021-05-28 11:55:03',0),(3190,'MySQL实例内存使用率异常告警','addon','addon_mysql_mem','webhook','alert','【MySQL实例内存使用率告警】\n','【MySQL实例内存使用率告警】\n\n组件: {{addon_type}}\n\n实例ID: {{addon_id}}\n\n实例: {{pod_namespace}} - {{pod_name}}\n\n平均使用率: {{mem_usage_percent_avg}}\n\n集群 / 机器: {{cluster_name}} / {{host_ip}}\n\n容器ID: {{container_id}}\n\n机器: {{host_ip}}\n\n时间: {{timestamp}}','{\"container_id\":\"string:6\",\"mem_limit_value\":\"fraction:1\",\"mem_usage_percent_avg\":\"percent:1\"}','1.0','2021-05-28 11:55:02','2021-05-28 11:55:03',0),(3191,'MySQL实例主从同步异常告警','addon','addon_mysql_slave_status','dingding','alert','【MySQL实例主从同步异常】\n','【MySQL实例主从同步异常】\n\n组件: \"mysql\"\n\n实例ID: {{addon_id}}\n\n从节点IO异常状态: {{slave_slave_io_running_value}}\n\n从节点连接异常状态: {{slave_slave_sql_running_value}}\n\n集群 / 机器: {{cluster_name}} / {{host_ip}}\n\n机器: {{host_ip}}\n\n时间: {{timestamp}}','{\"limit_value\":\"fraction:1\",\"usage_percent_avg\":\"percent:1\"}','1.0','2021-05-28 11:55:02','2021-05-28 11:55:03',0),(3192,'MySQL实例主从同步异常告警','addon','addon_mysql_slave_status','ticket','alert','【MySQL实例主从同步异常】\n','【MySQL实例主从同步异常】\n\n组件: \"mysql\"\n\n实例ID: {{addon_id}}\n\n从节点IO异常状态: {{slave_slave_io_running_value}}\n\n从节点连接异常状态: {{slave_slave_sql_running_value}}\n\n集群 / 机器: {{cluster_name}} / {{host_ip}}\n\n机器: {{host_ip}}\n\n时间: {{timestamp}}','{\"limit_value\":\"fraction:1\",\"usage_percent_avg\":\"percent:1\"}','1.0','2021-05-28 11:55:02','2021-05-28 11:55:03',0),(3193,'MySQL实例主从同步异常告警','addon','addon_mysql_slave_status','email','alert','【MySQL实例主从同步异常】\n','【MySQL实例主从同步异常】\n\n组件: \"mysql\"\n\n实例ID: {{addon_id}}\n\n从节点IO异常状态: {{slave_slave_io_running_value}}\n\n从节点连接异常状态: {{slave_slave_sql_running_value}}\n\n集群 / 机器: {{cluster_name}} / {{host_ip}}\n\n机器: {{host_ip}}\n\n时间: {{timestamp}}','{\"limit_value\":\"fraction:1\",\"usage_percent_avg\":\"percent:1\"}','1.0','2021-05-28 11:55:02','2021-05-28 11:55:03',0),(3194,'MySQL实例主从同步异常告警','addon','addon_mysql_slave_status','mbox','alert','【MySQL实例主从同步异常】\n','【MySQL实例主从同步异常】\n\n组件: \"mysql\"\n\n实例ID: {{addon_id}}\n\n从节点IO异常状态: {{slave_slave_io_running_value}}\n\n从节点连接异常状态: {{slave_slave_sql_running_value}}\n\n集群 / 机器: {{cluster_name}} / {{host_ip}}\n\n机器: {{host_ip}}\n\n时间: {{timestamp}}','{\"limit_value\":\"fraction:1\",\"usage_percent_avg\":\"percent:1\"}','1.0','2021-05-28 11:55:02','2021-05-28 11:55:03',0),(3195,'MySQL实例主从同步异常告警','addon','addon_mysql_slave_status','webhook','alert','【MySQL实例主从同步异常】\n','【MySQL实例主从同步异常】\n\n组件: \"mysql\"\n\n实例ID: {{addon_id}}\n\n从节点IO异常状态: {{slave_slave_io_running_value}}\n\n从节点连接异常状态: {{slave_slave_sql_running_value}}\n\n集群 / 机器: {{cluster_name}} / {{host_ip}}\n\n机器: {{host_ip}}\n\n时间: {{timestamp}}','{\"limit_value\":\"fraction:1\",\"usage_percent_avg\":\"percent:1\"}','1.0','2021-05-28 11:55:02','2021-05-28 11:55:03',0),(3196,'redis实例内存使用率异常告警','addon','addon_redis_mem','dingding','alert','【redis实例内存使用率异常告警】\n','【redis实例内存使用率异常告警】\n\n组件: {{addon_type}}\n\n实例ID: {{addon_id}}\n\n实例: {{pod_namespace}} - {{pod_name}}\n\n平均使用率: {{mem_usage_percent_avg}}\n\n集群 / 机器: {{cluster_name}} / {{host_ip}}\n\n容器ID: {{container_id}}\n\n机器: {{host_ip}}\n\n时间: {{timestamp}}','{\"container_id\":\"string:6\",\"mem_limit_value\":\"fraction:1\",\"mem_usage_percent_avg\":\"percent:1\"}','1.0','2021-05-28 11:55:02','2021-05-28 11:55:03',0),(3197,'redis实例内存使用率异常告警','addon','addon_redis_mem','ticket','alert','【redis实例内存使用率异常告警】\n','【redis实例内存使用率异常告警】\n\n组件: {{addon_type}}\n\n实例ID: {{addon_id}}\n\n实例: {{pod_namespace}} - {{pod_name}}\n\n平均使用率: {{mem_usage_percent_avg}}\n\n集群 / 机器: {{cluster_name}} / {{host_ip}}\n\n容器ID: {{container_id}}\n\n机器: {{host_ip}}\n\n时间: {{timestamp}}','{\"container_id\":\"string:6\",\"mem_limit_value\":\"fraction:1\",\"mem_usage_percent_avg\":\"percent:1\"}','1.0','2021-05-28 11:55:02','2021-05-28 11:55:03',0),(3198,'redis实例内存使用率异常告警','addon','addon_redis_mem','email','alert','【redis实例内存使用率异常告警】\n','【redis实例内存使用率异常告警】\n\n组件: {{addon_type}}\n\n实例ID: {{addon_id}}\n\n实例: {{pod_namespace}} - {{pod_name}}\n\n平均使用率: {{mem_usage_percent_avg}}\n\n集群 / 机器: {{cluster_name}} / {{host_ip}}\n\n容器ID: {{container_id}}\n\n机器: {{host_ip}}\n\n时间: {{timestamp}}','{\"container_id\":\"string:6\",\"mem_limit_value\":\"fraction:1\",\"mem_usage_percent_avg\":\"percent:1\"}','1.0','2021-05-28 11:55:02','2021-05-28 11:55:03',0),(3199,'redis实例内存使用率异常告警','addon','addon_redis_mem','mbox','alert','【redis实例内存使用率异常告警】\n','【redis实例内存使用率异常告警】\n\n组件: {{addon_type}}\n\n实例ID: {{addon_id}}\n\n实例: {{pod_namespace}} - {{pod_name}}\n\n平均使用率: {{mem_usage_percent_avg}}\n\n集群 / 机器: {{cluster_name}} / {{host_ip}}\n\n容器ID: {{container_id}}\n\n机器: {{host_ip}}\n\n时间: {{timestamp}}','{\"container_id\":\"string:6\",\"mem_limit_value\":\"fraction:1\",\"mem_usage_percent_avg\":\"percent:1\"}','1.0','2021-05-28 11:55:02','2021-05-28 11:55:03',0),(3200,'redis实例内存使用率异常告警','addon','addon_redis_mem','webhook','alert','【redis实例内存使用率异常告警】\n','【redis实例内存使用率异常告警】\n\n组件: {{addon_type}}\n\n实例ID: {{addon_id}}\n\n实例: {{pod_namespace}} - {{pod_name}}\n\n平均使用率: {{mem_usage_percent_avg}}\n\n集群 / 机器: {{cluster_name}} / {{host_ip}}\n\n容器ID: {{container_id}}\n\n机器: {{host_ip}}\n\n时间: {{timestamp}}','{\"container_id\":\"string:6\",\"mem_limit_value\":\"fraction:1\",\"mem_usage_percent_avg\":\"percent:1\"}','1.0','2021-05-28 11:55:02','2021-05-28 11:55:03',0),(3201,'应用异常','app_exception','app_exception_count','dingding','alert','【{{application_name}}应用{{service_name}}服务异常告警】\n','【应用异常告警】\n\n项目: {{project_name}}\n\n应用: {{application_name}}\n\n服务: {{runtime_name}} - {{service_name}}\n\n实例: {{instance_id}}\n\n类: {{class}}\n\n方法: {{method}}\n\n行数: {{line}}\n\n错误: {{type}}\n\n事件: {{window}}分钟内出现 {{count_sum}} 次\n\n时间: {{timestamp}}\n\n[查看详情]({{display_url}})\n','','1.0','2021-05-28 11:55:02','2021-05-28 11:55:03',0),(3202,'应用异常','app_exception','app_exception_count','ticket','alert','【{{application_name}}应用{{service_name}}服务异常告警】\n','【应用异常告警】\n\n项目: {{project_name}}\n\n应用: {{application_name}}\n\n服务: {{runtime_name}} - {{service_name}}\n\n实例: {{instance_id}}\n\n类: {{class}}\n\n方法: {{method}}\n\n行数: {{line}}\n\n错误: {{type}}\n\n事件: {{window}}分钟内出现 {{count_sum}} 次\n\n时间: {{timestamp}}\n\n[查看详情]({{display_url}})\n','','1.0','2021-05-28 11:55:02','2021-05-28 11:55:03',0),(3203,'应用异常','app_exception','app_exception_count','email','alert','【{{application_name}}应用{{service_name}}服务异常告警】\n','【应用异常告警】\n\n项目: {{project_name}}\n\n应用: {{application_name}}\n\n服务: {{runtime_name}} - {{service_name}}\n\n实例: {{instance_id}}\n\n类: {{class}}\n\n方法: {{method}}\n\n行数: {{line}}\n\n错误: {{type}}\n\n事件: {{window}}分钟内出现 {{count_sum}} 次\n\n时间: {{timestamp}}\n\n[查看详情]({{display_url}})\n','','1.0','2021-05-28 11:55:02','2021-05-28 11:55:03',0),(3204,'应用异常','app_exception','app_exception_count','mbox','alert','【{{application_name}}应用{{service_name}}服务异常告警】\n','【应用异常告警】\n\n项目: {{project_name}}\n\n应用: {{application_name}}\n\n服务: {{runtime_name}} - {{service_name}}\n\n实例: {{instance_id}}\n\n类: {{class}}\n\n方法: {{method}}\n\n行数: {{line}}\n\n错误: {{type}}\n\n事件: {{window}}分钟内出现 {{count_sum}} 次\n\n时间: {{timestamp}}\n\n[查看详情]({{display_url}})\n','','1.0','2021-05-28 11:55:02','2021-05-28 11:55:03',0),(3205,'应用异常','app_exception','app_exception_count','webhook','alert','【{{application_name}}应用{{service_name}}服务异常告警】\n','【应用异常告警】\n\n项目: {{project_name}}\n\n应用: {{application_name}}\n\n服务: {{runtime_name}} - {{service_name}}\n\n实例: {{instance_id}}\n\n类: {{class}}\n\n方法: {{method}}\n\n行数: {{line}}\n\n错误: {{type}}\n\n事件: {{window}}分钟内出现 {{count_sum}} 次\n\n时间: {{timestamp}}\n\n[查看详情]({{display_url}})\n','','1.0','2021-05-28 11:55:02','2021-05-28 11:55:03',0),(3206,'应用异常','app_exception','app_exception_count','dingding','recover','【{{application_name}}应用{{service_name}}服务异常恢复】\n','【应用异常恢复】\n\n项目: {{project_name}}\n\n应用: {{application_name}}\n\n服务: {{runtime_name}} - {{service_name}}\n\n实例: {{instance_id}}\n\n类: {{class}}\n\n方法: {{method}}\n\n行数: {{line}}\n\n错误: {{type}}\n\n持续时间: {{trigger_duration_min}}\n\n恢复时间: {{timestamp}}','','1.0','2021-05-28 11:55:02','2021-05-28 11:55:03',0),(3207,'应用异常','app_exception','app_exception_count','ticket','recover','【{{application_name}}应用{{service_name}}服务异常恢复】\n','【应用异常恢复】\n\n项目: {{project_name}}\n\n应用: {{application_name}}\n\n服务: {{runtime_name}} - {{service_name}}\n\n实例: {{instance_id}}\n\n类: {{class}}\n\n方法: {{method}}\n\n行数: {{line}}\n\n错误: {{type}}\n\n持续时间: {{trigger_duration_min}}\n\n恢复时间: {{timestamp}}','','1.0','2021-05-28 11:55:02','2021-05-28 11:55:03',0),(3208,'应用异常','app_exception','app_exception_count','email','recover','【{{application_name}}应用{{service_name}}服务异常恢复】\n','【应用异常恢复】\n\n项目: {{project_name}}\n\n应用: {{application_name}}\n\n服务: {{runtime_name}} - {{service_name}}\n\n实例: {{instance_id}}\n\n类: {{class}}\n\n方法: {{method}}\n\n行数: {{line}}\n\n错误: {{type}}\n\n持续时间: {{trigger_duration_min}}\n\n恢复时间: {{timestamp}}','','1.0','2021-05-28 11:55:02','2021-05-28 11:55:03',0),(3209,'应用异常','app_exception','app_exception_count','mbox','recover','【{{application_name}}应用{{service_name}}服务异常恢复】\n','【应用异常恢复】\n\n项目: {{project_name}}\n\n应用: {{application_name}}\n\n服务: {{runtime_name}} - {{service_name}}\n\n实例: {{instance_id}}\n\n类: {{class}}\n\n方法: {{method}}\n\n行数: {{line}}\n\n错误: {{type}}\n\n持续时间: {{trigger_duration_min}}\n\n恢复时间: {{timestamp}}','','1.0','2021-05-28 11:55:02','2021-05-28 11:55:03',0),(3210,'应用异常','app_exception','app_exception_count','webhook','recover','【{{application_name}}应用{{service_name}}服务异常恢复】\n','【应用异常恢复】\n\n项目: {{project_name}}\n\n应用: {{application_name}}\n\n服务: {{runtime_name}} - {{service_name}}\n\n实例: {{instance_id}}\n\n类: {{class}}\n\n方法: {{method}}\n\n行数: {{line}}\n\n错误: {{type}}\n\n持续时间: {{trigger_duration_min}}\n\n恢复时间: {{timestamp}}','','1.0','2021-05-28 11:55:02','2021-05-28 11:55:03',0),(3211,'应用实例CPU使用率异常','app_resource','app_resource_container_cpu','dingding','alert','【{{application_name}}应用{{service_name}}服务实例CPU使用率告警】\n','【应用实例CPU使用率异常告警】\n\n项目: {{project_name}}\n\n应用: {{application_name}}\n\n服务实例: {{runtime_name}} - {{service_name}}.{{container_id}}\n\nCPU平均使用率: {{cpu_usage_percent_avg}}\n\nCPU限制: {{cpu_limit_value}}核\n\n机器: {{host_ip}}\n\n时间: {{timestamp}}\n\n[查看详情]({{display_url}})\n','{\"container_id\":\"string:6\",\"cpu_limit_value\":\"fraction:1\",\"cpu_usage_percent_avg\":\"percent:1\"}','1.0','2021-05-28 11:55:02','2021-05-28 11:55:03',0),(3212,'应用实例CPU使用率异常','app_resource','app_resource_container_cpu','ticket','alert','【{{application_name}}应用{{service_name}}服务实例CPU使用率告警】\n','【应用实例CPU使用率异常告警】\n\n项目: {{project_name}}\n\n应用: {{application_name}}\n\n服务实例: {{runtime_name}} - {{service_name}}.{{container_id}}\n\nCPU平均使用率: {{cpu_usage_percent_avg}}\n\nCPU限制: {{cpu_limit_value}}核\n\n机器: {{host_ip}}\n\n时间: {{timestamp}}\n\n[查看详情]({{display_url}})\n','{\"container_id\":\"string:6\",\"cpu_limit_value\":\"fraction:1\",\"cpu_usage_percent_avg\":\"percent:1\"}','1.0','2021-05-28 11:55:02','2021-05-28 11:55:03',0),(3213,'应用实例CPU使用率异常','app_resource','app_resource_container_cpu','email','alert','【{{application_name}}应用{{service_name}}服务实例CPU使用率告警】\n','【应用实例CPU使用率异常告警】\n\n项目: {{project_name}}\n\n应用: {{application_name}}\n\n服务实例: {{runtime_name}} - {{service_name}}.{{container_id}}\n\nCPU平均使用率: {{cpu_usage_percent_avg}}\n\nCPU限制: {{cpu_limit_value}}核\n\n机器: {{host_ip}}\n\n时间: {{timestamp}}\n\n[查看详情]({{display_url}})\n','{\"container_id\":\"string:6\",\"cpu_limit_value\":\"fraction:1\",\"cpu_usage_percent_avg\":\"percent:1\"}','1.0','2021-05-28 11:55:02','2021-05-28 11:55:03',0),(3214,'应用实例CPU使用率异常','app_resource','app_resource_container_cpu','mbox','alert','【{{application_name}}应用{{service_name}}服务实例CPU使用率告警】\n','【应用实例CPU使用率异常告警】\n\n项目: {{project_name}}\n\n应用: {{application_name}}\n\n服务实例: {{runtime_name}} - {{service_name}}.{{container_id}}\n\nCPU平均使用率: {{cpu_usage_percent_avg}}\n\nCPU限制: {{cpu_limit_value}}核\n\n机器: {{host_ip}}\n\n时间: {{timestamp}}\n\n[查看详情]({{display_url}})\n','{\"container_id\":\"string:6\",\"cpu_limit_value\":\"fraction:1\",\"cpu_usage_percent_avg\":\"percent:1\"}','1.0','2021-05-28 11:55:02','2021-05-28 11:55:03',0),(3215,'应用实例CPU使用率异常','app_resource','app_resource_container_cpu','webhook','alert','【{{application_name}}应用{{service_name}}服务实例CPU使用率告警】\n','【应用实例CPU使用率异常告警】\n\n项目: {{project_name}}\n\n应用: {{application_name}}\n\n服务实例: {{runtime_name}} - {{service_name}}.{{container_id}}\n\nCPU平均使用率: {{cpu_usage_percent_avg}}\n\nCPU限制: {{cpu_limit_value}}核\n\n机器: {{host_ip}}\n\n时间: {{timestamp}}\n\n[查看详情]({{display_url}})\n','{\"container_id\":\"string:6\",\"cpu_limit_value\":\"fraction:1\",\"cpu_usage_percent_avg\":\"percent:1\"}','1.0','2021-05-28 11:55:02','2021-05-28 11:55:03',0),(3216,'应用实例CPU使用率恢复','app_resource','app_resource_container_cpu','dingding','recover','【{{application_name}}应用{{service_name}}服务实例CPU使用率恢复】\n','【应用实例CPU使用率恢复】\n\n项目: {{project_name}}\n\n应用: {{application_name}}\n\n服务实例: {{runtime_name}} - {{service_name}}.{{container_id}}\n\n平均使用率: {{cpu_usage_percent_avg}}\n\n机器: {{host_ip}}\n\n容器ID: {{container_id}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}','{\"container_id\":\"string:6\",\"cpu_usage_percent_avg\":\"percent:1\",\"trigger_duration\":\"time:ms\"}','1.0','2021-05-28 11:55:02','2021-05-28 11:55:03',0),(3217,'应用实例CPU使用率恢复','app_resource','app_resource_container_cpu','ticket','recover','【{{application_name}}应用{{service_name}}服务实例CPU使用率恢复】\n','【应用实例CPU使用率恢复】\n\n项目: {{project_name}}\n\n应用: {{application_name}}\n\n服务实例: {{runtime_name}} - {{service_name}}.{{container_id}}\n\n平均使用率: {{cpu_usage_percent_avg}}\n\n机器: {{host_ip}}\n\n容器ID: {{container_id}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}','{\"container_id\":\"string:6\",\"cpu_usage_percent_avg\":\"percent:1\",\"trigger_duration\":\"time:ms\"}','1.0','2021-05-28 11:55:02','2021-05-28 11:55:03',0),(3218,'应用实例CPU使用率恢复','app_resource','app_resource_container_cpu','email','recover','【{{application_name}}应用{{service_name}}服务实例CPU使用率恢复】\n','【应用实例CPU使用率恢复】\n\n项目: {{project_name}}\n\n应用: {{application_name}}\n\n服务实例: {{runtime_name}} - {{service_name}}.{{container_id}}\n\n平均使用率: {{cpu_usage_percent_avg}}\n\n机器: {{host_ip}}\n\n容器ID: {{container_id}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}','{\"container_id\":\"string:6\",\"cpu_usage_percent_avg\":\"percent:1\",\"trigger_duration\":\"time:ms\"}','1.0','2021-05-28 11:55:02','2021-05-28 11:55:03',0),(3219,'应用实例CPU使用率恢复','app_resource','app_resource_container_cpu','mbox','recover','【{{application_name}}应用{{service_name}}服务实例CPU使用率恢复】\n','【应用实例CPU使用率恢复】\n\n项目: {{project_name}}\n\n应用: {{application_name}}\n\n服务实例: {{runtime_name}} - {{service_name}}.{{container_id}}\n\n平均使用率: {{cpu_usage_percent_avg}}\n\n机器: {{host_ip}}\n\n容器ID: {{container_id}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}','{\"container_id\":\"string:6\",\"cpu_usage_percent_avg\":\"percent:1\",\"trigger_duration\":\"time:ms\"}','1.0','2021-05-28 11:55:02','2021-05-28 11:55:03',0),(3220,'应用实例CPU使用率恢复','app_resource','app_resource_container_cpu','webhook','recover','【{{application_name}}应用{{service_name}}服务实例CPU使用率恢复】\n','【应用实例CPU使用率恢复】\n\n项目: {{project_name}}\n\n应用: {{application_name}}\n\n服务实例: {{runtime_name}} - {{service_name}}.{{container_id}}\n\n平均使用率: {{cpu_usage_percent_avg}}\n\n机器: {{host_ip}}\n\n容器ID: {{container_id}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}','{\"container_id\":\"string:6\",\"cpu_usage_percent_avg\":\"percent:1\",\"trigger_duration\":\"time:ms\"}','1.0','2021-05-28 11:55:02','2021-05-28 11:55:03',0),(3221,'应用实例内存使用率异常','app_resource','app_resource_container_mem','dingding','alert','【{{application_name}}应用{{service_name}}服务内存使用率异常告警】\n','【应用实例内存使用率异常告警】\n\n项目: {{project_name}}\n\n应用: {{application_name}}\n\n服务实例: {{runtime_name}} - {{service_name}}.{{container_id}}\n\n内存使用率: {{mem_usage_percent_avg}}\n\n内存使用: {{mem_usage_value}}\n\n内存限制: {{mem_limit_value}}\n\n机器: {{host_ip}}\n\n时间: {{timestamp}}\n\n[查看详情]({{display_url}})\n','{\"container_id\":\"string:6\",\"mem_limit_value\":\"size:byte\",\"mem_usage_percent_avg\":\"percent:1\",\"mem_usage_value\":\"size:byte\"}','1.0','2021-05-28 11:55:02','2021-05-28 11:55:03',0),(3222,'应用实例内存使用率异常','app_resource','app_resource_container_mem','ticket','alert','【{{application_name}}应用{{service_name}}服务内存使用率异常告警】\n','【应用实例内存使用率异常告警】\n\n项目: {{project_name}}\n\n应用: {{application_name}}\n\n服务实例: {{runtime_name}} - {{service_name}}.{{container_id}}\n\n内存使用率: {{mem_usage_percent_avg}}\n\n内存使用: {{mem_usage_value}}\n\n内存限制: {{mem_limit_value}}\n\n机器: {{host_ip}}\n\n时间: {{timestamp}}\n\n[查看详情]({{display_url}})\n','{\"container_id\":\"string:6\",\"mem_limit_value\":\"size:byte\",\"mem_usage_percent_avg\":\"percent:1\",\"mem_usage_value\":\"size:byte\"}','1.0','2021-05-28 11:55:02','2021-05-28 11:55:03',0),(3223,'应用实例内存使用率异常','app_resource','app_resource_container_mem','email','alert','【{{application_name}}应用{{service_name}}服务内存使用率异常告警】\n','【应用实例内存使用率异常告警】\n\n项目: {{project_name}}\n\n应用: {{application_name}}\n\n服务实例: {{runtime_name}} - {{service_name}}.{{container_id}}\n\n内存使用率: {{mem_usage_percent_avg}}\n\n内存使用: {{mem_usage_value}}\n\n内存限制: {{mem_limit_value}}\n\n机器: {{host_ip}}\n\n时间: {{timestamp}}\n\n[查看详情]({{display_url}})\n','{\"container_id\":\"string:6\",\"mem_limit_value\":\"size:byte\",\"mem_usage_percent_avg\":\"percent:1\",\"mem_usage_value\":\"size:byte\"}','1.0','2021-05-28 11:55:02','2021-05-28 11:55:03',0),(3224,'应用实例内存使用率异常','app_resource','app_resource_container_mem','mbox','alert','【{{application_name}}应用{{service_name}}服务内存使用率异常告警】\n','【应用实例内存使用率异常告警】\n\n项目: {{project_name}}\n\n应用: {{application_name}}\n\n服务实例: {{runtime_name}} - {{service_name}}.{{container_id}}\n\n内存使用率: {{mem_usage_percent_avg}}\n\n内存使用: {{mem_usage_value}}\n\n内存限制: {{mem_limit_value}}\n\n机器: {{host_ip}}\n\n时间: {{timestamp}}\n\n[查看详情]({{display_url}})\n','{\"container_id\":\"string:6\",\"mem_limit_value\":\"size:byte\",\"mem_usage_percent_avg\":\"percent:1\",\"mem_usage_value\":\"size:byte\"}','1.0','2021-05-28 11:55:02','2021-05-28 11:55:03',0),(3225,'应用实例内存使用率异常','app_resource','app_resource_container_mem','webhook','alert','【{{application_name}}应用{{service_name}}服务内存使用率异常告警】\n','【应用实例内存使用率异常告警】\n\n项目: {{project_name}}\n\n应用: {{application_name}}\n\n服务实例: {{runtime_name}} - {{service_name}}.{{container_id}}\n\n内存使用率: {{mem_usage_percent_avg}}\n\n内存使用: {{mem_usage_value}}\n\n内存限制: {{mem_limit_value}}\n\n机器: {{host_ip}}\n\n时间: {{timestamp}}\n\n[查看详情]({{display_url}})\n','{\"container_id\":\"string:6\",\"mem_limit_value\":\"size:byte\",\"mem_usage_percent_avg\":\"percent:1\",\"mem_usage_value\":\"size:byte\"}','1.0','2021-05-28 11:55:02','2021-05-28 11:55:03',0),(3226,'应用实例内存异常','app_resource','app_resource_container_mem','dingding','recover','【{{application_name}}应用{{service_name}}服务内存使用率异常恢复】\n','【应用实例内存使用率异常恢复】\n\n项目: {{project_name}}\n\n应用: {{application_name}}\n\n服务实例: {{runtime_name}} - {{service_name}}.{{container_id}}\n\n内存使用率: {{mem_usage_percent_avg}}\n\n内存使用: {{mem_usage_value}}\n\n内存限制: {{mem_limit_value}}\n\n机器: {{host_ip}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}','{\"container_id\":\"string:6\",\"mem_usage_percent_avg\":\"percent:1\",\"trigger_duration\":\"time:ms\"}','1.0','2021-05-28 11:55:02','2021-05-28 11:55:03',0),(3227,'应用实例内存异常','app_resource','app_resource_container_mem','ticket','recover','【{{application_name}}应用{{service_name}}服务内存使用率异常恢复】\n','【应用实例内存使用率异常恢复】\n\n项目: {{project_name}}\n\n应用: {{application_name}}\n\n服务实例: {{runtime_name}} - {{service_name}}.{{container_id}}\n\n内存使用率: {{mem_usage_percent_avg}}\n\n内存使用: {{mem_usage_value}}\n\n内存限制: {{mem_limit_value}}\n\n机器: {{host_ip}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}','{\"container_id\":\"string:6\",\"mem_usage_percent_avg\":\"percent:1\",\"trigger_duration\":\"time:ms\"}','1.0','2021-05-28 11:55:02','2021-05-28 11:55:03',0),(3228,'应用实例内存异常','app_resource','app_resource_container_mem','email','recover','【{{application_name}}应用{{service_name}}服务内存使用率异常恢复】\n','【应用实例内存使用率异常恢复】\n\n项目: {{project_name}}\n\n应用: {{application_name}}\n\n服务实例: {{runtime_name}} - {{service_name}}.{{container_id}}\n\n内存使用率: {{mem_usage_percent_avg}}\n\n内存使用: {{mem_usage_value}}\n\n内存限制: {{mem_limit_value}}\n\n机器: {{host_ip}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}','{\"container_id\":\"string:6\",\"mem_usage_percent_avg\":\"percent:1\",\"trigger_duration\":\"time:ms\"}','1.0','2021-05-28 11:55:02','2021-05-28 11:55:03',0),(3229,'应用实例内存异常','app_resource','app_resource_container_mem','mbox','recover','【{{application_name}}应用{{service_name}}服务内存使用率异常恢复】\n','【应用实例内存使用率异常恢复】\n\n项目: {{project_name}}\n\n应用: {{application_name}}\n\n服务实例: {{runtime_name}} - {{service_name}}.{{container_id}}\n\n内存使用率: {{mem_usage_percent_avg}}\n\n内存使用: {{mem_usage_value}}\n\n内存限制: {{mem_limit_value}}\n\n机器: {{host_ip}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}','{\"container_id\":\"string:6\",\"mem_usage_percent_avg\":\"percent:1\",\"trigger_duration\":\"time:ms\"}','1.0','2021-05-28 11:55:02','2021-05-28 11:55:03',0),(3230,'应用实例内存异常','app_resource','app_resource_container_mem','webhook','recover','【{{application_name}}应用{{service_name}}服务内存使用率异常恢复】\n','【应用实例内存使用率异常恢复】\n\n项目: {{project_name}}\n\n应用: {{application_name}}\n\n服务实例: {{runtime_name}} - {{service_name}}.{{container_id}}\n\n内存使用率: {{mem_usage_percent_avg}}\n\n内存使用: {{mem_usage_value}}\n\n内存限制: {{mem_limit_value}}\n\n机器: {{host_ip}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}','{\"container_id\":\"string:6\",\"mem_usage_percent_avg\":\"percent:1\",\"trigger_duration\":\"time:ms\"}','1.0','2021-05-28 11:55:02','2021-05-28 11:55:03',0),(3231,'应用实例OOM告警','app_resource','app_resource_container_oom','dingding','alert','【{{application_name}}应用{{service_name}}服务实例OOM告警】\n','【应用实例OOM告警】\n\n项目: {{project_name}}\n\n应用: {{application_name}}\n\n服务实例: {{runtime_name}} - {{service_name}}.{{container_id}}\n\n事件: 服务实例发生OOM\n\n机器: {{host_ip}}\n\n时间: {{timestamp}}\n\n[查看详情]({{display_url}})','{\"container_id\":\"string:6\"}','1.0','2021-05-28 11:55:02','2021-05-28 11:55:03',0),(3232,'应用实例OOM告警','app_resource','app_resource_container_oom','ticket','alert','【{{application_name}}应用{{service_name}}服务实例OOM告警】\n','【应用实例OOM告警】\n\n项目: {{project_name}}\n\n应用: {{application_name}}\n\n服务实例: {{runtime_name}} - {{service_name}}.{{container_id}}\n\n事件: 服务实例发生OOM\n\n机器: {{host_ip}}\n\n时间: {{timestamp}}\n\n[查看详情]({{display_url}})','{\"container_id\":\"string:6\"}','1.0','2021-05-28 11:55:02','2021-05-28 11:55:03',0),(3233,'应用实例OOM告警','app_resource','app_resource_container_oom','email','alert','【{{application_name}}应用{{service_name}}服务实例OOM告警】\n','【应用实例OOM告警】\n\n项目: {{project_name}}\n\n应用: {{application_name}}\n\n服务实例: {{runtime_name}} - {{service_name}}.{{container_id}}\n\n事件: 服务实例发生OOM\n\n机器: {{host_ip}}\n\n时间: {{timestamp}}\n\n[查看详情]({{display_url}})','{\"container_id\":\"string:6\"}','1.0','2021-05-28 11:55:02','2021-05-28 11:55:03',0),(3234,'应用实例OOM告警','app_resource','app_resource_container_oom','mbox','alert','【{{application_name}}应用{{service_name}}服务实例OOM告警】\n','【应用实例OOM告警】\n\n项目: {{project_name}}\n\n应用: {{application_name}}\n\n服务实例: {{runtime_name}} - {{service_name}}.{{container_id}}\n\n事件: 服务实例发生OOM\n\n机器: {{host_ip}}\n\n时间: {{timestamp}}\n\n[查看详情]({{display_url}})','{\"container_id\":\"string:6\"}','1.0','2021-05-28 11:55:02','2021-05-28 11:55:03',0),(3235,'应用实例OOM告警','app_resource','app_resource_container_oom','webhook','alert','【{{application_name}}应用{{service_name}}服务实例OOM告警】\n','【应用实例OOM告警】\n\n项目: {{project_name}}\n\n应用: {{application_name}}\n\n服务实例: {{runtime_name}} - {{service_name}}.{{container_id}}\n\n事件: 服务实例发生OOM\n\n机器: {{host_ip}}\n\n时间: {{timestamp}}\n\n[查看详情]({{display_url}})','{\"container_id\":\"string:6\"}','1.0','2021-05-28 11:55:02','2021-05-28 11:55:03',0),(3236,'应用JVM GC次数异常','app_resource','app_resource_jvm_gc_count','dingding','alert','【{{application_name}}应用{{service_name}}服务JVM GC次数异常告警】\n','【应用JVM GC次数异常告警】\n\n实例GC次数太多 !\n\n项目: {{project_name}}\n\n应用: {{application_name}}\n\n服务: {{runtime_name}} / {{service_name}}\n\n老年代GC次数: {{count_sum}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n时间: {{timestamp}}\n\n[查看详情]({{display_url}})\n','','1.0','2021-05-28 11:55:02','2021-05-28 11:55:03',0),(3237,'应用JVM GC次数异常','app_resource','app_resource_jvm_gc_count','ticket','alert','【{{application_name}}应用{{service_name}}服务JVM GC次数异常告警】\n','【应用JVM GC次数异常告警】\n\n实例GC次数太多 !\n\n项目: {{project_name}}\n\n应用: {{application_name}}\n\n服务: {{runtime_name}} / {{service_name}}\n\n老年代GC次数: {{count_sum}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n时间: {{timestamp}}\n\n[查看详情]({{display_url}})\n','','1.0','2021-05-28 11:55:02','2021-05-28 11:55:03',0),(3238,'应用JVM GC次数异常','app_resource','app_resource_jvm_gc_count','email','alert','【{{application_name}}应用{{service_name}}服务JVM GC次数异常告警】\n','【应用JVM GC次数异常告警】\n\n实例GC次数太多 !\n\n项目: {{project_name}}\n\n应用: {{application_name}}\n\n服务: {{runtime_name}} / {{service_name}}\n\n老年代GC次数: {{count_sum}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n时间: {{timestamp}}\n\n[查看详情]({{display_url}})\n','','1.0','2021-05-28 11:55:02','2021-05-28 11:55:03',0),(3239,'应用JVM GC次数异常','app_resource','app_resource_jvm_gc_count','mbox','alert','【{{application_name}}应用{{service_name}}服务JVM GC次数异常告警】\n','【应用JVM GC次数异常告警】\n\n实例GC次数太多 !\n\n项目: {{project_name}}\n\n应用: {{application_name}}\n\n服务: {{runtime_name}} / {{service_name}}\n\n老年代GC次数: {{count_sum}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n时间: {{timestamp}}\n\n[查看详情]({{display_url}})\n','','1.0','2021-05-28 11:55:02','2021-05-28 11:55:03',0),(3240,'应用JVM GC次数异常','app_resource','app_resource_jvm_gc_count','webhook','alert','【{{application_name}}应用{{service_name}}服务JVM GC次数异常告警】\n','【应用JVM GC次数异常告警】\n\n实例GC次数太多 !\n\n项目: {{project_name}}\n\n应用: {{application_name}}\n\n服务: {{runtime_name}} / {{service_name}}\n\n老年代GC次数: {{count_sum}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n时间: {{timestamp}}\n\n[查看详情]({{display_url}})\n','','1.0','2021-05-28 11:55:02','2021-05-28 11:55:03',0),(3241,'应用JVM GC次数异常','app_resource','app_resource_jvm_gc_count','dingding','recover','【{{application_name}}应用{{service_name}}服务JVM GC次数异常恢复】\n','【应用JVM GC次数异常恢复】\n\n实例GC次数已恢复正常值 .\n\n项目: {{project_name}}\n\n应用: {{application_name}}\n\n服务: {{runtime_name}} / {{service_name}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n持续时间: {{trigger_duration_min}}\n\n恢复时间: {{timestamp}}\n','','1.0','2021-05-28 11:55:02','2021-05-28 11:55:03',0),(3242,'应用JVM GC次数异常','app_resource','app_resource_jvm_gc_count','ticket','recover','【{{application_name}}应用{{service_name}}服务JVM GC次数异常恢复】\n','【应用JVM GC次数异常恢复】\n\n实例GC次数已恢复正常值 .\n\n项目: {{project_name}}\n\n应用: {{application_name}}\n\n服务: {{runtime_name}} / {{service_name}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n持续时间: {{trigger_duration_min}}\n\n恢复时间: {{timestamp}}\n','','1.0','2021-05-28 11:55:02','2021-05-28 11:55:03',0),(3243,'应用JVM GC次数异常','app_resource','app_resource_jvm_gc_count','email','recover','【{{application_name}}应用{{service_name}}服务JVM GC次数异常恢复】\n','【应用JVM GC次数异常恢复】\n\n实例GC次数已恢复正常值 .\n\n项目: {{project_name}}\n\n应用: {{application_name}}\n\n服务: {{runtime_name}} / {{service_name}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n持续时间: {{trigger_duration_min}}\n\n恢复时间: {{timestamp}}\n','','1.0','2021-05-28 11:55:02','2021-05-28 11:55:03',0),(3244,'应用JVM GC次数异常','app_resource','app_resource_jvm_gc_count','mbox','recover','【{{application_name}}应用{{service_name}}服务JVM GC次数异常恢复】\n','【应用JVM GC次数异常恢复】\n\n实例GC次数已恢复正常值 .\n\n项目: {{project_name}}\n\n应用: {{application_name}}\n\n服务: {{runtime_name}} / {{service_name}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n持续时间: {{trigger_duration_min}}\n\n恢复时间: {{timestamp}}\n','','1.0','2021-05-28 11:55:02','2021-05-28 11:55:03',0),(3245,'应用JVM GC次数异常','app_resource','app_resource_jvm_gc_count','webhook','recover','【{{application_name}}应用{{service_name}}服务JVM GC次数异常恢复】\n','【应用JVM GC次数异常恢复】\n\n实例GC次数已恢复正常值 .\n\n项目: {{project_name}}\n\n应用: {{application_name}}\n\n服务: {{runtime_name}} / {{service_name}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n持续时间: {{trigger_duration_min}}\n\n恢复时间: {{timestamp}}\n','','1.0','2021-05-28 11:55:02','2021-05-28 11:55:03',0),(3246,'应用JVM GC耗时异常','app_resource','app_resource_jvm_gc_time','dingding','alert','【{{application_name}}应用{{service_name}}服务JVM GC耗时异常告警】\n','【应用JVM GC耗时异常告警】\n\n实例GC耗时过长 !\n\n项目: {{project_name}}\n\n应用: {{application_name}}\n\n服务: {{runtime_name}} / {{service_name}}\n\n老年代GC耗时: 总耗时{{time_sum}}，最后一次耗时{{time_value}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n时间: {{timestamp}}\n\n[查看详情]({{display_url}})\n','{\"time_sum\":\"time:ms\",\"time_value\":\"time:ms\"}','1.0','2021-05-28 11:55:02','2021-05-28 11:55:03',0),(3247,'应用JVM GC耗时异常','app_resource','app_resource_jvm_gc_time','ticket','alert','【{{application_name}}应用{{service_name}}服务JVM GC耗时异常告警】\n','【应用JVM GC耗时异常告警】\n\n实例GC耗时过长 !\n\n项目: {{project_name}}\n\n应用: {{application_name}}\n\n服务: {{runtime_name}} / {{service_name}}\n\n老年代GC耗时: 总耗时{{time_sum}}，最后一次耗时{{time_value}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n时间: {{timestamp}}\n\n[查看详情]({{display_url}})\n','{\"time_sum\":\"time:ms\",\"time_value\":\"time:ms\"}','1.0','2021-05-28 11:55:02','2021-05-28 11:55:03',0),(3248,'应用JVM GC耗时异常','app_resource','app_resource_jvm_gc_time','email','alert','【{{application_name}}应用{{service_name}}服务JVM GC耗时异常告警】\n','【应用JVM GC耗时异常告警】\n\n实例GC耗时过长 !\n\n项目: {{project_name}}\n\n应用: {{application_name}}\n\n服务: {{runtime_name}} / {{service_name}}\n\n老年代GC耗时: 总耗时{{time_sum}}，最后一次耗时{{time_value}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n时间: {{timestamp}}\n\n[查看详情]({{display_url}})\n','{\"time_sum\":\"time:ms\",\"time_value\":\"time:ms\"}','1.0','2021-05-28 11:55:02','2021-05-28 11:55:03',0),(3249,'应用JVM GC耗时异常','app_resource','app_resource_jvm_gc_time','mbox','alert','【{{application_name}}应用{{service_name}}服务JVM GC耗时异常告警】\n','【应用JVM GC耗时异常告警】\n\n实例GC耗时过长 !\n\n项目: {{project_name}}\n\n应用: {{application_name}}\n\n服务: {{runtime_name}} / {{service_name}}\n\n老年代GC耗时: 总耗时{{time_sum}}，最后一次耗时{{time_value}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n时间: {{timestamp}}\n\n[查看详情]({{display_url}})\n','{\"time_sum\":\"time:ms\",\"time_value\":\"time:ms\"}','1.0','2021-05-28 11:55:02','2021-05-28 11:55:03',0),(3250,'应用JVM GC耗时异常','app_resource','app_resource_jvm_gc_time','webhook','alert','【{{application_name}}应用{{service_name}}服务JVM GC耗时异常告警】\n','【应用JVM GC耗时异常告警】\n\n实例GC耗时过长 !\n\n项目: {{project_name}}\n\n应用: {{application_name}}\n\n服务: {{runtime_name}} / {{service_name}}\n\n老年代GC耗时: 总耗时{{time_sum}}，最后一次耗时{{time_value}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n时间: {{timestamp}}\n\n[查看详情]({{display_url}})\n','{\"time_sum\":\"time:ms\",\"time_value\":\"time:ms\"}','1.0','2021-05-28 11:55:02','2021-05-28 11:55:03',0),(3251,'应用JVM GC耗时异常','app_resource','app_resource_jvm_gc_time','dingding','recover','【{{application_name}}应用{{service_name}}服务JVM GC耗时异常恢复】\n','【应用JVM GC耗时异常恢复】\n\n实例GC耗时已恢复正常值 .\n\n项目: {{project_name}}\n\n应用: {{application_name}}\n\n服务: {{runtime_name}} / {{service_name}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n持续时间: {{trigger_duration_min}}\n\n恢复时间: {{timestamp}}\n','','1.0','2021-05-28 11:55:02','2021-05-28 11:55:03',0),(3252,'应用JVM GC耗时异常','app_resource','app_resource_jvm_gc_time','ticket','recover','【{{application_name}}应用{{service_name}}服务JVM GC耗时异常恢复】\n','【应用JVM GC耗时异常恢复】\n\n实例GC耗时已恢复正常值 .\n\n项目: {{project_name}}\n\n应用: {{application_name}}\n\n服务: {{runtime_name}} / {{service_name}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n持续时间: {{trigger_duration_min}}\n\n恢复时间: {{timestamp}}\n','','1.0','2021-05-28 11:55:02','2021-05-28 11:55:03',0),(3253,'应用JVM GC耗时异常','app_resource','app_resource_jvm_gc_time','email','recover','【{{application_name}}应用{{service_name}}服务JVM GC耗时异常恢复】\n','【应用JVM GC耗时异常恢复】\n\n实例GC耗时已恢复正常值 .\n\n项目: {{project_name}}\n\n应用: {{application_name}}\n\n服务: {{runtime_name}} / {{service_name}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n持续时间: {{trigger_duration_min}}\n\n恢复时间: {{timestamp}}\n','','1.0','2021-05-28 11:55:02','2021-05-28 11:55:03',0),(3254,'应用JVM GC耗时异常','app_resource','app_resource_jvm_gc_time','mbox','recover','【{{application_name}}应用{{service_name}}服务JVM GC耗时异常恢复】\n','【应用JVM GC耗时异常恢复】\n\n实例GC耗时已恢复正常值 .\n\n项目: {{project_name}}\n\n应用: {{application_name}}\n\n服务: {{runtime_name}} / {{service_name}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n持续时间: {{trigger_duration_min}}\n\n恢复时间: {{timestamp}}\n','','1.0','2021-05-28 11:55:02','2021-05-28 11:55:03',0),(3255,'应用JVM GC耗时异常','app_resource','app_resource_jvm_gc_time','webhook','recover','【{{application_name}}应用{{service_name}}服务JVM GC耗时异常恢复】\n','【应用JVM GC耗时异常恢复】\n\n实例GC耗时已恢复正常值 .\n\n项目: {{project_name}}\n\n应用: {{application_name}}\n\n服务: {{runtime_name}} / {{service_name}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n持续时间: {{trigger_duration_min}}\n\n恢复时间: {{timestamp}}\n','','1.0','2021-05-28 11:55:02','2021-05-28 11:55:03',0),(3256,'JVM堆内存使用异常告警','app_resource','app_resource_jvm_heap','dingding','alert','【{{application_name}}应用{{service_name}}服务JVM堆内存使用异常告警】','【JVM堆内存使用异常告警】\n\n实例JVM堆内存使用过高 ！\n\n项目: {{project_name}}\n\n应用: {{application_name}}\n\n服务: {{runtime_name}} / {{service_name}}\n\n实例: {{instance_id}}\n\n堆内存使用率: {{usage_percent_avg}}\n\n已使用: {{used_value}}\n\n最大使用: {{max_value}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n时间: {{timestamp}}\n\n[查看详情]({{display_url}})\n','{\"max_value\":\"size:byte\",\"usage_percent_avg\":\"percent\",\"used_value\":\"size:byte\"}','1.0','2021-05-28 11:55:02','2021-05-28 11:55:03',0),(3257,'JVM堆内存使用异常告警','app_resource','app_resource_jvm_heap','ticket','alert','【{{application_name}}应用{{service_name}}服务JVM堆内存使用异常告警】','【JVM堆内存使用异常告警】\n\n实例JVM堆内存使用过高 ！\n\n项目: {{project_name}}\n\n应用: {{application_name}}\n\n服务: {{runtime_name}} / {{service_name}}\n\n实例: {{instance_id}}\n\n堆内存使用率: {{usage_percent_avg}}\n\n已使用: {{used_value}}\n\n最大使用: {{max_value}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n时间: {{timestamp}}\n\n[查看详情]({{display_url}})\n','{\"max_value\":\"size:byte\",\"usage_percent_avg\":\"percent\",\"used_value\":\"size:byte\"}','1.0','2021-05-28 11:55:02','2021-05-28 11:55:03',0),(3258,'JVM堆内存使用异常告警','app_resource','app_resource_jvm_heap','email','alert','【{{application_name}}应用{{service_name}}服务JVM堆内存使用异常告警】','【JVM堆内存使用异常告警】\n\n实例JVM堆内存使用过高 ！\n\n项目: {{project_name}}\n\n应用: {{application_name}}\n\n服务: {{runtime_name}} / {{service_name}}\n\n实例: {{instance_id}}\n\n堆内存使用率: {{usage_percent_avg}}\n\n已使用: {{used_value}}\n\n最大使用: {{max_value}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n时间: {{timestamp}}\n\n[查看详情]({{display_url}})\n','{\"max_value\":\"size:byte\",\"usage_percent_avg\":\"percent\",\"used_value\":\"size:byte\"}','1.0','2021-05-28 11:55:02','2021-05-28 11:55:03',0),(3259,'JVM堆内存使用异常告警','app_resource','app_resource_jvm_heap','mbox','alert','【{{application_name}}应用{{service_name}}服务JVM堆内存使用异常告警】','【JVM堆内存使用异常告警】\n\n实例JVM堆内存使用过高 ！\n\n项目: {{project_name}}\n\n应用: {{application_name}}\n\n服务: {{runtime_name}} / {{service_name}}\n\n实例: {{instance_id}}\n\n堆内存使用率: {{usage_percent_avg}}\n\n已使用: {{used_value}}\n\n最大使用: {{max_value}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n时间: {{timestamp}}\n\n[查看详情]({{display_url}})\n','{\"max_value\":\"size:byte\",\"usage_percent_avg\":\"percent\",\"used_value\":\"size:byte\"}','1.0','2021-05-28 11:55:02','2021-05-28 11:55:03',0),(3260,'JVM堆内存使用异常告警','app_resource','app_resource_jvm_heap','webhook','alert','【{{application_name}}应用{{service_name}}服务JVM堆内存使用异常告警】','【JVM堆内存使用异常告警】\n\n实例JVM堆内存使用过高 ！\n\n项目: {{project_name}}\n\n应用: {{application_name}}\n\n服务: {{runtime_name}} / {{service_name}}\n\n实例: {{instance_id}}\n\n堆内存使用率: {{usage_percent_avg}}\n\n已使用: {{used_value}}\n\n最大使用: {{max_value}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n时间: {{timestamp}}\n\n[查看详情]({{display_url}})\n','{\"max_value\":\"size:byte\",\"usage_percent_avg\":\"percent\",\"used_value\":\"size:byte\"}','1.0','2021-05-28 11:55:02','2021-05-28 11:55:03',0),(3261,'JVM堆内存使用异常恢复','app_resource','app_resource_jvm_heap','dingding','recover','【{{application_name}}应用{{service_name}}服务JVM堆内存使用异常恢复】','【JVM堆内存使用异常恢复】\n\n实例JVM堆内存已恢复恢复正常使用状态 .\n\n项目: {{project_name}}\n\n应用: {{application_name}}\n\n服务: {{runtime_name}} / {{service_name}}\n\n实例: {{instance_id}}\n\n堆内存使用率: {{usage_percent_avg}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n持续时间: {{trigger_duration_min}}\n\n恢复时间: {{timestamp}}\n','{\"usage_percent_avg\":\"percent\"}','1.0','2021-05-28 11:55:02','2021-05-28 11:55:03',0),(3262,'JVM堆内存使用异常恢复','app_resource','app_resource_jvm_heap','ticket','recover','【{{application_name}}应用{{service_name}}服务JVM堆内存使用异常恢复】','【JVM堆内存使用异常恢复】\n\n实例JVM堆内存已恢复恢复正常使用状态 .\n\n项目: {{project_name}}\n\n应用: {{application_name}}\n\n服务: {{runtime_name}} / {{service_name}}\n\n实例: {{instance_id}}\n\n堆内存使用率: {{usage_percent_avg}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n持续时间: {{trigger_duration_min}}\n\n恢复时间: {{timestamp}}\n','{\"usage_percent_avg\":\"percent\"}','1.0','2021-05-28 11:55:02','2021-05-28 11:55:03',0),(3263,'JVM堆内存使用异常恢复','app_resource','app_resource_jvm_heap','email','recover','【{{application_name}}应用{{service_name}}服务JVM堆内存使用异常恢复】','【JVM堆内存使用异常恢复】\n\n实例JVM堆内存已恢复恢复正常使用状态 .\n\n项目: {{project_name}}\n\n应用: {{application_name}}\n\n服务: {{runtime_name}} / {{service_name}}\n\n实例: {{instance_id}}\n\n堆内存使用率: {{usage_percent_avg}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n持续时间: {{trigger_duration_min}}\n\n恢复时间: {{timestamp}}\n','{\"usage_percent_avg\":\"percent\"}','1.0','2021-05-28 11:55:02','2021-05-28 11:55:03',0),(3264,'JVM堆内存使用异常恢复','app_resource','app_resource_jvm_heap','mbox','recover','【{{application_name}}应用{{service_name}}服务JVM堆内存使用异常恢复】','【JVM堆内存使用异常恢复】\n\n实例JVM堆内存已恢复恢复正常使用状态 .\n\n项目: {{project_name}}\n\n应用: {{application_name}}\n\n服务: {{runtime_name}} / {{service_name}}\n\n实例: {{instance_id}}\n\n堆内存使用率: {{usage_percent_avg}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n持续时间: {{trigger_duration_min}}\n\n恢复时间: {{timestamp}}\n','{\"usage_percent_avg\":\"percent\"}','1.0','2021-05-28 11:55:02','2021-05-28 11:55:03',0),(3265,'JVM堆内存使用异常恢复','app_resource','app_resource_jvm_heap','webhook','recover','【{{application_name}}应用{{service_name}}服务JVM堆内存使用异常恢复】','【JVM堆内存使用异常恢复】\n\n实例JVM堆内存已恢复恢复正常使用状态 .\n\n项目: {{project_name}}\n\n应用: {{application_name}}\n\n服务: {{runtime_name}} / {{service_name}}\n\n实例: {{instance_id}}\n\n堆内存使用率: {{usage_percent_avg}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n持续时间: {{trigger_duration_min}}\n\n恢复时间: {{timestamp}}\n','{\"usage_percent_avg\":\"percent\"}','1.0','2021-05-28 11:55:02','2021-05-28 11:55:03',0),(3266,'应用NodeJS堆内存使用异常告警','app_resource','app_resource_nodejs_heap','dingding','alert','【{{application_name}}应用{{service_name}}服务NodeJS堆内存使用异常告警】','【应用NodeJS堆内存使用异常告警】\n\n实例NodeJS堆内存使用过高 ！\n\n项目: {{project_name}}\n\n应用: {{application_name}}\n\n服务: {{runtime_name}} / {{service_name}}\n\n实例: {{instance_id}}\n\n堆内存使用率: {{usage_percent_avg}}\n\n已使用: {{heap_used_value}}\n\n常驻内存: {{rss_value}}\n\n最大使用: {{max_value}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n时间: {{timestamp}}\n\n[查看详情]({{display_url}})\n','{\"heap_used_value\":\"size:byte\",\"max_value\":\"size:byte\",\"rss_value\":\"size:byte\",\"usage_percent_avg\":\"percent\"}','1.0','2021-05-28 11:55:02','2021-05-28 11:55:03',0),(3267,'应用NodeJS堆内存使用异常告警','app_resource','app_resource_nodejs_heap','ticket','alert','【{{application_name}}应用{{service_name}}服务NodeJS堆内存使用异常告警】','【应用NodeJS堆内存使用异常告警】\n\n实例NodeJS堆内存使用过高 ！\n\n项目: {{project_name}}\n\n应用: {{application_name}}\n\n服务: {{runtime_name}} / {{service_name}}\n\n实例: {{instance_id}}\n\n堆内存使用率: {{usage_percent_avg}}\n\n已使用: {{heap_used_value}}\n\n常驻内存: {{rss_value}}\n\n最大使用: {{max_value}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n时间: {{timestamp}}\n\n[查看详情]({{display_url}})\n','{\"heap_used_value\":\"size:byte\",\"max_value\":\"size:byte\",\"rss_value\":\"size:byte\",\"usage_percent_avg\":\"percent\"}','1.0','2021-05-28 11:55:02','2021-05-28 11:55:03',0),(3268,'应用NodeJS堆内存使用异常告警','app_resource','app_resource_nodejs_heap','email','alert','【{{application_name}}应用{{service_name}}服务NodeJS堆内存使用异常告警】','【应用NodeJS堆内存使用异常告警】\n\n实例NodeJS堆内存使用过高 ！\n\n项目: {{project_name}}\n\n应用: {{application_name}}\n\n服务: {{runtime_name}} / {{service_name}}\n\n实例: {{instance_id}}\n\n堆内存使用率: {{usage_percent_avg}}\n\n已使用: {{heap_used_value}}\n\n常驻内存: {{rss_value}}\n\n最大使用: {{max_value}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n时间: {{timestamp}}\n\n[查看详情]({{display_url}})\n','{\"heap_used_value\":\"size:byte\",\"max_value\":\"size:byte\",\"rss_value\":\"size:byte\",\"usage_percent_avg\":\"percent\"}','1.0','2021-05-28 11:55:02','2021-05-28 11:55:03',0),(3269,'应用NodeJS堆内存使用异常告警','app_resource','app_resource_nodejs_heap','mbox','alert','【{{application_name}}应用{{service_name}}服务NodeJS堆内存使用异常告警】','【应用NodeJS堆内存使用异常告警】\n\n实例NodeJS堆内存使用过高 ！\n\n项目: {{project_name}}\n\n应用: {{application_name}}\n\n服务: {{runtime_name}} / {{service_name}}\n\n实例: {{instance_id}}\n\n堆内存使用率: {{usage_percent_avg}}\n\n已使用: {{heap_used_value}}\n\n常驻内存: {{rss_value}}\n\n最大使用: {{max_value}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n时间: {{timestamp}}\n\n[查看详情]({{display_url}})\n','{\"heap_used_value\":\"size:byte\",\"max_value\":\"size:byte\",\"rss_value\":\"size:byte\",\"usage_percent_avg\":\"percent\"}','1.0','2021-05-28 11:55:02','2021-05-28 11:55:03',0),(3270,'应用NodeJS堆内存使用异常告警','app_resource','app_resource_nodejs_heap','webhook','alert','【{{application_name}}应用{{service_name}}服务NodeJS堆内存使用异常告警】','【应用NodeJS堆内存使用异常告警】\n\n实例NodeJS堆内存使用过高 ！\n\n项目: {{project_name}}\n\n应用: {{application_name}}\n\n服务: {{runtime_name}} / {{service_name}}\n\n实例: {{instance_id}}\n\n堆内存使用率: {{usage_percent_avg}}\n\n已使用: {{heap_used_value}}\n\n常驻内存: {{rss_value}}\n\n最大使用: {{max_value}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n时间: {{timestamp}}\n\n[查看详情]({{display_url}})\n','{\"heap_used_value\":\"size:byte\",\"max_value\":\"size:byte\",\"rss_value\":\"size:byte\",\"usage_percent_avg\":\"percent\"}','1.0','2021-05-28 11:55:02','2021-05-28 11:55:03',0),(3271,'应用NodeJS堆内存使用异常恢复','app_resource','app_resource_nodejs_heap','dingding','recover','【{{application_name}}应用{{service_name}}服务NodeJS堆内存使用异常恢复】','【应用NodeJS堆内存使用异常恢复】\n\nNodeJS堆内存已恢复恢复正常状态 .\n\n项目: {{project_name}}\n\n应用: {{application_name}}\n\n服务: {{runtime_name}} / {{service_name}}\n\n实例: {{instance_id}}\n\n堆内存使用率: {{usage_percent_avg}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n持续时间: {{trigger_duration_min}}\n\n恢复时间: {{timestamp}}\n','{\"usage_percent_avg\":\"percent\"}','1.0','2021-05-28 11:55:02','2021-05-28 11:55:03',0),(3272,'应用NodeJS堆内存使用异常恢复','app_resource','app_resource_nodejs_heap','ticket','recover','【{{application_name}}应用{{service_name}}服务NodeJS堆内存使用异常恢复】','【应用NodeJS堆内存使用异常恢复】\n\nNodeJS堆内存已恢复恢复正常状态 .\n\n项目: {{project_name}}\n\n应用: {{application_name}}\n\n服务: {{runtime_name}} / {{service_name}}\n\n实例: {{instance_id}}\n\n堆内存使用率: {{usage_percent_avg}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n持续时间: {{trigger_duration_min}}\n\n恢复时间: {{timestamp}}\n','{\"usage_percent_avg\":\"percent\"}','1.0','2021-05-28 11:55:02','2021-05-28 11:55:03',0),(3273,'应用NodeJS堆内存使用异常恢复','app_resource','app_resource_nodejs_heap','email','recover','【{{application_name}}应用{{service_name}}服务NodeJS堆内存使用异常恢复】','【应用NodeJS堆内存使用异常恢复】\n\nNodeJS堆内存已恢复恢复正常状态 .\n\n项目: {{project_name}}\n\n应用: {{application_name}}\n\n服务: {{runtime_name}} / {{service_name}}\n\n实例: {{instance_id}}\n\n堆内存使用率: {{usage_percent_avg}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n持续时间: {{trigger_duration_min}}\n\n恢复时间: {{timestamp}}\n','{\"usage_percent_avg\":\"percent\"}','1.0','2021-05-28 11:55:02','2021-05-28 11:55:03',0),(3274,'应用NodeJS堆内存使用异常恢复','app_resource','app_resource_nodejs_heap','mbox','recover','【{{application_name}}应用{{service_name}}服务NodeJS堆内存使用异常恢复】','【应用NodeJS堆内存使用异常恢复】\n\nNodeJS堆内存已恢复恢复正常状态 .\n\n项目: {{project_name}}\n\n应用: {{application_name}}\n\n服务: {{runtime_name}} / {{service_name}}\n\n实例: {{instance_id}}\n\n堆内存使用率: {{usage_percent_avg}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n持续时间: {{trigger_duration_min}}\n\n恢复时间: {{timestamp}}\n','{\"usage_percent_avg\":\"percent\"}','1.0','2021-05-28 11:55:02','2021-05-28 11:55:03',0),(3275,'应用NodeJS堆内存使用异常恢复','app_resource','app_resource_nodejs_heap','webhook','recover','【{{application_name}}应用{{service_name}}服务NodeJS堆内存使用异常恢复】','【应用NodeJS堆内存使用异常恢复】\n\nNodeJS堆内存已恢复恢复正常状态 .\n\n项目: {{project_name}}\n\n应用: {{application_name}}\n\n服务: {{runtime_name}} / {{service_name}}\n\n实例: {{instance_id}}\n\n堆内存使用率: {{usage_percent_avg}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n持续时间: {{trigger_duration_min}}\n\n恢复时间: {{timestamp}}\n','{\"usage_percent_avg\":\"percent\"}','1.0','2021-05-28 11:55:02','2021-05-28 11:55:03',0),(3276,' 页面内容改变','app_status','app_status_browser','dingding','alert','【{{project_name}}项目{{status_metric_name}}页面内容改变告警】\n','【页面内容改变告警】\n\n项目: {{project_name}}\n\n环境: {{workspace}}\n\n事件：[{{status_metric_name}}]({{url}})页面内容和基准点对比不一致\n\n时间: {{timestamp}}\n\n[查看详情]({{display_url}})\n','','1.0','2021-05-28 11:55:02','2021-05-28 11:55:03',0),(3277,' 页面内容改变','app_status','app_status_browser','ticket','alert','【{{project_name}}项目{{status_metric_name}}页面内容改变告警】\n','【页面内容改变告警】\n\n项目: {{project_name}}\n\n环境: {{workspace}}\n\n事件：[{{status_metric_name}}]({{url}})页面内容和基准点对比不一致\n\n时间: {{timestamp}}\n\n[查看详情]({{display_url}})\n','','1.0','2021-05-28 11:55:02','2021-05-28 11:55:03',0),(3278,' 页面内容改变','app_status','app_status_browser','email','alert','【{{project_name}}项目{{status_metric_name}}页面内容改变告警】\n','【页面内容改变告警】\n\n项目: {{project_name}}\n\n环境: {{workspace}}\n\n事件：[{{status_metric_name}}]({{url}})页面内容和基准点对比不一致\n\n时间: {{timestamp}}\n\n[查看详情]({{display_url}})\n','','1.0','2021-05-28 11:55:02','2021-05-28 11:55:03',0),(3279,' 页面内容改变','app_status','app_status_browser','mbox','alert','【{{project_name}}项目{{status_metric_name}}页面内容改变告警】\n','【页面内容改变告警】\n\n项目: {{project_name}}\n\n环境: {{workspace}}\n\n事件：[{{status_metric_name}}]({{url}})页面内容和基准点对比不一致\n\n时间: {{timestamp}}\n\n[查看详情]({{display_url}})\n','','1.0','2021-05-28 11:55:02','2021-05-28 11:55:03',0),(3280,' 页面内容改变','app_status','app_status_browser','webhook','alert','【{{project_name}}项目{{status_metric_name}}页面内容改变告警】\n','【页面内容改变告警】\n\n项目: {{project_name}}\n\n环境: {{workspace}}\n\n事件：[{{status_metric_name}}]({{url}})页面内容和基准点对比不一致\n\n时间: {{timestamp}}\n\n[查看详情]({{display_url}})\n','','1.0','2021-05-28 11:55:02','2021-05-28 11:55:03',0),(3281,' 业务请求状态异常','app_status','app_status_browser','dingding','recover','【{{project_name}}项目{{status_metric_name}}页面内容改变恢复】\n','【页面内容改变恢复】\n\n[{{status_metric_name}}]({{url}}) 页面内容改变 .\n\n项目: {{project_name}}\n\n环境: {{workspace}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n','{\"trigger_duration\":\"time:ms\"}','1.0','2021-05-28 11:55:02','2021-05-28 11:55:03',0),(3282,' 业务请求状态异常','app_status','app_status_browser','ticket','recover','【{{project_name}}项目{{status_metric_name}}页面内容改变恢复】\n','【页面内容改变恢复】\n\n[{{status_metric_name}}]({{url}}) 页面内容改变 .\n\n项目: {{project_name}}\n\n环境: {{workspace}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n','{\"trigger_duration\":\"time:ms\"}','1.0','2021-05-28 11:55:02','2021-05-28 11:55:03',0),(3283,' 业务请求状态异常','app_status','app_status_browser','email','recover','【{{project_name}}项目{{status_metric_name}}页面内容改变恢复】\n','【页面内容改变恢复】\n\n[{{status_metric_name}}]({{url}}) 页面内容改变 .\n\n项目: {{project_name}}\n\n环境: {{workspace}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n','{\"trigger_duration\":\"time:ms\"}','1.0','2021-05-28 11:55:02','2021-05-28 11:55:03',0),(3284,' 业务请求状态异常','app_status','app_status_browser','mbox','recover','【{{project_name}}项目{{status_metric_name}}页面内容改变恢复】\n','【页面内容改变恢复】\n\n[{{status_metric_name}}]({{url}}) 页面内容改变 .\n\n项目: {{project_name}}\n\n环境: {{workspace}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n','{\"trigger_duration\":\"time:ms\"}','1.0','2021-05-28 11:55:02','2021-05-28 11:55:03',0),(3285,' 业务请求状态异常','app_status','app_status_browser','webhook','recover','【{{project_name}}项目{{status_metric_name}}页面内容改变恢复】\n','【页面内容改变恢复】\n\n[{{status_metric_name}}]({{url}}) 页面内容改变 .\n\n项目: {{project_name}}\n\n环境: {{workspace}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n','{\"trigger_duration\":\"time:ms\"}','1.0','2021-05-28 11:55:02','2021-05-28 11:55:03',0),(3286,' 主动监控HTTP状态异常','app_status','app_status_code','dingding','alert','【{{project_name}}项目{{status_metric_name}}指标HTTP状态异常告警】\n','【主动监控HTTP状态异常】\n\n项目: {{project_name}}\n\n环境: {{workspace}}\n\n事件: [{{status_metric_name}}]({{url}}) 指标状态异常\n\n响应状态码: {{code_min}}\n\n时间: {{timestamp}}\n\n[查看详情]({{display_url}})\n','','1.0','2021-05-28 11:55:02','2021-05-28 11:55:03',0),(3287,' 主动监控HTTP状态异常','app_status','app_status_code','ticket','alert','【{{project_name}}项目{{status_metric_name}}指标HTTP状态异常告警】\n','【主动监控HTTP状态异常】\n\n项目: {{project_name}}\n\n环境: {{workspace}}\n\n事件: [{{status_metric_name}}]({{url}}) 指标状态异常\n\n响应状态码: {{code_min}}\n\n时间: {{timestamp}}\n\n[查看详情]({{display_url}})\n','','1.0','2021-05-28 11:55:02','2021-05-28 11:55:03',0),(3288,' 主动监控HTTP状态异常','app_status','app_status_code','email','alert','【{{project_name}}项目{{status_metric_name}}指标HTTP状态异常告警】\n','【主动监控HTTP状态异常】\n\n项目: {{project_name}}\n\n环境: {{workspace}}\n\n事件: [{{status_metric_name}}]({{url}}) 指标状态异常\n\n响应状态码: {{code_min}}\n\n时间: {{timestamp}}\n\n[查看详情]({{display_url}})\n','','1.0','2021-05-28 11:55:02','2021-05-28 11:55:03',0),(3289,' 主动监控HTTP状态异常','app_status','app_status_code','mbox','alert','【{{project_name}}项目{{status_metric_name}}指标HTTP状态异常告警】\n','【主动监控HTTP状态异常】\n\n项目: {{project_name}}\n\n环境: {{workspace}}\n\n事件: [{{status_metric_name}}]({{url}}) 指标状态异常\n\n响应状态码: {{code_min}}\n\n时间: {{timestamp}}\n\n[查看详情]({{display_url}})\n','','1.0','2021-05-28 11:55:02','2021-05-28 11:55:03',0),(3290,' 主动监控HTTP状态异常','app_status','app_status_code','webhook','alert','【{{project_name}}项目{{status_metric_name}}指标HTTP状态异常告警】\n','【主动监控HTTP状态异常】\n\n项目: {{project_name}}\n\n环境: {{workspace}}\n\n事件: [{{status_metric_name}}]({{url}}) 指标状态异常\n\n响应状态码: {{code_min}}\n\n时间: {{timestamp}}\n\n[查看详情]({{display_url}})\n','','1.0','2021-05-28 11:55:02','2021-05-28 11:55:03',0),(3291,'主动监控HTTP状态恢复','app_status','app_status_code','dingding','recover','【{{project_name}}项目{{status_metric_name}}指标HTTP状态恢复】\n','【主动监控HTTP状态恢复】\n\n项目: {{project_name}}\n\n环境: {{workspace}}\n\n事件: [{{status_metric_name}}]({{url}}) 指标状态恢复\n\n响应状态码: {{code_min}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n','{\"trigger_duration\":\"time:ms\"}','1.0','2021-05-28 11:55:02','2021-05-28 11:55:03',0),(3292,'主动监控HTTP状态恢复','app_status','app_status_code','ticket','recover','【{{project_name}}项目{{status_metric_name}}指标HTTP状态恢复】\n','【主动监控HTTP状态恢复】\n\n项目: {{project_name}}\n\n环境: {{workspace}}\n\n事件: [{{status_metric_name}}]({{url}}) 指标状态恢复\n\n响应状态码: {{code_min}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n','{\"trigger_duration\":\"time:ms\"}','1.0','2021-05-28 11:55:02','2021-05-28 11:55:03',0),(3293,'主动监控HTTP状态恢复','app_status','app_status_code','email','recover','【{{project_name}}项目{{status_metric_name}}指标HTTP状态恢复】\n','【主动监控HTTP状态恢复】\n\n项目: {{project_name}}\n\n环境: {{workspace}}\n\n事件: [{{status_metric_name}}]({{url}}) 指标状态恢复\n\n响应状态码: {{code_min}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n','{\"trigger_duration\":\"time:ms\"}','1.0','2021-05-28 11:55:02','2021-05-28 11:55:03',0),(3294,'主动监控HTTP状态恢复','app_status','app_status_code','mbox','recover','【{{project_name}}项目{{status_metric_name}}指标HTTP状态恢复】\n','【主动监控HTTP状态恢复】\n\n项目: {{project_name}}\n\n环境: {{workspace}}\n\n事件: [{{status_metric_name}}]({{url}}) 指标状态恢复\n\n响应状态码: {{code_min}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n','{\"trigger_duration\":\"time:ms\"}','1.0','2021-05-28 11:55:02','2021-05-28 11:55:03',0),(3295,'主动监控HTTP状态恢复','app_status','app_status_code','webhook','recover','【{{project_name}}项目{{status_metric_name}}指标HTTP状态恢复】\n','【主动监控HTTP状态恢复】\n\n项目: {{project_name}}\n\n环境: {{workspace}}\n\n事件: [{{status_metric_name}}]({{url}}) 指标状态恢复\n\n响应状态码: {{code_min}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n','{\"trigger_duration\":\"time:ms\"}','1.0','2021-05-28 11:55:02','2021-05-28 11:55:03',0),(3296,'服务接口HTTP错误率异常','app_transaction','app_transaction_http_path_error','dingding','alert','【{{service_name}}服务接口HTTP错误率异常告警】','【服务接口HTTP错误率异常告警】\n\n项目: {{project_name}}\n\n应用: {{application_name}}\n\n服务: {{runtime_name}} - {{service_name}}\n\n接口: {{http_method}} {{http_url}}\n\n事件: {{ window }}分钟内HTTP错误率{{ error_percent_value }} 错误请求次数{{ error_count_sum }} 总请求次数{{ elapsed_count_sum }}\n\n时间: {{timestamp}}\n\n[查看详情]({{display_url}})\n','{\"error_percent_value\":\"percent\"}','1.0','2021-05-28 11:55:02','2021-05-28 11:55:03',0),(3297,'服务接口HTTP错误率异常','app_transaction','app_transaction_http_path_error','ticket','alert','【{{service_name}}服务接口HTTP错误率异常告警】','【服务接口HTTP错误率异常告警】\n\n项目: {{project_name}}\n\n应用: {{application_name}}\n\n服务: {{runtime_name}} - {{service_name}}\n\n接口: {{http_method}} {{http_url}}\n\n事件: {{ window }}分钟内HTTP错误率{{ error_percent_value }} 错误请求次数{{ error_count_sum }} 总请求次数{{ elapsed_count_sum }}\n\n时间: {{timestamp}}\n\n[查看详情]({{display_url}})\n','{\"error_percent_value\":\"percent\"}','1.0','2021-05-28 11:55:02','2021-05-28 11:55:03',0),(3298,'服务接口HTTP错误率异常','app_transaction','app_transaction_http_path_error','email','alert','【{{service_name}}服务接口HTTP错误率异常告警】','【服务接口HTTP错误率异常告警】\n\n项目: {{project_name}}\n\n应用: {{application_name}}\n\n服务: {{runtime_name}} - {{service_name}}\n\n接口: {{http_method}} {{http_url}}\n\n事件: {{ window }}分钟内HTTP错误率{{ error_percent_value }} 错误请求次数{{ error_count_sum }} 总请求次数{{ elapsed_count_sum }}\n\n时间: {{timestamp}}\n\n[查看详情]({{display_url}})\n','{\"error_percent_value\":\"percent\"}','1.0','2021-05-28 11:55:02','2021-05-28 11:55:03',0),(3299,'服务接口HTTP错误率异常','app_transaction','app_transaction_http_path_error','mbox','alert','【{{service_name}}服务接口HTTP错误率异常告警】','【服务接口HTTP错误率异常告警】\n\n项目: {{project_name}}\n\n应用: {{application_name}}\n\n服务: {{runtime_name}} - {{service_name}}\n\n接口: {{http_method}} {{http_url}}\n\n事件: {{ window }}分钟内HTTP错误率{{ error_percent_value }} 错误请求次数{{ error_count_sum }} 总请求次数{{ elapsed_count_sum }}\n\n时间: {{timestamp}}\n\n[查看详情]({{display_url}})\n','{\"error_percent_value\":\"percent\"}','1.0','2021-05-28 11:55:02','2021-05-28 11:55:03',0),(3300,'服务接口HTTP错误率异常','app_transaction','app_transaction_http_path_error','webhook','alert','【{{service_name}}服务接口HTTP错误率异常告警】','【服务接口HTTP错误率异常告警】\n\n项目: {{project_name}}\n\n应用: {{application_name}}\n\n服务: {{runtime_name}} - {{service_name}}\n\n接口: {{http_method}} {{http_url}}\n\n事件: {{ window }}分钟内HTTP错误率{{ error_percent_value }} 错误请求次数{{ error_count_sum }} 总请求次数{{ elapsed_count_sum }}\n\n时间: {{timestamp}}\n\n[查看详情]({{display_url}})\n','{\"error_percent_value\":\"percent\"}','1.0','2021-05-28 11:55:02','2021-05-28 11:55:03',0),(3301,'服务接口HTTP错误率恢复','app_transaction','app_transaction_http_path_error','dingding','recover','【{{service_name}}服务接口HTTP错误率异常恢复】','【服务接口HTTP错误率异常恢复】\n\n项目: {{project_name}}\n\n应用: {{application_name}}\n\n服务: {{runtime_name}} - {{service_name}}\n\n接口: {{http_method}} {{http_url}}\n\n持续时间: {{trigger_duration_min}}\n\n恢复时间: {{timestamp}}','{\"trigger_duration\":\"time:ms\"}','1.0','2021-05-28 11:55:02','2021-05-28 11:55:03',0),(3302,'服务接口HTTP错误率恢复','app_transaction','app_transaction_http_path_error','ticket','recover','【{{service_name}}服务接口HTTP错误率异常恢复】','【服务接口HTTP错误率异常恢复】\n\n项目: {{project_name}}\n\n应用: {{application_name}}\n\n服务: {{runtime_name}} - {{service_name}}\n\n接口: {{http_method}} {{http_url}}\n\n持续时间: {{trigger_duration_min}}\n\n恢复时间: {{timestamp}}','{\"trigger_duration\":\"time:ms\"}','1.0','2021-05-28 11:55:02','2021-05-28 11:55:03',0),(3303,'服务接口HTTP错误率恢复','app_transaction','app_transaction_http_path_error','email','recover','【{{service_name}}服务接口HTTP错误率异常恢复】','【服务接口HTTP错误率异常恢复】\n\n项目: {{project_name}}\n\n应用: {{application_name}}\n\n服务: {{runtime_name}} - {{service_name}}\n\n接口: {{http_method}} {{http_url}}\n\n持续时间: {{trigger_duration_min}}\n\n恢复时间: {{timestamp}}','{\"trigger_duration\":\"time:ms\"}','1.0','2021-05-28 11:55:02','2021-05-28 11:55:03',0),(3304,'服务接口HTTP错误率恢复','app_transaction','app_transaction_http_path_error','mbox','recover','【{{service_name}}服务接口HTTP错误率异常恢复】','【服务接口HTTP错误率异常恢复】\n\n项目: {{project_name}}\n\n应用: {{application_name}}\n\n服务: {{runtime_name}} - {{service_name}}\n\n接口: {{http_method}} {{http_url}}\n\n持续时间: {{trigger_duration_min}}\n\n恢复时间: {{timestamp}}','{\"trigger_duration\":\"time:ms\"}','1.0','2021-05-28 11:55:02','2021-05-28 11:55:03',0),(3305,'服务接口HTTP错误率恢复','app_transaction','app_transaction_http_path_error','webhook','recover','【{{service_name}}服务接口HTTP错误率异常恢复】','【服务接口HTTP错误率异常恢复】\n\n项目: {{project_name}}\n\n应用: {{application_name}}\n\n服务: {{runtime_name}} - {{service_name}}\n\n接口: {{http_method}} {{http_url}}\n\n持续时间: {{trigger_duration_min}}\n\n恢复时间: {{timestamp}}','{\"trigger_duration\":\"time:ms\"}','1.0','2021-05-28 11:55:02','2021-05-28 11:55:03',0),(3306,'服务接口HTTP慢事务异常','app_transaction','app_transaction_http_path_rt','dingding','alert','【{{service_name}}服务接口HTTP慢事务异常告警】','【服务接口HTTP慢事务异常告警】\n\n项目: {{project_name}}\n\n应用: {{application_name}}\n\n服务: {{runtime_name}} - {{service_name}}\n\n接口: {{http_method}} {{http_url}}\n\n事件: {{window}}分钟内平均响应时间{{elapsed_avg_value}} 请求次数{{elapsed_count_sum}}\n\n时间: {{timestamp}}\n\n[查看详情]({{display_url}})\n','{\"elapsed_avg_value\":\"time:ms\",\"elapsed_sum\":\"time:ms\"}','1.0','2021-05-28 11:55:02','2021-05-28 11:55:03',0),(3307,'服务接口HTTP慢事务异常','app_transaction','app_transaction_http_path_rt','ticket','alert','【{{service_name}}服务接口HTTP慢事务异常告警】','【服务接口HTTP慢事务异常告警】\n\n项目: {{project_name}}\n\n应用: {{application_name}}\n\n服务: {{runtime_name}} - {{service_name}}\n\n接口: {{http_method}} {{http_url}}\n\n事件: {{window}}分钟内平均响应时间{{elapsed_avg_value}} 请求次数{{elapsed_count_sum}}\n\n时间: {{timestamp}}\n\n[查看详情]({{display_url}})\n','{\"elapsed_avg_value\":\"time:ms\",\"elapsed_sum\":\"time:ms\"}','1.0','2021-05-28 11:55:02','2021-05-28 11:55:03',0),(3308,'服务接口HTTP慢事务异常','app_transaction','app_transaction_http_path_rt','email','alert','【{{service_name}}服务接口HTTP慢事务异常告警】','【服务接口HTTP慢事务异常告警】\n\n项目: {{project_name}}\n\n应用: {{application_name}}\n\n服务: {{runtime_name}} - {{service_name}}\n\n接口: {{http_method}} {{http_url}}\n\n事件: {{window}}分钟内平均响应时间{{elapsed_avg_value}} 请求次数{{elapsed_count_sum}}\n\n时间: {{timestamp}}\n\n[查看详情]({{display_url}})\n','{\"elapsed_avg_value\":\"time:ms\",\"elapsed_sum\":\"time:ms\"}','1.0','2021-05-28 11:55:02','2021-05-28 11:55:03',0),(3309,'服务接口HTTP慢事务异常','app_transaction','app_transaction_http_path_rt','mbox','alert','【{{service_name}}服务接口HTTP慢事务异常告警】','【服务接口HTTP慢事务异常告警】\n\n项目: {{project_name}}\n\n应用: {{application_name}}\n\n服务: {{runtime_name}} - {{service_name}}\n\n接口: {{http_method}} {{http_url}}\n\n事件: {{window}}分钟内平均响应时间{{elapsed_avg_value}} 请求次数{{elapsed_count_sum}}\n\n时间: {{timestamp}}\n\n[查看详情]({{display_url}})\n','{\"elapsed_avg_value\":\"time:ms\",\"elapsed_sum\":\"time:ms\"}','1.0','2021-05-28 11:55:02','2021-05-28 11:55:03',0),(3310,'服务接口HTTP慢事务异常','app_transaction','app_transaction_http_path_rt','webhook','alert','【{{service_name}}服务接口HTTP慢事务异常告警】','【服务接口HTTP慢事务异常告警】\n\n项目: {{project_name}}\n\n应用: {{application_name}}\n\n服务: {{runtime_name}} - {{service_name}}\n\n接口: {{http_method}} {{http_url}}\n\n事件: {{window}}分钟内平均响应时间{{elapsed_avg_value}} 请求次数{{elapsed_count_sum}}\n\n时间: {{timestamp}}\n\n[查看详情]({{display_url}})\n','{\"elapsed_avg_value\":\"time:ms\",\"elapsed_sum\":\"time:ms\"}','1.0','2021-05-28 11:55:02','2021-05-28 11:55:03',0),(3311,'服务接口HTTP慢事务恢复','app_transaction','app_transaction_http_path_rt','dingding','recover','【{{service_name}}服务接口HTTP慢事务恢复】','【服务接口HTTP慢事务恢复】\n\n项目: {{project_name}}\n\n应用: {{application_name}}\n\n服务: {{runtime_name}} - {{service_name}}\n\n接口: {{http_method}} {{http_url}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}','{\"trigger_duration\":\"time:ms\"}','1.0','2021-05-28 11:55:02','2021-05-28 11:55:03',0),(3312,'服务接口HTTP慢事务恢复','app_transaction','app_transaction_http_path_rt','ticket','recover','【{{service_name}}服务接口HTTP慢事务恢复】','【服务接口HTTP慢事务恢复】\n\n项目: {{project_name}}\n\n应用: {{application_name}}\n\n服务: {{runtime_name}} - {{service_name}}\n\n接口: {{http_method}} {{http_url}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}','{\"trigger_duration\":\"time:ms\"}','1.0','2021-05-28 11:55:02','2021-05-28 11:55:03',0),(3313,'服务接口HTTP慢事务恢复','app_transaction','app_transaction_http_path_rt','email','recover','【{{service_name}}服务接口HTTP慢事务恢复】','【服务接口HTTP慢事务恢复】\n\n项目: {{project_name}}\n\n应用: {{application_name}}\n\n服务: {{runtime_name}} - {{service_name}}\n\n接口: {{http_method}} {{http_url}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}','{\"trigger_duration\":\"time:ms\"}','1.0','2021-05-28 11:55:02','2021-05-28 11:55:03',0),(3314,'服务接口HTTP慢事务恢复','app_transaction','app_transaction_http_path_rt','mbox','recover','【{{service_name}}服务接口HTTP慢事务恢复】','【服务接口HTTP慢事务恢复】\n\n项目: {{project_name}}\n\n应用: {{application_name}}\n\n服务: {{runtime_name}} - {{service_name}}\n\n接口: {{http_method}} {{http_url}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}','{\"trigger_duration\":\"time:ms\"}','1.0','2021-05-28 11:55:02','2021-05-28 11:55:03',0),(3315,'服务接口HTTP慢事务恢复','app_transaction','app_transaction_http_path_rt','webhook','recover','【{{service_name}}服务接口HTTP慢事务恢复】','【服务接口HTTP慢事务恢复】\n\n项目: {{project_name}}\n\n应用: {{application_name}}\n\n服务: {{runtime_name}} - {{service_name}}\n\n接口: {{http_method}} {{http_url}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}','{\"trigger_duration\":\"time:ms\"}','1.0','2021-05-28 11:55:02','2021-05-28 11:55:03',0),(3316,'服务HTTP错误率异常','app_transaction','app_transaction_http_service_error','dingding','alert','【{{service_name}}服务HTTP错误率异常告警】','【服务HTTP错误率异常告警】\n\n项目: {{project_name}}\n\n应用: {{application_name}}\n\n服务: {{runtime_name}} - {{service_name}}\n\n事件: {{ window }}分钟内HTTP错误率{{ error_percent_value }} 错误请求次数{{ error_count_sum }} 总请求次数{{ elapsed_count_sum }}\n\n时间: {{timestamp}}\n\n[查看详情]({{display_url}})\n','{\"error_percent_value\":\"percent\"}','1.0','2021-05-28 11:55:02','2021-05-28 11:55:03',0),(3317,'服务HTTP错误率异常','app_transaction','app_transaction_http_service_error','ticket','alert','【{{service_name}}服务HTTP错误率异常告警】','【服务HTTP错误率异常告警】\n\n项目: {{project_name}}\n\n应用: {{application_name}}\n\n服务: {{runtime_name}} - {{service_name}}\n\n事件: {{ window }}分钟内HTTP错误率{{ error_percent_value }} 错误请求次数{{ error_count_sum }} 总请求次数{{ elapsed_count_sum }}\n\n时间: {{timestamp}}\n\n[查看详情]({{display_url}})\n','{\"error_percent_value\":\"percent\"}','1.0','2021-05-28 11:55:02','2021-05-28 11:55:03',0),(3318,'服务HTTP错误率异常','app_transaction','app_transaction_http_service_error','email','alert','【{{service_name}}服务HTTP错误率异常告警】','【服务HTTP错误率异常告警】\n\n项目: {{project_name}}\n\n应用: {{application_name}}\n\n服务: {{runtime_name}} - {{service_name}}\n\n事件: {{ window }}分钟内HTTP错误率{{ error_percent_value }} 错误请求次数{{ error_count_sum }} 总请求次数{{ elapsed_count_sum }}\n\n时间: {{timestamp}}\n\n[查看详情]({{display_url}})\n','{\"error_percent_value\":\"percent\"}','1.0','2021-05-28 11:55:02','2021-05-28 11:55:03',0),(3319,'服务HTTP错误率异常','app_transaction','app_transaction_http_service_error','mbox','alert','【{{service_name}}服务HTTP错误率异常告警】','【服务HTTP错误率异常告警】\n\n项目: {{project_name}}\n\n应用: {{application_name}}\n\n服务: {{runtime_name}} - {{service_name}}\n\n事件: {{ window }}分钟内HTTP错误率{{ error_percent_value }} 错误请求次数{{ error_count_sum }} 总请求次数{{ elapsed_count_sum }}\n\n时间: {{timestamp}}\n\n[查看详情]({{display_url}})\n','{\"error_percent_value\":\"percent\"}','1.0','2021-05-28 11:55:02','2021-05-28 11:55:03',0),(3320,'服务HTTP错误率异常','app_transaction','app_transaction_http_service_error','webhook','alert','【{{service_name}}服务HTTP错误率异常告警】','【服务HTTP错误率异常告警】\n\n项目: {{project_name}}\n\n应用: {{application_name}}\n\n服务: {{runtime_name}} - {{service_name}}\n\n事件: {{ window }}分钟内HTTP错误率{{ error_percent_value }} 错误请求次数{{ error_count_sum }} 总请求次数{{ elapsed_count_sum }}\n\n时间: {{timestamp}}\n\n[查看详情]({{display_url}})\n','{\"error_percent_value\":\"percent\"}','1.0','2021-05-28 11:55:02','2021-05-28 11:55:03',0),(3321,'服务HTTP错误率恢复','app_transaction','app_transaction_http_service_error','dingding','recover','【{{service_name}}服务HTTP错误率恢复】','【服务HTTP错误率异常恢复】\n\n项目: {{project_name}}\n\n应用: {{application_name}}\n\n服务: {{runtime_name}} - {{service_name}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n','{\"trigger_duration\":\"time:ms\"}','1.0','2021-05-28 11:55:02','2021-05-28 11:55:03',0),(3322,'服务HTTP错误率恢复','app_transaction','app_transaction_http_service_error','ticket','recover','【{{service_name}}服务HTTP错误率恢复】','【服务HTTP错误率异常恢复】\n\n项目: {{project_name}}\n\n应用: {{application_name}}\n\n服务: {{runtime_name}} - {{service_name}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n','{\"trigger_duration\":\"time:ms\"}','1.0','2021-05-28 11:55:02','2021-05-28 11:55:03',0),(3323,'服务HTTP错误率恢复','app_transaction','app_transaction_http_service_error','email','recover','【{{service_name}}服务HTTP错误率恢复】','【服务HTTP错误率异常恢复】\n\n项目: {{project_name}}\n\n应用: {{application_name}}\n\n服务: {{runtime_name}} - {{service_name}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n','{\"trigger_duration\":\"time:ms\"}','1.0','2021-05-28 11:55:02','2021-05-28 11:55:03',0),(3324,'服务HTTP错误率恢复','app_transaction','app_transaction_http_service_error','mbox','recover','【{{service_name}}服务HTTP错误率恢复】','【服务HTTP错误率异常恢复】\n\n项目: {{project_name}}\n\n应用: {{application_name}}\n\n服务: {{runtime_name}} - {{service_name}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n','{\"trigger_duration\":\"time:ms\"}','1.0','2021-05-28 11:55:02','2021-05-28 11:55:03',0),(3325,'服务HTTP错误率恢复','app_transaction','app_transaction_http_service_error','webhook','recover','【{{service_name}}服务HTTP错误率恢复】','【服务HTTP错误率异常恢复】\n\n项目: {{project_name}}\n\n应用: {{application_name}}\n\n服务: {{runtime_name}} - {{service_name}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n','{\"trigger_duration\":\"time:ms\"}','1.0','2021-05-28 11:55:02','2021-05-28 11:55:03',0),(3326,'服务HTTP慢事务异常','app_transaction','app_transaction_http_service_rt','dingding','alert','【应用{{service_name}}服务HTTP慢事务异常告警】','【服务HTTP慢事务异常告警】\n\n项目: {{project_name}}\n\n应用: {{application_name}}\n\n服务: {{runtime_name}} - {{service_name}}\n\n事件: {{window}}分钟内HTTP事务平均响应时间{{elapsed_avg_value}} 请求次数{{elapsed_count_sum}}\n\n时间: {{timestamp}}\n\n[查看详情]({{display_url}})\n','{\"elapsed_avg_value\":\"time:ms\",\"elapsed_sum\":\"time:ms\"}','1.0','2021-05-28 11:55:02','2021-05-28 11:55:03',0),(3327,'服务HTTP慢事务异常','app_transaction','app_transaction_http_service_rt','ticket','alert','【应用{{service_name}}服务HTTP慢事务异常告警】','【服务HTTP慢事务异常告警】\n\n项目: {{project_name}}\n\n应用: {{application_name}}\n\n服务: {{runtime_name}} - {{service_name}}\n\n事件: {{window}}分钟内HTTP事务平均响应时间{{elapsed_avg_value}} 请求次数{{elapsed_count_sum}}\n\n时间: {{timestamp}}\n\n[查看详情]({{display_url}})\n','{\"elapsed_avg_value\":\"time:ms\",\"elapsed_sum\":\"time:ms\"}','1.0','2021-05-28 11:55:02','2021-05-28 11:55:03',0),(3328,'服务HTTP慢事务异常','app_transaction','app_transaction_http_service_rt','email','alert','【应用{{service_name}}服务HTTP慢事务异常告警】','【服务HTTP慢事务异常告警】\n\n项目: {{project_name}}\n\n应用: {{application_name}}\n\n服务: {{runtime_name}} - {{service_name}}\n\n事件: {{window}}分钟内HTTP事务平均响应时间{{elapsed_avg_value}} 请求次数{{elapsed_count_sum}}\n\n时间: {{timestamp}}\n\n[查看详情]({{display_url}})\n','{\"elapsed_avg_value\":\"time:ms\",\"elapsed_sum\":\"time:ms\"}','1.0','2021-05-28 11:55:02','2021-05-28 11:55:03',0),(3329,'服务HTTP慢事务异常','app_transaction','app_transaction_http_service_rt','mbox','alert','【应用{{service_name}}服务HTTP慢事务异常告警】','【服务HTTP慢事务异常告警】\n\n项目: {{project_name}}\n\n应用: {{application_name}}\n\n服务: {{runtime_name}} - {{service_name}}\n\n事件: {{window}}分钟内HTTP事务平均响应时间{{elapsed_avg_value}} 请求次数{{elapsed_count_sum}}\n\n时间: {{timestamp}}\n\n[查看详情]({{display_url}})\n','{\"elapsed_avg_value\":\"time:ms\",\"elapsed_sum\":\"time:ms\"}','1.0','2021-05-28 11:55:02','2021-05-28 11:55:03',0),(3330,'服务HTTP慢事务异常','app_transaction','app_transaction_http_service_rt','webhook','alert','【应用{{service_name}}服务HTTP慢事务异常告警】','【服务HTTP慢事务异常告警】\n\n项目: {{project_name}}\n\n应用: {{application_name}}\n\n服务: {{runtime_name}} - {{service_name}}\n\n事件: {{window}}分钟内HTTP事务平均响应时间{{elapsed_avg_value}} 请求次数{{elapsed_count_sum}}\n\n时间: {{timestamp}}\n\n[查看详情]({{display_url}})\n','{\"elapsed_avg_value\":\"time:ms\",\"elapsed_sum\":\"time:ms\"}','1.0','2021-05-28 11:55:02','2021-05-28 11:55:03',0),(3331,'服务HTTP慢事务异常恢复','app_transaction','app_transaction_http_service_rt','dingding','recover','【应用{{service_name}}服务HTTP慢事务异常恢复】','【服务HTTP慢事务异常恢复】\n\n项目: {{project_name}}\n\n应用: {{application_name}}\n\n服务: {{runtime_name}} - {{service_name}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n','{\"trigger_duration\":\"time:ms\"}','1.0','2021-05-28 11:55:02','2021-05-28 11:55:03',0),(3332,'服务HTTP慢事务异常恢复','app_transaction','app_transaction_http_service_rt','ticket','recover','【应用{{service_name}}服务HTTP慢事务异常恢复】','【服务HTTP慢事务异常恢复】\n\n项目: {{project_name}}\n\n应用: {{application_name}}\n\n服务: {{runtime_name}} - {{service_name}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n','{\"trigger_duration\":\"time:ms\"}','1.0','2021-05-28 11:55:02','2021-05-28 11:55:03',0),(3333,'服务HTTP慢事务异常恢复','app_transaction','app_transaction_http_service_rt','email','recover','【应用{{service_name}}服务HTTP慢事务异常恢复】','【服务HTTP慢事务异常恢复】\n\n项目: {{project_name}}\n\n应用: {{application_name}}\n\n服务: {{runtime_name}} - {{service_name}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n','{\"trigger_duration\":\"time:ms\"}','1.0','2021-05-28 11:55:02','2021-05-28 11:55:03',0),(3334,'服务HTTP慢事务异常恢复','app_transaction','app_transaction_http_service_rt','mbox','recover','【应用{{service_name}}服务HTTP慢事务异常恢复】','【服务HTTP慢事务异常恢复】\n\n项目: {{project_name}}\n\n应用: {{application_name}}\n\n服务: {{runtime_name}} - {{service_name}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n','{\"trigger_duration\":\"time:ms\"}','1.0','2021-05-28 11:55:02','2021-05-28 11:55:03',0),(3335,'服务HTTP慢事务异常恢复','app_transaction','app_transaction_http_service_rt','webhook','recover','【应用{{service_name}}服务HTTP慢事务异常恢复】','【服务HTTP慢事务异常恢复】\n\n项目: {{project_name}}\n\n应用: {{application_name}}\n\n服务: {{runtime_name}} - {{service_name}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n','{\"trigger_duration\":\"time:ms\"}','1.0','2021-05-28 11:55:02','2021-05-28 11:55:03',0),(3336,'MySQL SLAVE DELAY ALERT','custom_addon','slave_dly_alert','dingding','alert','【MySQL {{window}}M 聚合时间内 SLAVE 延迟 {{slave_seconds_behind_master_max}}s】\n','【MySQL {{window}}M 聚合时间内 SLAVE 延迟 {{slave_seconds_behind_master_max}}s】\n\n集群: {{cluster_name}}\n\nmysql: {{server_id}}\n\n延迟时间： {{slave_seconds_behind_master_max}}\n\n时间: {{timestamp}}','{\"limit_value\":\"fraction:1\",\"usage_percent_avg\":\"percent:1\"}','1.0','2021-05-28 11:55:02','2021-05-28 11:55:03',0),(3337,'MySQL SLAVE SYNC ALERT','custom_addon','slave_sync_alert','dingding','alert','【MySQL SLAVE 同步异常】\n','【MySQL SLAVE 同步异常】\n\n集群: {{cluster_name}}\n\nmysql: {{server_id}}\n\nSlave_IO_Running: {{slave_slave_io_running_value}}\n\nSlave_SQL_Running: {{slave_slave_sql_running_value}}\n\n时间: {{timestamp}}','{\"limit_value\":\"fraction:1\",\"usage_percent_avg\":\"percent:1\"}','1.0','2021-05-28 11:55:02','2021-05-28 11:55:03',0),(3338,'平台中间件cassandra GC次数异常','dice_addon','dice_addon_cassandra_gc_count','dingding','alert','【平台中间件cassandra GC次数告警】\n','【平台中间件cassandra GC次数告警】\n\n中间件: {{addon_id}}\n\n老年代GC次数: {{CollectionCount_win_value}}\n\n集群: {{cluster_name}}\n\n机器: {{node_host}}\n\n时间: {{timestamp}}\n\n[查看详情]({{display_url}})\n','','1.0','2021-05-28 11:55:02','2021-05-28 11:55:03',0),(3339,'平台中间件cassandra GC次数异常','dice_addon','dice_addon_cassandra_gc_count','ticket','alert','【平台中间件cassandra GC次数告警】\n','【平台中间件cassandra GC次数告警】\n\n中间件: {{addon_id}}\n\n老年代GC次数: {{CollectionCount_win_value}}\n\n集群: {{cluster_name}}\n\n机器: {{node_host}}\n\n时间: {{timestamp}}\n\n[查看详情]({{display_url}})\n','','1.0','2021-05-28 11:55:02','2021-05-28 11:55:03',0),(3340,'平台中间件cassandra GC次数异常','dice_addon','dice_addon_cassandra_gc_count','email','alert','【平台中间件cassandra GC次数告警】\n','【平台中间件cassandra GC次数告警】\n\n中间件: {{addon_id}}\n\n老年代GC次数: {{CollectionCount_win_value}}\n\n集群: {{cluster_name}}\n\n机器: {{node_host}}\n\n时间: {{timestamp}}\n\n[查看详情]({{display_url}})\n','','1.0','2021-05-28 11:55:02','2021-05-28 11:55:03',0),(3341,'平台中间件cassandra GC次数异常','dice_addon','dice_addon_cassandra_gc_count','mbox','alert','【平台中间件cassandra GC次数告警】\n','【平台中间件cassandra GC次数告警】\n\n中间件: {{addon_id}}\n\n老年代GC次数: {{CollectionCount_win_value}}\n\n集群: {{cluster_name}}\n\n机器: {{node_host}}\n\n时间: {{timestamp}}\n\n[查看详情]({{display_url}})\n','','1.0','2021-05-28 11:55:02','2021-05-28 11:55:03',0),(3342,'平台中间件cassandra GC次数异常','dice_addon','dice_addon_cassandra_gc_count','webhook','alert','【平台中间件cassandra GC次数告警】\n','【平台中间件cassandra GC次数告警】\n\n中间件: {{addon_id}}\n\n老年代GC次数: {{CollectionCount_win_value}}\n\n集群: {{cluster_name}}\n\n机器: {{node_host}}\n\n时间: {{timestamp}}\n\n[查看详情]({{display_url}})\n','','1.0','2021-05-28 11:55:02','2021-05-28 11:55:03',0),(3343,'平台中间件cassandra GC次数异常','dice_addon','dice_addon_cassandra_gc_count','dingding','recover','【平台中间件cassandra GC次数恢复】\n','【平台中间件cassandra GC次数恢复】\n\n中间件: {{addon_id}}\n\n老年代GC次数: {{CollectionCount_win_value}}\n\n集群: {{cluster_name}}\n\n机器: {{node_host}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n','{\"trigger_duration\":\"time:ms\"}','1.0','2021-05-28 11:55:02','2021-05-28 11:55:03',0),(3344,'平台中间件cassandra GC次数异常','dice_addon','dice_addon_cassandra_gc_count','ticket','recover','【平台中间件cassandra GC次数恢复】\n','【平台中间件cassandra GC次数恢复】\n\n中间件: {{addon_id}}\n\n老年代GC次数: {{CollectionCount_win_value}}\n\n集群: {{cluster_name}}\n\n机器: {{node_host}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n','{\"trigger_duration\":\"time:ms\"}','1.0','2021-05-28 11:55:02','2021-05-28 11:55:03',0),(3345,'平台中间件cassandra GC次数异常','dice_addon','dice_addon_cassandra_gc_count','email','recover','【平台中间件cassandra GC次数恢复】\n','【平台中间件cassandra GC次数恢复】\n\n中间件: {{addon_id}}\n\n老年代GC次数: {{CollectionCount_win_value}}\n\n集群: {{cluster_name}}\n\n机器: {{node_host}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n','{\"trigger_duration\":\"time:ms\"}','1.0','2021-05-28 11:55:02','2021-05-28 11:55:03',0),(3346,'平台中间件cassandra GC次数异常','dice_addon','dice_addon_cassandra_gc_count','mbox','recover','【平台中间件cassandra GC次数恢复】\n','【平台中间件cassandra GC次数恢复】\n\n中间件: {{addon_id}}\n\n老年代GC次数: {{CollectionCount_win_value}}\n\n集群: {{cluster_name}}\n\n机器: {{node_host}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n','{\"trigger_duration\":\"time:ms\"}','1.0','2021-05-28 11:55:02','2021-05-28 11:55:03',0),(3347,'平台中间件cassandra GC次数异常','dice_addon','dice_addon_cassandra_gc_count','webhook','recover','【平台中间件cassandra GC次数恢复】\n','【平台中间件cassandra GC次数恢复】\n\n中间件: {{addon_id}}\n\n老年代GC次数: {{CollectionCount_win_value}}\n\n集群: {{cluster_name}}\n\n机器: {{node_host}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n','{\"trigger_duration\":\"time:ms\"}','1.0','2021-05-28 11:55:02','2021-05-28 11:55:03',0),(3348,'平台中间件cassandra GC耗时异常','dice_addon','dice_addon_cassandra_gc_time','dingding','alert','【平台中间件cassandra GC耗时告警】\n','【平台中间件cassandra GC耗时告警】\n\n中间件: {{addon_id}}\n\n老年代GC耗时: {{CollectionTime_win_value}}\n\n集群: {{cluster_name}}\n\n机器: {{node_host}}\n\n时间: {{timestamp}}\n\n[查看详情]({{display_url}})\n','{\"CollectionTime_win_value\":\"time:ms\"}','1.0','2021-05-28 11:55:02','2021-05-28 11:55:03',0),(3349,'平台中间件cassandra GC耗时异常','dice_addon','dice_addon_cassandra_gc_time','ticket','alert','【平台中间件cassandra GC耗时告警】\n','【平台中间件cassandra GC耗时告警】\n\n中间件: {{addon_id}}\n\n老年代GC耗时: {{CollectionTime_win_value}}\n\n集群: {{cluster_name}}\n\n机器: {{node_host}}\n\n时间: {{timestamp}}\n\n[查看详情]({{display_url}})\n','{\"CollectionTime_win_value\":\"time:ms\"}','1.0','2021-05-28 11:55:02','2021-05-28 11:55:03',0),(3350,'平台中间件cassandra GC耗时异常','dice_addon','dice_addon_cassandra_gc_time','email','alert','【平台中间件cassandra GC耗时告警】\n','【平台中间件cassandra GC耗时告警】\n\n中间件: {{addon_id}}\n\n老年代GC耗时: {{CollectionTime_win_value}}\n\n集群: {{cluster_name}}\n\n机器: {{node_host}}\n\n时间: {{timestamp}}\n\n[查看详情]({{display_url}})\n','{\"CollectionTime_win_value\":\"time:ms\"}','1.0','2021-05-28 11:55:02','2021-05-28 11:55:03',0),(3351,'平台中间件cassandra GC耗时异常','dice_addon','dice_addon_cassandra_gc_time','mbox','alert','【平台中间件cassandra GC耗时告警】\n','【平台中间件cassandra GC耗时告警】\n\n中间件: {{addon_id}}\n\n老年代GC耗时: {{CollectionTime_win_value}}\n\n集群: {{cluster_name}}\n\n机器: {{node_host}}\n\n时间: {{timestamp}}\n\n[查看详情]({{display_url}})\n','{\"CollectionTime_win_value\":\"time:ms\"}','1.0','2021-05-28 11:55:02','2021-05-28 11:55:03',0),(3352,'平台中间件cassandra GC耗时异常','dice_addon','dice_addon_cassandra_gc_time','webhook','alert','【平台中间件cassandra GC耗时告警】\n','【平台中间件cassandra GC耗时告警】\n\n中间件: {{addon_id}}\n\n老年代GC耗时: {{CollectionTime_win_value}}\n\n集群: {{cluster_name}}\n\n机器: {{node_host}}\n\n时间: {{timestamp}}\n\n[查看详情]({{display_url}})\n','{\"CollectionTime_win_value\":\"time:ms\"}','1.0','2021-05-28 11:55:02','2021-05-28 11:55:03',0),(3353,'平台中间件cassandra GC耗时异常','dice_addon','dice_addon_cassandra_gc_time','dingding','recover','【平台中间件cassandra GC耗时恢复】\n','【平台中间件cassandra GC耗时恢复】\n\n中间件: {{addon_id}}\n\n老年代GC耗时: {{CollectionTime_win_value}}\n\n集群: {{cluster_name}}\n\n机器: {{node_host}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n','{\"CollectionTime_win_value\":\"time:ms\",\"trigger_duration\":\"time:ms\"}','1.0','2021-05-28 11:55:02','2021-05-28 11:55:03',0),(3354,'平台中间件cassandra GC耗时异常','dice_addon','dice_addon_cassandra_gc_time','ticket','recover','【平台中间件cassandra GC耗时恢复】\n','【平台中间件cassandra GC耗时恢复】\n\n中间件: {{addon_id}}\n\n老年代GC耗时: {{CollectionTime_win_value}}\n\n集群: {{cluster_name}}\n\n机器: {{node_host}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n','{\"CollectionTime_win_value\":\"time:ms\",\"trigger_duration\":\"time:ms\"}','1.0','2021-05-28 11:55:02','2021-05-28 11:55:03',0),(3355,'平台中间件cassandra GC耗时异常','dice_addon','dice_addon_cassandra_gc_time','email','recover','【平台中间件cassandra GC耗时恢复】\n','【平台中间件cassandra GC耗时恢复】\n\n中间件: {{addon_id}}\n\n老年代GC耗时: {{CollectionTime_win_value}}\n\n集群: {{cluster_name}}\n\n机器: {{node_host}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n','{\"CollectionTime_win_value\":\"time:ms\",\"trigger_duration\":\"time:ms\"}','1.0','2021-05-28 11:55:02','2021-05-28 11:55:03',0),(3356,'平台中间件cassandra GC耗时异常','dice_addon','dice_addon_cassandra_gc_time','mbox','recover','【平台中间件cassandra GC耗时恢复】\n','【平台中间件cassandra GC耗时恢复】\n\n中间件: {{addon_id}}\n\n老年代GC耗时: {{CollectionTime_win_value}}\n\n集群: {{cluster_name}}\n\n机器: {{node_host}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n','{\"CollectionTime_win_value\":\"time:ms\",\"trigger_duration\":\"time:ms\"}','1.0','2021-05-28 11:55:02','2021-05-28 11:55:03',0),(3357,'平台中间件cassandra GC耗时异常','dice_addon','dice_addon_cassandra_gc_time','webhook','recover','【平台中间件cassandra GC耗时恢复】\n','【平台中间件cassandra GC耗时恢复】\n\n中间件: {{addon_id}}\n\n老年代GC耗时: {{CollectionTime_win_value}}\n\n集群: {{cluster_name}}\n\n机器: {{node_host}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n','{\"CollectionTime_win_value\":\"time:ms\",\"trigger_duration\":\"time:ms\"}','1.0','2021-05-28 11:55:02','2021-05-28 11:55:03',0),(3358,'平台中间件实例CPU异常','dice_addon','dice_addon_container_cpu','dingding','alert','【平台中间件{{addon_id}} CPU使用率告警】\n','【平台中间件CPU使用率告警】\n\n中间件: {{addon_id}}\n\n使用率: {{cpu_usage_percent_avg}}\n\n限制: {{cpu_limit_value}}核\n\n分配: {{cpu_allocation_value}}核\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n容器ID: {{container_id}}\n\n时间: {{timestamp}}\n','{\"cpu_allocation_value\":\"fraction:2\",\"cpu_limit_value\":\"fraction:2\",\"cpu_usage_percent_avg\":\"percent:2\"}','1.0','2021-05-28 11:55:02','2021-05-28 11:55:03',0),(3359,'平台中间件实例CPU异常','dice_addon','dice_addon_container_cpu','ticket','alert','【平台中间件{{addon_id}} CPU使用率告警】\n','【平台中间件CPU使用率告警】\n\n中间件: {{addon_id}}\n\n使用率: {{cpu_usage_percent_avg}}\n\n限制: {{cpu_limit_value}}核\n\n分配: {{cpu_allocation_value}}核\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n容器ID: {{container_id}}\n\n时间: {{timestamp}}\n','{\"cpu_allocation_value\":\"fraction:2\",\"cpu_limit_value\":\"fraction:2\",\"cpu_usage_percent_avg\":\"percent:2\"}','1.0','2021-05-28 11:55:02','2021-05-28 11:55:03',0),(3360,'平台中间件实例CPU异常','dice_addon','dice_addon_container_cpu','email','alert','【平台中间件{{addon_id}} CPU使用率告警】\n','【平台中间件CPU使用率告警】\n\n中间件: {{addon_id}}\n\n使用率: {{cpu_usage_percent_avg}}\n\n限制: {{cpu_limit_value}}核\n\n分配: {{cpu_allocation_value}}核\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n容器ID: {{container_id}}\n\n时间: {{timestamp}}\n','{\"cpu_allocation_value\":\"fraction:2\",\"cpu_limit_value\":\"fraction:2\",\"cpu_usage_percent_avg\":\"percent:2\"}','1.0','2021-05-28 11:55:02','2021-05-28 11:55:03',0),(3361,'平台中间件实例CPU异常','dice_addon','dice_addon_container_cpu','mbox','alert','【平台中间件{{addon_id}} CPU使用率告警】\n','【平台中间件CPU使用率告警】\n\n中间件: {{addon_id}}\n\n使用率: {{cpu_usage_percent_avg}}\n\n限制: {{cpu_limit_value}}核\n\n分配: {{cpu_allocation_value}}核\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n容器ID: {{container_id}}\n\n时间: {{timestamp}}\n','{\"cpu_allocation_value\":\"fraction:2\",\"cpu_limit_value\":\"fraction:2\",\"cpu_usage_percent_avg\":\"percent:2\"}','1.0','2021-05-28 11:55:02','2021-05-28 11:55:03',0),(3362,'平台中间件实例CPU异常','dice_addon','dice_addon_container_cpu','webhook','alert','【平台中间件{{addon_id}} CPU使用率告警】\n','【平台中间件CPU使用率告警】\n\n中间件: {{addon_id}}\n\n使用率: {{cpu_usage_percent_avg}}\n\n限制: {{cpu_limit_value}}核\n\n分配: {{cpu_allocation_value}}核\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n容器ID: {{container_id}}\n\n时间: {{timestamp}}\n','{\"cpu_allocation_value\":\"fraction:2\",\"cpu_limit_value\":\"fraction:2\",\"cpu_usage_percent_avg\":\"percent:2\"}','1.0','2021-05-28 11:55:02','2021-05-28 11:55:03',0),(3363,'平台中间件实例CPU异常','dice_addon','dice_addon_container_cpu','dingding','recover','【平台中间件{{addon_id}} CPU使用率恢复】\n','【平台中间件CPU使用率恢复】\n\n中间件: {{addon_id}}\n\n使用率: {{cpu_usage_percent_avg}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n容器ID: {{container_id}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n','{\"cpu_usage_percent_avg\":\"percent:2\",\"trigger_duration\":\"time:ms\"}','1.0','2021-05-28 11:55:02','2021-05-28 11:55:03',0),(3364,'平台中间件实例CPU异常','dice_addon','dice_addon_container_cpu','ticket','recover','【平台中间件{{addon_id}} CPU使用率恢复】\n','【平台中间件CPU使用率恢复】\n\n中间件: {{addon_id}}\n\n使用率: {{cpu_usage_percent_avg}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n容器ID: {{container_id}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n','{\"cpu_usage_percent_avg\":\"percent:2\",\"trigger_duration\":\"time:ms\"}','1.0','2021-05-28 11:55:02','2021-05-28 11:55:03',0),(3365,'平台中间件实例CPU异常','dice_addon','dice_addon_container_cpu','email','recover','【平台中间件{{addon_id}} CPU使用率恢复】\n','【平台中间件CPU使用率恢复】\n\n中间件: {{addon_id}}\n\n使用率: {{cpu_usage_percent_avg}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n容器ID: {{container_id}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n','{\"cpu_usage_percent_avg\":\"percent:2\",\"trigger_duration\":\"time:ms\"}','1.0','2021-05-28 11:55:02','2021-05-28 11:55:03',0),(3366,'平台中间件实例CPU异常','dice_addon','dice_addon_container_cpu','mbox','recover','【平台中间件{{addon_id}} CPU使用率恢复】\n','【平台中间件CPU使用率恢复】\n\n中间件: {{addon_id}}\n\n使用率: {{cpu_usage_percent_avg}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n容器ID: {{container_id}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n','{\"cpu_usage_percent_avg\":\"percent:2\",\"trigger_duration\":\"time:ms\"}','1.0','2021-05-28 11:55:02','2021-05-28 11:55:03',0),(3367,'平台中间件实例CPU异常','dice_addon','dice_addon_container_cpu','webhook','recover','【平台中间件{{addon_id}} CPU使用率恢复】\n','【平台中间件CPU使用率恢复】\n\n中间件: {{addon_id}}\n\n使用率: {{cpu_usage_percent_avg}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n容器ID: {{container_id}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n','{\"cpu_usage_percent_avg\":\"percent:2\",\"trigger_duration\":\"time:ms\"}','1.0','2021-05-28 11:55:02','2021-05-28 11:55:03',0),(3368,'平台中间件异常退出','dice_addon','dice_addon_container_exit','dingding','alert','【平台中间件{{addon_id}}异常退出告警】\n','【平台中间件异常退出告警】\n\n中间件: {{addon_id}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n启动时间: {{started_at_value}}\n\n退出时间: {{finished_at_value}}\n\n退出原因: {{terminated_reason_value}}\n\n时间: {{timestamp}}\n\n[查看详情]({{display_url}})\n','{\"finished_at_value\":\"date\",\"started_at_value\":\"date\"}','1.0','2021-05-28 11:55:02','2021-05-28 11:55:03',0),(3369,'平台中间件异常退出','dice_addon','dice_addon_container_exit','ticket','alert','【平台中间件{{addon_id}}异常退出告警】\n','【平台中间件异常退出告警】\n\n中间件: {{addon_id}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n启动时间: {{started_at_value}}\n\n退出时间: {{finished_at_value}}\n\n退出原因: {{terminated_reason_value}}\n\n时间: {{timestamp}}\n\n[查看详情]({{display_url}})\n','{\"finished_at_value\":\"date\",\"started_at_value\":\"date\"}','1.0','2021-05-28 11:55:02','2021-05-28 11:55:03',0),(3370,'平台中间件异常退出','dice_addon','dice_addon_container_exit','email','alert','【平台中间件{{addon_id}}异常退出告警】\n','【平台中间件异常退出告警】\n\n中间件: {{addon_id}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n启动时间: {{started_at_value}}\n\n退出时间: {{finished_at_value}}\n\n退出原因: {{terminated_reason_value}}\n\n时间: {{timestamp}}\n\n[查看详情]({{display_url}})\n','{\"finished_at_value\":\"date\",\"started_at_value\":\"date\"}','1.0','2021-05-28 11:55:02','2021-05-28 11:55:03',0),(3371,'平台中间件异常退出','dice_addon','dice_addon_container_exit','mbox','alert','【平台中间件{{addon_id}}异常退出告警】\n','【平台中间件异常退出告警】\n\n中间件: {{addon_id}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n启动时间: {{started_at_value}}\n\n退出时间: {{finished_at_value}}\n\n退出原因: {{terminated_reason_value}}\n\n时间: {{timestamp}}\n\n[查看详情]({{display_url}})\n','{\"finished_at_value\":\"date\",\"started_at_value\":\"date\"}','1.0','2021-05-28 11:55:02','2021-05-28 11:55:03',0),(3372,'平台中间件异常退出','dice_addon','dice_addon_container_exit','webhook','alert','【平台中间件{{addon_id}}异常退出告警】\n','【平台中间件异常退出告警】\n\n中间件: {{addon_id}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n启动时间: {{started_at_value}}\n\n退出时间: {{finished_at_value}}\n\n退出原因: {{terminated_reason_value}}\n\n时间: {{timestamp}}\n\n[查看详情]({{display_url}})\n','{\"finished_at_value\":\"date\",\"started_at_value\":\"date\"}','1.0','2021-05-28 11:55:02','2021-05-28 11:55:03',0),(3373,'平台中间件异常退出','dice_addon','dice_addon_container_exit','dingding','recover','【平台中间件{{addon_id}}异常退出恢复】\n','【平台中间件异常退出恢复】\n\n中间件: {{addon_id}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n','{\"trigger_duration\":\"time:ms\"}','1.0','2021-05-28 11:55:02','2021-05-28 11:55:03',0),(3374,'平台中间件异常退出','dice_addon','dice_addon_container_exit','ticket','recover','【平台中间件{{addon_id}}异常退出恢复】\n','【平台中间件异常退出恢复】\n\n中间件: {{addon_id}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n','{\"trigger_duration\":\"time:ms\"}','1.0','2021-05-28 11:55:02','2021-05-28 11:55:03',0),(3375,'平台中间件异常退出','dice_addon','dice_addon_container_exit','email','recover','【平台中间件{{addon_id}}异常退出恢复】\n','【平台中间件异常退出恢复】\n\n中间件: {{addon_id}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n','{\"trigger_duration\":\"time:ms\"}','1.0','2021-05-28 11:55:02','2021-05-28 11:55:03',0),(3376,'平台中间件异常退出','dice_addon','dice_addon_container_exit','mbox','recover','【平台中间件{{addon_id}}异常退出恢复】\n','【平台中间件异常退出恢复】\n\n中间件: {{addon_id}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n','{\"trigger_duration\":\"time:ms\"}','1.0','2021-05-28 11:55:02','2021-05-28 11:55:03',0),(3377,'平台中间件异常退出','dice_addon','dice_addon_container_exit','webhook','recover','【平台中间件{{addon_id}}异常退出恢复】\n','【平台中间件异常退出恢复】\n\n中间件: {{addon_id}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n','{\"trigger_duration\":\"time:ms\"}','1.0','2021-05-28 11:55:02','2021-05-28 11:55:03',0),(3378,'平台中间件实例内存异常','dice_addon','dice_addon_container_mem','dingding','alert','【平台中间件{{addon_id}}内存使用率告警】\n','【平台中间件内存使用率告警】\n\n中间件: {{addon_id}}\n\n使用率: {{mem_usage_percent_avg}}\n\n使用: {{mem_usage_value}}\n\n限制: {{mem_limit_value}}\n\n分配: {{mem_allocation_value}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n容器ID: {{container_id}}\n\n时间: {{timestamp}}\n','{\"mem_allocation_value\":\"size:byte\",\"mem_limit_value\":\"size:byte\",\"mem_usage_percent_avg\":\"percent:2\",\"mem_usage_value\":\"size:byte\"}','1.0','2021-05-28 11:55:02','2021-05-28 11:55:03',0),(3379,'平台中间件实例内存异常','dice_addon','dice_addon_container_mem','ticket','alert','【平台中间件{{addon_id}}内存使用率告警】\n','【平台中间件内存使用率告警】\n\n中间件: {{addon_id}}\n\n使用率: {{mem_usage_percent_avg}}\n\n使用: {{mem_usage_value}}\n\n限制: {{mem_limit_value}}\n\n分配: {{mem_allocation_value}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n容器ID: {{container_id}}\n\n时间: {{timestamp}}\n','{\"mem_allocation_value\":\"size:byte\",\"mem_limit_value\":\"size:byte\",\"mem_usage_percent_avg\":\"percent:2\",\"mem_usage_value\":\"size:byte\"}','1.0','2021-05-28 11:55:02','2021-05-28 11:55:03',0),(3380,'平台中间件实例内存异常','dice_addon','dice_addon_container_mem','email','alert','【平台中间件{{addon_id}}内存使用率告警】\n','【平台中间件内存使用率告警】\n\n中间件: {{addon_id}}\n\n使用率: {{mem_usage_percent_avg}}\n\n使用: {{mem_usage_value}}\n\n限制: {{mem_limit_value}}\n\n分配: {{mem_allocation_value}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n容器ID: {{container_id}}\n\n时间: {{timestamp}}\n','{\"mem_allocation_value\":\"size:byte\",\"mem_limit_value\":\"size:byte\",\"mem_usage_percent_avg\":\"percent:2\",\"mem_usage_value\":\"size:byte\"}','1.0','2021-05-28 11:55:02','2021-05-28 11:55:03',0),(3381,'平台中间件实例内存异常','dice_addon','dice_addon_container_mem','mbox','alert','【平台中间件{{addon_id}}内存使用率告警】\n','【平台中间件内存使用率告警】\n\n中间件: {{addon_id}}\n\n使用率: {{mem_usage_percent_avg}}\n\n使用: {{mem_usage_value}}\n\n限制: {{mem_limit_value}}\n\n分配: {{mem_allocation_value}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n容器ID: {{container_id}}\n\n时间: {{timestamp}}\n','{\"mem_allocation_value\":\"size:byte\",\"mem_limit_value\":\"size:byte\",\"mem_usage_percent_avg\":\"percent:2\",\"mem_usage_value\":\"size:byte\"}','1.0','2021-05-28 11:55:02','2021-05-28 11:55:03',0),(3382,'平台中间件实例内存异常','dice_addon','dice_addon_container_mem','webhook','alert','【平台中间件{{addon_id}}内存使用率告警】\n','【平台中间件内存使用率告警】\n\n中间件: {{addon_id}}\n\n使用率: {{mem_usage_percent_avg}}\n\n使用: {{mem_usage_value}}\n\n限制: {{mem_limit_value}}\n\n分配: {{mem_allocation_value}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n容器ID: {{container_id}}\n\n时间: {{timestamp}}\n','{\"mem_allocation_value\":\"size:byte\",\"mem_limit_value\":\"size:byte\",\"mem_usage_percent_avg\":\"percent:2\",\"mem_usage_value\":\"size:byte\"}','1.0','2021-05-28 11:55:02','2021-05-28 11:55:03',0),(3383,'平台中间件实例内存异常','dice_addon','dice_addon_container_mem','dingding','recover','【平台中间件{{addon_id}}内存使用率恢复】\n','【平台中间件内存使用率恢复】\n\n中间件: {{addon_id}}\n\n使用率: {{mem_usage_percent_avg}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n容器ID: {{container_id}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n','{\"mem_usage_percent_avg\":\"percent:2\",\"trigger_duration\":\"time:ms\"}','1.0','2021-05-28 11:55:02','2021-05-28 11:55:03',0),(3384,'平台中间件实例内存异常','dice_addon','dice_addon_container_mem','ticket','recover','【平台中间件{{addon_id}}内存使用率恢复】\n','【平台中间件内存使用率恢复】\n\n中间件: {{addon_id}}\n\n使用率: {{mem_usage_percent_avg}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n容器ID: {{container_id}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n','{\"mem_usage_percent_avg\":\"percent:2\",\"trigger_duration\":\"time:ms\"}','1.0','2021-05-28 11:55:02','2021-05-28 11:55:03',0),(3385,'平台中间件实例内存异常','dice_addon','dice_addon_container_mem','email','recover','【平台中间件{{addon_id}}内存使用率恢复】\n','【平台中间件内存使用率恢复】\n\n中间件: {{addon_id}}\n\n使用率: {{mem_usage_percent_avg}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n容器ID: {{container_id}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n','{\"mem_usage_percent_avg\":\"percent:2\",\"trigger_duration\":\"time:ms\"}','1.0','2021-05-28 11:55:02','2021-05-28 11:55:03',0),(3386,'平台中间件实例内存异常','dice_addon','dice_addon_container_mem','mbox','recover','【平台中间件{{addon_id}}内存使用率恢复】\n','【平台中间件内存使用率恢复】\n\n中间件: {{addon_id}}\n\n使用率: {{mem_usage_percent_avg}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n容器ID: {{container_id}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n','{\"mem_usage_percent_avg\":\"percent:2\",\"trigger_duration\":\"time:ms\"}','1.0','2021-05-28 11:55:02','2021-05-28 11:55:03',0),(3387,'平台中间件实例内存异常','dice_addon','dice_addon_container_mem','webhook','recover','【平台中间件{{addon_id}}内存使用率恢复】\n','【平台中间件内存使用率恢复】\n\n中间件: {{addon_id}}\n\n使用率: {{mem_usage_percent_avg}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n容器ID: {{container_id}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n','{\"mem_usage_percent_avg\":\"percent:2\",\"trigger_duration\":\"time:ms\"}','1.0','2021-05-28 11:55:02','2021-05-28 11:55:03',0),(3388,'平台中间件实例Ready状态异常','dice_addon','dice_addon_container_ready','dingding','alert','【平台中间件{{addon_id}} Ready状态异常告警】\n','【平台中间件Ready状态异常告警】\n\n中间件: {{addon_id}}\n\n未就绪实例: {{not_ready_value}}\n\n已就绪实例: {{ready_value}}\n\n集群: {{cluster_name}}\n\n时间: {{timestamp}}\n','','1.0','2021-05-28 11:55:02','2021-05-28 11:55:03',0),(3389,'平台中间件实例Ready状态异常','dice_addon','dice_addon_container_ready','ticket','alert','【平台中间件{{addon_id}} Ready状态异常告警】\n','【平台中间件Ready状态异常告警】\n\n中间件: {{addon_id}}\n\n未就绪实例: {{not_ready_value}}\n\n已就绪实例: {{ready_value}}\n\n集群: {{cluster_name}}\n\n时间: {{timestamp}}\n','','1.0','2021-05-28 11:55:02','2021-05-28 11:55:03',0),(3390,'平台中间件实例Ready状态异常','dice_addon','dice_addon_container_ready','email','alert','【平台中间件{{addon_id}} Ready状态异常告警】\n','【平台中间件Ready状态异常告警】\n\n中间件: {{addon_id}}\n\n未就绪实例: {{not_ready_value}}\n\n已就绪实例: {{ready_value}}\n\n集群: {{cluster_name}}\n\n时间: {{timestamp}}\n','','1.0','2021-05-28 11:55:02','2021-05-28 11:55:03',0),(3391,'平台中间件实例Ready状态异常','dice_addon','dice_addon_container_ready','mbox','alert','【平台中间件{{addon_id}} Ready状态异常告警】\n','【平台中间件Ready状态异常告警】\n\n中间件: {{addon_id}}\n\n未就绪实例: {{not_ready_value}}\n\n已就绪实例: {{ready_value}}\n\n集群: {{cluster_name}}\n\n时间: {{timestamp}}\n','','1.0','2021-05-28 11:55:02','2021-05-28 11:55:03',0),(3392,'平台中间件实例Ready状态异常','dice_addon','dice_addon_container_ready','webhook','alert','【平台中间件{{addon_id}} Ready状态异常告警】\n','【平台中间件Ready状态异常告警】\n\n中间件: {{addon_id}}\n\n未就绪实例: {{not_ready_value}}\n\n已就绪实例: {{ready_value}}\n\n集群: {{cluster_name}}\n\n时间: {{timestamp}}\n','','1.0','2021-05-28 11:55:02','2021-05-28 11:55:03',0),(3393,'平台中间件实例Ready状态异常','dice_addon','dice_addon_container_ready','dingding','recover','【平台中间件{{addon_id}} Ready状态异常恢复】\n','【平台中间件Ready状态异常恢复】\n\n中间件: {{addon_id}}\n\n已绪数实例: {{ready_value}}\n\n集群: {{cluster_name}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n','{\"trigger_duration\":\"time:ms\"}','1.0','2021-05-28 11:55:02','2021-05-28 11:55:03',0),(3394,'平台中间件实例Ready状态异常','dice_addon','dice_addon_container_ready','ticket','recover','【平台中间件{{addon_id}} Ready状态异常恢复】\n','【平台中间件Ready状态异常恢复】\n\n中间件: {{addon_id}}\n\n已绪数实例: {{ready_value}}\n\n集群: {{cluster_name}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n','{\"trigger_duration\":\"time:ms\"}','1.0','2021-05-28 11:55:02','2021-05-28 11:55:03',0),(3395,'平台中间件实例Ready状态异常','dice_addon','dice_addon_container_ready','email','recover','【平台中间件{{addon_id}} Ready状态异常恢复】\n','【平台中间件Ready状态异常恢复】\n\n中间件: {{addon_id}}\n\n已绪数实例: {{ready_value}}\n\n集群: {{cluster_name}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n','{\"trigger_duration\":\"time:ms\"}','1.0','2021-05-28 11:55:02','2021-05-28 11:55:03',0),(3396,'平台中间件实例Ready状态异常','dice_addon','dice_addon_container_ready','mbox','recover','【平台中间件{{addon_id}} Ready状态异常恢复】\n','【平台中间件Ready状态异常恢复】\n\n中间件: {{addon_id}}\n\n已绪数实例: {{ready_value}}\n\n集群: {{cluster_name}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n','{\"trigger_duration\":\"time:ms\"}','1.0','2021-05-28 11:55:02','2021-05-28 11:55:03',0),(3397,'平台中间件实例Ready状态异常','dice_addon','dice_addon_container_ready','webhook','recover','【平台中间件{{addon_id}} Ready状态异常恢复】\n','【平台中间件Ready状态异常恢复】\n\n中间件: {{addon_id}}\n\n已绪数实例: {{ready_value}}\n\n集群: {{cluster_name}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n','{\"trigger_duration\":\"time:ms\"}','1.0','2021-05-28 11:55:02','2021-05-28 11:55:03',0),(3398,'平台中间件elasticsearch GC次数异常','dice_addon','dice_addon_elasticsearch_gc_count','dingding','alert','【平台中间件elasticsearch GC次数告警】\n','【平台中间件elasticsearch GC次数告警】\n\n中间件: {{addon_id}}\n\n老年代GC次数: {{gc_collectors_old_collection_count_win_value}}\n\n集群: {{cluster_name}}\n\n机器: {{node_host}}\n\n时间: {{timestamp}}\n\n[查看详情]({{display_url}})\n','','1.0','2021-05-28 11:55:02','2021-05-28 11:55:03',0),(3399,'平台中间件elasticsearch GC次数异常','dice_addon','dice_addon_elasticsearch_gc_count','ticket','alert','【平台中间件elasticsearch GC次数告警】\n','【平台中间件elasticsearch GC次数告警】\n\n中间件: {{addon_id}}\n\n老年代GC次数: {{gc_collectors_old_collection_count_win_value}}\n\n集群: {{cluster_name}}\n\n机器: {{node_host}}\n\n时间: {{timestamp}}\n\n[查看详情]({{display_url}})\n','','1.0','2021-05-28 11:55:02','2021-05-28 11:55:03',0),(3400,'平台中间件elasticsearch GC次数异常','dice_addon','dice_addon_elasticsearch_gc_count','email','alert','【平台中间件elasticsearch GC次数告警】\n','【平台中间件elasticsearch GC次数告警】\n\n中间件: {{addon_id}}\n\n老年代GC次数: {{gc_collectors_old_collection_count_win_value}}\n\n集群: {{cluster_name}}\n\n机器: {{node_host}}\n\n时间: {{timestamp}}\n\n[查看详情]({{display_url}})\n','','1.0','2021-05-28 11:55:02','2021-05-28 11:55:03',0),(3401,'平台中间件elasticsearch GC次数异常','dice_addon','dice_addon_elasticsearch_gc_count','mbox','alert','【平台中间件elasticsearch GC次数告警】\n','【平台中间件elasticsearch GC次数告警】\n\n中间件: {{addon_id}}\n\n老年代GC次数: {{gc_collectors_old_collection_count_win_value}}\n\n集群: {{cluster_name}}\n\n机器: {{node_host}}\n\n时间: {{timestamp}}\n\n[查看详情]({{display_url}})\n','','1.0','2021-05-28 11:55:02','2021-05-28 11:55:03',0),(3402,'平台中间件elasticsearch GC次数异常','dice_addon','dice_addon_elasticsearch_gc_count','webhook','alert','【平台中间件elasticsearch GC次数告警】\n','【平台中间件elasticsearch GC次数告警】\n\n中间件: {{addon_id}}\n\n老年代GC次数: {{gc_collectors_old_collection_count_win_value}}\n\n集群: {{cluster_name}}\n\n机器: {{node_host}}\n\n时间: {{timestamp}}\n\n[查看详情]({{display_url}})\n','','1.0','2021-05-28 11:55:02','2021-05-28 11:55:03',0),(3403,'平台中间件elasticsearch GC次数异常','dice_addon','dice_addon_elasticsearch_gc_count','dingding','recover','【平台中间件elasticsearch GC次数恢复】\n','【平台中间件elasticsearch GC次数恢复】\n\n中间件: {{addon_id}}\n\n老年代GC次数: {{gc_collectors_old_collection_count_win_value}}\n\n集群: {{cluster_name}}\n\n机器: {{node_host}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n','{\"trigger_duration\":\"time:ms\"}','1.0','2021-05-28 11:55:02','2021-05-28 11:55:03',0),(3404,'平台中间件elasticsearch GC次数异常','dice_addon','dice_addon_elasticsearch_gc_count','ticket','recover','【平台中间件elasticsearch GC次数恢复】\n','【平台中间件elasticsearch GC次数恢复】\n\n中间件: {{addon_id}}\n\n老年代GC次数: {{gc_collectors_old_collection_count_win_value}}\n\n集群: {{cluster_name}}\n\n机器: {{node_host}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n','{\"trigger_duration\":\"time:ms\"}','1.0','2021-05-28 11:55:02','2021-05-28 11:55:03',0),(3405,'平台中间件elasticsearch GC次数异常','dice_addon','dice_addon_elasticsearch_gc_count','email','recover','【平台中间件elasticsearch GC次数恢复】\n','【平台中间件elasticsearch GC次数恢复】\n\n中间件: {{addon_id}}\n\n老年代GC次数: {{gc_collectors_old_collection_count_win_value}}\n\n集群: {{cluster_name}}\n\n机器: {{node_host}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n','{\"trigger_duration\":\"time:ms\"}','1.0','2021-05-28 11:55:02','2021-05-28 11:55:03',0),(3406,'平台中间件elasticsearch GC次数异常','dice_addon','dice_addon_elasticsearch_gc_count','mbox','recover','【平台中间件elasticsearch GC次数恢复】\n','【平台中间件elasticsearch GC次数恢复】\n\n中间件: {{addon_id}}\n\n老年代GC次数: {{gc_collectors_old_collection_count_win_value}}\n\n集群: {{cluster_name}}\n\n机器: {{node_host}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n','{\"trigger_duration\":\"time:ms\"}','1.0','2021-05-28 11:55:02','2021-05-28 11:55:03',0),(3407,'平台中间件elasticsearch GC次数异常','dice_addon','dice_addon_elasticsearch_gc_count','webhook','recover','【平台中间件elasticsearch GC次数恢复】\n','【平台中间件elasticsearch GC次数恢复】\n\n中间件: {{addon_id}}\n\n老年代GC次数: {{gc_collectors_old_collection_count_win_value}}\n\n集群: {{cluster_name}}\n\n机器: {{node_host}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n','{\"trigger_duration\":\"time:ms\"}','1.0','2021-05-28 11:55:02','2021-05-28 11:55:03',0),(3408,'平台中间件elasticsearch GC耗时异常','dice_addon','dice_addon_elasticsearch_gc_time','dingding','alert','【平台中间件elasticsearch GC耗时告警】\n','【平台中间件elasticsearch GC耗时告警】\n\n中间件: {{addon_id}}\n\n老年代GC耗时: {{gc_collectors_old_collection_time_in_millis_win_value}}\n\n集群: {{cluster_name}}\n\n机器: {{node_name}}\n\n时间: {{timestamp}}\n\n[查看详情]({{display_url}})\n','{\"gc_collectors_old_collection_time_in_millis_win_value\":\"time:ms\"}','1.0','2021-05-28 11:55:02','2021-05-28 11:55:03',0),(3409,'平台中间件elasticsearch GC耗时异常','dice_addon','dice_addon_elasticsearch_gc_time','ticket','alert','【平台中间件elasticsearch GC耗时告警】\n','【平台中间件elasticsearch GC耗时告警】\n\n中间件: {{addon_id}}\n\n老年代GC耗时: {{gc_collectors_old_collection_time_in_millis_win_value}}\n\n集群: {{cluster_name}}\n\n机器: {{node_name}}\n\n时间: {{timestamp}}\n\n[查看详情]({{display_url}})\n','{\"gc_collectors_old_collection_time_in_millis_win_value\":\"time:ms\"}','1.0','2021-05-28 11:55:02','2021-05-28 11:55:03',0),(3410,'平台中间件elasticsearch GC耗时异常','dice_addon','dice_addon_elasticsearch_gc_time','email','alert','【平台中间件elasticsearch GC耗时告警】\n','【平台中间件elasticsearch GC耗时告警】\n\n中间件: {{addon_id}}\n\n老年代GC耗时: {{gc_collectors_old_collection_time_in_millis_win_value}}\n\n集群: {{cluster_name}}\n\n机器: {{node_name}}\n\n时间: {{timestamp}}\n\n[查看详情]({{display_url}})\n','{\"gc_collectors_old_collection_time_in_millis_win_value\":\"time:ms\"}','1.0','2021-05-28 11:55:02','2021-05-28 11:55:03',0),(3411,'平台中间件elasticsearch GC耗时异常','dice_addon','dice_addon_elasticsearch_gc_time','mbox','alert','【平台中间件elasticsearch GC耗时告警】\n','【平台中间件elasticsearch GC耗时告警】\n\n中间件: {{addon_id}}\n\n老年代GC耗时: {{gc_collectors_old_collection_time_in_millis_win_value}}\n\n集群: {{cluster_name}}\n\n机器: {{node_name}}\n\n时间: {{timestamp}}\n\n[查看详情]({{display_url}})\n','{\"gc_collectors_old_collection_time_in_millis_win_value\":\"time:ms\"}','1.0','2021-05-28 11:55:02','2021-05-28 11:55:03',0),(3412,'平台中间件elasticsearch GC耗时异常','dice_addon','dice_addon_elasticsearch_gc_time','webhook','alert','【平台中间件elasticsearch GC耗时告警】\n','【平台中间件elasticsearch GC耗时告警】\n\n中间件: {{addon_id}}\n\n老年代GC耗时: {{gc_collectors_old_collection_time_in_millis_win_value}}\n\n集群: {{cluster_name}}\n\n机器: {{node_name}}\n\n时间: {{timestamp}}\n\n[查看详情]({{display_url}})\n','{\"gc_collectors_old_collection_time_in_millis_win_value\":\"time:ms\"}','1.0','2021-05-28 11:55:02','2021-05-28 11:55:03',0),(3413,'平台中间件elasticsearch GC耗时异常','dice_addon','dice_addon_elasticsearch_gc_time','dingding','recover','【平台中间件elasticsearch GC耗时恢复】\n','【平台中间件elasticsearch GC耗时恢复】\n\n中间件: {{addon_id}}\n\n老年代GC耗时: {{gc_collectors_old_collection_time_in_millis_win_value}}\n\n集群: {{cluster_name}}\n\n机器: {{node_name}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n','{\"gc_collectors_old_collection_time_in_millis_win_value\":\"time:ms\",\"trigger_duration\":\"time:ms\"}','1.0','2021-05-28 11:55:02','2021-05-28 11:55:03',0),(3414,'平台中间件elasticsearch GC耗时异常','dice_addon','dice_addon_elasticsearch_gc_time','ticket','recover','【平台中间件elasticsearch GC耗时恢复】\n','【平台中间件elasticsearch GC耗时恢复】\n\n中间件: {{addon_id}}\n\n老年代GC耗时: {{gc_collectors_old_collection_time_in_millis_win_value}}\n\n集群: {{cluster_name}}\n\n机器: {{node_name}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n','{\"gc_collectors_old_collection_time_in_millis_win_value\":\"time:ms\",\"trigger_duration\":\"time:ms\"}','1.0','2021-05-28 11:55:02','2021-05-28 11:55:03',0),(3415,'平台中间件elasticsearch GC耗时异常','dice_addon','dice_addon_elasticsearch_gc_time','email','recover','【平台中间件elasticsearch GC耗时恢复】\n','【平台中间件elasticsearch GC耗时恢复】\n\n中间件: {{addon_id}}\n\n老年代GC耗时: {{gc_collectors_old_collection_time_in_millis_win_value}}\n\n集群: {{cluster_name}}\n\n机器: {{node_name}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n','{\"gc_collectors_old_collection_time_in_millis_win_value\":\"time:ms\",\"trigger_duration\":\"time:ms\"}','1.0','2021-05-28 11:55:02','2021-05-28 11:55:03',0),(3416,'平台中间件elasticsearch GC耗时异常','dice_addon','dice_addon_elasticsearch_gc_time','mbox','recover','【平台中间件elasticsearch GC耗时恢复】\n','【平台中间件elasticsearch GC耗时恢复】\n\n中间件: {{addon_id}}\n\n老年代GC耗时: {{gc_collectors_old_collection_time_in_millis_win_value}}\n\n集群: {{cluster_name}}\n\n机器: {{node_name}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n','{\"gc_collectors_old_collection_time_in_millis_win_value\":\"time:ms\",\"trigger_duration\":\"time:ms\"}','1.0','2021-05-28 11:55:02','2021-05-28 11:55:03',0),(3417,'平台中间件elasticsearch GC耗时异常','dice_addon','dice_addon_elasticsearch_gc_time','webhook','recover','【平台中间件elasticsearch GC耗时恢复】\n','【平台中间件elasticsearch GC耗时恢复】\n\n中间件: {{addon_id}}\n\n老年代GC耗时: {{gc_collectors_old_collection_time_in_millis_win_value}}\n\n集群: {{cluster_name}}\n\n机器: {{node_name}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n','{\"gc_collectors_old_collection_time_in_millis_win_value\":\"time:ms\",\"trigger_duration\":\"time:ms\"}','1.0','2021-05-28 11:55:02','2021-05-28 11:55:03',0),(3418,'平台中间件Kafka GC次数异常','dice_addon','dice_addon_kafka_gc_count','dingding','alert','【平台中间件Kafka GC次数告警】\n','【平台中间件Kafka GC次数告警】\n\n中间件: {{addon_id}}\n\n老年代GC次数: {{CollectionCount_win_value}}\n\n集群: {{cluster_name}}\n\n集群: {{node_host}}\n\n时间: {{timestamp}}\n\n[查看详情]({{display_url}})\n','','1.0','2021-05-28 11:55:02','2021-05-28 11:55:03',0),(3419,'平台中间件Kafka GC次数异常','dice_addon','dice_addon_kafka_gc_count','ticket','alert','【平台中间件Kafka GC次数告警】\n','【平台中间件Kafka GC次数告警】\n\n中间件: {{addon_id}}\n\n老年代GC次数: {{CollectionCount_win_value}}\n\n集群: {{cluster_name}}\n\n集群: {{node_host}}\n\n时间: {{timestamp}}\n\n[查看详情]({{display_url}})\n','','1.0','2021-05-28 11:55:02','2021-05-28 11:55:03',0),(3420,'平台中间件Kafka GC次数异常','dice_addon','dice_addon_kafka_gc_count','email','alert','【平台中间件Kafka GC次数告警】\n','【平台中间件Kafka GC次数告警】\n\n中间件: {{addon_id}}\n\n老年代GC次数: {{CollectionCount_win_value}}\n\n集群: {{cluster_name}}\n\n集群: {{node_host}}\n\n时间: {{timestamp}}\n\n[查看详情]({{display_url}})\n','','1.0','2021-05-28 11:55:02','2021-05-28 11:55:03',0),(3421,'平台中间件Kafka GC次数异常','dice_addon','dice_addon_kafka_gc_count','mbox','alert','【平台中间件Kafka GC次数告警】\n','【平台中间件Kafka GC次数告警】\n\n中间件: {{addon_id}}\n\n老年代GC次数: {{CollectionCount_win_value}}\n\n集群: {{cluster_name}}\n\n集群: {{node_host}}\n\n时间: {{timestamp}}\n\n[查看详情]({{display_url}})\n','','1.0','2021-05-28 11:55:02','2021-05-28 11:55:03',0),(3422,'平台中间件Kafka GC次数异常','dice_addon','dice_addon_kafka_gc_count','webhook','alert','【平台中间件Kafka GC次数告警】\n','【平台中间件Kafka GC次数告警】\n\n中间件: {{addon_id}}\n\n老年代GC次数: {{CollectionCount_win_value}}\n\n集群: {{cluster_name}}\n\n集群: {{node_host}}\n\n时间: {{timestamp}}\n\n[查看详情]({{display_url}})\n','','1.0','2021-05-28 11:55:02','2021-05-28 11:55:03',0),(3423,'平台中间件Kafka GC次数异常','dice_addon','dice_addon_kafka_gc_count','dingding','recover','【平台中间件Kafka GC次数恢复】\n','【平台中间件Kafka GC次数恢复】\n\n中间件: {{addon_id}}\n\n老年代GC次数: {{CollectionCount_win_value}}\n\n集群: {{cluster_name}}\n\n机器: {{node_host}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n','{\"trigger_duration\":\"time:ms\"}','1.0','2021-05-28 11:55:02','2021-05-28 11:55:03',0),(3424,'平台中间件Kafka GC次数异常','dice_addon','dice_addon_kafka_gc_count','ticket','recover','【平台中间件Kafka GC次数恢复】\n','【平台中间件Kafka GC次数恢复】\n\n中间件: {{addon_id}}\n\n老年代GC次数: {{CollectionCount_win_value}}\n\n集群: {{cluster_name}}\n\n机器: {{node_host}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n','{\"trigger_duration\":\"time:ms\"}','1.0','2021-05-28 11:55:02','2021-05-28 11:55:03',0),(3425,'平台中间件Kafka GC次数异常','dice_addon','dice_addon_kafka_gc_count','email','recover','【平台中间件Kafka GC次数恢复】\n','【平台中间件Kafka GC次数恢复】\n\n中间件: {{addon_id}}\n\n老年代GC次数: {{CollectionCount_win_value}}\n\n集群: {{cluster_name}}\n\n机器: {{node_host}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n','{\"trigger_duration\":\"time:ms\"}','1.0','2021-05-28 11:55:02','2021-05-28 11:55:03',0),(3426,'平台中间件Kafka GC次数异常','dice_addon','dice_addon_kafka_gc_count','mbox','recover','【平台中间件Kafka GC次数恢复】\n','【平台中间件Kafka GC次数恢复】\n\n中间件: {{addon_id}}\n\n老年代GC次数: {{CollectionCount_win_value}}\n\n集群: {{cluster_name}}\n\n机器: {{node_host}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n','{\"trigger_duration\":\"time:ms\"}','1.0','2021-05-28 11:55:02','2021-05-28 11:55:03',0),(3427,'平台中间件Kafka GC次数异常','dice_addon','dice_addon_kafka_gc_count','webhook','recover','【平台中间件Kafka GC次数恢复】\n','【平台中间件Kafka GC次数恢复】\n\n中间件: {{addon_id}}\n\n老年代GC次数: {{CollectionCount_win_value}}\n\n集群: {{cluster_name}}\n\n机器: {{node_host}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n','{\"trigger_duration\":\"time:ms\"}','1.0','2021-05-28 11:55:02','2021-05-28 11:55:03',0),(3428,'平台中间件kafka GC耗时异常','dice_addon','dice_addon_kafka_gc_time','dingding','alert','【平台中间件kafka GC耗时告警】\n','【平台中间件kafka GC耗时告警】\n\n中间件: {{addon_id}}\n\n老年代GC耗时: {{CollectionTime_win_value}}\n\n集群: {{cluster_name}}\n\n机器: {{node_host}}\n\n时间: {{timestamp}}\n\n[查看详情]({{display_url}})\n','{\"CollectionTime_win_value\":\"time:ms\"}','1.0','2021-05-28 11:55:02','2021-05-28 11:55:03',0),(3429,'平台中间件kafka GC耗时异常','dice_addon','dice_addon_kafka_gc_time','ticket','alert','【平台中间件kafka GC耗时告警】\n','【平台中间件kafka GC耗时告警】\n\n中间件: {{addon_id}}\n\n老年代GC耗时: {{CollectionTime_win_value}}\n\n集群: {{cluster_name}}\n\n机器: {{node_host}}\n\n时间: {{timestamp}}\n\n[查看详情]({{display_url}})\n','{\"CollectionTime_win_value\":\"time:ms\"}','1.0','2021-05-28 11:55:02','2021-05-28 11:55:03',0),(3430,'平台中间件kafka GC耗时异常','dice_addon','dice_addon_kafka_gc_time','email','alert','【平台中间件kafka GC耗时告警】\n','【平台中间件kafka GC耗时告警】\n\n中间件: {{addon_id}}\n\n老年代GC耗时: {{CollectionTime_win_value}}\n\n集群: {{cluster_name}}\n\n机器: {{node_host}}\n\n时间: {{timestamp}}\n\n[查看详情]({{display_url}})\n','{\"CollectionTime_win_value\":\"time:ms\"}','1.0','2021-05-28 11:55:02','2021-05-28 11:55:03',0),(3431,'平台中间件kafka GC耗时异常','dice_addon','dice_addon_kafka_gc_time','mbox','alert','【平台中间件kafka GC耗时告警】\n','【平台中间件kafka GC耗时告警】\n\n中间件: {{addon_id}}\n\n老年代GC耗时: {{CollectionTime_win_value}}\n\n集群: {{cluster_name}}\n\n机器: {{node_host}}\n\n时间: {{timestamp}}\n\n[查看详情]({{display_url}})\n','{\"CollectionTime_win_value\":\"time:ms\"}','1.0','2021-05-28 11:55:02','2021-05-28 11:55:03',0),(3432,'平台中间件kafka GC耗时异常','dice_addon','dice_addon_kafka_gc_time','webhook','alert','【平台中间件kafka GC耗时告警】\n','【平台中间件kafka GC耗时告警】\n\n中间件: {{addon_id}}\n\n老年代GC耗时: {{CollectionTime_win_value}}\n\n集群: {{cluster_name}}\n\n机器: {{node_host}}\n\n时间: {{timestamp}}\n\n[查看详情]({{display_url}})\n','{\"CollectionTime_win_value\":\"time:ms\"}','1.0','2021-05-28 11:55:02','2021-05-28 11:55:03',0),(3433,'平台中间件kafka GC耗时异常','dice_addon','dice_addon_kafka_gc_time','dingding','recover','【平台中间件kafka GC耗时恢复】\n','【平台中间件kafka GC耗时恢复】\n\n中间件: {{addon_id}}\n\n老年代GC耗时: {{CollectionTime_win_value}}\n\n集群: {{cluster_name}}\n\n机器: {{node_host}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n','{\"CollectionTime_win_value\":\"time:ms\",\"trigger_duration\":\"time:ms\"}','1.0','2021-05-28 11:55:02','2021-05-28 11:55:03',0),(3434,'平台中间件kafka GC耗时异常','dice_addon','dice_addon_kafka_gc_time','ticket','recover','【平台中间件kafka GC耗时恢复】\n','【平台中间件kafka GC耗时恢复】\n\n中间件: {{addon_id}}\n\n老年代GC耗时: {{CollectionTime_win_value}}\n\n集群: {{cluster_name}}\n\n机器: {{node_host}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n','{\"CollectionTime_win_value\":\"time:ms\",\"trigger_duration\":\"time:ms\"}','1.0','2021-05-28 11:55:02','2021-05-28 11:55:03',0),(3435,'平台中间件kafka GC耗时异常','dice_addon','dice_addon_kafka_gc_time','email','recover','【平台中间件kafka GC耗时恢复】\n','【平台中间件kafka GC耗时恢复】\n\n中间件: {{addon_id}}\n\n老年代GC耗时: {{CollectionTime_win_value}}\n\n集群: {{cluster_name}}\n\n机器: {{node_host}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n','{\"CollectionTime_win_value\":\"time:ms\",\"trigger_duration\":\"time:ms\"}','1.0','2021-05-28 11:55:02','2021-05-28 11:55:03',0),(3436,'平台中间件kafka GC耗时异常','dice_addon','dice_addon_kafka_gc_time','mbox','recover','【平台中间件kafka GC耗时恢复】\n','【平台中间件kafka GC耗时恢复】\n\n中间件: {{addon_id}}\n\n老年代GC耗时: {{CollectionTime_win_value}}\n\n集群: {{cluster_name}}\n\n机器: {{node_host}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n','{\"CollectionTime_win_value\":\"time:ms\",\"trigger_duration\":\"time:ms\"}','1.0','2021-05-28 11:55:02','2021-05-28 11:55:03',0),(3437,'平台中间件kafka GC耗时异常','dice_addon','dice_addon_kafka_gc_time','webhook','recover','【平台中间件kafka GC耗时恢复】\n','【平台中间件kafka GC耗时恢复】\n\n中间件: {{addon_id}}\n\n老年代GC耗时: {{CollectionTime_win_value}}\n\n集群: {{cluster_name}}\n\n机器: {{node_host}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n','{\"CollectionTime_win_value\":\"time:ms\",\"trigger_duration\":\"time:ms\"}','1.0','2021-05-28 11:55:02','2021-05-28 11:55:03',0),(3438,'平台中间件kafka消费堆积','dice_addon','dice_addon_kafka_lag','dingding','alert','【平台中间件kafka消费堆积告警】\n','【平台中间件kafka消费堆积告警】\n\n中间件: {{addon_id}}\n\n消费者组: {{group}}\n\nTopic: {{topic}}\n\n当前消息堆积: {{lag_avg}}\n\n消费速度: {{consume_rate_per_sec_avg}} /s\n\n生产速度: {{produce_rate_per_sec_avg}} /s\n\n集群: {{cluster_name}}\n\n时间: {{timestamp}}\n\n[查看详情]({{display_url}})\n','','1.0','2021-05-28 11:55:02','2021-05-28 11:55:03',0),(3439,'平台中间件kafka消费堆积','dice_addon','dice_addon_kafka_lag','ticket','alert','【平台中间件kafka消费堆积告警】\n','【平台中间件kafka消费堆积告警】\n\n中间件: {{addon_id}}\n\n消费者组: {{group}}\n\nTopic: {{topic}}\n\n当前消息堆积: {{lag_avg}}\n\n消费速度: {{consume_rate_per_sec_avg}} /s\n\n生产速度: {{produce_rate_per_sec_avg}} /s\n\n集群: {{cluster_name}}\n\n时间: {{timestamp}}\n\n[查看详情]({{display_url}})\n','','1.0','2021-05-28 11:55:02','2021-05-28 11:55:03',0),(3440,'平台中间件kafka消费堆积','dice_addon','dice_addon_kafka_lag','email','alert','【平台中间件kafka消费堆积告警】\n','【平台中间件kafka消费堆积告警】\n\n中间件: {{addon_id}}\n\n消费者组: {{group}}\n\nTopic: {{topic}}\n\n当前消息堆积: {{lag_avg}}\n\n消费速度: {{consume_rate_per_sec_avg}} /s\n\n生产速度: {{produce_rate_per_sec_avg}} /s\n\n集群: {{cluster_name}}\n\n时间: {{timestamp}}\n\n[查看详情]({{display_url}})\n','','1.0','2021-05-28 11:55:02','2021-05-28 11:55:03',0),(3441,'平台中间件kafka消费堆积','dice_addon','dice_addon_kafka_lag','mbox','alert','【平台中间件kafka消费堆积告警】\n','【平台中间件kafka消费堆积告警】\n\n中间件: {{addon_id}}\n\n消费者组: {{group}}\n\nTopic: {{topic}}\n\n当前消息堆积: {{lag_avg}}\n\n消费速度: {{consume_rate_per_sec_avg}} /s\n\n生产速度: {{produce_rate_per_sec_avg}} /s\n\n集群: {{cluster_name}}\n\n时间: {{timestamp}}\n\n[查看详情]({{display_url}})\n','','1.0','2021-05-28 11:55:02','2021-05-28 11:55:03',0),(3442,'平台中间件kafka消费堆积','dice_addon','dice_addon_kafka_lag','webhook','alert','【平台中间件kafka消费堆积告警】\n','【平台中间件kafka消费堆积告警】\n\n中间件: {{addon_id}}\n\n消费者组: {{group}}\n\nTopic: {{topic}}\n\n当前消息堆积: {{lag_avg}}\n\n消费速度: {{consume_rate_per_sec_avg}} /s\n\n生产速度: {{produce_rate_per_sec_avg}} /s\n\n集群: {{cluster_name}}\n\n时间: {{timestamp}}\n\n[查看详情]({{display_url}})\n','','1.0','2021-05-28 11:55:02','2021-05-28 11:55:03',0),(3443,'平台中间件kafka消费堆积','dice_addon','dice_addon_kafka_lag','dingding','recover','【平台中间件kafka消费堆积恢复】\n','【平台中间件kafka消费堆积恢复】\n\n中间件: {{addon_id}}\n\n消费者组: {{group}}\n\nTopic: {{topic}}\n\n当前消息堆积: {{lag_avg}}\n\n集群: {{cluster_name}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n','{\"trigger_duration\":\"time:ms\"}','1.0','2021-05-28 11:55:02','2021-05-28 11:55:03',0),(3444,'平台中间件kafka消费堆积','dice_addon','dice_addon_kafka_lag','ticket','recover','【平台中间件kafka消费堆积恢复】\n','【平台中间件kafka消费堆积恢复】\n\n中间件: {{addon_id}}\n\n消费者组: {{group}}\n\nTopic: {{topic}}\n\n当前消息堆积: {{lag_avg}}\n\n集群: {{cluster_name}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n','{\"trigger_duration\":\"time:ms\"}','1.0','2021-05-28 11:55:02','2021-05-28 11:55:03',0),(3445,'平台中间件kafka消费堆积','dice_addon','dice_addon_kafka_lag','email','recover','【平台中间件kafka消费堆积恢复】\n','【平台中间件kafka消费堆积恢复】\n\n中间件: {{addon_id}}\n\n消费者组: {{group}}\n\nTopic: {{topic}}\n\n当前消息堆积: {{lag_avg}}\n\n集群: {{cluster_name}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n','{\"trigger_duration\":\"time:ms\"}','1.0','2021-05-28 11:55:02','2021-05-28 11:55:03',0),(3446,'平台中间件kafka消费堆积','dice_addon','dice_addon_kafka_lag','mbox','recover','【平台中间件kafka消费堆积恢复】\n','【平台中间件kafka消费堆积恢复】\n\n中间件: {{addon_id}}\n\n消费者组: {{group}}\n\nTopic: {{topic}}\n\n当前消息堆积: {{lag_avg}}\n\n集群: {{cluster_name}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n','{\"trigger_duration\":\"time:ms\"}','1.0','2021-05-28 11:55:02','2021-05-28 11:55:03',0),(3447,'平台中间件kafka消费堆积','dice_addon','dice_addon_kafka_lag','webhook','recover','【平台中间件kafka消费堆积恢复】\n','【平台中间件kafka消费堆积恢复】\n\n中间件: {{addon_id}}\n\n消费者组: {{group}}\n\nTopic: {{topic}}\n\n当前消息堆积: {{lag_avg}}\n\n集群: {{cluster_name}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n','{\"trigger_duration\":\"time:ms\"}','1.0','2021-05-28 11:55:02','2021-05-28 11:55:03',0),(3448,'平台组件实例CPU异常','dice_component','dice_component_container_cpu','dingding','alert','【平台组件{{component_name}} CPU使用率告警】\n','【平台组件CPU使用率告警】\n\n组件: {{component_name}}\n\n使用率: {{cpu_usage_percent_avg}}\n\n限制: {{cpu_limit_value}}核\n\n分配: {{cpu_allocation_value}}核\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n容器ID: {{container_id}}\n\n时间: {{timestamp}}\n','{\"cpu_allocation_value\":\"fraction:2\",\"cpu_limit_value\":\"fraction:2\",\"cpu_usage_percent_avg\":\"percent:2\"}','1.0','2021-05-28 11:55:02','2021-05-28 11:55:03',0),(3449,'平台组件实例CPU异常','dice_component','dice_component_container_cpu','ticket','alert','【平台组件{{component_name}} CPU使用率告警】\n','【平台组件CPU使用率告警】\n\n组件: {{component_name}}\n\n使用率: {{cpu_usage_percent_avg}}\n\n限制: {{cpu_limit_value}}核\n\n分配: {{cpu_allocation_value}}核\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n容器ID: {{container_id}}\n\n时间: {{timestamp}}\n','{\"cpu_allocation_value\":\"fraction:2\",\"cpu_limit_value\":\"fraction:2\",\"cpu_usage_percent_avg\":\"percent:2\"}','1.0','2021-05-28 11:55:02','2021-05-28 11:55:03',0),(3450,'平台组件实例CPU异常','dice_component','dice_component_container_cpu','email','alert','【平台组件{{component_name}} CPU使用率告警】\n','【平台组件CPU使用率告警】\n\n组件: {{component_name}}\n\n使用率: {{cpu_usage_percent_avg}}\n\n限制: {{cpu_limit_value}}核\n\n分配: {{cpu_allocation_value}}核\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n容器ID: {{container_id}}\n\n时间: {{timestamp}}\n','{\"cpu_allocation_value\":\"fraction:2\",\"cpu_limit_value\":\"fraction:2\",\"cpu_usage_percent_avg\":\"percent:2\"}','1.0','2021-05-28 11:55:02','2021-05-28 11:55:03',0),(3451,'平台组件实例CPU异常','dice_component','dice_component_container_cpu','mbox','alert','【平台组件{{component_name}} CPU使用率告警】\n','【平台组件CPU使用率告警】\n\n组件: {{component_name}}\n\n使用率: {{cpu_usage_percent_avg}}\n\n限制: {{cpu_limit_value}}核\n\n分配: {{cpu_allocation_value}}核\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n容器ID: {{container_id}}\n\n时间: {{timestamp}}\n','{\"cpu_allocation_value\":\"fraction:2\",\"cpu_limit_value\":\"fraction:2\",\"cpu_usage_percent_avg\":\"percent:2\"}','1.0','2021-05-28 11:55:02','2021-05-28 11:55:03',0),(3452,'平台组件实例CPU异常','dice_component','dice_component_container_cpu','webhook','alert','【平台组件{{component_name}} CPU使用率告警】\n','【平台组件CPU使用率告警】\n\n组件: {{component_name}}\n\n使用率: {{cpu_usage_percent_avg}}\n\n限制: {{cpu_limit_value}}核\n\n分配: {{cpu_allocation_value}}核\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n容器ID: {{container_id}}\n\n时间: {{timestamp}}\n','{\"cpu_allocation_value\":\"fraction:2\",\"cpu_limit_value\":\"fraction:2\",\"cpu_usage_percent_avg\":\"percent:2\"}','1.0','2021-05-28 11:55:02','2021-05-28 11:55:03',0),(3453,'平台组件实例CPU异常','dice_component','dice_component_container_cpu','dingding','recover','【平台组件{{component_name}} CPU使用率恢复】\n','【平台组件CPU使用率恢复】\n\n组件: {{component_name}}\n\n使用率: {{cpu_usage_percent_avg}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n容器ID: {{container_id}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n','{\"cpu_usage_percent_avg\":\"percent:2\",\"trigger_duration\":\"time:ms\"}','1.0','2021-05-28 11:55:02','2021-05-28 11:55:03',0),(3454,'平台组件实例CPU异常','dice_component','dice_component_container_cpu','ticket','recover','【平台组件{{component_name}} CPU使用率恢复】\n','【平台组件CPU使用率恢复】\n\n组件: {{component_name}}\n\n使用率: {{cpu_usage_percent_avg}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n容器ID: {{container_id}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n','{\"cpu_usage_percent_avg\":\"percent:2\",\"trigger_duration\":\"time:ms\"}','1.0','2021-05-28 11:55:02','2021-05-28 11:55:03',0),(3455,'平台组件实例CPU异常','dice_component','dice_component_container_cpu','email','recover','【平台组件{{component_name}} CPU使用率恢复】\n','【平台组件CPU使用率恢复】\n\n组件: {{component_name}}\n\n使用率: {{cpu_usage_percent_avg}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n容器ID: {{container_id}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n','{\"cpu_usage_percent_avg\":\"percent:2\",\"trigger_duration\":\"time:ms\"}','1.0','2021-05-28 11:55:02','2021-05-28 11:55:03',0),(3456,'平台组件实例CPU异常','dice_component','dice_component_container_cpu','mbox','recover','【平台组件{{component_name}} CPU使用率恢复】\n','【平台组件CPU使用率恢复】\n\n组件: {{component_name}}\n\n使用率: {{cpu_usage_percent_avg}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n容器ID: {{container_id}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n','{\"cpu_usage_percent_avg\":\"percent:2\",\"trigger_duration\":\"time:ms\"}','1.0','2021-05-28 11:55:02','2021-05-28 11:55:03',0),(3457,'平台组件实例CPU异常','dice_component','dice_component_container_cpu','webhook','recover','【平台组件{{component_name}} CPU使用率恢复】\n','【平台组件CPU使用率恢复】\n\n组件: {{component_name}}\n\n使用率: {{cpu_usage_percent_avg}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n容器ID: {{container_id}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n','{\"cpu_usage_percent_avg\":\"percent:2\",\"trigger_duration\":\"time:ms\"}','1.0','2021-05-28 11:55:02','2021-05-28 11:55:03',0),(3458,'平台组件异常退出','dice_component','dice_component_container_exit','dingding','alert','【平台组件{{component_name}}异常退出告警】\n','【平台组件异常退出告警】\n\n组件: {{component_name}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n启动时间: {{started_at_value}}\n\n退出时间: {{finished_at_value}}\n\n退出原因: {{terminated_reason_value}}\n\n时间: {{timestamp}}\n\n[查看详情]({{display_url}})\n','{\"finished_at_value\":\"date\",\"started_at_value\":\"date\"}','1.0','2021-05-28 11:55:02','2021-05-28 11:55:03',0),(3459,'平台组件异常退出','dice_component','dice_component_container_exit','ticket','alert','【平台组件{{component_name}}异常退出告警】\n','【平台组件异常退出告警】\n\n组件: {{component_name}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n启动时间: {{started_at_value}}\n\n退出时间: {{finished_at_value}}\n\n退出原因: {{terminated_reason_value}}\n\n时间: {{timestamp}}\n\n[查看详情]({{display_url}})\n','{\"finished_at_value\":\"date\",\"started_at_value\":\"date\"}','1.0','2021-05-28 11:55:02','2021-05-28 11:55:03',0),(3460,'平台组件异常退出','dice_component','dice_component_container_exit','email','alert','【平台组件{{component_name}}异常退出告警】\n','【平台组件异常退出告警】\n\n组件: {{component_name}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n启动时间: {{started_at_value}}\n\n退出时间: {{finished_at_value}}\n\n退出原因: {{terminated_reason_value}}\n\n时间: {{timestamp}}\n\n[查看详情]({{display_url}})\n','{\"finished_at_value\":\"date\",\"started_at_value\":\"date\"}','1.0','2021-05-28 11:55:02','2021-05-28 11:55:03',0),(3461,'平台组件异常退出','dice_component','dice_component_container_exit','mbox','alert','【平台组件{{component_name}}异常退出告警】\n','【平台组件异常退出告警】\n\n组件: {{component_name}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n启动时间: {{started_at_value}}\n\n退出时间: {{finished_at_value}}\n\n退出原因: {{terminated_reason_value}}\n\n时间: {{timestamp}}\n\n[查看详情]({{display_url}})\n','{\"finished_at_value\":\"date\",\"started_at_value\":\"date\"}','1.0','2021-05-28 11:55:02','2021-05-28 11:55:03',0),(3462,'平台组件异常退出','dice_component','dice_component_container_exit','webhook','alert','【平台组件{{component_name}}异常退出告警】\n','【平台组件异常退出告警】\n\n组件: {{component_name}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n启动时间: {{started_at_value}}\n\n退出时间: {{finished_at_value}}\n\n退出原因: {{terminated_reason_value}}\n\n时间: {{timestamp}}\n\n[查看详情]({{display_url}})\n','{\"finished_at_value\":\"date\",\"started_at_value\":\"date\"}','1.0','2021-05-28 11:55:02','2021-05-28 11:55:03',0),(3463,'平台组件异常退出','dice_component','dice_component_container_exit','dingding','recover','【平台组件{{component_name}}异常退出恢复】\n','【平台组件异常退出恢复】\n\n组件: {{component_name}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n','{\"trigger_duration\":\"time:ms\"}','1.0','2021-05-28 11:55:02','2021-05-28 11:55:03',0),(3464,'平台组件异常退出','dice_component','dice_component_container_exit','ticket','recover','【平台组件{{component_name}}异常退出恢复】\n','【平台组件异常退出恢复】\n\n组件: {{component_name}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n','{\"trigger_duration\":\"time:ms\"}','1.0','2021-05-28 11:55:02','2021-05-28 11:55:03',0),(3465,'平台组件异常退出','dice_component','dice_component_container_exit','email','recover','【平台组件{{component_name}}异常退出恢复】\n','【平台组件异常退出恢复】\n\n组件: {{component_name}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n','{\"trigger_duration\":\"time:ms\"}','1.0','2021-05-28 11:55:02','2021-05-28 11:55:03',0),(3466,'平台组件异常退出','dice_component','dice_component_container_exit','mbox','recover','【平台组件{{component_name}}异常退出恢复】\n','【平台组件异常退出恢复】\n\n组件: {{component_name}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n','{\"trigger_duration\":\"time:ms\"}','1.0','2021-05-28 11:55:02','2021-05-28 11:55:03',0),(3467,'平台组件异常退出','dice_component','dice_component_container_exit','webhook','recover','【平台组件{{component_name}}异常退出恢复】\n','【平台组件异常退出恢复】\n\n组件: {{component_name}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n','{\"trigger_duration\":\"time:ms\"}','1.0','2021-05-28 11:55:02','2021-05-28 11:55:03',0),(3468,'平台组件实例内存异常','dice_component','dice_component_container_mem','dingding','alert','【平台组件{{component_name}}内存使用率告警】\n','【平台组件内存使用率告警】\n\n组件: {{component_name}}\n\n使用率: {{mem_usage_percent_avg}}\n\n使用: {{mem_usage_value}}\n\n限制: {{mem_limit_value}}\n\n分配: {{mem_allocation_value}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n容器ID: {{container_id}}\n\n时间: {{timestamp}}\n','{\"mem_allocation_value\":\"size:byte\",\"mem_limit_value\":\"size:byte\",\"mem_usage_percent_avg\":\"percent:2\",\"mem_usage_value\":\"size:byte\"}','1.0','2021-05-28 11:55:02','2021-05-28 11:55:03',0),(3469,'平台组件实例内存异常','dice_component','dice_component_container_mem','ticket','alert','【平台组件{{component_name}}内存使用率告警】\n','【平台组件内存使用率告警】\n\n组件: {{component_name}}\n\n使用率: {{mem_usage_percent_avg}}\n\n使用: {{mem_usage_value}}\n\n限制: {{mem_limit_value}}\n\n分配: {{mem_allocation_value}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n容器ID: {{container_id}}\n\n时间: {{timestamp}}\n','{\"mem_allocation_value\":\"size:byte\",\"mem_limit_value\":\"size:byte\",\"mem_usage_percent_avg\":\"percent:2\",\"mem_usage_value\":\"size:byte\"}','1.0','2021-05-28 11:55:02','2021-05-28 11:55:03',0),(3470,'平台组件实例内存异常','dice_component','dice_component_container_mem','email','alert','【平台组件{{component_name}}内存使用率告警】\n','【平台组件内存使用率告警】\n\n组件: {{component_name}}\n\n使用率: {{mem_usage_percent_avg}}\n\n使用: {{mem_usage_value}}\n\n限制: {{mem_limit_value}}\n\n分配: {{mem_allocation_value}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n容器ID: {{container_id}}\n\n时间: {{timestamp}}\n','{\"mem_allocation_value\":\"size:byte\",\"mem_limit_value\":\"size:byte\",\"mem_usage_percent_avg\":\"percent:2\",\"mem_usage_value\":\"size:byte\"}','1.0','2021-05-28 11:55:02','2021-05-28 11:55:03',0),(3471,'平台组件实例内存异常','dice_component','dice_component_container_mem','mbox','alert','【平台组件{{component_name}}内存使用率告警】\n','【平台组件内存使用率告警】\n\n组件: {{component_name}}\n\n使用率: {{mem_usage_percent_avg}}\n\n使用: {{mem_usage_value}}\n\n限制: {{mem_limit_value}}\n\n分配: {{mem_allocation_value}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n容器ID: {{container_id}}\n\n时间: {{timestamp}}\n','{\"mem_allocation_value\":\"size:byte\",\"mem_limit_value\":\"size:byte\",\"mem_usage_percent_avg\":\"percent:2\",\"mem_usage_value\":\"size:byte\"}','1.0','2021-05-28 11:55:02','2021-05-28 11:55:03',0),(3472,'平台组件实例内存异常','dice_component','dice_component_container_mem','webhook','alert','【平台组件{{component_name}}内存使用率告警】\n','【平台组件内存使用率告警】\n\n组件: {{component_name}}\n\n使用率: {{mem_usage_percent_avg}}\n\n使用: {{mem_usage_value}}\n\n限制: {{mem_limit_value}}\n\n分配: {{mem_allocation_value}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n容器ID: {{container_id}}\n\n时间: {{timestamp}}\n','{\"mem_allocation_value\":\"size:byte\",\"mem_limit_value\":\"size:byte\",\"mem_usage_percent_avg\":\"percent:2\",\"mem_usage_value\":\"size:byte\"}','1.0','2021-05-28 11:55:02','2021-05-28 11:55:03',0),(3473,'平台组件实例内存异常','dice_component','dice_component_container_mem','dingding','recover','【平台组件{{component_name}}内存使用率恢复】\n','【平台组件内存使用率恢复】\n\n组件: {{component_name}}\n\n使用率: {{mem_usage_percent_avg}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n容器ID: {{container_id}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n','{\"trigger_duration\":\"time:ms\",\"usage_percent_avg\":\"percent:2\"}','1.0','2021-05-28 11:55:02','2021-05-28 11:55:03',0),(3474,'平台组件实例内存异常','dice_component','dice_component_container_mem','ticket','recover','【平台组件{{component_name}}内存使用率恢复】\n','【平台组件内存使用率恢复】\n\n组件: {{component_name}}\n\n使用率: {{mem_usage_percent_avg}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n容器ID: {{container_id}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n','{\"trigger_duration\":\"time:ms\",\"usage_percent_avg\":\"percent:2\"}','1.0','2021-05-28 11:55:02','2021-05-28 11:55:03',0),(3475,'平台组件实例内存异常','dice_component','dice_component_container_mem','email','recover','【平台组件{{component_name}}内存使用率恢复】\n','【平台组件内存使用率恢复】\n\n组件: {{component_name}}\n\n使用率: {{mem_usage_percent_avg}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n容器ID: {{container_id}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n','{\"trigger_duration\":\"time:ms\",\"usage_percent_avg\":\"percent:2\"}','1.0','2021-05-28 11:55:02','2021-05-28 11:55:03',0),(3476,'平台组件实例内存异常','dice_component','dice_component_container_mem','mbox','recover','【平台组件{{component_name}}内存使用率恢复】\n','【平台组件内存使用率恢复】\n\n组件: {{component_name}}\n\n使用率: {{mem_usage_percent_avg}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n容器ID: {{container_id}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n','{\"trigger_duration\":\"time:ms\",\"usage_percent_avg\":\"percent:2\"}','1.0','2021-05-28 11:55:02','2021-05-28 11:55:03',0),(3477,'平台组件实例内存异常','dice_component','dice_component_container_mem','webhook','recover','【平台组件{{component_name}}内存使用率恢复】\n','【平台组件内存使用率恢复】\n\n组件: {{component_name}}\n\n使用率: {{mem_usage_percent_avg}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n容器ID: {{container_id}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n','{\"trigger_duration\":\"time:ms\",\"usage_percent_avg\":\"percent:2\"}','1.0','2021-05-28 11:55:02','2021-05-28 11:55:03',0),(3478,'平台组件实例Ready状态异常','dice_component','dice_component_container_ready','dingding','alert','【平台组件{{component_name}} Ready状态异常告警】\n','【平台组件Ready状态异常告警】\n\n组件: {{component_name}}\n\n未就绪实例: {{not_ready_value}}\n\n已就绪实例: {{ready_value}}\n\n集群: {{cluster_name}}\n\n时间: {{timestamp}}\n','','1.0','2021-05-28 11:55:02','2021-05-28 11:55:03',0),(3479,'平台组件实例Ready状态异常','dice_component','dice_component_container_ready','ticket','alert','【平台组件{{component_name}} Ready状态异常告警】\n','【平台组件Ready状态异常告警】\n\n组件: {{component_name}}\n\n未就绪实例: {{not_ready_value}}\n\n已就绪实例: {{ready_value}}\n\n集群: {{cluster_name}}\n\n时间: {{timestamp}}\n','','1.0','2021-05-28 11:55:02','2021-05-28 11:55:03',0),(3480,'平台组件实例Ready状态异常','dice_component','dice_component_container_ready','email','alert','【平台组件{{component_name}} Ready状态异常告警】\n','【平台组件Ready状态异常告警】\n\n组件: {{component_name}}\n\n未就绪实例: {{not_ready_value}}\n\n已就绪实例: {{ready_value}}\n\n集群: {{cluster_name}}\n\n时间: {{timestamp}}\n','','1.0','2021-05-28 11:55:02','2021-05-28 11:55:03',0),(3481,'平台组件实例Ready状态异常','dice_component','dice_component_container_ready','mbox','alert','【平台组件{{component_name}} Ready状态异常告警】\n','【平台组件Ready状态异常告警】\n\n组件: {{component_name}}\n\n未就绪实例: {{not_ready_value}}\n\n已就绪实例: {{ready_value}}\n\n集群: {{cluster_name}}\n\n时间: {{timestamp}}\n','','1.0','2021-05-28 11:55:02','2021-05-28 11:55:03',0),(3482,'平台组件实例Ready状态异常','dice_component','dice_component_container_ready','webhook','alert','【平台组件{{component_name}} Ready状态异常告警】\n','【平台组件Ready状态异常告警】\n\n组件: {{component_name}}\n\n未就绪实例: {{not_ready_value}}\n\n已就绪实例: {{ready_value}}\n\n集群: {{cluster_name}}\n\n时间: {{timestamp}}\n','','1.0','2021-05-28 11:55:02','2021-05-28 11:55:03',0),(3483,'平台组件实例Ready状态异常','dice_component','dice_component_container_ready','dingding','recover','【平台组件{{component_name}} Ready状态异常恢复】\n','【平台组件Ready状态异常恢复】\n\n组件: {{component_name}}\n\n已绪数实例: {{ready_value}}\n\n集群: {{cluster_name}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n','{\"trigger_duration\":\"time:ms\"}','1.0','2021-05-28 11:55:02','2021-05-28 11:55:03',0),(3484,'平台组件实例Ready状态异常','dice_component','dice_component_container_ready','ticket','recover','【平台组件{{component_name}} Ready状态异常恢复】\n','【平台组件Ready状态异常恢复】\n\n组件: {{component_name}}\n\n已绪数实例: {{ready_value}}\n\n集群: {{cluster_name}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n','{\"trigger_duration\":\"time:ms\"}','1.0','2021-05-28 11:55:02','2021-05-28 11:55:03',0),(3485,'平台组件实例Ready状态异常','dice_component','dice_component_container_ready','email','recover','【平台组件{{component_name}} Ready状态异常恢复】\n','【平台组件Ready状态异常恢复】\n\n组件: {{component_name}}\n\n已绪数实例: {{ready_value}}\n\n集群: {{cluster_name}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n','{\"trigger_duration\":\"time:ms\"}','1.0','2021-05-28 11:55:02','2021-05-28 11:55:03',0),(3486,'平台组件实例Ready状态异常','dice_component','dice_component_container_ready','mbox','recover','【平台组件{{component_name}} Ready状态异常恢复】\n','【平台组件Ready状态异常恢复】\n\n组件: {{component_name}}\n\n已绪数实例: {{ready_value}}\n\n集群: {{cluster_name}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n','{\"trigger_duration\":\"time:ms\"}','1.0','2021-05-28 11:55:02','2021-05-28 11:55:03',0),(3487,'平台组件实例Ready状态异常','dice_component','dice_component_container_ready','webhook','recover','【平台组件{{component_name}} Ready状态异常恢复】\n','【平台组件Ready状态异常恢复】\n\n组件: {{component_name}}\n\n已绪数实例: {{ready_value}}\n\n集群: {{cluster_name}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n','{\"trigger_duration\":\"time:ms\"}','1.0','2021-05-28 11:55:02','2021-05-28 11:55:03',0),(3488,'平台组件Flink任务checkpoint延迟异常告警','dice_component','dice_component_flink_checkpoint_duration','dingding','alert','【平台组件Flink任务checkpoint延迟异常告警】\n','【平台组件Flink任务checkpoint延迟异常告警】\n\n延迟: {{lastCheckpointDuration_value}}ms\n\n任务ID： {{job_id}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n时间: {{timestamp}}','{}','1.0','2021-05-28 11:55:02','2021-05-28 11:55:03',0),(3489,'平台组件Flink任务checkpoint延迟异常告警','dice_component','dice_component_flink_checkpoint_duration','ticket','alert','【平台组件Flink任务checkpoint延迟异常告警】\n','【平台组件Flink任务checkpoint延迟异常告警】\n\n延迟: {{lastCheckpointDuration_value}}ms\n\n任务ID： {{job_id}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n时间: {{timestamp}}','{}','1.0','2021-05-28 11:55:02','2021-05-28 11:55:03',0),(3490,'平台组件Flink任务checkpoint延迟异常告警','dice_component','dice_component_flink_checkpoint_duration','email','alert','【平台组件Flink任务checkpoint延迟异常告警】\n','【平台组件Flink任务checkpoint延迟异常告警】\n\n延迟: {{lastCheckpointDuration_value}}ms\n\n任务ID： {{job_id}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n时间: {{timestamp}}','{}','1.0','2021-05-28 11:55:02','2021-05-28 11:55:03',0),(3491,'平台组件Flink任务checkpoint延迟异常告警','dice_component','dice_component_flink_checkpoint_duration','mbox','alert','【平台组件Flink任务checkpoint延迟异常告警】\n','【平台组件Flink任务checkpoint延迟异常告警】\n\n延迟: {{lastCheckpointDuration_value}}ms\n\n任务ID： {{job_id}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n时间: {{timestamp}}','{}','1.0','2021-05-28 11:55:02','2021-05-28 11:55:03',0),(3492,'平台组件Flink任务checkpoint延迟异常告警','dice_component','dice_component_flink_checkpoint_duration','webhook','alert','【平台组件Flink任务checkpoint延迟异常告警】\n','【平台组件Flink任务checkpoint延迟异常告警】\n\n延迟: {{lastCheckpointDuration_value}}ms\n\n任务ID： {{job_id}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n时间: {{timestamp}}','{}','1.0','2021-05-28 11:55:02','2021-05-28 11:55:03',0),(3493,'平台组件Flink吞吐量异常告警','dice_component','dice_component_flink_throughput','dingding','alert','【平台组件Flink吞吐量异常告警】\n','【平台组件Flink吞吐量异常告警】\n\noperator每秒输出量: {{numRecordsOutPerSecond_count_value}}\n\n任务ID： {{job_id}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n时间: {{timestamp}}','{}','1.0','2021-05-28 11:55:02','2021-05-28 11:55:03',0),(3494,'平台组件Flink吞吐量异常告警','dice_component','dice_component_flink_throughput','ticket','alert','【平台组件Flink吞吐量异常告警】\n','【平台组件Flink吞吐量异常告警】\n\noperator每秒输出量: {{numRecordsOutPerSecond_count_value}}\n\n任务ID： {{job_id}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n时间: {{timestamp}}','{}','1.0','2021-05-28 11:55:02','2021-05-28 11:55:03',0),(3495,'平台组件Flink吞吐量异常告警','dice_component','dice_component_flink_throughput','email','alert','【平台组件Flink吞吐量异常告警】\n','【平台组件Flink吞吐量异常告警】\n\noperator每秒输出量: {{numRecordsOutPerSecond_count_value}}\n\n任务ID： {{job_id}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n时间: {{timestamp}}','{}','1.0','2021-05-28 11:55:02','2021-05-28 11:55:03',0),(3496,'平台组件Flink吞吐量异常告警','dice_component','dice_component_flink_throughput','mbox','alert','【平台组件Flink吞吐量异常告警】\n','【平台组件Flink吞吐量异常告警】\n\noperator每秒输出量: {{numRecordsOutPerSecond_count_value}}\n\n任务ID： {{job_id}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n时间: {{timestamp}}','{}','1.0','2021-05-28 11:55:02','2021-05-28 11:55:03',0),(3497,'平台组件Flink吞吐量异常告警','dice_component','dice_component_flink_throughput','webhook','alert','【平台组件Flink吞吐量异常告警】\n','【平台组件Flink吞吐量异常告警】\n\noperator每秒输出量: {{numRecordsOutPerSecond_count_value}}\n\n任务ID： {{job_id}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n时间: {{timestamp}}','{}','1.0','2021-05-28 11:55:02','2021-05-28 11:55:03',0),(3498,'平台组件网盘不可用告警','dice_component','dice_component_gfs_status','dingding','alert','【平台组件网盘疑似不可用告警】\n','【平台组件网盘疑似不可用告警】\n\n组件: {{component_name}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n时间: {{timestamp}}','{}','1.0','2021-05-28 11:55:02','2021-05-28 11:55:03',0),(3499,'平台组件网盘不可用告警','dice_component','dice_component_gfs_status','ticket','alert','【平台组件网盘疑似不可用告警】\n','【平台组件网盘疑似不可用告警】\n\n组件: {{component_name}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n时间: {{timestamp}}','{}','1.0','2021-05-28 11:55:02','2021-05-28 11:55:03',0),(3500,'平台组件网盘不可用告警','dice_component','dice_component_gfs_status','email','alert','【平台组件网盘疑似不可用告警】\n','【平台组件网盘疑似不可用告警】\n\n组件: {{component_name}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n时间: {{timestamp}}','{}','1.0','2021-05-28 11:55:02','2021-05-28 11:55:03',0),(3501,'平台组件网盘不可用告警','dice_component','dice_component_gfs_status','mbox','alert','【平台组件网盘疑似不可用告警】\n','【平台组件网盘疑似不可用告警】\n\n组件: {{component_name}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n时间: {{timestamp}}','{}','1.0','2021-05-28 11:55:02','2021-05-28 11:55:03',0),(3502,'平台组件网盘不可用告警','dice_component','dice_component_gfs_status','webhook','alert','【平台组件网盘疑似不可用告警】\n','【平台组件网盘疑似不可用告警】\n\n组件: {{component_name}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n时间: {{timestamp}}','{}','1.0','2021-05-28 11:55:02','2021-05-28 11:55:03',0),(3503,'kubernetes组件实例CPU异常','kubernetes','kubernetes_instance_cpu','dingding','alert','【{{cluster_name}}集群kubernetes组件{{pod_name}} CPU使用率告警】\n','【kubernetes组件CPU使用率告警】\n\nPod: {{pod_name}}\n\n使用率: {{cpu_usage_percent_avg}}\n\n限制: {{cpu_limit_value}}核\n\n分配: {{cpu_allocation_value}}核\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n容器ID: {{container_id}}\n\n时间: {{timestamp}}\n','{\"cpu_allocation_value\":\"fraction:2\",\"cpu_limit_value\":\"fraction:2\",\"cpu_usage_percent_avg\":\"percent:2\"}','1.0','2021-05-28 11:55:02','2021-05-28 11:55:03',0),(3504,'kubernetes组件实例CPU异常','kubernetes','kubernetes_instance_cpu','ticket','alert','【{{cluster_name}}集群kubernetes组件{{pod_name}} CPU使用率告警】\n','【kubernetes组件CPU使用率告警】\n\nPod: {{pod_name}}\n\n使用率: {{cpu_usage_percent_avg}}\n\n限制: {{cpu_limit_value}}核\n\n分配: {{cpu_allocation_value}}核\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n容器ID: {{container_id}}\n\n时间: {{timestamp}}\n','{\"cpu_allocation_value\":\"fraction:2\",\"cpu_limit_value\":\"fraction:2\",\"cpu_usage_percent_avg\":\"percent:2\"}','1.0','2021-05-28 11:55:02','2021-05-28 11:55:03',0),(3505,'kubernetes组件实例CPU异常','kubernetes','kubernetes_instance_cpu','email','alert','【{{cluster_name}}集群kubernetes组件{{pod_name}} CPU使用率告警】\n','【kubernetes组件CPU使用率告警】\n\nPod: {{pod_name}}\n\n使用率: {{cpu_usage_percent_avg}}\n\n限制: {{cpu_limit_value}}核\n\n分配: {{cpu_allocation_value}}核\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n容器ID: {{container_id}}\n\n时间: {{timestamp}}\n','{\"cpu_allocation_value\":\"fraction:2\",\"cpu_limit_value\":\"fraction:2\",\"cpu_usage_percent_avg\":\"percent:2\"}','1.0','2021-05-28 11:55:02','2021-05-28 11:55:03',0),(3506,'kubernetes组件实例CPU异常','kubernetes','kubernetes_instance_cpu','mbox','alert','【{{cluster_name}}集群kubernetes组件{{pod_name}} CPU使用率告警】\n','【kubernetes组件CPU使用率告警】\n\nPod: {{pod_name}}\n\n使用率: {{cpu_usage_percent_avg}}\n\n限制: {{cpu_limit_value}}核\n\n分配: {{cpu_allocation_value}}核\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n容器ID: {{container_id}}\n\n时间: {{timestamp}}\n','{\"cpu_allocation_value\":\"fraction:2\",\"cpu_limit_value\":\"fraction:2\",\"cpu_usage_percent_avg\":\"percent:2\"}','1.0','2021-05-28 11:55:02','2021-05-28 11:55:03',0),(3507,'kubernetes组件实例CPU异常','kubernetes','kubernetes_instance_cpu','webhook','alert','【{{cluster_name}}集群kubernetes组件{{pod_name}} CPU使用率告警】\n','【kubernetes组件CPU使用率告警】\n\nPod: {{pod_name}}\n\n使用率: {{cpu_usage_percent_avg}}\n\n限制: {{cpu_limit_value}}核\n\n分配: {{cpu_allocation_value}}核\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n容器ID: {{container_id}}\n\n时间: {{timestamp}}\n','{\"cpu_allocation_value\":\"fraction:2\",\"cpu_limit_value\":\"fraction:2\",\"cpu_usage_percent_avg\":\"percent:2\"}','1.0','2021-05-28 11:55:02','2021-05-28 11:55:03',0),(3508,'kubernetes组件实例CPU异常','kubernetes','kubernetes_instance_cpu','dingding','recover','【{{cluster_name}}集群kubernetes组件{{pod_name}} CPU使用率恢复】\n','【kubernetes组件CPU使用率恢复】\n\nPod: {{pod_name}}\n\n使用率: {{cpu_usage_percent_avg}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n容器ID: {{container_id}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n','{\"cpu_usage_percent_avg\":\"percent:2\",\"trigger_duration\":\"time:ms\"}','1.0','2021-05-28 11:55:02','2021-05-28 11:55:03',0),(3509,'kubernetes组件实例CPU异常','kubernetes','kubernetes_instance_cpu','ticket','recover','【{{cluster_name}}集群kubernetes组件{{pod_name}} CPU使用率恢复】\n','【kubernetes组件CPU使用率恢复】\n\nPod: {{pod_name}}\n\n使用率: {{cpu_usage_percent_avg}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n容器ID: {{container_id}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n','{\"cpu_usage_percent_avg\":\"percent:2\",\"trigger_duration\":\"time:ms\"}','1.0','2021-05-28 11:55:02','2021-05-28 11:55:03',0),(3510,'kubernetes组件实例CPU异常','kubernetes','kubernetes_instance_cpu','email','recover','【{{cluster_name}}集群kubernetes组件{{pod_name}} CPU使用率恢复】\n','【kubernetes组件CPU使用率恢复】\n\nPod: {{pod_name}}\n\n使用率: {{cpu_usage_percent_avg}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n容器ID: {{container_id}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n','{\"cpu_usage_percent_avg\":\"percent:2\",\"trigger_duration\":\"time:ms\"}','1.0','2021-05-28 11:55:02','2021-05-28 11:55:03',0),(3511,'kubernetes组件实例CPU异常','kubernetes','kubernetes_instance_cpu','mbox','recover','【{{cluster_name}}集群kubernetes组件{{pod_name}} CPU使用率恢复】\n','【kubernetes组件CPU使用率恢复】\n\nPod: {{pod_name}}\n\n使用率: {{cpu_usage_percent_avg}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n容器ID: {{container_id}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n','{\"cpu_usage_percent_avg\":\"percent:2\",\"trigger_duration\":\"time:ms\"}','1.0','2021-05-28 11:55:02','2021-05-28 11:55:03',0),(3512,'kubernetes组件实例CPU异常','kubernetes','kubernetes_instance_cpu','webhook','recover','【{{cluster_name}}集群kubernetes组件{{pod_name}} CPU使用率恢复】\n','【kubernetes组件CPU使用率恢复】\n\nPod: {{pod_name}}\n\n使用率: {{cpu_usage_percent_avg}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n容器ID: {{container_id}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n','{\"cpu_usage_percent_avg\":\"percent:2\",\"trigger_duration\":\"time:ms\"}','1.0','2021-05-28 11:55:02','2021-05-28 11:55:03',0),(3513,'kubernetes组件异常退出','kubernetes','kubernetes_instance_exit','dingding','alert','【{{cluster_name}}集群kubernetes组件{{pod_name}}异常退出告警】\n','【kubernetes组件异常退出告警】\n\n组件: {{pod_name}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n启动时间: {{started_at_value}}\n\n退出时间: {{finished_at_value}}\n\n退出原因: {{terminated_reason_value}}\n\n时间: {{timestamp}}\n\n[查看详情]({{display_url}})\n','{\"finished_at_value\":\"date\",\"started_at_value\":\"date\"}','1.0','2021-05-28 11:55:02','2021-05-28 11:55:03',0),(3514,'kubernetes组件异常退出','kubernetes','kubernetes_instance_exit','ticket','alert','【{{cluster_name}}集群kubernetes组件{{pod_name}}异常退出告警】\n','【kubernetes组件异常退出告警】\n\n组件: {{pod_name}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n启动时间: {{started_at_value}}\n\n退出时间: {{finished_at_value}}\n\n退出原因: {{terminated_reason_value}}\n\n时间: {{timestamp}}\n\n[查看详情]({{display_url}})\n','{\"finished_at_value\":\"date\",\"started_at_value\":\"date\"}','1.0','2021-05-28 11:55:02','2021-05-28 11:55:03',0),(3515,'kubernetes组件异常退出','kubernetes','kubernetes_instance_exit','email','alert','【{{cluster_name}}集群kubernetes组件{{pod_name}}异常退出告警】\n','【kubernetes组件异常退出告警】\n\n组件: {{pod_name}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n启动时间: {{started_at_value}}\n\n退出时间: {{finished_at_value}}\n\n退出原因: {{terminated_reason_value}}\n\n时间: {{timestamp}}\n\n[查看详情]({{display_url}})\n','{\"finished_at_value\":\"date\",\"started_at_value\":\"date\"}','1.0','2021-05-28 11:55:02','2021-05-28 11:55:03',0),(3516,'kubernetes组件异常退出','kubernetes','kubernetes_instance_exit','mbox','alert','【{{cluster_name}}集群kubernetes组件{{pod_name}}异常退出告警】\n','【kubernetes组件异常退出告警】\n\n组件: {{pod_name}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n启动时间: {{started_at_value}}\n\n退出时间: {{finished_at_value}}\n\n退出原因: {{terminated_reason_value}}\n\n时间: {{timestamp}}\n\n[查看详情]({{display_url}})\n','{\"finished_at_value\":\"date\",\"started_at_value\":\"date\"}','1.0','2021-05-28 11:55:02','2021-05-28 11:55:03',0),(3517,'kubernetes组件异常退出','kubernetes','kubernetes_instance_exit','webhook','alert','【{{cluster_name}}集群kubernetes组件{{pod_name}}异常退出告警】\n','【kubernetes组件异常退出告警】\n\n组件: {{pod_name}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n启动时间: {{started_at_value}}\n\n退出时间: {{finished_at_value}}\n\n退出原因: {{terminated_reason_value}}\n\n时间: {{timestamp}}\n\n[查看详情]({{display_url}})\n','{\"finished_at_value\":\"date\",\"started_at_value\":\"date\"}','1.0','2021-05-28 11:55:02','2021-05-28 11:55:03',0),(3518,'kubernetes组件异常退出','kubernetes','kubernetes_instance_exit','dingding','recover','【{{cluster_name}}集群kubernetes组件{{pod_name}}异常退出恢复】\n','【kubernetes组件异常退出恢复】\n\n组件: {{pod_name}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n','{\"trigger_duration\":\"time:ms\"}','1.0','2021-05-28 11:55:02','2021-05-28 11:55:03',0),(3519,'kubernetes组件异常退出','kubernetes','kubernetes_instance_exit','ticket','recover','【{{cluster_name}}集群kubernetes组件{{pod_name}}异常退出恢复】\n','【kubernetes组件异常退出恢复】\n\n组件: {{pod_name}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n','{\"trigger_duration\":\"time:ms\"}','1.0','2021-05-28 11:55:02','2021-05-28 11:55:03',0),(3520,'kubernetes组件异常退出','kubernetes','kubernetes_instance_exit','email','recover','【{{cluster_name}}集群kubernetes组件{{pod_name}}异常退出恢复】\n','【kubernetes组件异常退出恢复】\n\n组件: {{pod_name}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n','{\"trigger_duration\":\"time:ms\"}','1.0','2021-05-28 11:55:02','2021-05-28 11:55:03',0),(3521,'kubernetes组件异常退出','kubernetes','kubernetes_instance_exit','mbox','recover','【{{cluster_name}}集群kubernetes组件{{pod_name}}异常退出恢复】\n','【kubernetes组件异常退出恢复】\n\n组件: {{pod_name}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n','{\"trigger_duration\":\"time:ms\"}','1.0','2021-05-28 11:55:02','2021-05-28 11:55:03',0),(3522,'kubernetes组件异常退出','kubernetes','kubernetes_instance_exit','webhook','recover','【{{cluster_name}}集群kubernetes组件{{pod_name}}异常退出恢复】\n','【kubernetes组件异常退出恢复】\n\n组件: {{pod_name}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n','{\"trigger_duration\":\"time:ms\"}','1.0','2021-05-28 11:55:02','2021-05-28 11:55:03',0),(3523,'kubernetes组件实例内存异常','kubernetes','kubernetes_instance_mem','dingding','alert','【{{cluster_name}}集群kubernetes组件{{pod_name}}内存使用率告警】\n','【kubernetes组件内存使用率告警】\n\nPod: {{pod_name}}\n\n使用率: {{mem_usage_percent_avg}}\n\n使用: {{mem_usage_value}}\n\n限制: {{mem_limit_value}}\n\n分配: {{mem_allocation_value}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n容器ID: {{container_id}}\n\n时间: {{timestamp}}\n','{\"mem_allocation_value\":\"size:byte\",\"mem_limit_value\":\"size:byte\",\"mem_usage_percent_avg\":\"percent:2\",\"mem_usage_value\":\"size:byte\"}','1.0','2021-05-28 11:55:02','2021-05-28 11:55:03',0),(3524,'kubernetes组件实例内存异常','kubernetes','kubernetes_instance_mem','ticket','alert','【{{cluster_name}}集群kubernetes组件{{pod_name}}内存使用率告警】\n','【kubernetes组件内存使用率告警】\n\nPod: {{pod_name}}\n\n使用率: {{mem_usage_percent_avg}}\n\n使用: {{mem_usage_value}}\n\n限制: {{mem_limit_value}}\n\n分配: {{mem_allocation_value}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n容器ID: {{container_id}}\n\n时间: {{timestamp}}\n','{\"mem_allocation_value\":\"size:byte\",\"mem_limit_value\":\"size:byte\",\"mem_usage_percent_avg\":\"percent:2\",\"mem_usage_value\":\"size:byte\"}','1.0','2021-05-28 11:55:02','2021-05-28 11:55:03',0),(3525,'kubernetes组件实例内存异常','kubernetes','kubernetes_instance_mem','email','alert','【{{cluster_name}}集群kubernetes组件{{pod_name}}内存使用率告警】\n','【kubernetes组件内存使用率告警】\n\nPod: {{pod_name}}\n\n使用率: {{mem_usage_percent_avg}}\n\n使用: {{mem_usage_value}}\n\n限制: {{mem_limit_value}}\n\n分配: {{mem_allocation_value}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n容器ID: {{container_id}}\n\n时间: {{timestamp}}\n','{\"mem_allocation_value\":\"size:byte\",\"mem_limit_value\":\"size:byte\",\"mem_usage_percent_avg\":\"percent:2\",\"mem_usage_value\":\"size:byte\"}','1.0','2021-05-28 11:55:02','2021-05-28 11:55:03',0),(3526,'kubernetes组件实例内存异常','kubernetes','kubernetes_instance_mem','mbox','alert','【{{cluster_name}}集群kubernetes组件{{pod_name}}内存使用率告警】\n','【kubernetes组件内存使用率告警】\n\nPod: {{pod_name}}\n\n使用率: {{mem_usage_percent_avg}}\n\n使用: {{mem_usage_value}}\n\n限制: {{mem_limit_value}}\n\n分配: {{mem_allocation_value}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n容器ID: {{container_id}}\n\n时间: {{timestamp}}\n','{\"mem_allocation_value\":\"size:byte\",\"mem_limit_value\":\"size:byte\",\"mem_usage_percent_avg\":\"percent:2\",\"mem_usage_value\":\"size:byte\"}','1.0','2021-05-28 11:55:02','2021-05-28 11:55:03',0),(3527,'kubernetes组件实例内存异常','kubernetes','kubernetes_instance_mem','webhook','alert','【{{cluster_name}}集群kubernetes组件{{pod_name}}内存使用率告警】\n','【kubernetes组件内存使用率告警】\n\nPod: {{pod_name}}\n\n使用率: {{mem_usage_percent_avg}}\n\n使用: {{mem_usage_value}}\n\n限制: {{mem_limit_value}}\n\n分配: {{mem_allocation_value}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n容器ID: {{container_id}}\n\n时间: {{timestamp}}\n','{\"mem_allocation_value\":\"size:byte\",\"mem_limit_value\":\"size:byte\",\"mem_usage_percent_avg\":\"percent:2\",\"mem_usage_value\":\"size:byte\"}','1.0','2021-05-28 11:55:02','2021-05-28 11:55:03',0),(3528,'kubernetes组件实例内存异常','kubernetes','kubernetes_instance_mem','dingding','recover','【{{cluster_name}}集群kubernetes组件{{pod_name}}内存使用率恢复】\n','【kubernetes组件内存使用率恢复】\n\nPod: {{pod_name}}\n\n使用率: {{mem_usage_percent_avg}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n容器ID: {{container_id}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n','{\"mem_usage_percent_avg\":\"percent:2\",\"trigger_duration\":\"time:ms\"}','1.0','2021-05-28 11:55:02','2021-05-28 11:55:03',0),(3529,'kubernetes组件实例内存异常','kubernetes','kubernetes_instance_mem','ticket','recover','【{{cluster_name}}集群kubernetes组件{{pod_name}}内存使用率恢复】\n','【kubernetes组件内存使用率恢复】\n\nPod: {{pod_name}}\n\n使用率: {{mem_usage_percent_avg}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n容器ID: {{container_id}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n','{\"mem_usage_percent_avg\":\"percent:2\",\"trigger_duration\":\"time:ms\"}','1.0','2021-05-28 11:55:02','2021-05-28 11:55:03',0),(3530,'kubernetes组件实例内存异常','kubernetes','kubernetes_instance_mem','email','recover','【{{cluster_name}}集群kubernetes组件{{pod_name}}内存使用率恢复】\n','【kubernetes组件内存使用率恢复】\n\nPod: {{pod_name}}\n\n使用率: {{mem_usage_percent_avg}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n容器ID: {{container_id}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n','{\"mem_usage_percent_avg\":\"percent:2\",\"trigger_duration\":\"time:ms\"}','1.0','2021-05-28 11:55:02','2021-05-28 11:55:03',0),(3531,'kubernetes组件实例内存异常','kubernetes','kubernetes_instance_mem','mbox','recover','【{{cluster_name}}集群kubernetes组件{{pod_name}}内存使用率恢复】\n','【kubernetes组件内存使用率恢复】\n\nPod: {{pod_name}}\n\n使用率: {{mem_usage_percent_avg}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n容器ID: {{container_id}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n','{\"mem_usage_percent_avg\":\"percent:2\",\"trigger_duration\":\"time:ms\"}','1.0','2021-05-28 11:55:02','2021-05-28 11:55:03',0),(3532,'kubernetes组件实例内存异常','kubernetes','kubernetes_instance_mem','webhook','recover','【{{cluster_name}}集群kubernetes组件{{pod_name}}内存使用率恢复】\n','【kubernetes组件内存使用率恢复】\n\nPod: {{pod_name}}\n\n使用率: {{mem_usage_percent_avg}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n容器ID: {{container_id}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n','{\"mem_usage_percent_avg\":\"percent:2\",\"trigger_duration\":\"time:ms\"}','1.0','2021-05-28 11:55:02','2021-05-28 11:55:03',0),(3533,'kubernetes组件实例Ready状态异常','kubernetes','kubernetes_instance_ready','dingding','alert','【{{cluster_name}}集群kubernetes组件{{resource_name_value}} Ready状态告警】\n','【kubernetes组件Ready状态告警】\n\n组件: {{resource_name_value}}\n\n未就绪实例: {{not_ready_value}}\n\n已就绪实例: {{ready_value}}\n\n集群: {{cluster_name}}\n\n时间: {{timestamp}}\n','','1.0','2021-05-28 11:55:02','2021-05-28 11:55:03',0),(3534,'kubernetes组件实例Ready状态异常','kubernetes','kubernetes_instance_ready','ticket','alert','【{{cluster_name}}集群kubernetes组件{{resource_name_value}} Ready状态告警】\n','【kubernetes组件Ready状态告警】\n\n组件: {{resource_name_value}}\n\n未就绪实例: {{not_ready_value}}\n\n已就绪实例: {{ready_value}}\n\n集群: {{cluster_name}}\n\n时间: {{timestamp}}\n','','1.0','2021-05-28 11:55:02','2021-05-28 11:55:03',0),(3535,'kubernetes组件实例Ready状态异常','kubernetes','kubernetes_instance_ready','email','alert','【{{cluster_name}}集群kubernetes组件{{resource_name_value}} Ready状态告警】\n','【kubernetes组件Ready状态告警】\n\n组件: {{resource_name_value}}\n\n未就绪实例: {{not_ready_value}}\n\n已就绪实例: {{ready_value}}\n\n集群: {{cluster_name}}\n\n时间: {{timestamp}}\n','','1.0','2021-05-28 11:55:02','2021-05-28 11:55:03',0),(3536,'kubernetes组件实例Ready状态异常','kubernetes','kubernetes_instance_ready','mbox','alert','【{{cluster_name}}集群kubernetes组件{{resource_name_value}} Ready状态告警】\n','【kubernetes组件Ready状态告警】\n\n组件: {{resource_name_value}}\n\n未就绪实例: {{not_ready_value}}\n\n已就绪实例: {{ready_value}}\n\n集群: {{cluster_name}}\n\n时间: {{timestamp}}\n','','1.0','2021-05-28 11:55:02','2021-05-28 11:55:03',0),(3537,'kubernetes组件实例Ready状态异常','kubernetes','kubernetes_instance_ready','webhook','alert','【{{cluster_name}}集群kubernetes组件{{resource_name_value}} Ready状态告警】\n','【kubernetes组件Ready状态告警】\n\n组件: {{resource_name_value}}\n\n未就绪实例: {{not_ready_value}}\n\n已就绪实例: {{ready_value}}\n\n集群: {{cluster_name}}\n\n时间: {{timestamp}}\n','','1.0','2021-05-28 11:55:02','2021-05-28 11:55:03',0),(3538,'kubernetes组件实例Ready状态异常','kubernetes','kubernetes_instance_ready','dingding','recover','【{{cluster_name}}集群kubernetes组件{{resource_name_value}} Ready状态恢复】\n','【kubernetes组件Ready状态恢复】\n\n组件: {{resource_name_value}}\n\n集群: {{cluster_name}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n','{\"trigger_duration\":\"time:ms\"}','1.0','2021-05-28 11:55:02','2021-05-28 11:55:03',0),(3539,'kubernetes组件实例Ready状态异常','kubernetes','kubernetes_instance_ready','ticket','recover','【{{cluster_name}}集群kubernetes组件{{resource_name_value}} Ready状态恢复】\n','【kubernetes组件Ready状态恢复】\n\n组件: {{resource_name_value}}\n\n集群: {{cluster_name}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n','{\"trigger_duration\":\"time:ms\"}','1.0','2021-05-28 11:55:02','2021-05-28 11:55:03',0),(3540,'kubernetes组件实例Ready状态异常','kubernetes','kubernetes_instance_ready','email','recover','【{{cluster_name}}集群kubernetes组件{{resource_name_value}} Ready状态恢复】\n','【kubernetes组件Ready状态恢复】\n\n组件: {{resource_name_value}}\n\n集群: {{cluster_name}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n','{\"trigger_duration\":\"time:ms\"}','1.0','2021-05-28 11:55:02','2021-05-28 11:55:03',0),(3541,'kubernetes组件实例Ready状态异常','kubernetes','kubernetes_instance_ready','mbox','recover','【{{cluster_name}}集群kubernetes组件{{resource_name_value}} Ready状态恢复】\n','【kubernetes组件Ready状态恢复】\n\n组件: {{resource_name_value}}\n\n集群: {{cluster_name}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n','{\"trigger_duration\":\"time:ms\"}','1.0','2021-05-28 11:55:02','2021-05-28 11:55:03',0),(3542,'kubernetes组件实例Ready状态异常','kubernetes','kubernetes_instance_ready','webhook','recover','【{{cluster_name}}集群kubernetes组件{{resource_name_value}} Ready状态恢复】\n','【kubernetes组件Ready状态恢复】\n\n组件: {{resource_name_value}}\n\n集群: {{cluster_name}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n','{\"trigger_duration\":\"time:ms\"}','1.0','2021-05-28 11:55:02','2021-05-28 11:55:03',0),(3543,'kubernetes节点异常','kubernetes','kubernetes_node','dingding','alert','【{{cluster_name}}集群kubernetes节点{{node_name}}节点异常告警】\n','【kubernetes节点状态异常告警】\n\n集群: {{cluster_name}}\n\n机器: {{node_name}}\n\n已分配Pod数: {{allocatable_pods_value}}\n\n最大Pod数: {{capacity_pods_value}}\n\n已分配CPU核数: {{allocatable_cpu_cores_value}}\n\n最大CPU核数: {{capacity_cpu_cores_value}}\n\n已分配内存: {{allocatable_memory_bytes_value}}\n\n最大内存: {{capacity_memory_bytes_value}}\n\n时间: {{timestamp}}\n','{\"allocatable_memory_bytes_value\":\"size:byte\",\"capacity_memory_bytes_value\":\"size:byte\"}','1.0','2021-05-28 11:55:02','2021-05-28 11:55:03',0),(3544,'kubernetes节点异常','kubernetes','kubernetes_node','ticket','alert','【{{cluster_name}}集群kubernetes节点{{node_name}}节点异常告警】\n','【kubernetes节点状态异常告警】\n\n集群: {{cluster_name}}\n\n机器: {{node_name}}\n\n已分配Pod数: {{allocatable_pods_value}}\n\n最大Pod数: {{capacity_pods_value}}\n\n已分配CPU核数: {{allocatable_cpu_cores_value}}\n\n最大CPU核数: {{capacity_cpu_cores_value}}\n\n已分配内存: {{allocatable_memory_bytes_value}}\n\n最大内存: {{capacity_memory_bytes_value}}\n\n时间: {{timestamp}}\n','{\"allocatable_memory_bytes_value\":\"size:byte\",\"capacity_memory_bytes_value\":\"size:byte\"}','1.0','2021-05-28 11:55:02','2021-05-28 11:55:03',0),(3545,'kubernetes节点异常','kubernetes','kubernetes_node','email','alert','【{{cluster_name}}集群kubernetes节点{{node_name}}节点异常告警】\n','【kubernetes节点状态异常告警】\n\n集群: {{cluster_name}}\n\n机器: {{node_name}}\n\n已分配Pod数: {{allocatable_pods_value}}\n\n最大Pod数: {{capacity_pods_value}}\n\n已分配CPU核数: {{allocatable_cpu_cores_value}}\n\n最大CPU核数: {{capacity_cpu_cores_value}}\n\n已分配内存: {{allocatable_memory_bytes_value}}\n\n最大内存: {{capacity_memory_bytes_value}}\n\n时间: {{timestamp}}\n','{\"allocatable_memory_bytes_value\":\"size:byte\",\"capacity_memory_bytes_value\":\"size:byte\"}','1.0','2021-05-28 11:55:02','2021-05-28 11:55:03',0),(3546,'kubernetes节点异常','kubernetes','kubernetes_node','mbox','alert','【{{cluster_name}}集群kubernetes节点{{node_name}}节点异常告警】\n','【kubernetes节点状态异常告警】\n\n集群: {{cluster_name}}\n\n机器: {{node_name}}\n\n已分配Pod数: {{allocatable_pods_value}}\n\n最大Pod数: {{capacity_pods_value}}\n\n已分配CPU核数: {{allocatable_cpu_cores_value}}\n\n最大CPU核数: {{capacity_cpu_cores_value}}\n\n已分配内存: {{allocatable_memory_bytes_value}}\n\n最大内存: {{capacity_memory_bytes_value}}\n\n时间: {{timestamp}}\n','{\"allocatable_memory_bytes_value\":\"size:byte\",\"capacity_memory_bytes_value\":\"size:byte\"}','1.0','2021-05-28 11:55:02','2021-05-28 11:55:03',0),(3547,'kubernetes节点异常','kubernetes','kubernetes_node','webhook','alert','【{{cluster_name}}集群kubernetes节点{{node_name}}节点异常告警】\n','【kubernetes节点状态异常告警】\n\n集群: {{cluster_name}}\n\n机器: {{node_name}}\n\n已分配Pod数: {{allocatable_pods_value}}\n\n最大Pod数: {{capacity_pods_value}}\n\n已分配CPU核数: {{allocatable_cpu_cores_value}}\n\n最大CPU核数: {{capacity_cpu_cores_value}}\n\n已分配内存: {{allocatable_memory_bytes_value}}\n\n最大内存: {{capacity_memory_bytes_value}}\n\n时间: {{timestamp}}\n','{\"allocatable_memory_bytes_value\":\"size:byte\",\"capacity_memory_bytes_value\":\"size:byte\"}','1.0','2021-05-28 11:55:02','2021-05-28 11:55:03',0),(3548,'kubernetes节点异常','kubernetes','kubernetes_node','dingding','recover','【{{cluster_name}}集群kubernetes节点{{node_name}}节点异常恢复】\n','【kubernetes节点状态异常恢复】\n\n集群: {{cluster_name}}\n\n机器: {{node_name}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n','{\"trigger_duration\":\"time:ms\"}','1.0','2021-05-28 11:55:02','2021-05-28 11:55:03',0),(3549,'kubernetes节点异常','kubernetes','kubernetes_node','ticket','recover','【{{cluster_name}}集群kubernetes节点{{node_name}}节点异常恢复】\n','【kubernetes节点状态异常恢复】\n\n集群: {{cluster_name}}\n\n机器: {{node_name}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n','{\"trigger_duration\":\"time:ms\"}','1.0','2021-05-28 11:55:02','2021-05-28 11:55:03',0),(3550,'kubernetes节点异常','kubernetes','kubernetes_node','email','recover','【{{cluster_name}}集群kubernetes节点{{node_name}}节点异常恢复】\n','【kubernetes节点状态异常恢复】\n\n集群: {{cluster_name}}\n\n机器: {{node_name}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n','{\"trigger_duration\":\"time:ms\"}','1.0','2021-05-28 11:55:02','2021-05-28 11:55:03',0),(3551,'kubernetes节点异常','kubernetes','kubernetes_node','mbox','recover','【{{cluster_name}}集群kubernetes节点{{node_name}}节点异常恢复】\n','【kubernetes节点状态异常恢复】\n\n集群: {{cluster_name}}\n\n机器: {{node_name}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n','{\"trigger_duration\":\"time:ms\"}','1.0','2021-05-28 11:55:02','2021-05-28 11:55:03',0),(3552,'kubernetes节点异常','kubernetes','kubernetes_node','webhook','recover','【{{cluster_name}}集群kubernetes节点{{node_name}}节点异常恢复】\n','【kubernetes节点状态异常恢复】\n\n集群: {{cluster_name}}\n\n机器: {{node_name}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n','{\"trigger_duration\":\"time:ms\"}','1.0','2021-05-28 11:55:02','2021-05-28 11:55:03',0),(3553,'机器CPU异常告警','machine','machine_cpu','dingding','alert','【{{cluster_name}}集群机器{{host_ip}} CPU使用率异常告警】','【机器CPU使用率异常告警】\n\nCPU平均使用率: {{cpu_usage_active_avg}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n时间: {{timestamp}}\n\n[查看详情]({{display_url}})\n','{\"cpu_usage_active_avg\":\"percent:2\"}','1.0','2021-05-28 11:55:02','2021-05-28 11:55:03',0),(3554,'机器CPU异常告警','machine','machine_cpu','ticket','alert','【{{cluster_name}}集群机器{{host_ip}} CPU使用率异常告警】','【机器CPU使用率异常告警】\n\nCPU平均使用率: {{cpu_usage_active_avg}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n时间: {{timestamp}}\n\n[查看详情]({{display_url}})\n','{\"cpu_usage_active_avg\":\"percent:2\"}','1.0','2021-05-28 11:55:02','2021-05-28 11:55:03',0),(3555,'机器CPU异常告警','machine','machine_cpu','email','alert','【{{cluster_name}}集群机器{{host_ip}} CPU使用率异常告警】','【机器CPU使用率异常告警】\n\nCPU平均使用率: {{cpu_usage_active_avg}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n时间: {{timestamp}}\n\n[查看详情]({{display_url}})\n','{\"cpu_usage_active_avg\":\"percent:2\"}','1.0','2021-05-28 11:55:02','2021-05-28 11:55:03',0),(3556,'机器CPU异常告警','machine','machine_cpu','mbox','alert','【{{cluster_name}}集群机器{{host_ip}} CPU使用率异常告警】','【机器CPU使用率异常告警】\n\nCPU平均使用率: {{cpu_usage_active_avg}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n时间: {{timestamp}}\n\n[查看详情]({{display_url}})\n','{\"cpu_usage_active_avg\":\"percent:2\"}','1.0','2021-05-28 11:55:02','2021-05-28 11:55:03',0),(3557,'机器CPU异常告警','machine','machine_cpu','webhook','alert','【{{cluster_name}}集群机器{{host_ip}} CPU使用率异常告警】','【机器CPU使用率异常告警】\n\nCPU平均使用率: {{cpu_usage_active_avg}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n时间: {{timestamp}}\n\n[查看详情]({{display_url}})\n','{\"cpu_usage_active_avg\":\"percent:2\"}','1.0','2021-05-28 11:55:02','2021-05-28 11:55:03',0),(3558,'机器CPU异常恢复','machine','machine_cpu','dingding','recover','【{{cluster_name}}集群机器{{host_ip}} CPU使用率异常恢复】','【机器CPU使用率异常恢复】\n\nCPU平均使用率: {{cpu_usage_active_avg}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}','{\"trigger_duration\":\"time:ms\",\"usage_active_avg\":\"percent:2\"}','1.0','2021-05-28 11:55:02','2021-05-28 11:55:03',0),(3559,'机器CPU异常恢复','machine','machine_cpu','ticket','recover','【{{cluster_name}}集群机器{{host_ip}} CPU使用率异常恢复】','【机器CPU使用率异常恢复】\n\nCPU平均使用率: {{cpu_usage_active_avg}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}','{\"trigger_duration\":\"time:ms\",\"usage_active_avg\":\"percent:2\"}','1.0','2021-05-28 11:55:02','2021-05-28 11:55:03',0),(3560,'机器CPU异常恢复','machine','machine_cpu','email','recover','【{{cluster_name}}集群机器{{host_ip}} CPU使用率异常恢复】','【机器CPU使用率异常恢复】\n\nCPU平均使用率: {{cpu_usage_active_avg}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}','{\"trigger_duration\":\"time:ms\",\"usage_active_avg\":\"percent:2\"}','1.0','2021-05-28 11:55:02','2021-05-28 11:55:03',0),(3561,'机器CPU异常恢复','machine','machine_cpu','mbox','recover','【{{cluster_name}}集群机器{{host_ip}} CPU使用率异常恢复】','【机器CPU使用率异常恢复】\n\nCPU平均使用率: {{cpu_usage_active_avg}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}','{\"trigger_duration\":\"time:ms\",\"usage_active_avg\":\"percent:2\"}','1.0','2021-05-28 11:55:02','2021-05-28 11:55:03',0),(3562,'机器CPU异常恢复','machine','machine_cpu','webhook','recover','【{{cluster_name}}集群机器{{host_ip}} CPU使用率异常恢复】','【机器CPU使用率异常恢复】\n\nCPU平均使用率: {{cpu_usage_active_avg}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}','{\"trigger_duration\":\"time:ms\",\"usage_active_avg\":\"percent:2\"}','1.0','2021-05-28 11:55:02','2021-05-28 11:55:03',0),(3563,'磁盘容量异常告警','machine','machine_disk','dingding','alert','【{{cluster_name}}集群机器{{host_ip}}磁盘使用率异常告警】','【磁盘使用率异常告警】\n\n使用率: {{used_percent_value}}\n\n容量: {{total_value}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n设备: {{device}}\n\n时间: {{timestamp}}\n\n[查看详情]({{display_url}})\n','{\"total_value\":\"size:byte\",\"used_percent_value\":\"percent:2\"}','1.0','2021-05-28 11:55:02','2021-05-28 11:55:03',0),(3564,'磁盘容量异常告警','machine','machine_disk','ticket','alert','【{{cluster_name}}集群机器{{host_ip}}磁盘使用率异常告警】','【磁盘使用率异常告警】\n\n使用率: {{used_percent_value}}\n\n容量: {{total_value}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n设备: {{device}}\n\n时间: {{timestamp}}\n\n[查看详情]({{display_url}})\n','{\"total_value\":\"size:byte\",\"used_percent_value\":\"percent:2\"}','1.0','2021-05-28 11:55:02','2021-05-28 11:55:03',0),(3565,'磁盘容量异常告警','machine','machine_disk','email','alert','【{{cluster_name}}集群机器{{host_ip}}磁盘使用率异常告警】','【磁盘使用率异常告警】\n\n使用率: {{used_percent_value}}\n\n容量: {{total_value}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n设备: {{device}}\n\n时间: {{timestamp}}\n\n[查看详情]({{display_url}})\n','{\"total_value\":\"size:byte\",\"used_percent_value\":\"percent:2\"}','1.0','2021-05-28 11:55:02','2021-05-28 11:55:03',0),(3566,'磁盘容量异常告警','machine','machine_disk','mbox','alert','【{{cluster_name}}集群机器{{host_ip}}磁盘使用率异常告警】','【磁盘使用率异常告警】\n\n使用率: {{used_percent_value}}\n\n容量: {{total_value}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n设备: {{device}}\n\n时间: {{timestamp}}\n\n[查看详情]({{display_url}})\n','{\"total_value\":\"size:byte\",\"used_percent_value\":\"percent:2\"}','1.0','2021-05-28 11:55:02','2021-05-28 11:55:03',0),(3567,'磁盘容量异常告警','machine','machine_disk','webhook','alert','【{{cluster_name}}集群机器{{host_ip}}磁盘使用率异常告警】','【磁盘使用率异常告警】\n\n使用率: {{used_percent_value}}\n\n容量: {{total_value}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n设备: {{device}}\n\n时间: {{timestamp}}\n\n[查看详情]({{display_url}})\n','{\"total_value\":\"size:byte\",\"used_percent_value\":\"percent:2\"}','1.0','2021-05-28 11:55:02','2021-05-28 11:55:03',0),(3568,'磁盘容量异常恢复','machine','machine_disk','dingding','recover','【{{cluster_name}}集群机器{{host_ip}}磁盘使用率异常恢复】','【磁盘使用率异常恢复】\n\n使用率: {{used_percent_value}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n设备: {{device}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}','{\"trigger_duration\":\"time:ms\",\"used_percent_value\":\"percent:2\"}','1.0','2021-05-28 11:55:02','2021-05-28 11:55:03',0),(3569,'磁盘容量异常恢复','machine','machine_disk','ticket','recover','【{{cluster_name}}集群机器{{host_ip}}磁盘使用率异常恢复】','【磁盘使用率异常恢复】\n\n使用率: {{used_percent_value}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n设备: {{device}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}','{\"trigger_duration\":\"time:ms\",\"used_percent_value\":\"percent:2\"}','1.0','2021-05-28 11:55:02','2021-05-28 11:55:03',0),(3570,'磁盘容量异常恢复','machine','machine_disk','email','recover','【{{cluster_name}}集群机器{{host_ip}}磁盘使用率异常恢复】','【磁盘使用率异常恢复】\n\n使用率: {{used_percent_value}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n设备: {{device}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}','{\"trigger_duration\":\"time:ms\",\"used_percent_value\":\"percent:2\"}','1.0','2021-05-28 11:55:02','2021-05-28 11:55:03',0),(3571,'磁盘容量异常恢复','machine','machine_disk','mbox','recover','【{{cluster_name}}集群机器{{host_ip}}磁盘使用率异常恢复】','【磁盘使用率异常恢复】\n\n使用率: {{used_percent_value}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n设备: {{device}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}','{\"trigger_duration\":\"time:ms\",\"used_percent_value\":\"percent:2\"}','1.0','2021-05-28 11:55:02','2021-05-28 11:55:03',0),(3572,'磁盘容量异常恢复','machine','machine_disk','webhook','recover','【{{cluster_name}}集群机器{{host_ip}}磁盘使用率异常恢复】','【磁盘使用率异常恢复】\n\n使用率: {{used_percent_value}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n设备: {{device}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}','{\"trigger_duration\":\"time:ms\",\"used_percent_value\":\"percent:2\"}','1.0','2021-05-28 11:55:02','2021-05-28 11:55:03',0),(3573,'磁盘Inode异常告警','machine','machine_disk_inode','dingding','alert','【{{cluster_name}}集群机器{{host_ip}}磁盘Inode异常告警】','【磁盘Inode异常告警】\n\n使用率: {{inode_used_percent_value}}\n\n容量: {{inodes_total_value}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n设备: {{device}}\n\n时间: {{timestamp}}\n\n[查看详情]({{display_url}})\n','{\"inode_used_percent_value\":\"percent:2\",\"inodes_total_value\":\"size:byte\"}','1.0','2021-05-28 11:55:02','2021-05-28 11:55:03',0),(3574,'磁盘Inode异常告警','machine','machine_disk_inode','ticket','alert','【{{cluster_name}}集群机器{{host_ip}}磁盘Inode异常告警】','【磁盘Inode异常告警】\n\n使用率: {{inode_used_percent_value}}\n\n容量: {{inodes_total_value}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n设备: {{device}}\n\n时间: {{timestamp}}\n\n[查看详情]({{display_url}})\n','{\"inode_used_percent_value\":\"percent:2\",\"inodes_total_value\":\"size:byte\"}','1.0','2021-05-28 11:55:02','2021-05-28 11:55:03',0),(3575,'磁盘Inode异常告警','machine','machine_disk_inode','email','alert','【{{cluster_name}}集群机器{{host_ip}}磁盘Inode异常告警】','【磁盘Inode异常告警】\n\n使用率: {{inode_used_percent_value}}\n\n容量: {{inodes_total_value}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n设备: {{device}}\n\n时间: {{timestamp}}\n\n[查看详情]({{display_url}})\n','{\"inode_used_percent_value\":\"percent:2\",\"inodes_total_value\":\"size:byte\"}','1.0','2021-05-28 11:55:02','2021-05-28 11:55:03',0),(3576,'磁盘Inode异常告警','machine','machine_disk_inode','mbox','alert','【{{cluster_name}}集群机器{{host_ip}}磁盘Inode异常告警】','【磁盘Inode异常告警】\n\n使用率: {{inode_used_percent_value}}\n\n容量: {{inodes_total_value}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n设备: {{device}}\n\n时间: {{timestamp}}\n\n[查看详情]({{display_url}})\n','{\"inode_used_percent_value\":\"percent:2\",\"inodes_total_value\":\"size:byte\"}','1.0','2021-05-28 11:55:02','2021-05-28 11:55:03',0),(3577,'磁盘Inode异常告警','machine','machine_disk_inode','webhook','alert','【{{cluster_name}}集群机器{{host_ip}}磁盘Inode异常告警】','【磁盘Inode异常告警】\n\n使用率: {{inode_used_percent_value}}\n\n容量: {{inodes_total_value}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n设备: {{device}}\n\n时间: {{timestamp}}\n\n[查看详情]({{display_url}})\n','{\"inode_used_percent_value\":\"percent:2\",\"inodes_total_value\":\"size:byte\"}','1.0','2021-05-28 11:55:02','2021-05-28 11:55:03',0),(3578,'磁盘Inode异常恢复','machine','machine_disk_inode','dingding','recover','【{{cluster_name}}集群机器{{host_ip}}磁盘Inode异常恢复】','【磁盘Inode异常恢复】\n\n使用率: {{inode_used_percent_value}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n设备: {{device}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}','{\"inode_used_percent_value\":\"percent:2\",\"trigger_duration\":\"time:ms\"}','1.0','2021-05-28 11:55:02','2021-05-28 11:55:03',0),(3579,'磁盘Inode异常恢复','machine','machine_disk_inode','ticket','recover','【{{cluster_name}}集群机器{{host_ip}}磁盘Inode异常恢复】','【磁盘Inode异常恢复】\n\n使用率: {{inode_used_percent_value}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n设备: {{device}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}','{\"inode_used_percent_value\":\"percent:2\",\"trigger_duration\":\"time:ms\"}','1.0','2021-05-28 11:55:02','2021-05-28 11:55:03',0),(3580,'磁盘Inode异常恢复','machine','machine_disk_inode','email','recover','【{{cluster_name}}集群机器{{host_ip}}磁盘Inode异常恢复】','【磁盘Inode异常恢复】\n\n使用率: {{inode_used_percent_value}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n设备: {{device}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}','{\"inode_used_percent_value\":\"percent:2\",\"trigger_duration\":\"time:ms\"}','1.0','2021-05-28 11:55:02','2021-05-28 11:55:03',0),(3581,'磁盘Inode异常恢复','machine','machine_disk_inode','mbox','recover','【{{cluster_name}}集群机器{{host_ip}}磁盘Inode异常恢复】','【磁盘Inode异常恢复】\n\n使用率: {{inode_used_percent_value}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n设备: {{device}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}','{\"inode_used_percent_value\":\"percent:2\",\"trigger_duration\":\"time:ms\"}','1.0','2021-05-28 11:55:02','2021-05-28 11:55:03',0),(3582,'磁盘Inode异常恢复','machine','machine_disk_inode','webhook','recover','【{{cluster_name}}集群机器{{host_ip}}磁盘Inode异常恢复】','【磁盘Inode异常恢复】\n\n使用率: {{inode_used_percent_value}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n设备: {{device}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}','{\"inode_used_percent_value\":\"percent:2\",\"trigger_duration\":\"time:ms\"}','1.0','2021-05-28 11:55:02','2021-05-28 11:55:03',0),(3583,'磁盘IO异常告警','machine','machine_disk_util','dingding','alert','【{{cluster_name}}集群机器{{host_ip}}磁盘IO操作百分比异常告警】','【磁盘IO操作百分比异常告警】\n\nIO操作百分比: {{pct_util_p75}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n时间: {{timestamp}}\n','{\"pct_util_p75\":\"percent:2\"}','1.0','2021-05-28 11:55:02','2021-05-28 11:55:03',0),(3584,'磁盘IO异常告警','machine','machine_disk_util','ticket','alert','【{{cluster_name}}集群机器{{host_ip}}磁盘IO操作百分比异常告警】','【磁盘IO操作百分比异常告警】\n\nIO操作百分比: {{pct_util_p75}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n时间: {{timestamp}}\n','{\"pct_util_p75\":\"percent:2\"}','1.0','2021-05-28 11:55:02','2021-05-28 11:55:03',0),(3585,'磁盘IO异常告警','machine','machine_disk_util','email','alert','【{{cluster_name}}集群机器{{host_ip}}磁盘IO操作百分比异常告警】','【磁盘IO操作百分比异常告警】\n\nIO操作百分比: {{pct_util_p75}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n时间: {{timestamp}}\n','{\"pct_util_p75\":\"percent:2\"}','1.0','2021-05-28 11:55:02','2021-05-28 11:55:03',0),(3586,'磁盘IO异常告警','machine','machine_disk_util','mbox','alert','【{{cluster_name}}集群机器{{host_ip}}磁盘IO操作百分比异常告警】','【磁盘IO操作百分比异常告警】\n\nIO操作百分比: {{pct_util_p75}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n时间: {{timestamp}}\n','{\"pct_util_p75\":\"percent:2\"}','1.0','2021-05-28 11:55:02','2021-05-28 11:55:03',0),(3587,'磁盘IO异常告警','machine','machine_disk_util','webhook','alert','【{{cluster_name}}集群机器{{host_ip}}磁盘IO操作百分比异常告警】','【磁盘IO操作百分比异常告警】\n\nIO操作百分比: {{pct_util_p75}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n时间: {{timestamp}}\n','{\"pct_util_p75\":\"percent:2\"}','1.0','2021-05-28 11:55:02','2021-05-28 11:55:03',0),(3588,'磁盘IO异常恢复','machine','machine_disk_util','dingding','recover','【{{cluster_name}}集群机器{{host_ip}}磁盘IO操作百分比异常恢复】','【磁盘IO操作百分比异常恢复】\n\nIO操作百分比: {{pct_util_p75}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}','{\"pct_util_p75\":\"percent:2\",\"trigger_duration\":\"time:ms\"}','1.0','2021-05-28 11:55:02','2021-05-28 11:55:03',0),(3589,'磁盘IO异常恢复','machine','machine_disk_util','ticket','recover','【{{cluster_name}}集群机器{{host_ip}}磁盘IO操作百分比异常恢复】','【磁盘IO操作百分比异常恢复】\n\nIO操作百分比: {{pct_util_p75}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}','{\"pct_util_p75\":\"percent:2\",\"trigger_duration\":\"time:ms\"}','1.0','2021-05-28 11:55:02','2021-05-28 11:55:03',0),(3590,'磁盘IO异常恢复','machine','machine_disk_util','email','recover','【{{cluster_name}}集群机器{{host_ip}}磁盘IO操作百分比异常恢复】','【磁盘IO操作百分比异常恢复】\n\nIO操作百分比: {{pct_util_p75}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}','{\"pct_util_p75\":\"percent:2\",\"trigger_duration\":\"time:ms\"}','1.0','2021-05-28 11:55:02','2021-05-28 11:55:03',0),(3591,'磁盘IO异常恢复','machine','machine_disk_util','mbox','recover','【{{cluster_name}}集群机器{{host_ip}}磁盘IO操作百分比异常恢复】','【磁盘IO操作百分比异常恢复】\n\nIO操作百分比: {{pct_util_p75}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}','{\"pct_util_p75\":\"percent:2\",\"trigger_duration\":\"time:ms\"}','1.0','2021-05-28 11:55:02','2021-05-28 11:55:03',0),(3592,'磁盘IO异常恢复','machine','machine_disk_util','webhook','recover','【{{cluster_name}}集群机器{{host_ip}}磁盘IO操作百分比异常恢复】','【磁盘IO操作百分比异常恢复】\n\nIO操作百分比: {{pct_util_p75}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}','{\"pct_util_p75\":\"percent:2\",\"trigger_duration\":\"time:ms\"}','1.0','2021-05-28 11:55:02','2021-05-28 11:55:03',0),(3593,'机器负载异常告警','machine','machine_load5','dingding','alert','【{{cluster_name}}集群机器{{host_ip}}负载异常告警】','【机器负载异常告警】\n\nLoad5: {{load5_avg}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n时间: {{timestamp}}\n\n[查看详情]({{display_url}})\n','','1.0','2021-05-28 11:55:02','2021-05-28 11:55:03',0),(3594,'机器负载异常告警','machine','machine_load5','ticket','alert','【{{cluster_name}}集群机器{{host_ip}}负载异常告警】','【机器负载异常告警】\n\nLoad5: {{load5_avg}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n时间: {{timestamp}}\n\n[查看详情]({{display_url}})\n','','1.0','2021-05-28 11:55:02','2021-05-28 11:55:03',0),(3595,'机器负载异常告警','machine','machine_load5','email','alert','【{{cluster_name}}集群机器{{host_ip}}负载异常告警】','【机器负载异常告警】\n\nLoad5: {{load5_avg}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n时间: {{timestamp}}\n\n[查看详情]({{display_url}})\n','','1.0','2021-05-28 11:55:02','2021-05-28 11:55:03',0),(3596,'机器负载异常告警','machine','machine_load5','mbox','alert','【{{cluster_name}}集群机器{{host_ip}}负载异常告警】','【机器负载异常告警】\n\nLoad5: {{load5_avg}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n时间: {{timestamp}}\n\n[查看详情]({{display_url}})\n','','1.0','2021-05-28 11:55:02','2021-05-28 11:55:03',0),(3597,'机器负载异常告警','machine','machine_load5','webhook','alert','【{{cluster_name}}集群机器{{host_ip}}负载异常告警】','【机器负载异常告警】\n\nLoad5: {{load5_avg}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n时间: {{timestamp}}\n\n[查看详情]({{display_url}})\n','','1.0','2021-05-28 11:55:02','2021-05-28 11:55:03',0),(3598,'机器负载异常恢复','machine','machine_load5','dingding','recover','【{{cluster_name}}集群机器{{host_ip}}负载异常恢复】','【机器负载异常恢复】\n\nLoad5: {{load5_avg}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n','{\"trigger_duration\":\"time:ms\"}','1.0','2021-05-28 11:55:02','2021-05-28 11:55:03',0),(3599,'机器负载异常恢复','machine','machine_load5','ticket','recover','【{{cluster_name}}集群机器{{host_ip}}负载异常恢复】','【机器负载异常恢复】\n\nLoad5: {{load5_avg}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n','{\"trigger_duration\":\"time:ms\"}','1.0','2021-05-28 11:55:02','2021-05-28 11:55:03',0),(3600,'机器负载异常恢复','machine','machine_load5','email','recover','【{{cluster_name}}集群机器{{host_ip}}负载异常恢复】','【机器负载异常恢复】\n\nLoad5: {{load5_avg}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n','{\"trigger_duration\":\"time:ms\"}','1.0','2021-05-28 11:55:02','2021-05-28 11:55:03',0),(3601,'机器负载异常恢复','machine','machine_load5','mbox','recover','【{{cluster_name}}集群机器{{host_ip}}负载异常恢复】','【机器负载异常恢复】\n\nLoad5: {{load5_avg}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n','{\"trigger_duration\":\"time:ms\"}','1.0','2021-05-28 11:55:02','2021-05-28 11:55:03',0),(3602,'机器负载异常恢复','machine','machine_load5','webhook','recover','【{{cluster_name}}集群机器{{host_ip}}负载异常恢复】','【机器负载异常恢复】\n\nLoad5: {{load5_avg}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n','{\"trigger_duration\":\"time:ms\"}','1.0','2021-05-28 11:55:02','2021-05-28 11:55:03',0),(3603,'网盘容量异常告警','machine','machine_netdisk','dingding','alert','【{{cluster_name}}集群网盘使用率异常告警】','【网盘使用率异常告警】\n\n使用率: {{used_percent_value}}\n\n容量: {{total_value}}\n\n集群: {{cluster_name}}\n\n时间: {{timestamp}}\n','{\"total_value\":\"size:byte\",\"used_percent_value\":\"percent:2\"}','1.0','2021-05-28 11:55:02','2021-05-28 11:55:03',0),(3604,'网盘容量异常告警','machine','machine_netdisk','ticket','alert','【{{cluster_name}}集群网盘使用率异常告警】','【网盘使用率异常告警】\n\n使用率: {{used_percent_value}}\n\n容量: {{total_value}}\n\n集群: {{cluster_name}}\n\n时间: {{timestamp}}\n','{\"total_value\":\"size:byte\",\"used_percent_value\":\"percent:2\"}','1.0','2021-05-28 11:55:02','2021-05-28 11:55:03',0),(3605,'网盘容量异常告警','machine','machine_netdisk','email','alert','【{{cluster_name}}集群网盘使用率异常告警】','【网盘使用率异常告警】\n\n使用率: {{used_percent_value}}\n\n容量: {{total_value}}\n\n集群: {{cluster_name}}\n\n时间: {{timestamp}}\n','{\"total_value\":\"size:byte\",\"used_percent_value\":\"percent:2\"}','1.0','2021-05-28 11:55:02','2021-05-28 11:55:03',0),(3606,'网盘容量异常告警','machine','machine_netdisk','mbox','alert','【{{cluster_name}}集群网盘使用率异常告警】','【网盘使用率异常告警】\n\n使用率: {{used_percent_value}}\n\n容量: {{total_value}}\n\n集群: {{cluster_name}}\n\n时间: {{timestamp}}\n','{\"total_value\":\"size:byte\",\"used_percent_value\":\"percent:2\"}','1.0','2021-05-28 11:55:02','2021-05-28 11:55:03',0),(3607,'网盘容量异常告警','machine','machine_netdisk','webhook','alert','【{{cluster_name}}集群网盘使用率异常告警】','【网盘使用率异常告警】\n\n使用率: {{used_percent_value}}\n\n容量: {{total_value}}\n\n集群: {{cluster_name}}\n\n时间: {{timestamp}}\n','{\"total_value\":\"size:byte\",\"used_percent_value\":\"percent:2\"}','1.0','2021-05-28 11:55:02','2021-05-28 11:55:03',0),(3608,'网盘容量异常恢复','machine','machine_netdisk','dingding','recover','【{{cluster_name}}集群网盘使用率异常恢复】','【网盘使用率异常恢复】\n\n使用率: {{used_percent_value}}\n\n集群: {{cluster_name}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n','{\"trigger_duration\":\"time:ms\",\"used_percent_value\":\"percent:2\"}','1.0','2021-05-28 11:55:02','2021-05-28 11:55:03',0),(3609,'网盘容量异常恢复','machine','machine_netdisk','ticket','recover','【{{cluster_name}}集群网盘使用率异常恢复】','【网盘使用率异常恢复】\n\n使用率: {{used_percent_value}}\n\n集群: {{cluster_name}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n','{\"trigger_duration\":\"time:ms\",\"used_percent_value\":\"percent:2\"}','1.0','2021-05-28 11:55:02','2021-05-28 11:55:03',0),(3610,'网盘容量异常恢复','machine','machine_netdisk','email','recover','【{{cluster_name}}集群网盘使用率异常恢复】','【网盘使用率异常恢复】\n\n使用率: {{used_percent_value}}\n\n集群: {{cluster_name}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n','{\"trigger_duration\":\"time:ms\",\"used_percent_value\":\"percent:2\"}','1.0','2021-05-28 11:55:02','2021-05-28 11:55:03',0),(3611,'网盘容量异常恢复','machine','machine_netdisk','mbox','recover','【{{cluster_name}}集群网盘使用率异常恢复】','【网盘使用率异常恢复】\n\n使用率: {{used_percent_value}}\n\n集群: {{cluster_name}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n','{\"trigger_duration\":\"time:ms\",\"used_percent_value\":\"percent:2\"}','1.0','2021-05-28 11:55:02','2021-05-28 11:55:03',0),(3612,'网盘容量异常恢复','machine','machine_netdisk','webhook','recover','【{{cluster_name}}集群网盘使用率异常恢复】','【网盘使用率异常恢复】\n\n使用率: {{used_percent_value}}\n\n集群: {{cluster_name}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n','{\"trigger_duration\":\"time:ms\",\"used_percent_value\":\"percent:2\"}','1.0','2021-05-28 11:55:02','2021-05-28 11:55:03',0),(3613,'网盘容量使用量异常告警','machine','machine_netdisk_used','dingding','alert','【{{cluster_name}}集群网盘使用率异常告警】','【网盘使用异常告警】\n\n使用: {{used}}GB\n\n容量: {{total}}GB\n\n集群: {{cluster_name}}\n\n时间: {{timestamp}}\n','{}','1.0','2021-05-28 11:55:02','2021-05-28 11:55:03',0),(3614,'网盘容量使用量异常告警','machine','machine_netdisk_used','ticket','alert','【{{cluster_name}}集群网盘使用率异常告警】','【网盘使用异常告警】\n\n使用: {{used}}GB\n\n容量: {{total}}GB\n\n集群: {{cluster_name}}\n\n时间: {{timestamp}}\n','{}','1.0','2021-05-28 11:55:02','2021-05-28 11:55:03',0),(3615,'网盘容量使用量异常告警','machine','machine_netdisk_used','email','alert','【{{cluster_name}}集群网盘使用率异常告警】','【网盘使用异常告警】\n\n使用: {{used}}GB\n\n容量: {{total}}GB\n\n集群: {{cluster_name}}\n\n时间: {{timestamp}}\n','{}','1.0','2021-05-28 11:55:02','2021-05-28 11:55:03',0),(3616,'网盘容量使用量异常告警','machine','machine_netdisk_used','mbox','alert','【{{cluster_name}}集群网盘使用率异常告警】','【网盘使用异常告警】\n\n使用: {{used}}GB\n\n容量: {{total}}GB\n\n集群: {{cluster_name}}\n\n时间: {{timestamp}}\n','{}','1.0','2021-05-28 11:55:02','2021-05-28 11:55:03',0),(3617,'网盘容量使用量异常告警','machine','machine_netdisk_used','webhook','alert','【{{cluster_name}}集群网盘使用率异常告警】','【网盘使用异常告警】\n\n使用: {{used}}GB\n\n容量: {{total}}GB\n\n集群: {{cluster_name}}\n\n时间: {{timestamp}}\n','{}','1.0','2021-05-28 11:55:02','2021-05-28 11:55:03',0),(3618,'网盘容量异常恢复','machine','machine_netdisk_used','dingding','recover','【{{cluster_name}}集群网盘使用率异常恢复】','【网盘使用率异常恢复】\n\n使用: {{used}}GB\n\n集群: {{cluster_name}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n','{\"trigger_duration\":\"time:ms\"}','1.0','2021-05-28 11:55:02','2021-05-28 11:55:03',0),(3619,'网盘容量异常恢复','machine','machine_netdisk_used','ticket','recover','【{{cluster_name}}集群网盘使用率异常恢复】','【网盘使用率异常恢复】\n\n使用: {{used}}GB\n\n集群: {{cluster_name}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n','{\"trigger_duration\":\"time:ms\"}','1.0','2021-05-28 11:55:02','2021-05-28 11:55:03',0),(3620,'网盘容量异常恢复','machine','machine_netdisk_used','email','recover','【{{cluster_name}}集群网盘使用率异常恢复】','【网盘使用率异常恢复】\n\n使用: {{used}}GB\n\n集群: {{cluster_name}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n','{\"trigger_duration\":\"time:ms\"}','1.0','2021-05-28 11:55:02','2021-05-28 11:55:03',0),(3621,'网盘容量异常恢复','machine','machine_netdisk_used','mbox','recover','【{{cluster_name}}集群网盘使用率异常恢复】','【网盘使用率异常恢复】\n\n使用: {{used}}GB\n\n集群: {{cluster_name}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n','{\"trigger_duration\":\"time:ms\"}','1.0','2021-05-28 11:55:02','2021-05-28 11:55:03',0),(3622,'网盘容量异常恢复','machine','machine_netdisk_used','webhook','recover','【{{cluster_name}}集群网盘使用率异常恢复】','【网盘使用率异常恢复】\n\n使用: {{used}}GB\n\n集群: {{cluster_name}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n','{\"trigger_duration\":\"time:ms\"}','1.0','2021-05-28 11:55:02','2021-05-28 11:55:03',0),(3623,'宕机告警','machine','machine_status','dingding','alert','【{{cluster_name}}集群机器{{host_ip}}宕机告警】','【宕机告警】\n\n机器{{window}}分钟内无消息, 疑似发生宕机\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n最近活跃时间: {{last_timestamp_value}}\n\n时间: {{timestamp}}\n\n[查看详情]({{display_url}})\n','{\"last_timestamp_value\":\"date\"}','1.0','2021-05-28 11:55:02','2021-05-28 11:55:03',0),(3624,'宕机告警','machine','machine_status','ticket','alert','【{{cluster_name}}集群机器{{host_ip}}宕机告警】','【宕机告警】\n\n机器{{window}}分钟内无消息, 疑似发生宕机\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n最近活跃时间: {{last_timestamp_value}}\n\n时间: {{timestamp}}\n\n[查看详情]({{display_url}})\n','{\"last_timestamp_value\":\"date\"}','1.0','2021-05-28 11:55:02','2021-05-28 11:55:03',0),(3625,'宕机告警','machine','machine_status','email','alert','【{{cluster_name}}集群机器{{host_ip}}宕机告警】','【宕机告警】\n\n机器{{window}}分钟内无消息, 疑似发生宕机\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n最近活跃时间: {{last_timestamp_value}}\n\n时间: {{timestamp}}\n\n[查看详情]({{display_url}})\n','{\"last_timestamp_value\":\"date\"}','1.0','2021-05-28 11:55:02','2021-05-28 11:55:03',0),(3626,'宕机告警','machine','machine_status','mbox','alert','【{{cluster_name}}集群机器{{host_ip}}宕机告警】','【宕机告警】\n\n机器{{window}}分钟内无消息, 疑似发生宕机\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n最近活跃时间: {{last_timestamp_value}}\n\n时间: {{timestamp}}\n\n[查看详情]({{display_url}})\n','{\"last_timestamp_value\":\"date\"}','1.0','2021-05-28 11:55:02','2021-05-28 11:55:03',0),(3627,'宕机告警','machine','machine_status','webhook','alert','【{{cluster_name}}集群机器{{host_ip}}宕机告警】','【宕机告警】\n\n机器{{window}}分钟内无消息, 疑似发生宕机\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n最近活跃时间: {{last_timestamp_value}}\n\n时间: {{timestamp}}\n\n[查看详情]({{display_url}})\n','{\"last_timestamp_value\":\"date\"}','1.0','2021-05-28 11:55:02','2021-05-28 11:55:03',0),(3628,'宕机恢复','machine','machine_status','dingding','recover','【{{cluster_name}}集群机器{{host_ip}}宕机恢复】','【宕机恢复】\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}','{\"trigger_duration\":\"time:ms\"}','1.0','2021-05-28 11:55:02','2021-05-28 11:55:03',0),(3629,'宕机恢复','machine','machine_status','ticket','recover','【{{cluster_name}}集群机器{{host_ip}}宕机恢复】','【宕机恢复】\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}','{\"trigger_duration\":\"time:ms\"}','1.0','2021-05-28 11:55:02','2021-05-28 11:55:03',0),(3630,'宕机恢复','machine','machine_status','email','recover','【{{cluster_name}}集群机器{{host_ip}}宕机恢复】','【宕机恢复】\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}','{\"trigger_duration\":\"time:ms\"}','1.0','2021-05-28 11:55:02','2021-05-28 11:55:03',0),(3631,'宕机恢复','machine','machine_status','mbox','recover','【{{cluster_name}}集群机器{{host_ip}}宕机恢复】','【宕机恢复】\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}','{\"trigger_duration\":\"time:ms\"}','1.0','2021-05-28 11:55:02','2021-05-28 11:55:03',0),(3632,'宕机恢复','machine','machine_status','webhook','recover','【{{cluster_name}}集群机器{{host_ip}}宕机恢复】','【宕机恢复】\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}','{\"trigger_duration\":\"time:ms\"}','1.0','2021-05-28 11:55:02','2021-05-28 11:55:03',0),(3633,'API网关实例CPU使用率异常','micro_service','api_gateway_cpu','dingding','alert','【API网关实例CPU使用率告警】\n','【API网关实例CPU使用率异常告警】\n\n组件: {{addon_type}}\n\n实例: {{pod_namespace}} - {{pod_name}}\n\nCPU平均使用率: {{cpu_usage_percent_avg}}\n\nCPU限制: {{cpu_limit_value}}核\n\nCPU分配: {{cpu_allocation_value}}核\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n时间: {{timestamp}}\n','{\"container_id\":\"string:6\",\"cpu_allocation_value\":\"fraction:1\",\"cpu_limit_value\":\"fraction:1\",\"cpu_usage_percent_avg\":\"percent:1\"}','1.0','2021-05-28 11:55:02','2021-05-28 11:55:03',0),(3634,'API网关实例CPU使用率异常','micro_service','api_gateway_cpu','ticket','alert','【API网关实例CPU使用率告警】\n','【API网关实例CPU使用率异常告警】\n\n组件: {{addon_type}}\n\n实例: {{pod_namespace}} - {{pod_name}}\n\nCPU平均使用率: {{cpu_usage_percent_avg}}\n\nCPU限制: {{cpu_limit_value}}核\n\nCPU分配: {{cpu_allocation_value}}核\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n时间: {{timestamp}}\n','{\"container_id\":\"string:6\",\"cpu_allocation_value\":\"fraction:1\",\"cpu_limit_value\":\"fraction:1\",\"cpu_usage_percent_avg\":\"percent:1\"}','1.0','2021-05-28 11:55:02','2021-05-28 11:55:03',0),(3635,'API网关实例CPU使用率异常','micro_service','api_gateway_cpu','email','alert','【API网关实例CPU使用率告警】\n','【API网关实例CPU使用率异常告警】\n\n组件: {{addon_type}}\n\n实例: {{pod_namespace}} - {{pod_name}}\n\nCPU平均使用率: {{cpu_usage_percent_avg}}\n\nCPU限制: {{cpu_limit_value}}核\n\nCPU分配: {{cpu_allocation_value}}核\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n时间: {{timestamp}}\n','{\"container_id\":\"string:6\",\"cpu_allocation_value\":\"fraction:1\",\"cpu_limit_value\":\"fraction:1\",\"cpu_usage_percent_avg\":\"percent:1\"}','1.0','2021-05-28 11:55:02','2021-05-28 11:55:03',0),(3636,'API网关实例CPU使用率异常','micro_service','api_gateway_cpu','mbox','alert','【API网关实例CPU使用率告警】\n','【API网关实例CPU使用率异常告警】\n\n组件: {{addon_type}}\n\n实例: {{pod_namespace}} - {{pod_name}}\n\nCPU平均使用率: {{cpu_usage_percent_avg}}\n\nCPU限制: {{cpu_limit_value}}核\n\nCPU分配: {{cpu_allocation_value}}核\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n时间: {{timestamp}}\n','{\"container_id\":\"string:6\",\"cpu_allocation_value\":\"fraction:1\",\"cpu_limit_value\":\"fraction:1\",\"cpu_usage_percent_avg\":\"percent:1\"}','1.0','2021-05-28 11:55:02','2021-05-28 11:55:03',0),(3637,'API网关实例CPU使用率异常','micro_service','api_gateway_cpu','webhook','alert','【API网关实例CPU使用率告警】\n','【API网关实例CPU使用率异常告警】\n\n组件: {{addon_type}}\n\n实例: {{pod_namespace}} - {{pod_name}}\n\nCPU平均使用率: {{cpu_usage_percent_avg}}\n\nCPU限制: {{cpu_limit_value}}核\n\nCPU分配: {{cpu_allocation_value}}核\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n时间: {{timestamp}}\n','{\"container_id\":\"string:6\",\"cpu_allocation_value\":\"fraction:1\",\"cpu_limit_value\":\"fraction:1\",\"cpu_usage_percent_avg\":\"percent:1\"}','1.0','2021-05-28 11:55:02','2021-05-28 11:55:03',0),(3638,'API网关实例内存使用率异常','micro_service','api_gateway_mem','dingding','alert','【API网关实例内存使用率告警】\n','【API网关实例内存使用率异常告警】\n\n组件: {{addon_type}}\n\n实例: {{pod_namespace}} - {{pod_name}}\n\n内存使用率: {{mem_usage_percent_avg}}\n\n内存使用: {{mem_usage_value}}\n\n内存限制: {{mem_limit_value}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n时间: {{timestamp}}\n','{\"container_id\":\"string:6\",\"mem_limit_value\":\"size:byte\",\"mem_usage_percent_avg\":\"percent:1\",\"mem_usage_value\":\"size:byte\"}','1.0','2021-05-28 11:55:02','2021-05-28 11:55:03',0),(3639,'API网关实例内存使用率异常','micro_service','api_gateway_mem','ticket','alert','【API网关实例内存使用率告警】\n','【API网关实例内存使用率异常告警】\n\n组件: {{addon_type}}\n\n实例: {{pod_namespace}} - {{pod_name}}\n\n内存使用率: {{mem_usage_percent_avg}}\n\n内存使用: {{mem_usage_value}}\n\n内存限制: {{mem_limit_value}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n时间: {{timestamp}}\n','{\"container_id\":\"string:6\",\"mem_limit_value\":\"size:byte\",\"mem_usage_percent_avg\":\"percent:1\",\"mem_usage_value\":\"size:byte\"}','1.0','2021-05-28 11:55:02','2021-05-28 11:55:03',0),(3640,'API网关实例内存使用率异常','micro_service','api_gateway_mem','email','alert','【API网关实例内存使用率告警】\n','【API网关实例内存使用率异常告警】\n\n组件: {{addon_type}}\n\n实例: {{pod_namespace}} - {{pod_name}}\n\n内存使用率: {{mem_usage_percent_avg}}\n\n内存使用: {{mem_usage_value}}\n\n内存限制: {{mem_limit_value}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n时间: {{timestamp}}\n','{\"container_id\":\"string:6\",\"mem_limit_value\":\"size:byte\",\"mem_usage_percent_avg\":\"percent:1\",\"mem_usage_value\":\"size:byte\"}','1.0','2021-05-28 11:55:02','2021-05-28 11:55:03',0),(3641,'API网关实例内存使用率异常','micro_service','api_gateway_mem','mbox','alert','【API网关实例内存使用率告警】\n','【API网关实例内存使用率异常告警】\n\n组件: {{addon_type}}\n\n实例: {{pod_namespace}} - {{pod_name}}\n\n内存使用率: {{mem_usage_percent_avg}}\n\n内存使用: {{mem_usage_value}}\n\n内存限制: {{mem_limit_value}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n时间: {{timestamp}}\n','{\"container_id\":\"string:6\",\"mem_limit_value\":\"size:byte\",\"mem_usage_percent_avg\":\"percent:1\",\"mem_usage_value\":\"size:byte\"}','1.0','2021-05-28 11:55:02','2021-05-28 11:55:03',0),(3642,'API网关实例内存使用率异常','micro_service','api_gateway_mem','webhook','alert','【API网关实例内存使用率告警】\n','【API网关实例内存使用率异常告警】\n\n组件: {{addon_type}}\n\n实例: {{pod_namespace}} - {{pod_name}}\n\n内存使用率: {{mem_usage_percent_avg}}\n\n内存使用: {{mem_usage_value}}\n\n内存限制: {{mem_limit_value}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n时间: {{timestamp}}\n','{\"container_id\":\"string:6\",\"mem_limit_value\":\"size:byte\",\"mem_usage_percent_avg\":\"percent:1\",\"mem_usage_value\":\"size:byte\"}','1.0','2021-05-28 11:55:02','2021-05-28 11:55:03',0),(3643,'注册中心实例CPU使用率异常','micro_service','register_center_cpu','dingding','alert','【注册中心实例CPU使用率告警】\n','【注册中心实例CPU使用率异常告警】\n\n组件: {{addon_type}}\n\n实例: {{pod_namespace}} - {{pod_name}}\n\nCPU平均使用率: {{cpu_usage_percent_avg}}\n\nCPU限制: {{cpu_limit_value}}核\n\nCPU分配: {{cpu_allocation_value}}核\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n时间: {{timestamp}}\n','{\"container_id\":\"string:6\",\"cpu_allocation_value\":\"fraction:1\",\"cpu_limit_value\":\"fraction:1\",\"cpu_usage_percent_avg\":\"percent:1\"}','1.0','2021-05-28 11:55:02','2021-05-28 11:55:03',0),(3644,'注册中心实例CPU使用率异常','micro_service','register_center_cpu','ticket','alert','【注册中心实例CPU使用率告警】\n','【注册中心实例CPU使用率异常告警】\n\n组件: {{addon_type}}\n\n实例: {{pod_namespace}} - {{pod_name}}\n\nCPU平均使用率: {{cpu_usage_percent_avg}}\n\nCPU限制: {{cpu_limit_value}}核\n\nCPU分配: {{cpu_allocation_value}}核\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n时间: {{timestamp}}\n','{\"container_id\":\"string:6\",\"cpu_allocation_value\":\"fraction:1\",\"cpu_limit_value\":\"fraction:1\",\"cpu_usage_percent_avg\":\"percent:1\"}','1.0','2021-05-28 11:55:02','2021-05-28 11:55:03',0),(3645,'注册中心实例CPU使用率异常','micro_service','register_center_cpu','email','alert','【注册中心实例CPU使用率告警】\n','【注册中心实例CPU使用率异常告警】\n\n组件: {{addon_type}}\n\n实例: {{pod_namespace}} - {{pod_name}}\n\nCPU平均使用率: {{cpu_usage_percent_avg}}\n\nCPU限制: {{cpu_limit_value}}核\n\nCPU分配: {{cpu_allocation_value}}核\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n时间: {{timestamp}}\n','{\"container_id\":\"string:6\",\"cpu_allocation_value\":\"fraction:1\",\"cpu_limit_value\":\"fraction:1\",\"cpu_usage_percent_avg\":\"percent:1\"}','1.0','2021-05-28 11:55:02','2021-05-28 11:55:03',0),(3646,'注册中心实例CPU使用率异常','micro_service','register_center_cpu','mbox','alert','【注册中心实例CPU使用率告警】\n','【注册中心实例CPU使用率异常告警】\n\n组件: {{addon_type}}\n\n实例: {{pod_namespace}} - {{pod_name}}\n\nCPU平均使用率: {{cpu_usage_percent_avg}}\n\nCPU限制: {{cpu_limit_value}}核\n\nCPU分配: {{cpu_allocation_value}}核\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n时间: {{timestamp}}\n','{\"container_id\":\"string:6\",\"cpu_allocation_value\":\"fraction:1\",\"cpu_limit_value\":\"fraction:1\",\"cpu_usage_percent_avg\":\"percent:1\"}','1.0','2021-05-28 11:55:02','2021-05-28 11:55:03',0),(3647,'注册中心实例CPU使用率异常','micro_service','register_center_cpu','webhook','alert','【注册中心实例CPU使用率告警】\n','【注册中心实例CPU使用率异常告警】\n\n组件: {{addon_type}}\n\n实例: {{pod_namespace}} - {{pod_name}}\n\nCPU平均使用率: {{cpu_usage_percent_avg}}\n\nCPU限制: {{cpu_limit_value}}核\n\nCPU分配: {{cpu_allocation_value}}核\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n时间: {{timestamp}}\n','{\"container_id\":\"string:6\",\"cpu_allocation_value\":\"fraction:1\",\"cpu_limit_value\":\"fraction:1\",\"cpu_usage_percent_avg\":\"percent:1\"}','1.0','2021-05-28 11:55:02','2021-05-28 11:55:03',0),(3648,'注册中心实例内存使用率异常','micro_service','register_center_mem','dingding','alert','【注册中心实例内存使用率告警】\n','【注册中心实例内存使用率异常告警】\n\n组件: {{addon_type}}\n\n实例: {{pod_namespace}} - {{pod_name}}\n\n内存使用率: {{mem_usage_percent_avg}}\n\n内存使用: {{mem_usage_value}}\n\n内存限制: {{mem_limit_value}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n时间: {{timestamp}}\n','{\"container_id\":\"string:6\",\"mem_limit_value\":\"size:byte\",\"mem_usage_percent_avg\":\"percent:1\",\"mem_usage_value\":\"size:byte\"}','1.0','2021-05-28 11:55:02','2021-05-28 11:55:03',0),(3649,'注册中心实例内存使用率异常','micro_service','register_center_mem','ticket','alert','【注册中心实例内存使用率告警】\n','【注册中心实例内存使用率异常告警】\n\n组件: {{addon_type}}\n\n实例: {{pod_namespace}} - {{pod_name}}\n\n内存使用率: {{mem_usage_percent_avg}}\n\n内存使用: {{mem_usage_value}}\n\n内存限制: {{mem_limit_value}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n时间: {{timestamp}}\n','{\"container_id\":\"string:6\",\"mem_limit_value\":\"size:byte\",\"mem_usage_percent_avg\":\"percent:1\",\"mem_usage_value\":\"size:byte\"}','1.0','2021-05-28 11:55:02','2021-05-28 11:55:03',0),(3650,'注册中心实例内存使用率异常','micro_service','register_center_mem','email','alert','【注册中心实例内存使用率告警】\n','【注册中心实例内存使用率异常告警】\n\n组件: {{addon_type}}\n\n实例: {{pod_namespace}} - {{pod_name}}\n\n内存使用率: {{mem_usage_percent_avg}}\n\n内存使用: {{mem_usage_value}}\n\n内存限制: {{mem_limit_value}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n时间: {{timestamp}}\n','{\"container_id\":\"string:6\",\"mem_limit_value\":\"size:byte\",\"mem_usage_percent_avg\":\"percent:1\",\"mem_usage_value\":\"size:byte\"}','1.0','2021-05-28 11:55:02','2021-05-28 11:55:03',0),(3651,'注册中心实例内存使用率异常','micro_service','register_center_mem','mbox','alert','【注册中心实例内存使用率告警】\n','【注册中心实例内存使用率异常告警】\n\n组件: {{addon_type}}\n\n实例: {{pod_namespace}} - {{pod_name}}\n\n内存使用率: {{mem_usage_percent_avg}}\n\n内存使用: {{mem_usage_value}}\n\n内存限制: {{mem_limit_value}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n时间: {{timestamp}}\n','{\"container_id\":\"string:6\",\"mem_limit_value\":\"size:byte\",\"mem_usage_percent_avg\":\"percent:1\",\"mem_usage_value\":\"size:byte\"}','1.0','2021-05-28 11:55:02','2021-05-28 11:55:03',0),(3652,'注册中心实例内存使用率异常','micro_service','register_center_mem','webhook','alert','【注册中心实例内存使用率告警】\n','【注册中心实例内存使用率异常告警】\n\n组件: {{addon_type}}\n\n实例: {{pod_namespace}} - {{pod_name}}\n\n内存使用率: {{mem_usage_percent_avg}}\n\n内存使用: {{mem_usage_value}}\n\n内存限制: {{mem_limit_value}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n时间: {{timestamp}}\n','{\"container_id\":\"string:6\",\"mem_limit_value\":\"size:byte\",\"mem_usage_percent_avg\":\"percent:1\",\"mem_usage_value\":\"size:byte\"}','1.0','2021-05-28 11:55:02','2021-05-28 11:55:03',0),(3653,'服务熔断通知告警','micro_service','sidecar_circuit_breaker','dingding','alert','【{{application_name}}应用{{service_name}}服务发生熔断告警】\n','【服务熔断告警】\n\n服务发生熔断 !\n\n项目: {{project_name}}\n\n环境: {{workspace}}\n\n应用: {{application_name}}\n\n服务: {{runtime_name}} / {{service_name}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n时间: {{timestamp}}\n','','1.0','2021-05-28 11:55:02','2021-05-28 11:55:03',0),(3654,'服务熔断通知告警','micro_service','sidecar_circuit_breaker','ticket','alert','【{{application_name}}应用{{service_name}}服务发生熔断告警】\n','【服务熔断告警】\n\n服务发生熔断 !\n\n项目: {{project_name}}\n\n环境: {{workspace}}\n\n应用: {{application_name}}\n\n服务: {{runtime_name}} / {{service_name}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n时间: {{timestamp}}\n','','1.0','2021-05-28 11:55:02','2021-05-28 11:55:03',0),(3655,'服务熔断通知告警','micro_service','sidecar_circuit_breaker','email','alert','【{{application_name}}应用{{service_name}}服务发生熔断告警】\n','【服务熔断告警】\n\n服务发生熔断 !\n\n项目: {{project_name}}\n\n环境: {{workspace}}\n\n应用: {{application_name}}\n\n服务: {{runtime_name}} / {{service_name}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n时间: {{timestamp}}\n','','1.0','2021-05-28 11:55:02','2021-05-28 11:55:03',0),(3656,'服务熔断通知告警','micro_service','sidecar_circuit_breaker','mbox','alert','【{{application_name}}应用{{service_name}}服务发生熔断告警】\n','【服务熔断告警】\n\n服务发生熔断 !\n\n项目: {{project_name}}\n\n环境: {{workspace}}\n\n应用: {{application_name}}\n\n服务: {{runtime_name}} / {{service_name}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n时间: {{timestamp}}\n','','1.0','2021-05-28 11:55:02','2021-05-28 11:55:03',0),(3657,'服务熔断通知告警','micro_service','sidecar_circuit_breaker','webhook','alert','【{{application_name}}应用{{service_name}}服务发生熔断告警】\n','【服务熔断告警】\n\n服务发生熔断 !\n\n项目: {{project_name}}\n\n环境: {{workspace}}\n\n应用: {{application_name}}\n\n服务: {{runtime_name}} / {{service_name}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n时间: {{timestamp}}\n','','1.0','2021-05-28 11:55:02','2021-05-28 11:55:03',0),(3658,'ElasticSearch实例CPU使用率异常告警','addon','addon_elasticsearch_cpu','dingding','alert','【ElasticSearch实例CPU使用率告警】\n','【ElasticSearch实例CPU使用率异常告警】\n\n组件: {{addon_type}}\n\n实例: {{pod_namespace}} - {{pod_name}}\n\nCPU平均使用率: {{cpu_usage_percent_avg}}\n\nCPU限制: {{cpu_limit_value}}核\n\nCPU分配: {{cpu_allocation_value}}核\n\n集群 / 机器: {{cluster_name}} / {{host_ip}}\n\n容器ID: {{container_id}}\n\n机器: {{host_ip}}\n\n时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','{\"container_id\":\"string:6\",\"cpu_usage_percent_avg\":\"percent:1\",\"limit_value\":\"fraction:1\"}','1.0','2021-05-28 11:55:03','2021-05-28 11:55:05',0),(3659,'ElasticSearch实例CPU使用率异常告警','addon','addon_elasticsearch_cpu','ticket','alert','【ElasticSearch实例CPU使用率告警】\n','【ElasticSearch实例CPU使用率异常告警】\n\n组件: {{addon_type}}\n\n实例: {{pod_namespace}} - {{pod_name}}\n\nCPU平均使用率: {{cpu_usage_percent_avg}}\n\nCPU限制: {{cpu_limit_value}}核\n\nCPU分配: {{cpu_allocation_value}}核\n\n集群 / 机器: {{cluster_name}} / {{host_ip}}\n\n容器ID: {{container_id}}\n\n机器: {{host_ip}}\n\n时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','{\"container_id\":\"string:6\",\"cpu_usage_percent_avg\":\"percent:1\",\"limit_value\":\"fraction:1\"}','1.0','2021-05-28 11:55:03','2021-05-28 11:55:05',0),(3660,'ElasticSearch实例CPU使用率异常告警','addon','addon_elasticsearch_cpu','email','alert','【ElasticSearch实例CPU使用率告警】\n','【ElasticSearch实例CPU使用率异常告警】\n\n组件: {{addon_type}}\n\n实例: {{pod_namespace}} - {{pod_name}}\n\nCPU平均使用率: {{cpu_usage_percent_avg}}\n\nCPU限制: {{cpu_limit_value}}核\n\nCPU分配: {{cpu_allocation_value}}核\n\n集群 / 机器: {{cluster_name}} / {{host_ip}}\n\n容器ID: {{container_id}}\n\n机器: {{host_ip}}\n\n时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','{\"container_id\":\"string:6\",\"cpu_usage_percent_avg\":\"percent:1\",\"limit_value\":\"fraction:1\"}','1.0','2021-05-28 11:55:03','2021-05-28 11:55:05',0),(3661,'ElasticSearch实例CPU使用率异常告警','addon','addon_elasticsearch_cpu','mbox','alert','【ElasticSearch实例CPU使用率告警】\n','【ElasticSearch实例CPU使用率异常告警】\n\n组件: {{addon_type}}\n\n实例: {{pod_namespace}} - {{pod_name}}\n\nCPU平均使用率: {{cpu_usage_percent_avg}}\n\nCPU限制: {{cpu_limit_value}}核\n\nCPU分配: {{cpu_allocation_value}}核\n\n集群 / 机器: {{cluster_name}} / {{host_ip}}\n\n容器ID: {{container_id}}\n\n机器: {{host_ip}}\n\n时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','{\"container_id\":\"string:6\",\"cpu_usage_percent_avg\":\"percent:1\",\"limit_value\":\"fraction:1\"}','1.0','2021-05-28 11:55:03','2021-05-28 11:55:05',0),(3662,'ElasticSearch实例CPU使用率异常告警','addon','addon_elasticsearch_cpu','webhook','alert','【ElasticSearch实例CPU使用率告警】\n','【ElasticSearch实例CPU使用率异常告警】\n\n组件: {{addon_type}}\n\n实例: {{pod_namespace}} - {{pod_name}}\n\nCPU平均使用率: {{cpu_usage_percent_avg}}\n\nCPU限制: {{cpu_limit_value}}核\n\nCPU分配: {{cpu_allocation_value}}核\n\n集群 / 机器: {{cluster_name}} / {{host_ip}}\n\n容器ID: {{container_id}}\n\n机器: {{host_ip}}\n\n时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','{\"container_id\":\"string:6\",\"cpu_usage_percent_avg\":\"percent:1\",\"limit_value\":\"fraction:1\"}','1.0','2021-05-28 11:55:03','2021-05-28 11:55:05',0),(3663,'Elasticsearch实例内存使用率异常告警','addon','addon_elasticsearch_mem','dingding','alert','【Elasticsearch实例内存使用率告警】\n','【Elasticsearch实例内存使用率告警】\n\n组件: {{addon_type}}\n\n实例ID: {{addon_id}}\n\n实例: {{pod_namespace}} - {{pod_name}}\n\n平均使用率: {{mem_usage_percent_avg}}\n\n集群 / 机器: {{cluster_name}} / {{host_ip}}\n\n容器ID: {{container_id}}\n\n机器: {{host_ip}}\n\n时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','{\"container_id\":\"string:6\",\"mem_limit_value\":\"fraction:1\",\"mem_usage_percent_avg\":\"percent:1\"}','1.0','2021-05-28 11:55:03','2021-05-28 11:55:05',0),(3664,'Elasticsearch实例内存使用率异常告警','addon','addon_elasticsearch_mem','ticket','alert','【Elasticsearch实例内存使用率告警】\n','【Elasticsearch实例内存使用率告警】\n\n组件: {{addon_type}}\n\n实例ID: {{addon_id}}\n\n实例: {{pod_namespace}} - {{pod_name}}\n\n平均使用率: {{mem_usage_percent_avg}}\n\n集群 / 机器: {{cluster_name}} / {{host_ip}}\n\n容器ID: {{container_id}}\n\n机器: {{host_ip}}\n\n时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','{\"container_id\":\"string:6\",\"mem_limit_value\":\"fraction:1\",\"mem_usage_percent_avg\":\"percent:1\"}','1.0','2021-05-28 11:55:03','2021-05-28 11:55:05',0),(3665,'Elasticsearch实例内存使用率异常告警','addon','addon_elasticsearch_mem','email','alert','【Elasticsearch实例内存使用率告警】\n','【Elasticsearch实例内存使用率告警】\n\n组件: {{addon_type}}\n\n实例ID: {{addon_id}}\n\n实例: {{pod_namespace}} - {{pod_name}}\n\n平均使用率: {{mem_usage_percent_avg}}\n\n集群 / 机器: {{cluster_name}} / {{host_ip}}\n\n容器ID: {{container_id}}\n\n机器: {{host_ip}}\n\n时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','{\"container_id\":\"string:6\",\"mem_limit_value\":\"fraction:1\",\"mem_usage_percent_avg\":\"percent:1\"}','1.0','2021-05-28 11:55:03','2021-05-28 11:55:05',0),(3666,'Elasticsearch实例内存使用率异常告警','addon','addon_elasticsearch_mem','mbox','alert','【Elasticsearch实例内存使用率告警】\n','【Elasticsearch实例内存使用率告警】\n\n组件: {{addon_type}}\n\n实例ID: {{addon_id}}\n\n实例: {{pod_namespace}} - {{pod_name}}\n\n平均使用率: {{mem_usage_percent_avg}}\n\n集群 / 机器: {{cluster_name}} / {{host_ip}}\n\n容器ID: {{container_id}}\n\n机器: {{host_ip}}\n\n时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','{\"container_id\":\"string:6\",\"mem_limit_value\":\"fraction:1\",\"mem_usage_percent_avg\":\"percent:1\"}','1.0','2021-05-28 11:55:03','2021-05-28 11:55:05',0),(3667,'Elasticsearch实例内存使用率异常告警','addon','addon_elasticsearch_mem','webhook','alert','【Elasticsearch实例内存使用率告警】\n','【Elasticsearch实例内存使用率告警】\n\n组件: {{addon_type}}\n\n实例ID: {{addon_id}}\n\n实例: {{pod_namespace}} - {{pod_name}}\n\n平均使用率: {{mem_usage_percent_avg}}\n\n集群 / 机器: {{cluster_name}} / {{host_ip}}\n\n容器ID: {{container_id}}\n\n机器: {{host_ip}}\n\n时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','{\"container_id\":\"string:6\",\"mem_limit_value\":\"fraction:1\",\"mem_usage_percent_avg\":\"percent:1\"}','1.0','2021-05-28 11:55:03','2021-05-28 11:55:05',0),(3668,'MySQL实例CPU使用率异常告警','addon','addon_mysql_cpu','dingding','alert','【MySQL实例CPU使用率告警】\n','【MySQL实例CPU使用率异常告警】\n\n组件: {{addon_type}}\n\n实例: {{pod_namespace}} - {{pod_name}}\n\nCPU平均使用率: {{cpu_usage_percent_avg}}\n\nCPU限制: {{cpu_limit_value}}核\n\nCPU分配: {{cpu_allocation_value}}核\n\n集群 / 机器: {{cluster_name}} / {{host_ip}}\n\n容器ID: {{container_id}}\n\n机器: {{host_ip}}\n\n时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','{\"container_id\":\"string:6\",\"cpu_limit_value\":\"fraction:1\",\"cpu_usage_percent_avg\":\"percent:1\"}','1.0','2021-05-28 11:55:03','2021-05-28 11:55:05',0),(3669,'MySQL实例CPU使用率异常告警','addon','addon_mysql_cpu','ticket','alert','【MySQL实例CPU使用率告警】\n','【MySQL实例CPU使用率异常告警】\n\n组件: {{addon_type}}\n\n实例: {{pod_namespace}} - {{pod_name}}\n\nCPU平均使用率: {{cpu_usage_percent_avg}}\n\nCPU限制: {{cpu_limit_value}}核\n\nCPU分配: {{cpu_allocation_value}}核\n\n集群 / 机器: {{cluster_name}} / {{host_ip}}\n\n容器ID: {{container_id}}\n\n机器: {{host_ip}}\n\n时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','{\"container_id\":\"string:6\",\"cpu_limit_value\":\"fraction:1\",\"cpu_usage_percent_avg\":\"percent:1\"}','1.0','2021-05-28 11:55:03','2021-05-28 11:55:05',0),(3670,'MySQL实例CPU使用率异常告警','addon','addon_mysql_cpu','email','alert','【MySQL实例CPU使用率告警】\n','【MySQL实例CPU使用率异常告警】\n\n组件: {{addon_type}}\n\n实例: {{pod_namespace}} - {{pod_name}}\n\nCPU平均使用率: {{cpu_usage_percent_avg}}\n\nCPU限制: {{cpu_limit_value}}核\n\nCPU分配: {{cpu_allocation_value}}核\n\n集群 / 机器: {{cluster_name}} / {{host_ip}}\n\n容器ID: {{container_id}}\n\n机器: {{host_ip}}\n\n时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','{\"container_id\":\"string:6\",\"cpu_limit_value\":\"fraction:1\",\"cpu_usage_percent_avg\":\"percent:1\"}','1.0','2021-05-28 11:55:03','2021-05-28 11:55:05',0),(3671,'MySQL实例CPU使用率异常告警','addon','addon_mysql_cpu','mbox','alert','【MySQL实例CPU使用率告警】\n','【MySQL实例CPU使用率异常告警】\n\n组件: {{addon_type}}\n\n实例: {{pod_namespace}} - {{pod_name}}\n\nCPU平均使用率: {{cpu_usage_percent_avg}}\n\nCPU限制: {{cpu_limit_value}}核\n\nCPU分配: {{cpu_allocation_value}}核\n\n集群 / 机器: {{cluster_name}} / {{host_ip}}\n\n容器ID: {{container_id}}\n\n机器: {{host_ip}}\n\n时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','{\"container_id\":\"string:6\",\"cpu_limit_value\":\"fraction:1\",\"cpu_usage_percent_avg\":\"percent:1\"}','1.0','2021-05-28 11:55:03','2021-05-28 11:55:05',0),(3672,'MySQL实例CPU使用率异常告警','addon','addon_mysql_cpu','webhook','alert','【MySQL实例CPU使用率告警】\n','【MySQL实例CPU使用率异常告警】\n\n组件: {{addon_type}}\n\n实例: {{pod_namespace}} - {{pod_name}}\n\nCPU平均使用率: {{cpu_usage_percent_avg}}\n\nCPU限制: {{cpu_limit_value}}核\n\nCPU分配: {{cpu_allocation_value}}核\n\n集群 / 机器: {{cluster_name}} / {{host_ip}}\n\n容器ID: {{container_id}}\n\n机器: {{host_ip}}\n\n时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','{\"container_id\":\"string:6\",\"cpu_limit_value\":\"fraction:1\",\"cpu_usage_percent_avg\":\"percent:1\"}','1.0','2021-05-28 11:55:03','2021-05-28 11:55:05',0),(3673,'MySQL实例内存使用率异常告警','addon','addon_mysql_mem','dingding','alert','【MySQL实例内存使用率告警】\n','【MySQL实例内存使用率告警】\n\n组件: {{addon_type}}\n\n实例ID: {{addon_id}}\n\n实例: {{pod_namespace}} - {{pod_name}}\n\n平均使用率: {{mem_usage_percent_avg}}\n\n集群 / 机器: {{cluster_name}} / {{host_ip}}\n\n容器ID: {{container_id}}\n\n机器: {{host_ip}}\n\n时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','{\"container_id\":\"string:6\",\"mem_limit_value\":\"fraction:1\",\"mem_usage_percent_avg\":\"percent:1\"}','1.0','2021-05-28 11:55:03','2021-05-28 11:55:05',0),(3674,'MySQL实例内存使用率异常告警','addon','addon_mysql_mem','ticket','alert','【MySQL实例内存使用率告警】\n','【MySQL实例内存使用率告警】\n\n组件: {{addon_type}}\n\n实例ID: {{addon_id}}\n\n实例: {{pod_namespace}} - {{pod_name}}\n\n平均使用率: {{mem_usage_percent_avg}}\n\n集群 / 机器: {{cluster_name}} / {{host_ip}}\n\n容器ID: {{container_id}}\n\n机器: {{host_ip}}\n\n时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','{\"container_id\":\"string:6\",\"mem_limit_value\":\"fraction:1\",\"mem_usage_percent_avg\":\"percent:1\"}','1.0','2021-05-28 11:55:03','2021-05-28 11:55:05',0),(3675,'MySQL实例内存使用率异常告警','addon','addon_mysql_mem','email','alert','【MySQL实例内存使用率告警】\n','【MySQL实例内存使用率告警】\n\n组件: {{addon_type}}\n\n实例ID: {{addon_id}}\n\n实例: {{pod_namespace}} - {{pod_name}}\n\n平均使用率: {{mem_usage_percent_avg}}\n\n集群 / 机器: {{cluster_name}} / {{host_ip}}\n\n容器ID: {{container_id}}\n\n机器: {{host_ip}}\n\n时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','{\"container_id\":\"string:6\",\"mem_limit_value\":\"fraction:1\",\"mem_usage_percent_avg\":\"percent:1\"}','1.0','2021-05-28 11:55:03','2021-05-28 11:55:05',0),(3676,'MySQL实例内存使用率异常告警','addon','addon_mysql_mem','mbox','alert','【MySQL实例内存使用率告警】\n','【MySQL实例内存使用率告警】\n\n组件: {{addon_type}}\n\n实例ID: {{addon_id}}\n\n实例: {{pod_namespace}} - {{pod_name}}\n\n平均使用率: {{mem_usage_percent_avg}}\n\n集群 / 机器: {{cluster_name}} / {{host_ip}}\n\n容器ID: {{container_id}}\n\n机器: {{host_ip}}\n\n时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','{\"container_id\":\"string:6\",\"mem_limit_value\":\"fraction:1\",\"mem_usage_percent_avg\":\"percent:1\"}','1.0','2021-05-28 11:55:03','2021-05-28 11:55:05',0),(3677,'MySQL实例内存使用率异常告警','addon','addon_mysql_mem','webhook','alert','【MySQL实例内存使用率告警】\n','【MySQL实例内存使用率告警】\n\n组件: {{addon_type}}\n\n实例ID: {{addon_id}}\n\n实例: {{pod_namespace}} - {{pod_name}}\n\n平均使用率: {{mem_usage_percent_avg}}\n\n集群 / 机器: {{cluster_name}} / {{host_ip}}\n\n容器ID: {{container_id}}\n\n机器: {{host_ip}}\n\n时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','{\"container_id\":\"string:6\",\"mem_limit_value\":\"fraction:1\",\"mem_usage_percent_avg\":\"percent:1\"}','1.0','2021-05-28 11:55:03','2021-05-28 11:55:05',0),(3678,'MySQL实例主从同步异常告警','addon','addon_mysql_slave_status','dingding','alert','【MySQL实例主从同步异常】\n','【MySQL实例主从同步异常】\n\n组件: \"mysql\"\n\n实例ID: {{addon_id}}\n\n从节点IO异常状态: {{slave_slave_io_running_value}}\n\n从节点连接异常状态: {{slave_slave_sql_running_value}}\n\n集群 / 机器: {{cluster_name}} / {{host_ip}}\n\n机器: {{host_ip}}\n\n时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','{\"limit_value\":\"fraction:1\",\"usage_percent_avg\":\"percent:1\"}','1.0','2021-05-28 11:55:03','2021-05-28 11:55:05',0),(3679,'MySQL实例主从同步异常告警','addon','addon_mysql_slave_status','ticket','alert','【MySQL实例主从同步异常】\n','【MySQL实例主从同步异常】\n\n组件: \"mysql\"\n\n实例ID: {{addon_id}}\n\n从节点IO异常状态: {{slave_slave_io_running_value}}\n\n从节点连接异常状态: {{slave_slave_sql_running_value}}\n\n集群 / 机器: {{cluster_name}} / {{host_ip}}\n\n机器: {{host_ip}}\n\n时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','{\"limit_value\":\"fraction:1\",\"usage_percent_avg\":\"percent:1\"}','1.0','2021-05-28 11:55:03','2021-05-28 11:55:05',0),(3680,'MySQL实例主从同步异常告警','addon','addon_mysql_slave_status','email','alert','【MySQL实例主从同步异常】\n','【MySQL实例主从同步异常】\n\n组件: \"mysql\"\n\n实例ID: {{addon_id}}\n\n从节点IO异常状态: {{slave_slave_io_running_value}}\n\n从节点连接异常状态: {{slave_slave_sql_running_value}}\n\n集群 / 机器: {{cluster_name}} / {{host_ip}}\n\n机器: {{host_ip}}\n\n时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','{\"limit_value\":\"fraction:1\",\"usage_percent_avg\":\"percent:1\"}','1.0','2021-05-28 11:55:03','2021-05-28 11:55:05',0),(3681,'MySQL实例主从同步异常告警','addon','addon_mysql_slave_status','mbox','alert','【MySQL实例主从同步异常】\n','【MySQL实例主从同步异常】\n\n组件: \"mysql\"\n\n实例ID: {{addon_id}}\n\n从节点IO异常状态: {{slave_slave_io_running_value}}\n\n从节点连接异常状态: {{slave_slave_sql_running_value}}\n\n集群 / 机器: {{cluster_name}} / {{host_ip}}\n\n机器: {{host_ip}}\n\n时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','{\"limit_value\":\"fraction:1\",\"usage_percent_avg\":\"percent:1\"}','1.0','2021-05-28 11:55:03','2021-05-28 11:55:05',0),(3682,'MySQL实例主从同步异常告警','addon','addon_mysql_slave_status','webhook','alert','【MySQL实例主从同步异常】\n','【MySQL实例主从同步异常】\n\n组件: \"mysql\"\n\n实例ID: {{addon_id}}\n\n从节点IO异常状态: {{slave_slave_io_running_value}}\n\n从节点连接异常状态: {{slave_slave_sql_running_value}}\n\n集群 / 机器: {{cluster_name}} / {{host_ip}}\n\n机器: {{host_ip}}\n\n时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','{\"limit_value\":\"fraction:1\",\"usage_percent_avg\":\"percent:1\"}','1.0','2021-05-28 11:55:03','2021-05-28 11:55:05',0),(3683,'redis实例内存使用率异常告警','addon','addon_redis_mem','dingding','alert','【redis实例内存使用率异常告警】\n','【redis实例内存使用率异常告警】\n\n组件: {{addon_type}}\n\n实例ID: {{addon_id}}\n\n实例: {{pod_namespace}} - {{pod_name}}\n\n平均使用率: {{mem_usage_percent_avg}}\n\n集群 / 机器: {{cluster_name}} / {{host_ip}}\n\n容器ID: {{container_id}}\n\n机器: {{host_ip}}\n\n时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','{\"container_id\":\"string:6\",\"mem_limit_value\":\"fraction:1\",\"mem_usage_percent_avg\":\"percent:1\"}','1.0','2021-05-28 11:55:03','2021-05-28 11:55:05',0),(3684,'redis实例内存使用率异常告警','addon','addon_redis_mem','ticket','alert','【redis实例内存使用率异常告警】\n','【redis实例内存使用率异常告警】\n\n组件: {{addon_type}}\n\n实例ID: {{addon_id}}\n\n实例: {{pod_namespace}} - {{pod_name}}\n\n平均使用率: {{mem_usage_percent_avg}}\n\n集群 / 机器: {{cluster_name}} / {{host_ip}}\n\n容器ID: {{container_id}}\n\n机器: {{host_ip}}\n\n时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','{\"container_id\":\"string:6\",\"mem_limit_value\":\"fraction:1\",\"mem_usage_percent_avg\":\"percent:1\"}','1.0','2021-05-28 11:55:03','2021-05-28 11:55:05',0),(3685,'redis实例内存使用率异常告警','addon','addon_redis_mem','email','alert','【redis实例内存使用率异常告警】\n','【redis实例内存使用率异常告警】\n\n组件: {{addon_type}}\n\n实例ID: {{addon_id}}\n\n实例: {{pod_namespace}} - {{pod_name}}\n\n平均使用率: {{mem_usage_percent_avg}}\n\n集群 / 机器: {{cluster_name}} / {{host_ip}}\n\n容器ID: {{container_id}}\n\n机器: {{host_ip}}\n\n时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','{\"container_id\":\"string:6\",\"mem_limit_value\":\"fraction:1\",\"mem_usage_percent_avg\":\"percent:1\"}','1.0','2021-05-28 11:55:03','2021-05-28 11:55:05',0),(3686,'redis实例内存使用率异常告警','addon','addon_redis_mem','mbox','alert','【redis实例内存使用率异常告警】\n','【redis实例内存使用率异常告警】\n\n组件: {{addon_type}}\n\n实例ID: {{addon_id}}\n\n实例: {{pod_namespace}} - {{pod_name}}\n\n平均使用率: {{mem_usage_percent_avg}}\n\n集群 / 机器: {{cluster_name}} / {{host_ip}}\n\n容器ID: {{container_id}}\n\n机器: {{host_ip}}\n\n时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','{\"container_id\":\"string:6\",\"mem_limit_value\":\"fraction:1\",\"mem_usage_percent_avg\":\"percent:1\"}','1.0','2021-05-28 11:55:03','2021-05-28 11:55:05',0),(3687,'redis实例内存使用率异常告警','addon','addon_redis_mem','webhook','alert','【redis实例内存使用率异常告警】\n','【redis实例内存使用率异常告警】\n\n组件: {{addon_type}}\n\n实例ID: {{addon_id}}\n\n实例: {{pod_namespace}} - {{pod_name}}\n\n平均使用率: {{mem_usage_percent_avg}}\n\n集群 / 机器: {{cluster_name}} / {{host_ip}}\n\n容器ID: {{container_id}}\n\n机器: {{host_ip}}\n\n时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','{\"container_id\":\"string:6\",\"mem_limit_value\":\"fraction:1\",\"mem_usage_percent_avg\":\"percent:1\"}','1.0','2021-05-28 11:55:03','2021-05-28 11:55:05',0),(3688,'应用异常','app_exception','app_exception_count','dingding','alert','【{{application_name}}应用{{service_name}}服务异常告警】\n','【应用异常告警】\n\n项目: {{project_name}}\n\n应用: {{application_name}}\n\n服务: {{runtime_name}} - {{service_name}}\n\n实例: {{instance_id}}\n\n类: {{class}}\n\n方法: {{method}}\n\n行数: {{line}}\n\n错误: {{type}}\n\n事件: {{window}}分钟内出现 {{count_sum}} 次\n\n时间: {{timestamp}}\n\n[查看详情]({{display_url}})\n\n[查看记录]({{record_url}})\n','','1.0','2021-05-28 11:55:03','2021-05-28 11:55:05',0),(3689,'应用异常','app_exception','app_exception_count','ticket','alert','【{{application_name}}应用{{service_name}}服务异常告警】\n','【应用异常告警】\n\n项目: {{project_name}}\n\n应用: {{application_name}}\n\n服务: {{runtime_name}} - {{service_name}}\n\n实例: {{instance_id}}\n\n类: {{class}}\n\n方法: {{method}}\n\n行数: {{line}}\n\n错误: {{type}}\n\n事件: {{window}}分钟内出现 {{count_sum}} 次\n\n时间: {{timestamp}}\n\n[查看详情]({{display_url}})\n\n[查看记录]({{record_url}})\n','','1.0','2021-05-28 11:55:03','2021-05-28 11:55:05',0),(3690,'应用异常','app_exception','app_exception_count','email','alert','【{{application_name}}应用{{service_name}}服务异常告警】\n','【应用异常告警】\n\n项目: {{project_name}}\n\n应用: {{application_name}}\n\n服务: {{runtime_name}} - {{service_name}}\n\n实例: {{instance_id}}\n\n类: {{class}}\n\n方法: {{method}}\n\n行数: {{line}}\n\n错误: {{type}}\n\n事件: {{window}}分钟内出现 {{count_sum}} 次\n\n时间: {{timestamp}}\n\n[查看详情]({{display_url}})\n\n[查看记录]({{record_url}})\n','','1.0','2021-05-28 11:55:03','2021-05-28 11:55:05',0),(3691,'应用异常','app_exception','app_exception_count','mbox','alert','【{{application_name}}应用{{service_name}}服务异常告警】\n','【应用异常告警】\n\n项目: {{project_name}}\n\n应用: {{application_name}}\n\n服务: {{runtime_name}} - {{service_name}}\n\n实例: {{instance_id}}\n\n类: {{class}}\n\n方法: {{method}}\n\n行数: {{line}}\n\n错误: {{type}}\n\n事件: {{window}}分钟内出现 {{count_sum}} 次\n\n时间: {{timestamp}}\n\n[查看详情]({{display_url}})\n\n[查看记录]({{record_url}})\n','','1.0','2021-05-28 11:55:03','2021-05-28 11:55:05',0),(3692,'应用异常','app_exception','app_exception_count','webhook','alert','【{{application_name}}应用{{service_name}}服务异常告警】\n','【应用异常告警】\n\n项目: {{project_name}}\n\n应用: {{application_name}}\n\n服务: {{runtime_name}} - {{service_name}}\n\n实例: {{instance_id}}\n\n类: {{class}}\n\n方法: {{method}}\n\n行数: {{line}}\n\n错误: {{type}}\n\n事件: {{window}}分钟内出现 {{count_sum}} 次\n\n时间: {{timestamp}}\n\n[查看详情]({{display_url}})\n\n[查看记录]({{record_url}})\n','','1.0','2021-05-28 11:55:03','2021-05-28 11:55:05',0),(3693,'应用异常','app_exception','app_exception_count','dingding','recover','【{{application_name}}应用{{service_name}}服务异常恢复】\n','【应用异常恢复】\n\n项目: {{project_name}}\n\n应用: {{application_name}}\n\n服务: {{runtime_name}} - {{service_name}}\n\n实例: {{instance_id}}\n\n类: {{class}}\n\n方法: {{method}}\n\n行数: {{line}}\n\n错误: {{type}}\n\n持续时间: {{trigger_duration_min}}\n\n恢复时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','','1.0','2021-05-28 11:55:03','2021-05-28 11:55:05',0),(3694,'应用异常','app_exception','app_exception_count','ticket','recover','【{{application_name}}应用{{service_name}}服务异常恢复】\n','【应用异常恢复】\n\n项目: {{project_name}}\n\n应用: {{application_name}}\n\n服务: {{runtime_name}} - {{service_name}}\n\n实例: {{instance_id}}\n\n类: {{class}}\n\n方法: {{method}}\n\n行数: {{line}}\n\n错误: {{type}}\n\n持续时间: {{trigger_duration_min}}\n\n恢复时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','','1.0','2021-05-28 11:55:03','2021-05-28 11:55:05',0),(3695,'应用异常','app_exception','app_exception_count','email','recover','【{{application_name}}应用{{service_name}}服务异常恢复】\n','【应用异常恢复】\n\n项目: {{project_name}}\n\n应用: {{application_name}}\n\n服务: {{runtime_name}} - {{service_name}}\n\n实例: {{instance_id}}\n\n类: {{class}}\n\n方法: {{method}}\n\n行数: {{line}}\n\n错误: {{type}}\n\n持续时间: {{trigger_duration_min}}\n\n恢复时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','','1.0','2021-05-28 11:55:03','2021-05-28 11:55:05',0),(3696,'应用异常','app_exception','app_exception_count','mbox','recover','【{{application_name}}应用{{service_name}}服务异常恢复】\n','【应用异常恢复】\n\n项目: {{project_name}}\n\n应用: {{application_name}}\n\n服务: {{runtime_name}} - {{service_name}}\n\n实例: {{instance_id}}\n\n类: {{class}}\n\n方法: {{method}}\n\n行数: {{line}}\n\n错误: {{type}}\n\n持续时间: {{trigger_duration_min}}\n\n恢复时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','','1.0','2021-05-28 11:55:03','2021-05-28 11:55:05',0),(3697,'应用异常','app_exception','app_exception_count','webhook','recover','【{{application_name}}应用{{service_name}}服务异常恢复】\n','【应用异常恢复】\n\n项目: {{project_name}}\n\n应用: {{application_name}}\n\n服务: {{runtime_name}} - {{service_name}}\n\n实例: {{instance_id}}\n\n类: {{class}}\n\n方法: {{method}}\n\n行数: {{line}}\n\n错误: {{type}}\n\n持续时间: {{trigger_duration_min}}\n\n恢复时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','','1.0','2021-05-28 11:55:03','2021-05-28 11:55:05',0),(3698,'应用实例CPU使用率异常','app_resource','app_resource_container_cpu','dingding','alert','【{{application_name}}应用{{service_name}}服务实例CPU使用率告警】\n','【应用实例CPU使用率异常告警】\n\n项目: {{project_name}}\n\n应用: {{application_name}}\n\n服务实例: {{runtime_name}} - {{service_name}}.{{container_id}}\n\nCPU平均使用率: {{cpu_usage_percent_avg}}\n\nCPU限制: {{cpu_limit_value}}核\n\n机器: {{host_ip}}\n\n时间: {{timestamp}}\n\n[查看详情]({{display_url}})\n\n[查看记录]({{record_url}})\n','{\"container_id\":\"string:6\",\"cpu_limit_value\":\"fraction:1\",\"cpu_usage_percent_avg\":\"percent:1\"}','1.0','2021-05-28 11:55:03','2021-05-28 11:55:05',0),(3699,'应用实例CPU使用率异常','app_resource','app_resource_container_cpu','ticket','alert','【{{application_name}}应用{{service_name}}服务实例CPU使用率告警】\n','【应用实例CPU使用率异常告警】\n\n项目: {{project_name}}\n\n应用: {{application_name}}\n\n服务实例: {{runtime_name}} - {{service_name}}.{{container_id}}\n\nCPU平均使用率: {{cpu_usage_percent_avg}}\n\nCPU限制: {{cpu_limit_value}}核\n\n机器: {{host_ip}}\n\n时间: {{timestamp}}\n\n[查看详情]({{display_url}})\n\n[查看记录]({{record_url}})\n','{\"container_id\":\"string:6\",\"cpu_limit_value\":\"fraction:1\",\"cpu_usage_percent_avg\":\"percent:1\"}','1.0','2021-05-28 11:55:03','2021-05-28 11:55:05',0),(3700,'应用实例CPU使用率异常','app_resource','app_resource_container_cpu','email','alert','【{{application_name}}应用{{service_name}}服务实例CPU使用率告警】\n','【应用实例CPU使用率异常告警】\n\n项目: {{project_name}}\n\n应用: {{application_name}}\n\n服务实例: {{runtime_name}} - {{service_name}}.{{container_id}}\n\nCPU平均使用率: {{cpu_usage_percent_avg}}\n\nCPU限制: {{cpu_limit_value}}核\n\n机器: {{host_ip}}\n\n时间: {{timestamp}}\n\n[查看详情]({{display_url}})\n\n[查看记录]({{record_url}})\n','{\"container_id\":\"string:6\",\"cpu_limit_value\":\"fraction:1\",\"cpu_usage_percent_avg\":\"percent:1\"}','1.0','2021-05-28 11:55:03','2021-05-28 11:55:05',0),(3701,'应用实例CPU使用率异常','app_resource','app_resource_container_cpu','mbox','alert','【{{application_name}}应用{{service_name}}服务实例CPU使用率告警】\n','【应用实例CPU使用率异常告警】\n\n项目: {{project_name}}\n\n应用: {{application_name}}\n\n服务实例: {{runtime_name}} - {{service_name}}.{{container_id}}\n\nCPU平均使用率: {{cpu_usage_percent_avg}}\n\nCPU限制: {{cpu_limit_value}}核\n\n机器: {{host_ip}}\n\n时间: {{timestamp}}\n\n[查看详情]({{display_url}})\n\n[查看记录]({{record_url}})\n','{\"container_id\":\"string:6\",\"cpu_limit_value\":\"fraction:1\",\"cpu_usage_percent_avg\":\"percent:1\"}','1.0','2021-05-28 11:55:03','2021-05-28 11:55:05',0),(3702,'应用实例CPU使用率异常','app_resource','app_resource_container_cpu','webhook','alert','【{{application_name}}应用{{service_name}}服务实例CPU使用率告警】\n','【应用实例CPU使用率异常告警】\n\n项目: {{project_name}}\n\n应用: {{application_name}}\n\n服务实例: {{runtime_name}} - {{service_name}}.{{container_id}}\n\nCPU平均使用率: {{cpu_usage_percent_avg}}\n\nCPU限制: {{cpu_limit_value}}核\n\n机器: {{host_ip}}\n\n时间: {{timestamp}}\n\n[查看详情]({{display_url}})\n\n[查看记录]({{record_url}})\n','{\"container_id\":\"string:6\",\"cpu_limit_value\":\"fraction:1\",\"cpu_usage_percent_avg\":\"percent:1\"}','1.0','2021-05-28 11:55:03','2021-05-28 11:55:05',0),(3703,'应用实例CPU使用率恢复','app_resource','app_resource_container_cpu','dingding','recover','【{{application_name}}应用{{service_name}}服务实例CPU使用率恢复】\n','【应用实例CPU使用率恢复】\n\n项目: {{project_name}}\n\n应用: {{application_name}}\n\n服务实例: {{runtime_name}} - {{service_name}}.{{container_id}}\n\n平均使用率: {{cpu_usage_percent_avg}}\n\n机器: {{host_ip}}\n\n容器ID: {{container_id}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','{\"container_id\":\"string:6\",\"cpu_usage_percent_avg\":\"percent:1\",\"trigger_duration\":\"time:ms\"}','1.0','2021-05-28 11:55:03','2021-05-28 11:55:05',0),(3704,'应用实例CPU使用率恢复','app_resource','app_resource_container_cpu','ticket','recover','【{{application_name}}应用{{service_name}}服务实例CPU使用率恢复】\n','【应用实例CPU使用率恢复】\n\n项目: {{project_name}}\n\n应用: {{application_name}}\n\n服务实例: {{runtime_name}} - {{service_name}}.{{container_id}}\n\n平均使用率: {{cpu_usage_percent_avg}}\n\n机器: {{host_ip}}\n\n容器ID: {{container_id}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','{\"container_id\":\"string:6\",\"cpu_usage_percent_avg\":\"percent:1\",\"trigger_duration\":\"time:ms\"}','1.0','2021-05-28 11:55:03','2021-05-28 11:55:05',0),(3705,'应用实例CPU使用率恢复','app_resource','app_resource_container_cpu','email','recover','【{{application_name}}应用{{service_name}}服务实例CPU使用率恢复】\n','【应用实例CPU使用率恢复】\n\n项目: {{project_name}}\n\n应用: {{application_name}}\n\n服务实例: {{runtime_name}} - {{service_name}}.{{container_id}}\n\n平均使用率: {{cpu_usage_percent_avg}}\n\n机器: {{host_ip}}\n\n容器ID: {{container_id}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','{\"container_id\":\"string:6\",\"cpu_usage_percent_avg\":\"percent:1\",\"trigger_duration\":\"time:ms\"}','1.0','2021-05-28 11:55:03','2021-05-28 11:55:05',0),(3706,'应用实例CPU使用率恢复','app_resource','app_resource_container_cpu','mbox','recover','【{{application_name}}应用{{service_name}}服务实例CPU使用率恢复】\n','【应用实例CPU使用率恢复】\n\n项目: {{project_name}}\n\n应用: {{application_name}}\n\n服务实例: {{runtime_name}} - {{service_name}}.{{container_id}}\n\n平均使用率: {{cpu_usage_percent_avg}}\n\n机器: {{host_ip}}\n\n容器ID: {{container_id}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','{\"container_id\":\"string:6\",\"cpu_usage_percent_avg\":\"percent:1\",\"trigger_duration\":\"time:ms\"}','1.0','2021-05-28 11:55:03','2021-05-28 11:55:05',0),(3707,'应用实例CPU使用率恢复','app_resource','app_resource_container_cpu','webhook','recover','【{{application_name}}应用{{service_name}}服务实例CPU使用率恢复】\n','【应用实例CPU使用率恢复】\n\n项目: {{project_name}}\n\n应用: {{application_name}}\n\n服务实例: {{runtime_name}} - {{service_name}}.{{container_id}}\n\n平均使用率: {{cpu_usage_percent_avg}}\n\n机器: {{host_ip}}\n\n容器ID: {{container_id}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','{\"container_id\":\"string:6\",\"cpu_usage_percent_avg\":\"percent:1\",\"trigger_duration\":\"time:ms\"}','1.0','2021-05-28 11:55:03','2021-05-28 11:55:05',0),(3708,'应用实例内存使用率异常','app_resource','app_resource_container_mem','dingding','alert','【{{application_name}}应用{{service_name}}服务内存使用率异常告警】\n','【应用实例内存使用率异常告警】\n\n项目: {{project_name}}\n\n应用: {{application_name}}\n\n服务实例: {{runtime_name}} - {{service_name}}.{{container_id}}\n\n内存使用率: {{mem_usage_percent_avg}}\n\n内存使用: {{mem_usage_value}}\n\n内存限制: {{mem_limit_value}}\n\n机器: {{host_ip}}\n\n时间: {{timestamp}}\n\n[查看详情]({{display_url}})\n\n[查看记录]({{record_url}})\n','{\"container_id\":\"string:6\",\"mem_limit_value\":\"size:byte\",\"mem_usage_percent_avg\":\"percent:1\",\"mem_usage_value\":\"size:byte\"}','1.0','2021-05-28 11:55:03','2021-05-28 11:55:05',0),(3709,'应用实例内存使用率异常','app_resource','app_resource_container_mem','ticket','alert','【{{application_name}}应用{{service_name}}服务内存使用率异常告警】\n','【应用实例内存使用率异常告警】\n\n项目: {{project_name}}\n\n应用: {{application_name}}\n\n服务实例: {{runtime_name}} - {{service_name}}.{{container_id}}\n\n内存使用率: {{mem_usage_percent_avg}}\n\n内存使用: {{mem_usage_value}}\n\n内存限制: {{mem_limit_value}}\n\n机器: {{host_ip}}\n\n时间: {{timestamp}}\n\n[查看详情]({{display_url}})\n\n[查看记录]({{record_url}})\n','{\"container_id\":\"string:6\",\"mem_limit_value\":\"size:byte\",\"mem_usage_percent_avg\":\"percent:1\",\"mem_usage_value\":\"size:byte\"}','1.0','2021-05-28 11:55:03','2021-05-28 11:55:05',0),(3710,'应用实例内存使用率异常','app_resource','app_resource_container_mem','email','alert','【{{application_name}}应用{{service_name}}服务内存使用率异常告警】\n','【应用实例内存使用率异常告警】\n\n项目: {{project_name}}\n\n应用: {{application_name}}\n\n服务实例: {{runtime_name}} - {{service_name}}.{{container_id}}\n\n内存使用率: {{mem_usage_percent_avg}}\n\n内存使用: {{mem_usage_value}}\n\n内存限制: {{mem_limit_value}}\n\n机器: {{host_ip}}\n\n时间: {{timestamp}}\n\n[查看详情]({{display_url}})\n\n[查看记录]({{record_url}})\n','{\"container_id\":\"string:6\",\"mem_limit_value\":\"size:byte\",\"mem_usage_percent_avg\":\"percent:1\",\"mem_usage_value\":\"size:byte\"}','1.0','2021-05-28 11:55:03','2021-05-28 11:55:05',0),(3711,'应用实例内存使用率异常','app_resource','app_resource_container_mem','mbox','alert','【{{application_name}}应用{{service_name}}服务内存使用率异常告警】\n','【应用实例内存使用率异常告警】\n\n项目: {{project_name}}\n\n应用: {{application_name}}\n\n服务实例: {{runtime_name}} - {{service_name}}.{{container_id}}\n\n内存使用率: {{mem_usage_percent_avg}}\n\n内存使用: {{mem_usage_value}}\n\n内存限制: {{mem_limit_value}}\n\n机器: {{host_ip}}\n\n时间: {{timestamp}}\n\n[查看详情]({{display_url}})\n\n[查看记录]({{record_url}})\n','{\"container_id\":\"string:6\",\"mem_limit_value\":\"size:byte\",\"mem_usage_percent_avg\":\"percent:1\",\"mem_usage_value\":\"size:byte\"}','1.0','2021-05-28 11:55:03','2021-05-28 11:55:05',0),(3712,'应用实例内存使用率异常','app_resource','app_resource_container_mem','webhook','alert','【{{application_name}}应用{{service_name}}服务内存使用率异常告警】\n','【应用实例内存使用率异常告警】\n\n项目: {{project_name}}\n\n应用: {{application_name}}\n\n服务实例: {{runtime_name}} - {{service_name}}.{{container_id}}\n\n内存使用率: {{mem_usage_percent_avg}}\n\n内存使用: {{mem_usage_value}}\n\n内存限制: {{mem_limit_value}}\n\n机器: {{host_ip}}\n\n时间: {{timestamp}}\n\n[查看详情]({{display_url}})\n\n[查看记录]({{record_url}})\n','{\"container_id\":\"string:6\",\"mem_limit_value\":\"size:byte\",\"mem_usage_percent_avg\":\"percent:1\",\"mem_usage_value\":\"size:byte\"}','1.0','2021-05-28 11:55:03','2021-05-28 11:55:05',0),(3713,'应用实例内存异常','app_resource','app_resource_container_mem','dingding','recover','【{{application_name}}应用{{service_name}}服务内存使用率异常恢复】\n','【应用实例内存使用率异常恢复】\n\n项目: {{project_name}}\n\n应用: {{application_name}}\n\n服务实例: {{runtime_name}} - {{service_name}}.{{container_id}}\n\n内存使用率: {{mem_usage_percent_avg}}\n\n内存使用: {{mem_usage_value}}\n\n内存限制: {{mem_limit_value}}\n\n机器: {{host_ip}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','{\"container_id\":\"string:6\",\"mem_usage_percent_avg\":\"percent:1\",\"trigger_duration\":\"time:ms\"}','1.0','2021-05-28 11:55:03','2021-05-28 11:55:05',0),(3714,'应用实例内存异常','app_resource','app_resource_container_mem','ticket','recover','【{{application_name}}应用{{service_name}}服务内存使用率异常恢复】\n','【应用实例内存使用率异常恢复】\n\n项目: {{project_name}}\n\n应用: {{application_name}}\n\n服务实例: {{runtime_name}} - {{service_name}}.{{container_id}}\n\n内存使用率: {{mem_usage_percent_avg}}\n\n内存使用: {{mem_usage_value}}\n\n内存限制: {{mem_limit_value}}\n\n机器: {{host_ip}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','{\"container_id\":\"string:6\",\"mem_usage_percent_avg\":\"percent:1\",\"trigger_duration\":\"time:ms\"}','1.0','2021-05-28 11:55:03','2021-05-28 11:55:05',0),(3715,'应用实例内存异常','app_resource','app_resource_container_mem','email','recover','【{{application_name}}应用{{service_name}}服务内存使用率异常恢复】\n','【应用实例内存使用率异常恢复】\n\n项目: {{project_name}}\n\n应用: {{application_name}}\n\n服务实例: {{runtime_name}} - {{service_name}}.{{container_id}}\n\n内存使用率: {{mem_usage_percent_avg}}\n\n内存使用: {{mem_usage_value}}\n\n内存限制: {{mem_limit_value}}\n\n机器: {{host_ip}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','{\"container_id\":\"string:6\",\"mem_usage_percent_avg\":\"percent:1\",\"trigger_duration\":\"time:ms\"}','1.0','2021-05-28 11:55:03','2021-05-28 11:55:05',0),(3716,'应用实例内存异常','app_resource','app_resource_container_mem','mbox','recover','【{{application_name}}应用{{service_name}}服务内存使用率异常恢复】\n','【应用实例内存使用率异常恢复】\n\n项目: {{project_name}}\n\n应用: {{application_name}}\n\n服务实例: {{runtime_name}} - {{service_name}}.{{container_id}}\n\n内存使用率: {{mem_usage_percent_avg}}\n\n内存使用: {{mem_usage_value}}\n\n内存限制: {{mem_limit_value}}\n\n机器: {{host_ip}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','{\"container_id\":\"string:6\",\"mem_usage_percent_avg\":\"percent:1\",\"trigger_duration\":\"time:ms\"}','1.0','2021-05-28 11:55:03','2021-05-28 11:55:05',0),(3717,'应用实例内存异常','app_resource','app_resource_container_mem','webhook','recover','【{{application_name}}应用{{service_name}}服务内存使用率异常恢复】\n','【应用实例内存使用率异常恢复】\n\n项目: {{project_name}}\n\n应用: {{application_name}}\n\n服务实例: {{runtime_name}} - {{service_name}}.{{container_id}}\n\n内存使用率: {{mem_usage_percent_avg}}\n\n内存使用: {{mem_usage_value}}\n\n内存限制: {{mem_limit_value}}\n\n机器: {{host_ip}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','{\"container_id\":\"string:6\",\"mem_usage_percent_avg\":\"percent:1\",\"trigger_duration\":\"time:ms\"}','1.0','2021-05-28 11:55:03','2021-05-28 11:55:05',0),(3718,'应用实例OOM告警','app_resource','app_resource_container_oom','dingding','alert','【{{application_name}}应用{{service_name}}服务实例OOM告警】\n','【应用实例OOM告警】\n\n项目: {{project_name}}\n\n应用: {{application_name}}\n\n服务实例: {{runtime_name}} - {{service_name}}.{{container_id}}\n\n事件: 服务实例发生OOM\n\n机器: {{host_ip}}\n\n时间: {{timestamp}}\n\n[查看详情]({{display_url}})\n\n[查看记录]({{record_url}})\n','{\"container_id\":\"string:6\"}','1.0','2021-05-28 11:55:03','2021-05-28 11:55:05',0),(3719,'应用实例OOM告警','app_resource','app_resource_container_oom','ticket','alert','【{{application_name}}应用{{service_name}}服务实例OOM告警】\n','【应用实例OOM告警】\n\n项目: {{project_name}}\n\n应用: {{application_name}}\n\n服务实例: {{runtime_name}} - {{service_name}}.{{container_id}}\n\n事件: 服务实例发生OOM\n\n机器: {{host_ip}}\n\n时间: {{timestamp}}\n\n[查看详情]({{display_url}})\n\n[查看记录]({{record_url}})\n','{\"container_id\":\"string:6\"}','1.0','2021-05-28 11:55:03','2021-05-28 11:55:05',0),(3720,'应用实例OOM告警','app_resource','app_resource_container_oom','email','alert','【{{application_name}}应用{{service_name}}服务实例OOM告警】\n','【应用实例OOM告警】\n\n项目: {{project_name}}\n\n应用: {{application_name}}\n\n服务实例: {{runtime_name}} - {{service_name}}.{{container_id}}\n\n事件: 服务实例发生OOM\n\n机器: {{host_ip}}\n\n时间: {{timestamp}}\n\n[查看详情]({{display_url}})\n\n[查看记录]({{record_url}})\n','{\"container_id\":\"string:6\"}','1.0','2021-05-28 11:55:03','2021-05-28 11:55:05',0),(3721,'应用实例OOM告警','app_resource','app_resource_container_oom','mbox','alert','【{{application_name}}应用{{service_name}}服务实例OOM告警】\n','【应用实例OOM告警】\n\n项目: {{project_name}}\n\n应用: {{application_name}}\n\n服务实例: {{runtime_name}} - {{service_name}}.{{container_id}}\n\n事件: 服务实例发生OOM\n\n机器: {{host_ip}}\n\n时间: {{timestamp}}\n\n[查看详情]({{display_url}})\n\n[查看记录]({{record_url}})\n','{\"container_id\":\"string:6\"}','1.0','2021-05-28 11:55:03','2021-05-28 11:55:05',0),(3722,'应用实例OOM告警','app_resource','app_resource_container_oom','webhook','alert','【{{application_name}}应用{{service_name}}服务实例OOM告警】\n','【应用实例OOM告警】\n\n项目: {{project_name}}\n\n应用: {{application_name}}\n\n服务实例: {{runtime_name}} - {{service_name}}.{{container_id}}\n\n事件: 服务实例发生OOM\n\n机器: {{host_ip}}\n\n时间: {{timestamp}}\n\n[查看详情]({{display_url}})\n\n[查看记录]({{record_url}})\n','{\"container_id\":\"string:6\"}','1.0','2021-05-28 11:55:03','2021-05-28 11:55:05',0),(3723,'应用JVM GC次数异常','app_resource','app_resource_jvm_gc_count','dingding','alert','【{{application_name}}应用{{service_name}}服务JVM GC次数异常告警】\n','【应用JVM GC次数异常告警】\n\n实例GC次数太多 !\n\n项目: {{project_name}}\n\n应用: {{application_name}}\n\n服务: {{runtime_name}} / {{service_name}}\n\n老年代GC次数: {{count_sum}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n时间: {{timestamp}}\n\n[查看详情]({{display_url}})\n\n[查看记录]({{record_url}})\n','','1.0','2021-05-28 11:55:03','2021-05-28 11:55:05',0),(3724,'应用JVM GC次数异常','app_resource','app_resource_jvm_gc_count','ticket','alert','【{{application_name}}应用{{service_name}}服务JVM GC次数异常告警】\n','【应用JVM GC次数异常告警】\n\n实例GC次数太多 !\n\n项目: {{project_name}}\n\n应用: {{application_name}}\n\n服务: {{runtime_name}} / {{service_name}}\n\n老年代GC次数: {{count_sum}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n时间: {{timestamp}}\n\n[查看详情]({{display_url}})\n\n[查看记录]({{record_url}})\n','','1.0','2021-05-28 11:55:03','2021-05-28 11:55:05',0),(3725,'应用JVM GC次数异常','app_resource','app_resource_jvm_gc_count','email','alert','【{{application_name}}应用{{service_name}}服务JVM GC次数异常告警】\n','【应用JVM GC次数异常告警】\n\n实例GC次数太多 !\n\n项目: {{project_name}}\n\n应用: {{application_name}}\n\n服务: {{runtime_name}} / {{service_name}}\n\n老年代GC次数: {{count_sum}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n时间: {{timestamp}}\n\n[查看详情]({{display_url}})\n\n[查看记录]({{record_url}})\n','','1.0','2021-05-28 11:55:03','2021-05-28 11:55:05',0),(3726,'应用JVM GC次数异常','app_resource','app_resource_jvm_gc_count','mbox','alert','【{{application_name}}应用{{service_name}}服务JVM GC次数异常告警】\n','【应用JVM GC次数异常告警】\n\n实例GC次数太多 !\n\n项目: {{project_name}}\n\n应用: {{application_name}}\n\n服务: {{runtime_name}} / {{service_name}}\n\n老年代GC次数: {{count_sum}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n时间: {{timestamp}}\n\n[查看详情]({{display_url}})\n\n[查看记录]({{record_url}})\n','','1.0','2021-05-28 11:55:03','2021-05-28 11:55:05',0),(3727,'应用JVM GC次数异常','app_resource','app_resource_jvm_gc_count','webhook','alert','【{{application_name}}应用{{service_name}}服务JVM GC次数异常告警】\n','【应用JVM GC次数异常告警】\n\n实例GC次数太多 !\n\n项目: {{project_name}}\n\n应用: {{application_name}}\n\n服务: {{runtime_name}} / {{service_name}}\n\n老年代GC次数: {{count_sum}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n时间: {{timestamp}}\n\n[查看详情]({{display_url}})\n\n[查看记录]({{record_url}})\n','','1.0','2021-05-28 11:55:03','2021-05-28 11:55:05',0),(3728,'应用JVM GC次数异常','app_resource','app_resource_jvm_gc_count','dingding','recover','【{{application_name}}应用{{service_name}}服务JVM GC次数异常恢复】\n','【应用JVM GC次数异常恢复】\n\n实例GC次数已恢复正常值 .\n\n项目: {{project_name}}\n\n应用: {{application_name}}\n\n服务: {{runtime_name}} / {{service_name}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n持续时间: {{trigger_duration_min}}\n\n恢复时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','','1.0','2021-05-28 11:55:03','2021-05-28 11:55:05',0),(3729,'应用JVM GC次数异常','app_resource','app_resource_jvm_gc_count','ticket','recover','【{{application_name}}应用{{service_name}}服务JVM GC次数异常恢复】\n','【应用JVM GC次数异常恢复】\n\n实例GC次数已恢复正常值 .\n\n项目: {{project_name}}\n\n应用: {{application_name}}\n\n服务: {{runtime_name}} / {{service_name}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n持续时间: {{trigger_duration_min}}\n\n恢复时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','','1.0','2021-05-28 11:55:03','2021-05-28 11:55:05',0),(3730,'应用JVM GC次数异常','app_resource','app_resource_jvm_gc_count','email','recover','【{{application_name}}应用{{service_name}}服务JVM GC次数异常恢复】\n','【应用JVM GC次数异常恢复】\n\n实例GC次数已恢复正常值 .\n\n项目: {{project_name}}\n\n应用: {{application_name}}\n\n服务: {{runtime_name}} / {{service_name}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n持续时间: {{trigger_duration_min}}\n\n恢复时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','','1.0','2021-05-28 11:55:03','2021-05-28 11:55:05',0),(3731,'应用JVM GC次数异常','app_resource','app_resource_jvm_gc_count','mbox','recover','【{{application_name}}应用{{service_name}}服务JVM GC次数异常恢复】\n','【应用JVM GC次数异常恢复】\n\n实例GC次数已恢复正常值 .\n\n项目: {{project_name}}\n\n应用: {{application_name}}\n\n服务: {{runtime_name}} / {{service_name}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n持续时间: {{trigger_duration_min}}\n\n恢复时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','','1.0','2021-05-28 11:55:03','2021-05-28 11:55:05',0),(3732,'应用JVM GC次数异常','app_resource','app_resource_jvm_gc_count','webhook','recover','【{{application_name}}应用{{service_name}}服务JVM GC次数异常恢复】\n','【应用JVM GC次数异常恢复】\n\n实例GC次数已恢复正常值 .\n\n项目: {{project_name}}\n\n应用: {{application_name}}\n\n服务: {{runtime_name}} / {{service_name}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n持续时间: {{trigger_duration_min}}\n\n恢复时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','','1.0','2021-05-28 11:55:03','2021-05-28 11:55:05',0),(3733,'应用JVM GC耗时异常','app_resource','app_resource_jvm_gc_time','dingding','alert','【{{application_name}}应用{{service_name}}服务JVM GC耗时异常告警】\n','【应用JVM GC耗时异常告警】\n\n实例GC耗时过长 !\n\n项目: {{project_name}}\n\n应用: {{application_name}}\n\n服务: {{runtime_name}} / {{service_name}}\n\n老年代GC耗时: 总耗时{{time_sum}}，最后一次耗时{{time_value}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n时间: {{timestamp}}\n\n[查看详情]({{display_url}})\n\n[查看记录]({{record_url}})\n','{\"time_sum\":\"time:ms\",\"time_value\":\"time:ms\"}','1.0','2021-05-28 11:55:03','2021-05-28 11:55:05',0),(3734,'应用JVM GC耗时异常','app_resource','app_resource_jvm_gc_time','ticket','alert','【{{application_name}}应用{{service_name}}服务JVM GC耗时异常告警】\n','【应用JVM GC耗时异常告警】\n\n实例GC耗时过长 !\n\n项目: {{project_name}}\n\n应用: {{application_name}}\n\n服务: {{runtime_name}} / {{service_name}}\n\n老年代GC耗时: 总耗时{{time_sum}}，最后一次耗时{{time_value}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n时间: {{timestamp}}\n\n[查看详情]({{display_url}})\n\n[查看记录]({{record_url}})\n','{\"time_sum\":\"time:ms\",\"time_value\":\"time:ms\"}','1.0','2021-05-28 11:55:03','2021-05-28 11:55:05',0),(3735,'应用JVM GC耗时异常','app_resource','app_resource_jvm_gc_time','email','alert','【{{application_name}}应用{{service_name}}服务JVM GC耗时异常告警】\n','【应用JVM GC耗时异常告警】\n\n实例GC耗时过长 !\n\n项目: {{project_name}}\n\n应用: {{application_name}}\n\n服务: {{runtime_name}} / {{service_name}}\n\n老年代GC耗时: 总耗时{{time_sum}}，最后一次耗时{{time_value}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n时间: {{timestamp}}\n\n[查看详情]({{display_url}})\n\n[查看记录]({{record_url}})\n','{\"time_sum\":\"time:ms\",\"time_value\":\"time:ms\"}','1.0','2021-05-28 11:55:03','2021-05-28 11:55:05',0),(3736,'应用JVM GC耗时异常','app_resource','app_resource_jvm_gc_time','mbox','alert','【{{application_name}}应用{{service_name}}服务JVM GC耗时异常告警】\n','【应用JVM GC耗时异常告警】\n\n实例GC耗时过长 !\n\n项目: {{project_name}}\n\n应用: {{application_name}}\n\n服务: {{runtime_name}} / {{service_name}}\n\n老年代GC耗时: 总耗时{{time_sum}}，最后一次耗时{{time_value}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n时间: {{timestamp}}\n\n[查看详情]({{display_url}})\n\n[查看记录]({{record_url}})\n','{\"time_sum\":\"time:ms\",\"time_value\":\"time:ms\"}','1.0','2021-05-28 11:55:03','2021-05-28 11:55:05',0),(3737,'应用JVM GC耗时异常','app_resource','app_resource_jvm_gc_time','webhook','alert','【{{application_name}}应用{{service_name}}服务JVM GC耗时异常告警】\n','【应用JVM GC耗时异常告警】\n\n实例GC耗时过长 !\n\n项目: {{project_name}}\n\n应用: {{application_name}}\n\n服务: {{runtime_name}} / {{service_name}}\n\n老年代GC耗时: 总耗时{{time_sum}}，最后一次耗时{{time_value}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n时间: {{timestamp}}\n\n[查看详情]({{display_url}})\n\n[查看记录]({{record_url}})\n','{\"time_sum\":\"time:ms\",\"time_value\":\"time:ms\"}','1.0','2021-05-28 11:55:03','2021-05-28 11:55:05',0),(3738,'应用JVM GC耗时异常','app_resource','app_resource_jvm_gc_time','dingding','recover','【{{application_name}}应用{{service_name}}服务JVM GC耗时异常恢复】\n','【应用JVM GC耗时异常恢复】\n\n实例GC耗时已恢复正常值 .\n\n项目: {{project_name}}\n\n应用: {{application_name}}\n\n服务: {{runtime_name}} / {{service_name}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n持续时间: {{trigger_duration_min}}\n\n恢复时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','','1.0','2021-05-28 11:55:03','2021-05-28 11:55:05',0),(3739,'应用JVM GC耗时异常','app_resource','app_resource_jvm_gc_time','ticket','recover','【{{application_name}}应用{{service_name}}服务JVM GC耗时异常恢复】\n','【应用JVM GC耗时异常恢复】\n\n实例GC耗时已恢复正常值 .\n\n项目: {{project_name}}\n\n应用: {{application_name}}\n\n服务: {{runtime_name}} / {{service_name}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n持续时间: {{trigger_duration_min}}\n\n恢复时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','','1.0','2021-05-28 11:55:03','2021-05-28 11:55:05',0),(3740,'应用JVM GC耗时异常','app_resource','app_resource_jvm_gc_time','email','recover','【{{application_name}}应用{{service_name}}服务JVM GC耗时异常恢复】\n','【应用JVM GC耗时异常恢复】\n\n实例GC耗时已恢复正常值 .\n\n项目: {{project_name}}\n\n应用: {{application_name}}\n\n服务: {{runtime_name}} / {{service_name}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n持续时间: {{trigger_duration_min}}\n\n恢复时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','','1.0','2021-05-28 11:55:03','2021-05-28 11:55:05',0),(3741,'应用JVM GC耗时异常','app_resource','app_resource_jvm_gc_time','mbox','recover','【{{application_name}}应用{{service_name}}服务JVM GC耗时异常恢复】\n','【应用JVM GC耗时异常恢复】\n\n实例GC耗时已恢复正常值 .\n\n项目: {{project_name}}\n\n应用: {{application_name}}\n\n服务: {{runtime_name}} / {{service_name}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n持续时间: {{trigger_duration_min}}\n\n恢复时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','','1.0','2021-05-28 11:55:03','2021-05-28 11:55:05',0),(3742,'应用JVM GC耗时异常','app_resource','app_resource_jvm_gc_time','webhook','recover','【{{application_name}}应用{{service_name}}服务JVM GC耗时异常恢复】\n','【应用JVM GC耗时异常恢复】\n\n实例GC耗时已恢复正常值 .\n\n项目: {{project_name}}\n\n应用: {{application_name}}\n\n服务: {{runtime_name}} / {{service_name}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n持续时间: {{trigger_duration_min}}\n\n恢复时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','','1.0','2021-05-28 11:55:03','2021-05-28 11:55:05',0),(3743,'JVM堆内存使用异常告警','app_resource','app_resource_jvm_heap','dingding','alert','【{{application_name}}应用{{service_name}}服务JVM堆内存使用异常告警】','【JVM堆内存使用异常告警】\n\n实例JVM堆内存使用过高 ！\n\n项目: {{project_name}}\n\n应用: {{application_name}}\n\n服务: {{runtime_name}} / {{service_name}}\n\n实例: {{instance_id}}\n\n堆内存使用率: {{usage_percent_avg}}\n\n已使用: {{used_value}}\n\n最大使用: {{max_value}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n时间: {{timestamp}}\n\n[查看详情]({{display_url}})\n\n[查看记录]({{record_url}})\n','{\"max_value\":\"size:byte\",\"usage_percent_avg\":\"percent\",\"used_value\":\"size:byte\"}','1.0','2021-05-28 11:55:03','2021-05-28 11:55:05',0),(3744,'JVM堆内存使用异常告警','app_resource','app_resource_jvm_heap','ticket','alert','【{{application_name}}应用{{service_name}}服务JVM堆内存使用异常告警】','【JVM堆内存使用异常告警】\n\n实例JVM堆内存使用过高 ！\n\n项目: {{project_name}}\n\n应用: {{application_name}}\n\n服务: {{runtime_name}} / {{service_name}}\n\n实例: {{instance_id}}\n\n堆内存使用率: {{usage_percent_avg}}\n\n已使用: {{used_value}}\n\n最大使用: {{max_value}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n时间: {{timestamp}}\n\n[查看详情]({{display_url}})\n\n[查看记录]({{record_url}})\n','{\"max_value\":\"size:byte\",\"usage_percent_avg\":\"percent\",\"used_value\":\"size:byte\"}','1.0','2021-05-28 11:55:03','2021-05-28 11:55:05',0),(3745,'JVM堆内存使用异常告警','app_resource','app_resource_jvm_heap','email','alert','【{{application_name}}应用{{service_name}}服务JVM堆内存使用异常告警】','【JVM堆内存使用异常告警】\n\n实例JVM堆内存使用过高 ！\n\n项目: {{project_name}}\n\n应用: {{application_name}}\n\n服务: {{runtime_name}} / {{service_name}}\n\n实例: {{instance_id}}\n\n堆内存使用率: {{usage_percent_avg}}\n\n已使用: {{used_value}}\n\n最大使用: {{max_value}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n时间: {{timestamp}}\n\n[查看详情]({{display_url}})\n\n[查看记录]({{record_url}})\n','{\"max_value\":\"size:byte\",\"usage_percent_avg\":\"percent\",\"used_value\":\"size:byte\"}','1.0','2021-05-28 11:55:03','2021-05-28 11:55:05',0),(3746,'JVM堆内存使用异常告警','app_resource','app_resource_jvm_heap','mbox','alert','【{{application_name}}应用{{service_name}}服务JVM堆内存使用异常告警】','【JVM堆内存使用异常告警】\n\n实例JVM堆内存使用过高 ！\n\n项目: {{project_name}}\n\n应用: {{application_name}}\n\n服务: {{runtime_name}} / {{service_name}}\n\n实例: {{instance_id}}\n\n堆内存使用率: {{usage_percent_avg}}\n\n已使用: {{used_value}}\n\n最大使用: {{max_value}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n时间: {{timestamp}}\n\n[查看详情]({{display_url}})\n\n[查看记录]({{record_url}})\n','{\"max_value\":\"size:byte\",\"usage_percent_avg\":\"percent\",\"used_value\":\"size:byte\"}','1.0','2021-05-28 11:55:03','2021-05-28 11:55:05',0),(3747,'JVM堆内存使用异常告警','app_resource','app_resource_jvm_heap','webhook','alert','【{{application_name}}应用{{service_name}}服务JVM堆内存使用异常告警】','【JVM堆内存使用异常告警】\n\n实例JVM堆内存使用过高 ！\n\n项目: {{project_name}}\n\n应用: {{application_name}}\n\n服务: {{runtime_name}} / {{service_name}}\n\n实例: {{instance_id}}\n\n堆内存使用率: {{usage_percent_avg}}\n\n已使用: {{used_value}}\n\n最大使用: {{max_value}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n时间: {{timestamp}}\n\n[查看详情]({{display_url}})\n\n[查看记录]({{record_url}})\n','{\"max_value\":\"size:byte\",\"usage_percent_avg\":\"percent\",\"used_value\":\"size:byte\"}','1.0','2021-05-28 11:55:03','2021-05-28 11:55:05',0),(3748,'JVM堆内存使用异常恢复','app_resource','app_resource_jvm_heap','dingding','recover','【{{application_name}}应用{{service_name}}服务JVM堆内存使用异常恢复】','【JVM堆内存使用异常恢复】\n\n实例JVM堆内存已恢复恢复正常使用状态 .\n\n项目: {{project_name}}\n\n应用: {{application_name}}\n\n服务: {{runtime_name}} / {{service_name}}\n\n实例: {{instance_id}}\n\n堆内存使用率: {{usage_percent_avg}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n持续时间: {{trigger_duration_min}}\n\n恢复时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','{\"usage_percent_avg\":\"percent\"}','1.0','2021-05-28 11:55:03','2021-05-28 11:55:05',0),(3749,'JVM堆内存使用异常恢复','app_resource','app_resource_jvm_heap','ticket','recover','【{{application_name}}应用{{service_name}}服务JVM堆内存使用异常恢复】','【JVM堆内存使用异常恢复】\n\n实例JVM堆内存已恢复恢复正常使用状态 .\n\n项目: {{project_name}}\n\n应用: {{application_name}}\n\n服务: {{runtime_name}} / {{service_name}}\n\n实例: {{instance_id}}\n\n堆内存使用率: {{usage_percent_avg}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n持续时间: {{trigger_duration_min}}\n\n恢复时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','{\"usage_percent_avg\":\"percent\"}','1.0','2021-05-28 11:55:03','2021-05-28 11:55:05',0),(3750,'JVM堆内存使用异常恢复','app_resource','app_resource_jvm_heap','email','recover','【{{application_name}}应用{{service_name}}服务JVM堆内存使用异常恢复】','【JVM堆内存使用异常恢复】\n\n实例JVM堆内存已恢复恢复正常使用状态 .\n\n项目: {{project_name}}\n\n应用: {{application_name}}\n\n服务: {{runtime_name}} / {{service_name}}\n\n实例: {{instance_id}}\n\n堆内存使用率: {{usage_percent_avg}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n持续时间: {{trigger_duration_min}}\n\n恢复时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','{\"usage_percent_avg\":\"percent\"}','1.0','2021-05-28 11:55:03','2021-05-28 11:55:05',0),(3751,'JVM堆内存使用异常恢复','app_resource','app_resource_jvm_heap','mbox','recover','【{{application_name}}应用{{service_name}}服务JVM堆内存使用异常恢复】','【JVM堆内存使用异常恢复】\n\n实例JVM堆内存已恢复恢复正常使用状态 .\n\n项目: {{project_name}}\n\n应用: {{application_name}}\n\n服务: {{runtime_name}} / {{service_name}}\n\n实例: {{instance_id}}\n\n堆内存使用率: {{usage_percent_avg}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n持续时间: {{trigger_duration_min}}\n\n恢复时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','{\"usage_percent_avg\":\"percent\"}','1.0','2021-05-28 11:55:03','2021-05-28 11:55:05',0),(3752,'JVM堆内存使用异常恢复','app_resource','app_resource_jvm_heap','webhook','recover','【{{application_name}}应用{{service_name}}服务JVM堆内存使用异常恢复】','【JVM堆内存使用异常恢复】\n\n实例JVM堆内存已恢复恢复正常使用状态 .\n\n项目: {{project_name}}\n\n应用: {{application_name}}\n\n服务: {{runtime_name}} / {{service_name}}\n\n实例: {{instance_id}}\n\n堆内存使用率: {{usage_percent_avg}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n持续时间: {{trigger_duration_min}}\n\n恢复时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','{\"usage_percent_avg\":\"percent\"}','1.0','2021-05-28 11:55:03','2021-05-28 11:55:05',0),(3753,'应用NodeJS堆内存使用异常告警','app_resource','app_resource_nodejs_heap','dingding','alert','【{{application_name}}应用{{service_name}}服务NodeJS堆内存使用异常告警】','【应用NodeJS堆内存使用异常告警】\n\n实例NodeJS堆内存使用过高 ！\n\n项目: {{project_name}}\n\n应用: {{application_name}}\n\n服务: {{runtime_name}} / {{service_name}}\n\n实例: {{instance_id}}\n\n堆内存使用率: {{usage_percent_avg}}\n\n已使用: {{heap_used_value}}\n\n常驻内存: {{rss_value}}\n\n最大使用: {{max_value}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n时间: {{timestamp}}\n\n[查看详情]({{display_url}})\n\n[查看记录]({{record_url}})\n','{\"heap_used_value\":\"size:byte\",\"max_value\":\"size:byte\",\"rss_value\":\"size:byte\",\"usage_percent_avg\":\"percent\"}','1.0','2021-05-28 11:55:03','2021-05-28 11:55:05',0),(3754,'应用NodeJS堆内存使用异常告警','app_resource','app_resource_nodejs_heap','ticket','alert','【{{application_name}}应用{{service_name}}服务NodeJS堆内存使用异常告警】','【应用NodeJS堆内存使用异常告警】\n\n实例NodeJS堆内存使用过高 ！\n\n项目: {{project_name}}\n\n应用: {{application_name}}\n\n服务: {{runtime_name}} / {{service_name}}\n\n实例: {{instance_id}}\n\n堆内存使用率: {{usage_percent_avg}}\n\n已使用: {{heap_used_value}}\n\n常驻内存: {{rss_value}}\n\n最大使用: {{max_value}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n时间: {{timestamp}}\n\n[查看详情]({{display_url}})\n\n[查看记录]({{record_url}})\n','{\"heap_used_value\":\"size:byte\",\"max_value\":\"size:byte\",\"rss_value\":\"size:byte\",\"usage_percent_avg\":\"percent\"}','1.0','2021-05-28 11:55:03','2021-05-28 11:55:05',0),(3755,'应用NodeJS堆内存使用异常告警','app_resource','app_resource_nodejs_heap','email','alert','【{{application_name}}应用{{service_name}}服务NodeJS堆内存使用异常告警】','【应用NodeJS堆内存使用异常告警】\n\n实例NodeJS堆内存使用过高 ！\n\n项目: {{project_name}}\n\n应用: {{application_name}}\n\n服务: {{runtime_name}} / {{service_name}}\n\n实例: {{instance_id}}\n\n堆内存使用率: {{usage_percent_avg}}\n\n已使用: {{heap_used_value}}\n\n常驻内存: {{rss_value}}\n\n最大使用: {{max_value}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n时间: {{timestamp}}\n\n[查看详情]({{display_url}})\n\n[查看记录]({{record_url}})\n','{\"heap_used_value\":\"size:byte\",\"max_value\":\"size:byte\",\"rss_value\":\"size:byte\",\"usage_percent_avg\":\"percent\"}','1.0','2021-05-28 11:55:03','2021-05-28 11:55:05',0),(3756,'应用NodeJS堆内存使用异常告警','app_resource','app_resource_nodejs_heap','mbox','alert','【{{application_name}}应用{{service_name}}服务NodeJS堆内存使用异常告警】','【应用NodeJS堆内存使用异常告警】\n\n实例NodeJS堆内存使用过高 ！\n\n项目: {{project_name}}\n\n应用: {{application_name}}\n\n服务: {{runtime_name}} / {{service_name}}\n\n实例: {{instance_id}}\n\n堆内存使用率: {{usage_percent_avg}}\n\n已使用: {{heap_used_value}}\n\n常驻内存: {{rss_value}}\n\n最大使用: {{max_value}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n时间: {{timestamp}}\n\n[查看详情]({{display_url}})\n\n[查看记录]({{record_url}})\n','{\"heap_used_value\":\"size:byte\",\"max_value\":\"size:byte\",\"rss_value\":\"size:byte\",\"usage_percent_avg\":\"percent\"}','1.0','2021-05-28 11:55:03','2021-05-28 11:55:05',0),(3757,'应用NodeJS堆内存使用异常告警','app_resource','app_resource_nodejs_heap','webhook','alert','【{{application_name}}应用{{service_name}}服务NodeJS堆内存使用异常告警】','【应用NodeJS堆内存使用异常告警】\n\n实例NodeJS堆内存使用过高 ！\n\n项目: {{project_name}}\n\n应用: {{application_name}}\n\n服务: {{runtime_name}} / {{service_name}}\n\n实例: {{instance_id}}\n\n堆内存使用率: {{usage_percent_avg}}\n\n已使用: {{heap_used_value}}\n\n常驻内存: {{rss_value}}\n\n最大使用: {{max_value}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n时间: {{timestamp}}\n\n[查看详情]({{display_url}})\n\n[查看记录]({{record_url}})\n','{\"heap_used_value\":\"size:byte\",\"max_value\":\"size:byte\",\"rss_value\":\"size:byte\",\"usage_percent_avg\":\"percent\"}','1.0','2021-05-28 11:55:03','2021-05-28 11:55:05',0),(3758,'应用NodeJS堆内存使用异常恢复','app_resource','app_resource_nodejs_heap','dingding','recover','【{{application_name}}应用{{service_name}}服务NodeJS堆内存使用异常恢复】','【应用NodeJS堆内存使用异常恢复】\n\nNodeJS堆内存已恢复恢复正常状态 .\n\n项目: {{project_name}}\n\n应用: {{application_name}}\n\n服务: {{runtime_name}} / {{service_name}}\n\n实例: {{instance_id}}\n\n堆内存使用率: {{usage_percent_avg}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n持续时间: {{trigger_duration_min}}\n\n恢复时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','{\"usage_percent_avg\":\"percent\"}','1.0','2021-05-28 11:55:03','2021-05-28 11:55:05',0),(3759,'应用NodeJS堆内存使用异常恢复','app_resource','app_resource_nodejs_heap','ticket','recover','【{{application_name}}应用{{service_name}}服务NodeJS堆内存使用异常恢复】','【应用NodeJS堆内存使用异常恢复】\n\nNodeJS堆内存已恢复恢复正常状态 .\n\n项目: {{project_name}}\n\n应用: {{application_name}}\n\n服务: {{runtime_name}} / {{service_name}}\n\n实例: {{instance_id}}\n\n堆内存使用率: {{usage_percent_avg}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n持续时间: {{trigger_duration_min}}\n\n恢复时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','{\"usage_percent_avg\":\"percent\"}','1.0','2021-05-28 11:55:03','2021-05-28 11:55:05',0),(3760,'应用NodeJS堆内存使用异常恢复','app_resource','app_resource_nodejs_heap','email','recover','【{{application_name}}应用{{service_name}}服务NodeJS堆内存使用异常恢复】','【应用NodeJS堆内存使用异常恢复】\n\nNodeJS堆内存已恢复恢复正常状态 .\n\n项目: {{project_name}}\n\n应用: {{application_name}}\n\n服务: {{runtime_name}} / {{service_name}}\n\n实例: {{instance_id}}\n\n堆内存使用率: {{usage_percent_avg}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n持续时间: {{trigger_duration_min}}\n\n恢复时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','{\"usage_percent_avg\":\"percent\"}','1.0','2021-05-28 11:55:03','2021-05-28 11:55:05',0),(3761,'应用NodeJS堆内存使用异常恢复','app_resource','app_resource_nodejs_heap','mbox','recover','【{{application_name}}应用{{service_name}}服务NodeJS堆内存使用异常恢复】','【应用NodeJS堆内存使用异常恢复】\n\nNodeJS堆内存已恢复恢复正常状态 .\n\n项目: {{project_name}}\n\n应用: {{application_name}}\n\n服务: {{runtime_name}} / {{service_name}}\n\n实例: {{instance_id}}\n\n堆内存使用率: {{usage_percent_avg}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n持续时间: {{trigger_duration_min}}\n\n恢复时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','{\"usage_percent_avg\":\"percent\"}','1.0','2021-05-28 11:55:03','2021-05-28 11:55:05',0),(3762,'应用NodeJS堆内存使用异常恢复','app_resource','app_resource_nodejs_heap','webhook','recover','【{{application_name}}应用{{service_name}}服务NodeJS堆内存使用异常恢复】','【应用NodeJS堆内存使用异常恢复】\n\nNodeJS堆内存已恢复恢复正常状态 .\n\n项目: {{project_name}}\n\n应用: {{application_name}}\n\n服务: {{runtime_name}} / {{service_name}}\n\n实例: {{instance_id}}\n\n堆内存使用率: {{usage_percent_avg}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n持续时间: {{trigger_duration_min}}\n\n恢复时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','{\"usage_percent_avg\":\"percent\"}','1.0','2021-05-28 11:55:03','2021-05-28 11:55:05',0),(3763,' 页面内容改变','app_status','app_status_browser','dingding','alert','【{{project_name}}项目{{status_metric_name}}页面内容改变告警】\n','【页面内容改变告警】\n\n项目: {{project_name}}\n\n环境: {{workspace}}\n\n事件：[{{status_metric_name}}]({{url}})页面内容和基准点对比不一致\n\n时间: {{timestamp}}\n\n[查看详情]({{display_url}})\n\n[查看记录]({{record_url}})\n','','1.0','2021-05-28 11:55:03','2021-05-28 11:55:05',0),(3764,' 页面内容改变','app_status','app_status_browser','ticket','alert','【{{project_name}}项目{{status_metric_name}}页面内容改变告警】\n','【页面内容改变告警】\n\n项目: {{project_name}}\n\n环境: {{workspace}}\n\n事件：[{{status_metric_name}}]({{url}})页面内容和基准点对比不一致\n\n时间: {{timestamp}}\n\n[查看详情]({{display_url}})\n\n[查看记录]({{record_url}})\n','','1.0','2021-05-28 11:55:03','2021-05-28 11:55:05',0),(3765,' 页面内容改变','app_status','app_status_browser','email','alert','【{{project_name}}项目{{status_metric_name}}页面内容改变告警】\n','【页面内容改变告警】\n\n项目: {{project_name}}\n\n环境: {{workspace}}\n\n事件：[{{status_metric_name}}]({{url}})页面内容和基准点对比不一致\n\n时间: {{timestamp}}\n\n[查看详情]({{display_url}})\n\n[查看记录]({{record_url}})\n','','1.0','2021-05-28 11:55:03','2021-05-28 11:55:05',0),(3766,' 页面内容改变','app_status','app_status_browser','mbox','alert','【{{project_name}}项目{{status_metric_name}}页面内容改变告警】\n','【页面内容改变告警】\n\n项目: {{project_name}}\n\n环境: {{workspace}}\n\n事件：[{{status_metric_name}}]({{url}})页面内容和基准点对比不一致\n\n时间: {{timestamp}}\n\n[查看详情]({{display_url}})\n\n[查看记录]({{record_url}})\n','','1.0','2021-05-28 11:55:03','2021-05-28 11:55:05',0),(3767,' 页面内容改变','app_status','app_status_browser','webhook','alert','【{{project_name}}项目{{status_metric_name}}页面内容改变告警】\n','【页面内容改变告警】\n\n项目: {{project_name}}\n\n环境: {{workspace}}\n\n事件：[{{status_metric_name}}]({{url}})页面内容和基准点对比不一致\n\n时间: {{timestamp}}\n\n[查看详情]({{display_url}})\n\n[查看记录]({{record_url}})\n','','1.0','2021-05-28 11:55:03','2021-05-28 11:55:05',0),(3768,' 业务请求状态异常','app_status','app_status_browser','dingding','recover','【{{project_name}}项目{{status_metric_name}}页面内容改变恢复】\n','【页面内容改变恢复】\n\n[{{status_metric_name}}]({{url}}) 页面内容改变 .\n\n项目: {{project_name}}\n\n环境: {{workspace}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','{\"trigger_duration\":\"time:ms\"}','1.0','2021-05-28 11:55:03','2021-05-28 11:55:05',0),(3769,' 业务请求状态异常','app_status','app_status_browser','ticket','recover','【{{project_name}}项目{{status_metric_name}}页面内容改变恢复】\n','【页面内容改变恢复】\n\n[{{status_metric_name}}]({{url}}) 页面内容改变 .\n\n项目: {{project_name}}\n\n环境: {{workspace}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','{\"trigger_duration\":\"time:ms\"}','1.0','2021-05-28 11:55:03','2021-05-28 11:55:05',0),(3770,' 业务请求状态异常','app_status','app_status_browser','email','recover','【{{project_name}}项目{{status_metric_name}}页面内容改变恢复】\n','【页面内容改变恢复】\n\n[{{status_metric_name}}]({{url}}) 页面内容改变 .\n\n项目: {{project_name}}\n\n环境: {{workspace}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','{\"trigger_duration\":\"time:ms\"}','1.0','2021-05-28 11:55:03','2021-05-28 11:55:05',0),(3771,' 业务请求状态异常','app_status','app_status_browser','mbox','recover','【{{project_name}}项目{{status_metric_name}}页面内容改变恢复】\n','【页面内容改变恢复】\n\n[{{status_metric_name}}]({{url}}) 页面内容改变 .\n\n项目: {{project_name}}\n\n环境: {{workspace}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','{\"trigger_duration\":\"time:ms\"}','1.0','2021-05-28 11:55:03','2021-05-28 11:55:05',0),(3772,' 业务请求状态异常','app_status','app_status_browser','webhook','recover','【{{project_name}}项目{{status_metric_name}}页面内容改变恢复】\n','【页面内容改变恢复】\n\n[{{status_metric_name}}]({{url}}) 页面内容改变 .\n\n项目: {{project_name}}\n\n环境: {{workspace}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','{\"trigger_duration\":\"time:ms\"}','1.0','2021-05-28 11:55:03','2021-05-28 11:55:05',0),(3773,' 主动监控HTTP状态异常','app_status','app_status_code','dingding','alert','【{{project_name}}项目{{status_metric_name}}指标HTTP状态异常告警】\n','【主动监控HTTP状态异常】\n\n项目: {{project_name}}\n\n环境: {{workspace}}\n\n事件: [{{status_metric_name}}]({{url}}) 指标状态异常\n\n响应状态码: {{code_min}}\n\n时间: {{timestamp}}\n\n[查看详情]({{display_url}})\n\n[查看记录]({{record_url}})\n','','1.0','2021-05-28 11:55:03','2021-05-28 11:55:05',0),(3774,' 主动监控HTTP状态异常','app_status','app_status_code','ticket','alert','【{{project_name}}项目{{status_metric_name}}指标HTTP状态异常告警】\n','【主动监控HTTP状态异常】\n\n项目: {{project_name}}\n\n环境: {{workspace}}\n\n事件: [{{status_metric_name}}]({{url}}) 指标状态异常\n\n响应状态码: {{code_min}}\n\n时间: {{timestamp}}\n\n[查看详情]({{display_url}})\n\n[查看记录]({{record_url}})\n','','1.0','2021-05-28 11:55:03','2021-05-28 11:55:05',0),(3775,' 主动监控HTTP状态异常','app_status','app_status_code','email','alert','【{{project_name}}项目{{status_metric_name}}指标HTTP状态异常告警】\n','【主动监控HTTP状态异常】\n\n项目: {{project_name}}\n\n环境: {{workspace}}\n\n事件: [{{status_metric_name}}]({{url}}) 指标状态异常\n\n响应状态码: {{code_min}}\n\n时间: {{timestamp}}\n\n[查看详情]({{display_url}})\n\n[查看记录]({{record_url}})\n','','1.0','2021-05-28 11:55:03','2021-05-28 11:55:05',0),(3776,' 主动监控HTTP状态异常','app_status','app_status_code','mbox','alert','【{{project_name}}项目{{status_metric_name}}指标HTTP状态异常告警】\n','【主动监控HTTP状态异常】\n\n项目: {{project_name}}\n\n环境: {{workspace}}\n\n事件: [{{status_metric_name}}]({{url}}) 指标状态异常\n\n响应状态码: {{code_min}}\n\n时间: {{timestamp}}\n\n[查看详情]({{display_url}})\n\n[查看记录]({{record_url}})\n','','1.0','2021-05-28 11:55:03','2021-05-28 11:55:05',0),(3777,' 主动监控HTTP状态异常','app_status','app_status_code','webhook','alert','【{{project_name}}项目{{status_metric_name}}指标HTTP状态异常告警】\n','【主动监控HTTP状态异常】\n\n项目: {{project_name}}\n\n环境: {{workspace}}\n\n事件: [{{status_metric_name}}]({{url}}) 指标状态异常\n\n响应状态码: {{code_min}}\n\n时间: {{timestamp}}\n\n[查看详情]({{display_url}})\n\n[查看记录]({{record_url}})\n','','1.0','2021-05-28 11:55:03','2021-05-28 11:55:05',0),(3778,'主动监控HTTP状态恢复','app_status','app_status_code','dingding','recover','【{{project_name}}项目{{status_metric_name}}指标HTTP状态恢复】\n','【主动监控HTTP状态恢复】\n\n项目: {{project_name}}\n\n环境: {{workspace}}\n\n事件: [{{status_metric_name}}]({{url}}) 指标状态恢复\n\n响应状态码: {{code_min}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','{\"trigger_duration\":\"time:ms\"}','1.0','2021-05-28 11:55:03','2021-05-28 11:55:05',0),(3779,'主动监控HTTP状态恢复','app_status','app_status_code','ticket','recover','【{{project_name}}项目{{status_metric_name}}指标HTTP状态恢复】\n','【主动监控HTTP状态恢复】\n\n项目: {{project_name}}\n\n环境: {{workspace}}\n\n事件: [{{status_metric_name}}]({{url}}) 指标状态恢复\n\n响应状态码: {{code_min}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','{\"trigger_duration\":\"time:ms\"}','1.0','2021-05-28 11:55:03','2021-05-28 11:55:05',0),(3780,'主动监控HTTP状态恢复','app_status','app_status_code','email','recover','【{{project_name}}项目{{status_metric_name}}指标HTTP状态恢复】\n','【主动监控HTTP状态恢复】\n\n项目: {{project_name}}\n\n环境: {{workspace}}\n\n事件: [{{status_metric_name}}]({{url}}) 指标状态恢复\n\n响应状态码: {{code_min}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','{\"trigger_duration\":\"time:ms\"}','1.0','2021-05-28 11:55:03','2021-05-28 11:55:05',0),(3781,'主动监控HTTP状态恢复','app_status','app_status_code','mbox','recover','【{{project_name}}项目{{status_metric_name}}指标HTTP状态恢复】\n','【主动监控HTTP状态恢复】\n\n项目: {{project_name}}\n\n环境: {{workspace}}\n\n事件: [{{status_metric_name}}]({{url}}) 指标状态恢复\n\n响应状态码: {{code_min}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','{\"trigger_duration\":\"time:ms\"}','1.0','2021-05-28 11:55:03','2021-05-28 11:55:05',0),(3782,'主动监控HTTP状态恢复','app_status','app_status_code','webhook','recover','【{{project_name}}项目{{status_metric_name}}指标HTTP状态恢复】\n','【主动监控HTTP状态恢复】\n\n项目: {{project_name}}\n\n环境: {{workspace}}\n\n事件: [{{status_metric_name}}]({{url}}) 指标状态恢复\n\n响应状态码: {{code_min}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','{\"trigger_duration\":\"time:ms\"}','1.0','2021-05-28 11:55:03','2021-05-28 11:55:05',0),(3783,'服务接口HTTP错误率异常','app_transaction','app_transaction_http_path_error','dingding','alert','【{{service_name}}服务接口HTTP错误率异常告警】','【服务接口HTTP错误率异常告警】\n\n项目: {{project_name}}\n\n应用: {{application_name}}\n\n服务: {{runtime_name}} - {{service_name}}\n\n接口: {{http_method}} {{http_url}}\n\n事件: {{ window }}分钟内HTTP错误率{{ error_percent_value }} 错误请求次数{{ error_count_sum }} 总请求次数{{ elapsed_count_sum }}\n\n时间: {{timestamp}}\n\n[查看详情]({{display_url}})\n\n[查看记录]({{record_url}})\n','{\"error_percent_value\":\"percent\"}','1.0','2021-05-28 11:55:03','2021-05-28 11:55:05',0),(3784,'服务接口HTTP错误率异常','app_transaction','app_transaction_http_path_error','ticket','alert','【{{service_name}}服务接口HTTP错误率异常告警】','【服务接口HTTP错误率异常告警】\n\n项目: {{project_name}}\n\n应用: {{application_name}}\n\n服务: {{runtime_name}} - {{service_name}}\n\n接口: {{http_method}} {{http_url}}\n\n事件: {{ window }}分钟内HTTP错误率{{ error_percent_value }} 错误请求次数{{ error_count_sum }} 总请求次数{{ elapsed_count_sum }}\n\n时间: {{timestamp}}\n\n[查看详情]({{display_url}})\n\n[查看记录]({{record_url}})\n','{\"error_percent_value\":\"percent\"}','1.0','2021-05-28 11:55:03','2021-05-28 11:55:05',0),(3785,'服务接口HTTP错误率异常','app_transaction','app_transaction_http_path_error','email','alert','【{{service_name}}服务接口HTTP错误率异常告警】','【服务接口HTTP错误率异常告警】\n\n项目: {{project_name}}\n\n应用: {{application_name}}\n\n服务: {{runtime_name}} - {{service_name}}\n\n接口: {{http_method}} {{http_url}}\n\n事件: {{ window }}分钟内HTTP错误率{{ error_percent_value }} 错误请求次数{{ error_count_sum }} 总请求次数{{ elapsed_count_sum }}\n\n时间: {{timestamp}}\n\n[查看详情]({{display_url}})\n\n[查看记录]({{record_url}})\n','{\"error_percent_value\":\"percent\"}','1.0','2021-05-28 11:55:03','2021-05-28 11:55:05',0),(3786,'服务接口HTTP错误率异常','app_transaction','app_transaction_http_path_error','mbox','alert','【{{service_name}}服务接口HTTP错误率异常告警】','【服务接口HTTP错误率异常告警】\n\n项目: {{project_name}}\n\n应用: {{application_name}}\n\n服务: {{runtime_name}} - {{service_name}}\n\n接口: {{http_method}} {{http_url}}\n\n事件: {{ window }}分钟内HTTP错误率{{ error_percent_value }} 错误请求次数{{ error_count_sum }} 总请求次数{{ elapsed_count_sum }}\n\n时间: {{timestamp}}\n\n[查看详情]({{display_url}})\n\n[查看记录]({{record_url}})\n','{\"error_percent_value\":\"percent\"}','1.0','2021-05-28 11:55:03','2021-05-28 11:55:05',0),(3787,'服务接口HTTP错误率异常','app_transaction','app_transaction_http_path_error','webhook','alert','【{{service_name}}服务接口HTTP错误率异常告警】','【服务接口HTTP错误率异常告警】\n\n项目: {{project_name}}\n\n应用: {{application_name}}\n\n服务: {{runtime_name}} - {{service_name}}\n\n接口: {{http_method}} {{http_url}}\n\n事件: {{ window }}分钟内HTTP错误率{{ error_percent_value }} 错误请求次数{{ error_count_sum }} 总请求次数{{ elapsed_count_sum }}\n\n时间: {{timestamp}}\n\n[查看详情]({{display_url}})\n\n[查看记录]({{record_url}})\n','{\"error_percent_value\":\"percent\"}','1.0','2021-05-28 11:55:03','2021-05-28 11:55:05',0),(3788,'服务接口HTTP错误率恢复','app_transaction','app_transaction_http_path_error','dingding','recover','【{{service_name}}服务接口HTTP错误率异常恢复】','【服务接口HTTP错误率异常恢复】\n\n项目: {{project_name}}\n\n应用: {{application_name}}\n\n服务: {{runtime_name}} - {{service_name}}\n\n接口: {{http_method}} {{http_url}}\n\n持续时间: {{trigger_duration_min}}\n\n恢复时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','{\"trigger_duration\":\"time:ms\"}','1.0','2021-05-28 11:55:03','2021-05-28 11:55:05',0),(3789,'服务接口HTTP错误率恢复','app_transaction','app_transaction_http_path_error','ticket','recover','【{{service_name}}服务接口HTTP错误率异常恢复】','【服务接口HTTP错误率异常恢复】\n\n项目: {{project_name}}\n\n应用: {{application_name}}\n\n服务: {{runtime_name}} - {{service_name}}\n\n接口: {{http_method}} {{http_url}}\n\n持续时间: {{trigger_duration_min}}\n\n恢复时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','{\"trigger_duration\":\"time:ms\"}','1.0','2021-05-28 11:55:03','2021-05-28 11:55:05',0),(3790,'服务接口HTTP错误率恢复','app_transaction','app_transaction_http_path_error','email','recover','【{{service_name}}服务接口HTTP错误率异常恢复】','【服务接口HTTP错误率异常恢复】\n\n项目: {{project_name}}\n\n应用: {{application_name}}\n\n服务: {{runtime_name}} - {{service_name}}\n\n接口: {{http_method}} {{http_url}}\n\n持续时间: {{trigger_duration_min}}\n\n恢复时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','{\"trigger_duration\":\"time:ms\"}','1.0','2021-05-28 11:55:03','2021-05-28 11:55:05',0),(3791,'服务接口HTTP错误率恢复','app_transaction','app_transaction_http_path_error','mbox','recover','【{{service_name}}服务接口HTTP错误率异常恢复】','【服务接口HTTP错误率异常恢复】\n\n项目: {{project_name}}\n\n应用: {{application_name}}\n\n服务: {{runtime_name}} - {{service_name}}\n\n接口: {{http_method}} {{http_url}}\n\n持续时间: {{trigger_duration_min}}\n\n恢复时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','{\"trigger_duration\":\"time:ms\"}','1.0','2021-05-28 11:55:03','2021-05-28 11:55:05',0),(3792,'服务接口HTTP错误率恢复','app_transaction','app_transaction_http_path_error','webhook','recover','【{{service_name}}服务接口HTTP错误率异常恢复】','【服务接口HTTP错误率异常恢复】\n\n项目: {{project_name}}\n\n应用: {{application_name}}\n\n服务: {{runtime_name}} - {{service_name}}\n\n接口: {{http_method}} {{http_url}}\n\n持续时间: {{trigger_duration_min}}\n\n恢复时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','{\"trigger_duration\":\"time:ms\"}','1.0','2021-05-28 11:55:03','2021-05-28 11:55:05',0),(3793,'服务接口HTTP慢事务异常','app_transaction','app_transaction_http_path_rt','dingding','alert','【{{service_name}}服务接口HTTP慢事务异常告警】','【服务接口HTTP慢事务异常告警】\n\n项目: {{project_name}}\n\n应用: {{application_name}}\n\n服务: {{runtime_name}} - {{service_name}}\n\n接口: {{http_method}} {{http_url}}\n\n事件: {{window}}分钟内平均响应时间{{elapsed_avg_value}} 请求次数{{elapsed_count_sum}}\n\n时间: {{timestamp}}\n\n[查看详情]({{display_url}})\n\n[查看记录]({{record_url}})\n','{\"elapsed_avg_value\":\"time:ms\",\"elapsed_sum\":\"time:ms\"}','1.0','2021-05-28 11:55:03','2021-05-28 11:55:05',0),(3794,'服务接口HTTP慢事务异常','app_transaction','app_transaction_http_path_rt','ticket','alert','【{{service_name}}服务接口HTTP慢事务异常告警】','【服务接口HTTP慢事务异常告警】\n\n项目: {{project_name}}\n\n应用: {{application_name}}\n\n服务: {{runtime_name}} - {{service_name}}\n\n接口: {{http_method}} {{http_url}}\n\n事件: {{window}}分钟内平均响应时间{{elapsed_avg_value}} 请求次数{{elapsed_count_sum}}\n\n时间: {{timestamp}}\n\n[查看详情]({{display_url}})\n\n[查看记录]({{record_url}})\n','{\"elapsed_avg_value\":\"time:ms\",\"elapsed_sum\":\"time:ms\"}','1.0','2021-05-28 11:55:03','2021-05-28 11:55:05',0),(3795,'服务接口HTTP慢事务异常','app_transaction','app_transaction_http_path_rt','email','alert','【{{service_name}}服务接口HTTP慢事务异常告警】','【服务接口HTTP慢事务异常告警】\n\n项目: {{project_name}}\n\n应用: {{application_name}}\n\n服务: {{runtime_name}} - {{service_name}}\n\n接口: {{http_method}} {{http_url}}\n\n事件: {{window}}分钟内平均响应时间{{elapsed_avg_value}} 请求次数{{elapsed_count_sum}}\n\n时间: {{timestamp}}\n\n[查看详情]({{display_url}})\n\n[查看记录]({{record_url}})\n','{\"elapsed_avg_value\":\"time:ms\",\"elapsed_sum\":\"time:ms\"}','1.0','2021-05-28 11:55:03','2021-05-28 11:55:05',0),(3796,'服务接口HTTP慢事务异常','app_transaction','app_transaction_http_path_rt','mbox','alert','【{{service_name}}服务接口HTTP慢事务异常告警】','【服务接口HTTP慢事务异常告警】\n\n项目: {{project_name}}\n\n应用: {{application_name}}\n\n服务: {{runtime_name}} - {{service_name}}\n\n接口: {{http_method}} {{http_url}}\n\n事件: {{window}}分钟内平均响应时间{{elapsed_avg_value}} 请求次数{{elapsed_count_sum}}\n\n时间: {{timestamp}}\n\n[查看详情]({{display_url}})\n\n[查看记录]({{record_url}})\n','{\"elapsed_avg_value\":\"time:ms\",\"elapsed_sum\":\"time:ms\"}','1.0','2021-05-28 11:55:03','2021-05-28 11:55:05',0),(3797,'服务接口HTTP慢事务异常','app_transaction','app_transaction_http_path_rt','webhook','alert','【{{service_name}}服务接口HTTP慢事务异常告警】','【服务接口HTTP慢事务异常告警】\n\n项目: {{project_name}}\n\n应用: {{application_name}}\n\n服务: {{runtime_name}} - {{service_name}}\n\n接口: {{http_method}} {{http_url}}\n\n事件: {{window}}分钟内平均响应时间{{elapsed_avg_value}} 请求次数{{elapsed_count_sum}}\n\n时间: {{timestamp}}\n\n[查看详情]({{display_url}})\n\n[查看记录]({{record_url}})\n','{\"elapsed_avg_value\":\"time:ms\",\"elapsed_sum\":\"time:ms\"}','1.0','2021-05-28 11:55:03','2021-05-28 11:55:05',0),(3798,'服务接口HTTP慢事务恢复','app_transaction','app_transaction_http_path_rt','dingding','recover','【{{service_name}}服务接口HTTP慢事务恢复】','【服务接口HTTP慢事务恢复】\n\n项目: {{project_name}}\n\n应用: {{application_name}}\n\n服务: {{runtime_name}} - {{service_name}}\n\n接口: {{http_method}} {{http_url}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','{\"trigger_duration\":\"time:ms\"}','1.0','2021-05-28 11:55:03','2021-05-28 11:55:05',0),(3799,'服务接口HTTP慢事务恢复','app_transaction','app_transaction_http_path_rt','ticket','recover','【{{service_name}}服务接口HTTP慢事务恢复】','【服务接口HTTP慢事务恢复】\n\n项目: {{project_name}}\n\n应用: {{application_name}}\n\n服务: {{runtime_name}} - {{service_name}}\n\n接口: {{http_method}} {{http_url}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','{\"trigger_duration\":\"time:ms\"}','1.0','2021-05-28 11:55:03','2021-05-28 11:55:05',0),(3800,'服务接口HTTP慢事务恢复','app_transaction','app_transaction_http_path_rt','email','recover','【{{service_name}}服务接口HTTP慢事务恢复】','【服务接口HTTP慢事务恢复】\n\n项目: {{project_name}}\n\n应用: {{application_name}}\n\n服务: {{runtime_name}} - {{service_name}}\n\n接口: {{http_method}} {{http_url}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','{\"trigger_duration\":\"time:ms\"}','1.0','2021-05-28 11:55:03','2021-05-28 11:55:05',0),(3801,'服务接口HTTP慢事务恢复','app_transaction','app_transaction_http_path_rt','mbox','recover','【{{service_name}}服务接口HTTP慢事务恢复】','【服务接口HTTP慢事务恢复】\n\n项目: {{project_name}}\n\n应用: {{application_name}}\n\n服务: {{runtime_name}} - {{service_name}}\n\n接口: {{http_method}} {{http_url}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','{\"trigger_duration\":\"time:ms\"}','1.0','2021-05-28 11:55:03','2021-05-28 11:55:05',0),(3802,'服务接口HTTP慢事务恢复','app_transaction','app_transaction_http_path_rt','webhook','recover','【{{service_name}}服务接口HTTP慢事务恢复】','【服务接口HTTP慢事务恢复】\n\n项目: {{project_name}}\n\n应用: {{application_name}}\n\n服务: {{runtime_name}} - {{service_name}}\n\n接口: {{http_method}} {{http_url}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','{\"trigger_duration\":\"time:ms\"}','1.0','2021-05-28 11:55:03','2021-05-28 11:55:05',0),(3803,'服务HTTP错误率异常','app_transaction','app_transaction_http_service_error','dingding','alert','【{{service_name}}服务HTTP错误率异常告警】','【服务HTTP错误率异常告警】\n\n项目: {{project_name}}\n\n应用: {{application_name}}\n\n服务: {{runtime_name}} - {{service_name}}\n\n事件: {{ window }}分钟内HTTP错误率{{ error_percent_value }} 错误请求次数{{ error_count_sum }} 总请求次数{{ elapsed_count_sum }}\n\n时间: {{timestamp}}\n\n[查看详情]({{display_url}})\n\n[查看记录]({{record_url}})\n','{\"error_percent_value\":\"percent\"}','1.0','2021-05-28 11:55:03','2021-05-28 11:55:05',0),(3804,'服务HTTP错误率异常','app_transaction','app_transaction_http_service_error','ticket','alert','【{{service_name}}服务HTTP错误率异常告警】','【服务HTTP错误率异常告警】\n\n项目: {{project_name}}\n\n应用: {{application_name}}\n\n服务: {{runtime_name}} - {{service_name}}\n\n事件: {{ window }}分钟内HTTP错误率{{ error_percent_value }} 错误请求次数{{ error_count_sum }} 总请求次数{{ elapsed_count_sum }}\n\n时间: {{timestamp}}\n\n[查看详情]({{display_url}})\n\n[查看记录]({{record_url}})\n','{\"error_percent_value\":\"percent\"}','1.0','2021-05-28 11:55:03','2021-05-28 11:55:05',0),(3805,'服务HTTP错误率异常','app_transaction','app_transaction_http_service_error','email','alert','【{{service_name}}服务HTTP错误率异常告警】','【服务HTTP错误率异常告警】\n\n项目: {{project_name}}\n\n应用: {{application_name}}\n\n服务: {{runtime_name}} - {{service_name}}\n\n事件: {{ window }}分钟内HTTP错误率{{ error_percent_value }} 错误请求次数{{ error_count_sum }} 总请求次数{{ elapsed_count_sum }}\n\n时间: {{timestamp}}\n\n[查看详情]({{display_url}})\n\n[查看记录]({{record_url}})\n','{\"error_percent_value\":\"percent\"}','1.0','2021-05-28 11:55:03','2021-05-28 11:55:05',0),(3806,'服务HTTP错误率异常','app_transaction','app_transaction_http_service_error','mbox','alert','【{{service_name}}服务HTTP错误率异常告警】','【服务HTTP错误率异常告警】\n\n项目: {{project_name}}\n\n应用: {{application_name}}\n\n服务: {{runtime_name}} - {{service_name}}\n\n事件: {{ window }}分钟内HTTP错误率{{ error_percent_value }} 错误请求次数{{ error_count_sum }} 总请求次数{{ elapsed_count_sum }}\n\n时间: {{timestamp}}\n\n[查看详情]({{display_url}})\n\n[查看记录]({{record_url}})\n','{\"error_percent_value\":\"percent\"}','1.0','2021-05-28 11:55:03','2021-05-28 11:55:05',0),(3807,'服务HTTP错误率异常','app_transaction','app_transaction_http_service_error','webhook','alert','【{{service_name}}服务HTTP错误率异常告警】','【服务HTTP错误率异常告警】\n\n项目: {{project_name}}\n\n应用: {{application_name}}\n\n服务: {{runtime_name}} - {{service_name}}\n\n事件: {{ window }}分钟内HTTP错误率{{ error_percent_value }} 错误请求次数{{ error_count_sum }} 总请求次数{{ elapsed_count_sum }}\n\n时间: {{timestamp}}\n\n[查看详情]({{display_url}})\n\n[查看记录]({{record_url}})\n','{\"error_percent_value\":\"percent\"}','1.0','2021-05-28 11:55:03','2021-05-28 11:55:05',0),(3808,'服务HTTP错误率恢复','app_transaction','app_transaction_http_service_error','dingding','recover','【{{service_name}}服务HTTP错误率恢复】','【服务HTTP错误率异常恢复】\n\n项目: {{project_name}}\n\n应用: {{application_name}}\n\n服务: {{runtime_name}} - {{service_name}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','{\"trigger_duration\":\"time:ms\"}','1.0','2021-05-28 11:55:03','2021-05-28 11:55:05',0),(3809,'服务HTTP错误率恢复','app_transaction','app_transaction_http_service_error','ticket','recover','【{{service_name}}服务HTTP错误率恢复】','【服务HTTP错误率异常恢复】\n\n项目: {{project_name}}\n\n应用: {{application_name}}\n\n服务: {{runtime_name}} - {{service_name}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','{\"trigger_duration\":\"time:ms\"}','1.0','2021-05-28 11:55:03','2021-05-28 11:55:05',0),(3810,'服务HTTP错误率恢复','app_transaction','app_transaction_http_service_error','email','recover','【{{service_name}}服务HTTP错误率恢复】','【服务HTTP错误率异常恢复】\n\n项目: {{project_name}}\n\n应用: {{application_name}}\n\n服务: {{runtime_name}} - {{service_name}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','{\"trigger_duration\":\"time:ms\"}','1.0','2021-05-28 11:55:03','2021-05-28 11:55:05',0),(3811,'服务HTTP错误率恢复','app_transaction','app_transaction_http_service_error','mbox','recover','【{{service_name}}服务HTTP错误率恢复】','【服务HTTP错误率异常恢复】\n\n项目: {{project_name}}\n\n应用: {{application_name}}\n\n服务: {{runtime_name}} - {{service_name}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','{\"trigger_duration\":\"time:ms\"}','1.0','2021-05-28 11:55:03','2021-05-28 11:55:05',0),(3812,'服务HTTP错误率恢复','app_transaction','app_transaction_http_service_error','webhook','recover','【{{service_name}}服务HTTP错误率恢复】','【服务HTTP错误率异常恢复】\n\n项目: {{project_name}}\n\n应用: {{application_name}}\n\n服务: {{runtime_name}} - {{service_name}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','{\"trigger_duration\":\"time:ms\"}','1.0','2021-05-28 11:55:03','2021-05-28 11:55:05',0),(3813,'服务HTTP慢事务异常','app_transaction','app_transaction_http_service_rt','dingding','alert','【应用{{service_name}}服务HTTP慢事务异常告警】','【服务HTTP慢事务异常告警】\n\n项目: {{project_name}}\n\n应用: {{application_name}}\n\n服务: {{runtime_name}} - {{service_name}}\n\n事件: {{window}}分钟内HTTP事务平均响应时间{{elapsed_avg_value}} 请求次数{{elapsed_count_sum}}\n\n时间: {{timestamp}}\n\n[查看详情]({{display_url}})\n\n[查看记录]({{record_url}})\n','{\"elapsed_avg_value\":\"time:ms\",\"elapsed_sum\":\"time:ms\"}','1.0','2021-05-28 11:55:03','2021-05-28 11:55:05',0),(3814,'服务HTTP慢事务异常','app_transaction','app_transaction_http_service_rt','ticket','alert','【应用{{service_name}}服务HTTP慢事务异常告警】','【服务HTTP慢事务异常告警】\n\n项目: {{project_name}}\n\n应用: {{application_name}}\n\n服务: {{runtime_name}} - {{service_name}}\n\n事件: {{window}}分钟内HTTP事务平均响应时间{{elapsed_avg_value}} 请求次数{{elapsed_count_sum}}\n\n时间: {{timestamp}}\n\n[查看详情]({{display_url}})\n\n[查看记录]({{record_url}})\n','{\"elapsed_avg_value\":\"time:ms\",\"elapsed_sum\":\"time:ms\"}','1.0','2021-05-28 11:55:03','2021-05-28 11:55:05',0),(3815,'服务HTTP慢事务异常','app_transaction','app_transaction_http_service_rt','email','alert','【应用{{service_name}}服务HTTP慢事务异常告警】','【服务HTTP慢事务异常告警】\n\n项目: {{project_name}}\n\n应用: {{application_name}}\n\n服务: {{runtime_name}} - {{service_name}}\n\n事件: {{window}}分钟内HTTP事务平均响应时间{{elapsed_avg_value}} 请求次数{{elapsed_count_sum}}\n\n时间: {{timestamp}}\n\n[查看详情]({{display_url}})\n\n[查看记录]({{record_url}})\n','{\"elapsed_avg_value\":\"time:ms\",\"elapsed_sum\":\"time:ms\"}','1.0','2021-05-28 11:55:03','2021-05-28 11:55:05',0),(3816,'服务HTTP慢事务异常','app_transaction','app_transaction_http_service_rt','mbox','alert','【应用{{service_name}}服务HTTP慢事务异常告警】','【服务HTTP慢事务异常告警】\n\n项目: {{project_name}}\n\n应用: {{application_name}}\n\n服务: {{runtime_name}} - {{service_name}}\n\n事件: {{window}}分钟内HTTP事务平均响应时间{{elapsed_avg_value}} 请求次数{{elapsed_count_sum}}\n\n时间: {{timestamp}}\n\n[查看详情]({{display_url}})\n\n[查看记录]({{record_url}})\n','{\"elapsed_avg_value\":\"time:ms\",\"elapsed_sum\":\"time:ms\"}','1.0','2021-05-28 11:55:03','2021-05-28 11:55:05',0),(3817,'服务HTTP慢事务异常','app_transaction','app_transaction_http_service_rt','webhook','alert','【应用{{service_name}}服务HTTP慢事务异常告警】','【服务HTTP慢事务异常告警】\n\n项目: {{project_name}}\n\n应用: {{application_name}}\n\n服务: {{runtime_name}} - {{service_name}}\n\n事件: {{window}}分钟内HTTP事务平均响应时间{{elapsed_avg_value}} 请求次数{{elapsed_count_sum}}\n\n时间: {{timestamp}}\n\n[查看详情]({{display_url}})\n\n[查看记录]({{record_url}})\n','{\"elapsed_avg_value\":\"time:ms\",\"elapsed_sum\":\"time:ms\"}','1.0','2021-05-28 11:55:03','2021-05-28 11:55:05',0),(3818,'服务HTTP慢事务异常恢复','app_transaction','app_transaction_http_service_rt','dingding','recover','【应用{{service_name}}服务HTTP慢事务异常恢复】','【服务HTTP慢事务异常恢复】\n\n项目: {{project_name}}\n\n应用: {{application_name}}\n\n服务: {{runtime_name}} - {{service_name}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','{\"trigger_duration\":\"time:ms\"}','1.0','2021-05-28 11:55:03','2021-05-28 11:55:05',0),(3819,'服务HTTP慢事务异常恢复','app_transaction','app_transaction_http_service_rt','ticket','recover','【应用{{service_name}}服务HTTP慢事务异常恢复】','【服务HTTP慢事务异常恢复】\n\n项目: {{project_name}}\n\n应用: {{application_name}}\n\n服务: {{runtime_name}} - {{service_name}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','{\"trigger_duration\":\"time:ms\"}','1.0','2021-05-28 11:55:03','2021-05-28 11:55:05',0),(3820,'服务HTTP慢事务异常恢复','app_transaction','app_transaction_http_service_rt','email','recover','【应用{{service_name}}服务HTTP慢事务异常恢复】','【服务HTTP慢事务异常恢复】\n\n项目: {{project_name}}\n\n应用: {{application_name}}\n\n服务: {{runtime_name}} - {{service_name}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','{\"trigger_duration\":\"time:ms\"}','1.0','2021-05-28 11:55:03','2021-05-28 11:55:05',0),(3821,'服务HTTP慢事务异常恢复','app_transaction','app_transaction_http_service_rt','mbox','recover','【应用{{service_name}}服务HTTP慢事务异常恢复】','【服务HTTP慢事务异常恢复】\n\n项目: {{project_name}}\n\n应用: {{application_name}}\n\n服务: {{runtime_name}} - {{service_name}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','{\"trigger_duration\":\"time:ms\"}','1.0','2021-05-28 11:55:03','2021-05-28 11:55:05',0),(3822,'服务HTTP慢事务异常恢复','app_transaction','app_transaction_http_service_rt','webhook','recover','【应用{{service_name}}服务HTTP慢事务异常恢复】','【服务HTTP慢事务异常恢复】\n\n项目: {{project_name}}\n\n应用: {{application_name}}\n\n服务: {{runtime_name}} - {{service_name}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','{\"trigger_duration\":\"time:ms\"}','1.0','2021-05-28 11:55:03','2021-05-28 11:55:05',0),(3823,'MySQL SLAVE DELAY ALERT','custom_addon','slave_dly_alert','dingding','alert','【MySQL {{window}}M 聚合时间内 SLAVE 延迟 {{slave_seconds_behind_master_max}}s】\n','【MySQL {{window}}M 聚合时间内 SLAVE 延迟 {{slave_seconds_behind_master_max}}s】\n\n集群: {{cluster_name}}\n\nmysql: {{server_id}}\n\n延迟时间： {{slave_seconds_behind_master_max}}\n\n时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','{\"limit_value\":\"fraction:1\",\"usage_percent_avg\":\"percent:1\"}','1.0','2021-05-28 11:55:03','2021-05-28 11:55:05',0),(3824,'MySQL SLAVE SYNC ALERT','custom_addon','slave_sync_alert','dingding','alert','【MySQL SLAVE 同步异常】\n','【MySQL SLAVE 同步异常】\n\n集群: {{cluster_name}}\n\nmysql: {{server_id}}\n\nSlave_IO_Running: {{slave_slave_io_running_value}}\n\nSlave_SQL_Running: {{slave_slave_sql_running_value}}\n\n时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','{\"limit_value\":\"fraction:1\",\"usage_percent_avg\":\"percent:1\"}','1.0','2021-05-28 11:55:03','2021-05-28 11:55:05',0),(3825,'平台中间件cassandra GC次数异常','dice_addon','dice_addon_cassandra_gc_count','dingding','alert','【平台中间件cassandra GC次数告警】\n','【平台中间件cassandra GC次数告警】\n\n中间件: {{addon_id}}\n\n老年代GC次数: {{CollectionCount_win_value}}\n\n集群: {{cluster_name}}\n\n机器: {{node_host}}\n\n时间: {{timestamp}}\n\n[查看详情]({{display_url}})\n\n[查看记录]({{record_url}})\n','','1.0','2021-05-28 11:55:03','2021-05-28 11:55:05',0),(3826,'平台中间件cassandra GC次数异常','dice_addon','dice_addon_cassandra_gc_count','ticket','alert','【平台中间件cassandra GC次数告警】\n','【平台中间件cassandra GC次数告警】\n\n中间件: {{addon_id}}\n\n老年代GC次数: {{CollectionCount_win_value}}\n\n集群: {{cluster_name}}\n\n机器: {{node_host}}\n\n时间: {{timestamp}}\n\n[查看详情]({{display_url}})\n\n[查看记录]({{record_url}})\n','','1.0','2021-05-28 11:55:03','2021-05-28 11:55:05',0),(3827,'平台中间件cassandra GC次数异常','dice_addon','dice_addon_cassandra_gc_count','email','alert','【平台中间件cassandra GC次数告警】\n','【平台中间件cassandra GC次数告警】\n\n中间件: {{addon_id}}\n\n老年代GC次数: {{CollectionCount_win_value}}\n\n集群: {{cluster_name}}\n\n机器: {{node_host}}\n\n时间: {{timestamp}}\n\n[查看详情]({{display_url}})\n\n[查看记录]({{record_url}})\n','','1.0','2021-05-28 11:55:03','2021-05-28 11:55:05',0),(3828,'平台中间件cassandra GC次数异常','dice_addon','dice_addon_cassandra_gc_count','mbox','alert','【平台中间件cassandra GC次数告警】\n','【平台中间件cassandra GC次数告警】\n\n中间件: {{addon_id}}\n\n老年代GC次数: {{CollectionCount_win_value}}\n\n集群: {{cluster_name}}\n\n机器: {{node_host}}\n\n时间: {{timestamp}}\n\n[查看详情]({{display_url}})\n\n[查看记录]({{record_url}})\n','','1.0','2021-05-28 11:55:03','2021-05-28 11:55:05',0),(3829,'平台中间件cassandra GC次数异常','dice_addon','dice_addon_cassandra_gc_count','webhook','alert','【平台中间件cassandra GC次数告警】\n','【平台中间件cassandra GC次数告警】\n\n中间件: {{addon_id}}\n\n老年代GC次数: {{CollectionCount_win_value}}\n\n集群: {{cluster_name}}\n\n机器: {{node_host}}\n\n时间: {{timestamp}}\n\n[查看详情]({{display_url}})\n\n[查看记录]({{record_url}})\n','','1.0','2021-05-28 11:55:03','2021-05-28 11:55:05',0),(3830,'平台中间件cassandra GC次数异常','dice_addon','dice_addon_cassandra_gc_count','dingding','recover','【平台中间件cassandra GC次数恢复】\n','【平台中间件cassandra GC次数恢复】\n\n中间件: {{addon_id}}\n\n老年代GC次数: {{CollectionCount_win_value}}\n\n集群: {{cluster_name}}\n\n机器: {{node_host}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','{\"trigger_duration\":\"time:ms\"}','1.0','2021-05-28 11:55:03','2021-05-28 11:55:05',0),(3831,'平台中间件cassandra GC次数异常','dice_addon','dice_addon_cassandra_gc_count','ticket','recover','【平台中间件cassandra GC次数恢复】\n','【平台中间件cassandra GC次数恢复】\n\n中间件: {{addon_id}}\n\n老年代GC次数: {{CollectionCount_win_value}}\n\n集群: {{cluster_name}}\n\n机器: {{node_host}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','{\"trigger_duration\":\"time:ms\"}','1.0','2021-05-28 11:55:03','2021-05-28 11:55:05',0),(3832,'平台中间件cassandra GC次数异常','dice_addon','dice_addon_cassandra_gc_count','email','recover','【平台中间件cassandra GC次数恢复】\n','【平台中间件cassandra GC次数恢复】\n\n中间件: {{addon_id}}\n\n老年代GC次数: {{CollectionCount_win_value}}\n\n集群: {{cluster_name}}\n\n机器: {{node_host}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','{\"trigger_duration\":\"time:ms\"}','1.0','2021-05-28 11:55:03','2021-05-28 11:55:05',0),(3833,'平台中间件cassandra GC次数异常','dice_addon','dice_addon_cassandra_gc_count','mbox','recover','【平台中间件cassandra GC次数恢复】\n','【平台中间件cassandra GC次数恢复】\n\n中间件: {{addon_id}}\n\n老年代GC次数: {{CollectionCount_win_value}}\n\n集群: {{cluster_name}}\n\n机器: {{node_host}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','{\"trigger_duration\":\"time:ms\"}','1.0','2021-05-28 11:55:03','2021-05-28 11:55:05',0),(3834,'平台中间件cassandra GC次数异常','dice_addon','dice_addon_cassandra_gc_count','webhook','recover','【平台中间件cassandra GC次数恢复】\n','【平台中间件cassandra GC次数恢复】\n\n中间件: {{addon_id}}\n\n老年代GC次数: {{CollectionCount_win_value}}\n\n集群: {{cluster_name}}\n\n机器: {{node_host}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','{\"trigger_duration\":\"time:ms\"}','1.0','2021-05-28 11:55:03','2021-05-28 11:55:05',0),(3835,'平台中间件cassandra GC耗时异常','dice_addon','dice_addon_cassandra_gc_time','dingding','alert','【平台中间件cassandra GC耗时告警】\n','【平台中间件cassandra GC耗时告警】\n\n中间件: {{addon_id}}\n\n老年代GC耗时: {{CollectionTime_win_value}}\n\n集群: {{cluster_name}}\n\n机器: {{node_host}}\n\n时间: {{timestamp}}\n\n[查看详情]({{display_url}})\n\n[查看记录]({{record_url}})\n','{\"CollectionTime_win_value\":\"time:ms\"}','1.0','2021-05-28 11:55:03','2021-05-28 11:55:05',0),(3836,'平台中间件cassandra GC耗时异常','dice_addon','dice_addon_cassandra_gc_time','ticket','alert','【平台中间件cassandra GC耗时告警】\n','【平台中间件cassandra GC耗时告警】\n\n中间件: {{addon_id}}\n\n老年代GC耗时: {{CollectionTime_win_value}}\n\n集群: {{cluster_name}}\n\n机器: {{node_host}}\n\n时间: {{timestamp}}\n\n[查看详情]({{display_url}})\n\n[查看记录]({{record_url}})\n','{\"CollectionTime_win_value\":\"time:ms\"}','1.0','2021-05-28 11:55:03','2021-05-28 11:55:05',0),(3837,'平台中间件cassandra GC耗时异常','dice_addon','dice_addon_cassandra_gc_time','email','alert','【平台中间件cassandra GC耗时告警】\n','【平台中间件cassandra GC耗时告警】\n\n中间件: {{addon_id}}\n\n老年代GC耗时: {{CollectionTime_win_value}}\n\n集群: {{cluster_name}}\n\n机器: {{node_host}}\n\n时间: {{timestamp}}\n\n[查看详情]({{display_url}})\n\n[查看记录]({{record_url}})\n','{\"CollectionTime_win_value\":\"time:ms\"}','1.0','2021-05-28 11:55:03','2021-05-28 11:55:05',0),(3838,'平台中间件cassandra GC耗时异常','dice_addon','dice_addon_cassandra_gc_time','mbox','alert','【平台中间件cassandra GC耗时告警】\n','【平台中间件cassandra GC耗时告警】\n\n中间件: {{addon_id}}\n\n老年代GC耗时: {{CollectionTime_win_value}}\n\n集群: {{cluster_name}}\n\n机器: {{node_host}}\n\n时间: {{timestamp}}\n\n[查看详情]({{display_url}})\n\n[查看记录]({{record_url}})\n','{\"CollectionTime_win_value\":\"time:ms\"}','1.0','2021-05-28 11:55:03','2021-05-28 11:55:05',0),(3839,'平台中间件cassandra GC耗时异常','dice_addon','dice_addon_cassandra_gc_time','webhook','alert','【平台中间件cassandra GC耗时告警】\n','【平台中间件cassandra GC耗时告警】\n\n中间件: {{addon_id}}\n\n老年代GC耗时: {{CollectionTime_win_value}}\n\n集群: {{cluster_name}}\n\n机器: {{node_host}}\n\n时间: {{timestamp}}\n\n[查看详情]({{display_url}})\n\n[查看记录]({{record_url}})\n','{\"CollectionTime_win_value\":\"time:ms\"}','1.0','2021-05-28 11:55:03','2021-05-28 11:55:05',0),(3840,'平台中间件cassandra GC耗时异常','dice_addon','dice_addon_cassandra_gc_time','dingding','recover','【平台中间件cassandra GC耗时恢复】\n','【平台中间件cassandra GC耗时恢复】\n\n中间件: {{addon_id}}\n\n老年代GC耗时: {{CollectionTime_win_value}}\n\n集群: {{cluster_name}}\n\n机器: {{node_host}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','{\"CollectionTime_win_value\":\"time:ms\",\"trigger_duration\":\"time:ms\"}','1.0','2021-05-28 11:55:03','2021-05-28 11:55:05',0),(3841,'平台中间件cassandra GC耗时异常','dice_addon','dice_addon_cassandra_gc_time','ticket','recover','【平台中间件cassandra GC耗时恢复】\n','【平台中间件cassandra GC耗时恢复】\n\n中间件: {{addon_id}}\n\n老年代GC耗时: {{CollectionTime_win_value}}\n\n集群: {{cluster_name}}\n\n机器: {{node_host}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','{\"CollectionTime_win_value\":\"time:ms\",\"trigger_duration\":\"time:ms\"}','1.0','2021-05-28 11:55:03','2021-05-28 11:55:05',0),(3842,'平台中间件cassandra GC耗时异常','dice_addon','dice_addon_cassandra_gc_time','email','recover','【平台中间件cassandra GC耗时恢复】\n','【平台中间件cassandra GC耗时恢复】\n\n中间件: {{addon_id}}\n\n老年代GC耗时: {{CollectionTime_win_value}}\n\n集群: {{cluster_name}}\n\n机器: {{node_host}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','{\"CollectionTime_win_value\":\"time:ms\",\"trigger_duration\":\"time:ms\"}','1.0','2021-05-28 11:55:03','2021-05-28 11:55:05',0),(3843,'平台中间件cassandra GC耗时异常','dice_addon','dice_addon_cassandra_gc_time','mbox','recover','【平台中间件cassandra GC耗时恢复】\n','【平台中间件cassandra GC耗时恢复】\n\n中间件: {{addon_id}}\n\n老年代GC耗时: {{CollectionTime_win_value}}\n\n集群: {{cluster_name}}\n\n机器: {{node_host}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','{\"CollectionTime_win_value\":\"time:ms\",\"trigger_duration\":\"time:ms\"}','1.0','2021-05-28 11:55:03','2021-05-28 11:55:05',0),(3844,'平台中间件cassandra GC耗时异常','dice_addon','dice_addon_cassandra_gc_time','webhook','recover','【平台中间件cassandra GC耗时恢复】\n','【平台中间件cassandra GC耗时恢复】\n\n中间件: {{addon_id}}\n\n老年代GC耗时: {{CollectionTime_win_value}}\n\n集群: {{cluster_name}}\n\n机器: {{node_host}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','{\"CollectionTime_win_value\":\"time:ms\",\"trigger_duration\":\"time:ms\"}','1.0','2021-05-28 11:55:03','2021-05-28 11:55:05',0),(3845,'平台中间件实例CPU异常','dice_addon','dice_addon_container_cpu','dingding','alert','【平台中间件{{addon_id}} CPU使用率告警】\n','【平台中间件CPU使用率告警】\n\n中间件: {{addon_id}}\n\n使用率: {{cpu_usage_percent_avg}}\n\n限制: {{cpu_limit_value}}核\n\n分配: {{cpu_allocation_value}}核\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n容器ID: {{container_id}}\n\n时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','{\"cpu_allocation_value\":\"fraction:2\",\"cpu_limit_value\":\"fraction:2\",\"cpu_usage_percent_avg\":\"percent:2\"}','1.0','2021-05-28 11:55:03','2021-05-28 11:55:05',0),(3846,'平台中间件实例CPU异常','dice_addon','dice_addon_container_cpu','ticket','alert','【平台中间件{{addon_id}} CPU使用率告警】\n','【平台中间件CPU使用率告警】\n\n中间件: {{addon_id}}\n\n使用率: {{cpu_usage_percent_avg}}\n\n限制: {{cpu_limit_value}}核\n\n分配: {{cpu_allocation_value}}核\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n容器ID: {{container_id}}\n\n时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','{\"cpu_allocation_value\":\"fraction:2\",\"cpu_limit_value\":\"fraction:2\",\"cpu_usage_percent_avg\":\"percent:2\"}','1.0','2021-05-28 11:55:03','2021-05-28 11:55:05',0),(3847,'平台中间件实例CPU异常','dice_addon','dice_addon_container_cpu','email','alert','【平台中间件{{addon_id}} CPU使用率告警】\n','【平台中间件CPU使用率告警】\n\n中间件: {{addon_id}}\n\n使用率: {{cpu_usage_percent_avg}}\n\n限制: {{cpu_limit_value}}核\n\n分配: {{cpu_allocation_value}}核\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n容器ID: {{container_id}}\n\n时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','{\"cpu_allocation_value\":\"fraction:2\",\"cpu_limit_value\":\"fraction:2\",\"cpu_usage_percent_avg\":\"percent:2\"}','1.0','2021-05-28 11:55:03','2021-05-28 11:55:05',0),(3848,'平台中间件实例CPU异常','dice_addon','dice_addon_container_cpu','mbox','alert','【平台中间件{{addon_id}} CPU使用率告警】\n','【平台中间件CPU使用率告警】\n\n中间件: {{addon_id}}\n\n使用率: {{cpu_usage_percent_avg}}\n\n限制: {{cpu_limit_value}}核\n\n分配: {{cpu_allocation_value}}核\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n容器ID: {{container_id}}\n\n时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','{\"cpu_allocation_value\":\"fraction:2\",\"cpu_limit_value\":\"fraction:2\",\"cpu_usage_percent_avg\":\"percent:2\"}','1.0','2021-05-28 11:55:03','2021-05-28 11:55:05',0),(3849,'平台中间件实例CPU异常','dice_addon','dice_addon_container_cpu','webhook','alert','【平台中间件{{addon_id}} CPU使用率告警】\n','【平台中间件CPU使用率告警】\n\n中间件: {{addon_id}}\n\n使用率: {{cpu_usage_percent_avg}}\n\n限制: {{cpu_limit_value}}核\n\n分配: {{cpu_allocation_value}}核\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n容器ID: {{container_id}}\n\n时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','{\"cpu_allocation_value\":\"fraction:2\",\"cpu_limit_value\":\"fraction:2\",\"cpu_usage_percent_avg\":\"percent:2\"}','1.0','2021-05-28 11:55:03','2021-05-28 11:55:05',0),(3850,'平台中间件实例CPU异常','dice_addon','dice_addon_container_cpu','dingding','recover','【平台中间件{{addon_id}} CPU使用率恢复】\n','【平台中间件CPU使用率恢复】\n\n中间件: {{addon_id}}\n\n使用率: {{cpu_usage_percent_avg}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n容器ID: {{container_id}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','{\"cpu_usage_percent_avg\":\"percent:2\",\"trigger_duration\":\"time:ms\"}','1.0','2021-05-28 11:55:03','2021-05-28 11:55:05',0),(3851,'平台中间件实例CPU异常','dice_addon','dice_addon_container_cpu','ticket','recover','【平台中间件{{addon_id}} CPU使用率恢复】\n','【平台中间件CPU使用率恢复】\n\n中间件: {{addon_id}}\n\n使用率: {{cpu_usage_percent_avg}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n容器ID: {{container_id}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','{\"cpu_usage_percent_avg\":\"percent:2\",\"trigger_duration\":\"time:ms\"}','1.0','2021-05-28 11:55:03','2021-05-28 11:55:05',0),(3852,'平台中间件实例CPU异常','dice_addon','dice_addon_container_cpu','email','recover','【平台中间件{{addon_id}} CPU使用率恢复】\n','【平台中间件CPU使用率恢复】\n\n中间件: {{addon_id}}\n\n使用率: {{cpu_usage_percent_avg}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n容器ID: {{container_id}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','{\"cpu_usage_percent_avg\":\"percent:2\",\"trigger_duration\":\"time:ms\"}','1.0','2021-05-28 11:55:03','2021-05-28 11:55:05',0),(3853,'平台中间件实例CPU异常','dice_addon','dice_addon_container_cpu','mbox','recover','【平台中间件{{addon_id}} CPU使用率恢复】\n','【平台中间件CPU使用率恢复】\n\n中间件: {{addon_id}}\n\n使用率: {{cpu_usage_percent_avg}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n容器ID: {{container_id}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','{\"cpu_usage_percent_avg\":\"percent:2\",\"trigger_duration\":\"time:ms\"}','1.0','2021-05-28 11:55:03','2021-05-28 11:55:05',0),(3854,'平台中间件实例CPU异常','dice_addon','dice_addon_container_cpu','webhook','recover','【平台中间件{{addon_id}} CPU使用率恢复】\n','【平台中间件CPU使用率恢复】\n\n中间件: {{addon_id}}\n\n使用率: {{cpu_usage_percent_avg}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n容器ID: {{container_id}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','{\"cpu_usage_percent_avg\":\"percent:2\",\"trigger_duration\":\"time:ms\"}','1.0','2021-05-28 11:55:03','2021-05-28 11:55:05',0),(3855,'平台中间件异常退出','dice_addon','dice_addon_container_exit','dingding','alert','【平台中间件{{addon_id}}异常退出告警】\n','【平台中间件异常退出告警】\n\n中间件: {{addon_id}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n启动时间: {{started_at_value}}\n\n退出时间: {{finished_at_value}}\n\n退出原因: {{terminated_reason_value}}\n\n时间: {{timestamp}}\n\n[查看详情]({{display_url}})\n\n[查看记录]({{record_url}})\n','{\"finished_at_value\":\"date\",\"started_at_value\":\"date\"}','1.0','2021-05-28 11:55:03','2021-05-28 11:55:05',0),(3856,'平台中间件异常退出','dice_addon','dice_addon_container_exit','ticket','alert','【平台中间件{{addon_id}}异常退出告警】\n','【平台中间件异常退出告警】\n\n中间件: {{addon_id}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n启动时间: {{started_at_value}}\n\n退出时间: {{finished_at_value}}\n\n退出原因: {{terminated_reason_value}}\n\n时间: {{timestamp}}\n\n[查看详情]({{display_url}})\n\n[查看记录]({{record_url}})\n','{\"finished_at_value\":\"date\",\"started_at_value\":\"date\"}','1.0','2021-05-28 11:55:03','2021-05-28 11:55:05',0),(3857,'平台中间件异常退出','dice_addon','dice_addon_container_exit','email','alert','【平台中间件{{addon_id}}异常退出告警】\n','【平台中间件异常退出告警】\n\n中间件: {{addon_id}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n启动时间: {{started_at_value}}\n\n退出时间: {{finished_at_value}}\n\n退出原因: {{terminated_reason_value}}\n\n时间: {{timestamp}}\n\n[查看详情]({{display_url}})\n\n[查看记录]({{record_url}})\n','{\"finished_at_value\":\"date\",\"started_at_value\":\"date\"}','1.0','2021-05-28 11:55:03','2021-05-28 11:55:05',0),(3858,'平台中间件异常退出','dice_addon','dice_addon_container_exit','mbox','alert','【平台中间件{{addon_id}}异常退出告警】\n','【平台中间件异常退出告警】\n\n中间件: {{addon_id}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n启动时间: {{started_at_value}}\n\n退出时间: {{finished_at_value}}\n\n退出原因: {{terminated_reason_value}}\n\n时间: {{timestamp}}\n\n[查看详情]({{display_url}})\n\n[查看记录]({{record_url}})\n','{\"finished_at_value\":\"date\",\"started_at_value\":\"date\"}','1.0','2021-05-28 11:55:03','2021-05-28 11:55:05',0),(3859,'平台中间件异常退出','dice_addon','dice_addon_container_exit','webhook','alert','【平台中间件{{addon_id}}异常退出告警】\n','【平台中间件异常退出告警】\n\n中间件: {{addon_id}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n启动时间: {{started_at_value}}\n\n退出时间: {{finished_at_value}}\n\n退出原因: {{terminated_reason_value}}\n\n时间: {{timestamp}}\n\n[查看详情]({{display_url}})\n\n[查看记录]({{record_url}})\n','{\"finished_at_value\":\"date\",\"started_at_value\":\"date\"}','1.0','2021-05-28 11:55:03','2021-05-28 11:55:05',0),(3860,'平台中间件异常退出','dice_addon','dice_addon_container_exit','dingding','recover','【平台中间件{{addon_id}}异常退出恢复】\n','【平台中间件异常退出恢复】\n\n中间件: {{addon_id}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','{\"trigger_duration\":\"time:ms\"}','1.0','2021-05-28 11:55:03','2021-05-28 11:55:05',0),(3861,'平台中间件异常退出','dice_addon','dice_addon_container_exit','ticket','recover','【平台中间件{{addon_id}}异常退出恢复】\n','【平台中间件异常退出恢复】\n\n中间件: {{addon_id}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','{\"trigger_duration\":\"time:ms\"}','1.0','2021-05-28 11:55:03','2021-05-28 11:55:05',0),(3862,'平台中间件异常退出','dice_addon','dice_addon_container_exit','email','recover','【平台中间件{{addon_id}}异常退出恢复】\n','【平台中间件异常退出恢复】\n\n中间件: {{addon_id}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','{\"trigger_duration\":\"time:ms\"}','1.0','2021-05-28 11:55:03','2021-05-28 11:55:05',0),(3863,'平台中间件异常退出','dice_addon','dice_addon_container_exit','mbox','recover','【平台中间件{{addon_id}}异常退出恢复】\n','【平台中间件异常退出恢复】\n\n中间件: {{addon_id}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','{\"trigger_duration\":\"time:ms\"}','1.0','2021-05-28 11:55:03','2021-05-28 11:55:05',0),(3864,'平台中间件异常退出','dice_addon','dice_addon_container_exit','webhook','recover','【平台中间件{{addon_id}}异常退出恢复】\n','【平台中间件异常退出恢复】\n\n中间件: {{addon_id}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','{\"trigger_duration\":\"time:ms\"}','1.0','2021-05-28 11:55:03','2021-05-28 11:55:05',0),(3865,'平台中间件实例内存异常','dice_addon','dice_addon_container_mem','dingding','alert','【平台中间件{{addon_id}}内存使用率告警】\n','【平台中间件内存使用率告警】\n\n中间件: {{addon_id}}\n\n使用率: {{mem_usage_percent_avg}}\n\n使用: {{mem_usage_value}}\n\n限制: {{mem_limit_value}}\n\n分配: {{mem_allocation_value}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n容器ID: {{container_id}}\n\n时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','{\"mem_allocation_value\":\"size:byte\",\"mem_limit_value\":\"size:byte\",\"mem_usage_percent_avg\":\"percent:2\",\"mem_usage_value\":\"size:byte\"}','1.0','2021-05-28 11:55:03','2021-05-28 11:55:05',0),(3866,'平台中间件实例内存异常','dice_addon','dice_addon_container_mem','ticket','alert','【平台中间件{{addon_id}}内存使用率告警】\n','【平台中间件内存使用率告警】\n\n中间件: {{addon_id}}\n\n使用率: {{mem_usage_percent_avg}}\n\n使用: {{mem_usage_value}}\n\n限制: {{mem_limit_value}}\n\n分配: {{mem_allocation_value}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n容器ID: {{container_id}}\n\n时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','{\"mem_allocation_value\":\"size:byte\",\"mem_limit_value\":\"size:byte\",\"mem_usage_percent_avg\":\"percent:2\",\"mem_usage_value\":\"size:byte\"}','1.0','2021-05-28 11:55:03','2021-05-28 11:55:05',0),(3867,'平台中间件实例内存异常','dice_addon','dice_addon_container_mem','email','alert','【平台中间件{{addon_id}}内存使用率告警】\n','【平台中间件内存使用率告警】\n\n中间件: {{addon_id}}\n\n使用率: {{mem_usage_percent_avg}}\n\n使用: {{mem_usage_value}}\n\n限制: {{mem_limit_value}}\n\n分配: {{mem_allocation_value}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n容器ID: {{container_id}}\n\n时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','{\"mem_allocation_value\":\"size:byte\",\"mem_limit_value\":\"size:byte\",\"mem_usage_percent_avg\":\"percent:2\",\"mem_usage_value\":\"size:byte\"}','1.0','2021-05-28 11:55:03','2021-05-28 11:55:05',0),(3868,'平台中间件实例内存异常','dice_addon','dice_addon_container_mem','mbox','alert','【平台中间件{{addon_id}}内存使用率告警】\n','【平台中间件内存使用率告警】\n\n中间件: {{addon_id}}\n\n使用率: {{mem_usage_percent_avg}}\n\n使用: {{mem_usage_value}}\n\n限制: {{mem_limit_value}}\n\n分配: {{mem_allocation_value}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n容器ID: {{container_id}}\n\n时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','{\"mem_allocation_value\":\"size:byte\",\"mem_limit_value\":\"size:byte\",\"mem_usage_percent_avg\":\"percent:2\",\"mem_usage_value\":\"size:byte\"}','1.0','2021-05-28 11:55:03','2021-05-28 11:55:05',0),(3869,'平台中间件实例内存异常','dice_addon','dice_addon_container_mem','webhook','alert','【平台中间件{{addon_id}}内存使用率告警】\n','【平台中间件内存使用率告警】\n\n中间件: {{addon_id}}\n\n使用率: {{mem_usage_percent_avg}}\n\n使用: {{mem_usage_value}}\n\n限制: {{mem_limit_value}}\n\n分配: {{mem_allocation_value}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n容器ID: {{container_id}}\n\n时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','{\"mem_allocation_value\":\"size:byte\",\"mem_limit_value\":\"size:byte\",\"mem_usage_percent_avg\":\"percent:2\",\"mem_usage_value\":\"size:byte\"}','1.0','2021-05-28 11:55:03','2021-05-28 11:55:05',0),(3870,'平台中间件实例内存异常','dice_addon','dice_addon_container_mem','dingding','recover','【平台中间件{{addon_id}}内存使用率恢复】\n','【平台中间件内存使用率恢复】\n\n中间件: {{addon_id}}\n\n使用率: {{mem_usage_percent_avg}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n容器ID: {{container_id}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','{\"mem_usage_percent_avg\":\"percent:2\",\"trigger_duration\":\"time:ms\"}','1.0','2021-05-28 11:55:03','2021-05-28 11:55:05',0),(3871,'平台中间件实例内存异常','dice_addon','dice_addon_container_mem','ticket','recover','【平台中间件{{addon_id}}内存使用率恢复】\n','【平台中间件内存使用率恢复】\n\n中间件: {{addon_id}}\n\n使用率: {{mem_usage_percent_avg}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n容器ID: {{container_id}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','{\"mem_usage_percent_avg\":\"percent:2\",\"trigger_duration\":\"time:ms\"}','1.0','2021-05-28 11:55:03','2021-05-28 11:55:05',0),(3872,'平台中间件实例内存异常','dice_addon','dice_addon_container_mem','email','recover','【平台中间件{{addon_id}}内存使用率恢复】\n','【平台中间件内存使用率恢复】\n\n中间件: {{addon_id}}\n\n使用率: {{mem_usage_percent_avg}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n容器ID: {{container_id}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','{\"mem_usage_percent_avg\":\"percent:2\",\"trigger_duration\":\"time:ms\"}','1.0','2021-05-28 11:55:03','2021-05-28 11:55:05',0),(3873,'平台中间件实例内存异常','dice_addon','dice_addon_container_mem','mbox','recover','【平台中间件{{addon_id}}内存使用率恢复】\n','【平台中间件内存使用率恢复】\n\n中间件: {{addon_id}}\n\n使用率: {{mem_usage_percent_avg}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n容器ID: {{container_id}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','{\"mem_usage_percent_avg\":\"percent:2\",\"trigger_duration\":\"time:ms\"}','1.0','2021-05-28 11:55:03','2021-05-28 11:55:05',0),(3874,'平台中间件实例内存异常','dice_addon','dice_addon_container_mem','webhook','recover','【平台中间件{{addon_id}}内存使用率恢复】\n','【平台中间件内存使用率恢复】\n\n中间件: {{addon_id}}\n\n使用率: {{mem_usage_percent_avg}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n容器ID: {{container_id}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','{\"mem_usage_percent_avg\":\"percent:2\",\"trigger_duration\":\"time:ms\"}','1.0','2021-05-28 11:55:03','2021-05-28 11:55:05',0),(3875,'平台中间件实例Ready状态异常','dice_addon','dice_addon_container_ready','dingding','alert','【平台中间件{{addon_id}} Ready状态异常告警】\n','【平台中间件Ready状态异常告警】\n\n中间件: {{addon_id}}\n\n未就绪实例: {{not_ready_value}}\n\n已就绪实例: {{ready_value}}\n\n集群: {{cluster_name}}\n\n时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','','1.0','2021-05-28 11:55:03','2021-05-28 11:55:05',0),(3876,'平台中间件实例Ready状态异常','dice_addon','dice_addon_container_ready','ticket','alert','【平台中间件{{addon_id}} Ready状态异常告警】\n','【平台中间件Ready状态异常告警】\n\n中间件: {{addon_id}}\n\n未就绪实例: {{not_ready_value}}\n\n已就绪实例: {{ready_value}}\n\n集群: {{cluster_name}}\n\n时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','','1.0','2021-05-28 11:55:03','2021-05-28 11:55:05',0),(3877,'平台中间件实例Ready状态异常','dice_addon','dice_addon_container_ready','email','alert','【平台中间件{{addon_id}} Ready状态异常告警】\n','【平台中间件Ready状态异常告警】\n\n中间件: {{addon_id}}\n\n未就绪实例: {{not_ready_value}}\n\n已就绪实例: {{ready_value}}\n\n集群: {{cluster_name}}\n\n时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','','1.0','2021-05-28 11:55:03','2021-05-28 11:55:05',0),(3878,'平台中间件实例Ready状态异常','dice_addon','dice_addon_container_ready','mbox','alert','【平台中间件{{addon_id}} Ready状态异常告警】\n','【平台中间件Ready状态异常告警】\n\n中间件: {{addon_id}}\n\n未就绪实例: {{not_ready_value}}\n\n已就绪实例: {{ready_value}}\n\n集群: {{cluster_name}}\n\n时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','','1.0','2021-05-28 11:55:03','2021-05-28 11:55:05',0),(3879,'平台中间件实例Ready状态异常','dice_addon','dice_addon_container_ready','webhook','alert','【平台中间件{{addon_id}} Ready状态异常告警】\n','【平台中间件Ready状态异常告警】\n\n中间件: {{addon_id}}\n\n未就绪实例: {{not_ready_value}}\n\n已就绪实例: {{ready_value}}\n\n集群: {{cluster_name}}\n\n时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','','1.0','2021-05-28 11:55:03','2021-05-28 11:55:05',0),(3880,'平台中间件实例Ready状态异常','dice_addon','dice_addon_container_ready','dingding','recover','【平台中间件{{addon_id}} Ready状态异常恢复】\n','【平台中间件Ready状态异常恢复】\n\n中间件: {{addon_id}}\n\n已绪数实例: {{ready_value}}\n\n集群: {{cluster_name}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','{\"trigger_duration\":\"time:ms\"}','1.0','2021-05-28 11:55:03','2021-05-28 11:55:05',0),(3881,'平台中间件实例Ready状态异常','dice_addon','dice_addon_container_ready','ticket','recover','【平台中间件{{addon_id}} Ready状态异常恢复】\n','【平台中间件Ready状态异常恢复】\n\n中间件: {{addon_id}}\n\n已绪数实例: {{ready_value}}\n\n集群: {{cluster_name}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','{\"trigger_duration\":\"time:ms\"}','1.0','2021-05-28 11:55:03','2021-05-28 11:55:05',0),(3882,'平台中间件实例Ready状态异常','dice_addon','dice_addon_container_ready','email','recover','【平台中间件{{addon_id}} Ready状态异常恢复】\n','【平台中间件Ready状态异常恢复】\n\n中间件: {{addon_id}}\n\n已绪数实例: {{ready_value}}\n\n集群: {{cluster_name}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','{\"trigger_duration\":\"time:ms\"}','1.0','2021-05-28 11:55:03','2021-05-28 11:55:05',0),(3883,'平台中间件实例Ready状态异常','dice_addon','dice_addon_container_ready','mbox','recover','【平台中间件{{addon_id}} Ready状态异常恢复】\n','【平台中间件Ready状态异常恢复】\n\n中间件: {{addon_id}}\n\n已绪数实例: {{ready_value}}\n\n集群: {{cluster_name}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','{\"trigger_duration\":\"time:ms\"}','1.0','2021-05-28 11:55:03','2021-05-28 11:55:05',0),(3884,'平台中间件实例Ready状态异常','dice_addon','dice_addon_container_ready','webhook','recover','【平台中间件{{addon_id}} Ready状态异常恢复】\n','【平台中间件Ready状态异常恢复】\n\n中间件: {{addon_id}}\n\n已绪数实例: {{ready_value}}\n\n集群: {{cluster_name}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','{\"trigger_duration\":\"time:ms\"}','1.0','2021-05-28 11:55:03','2021-05-28 11:55:05',0),(3885,'平台中间件elasticsearch GC次数异常','dice_addon','dice_addon_elasticsearch_gc_count','dingding','alert','【平台中间件elasticsearch GC次数告警】\n','【平台中间件elasticsearch GC次数告警】\n\n中间件: {{addon_id}}\n\n老年代GC次数: {{gc_collectors_old_collection_count_win_value}}\n\n集群: {{cluster_name}}\n\n机器: {{node_host}}\n\n时间: {{timestamp}}\n\n[查看详情]({{display_url}})\n\n[查看记录]({{record_url}})\n','','1.0','2021-05-28 11:55:03','2021-05-28 11:55:05',0),(3886,'平台中间件elasticsearch GC次数异常','dice_addon','dice_addon_elasticsearch_gc_count','ticket','alert','【平台中间件elasticsearch GC次数告警】\n','【平台中间件elasticsearch GC次数告警】\n\n中间件: {{addon_id}}\n\n老年代GC次数: {{gc_collectors_old_collection_count_win_value}}\n\n集群: {{cluster_name}}\n\n机器: {{node_host}}\n\n时间: {{timestamp}}\n\n[查看详情]({{display_url}})\n\n[查看记录]({{record_url}})\n','','1.0','2021-05-28 11:55:03','2021-05-28 11:55:05',0),(3887,'平台中间件elasticsearch GC次数异常','dice_addon','dice_addon_elasticsearch_gc_count','email','alert','【平台中间件elasticsearch GC次数告警】\n','【平台中间件elasticsearch GC次数告警】\n\n中间件: {{addon_id}}\n\n老年代GC次数: {{gc_collectors_old_collection_count_win_value}}\n\n集群: {{cluster_name}}\n\n机器: {{node_host}}\n\n时间: {{timestamp}}\n\n[查看详情]({{display_url}})\n\n[查看记录]({{record_url}})\n','','1.0','2021-05-28 11:55:03','2021-05-28 11:55:05',0),(3888,'平台中间件elasticsearch GC次数异常','dice_addon','dice_addon_elasticsearch_gc_count','mbox','alert','【平台中间件elasticsearch GC次数告警】\n','【平台中间件elasticsearch GC次数告警】\n\n中间件: {{addon_id}}\n\n老年代GC次数: {{gc_collectors_old_collection_count_win_value}}\n\n集群: {{cluster_name}}\n\n机器: {{node_host}}\n\n时间: {{timestamp}}\n\n[查看详情]({{display_url}})\n\n[查看记录]({{record_url}})\n','','1.0','2021-05-28 11:55:03','2021-05-28 11:55:05',0),(3889,'平台中间件elasticsearch GC次数异常','dice_addon','dice_addon_elasticsearch_gc_count','webhook','alert','【平台中间件elasticsearch GC次数告警】\n','【平台中间件elasticsearch GC次数告警】\n\n中间件: {{addon_id}}\n\n老年代GC次数: {{gc_collectors_old_collection_count_win_value}}\n\n集群: {{cluster_name}}\n\n机器: {{node_host}}\n\n时间: {{timestamp}}\n\n[查看详情]({{display_url}})\n\n[查看记录]({{record_url}})\n','','1.0','2021-05-28 11:55:03','2021-05-28 11:55:05',0),(3890,'平台中间件elasticsearch GC次数异常','dice_addon','dice_addon_elasticsearch_gc_count','dingding','recover','【平台中间件elasticsearch GC次数恢复】\n','【平台中间件elasticsearch GC次数恢复】\n\n中间件: {{addon_id}}\n\n老年代GC次数: {{gc_collectors_old_collection_count_win_value}}\n\n集群: {{cluster_name}}\n\n机器: {{node_host}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','{\"trigger_duration\":\"time:ms\"}','1.0','2021-05-28 11:55:03','2021-05-28 11:55:05',0),(3891,'平台中间件elasticsearch GC次数异常','dice_addon','dice_addon_elasticsearch_gc_count','ticket','recover','【平台中间件elasticsearch GC次数恢复】\n','【平台中间件elasticsearch GC次数恢复】\n\n中间件: {{addon_id}}\n\n老年代GC次数: {{gc_collectors_old_collection_count_win_value}}\n\n集群: {{cluster_name}}\n\n机器: {{node_host}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','{\"trigger_duration\":\"time:ms\"}','1.0','2021-05-28 11:55:03','2021-05-28 11:55:05',0),(3892,'平台中间件elasticsearch GC次数异常','dice_addon','dice_addon_elasticsearch_gc_count','email','recover','【平台中间件elasticsearch GC次数恢复】\n','【平台中间件elasticsearch GC次数恢复】\n\n中间件: {{addon_id}}\n\n老年代GC次数: {{gc_collectors_old_collection_count_win_value}}\n\n集群: {{cluster_name}}\n\n机器: {{node_host}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','{\"trigger_duration\":\"time:ms\"}','1.0','2021-05-28 11:55:03','2021-05-28 11:55:05',0),(3893,'平台中间件elasticsearch GC次数异常','dice_addon','dice_addon_elasticsearch_gc_count','mbox','recover','【平台中间件elasticsearch GC次数恢复】\n','【平台中间件elasticsearch GC次数恢复】\n\n中间件: {{addon_id}}\n\n老年代GC次数: {{gc_collectors_old_collection_count_win_value}}\n\n集群: {{cluster_name}}\n\n机器: {{node_host}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','{\"trigger_duration\":\"time:ms\"}','1.0','2021-05-28 11:55:03','2021-05-28 11:55:05',0),(3894,'平台中间件elasticsearch GC次数异常','dice_addon','dice_addon_elasticsearch_gc_count','webhook','recover','【平台中间件elasticsearch GC次数恢复】\n','【平台中间件elasticsearch GC次数恢复】\n\n中间件: {{addon_id}}\n\n老年代GC次数: {{gc_collectors_old_collection_count_win_value}}\n\n集群: {{cluster_name}}\n\n机器: {{node_host}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','{\"trigger_duration\":\"time:ms\"}','1.0','2021-05-28 11:55:03','2021-05-28 11:55:05',0),(3895,'平台中间件elasticsearch GC耗时异常','dice_addon','dice_addon_elasticsearch_gc_time','dingding','alert','【平台中间件elasticsearch GC耗时告警】\n','【平台中间件elasticsearch GC耗时告警】\n\n中间件: {{addon_id}}\n\n老年代GC耗时: {{gc_collectors_old_collection_time_in_millis_win_value}}\n\n集群: {{cluster_name}}\n\n机器: {{node_name}}\n\n时间: {{timestamp}}\n\n[查看详情]({{display_url}})\n\n[查看记录]({{record_url}})\n','{\"gc_collectors_old_collection_time_in_millis_win_value\":\"time:ms\"}','1.0','2021-05-28 11:55:03','2021-05-28 11:55:05',0),(3896,'平台中间件elasticsearch GC耗时异常','dice_addon','dice_addon_elasticsearch_gc_time','ticket','alert','【平台中间件elasticsearch GC耗时告警】\n','【平台中间件elasticsearch GC耗时告警】\n\n中间件: {{addon_id}}\n\n老年代GC耗时: {{gc_collectors_old_collection_time_in_millis_win_value}}\n\n集群: {{cluster_name}}\n\n机器: {{node_name}}\n\n时间: {{timestamp}}\n\n[查看详情]({{display_url}})\n\n[查看记录]({{record_url}})\n','{\"gc_collectors_old_collection_time_in_millis_win_value\":\"time:ms\"}','1.0','2021-05-28 11:55:03','2021-05-28 11:55:05',0),(3897,'平台中间件elasticsearch GC耗时异常','dice_addon','dice_addon_elasticsearch_gc_time','email','alert','【平台中间件elasticsearch GC耗时告警】\n','【平台中间件elasticsearch GC耗时告警】\n\n中间件: {{addon_id}}\n\n老年代GC耗时: {{gc_collectors_old_collection_time_in_millis_win_value}}\n\n集群: {{cluster_name}}\n\n机器: {{node_name}}\n\n时间: {{timestamp}}\n\n[查看详情]({{display_url}})\n\n[查看记录]({{record_url}})\n','{\"gc_collectors_old_collection_time_in_millis_win_value\":\"time:ms\"}','1.0','2021-05-28 11:55:03','2021-05-28 11:55:05',0),(3898,'平台中间件elasticsearch GC耗时异常','dice_addon','dice_addon_elasticsearch_gc_time','mbox','alert','【平台中间件elasticsearch GC耗时告警】\n','【平台中间件elasticsearch GC耗时告警】\n\n中间件: {{addon_id}}\n\n老年代GC耗时: {{gc_collectors_old_collection_time_in_millis_win_value}}\n\n集群: {{cluster_name}}\n\n机器: {{node_name}}\n\n时间: {{timestamp}}\n\n[查看详情]({{display_url}})\n\n[查看记录]({{record_url}})\n','{\"gc_collectors_old_collection_time_in_millis_win_value\":\"time:ms\"}','1.0','2021-05-28 11:55:03','2021-05-28 11:55:05',0),(3899,'平台中间件elasticsearch GC耗时异常','dice_addon','dice_addon_elasticsearch_gc_time','webhook','alert','【平台中间件elasticsearch GC耗时告警】\n','【平台中间件elasticsearch GC耗时告警】\n\n中间件: {{addon_id}}\n\n老年代GC耗时: {{gc_collectors_old_collection_time_in_millis_win_value}}\n\n集群: {{cluster_name}}\n\n机器: {{node_name}}\n\n时间: {{timestamp}}\n\n[查看详情]({{display_url}})\n\n[查看记录]({{record_url}})\n','{\"gc_collectors_old_collection_time_in_millis_win_value\":\"time:ms\"}','1.0','2021-05-28 11:55:03','2021-05-28 11:55:05',0),(3900,'平台中间件elasticsearch GC耗时异常','dice_addon','dice_addon_elasticsearch_gc_time','dingding','recover','【平台中间件elasticsearch GC耗时恢复】\n','【平台中间件elasticsearch GC耗时恢复】\n\n中间件: {{addon_id}}\n\n老年代GC耗时: {{gc_collectors_old_collection_time_in_millis_win_value}}\n\n集群: {{cluster_name}}\n\n机器: {{node_name}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','{\"gc_collectors_old_collection_time_in_millis_win_value\":\"time:ms\",\"trigger_duration\":\"time:ms\"}','1.0','2021-05-28 11:55:03','2021-05-28 11:55:05',0),(3901,'平台中间件elasticsearch GC耗时异常','dice_addon','dice_addon_elasticsearch_gc_time','ticket','recover','【平台中间件elasticsearch GC耗时恢复】\n','【平台中间件elasticsearch GC耗时恢复】\n\n中间件: {{addon_id}}\n\n老年代GC耗时: {{gc_collectors_old_collection_time_in_millis_win_value}}\n\n集群: {{cluster_name}}\n\n机器: {{node_name}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','{\"gc_collectors_old_collection_time_in_millis_win_value\":\"time:ms\",\"trigger_duration\":\"time:ms\"}','1.0','2021-05-28 11:55:03','2021-05-28 11:55:05',0),(3902,'平台中间件elasticsearch GC耗时异常','dice_addon','dice_addon_elasticsearch_gc_time','email','recover','【平台中间件elasticsearch GC耗时恢复】\n','【平台中间件elasticsearch GC耗时恢复】\n\n中间件: {{addon_id}}\n\n老年代GC耗时: {{gc_collectors_old_collection_time_in_millis_win_value}}\n\n集群: {{cluster_name}}\n\n机器: {{node_name}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','{\"gc_collectors_old_collection_time_in_millis_win_value\":\"time:ms\",\"trigger_duration\":\"time:ms\"}','1.0','2021-05-28 11:55:03','2021-05-28 11:55:05',0),(3903,'平台中间件elasticsearch GC耗时异常','dice_addon','dice_addon_elasticsearch_gc_time','mbox','recover','【平台中间件elasticsearch GC耗时恢复】\n','【平台中间件elasticsearch GC耗时恢复】\n\n中间件: {{addon_id}}\n\n老年代GC耗时: {{gc_collectors_old_collection_time_in_millis_win_value}}\n\n集群: {{cluster_name}}\n\n机器: {{node_name}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','{\"gc_collectors_old_collection_time_in_millis_win_value\":\"time:ms\",\"trigger_duration\":\"time:ms\"}','1.0','2021-05-28 11:55:03','2021-05-28 11:55:05',0),(3904,'平台中间件elasticsearch GC耗时异常','dice_addon','dice_addon_elasticsearch_gc_time','webhook','recover','【平台中间件elasticsearch GC耗时恢复】\n','【平台中间件elasticsearch GC耗时恢复】\n\n中间件: {{addon_id}}\n\n老年代GC耗时: {{gc_collectors_old_collection_time_in_millis_win_value}}\n\n集群: {{cluster_name}}\n\n机器: {{node_name}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','{\"gc_collectors_old_collection_time_in_millis_win_value\":\"time:ms\",\"trigger_duration\":\"time:ms\"}','1.0','2021-05-28 11:55:03','2021-05-28 11:55:05',0),(3905,'平台中间件Kafka GC次数异常','dice_addon','dice_addon_kafka_gc_count','dingding','alert','【平台中间件Kafka GC次数告警】\n','【平台中间件Kafka GC次数告警】\n\n中间件: {{addon_id}}\n\n老年代GC次数: {{CollectionCount_win_value}}\n\n集群: {{cluster_name}}\n\n集群: {{node_host}}\n\n时间: {{timestamp}}\n\n[查看详情]({{display_url}})\n\n[查看记录]({{record_url}})\n','','1.0','2021-05-28 11:55:03','2021-05-28 11:55:05',0),(3906,'平台中间件Kafka GC次数异常','dice_addon','dice_addon_kafka_gc_count','ticket','alert','【平台中间件Kafka GC次数告警】\n','【平台中间件Kafka GC次数告警】\n\n中间件: {{addon_id}}\n\n老年代GC次数: {{CollectionCount_win_value}}\n\n集群: {{cluster_name}}\n\n集群: {{node_host}}\n\n时间: {{timestamp}}\n\n[查看详情]({{display_url}})\n\n[查看记录]({{record_url}})\n','','1.0','2021-05-28 11:55:03','2021-05-28 11:55:05',0),(3907,'平台中间件Kafka GC次数异常','dice_addon','dice_addon_kafka_gc_count','email','alert','【平台中间件Kafka GC次数告警】\n','【平台中间件Kafka GC次数告警】\n\n中间件: {{addon_id}}\n\n老年代GC次数: {{CollectionCount_win_value}}\n\n集群: {{cluster_name}}\n\n集群: {{node_host}}\n\n时间: {{timestamp}}\n\n[查看详情]({{display_url}})\n\n[查看记录]({{record_url}})\n','','1.0','2021-05-28 11:55:03','2021-05-28 11:55:05',0),(3908,'平台中间件Kafka GC次数异常','dice_addon','dice_addon_kafka_gc_count','mbox','alert','【平台中间件Kafka GC次数告警】\n','【平台中间件Kafka GC次数告警】\n\n中间件: {{addon_id}}\n\n老年代GC次数: {{CollectionCount_win_value}}\n\n集群: {{cluster_name}}\n\n集群: {{node_host}}\n\n时间: {{timestamp}}\n\n[查看详情]({{display_url}})\n\n[查看记录]({{record_url}})\n','','1.0','2021-05-28 11:55:03','2021-05-28 11:55:05',0),(3909,'平台中间件Kafka GC次数异常','dice_addon','dice_addon_kafka_gc_count','webhook','alert','【平台中间件Kafka GC次数告警】\n','【平台中间件Kafka GC次数告警】\n\n中间件: {{addon_id}}\n\n老年代GC次数: {{CollectionCount_win_value}}\n\n集群: {{cluster_name}}\n\n集群: {{node_host}}\n\n时间: {{timestamp}}\n\n[查看详情]({{display_url}})\n\n[查看记录]({{record_url}})\n','','1.0','2021-05-28 11:55:03','2021-05-28 11:55:05',0),(3910,'平台中间件Kafka GC次数异常','dice_addon','dice_addon_kafka_gc_count','dingding','recover','【平台中间件Kafka GC次数恢复】\n','【平台中间件Kafka GC次数恢复】\n\n中间件: {{addon_id}}\n\n老年代GC次数: {{CollectionCount_win_value}}\n\n集群: {{cluster_name}}\n\n机器: {{node_host}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','{\"trigger_duration\":\"time:ms\"}','1.0','2021-05-28 11:55:03','2021-05-28 11:55:05',0),(3911,'平台中间件Kafka GC次数异常','dice_addon','dice_addon_kafka_gc_count','ticket','recover','【平台中间件Kafka GC次数恢复】\n','【平台中间件Kafka GC次数恢复】\n\n中间件: {{addon_id}}\n\n老年代GC次数: {{CollectionCount_win_value}}\n\n集群: {{cluster_name}}\n\n机器: {{node_host}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','{\"trigger_duration\":\"time:ms\"}','1.0','2021-05-28 11:55:03','2021-05-28 11:55:05',0),(3912,'平台中间件Kafka GC次数异常','dice_addon','dice_addon_kafka_gc_count','email','recover','【平台中间件Kafka GC次数恢复】\n','【平台中间件Kafka GC次数恢复】\n\n中间件: {{addon_id}}\n\n老年代GC次数: {{CollectionCount_win_value}}\n\n集群: {{cluster_name}}\n\n机器: {{node_host}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','{\"trigger_duration\":\"time:ms\"}','1.0','2021-05-28 11:55:03','2021-05-28 11:55:05',0),(3913,'平台中间件Kafka GC次数异常','dice_addon','dice_addon_kafka_gc_count','mbox','recover','【平台中间件Kafka GC次数恢复】\n','【平台中间件Kafka GC次数恢复】\n\n中间件: {{addon_id}}\n\n老年代GC次数: {{CollectionCount_win_value}}\n\n集群: {{cluster_name}}\n\n机器: {{node_host}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','{\"trigger_duration\":\"time:ms\"}','1.0','2021-05-28 11:55:03','2021-05-28 11:55:05',0),(3914,'平台中间件Kafka GC次数异常','dice_addon','dice_addon_kafka_gc_count','webhook','recover','【平台中间件Kafka GC次数恢复】\n','【平台中间件Kafka GC次数恢复】\n\n中间件: {{addon_id}}\n\n老年代GC次数: {{CollectionCount_win_value}}\n\n集群: {{cluster_name}}\n\n机器: {{node_host}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','{\"trigger_duration\":\"time:ms\"}','1.0','2021-05-28 11:55:03','2021-05-28 11:55:05',0),(3915,'平台中间件kafka GC耗时异常','dice_addon','dice_addon_kafka_gc_time','dingding','alert','【平台中间件kafka GC耗时告警】\n','【平台中间件kafka GC耗时告警】\n\n中间件: {{addon_id}}\n\n老年代GC耗时: {{CollectionTime_win_value}}\n\n集群: {{cluster_name}}\n\n机器: {{node_host}}\n\n时间: {{timestamp}}\n\n[查看详情]({{display_url}})\n\n[查看记录]({{record_url}})\n','{\"CollectionTime_win_value\":\"time:ms\"}','1.0','2021-05-28 11:55:03','2021-05-28 11:55:05',0),(3916,'平台中间件kafka GC耗时异常','dice_addon','dice_addon_kafka_gc_time','ticket','alert','【平台中间件kafka GC耗时告警】\n','【平台中间件kafka GC耗时告警】\n\n中间件: {{addon_id}}\n\n老年代GC耗时: {{CollectionTime_win_value}}\n\n集群: {{cluster_name}}\n\n机器: {{node_host}}\n\n时间: {{timestamp}}\n\n[查看详情]({{display_url}})\n\n[查看记录]({{record_url}})\n','{\"CollectionTime_win_value\":\"time:ms\"}','1.0','2021-05-28 11:55:03','2021-05-28 11:55:05',0),(3917,'平台中间件kafka GC耗时异常','dice_addon','dice_addon_kafka_gc_time','email','alert','【平台中间件kafka GC耗时告警】\n','【平台中间件kafka GC耗时告警】\n\n中间件: {{addon_id}}\n\n老年代GC耗时: {{CollectionTime_win_value}}\n\n集群: {{cluster_name}}\n\n机器: {{node_host}}\n\n时间: {{timestamp}}\n\n[查看详情]({{display_url}})\n\n[查看记录]({{record_url}})\n','{\"CollectionTime_win_value\":\"time:ms\"}','1.0','2021-05-28 11:55:03','2021-05-28 11:55:05',0),(3918,'平台中间件kafka GC耗时异常','dice_addon','dice_addon_kafka_gc_time','mbox','alert','【平台中间件kafka GC耗时告警】\n','【平台中间件kafka GC耗时告警】\n\n中间件: {{addon_id}}\n\n老年代GC耗时: {{CollectionTime_win_value}}\n\n集群: {{cluster_name}}\n\n机器: {{node_host}}\n\n时间: {{timestamp}}\n\n[查看详情]({{display_url}})\n\n[查看记录]({{record_url}})\n','{\"CollectionTime_win_value\":\"time:ms\"}','1.0','2021-05-28 11:55:03','2021-05-28 11:55:05',0),(3919,'平台中间件kafka GC耗时异常','dice_addon','dice_addon_kafka_gc_time','webhook','alert','【平台中间件kafka GC耗时告警】\n','【平台中间件kafka GC耗时告警】\n\n中间件: {{addon_id}}\n\n老年代GC耗时: {{CollectionTime_win_value}}\n\n集群: {{cluster_name}}\n\n机器: {{node_host}}\n\n时间: {{timestamp}}\n\n[查看详情]({{display_url}})\n\n[查看记录]({{record_url}})\n','{\"CollectionTime_win_value\":\"time:ms\"}','1.0','2021-05-28 11:55:03','2021-05-28 11:55:05',0),(3920,'平台中间件kafka GC耗时异常','dice_addon','dice_addon_kafka_gc_time','dingding','recover','【平台中间件kafka GC耗时恢复】\n','【平台中间件kafka GC耗时恢复】\n\n中间件: {{addon_id}}\n\n老年代GC耗时: {{CollectionTime_win_value}}\n\n集群: {{cluster_name}}\n\n机器: {{node_host}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','{\"CollectionTime_win_value\":\"time:ms\",\"trigger_duration\":\"time:ms\"}','1.0','2021-05-28 11:55:03','2021-05-28 11:55:05',0),(3921,'平台中间件kafka GC耗时异常','dice_addon','dice_addon_kafka_gc_time','ticket','recover','【平台中间件kafka GC耗时恢复】\n','【平台中间件kafka GC耗时恢复】\n\n中间件: {{addon_id}}\n\n老年代GC耗时: {{CollectionTime_win_value}}\n\n集群: {{cluster_name}}\n\n机器: {{node_host}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','{\"CollectionTime_win_value\":\"time:ms\",\"trigger_duration\":\"time:ms\"}','1.0','2021-05-28 11:55:03','2021-05-28 11:55:05',0),(3922,'平台中间件kafka GC耗时异常','dice_addon','dice_addon_kafka_gc_time','email','recover','【平台中间件kafka GC耗时恢复】\n','【平台中间件kafka GC耗时恢复】\n\n中间件: {{addon_id}}\n\n老年代GC耗时: {{CollectionTime_win_value}}\n\n集群: {{cluster_name}}\n\n机器: {{node_host}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','{\"CollectionTime_win_value\":\"time:ms\",\"trigger_duration\":\"time:ms\"}','1.0','2021-05-28 11:55:03','2021-05-28 11:55:05',0),(3923,'平台中间件kafka GC耗时异常','dice_addon','dice_addon_kafka_gc_time','mbox','recover','【平台中间件kafka GC耗时恢复】\n','【平台中间件kafka GC耗时恢复】\n\n中间件: {{addon_id}}\n\n老年代GC耗时: {{CollectionTime_win_value}}\n\n集群: {{cluster_name}}\n\n机器: {{node_host}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','{\"CollectionTime_win_value\":\"time:ms\",\"trigger_duration\":\"time:ms\"}','1.0','2021-05-28 11:55:03','2021-05-28 11:55:05',0),(3924,'平台中间件kafka GC耗时异常','dice_addon','dice_addon_kafka_gc_time','webhook','recover','【平台中间件kafka GC耗时恢复】\n','【平台中间件kafka GC耗时恢复】\n\n中间件: {{addon_id}}\n\n老年代GC耗时: {{CollectionTime_win_value}}\n\n集群: {{cluster_name}}\n\n机器: {{node_host}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','{\"CollectionTime_win_value\":\"time:ms\",\"trigger_duration\":\"time:ms\"}','1.0','2021-05-28 11:55:03','2021-05-28 11:55:05',0),(3925,'平台中间件kafka消费堆积','dice_addon','dice_addon_kafka_lag','dingding','alert','【平台中间件kafka消费堆积告警】\n','【平台中间件kafka消费堆积告警】\n\n中间件: {{addon_id}}\n\n消费者组: {{group}}\n\nTopic: {{topic}}\n\n当前消息堆积: {{lag_avg}}\n\n消费速度: {{consume_rate_per_sec_avg}} /s\n\n生产速度: {{produce_rate_per_sec_avg}} /s\n\n集群: {{cluster_name}}\n\n时间: {{timestamp}}\n\n[查看详情]({{display_url}})\n\n[查看记录]({{record_url}})\n','','1.0','2021-05-28 11:55:03','2021-05-28 11:55:05',0),(3926,'平台中间件kafka消费堆积','dice_addon','dice_addon_kafka_lag','ticket','alert','【平台中间件kafka消费堆积告警】\n','【平台中间件kafka消费堆积告警】\n\n中间件: {{addon_id}}\n\n消费者组: {{group}}\n\nTopic: {{topic}}\n\n当前消息堆积: {{lag_avg}}\n\n消费速度: {{consume_rate_per_sec_avg}} /s\n\n生产速度: {{produce_rate_per_sec_avg}} /s\n\n集群: {{cluster_name}}\n\n时间: {{timestamp}}\n\n[查看详情]({{display_url}})\n\n[查看记录]({{record_url}})\n','','1.0','2021-05-28 11:55:03','2021-05-28 11:55:05',0),(3927,'平台中间件kafka消费堆积','dice_addon','dice_addon_kafka_lag','email','alert','【平台中间件kafka消费堆积告警】\n','【平台中间件kafka消费堆积告警】\n\n中间件: {{addon_id}}\n\n消费者组: {{group}}\n\nTopic: {{topic}}\n\n当前消息堆积: {{lag_avg}}\n\n消费速度: {{consume_rate_per_sec_avg}} /s\n\n生产速度: {{produce_rate_per_sec_avg}} /s\n\n集群: {{cluster_name}}\n\n时间: {{timestamp}}\n\n[查看详情]({{display_url}})\n\n[查看记录]({{record_url}})\n','','1.0','2021-05-28 11:55:03','2021-05-28 11:55:05',0),(3928,'平台中间件kafka消费堆积','dice_addon','dice_addon_kafka_lag','mbox','alert','【平台中间件kafka消费堆积告警】\n','【平台中间件kafka消费堆积告警】\n\n中间件: {{addon_id}}\n\n消费者组: {{group}}\n\nTopic: {{topic}}\n\n当前消息堆积: {{lag_avg}}\n\n消费速度: {{consume_rate_per_sec_avg}} /s\n\n生产速度: {{produce_rate_per_sec_avg}} /s\n\n集群: {{cluster_name}}\n\n时间: {{timestamp}}\n\n[查看详情]({{display_url}})\n\n[查看记录]({{record_url}})\n','','1.0','2021-05-28 11:55:03','2021-05-28 11:55:05',0),(3929,'平台中间件kafka消费堆积','dice_addon','dice_addon_kafka_lag','webhook','alert','【平台中间件kafka消费堆积告警】\n','【平台中间件kafka消费堆积告警】\n\n中间件: {{addon_id}}\n\n消费者组: {{group}}\n\nTopic: {{topic}}\n\n当前消息堆积: {{lag_avg}}\n\n消费速度: {{consume_rate_per_sec_avg}} /s\n\n生产速度: {{produce_rate_per_sec_avg}} /s\n\n集群: {{cluster_name}}\n\n时间: {{timestamp}}\n\n[查看详情]({{display_url}})\n\n[查看记录]({{record_url}})\n','','1.0','2021-05-28 11:55:03','2021-05-28 11:55:05',0),(3930,'平台中间件kafka消费堆积','dice_addon','dice_addon_kafka_lag','dingding','recover','【平台中间件kafka消费堆积恢复】\n','【平台中间件kafka消费堆积恢复】\n\n中间件: {{addon_id}}\n\n消费者组: {{group}}\n\nTopic: {{topic}}\n\n当前消息堆积: {{lag_avg}}\n\n集群: {{cluster_name}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','{\"trigger_duration\":\"time:ms\"}','1.0','2021-05-28 11:55:03','2021-05-28 11:55:05',0),(3931,'平台中间件kafka消费堆积','dice_addon','dice_addon_kafka_lag','ticket','recover','【平台中间件kafka消费堆积恢复】\n','【平台中间件kafka消费堆积恢复】\n\n中间件: {{addon_id}}\n\n消费者组: {{group}}\n\nTopic: {{topic}}\n\n当前消息堆积: {{lag_avg}}\n\n集群: {{cluster_name}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','{\"trigger_duration\":\"time:ms\"}','1.0','2021-05-28 11:55:03','2021-05-28 11:55:05',0),(3932,'平台中间件kafka消费堆积','dice_addon','dice_addon_kafka_lag','email','recover','【平台中间件kafka消费堆积恢复】\n','【平台中间件kafka消费堆积恢复】\n\n中间件: {{addon_id}}\n\n消费者组: {{group}}\n\nTopic: {{topic}}\n\n当前消息堆积: {{lag_avg}}\n\n集群: {{cluster_name}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','{\"trigger_duration\":\"time:ms\"}','1.0','2021-05-28 11:55:03','2021-05-28 11:55:05',0),(3933,'平台中间件kafka消费堆积','dice_addon','dice_addon_kafka_lag','mbox','recover','【平台中间件kafka消费堆积恢复】\n','【平台中间件kafka消费堆积恢复】\n\n中间件: {{addon_id}}\n\n消费者组: {{group}}\n\nTopic: {{topic}}\n\n当前消息堆积: {{lag_avg}}\n\n集群: {{cluster_name}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','{\"trigger_duration\":\"time:ms\"}','1.0','2021-05-28 11:55:03','2021-05-28 11:55:05',0),(3934,'平台中间件kafka消费堆积','dice_addon','dice_addon_kafka_lag','webhook','recover','【平台中间件kafka消费堆积恢复】\n','【平台中间件kafka消费堆积恢复】\n\n中间件: {{addon_id}}\n\n消费者组: {{group}}\n\nTopic: {{topic}}\n\n当前消息堆积: {{lag_avg}}\n\n集群: {{cluster_name}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','{\"trigger_duration\":\"time:ms\"}','1.0','2021-05-28 11:55:03','2021-05-28 11:55:05',0),(3935,'平台组件实例CPU异常','dice_component','dice_component_container_cpu','dingding','alert','【平台组件{{component_name}} CPU使用率告警】\n','【平台组件CPU使用率告警】\n\n组件: {{component_name}}\n\n使用率: {{cpu_usage_percent_avg}}\n\n限制: {{cpu_limit_value}}核\n\n分配: {{cpu_allocation_value}}核\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n容器ID: {{container_id}}\n\n时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','{\"cpu_allocation_value\":\"fraction:2\",\"cpu_limit_value\":\"fraction:2\",\"cpu_usage_percent_avg\":\"percent:2\"}','1.0','2021-05-28 11:55:03','2021-05-28 11:55:05',0),(3936,'平台组件实例CPU异常','dice_component','dice_component_container_cpu','ticket','alert','【平台组件{{component_name}} CPU使用率告警】\n','【平台组件CPU使用率告警】\n\n组件: {{component_name}}\n\n使用率: {{cpu_usage_percent_avg}}\n\n限制: {{cpu_limit_value}}核\n\n分配: {{cpu_allocation_value}}核\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n容器ID: {{container_id}}\n\n时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','{\"cpu_allocation_value\":\"fraction:2\",\"cpu_limit_value\":\"fraction:2\",\"cpu_usage_percent_avg\":\"percent:2\"}','1.0','2021-05-28 11:55:03','2021-05-28 11:55:05',0),(3937,'平台组件实例CPU异常','dice_component','dice_component_container_cpu','email','alert','【平台组件{{component_name}} CPU使用率告警】\n','【平台组件CPU使用率告警】\n\n组件: {{component_name}}\n\n使用率: {{cpu_usage_percent_avg}}\n\n限制: {{cpu_limit_value}}核\n\n分配: {{cpu_allocation_value}}核\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n容器ID: {{container_id}}\n\n时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','{\"cpu_allocation_value\":\"fraction:2\",\"cpu_limit_value\":\"fraction:2\",\"cpu_usage_percent_avg\":\"percent:2\"}','1.0','2021-05-28 11:55:03','2021-05-28 11:55:05',0),(3938,'平台组件实例CPU异常','dice_component','dice_component_container_cpu','mbox','alert','【平台组件{{component_name}} CPU使用率告警】\n','【平台组件CPU使用率告警】\n\n组件: {{component_name}}\n\n使用率: {{cpu_usage_percent_avg}}\n\n限制: {{cpu_limit_value}}核\n\n分配: {{cpu_allocation_value}}核\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n容器ID: {{container_id}}\n\n时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','{\"cpu_allocation_value\":\"fraction:2\",\"cpu_limit_value\":\"fraction:2\",\"cpu_usage_percent_avg\":\"percent:2\"}','1.0','2021-05-28 11:55:03','2021-05-28 11:55:05',0),(3939,'平台组件实例CPU异常','dice_component','dice_component_container_cpu','webhook','alert','【平台组件{{component_name}} CPU使用率告警】\n','【平台组件CPU使用率告警】\n\n组件: {{component_name}}\n\n使用率: {{cpu_usage_percent_avg}}\n\n限制: {{cpu_limit_value}}核\n\n分配: {{cpu_allocation_value}}核\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n容器ID: {{container_id}}\n\n时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','{\"cpu_allocation_value\":\"fraction:2\",\"cpu_limit_value\":\"fraction:2\",\"cpu_usage_percent_avg\":\"percent:2\"}','1.0','2021-05-28 11:55:03','2021-05-28 11:55:05',0),(3940,'平台组件实例CPU异常','dice_component','dice_component_container_cpu','dingding','recover','【平台组件{{component_name}} CPU使用率恢复】\n','【平台组件CPU使用率恢复】\n\n组件: {{component_name}}\n\n使用率: {{cpu_usage_percent_avg}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n容器ID: {{container_id}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','{\"cpu_usage_percent_avg\":\"percent:2\",\"trigger_duration\":\"time:ms\"}','1.0','2021-05-28 11:55:03','2021-05-28 11:55:05',0),(3941,'平台组件实例CPU异常','dice_component','dice_component_container_cpu','ticket','recover','【平台组件{{component_name}} CPU使用率恢复】\n','【平台组件CPU使用率恢复】\n\n组件: {{component_name}}\n\n使用率: {{cpu_usage_percent_avg}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n容器ID: {{container_id}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','{\"cpu_usage_percent_avg\":\"percent:2\",\"trigger_duration\":\"time:ms\"}','1.0','2021-05-28 11:55:03','2021-05-28 11:55:05',0),(3942,'平台组件实例CPU异常','dice_component','dice_component_container_cpu','email','recover','【平台组件{{component_name}} CPU使用率恢复】\n','【平台组件CPU使用率恢复】\n\n组件: {{component_name}}\n\n使用率: {{cpu_usage_percent_avg}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n容器ID: {{container_id}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','{\"cpu_usage_percent_avg\":\"percent:2\",\"trigger_duration\":\"time:ms\"}','1.0','2021-05-28 11:55:03','2021-05-28 11:55:05',0),(3943,'平台组件实例CPU异常','dice_component','dice_component_container_cpu','mbox','recover','【平台组件{{component_name}} CPU使用率恢复】\n','【平台组件CPU使用率恢复】\n\n组件: {{component_name}}\n\n使用率: {{cpu_usage_percent_avg}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n容器ID: {{container_id}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','{\"cpu_usage_percent_avg\":\"percent:2\",\"trigger_duration\":\"time:ms\"}','1.0','2021-05-28 11:55:03','2021-05-28 11:55:05',0),(3944,'平台组件实例CPU异常','dice_component','dice_component_container_cpu','webhook','recover','【平台组件{{component_name}} CPU使用率恢复】\n','【平台组件CPU使用率恢复】\n\n组件: {{component_name}}\n\n使用率: {{cpu_usage_percent_avg}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n容器ID: {{container_id}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','{\"cpu_usage_percent_avg\":\"percent:2\",\"trigger_duration\":\"time:ms\"}','1.0','2021-05-28 11:55:03','2021-05-28 11:55:05',0),(3945,'平台组件异常退出','dice_component','dice_component_container_exit','dingding','alert','【平台组件{{component_name}}异常退出告警】\n','【平台组件异常退出告警】\n\n组件: {{component_name}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n启动时间: {{started_at_value}}\n\n退出时间: {{finished_at_value}}\n\n退出原因: {{terminated_reason_value}}\n\n时间: {{timestamp}}\n\n[查看详情]({{display_url}})\n\n[查看记录]({{record_url}})\n','{\"finished_at_value\":\"date\",\"started_at_value\":\"date\"}','1.0','2021-05-28 11:55:03','2021-05-28 11:55:05',0),(3946,'平台组件异常退出','dice_component','dice_component_container_exit','ticket','alert','【平台组件{{component_name}}异常退出告警】\n','【平台组件异常退出告警】\n\n组件: {{component_name}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n启动时间: {{started_at_value}}\n\n退出时间: {{finished_at_value}}\n\n退出原因: {{terminated_reason_value}}\n\n时间: {{timestamp}}\n\n[查看详情]({{display_url}})\n\n[查看记录]({{record_url}})\n','{\"finished_at_value\":\"date\",\"started_at_value\":\"date\"}','1.0','2021-05-28 11:55:03','2021-05-28 11:55:05',0),(3947,'平台组件异常退出','dice_component','dice_component_container_exit','email','alert','【平台组件{{component_name}}异常退出告警】\n','【平台组件异常退出告警】\n\n组件: {{component_name}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n启动时间: {{started_at_value}}\n\n退出时间: {{finished_at_value}}\n\n退出原因: {{terminated_reason_value}}\n\n时间: {{timestamp}}\n\n[查看详情]({{display_url}})\n\n[查看记录]({{record_url}})\n','{\"finished_at_value\":\"date\",\"started_at_value\":\"date\"}','1.0','2021-05-28 11:55:03','2021-05-28 11:55:05',0),(3948,'平台组件异常退出','dice_component','dice_component_container_exit','mbox','alert','【平台组件{{component_name}}异常退出告警】\n','【平台组件异常退出告警】\n\n组件: {{component_name}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n启动时间: {{started_at_value}}\n\n退出时间: {{finished_at_value}}\n\n退出原因: {{terminated_reason_value}}\n\n时间: {{timestamp}}\n\n[查看详情]({{display_url}})\n\n[查看记录]({{record_url}})\n','{\"finished_at_value\":\"date\",\"started_at_value\":\"date\"}','1.0','2021-05-28 11:55:03','2021-05-28 11:55:05',0),(3949,'平台组件异常退出','dice_component','dice_component_container_exit','webhook','alert','【平台组件{{component_name}}异常退出告警】\n','【平台组件异常退出告警】\n\n组件: {{component_name}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n启动时间: {{started_at_value}}\n\n退出时间: {{finished_at_value}}\n\n退出原因: {{terminated_reason_value}}\n\n时间: {{timestamp}}\n\n[查看详情]({{display_url}})\n\n[查看记录]({{record_url}})\n','{\"finished_at_value\":\"date\",\"started_at_value\":\"date\"}','1.0','2021-05-28 11:55:03','2021-05-28 11:55:05',0),(3950,'平台组件异常退出','dice_component','dice_component_container_exit','dingding','recover','【平台组件{{component_name}}异常退出恢复】\n','【平台组件异常退出恢复】\n\n组件: {{component_name}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','{\"trigger_duration\":\"time:ms\"}','1.0','2021-05-28 11:55:03','2021-05-28 11:55:05',0),(3951,'平台组件异常退出','dice_component','dice_component_container_exit','ticket','recover','【平台组件{{component_name}}异常退出恢复】\n','【平台组件异常退出恢复】\n\n组件: {{component_name}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','{\"trigger_duration\":\"time:ms\"}','1.0','2021-05-28 11:55:03','2021-05-28 11:55:05',0),(3952,'平台组件异常退出','dice_component','dice_component_container_exit','email','recover','【平台组件{{component_name}}异常退出恢复】\n','【平台组件异常退出恢复】\n\n组件: {{component_name}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','{\"trigger_duration\":\"time:ms\"}','1.0','2021-05-28 11:55:03','2021-05-28 11:55:05',0),(3953,'平台组件异常退出','dice_component','dice_component_container_exit','mbox','recover','【平台组件{{component_name}}异常退出恢复】\n','【平台组件异常退出恢复】\n\n组件: {{component_name}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','{\"trigger_duration\":\"time:ms\"}','1.0','2021-05-28 11:55:03','2021-05-28 11:55:05',0),(3954,'平台组件异常退出','dice_component','dice_component_container_exit','webhook','recover','【平台组件{{component_name}}异常退出恢复】\n','【平台组件异常退出恢复】\n\n组件: {{component_name}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','{\"trigger_duration\":\"time:ms\"}','1.0','2021-05-28 11:55:03','2021-05-28 11:55:05',0),(3955,'平台组件实例内存异常','dice_component','dice_component_container_mem','dingding','alert','【平台组件{{component_name}}内存使用率告警】\n','【平台组件内存使用率告警】\n\n组件: {{component_name}}\n\n使用率: {{mem_usage_percent_avg}}\n\n使用: {{mem_usage_value}}\n\n限制: {{mem_limit_value}}\n\n分配: {{mem_allocation_value}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n容器ID: {{container_id}}\n\n时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','{\"mem_allocation_value\":\"size:byte\",\"mem_limit_value\":\"size:byte\",\"mem_usage_percent_avg\":\"percent:2\",\"mem_usage_value\":\"size:byte\"}','1.0','2021-05-28 11:55:03','2021-05-28 11:55:05',0),(3956,'平台组件实例内存异常','dice_component','dice_component_container_mem','ticket','alert','【平台组件{{component_name}}内存使用率告警】\n','【平台组件内存使用率告警】\n\n组件: {{component_name}}\n\n使用率: {{mem_usage_percent_avg}}\n\n使用: {{mem_usage_value}}\n\n限制: {{mem_limit_value}}\n\n分配: {{mem_allocation_value}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n容器ID: {{container_id}}\n\n时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','{\"mem_allocation_value\":\"size:byte\",\"mem_limit_value\":\"size:byte\",\"mem_usage_percent_avg\":\"percent:2\",\"mem_usage_value\":\"size:byte\"}','1.0','2021-05-28 11:55:03','2021-05-28 11:55:05',0),(3957,'平台组件实例内存异常','dice_component','dice_component_container_mem','email','alert','【平台组件{{component_name}}内存使用率告警】\n','【平台组件内存使用率告警】\n\n组件: {{component_name}}\n\n使用率: {{mem_usage_percent_avg}}\n\n使用: {{mem_usage_value}}\n\n限制: {{mem_limit_value}}\n\n分配: {{mem_allocation_value}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n容器ID: {{container_id}}\n\n时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','{\"mem_allocation_value\":\"size:byte\",\"mem_limit_value\":\"size:byte\",\"mem_usage_percent_avg\":\"percent:2\",\"mem_usage_value\":\"size:byte\"}','1.0','2021-05-28 11:55:03','2021-05-28 11:55:05',0),(3958,'平台组件实例内存异常','dice_component','dice_component_container_mem','mbox','alert','【平台组件{{component_name}}内存使用率告警】\n','【平台组件内存使用率告警】\n\n组件: {{component_name}}\n\n使用率: {{mem_usage_percent_avg}}\n\n使用: {{mem_usage_value}}\n\n限制: {{mem_limit_value}}\n\n分配: {{mem_allocation_value}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n容器ID: {{container_id}}\n\n时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','{\"mem_allocation_value\":\"size:byte\",\"mem_limit_value\":\"size:byte\",\"mem_usage_percent_avg\":\"percent:2\",\"mem_usage_value\":\"size:byte\"}','1.0','2021-05-28 11:55:03','2021-05-28 11:55:05',0),(3959,'平台组件实例内存异常','dice_component','dice_component_container_mem','webhook','alert','【平台组件{{component_name}}内存使用率告警】\n','【平台组件内存使用率告警】\n\n组件: {{component_name}}\n\n使用率: {{mem_usage_percent_avg}}\n\n使用: {{mem_usage_value}}\n\n限制: {{mem_limit_value}}\n\n分配: {{mem_allocation_value}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n容器ID: {{container_id}}\n\n时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','{\"mem_allocation_value\":\"size:byte\",\"mem_limit_value\":\"size:byte\",\"mem_usage_percent_avg\":\"percent:2\",\"mem_usage_value\":\"size:byte\"}','1.0','2021-05-28 11:55:03','2021-05-28 11:55:05',0),(3960,'平台组件实例内存异常','dice_component','dice_component_container_mem','dingding','recover','【平台组件{{component_name}}内存使用率恢复】\n','【平台组件内存使用率恢复】\n\n组件: {{component_name}}\n\n使用率: {{mem_usage_percent_avg}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n容器ID: {{container_id}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','{\"trigger_duration\":\"time:ms\",\"usage_percent_avg\":\"percent:2\"}','1.0','2021-05-28 11:55:03','2021-05-28 11:55:05',0),(3961,'平台组件实例内存异常','dice_component','dice_component_container_mem','ticket','recover','【平台组件{{component_name}}内存使用率恢复】\n','【平台组件内存使用率恢复】\n\n组件: {{component_name}}\n\n使用率: {{mem_usage_percent_avg}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n容器ID: {{container_id}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','{\"trigger_duration\":\"time:ms\",\"usage_percent_avg\":\"percent:2\"}','1.0','2021-05-28 11:55:03','2021-05-28 11:55:05',0),(3962,'平台组件实例内存异常','dice_component','dice_component_container_mem','email','recover','【平台组件{{component_name}}内存使用率恢复】\n','【平台组件内存使用率恢复】\n\n组件: {{component_name}}\n\n使用率: {{mem_usage_percent_avg}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n容器ID: {{container_id}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','{\"trigger_duration\":\"time:ms\",\"usage_percent_avg\":\"percent:2\"}','1.0','2021-05-28 11:55:03','2021-05-28 11:55:05',0),(3963,'平台组件实例内存异常','dice_component','dice_component_container_mem','mbox','recover','【平台组件{{component_name}}内存使用率恢复】\n','【平台组件内存使用率恢复】\n\n组件: {{component_name}}\n\n使用率: {{mem_usage_percent_avg}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n容器ID: {{container_id}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','{\"trigger_duration\":\"time:ms\",\"usage_percent_avg\":\"percent:2\"}','1.0','2021-05-28 11:55:03','2021-05-28 11:55:05',0),(3964,'平台组件实例内存异常','dice_component','dice_component_container_mem','webhook','recover','【平台组件{{component_name}}内存使用率恢复】\n','【平台组件内存使用率恢复】\n\n组件: {{component_name}}\n\n使用率: {{mem_usage_percent_avg}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n容器ID: {{container_id}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','{\"trigger_duration\":\"time:ms\",\"usage_percent_avg\":\"percent:2\"}','1.0','2021-05-28 11:55:03','2021-05-28 11:55:05',0),(3965,'平台组件实例Ready状态异常','dice_component','dice_component_container_ready','dingding','alert','【平台组件{{component_name}} Ready状态异常告警】\n','【平台组件Ready状态异常告警】\n\n组件: {{component_name}}\n\n未就绪实例: {{not_ready_value}}\n\n已就绪实例: {{ready_value}}\n\n集群: {{cluster_name}}\n\n时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','','1.0','2021-05-28 11:55:03','2021-05-28 11:55:05',0),(3966,'平台组件实例Ready状态异常','dice_component','dice_component_container_ready','ticket','alert','【平台组件{{component_name}} Ready状态异常告警】\n','【平台组件Ready状态异常告警】\n\n组件: {{component_name}}\n\n未就绪实例: {{not_ready_value}}\n\n已就绪实例: {{ready_value}}\n\n集群: {{cluster_name}}\n\n时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','','1.0','2021-05-28 11:55:03','2021-05-28 11:55:05',0),(3967,'平台组件实例Ready状态异常','dice_component','dice_component_container_ready','email','alert','【平台组件{{component_name}} Ready状态异常告警】\n','【平台组件Ready状态异常告警】\n\n组件: {{component_name}}\n\n未就绪实例: {{not_ready_value}}\n\n已就绪实例: {{ready_value}}\n\n集群: {{cluster_name}}\n\n时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','','1.0','2021-05-28 11:55:03','2021-05-28 11:55:05',0),(3968,'平台组件实例Ready状态异常','dice_component','dice_component_container_ready','mbox','alert','【平台组件{{component_name}} Ready状态异常告警】\n','【平台组件Ready状态异常告警】\n\n组件: {{component_name}}\n\n未就绪实例: {{not_ready_value}}\n\n已就绪实例: {{ready_value}}\n\n集群: {{cluster_name}}\n\n时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','','1.0','2021-05-28 11:55:03','2021-05-28 11:55:05',0),(3969,'平台组件实例Ready状态异常','dice_component','dice_component_container_ready','webhook','alert','【平台组件{{component_name}} Ready状态异常告警】\n','【平台组件Ready状态异常告警】\n\n组件: {{component_name}}\n\n未就绪实例: {{not_ready_value}}\n\n已就绪实例: {{ready_value}}\n\n集群: {{cluster_name}}\n\n时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','','1.0','2021-05-28 11:55:03','2021-05-28 11:55:05',0),(3970,'平台组件实例Ready状态异常','dice_component','dice_component_container_ready','dingding','recover','【平台组件{{component_name}} Ready状态异常恢复】\n','【平台组件Ready状态异常恢复】\n\n组件: {{component_name}}\n\n已绪数实例: {{ready_value}}\n\n集群: {{cluster_name}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','{\"trigger_duration\":\"time:ms\"}','1.0','2021-05-28 11:55:03','2021-05-28 11:55:05',0),(3971,'平台组件实例Ready状态异常','dice_component','dice_component_container_ready','ticket','recover','【平台组件{{component_name}} Ready状态异常恢复】\n','【平台组件Ready状态异常恢复】\n\n组件: {{component_name}}\n\n已绪数实例: {{ready_value}}\n\n集群: {{cluster_name}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','{\"trigger_duration\":\"time:ms\"}','1.0','2021-05-28 11:55:03','2021-05-28 11:55:05',0),(3972,'平台组件实例Ready状态异常','dice_component','dice_component_container_ready','email','recover','【平台组件{{component_name}} Ready状态异常恢复】\n','【平台组件Ready状态异常恢复】\n\n组件: {{component_name}}\n\n已绪数实例: {{ready_value}}\n\n集群: {{cluster_name}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','{\"trigger_duration\":\"time:ms\"}','1.0','2021-05-28 11:55:03','2021-05-28 11:55:05',0),(3973,'平台组件实例Ready状态异常','dice_component','dice_component_container_ready','mbox','recover','【平台组件{{component_name}} Ready状态异常恢复】\n','【平台组件Ready状态异常恢复】\n\n组件: {{component_name}}\n\n已绪数实例: {{ready_value}}\n\n集群: {{cluster_name}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','{\"trigger_duration\":\"time:ms\"}','1.0','2021-05-28 11:55:03','2021-05-28 11:55:05',0),(3974,'平台组件实例Ready状态异常','dice_component','dice_component_container_ready','webhook','recover','【平台组件{{component_name}} Ready状态异常恢复】\n','【平台组件Ready状态异常恢复】\n\n组件: {{component_name}}\n\n已绪数实例: {{ready_value}}\n\n集群: {{cluster_name}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','{\"trigger_duration\":\"time:ms\"}','1.0','2021-05-28 11:55:03','2021-05-28 11:55:05',0),(3975,'平台组件Flink任务checkpoint延迟异常告警','dice_component','dice_component_flink_checkpoint_duration','dingding','alert','【平台组件Flink任务checkpoint延迟异常告警】\n','【平台组件Flink任务checkpoint延迟异常告警】\n\n延迟: {{lastCheckpointDuration_value}}ms\n\n任务ID： {{job_id}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','{}','1.0','2021-05-28 11:55:03','2021-05-28 11:55:05',0),(3976,'平台组件Flink任务checkpoint延迟异常告警','dice_component','dice_component_flink_checkpoint_duration','ticket','alert','【平台组件Flink任务checkpoint延迟异常告警】\n','【平台组件Flink任务checkpoint延迟异常告警】\n\n延迟: {{lastCheckpointDuration_value}}ms\n\n任务ID： {{job_id}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','{}','1.0','2021-05-28 11:55:03','2021-05-28 11:55:05',0),(3977,'平台组件Flink任务checkpoint延迟异常告警','dice_component','dice_component_flink_checkpoint_duration','email','alert','【平台组件Flink任务checkpoint延迟异常告警】\n','【平台组件Flink任务checkpoint延迟异常告警】\n\n延迟: {{lastCheckpointDuration_value}}ms\n\n任务ID： {{job_id}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','{}','1.0','2021-05-28 11:55:03','2021-05-28 11:55:05',0),(3978,'平台组件Flink任务checkpoint延迟异常告警','dice_component','dice_component_flink_checkpoint_duration','mbox','alert','【平台组件Flink任务checkpoint延迟异常告警】\n','【平台组件Flink任务checkpoint延迟异常告警】\n\n延迟: {{lastCheckpointDuration_value}}ms\n\n任务ID： {{job_id}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','{}','1.0','2021-05-28 11:55:03','2021-05-28 11:55:05',0),(3979,'平台组件Flink任务checkpoint延迟异常告警','dice_component','dice_component_flink_checkpoint_duration','webhook','alert','【平台组件Flink任务checkpoint延迟异常告警】\n','【平台组件Flink任务checkpoint延迟异常告警】\n\n延迟: {{lastCheckpointDuration_value}}ms\n\n任务ID： {{job_id}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','{}','1.0','2021-05-28 11:55:03','2021-05-28 11:55:05',0),(3980,'平台组件Flink吞吐量异常告警','dice_component','dice_component_flink_throughput','dingding','alert','【平台组件Flink吞吐量异常告警】\n','【平台组件Flink吞吐量异常告警】\n\noperator每秒输出量: {{numRecordsOutPerSecond_count_value}}\n\n任务ID： {{job_id}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','{}','1.0','2021-05-28 11:55:03','2021-05-28 11:55:05',0),(3981,'平台组件Flink吞吐量异常告警','dice_component','dice_component_flink_throughput','ticket','alert','【平台组件Flink吞吐量异常告警】\n','【平台组件Flink吞吐量异常告警】\n\noperator每秒输出量: {{numRecordsOutPerSecond_count_value}}\n\n任务ID： {{job_id}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','{}','1.0','2021-05-28 11:55:03','2021-05-28 11:55:05',0),(3982,'平台组件Flink吞吐量异常告警','dice_component','dice_component_flink_throughput','email','alert','【平台组件Flink吞吐量异常告警】\n','【平台组件Flink吞吐量异常告警】\n\noperator每秒输出量: {{numRecordsOutPerSecond_count_value}}\n\n任务ID： {{job_id}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','{}','1.0','2021-05-28 11:55:03','2021-05-28 11:55:05',0),(3983,'平台组件Flink吞吐量异常告警','dice_component','dice_component_flink_throughput','mbox','alert','【平台组件Flink吞吐量异常告警】\n','【平台组件Flink吞吐量异常告警】\n\noperator每秒输出量: {{numRecordsOutPerSecond_count_value}}\n\n任务ID： {{job_id}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','{}','1.0','2021-05-28 11:55:03','2021-05-28 11:55:05',0),(3984,'平台组件Flink吞吐量异常告警','dice_component','dice_component_flink_throughput','webhook','alert','【平台组件Flink吞吐量异常告警】\n','【平台组件Flink吞吐量异常告警】\n\noperator每秒输出量: {{numRecordsOutPerSecond_count_value}}\n\n任务ID： {{job_id}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','{}','1.0','2021-05-28 11:55:03','2021-05-28 11:55:05',0),(3985,'平台组件网盘不可用告警','dice_component','dice_component_gfs_status','dingding','alert','【平台组件网盘疑似不可用告警】\n','【平台组件网盘疑似不可用告警】\n\n组件: {{component_name}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','{}','1.0','2021-05-28 11:55:03','2021-05-28 11:55:05',0),(3986,'平台组件网盘不可用告警','dice_component','dice_component_gfs_status','ticket','alert','【平台组件网盘疑似不可用告警】\n','【平台组件网盘疑似不可用告警】\n\n组件: {{component_name}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','{}','1.0','2021-05-28 11:55:03','2021-05-28 11:55:05',0),(3987,'平台组件网盘不可用告警','dice_component','dice_component_gfs_status','email','alert','【平台组件网盘疑似不可用告警】\n','【平台组件网盘疑似不可用告警】\n\n组件: {{component_name}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','{}','1.0','2021-05-28 11:55:03','2021-05-28 11:55:05',0),(3988,'平台组件网盘不可用告警','dice_component','dice_component_gfs_status','mbox','alert','【平台组件网盘疑似不可用告警】\n','【平台组件网盘疑似不可用告警】\n\n组件: {{component_name}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','{}','1.0','2021-05-28 11:55:03','2021-05-28 11:55:05',0),(3989,'平台组件网盘不可用告警','dice_component','dice_component_gfs_status','webhook','alert','【平台组件网盘疑似不可用告警】\n','【平台组件网盘疑似不可用告警】\n\n组件: {{component_name}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','{}','1.0','2021-05-28 11:55:03','2021-05-28 11:55:05',0),(3990,'kubernetes组件实例CPU异常','kubernetes','kubernetes_instance_cpu','dingding','alert','【{{cluster_name}}集群kubernetes组件{{pod_name}} CPU使用率告警】\n','【kubernetes组件CPU使用率告警】\n\nPod: {{pod_name}}\n\n使用率: {{cpu_usage_percent_avg}}\n\n限制: {{cpu_limit_value}}核\n\n分配: {{cpu_allocation_value}}核\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n容器ID: {{container_id}}\n\n时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','{\"cpu_allocation_value\":\"fraction:2\",\"cpu_limit_value\":\"fraction:2\",\"cpu_usage_percent_avg\":\"percent:2\"}','1.0','2021-05-28 11:55:03','2021-05-28 11:55:05',0),(3991,'kubernetes组件实例CPU异常','kubernetes','kubernetes_instance_cpu','ticket','alert','【{{cluster_name}}集群kubernetes组件{{pod_name}} CPU使用率告警】\n','【kubernetes组件CPU使用率告警】\n\nPod: {{pod_name}}\n\n使用率: {{cpu_usage_percent_avg}}\n\n限制: {{cpu_limit_value}}核\n\n分配: {{cpu_allocation_value}}核\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n容器ID: {{container_id}}\n\n时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','{\"cpu_allocation_value\":\"fraction:2\",\"cpu_limit_value\":\"fraction:2\",\"cpu_usage_percent_avg\":\"percent:2\"}','1.0','2021-05-28 11:55:03','2021-05-28 11:55:05',0),(3992,'kubernetes组件实例CPU异常','kubernetes','kubernetes_instance_cpu','email','alert','【{{cluster_name}}集群kubernetes组件{{pod_name}} CPU使用率告警】\n','【kubernetes组件CPU使用率告警】\n\nPod: {{pod_name}}\n\n使用率: {{cpu_usage_percent_avg}}\n\n限制: {{cpu_limit_value}}核\n\n分配: {{cpu_allocation_value}}核\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n容器ID: {{container_id}}\n\n时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','{\"cpu_allocation_value\":\"fraction:2\",\"cpu_limit_value\":\"fraction:2\",\"cpu_usage_percent_avg\":\"percent:2\"}','1.0','2021-05-28 11:55:03','2021-05-28 11:55:05',0),(3993,'kubernetes组件实例CPU异常','kubernetes','kubernetes_instance_cpu','mbox','alert','【{{cluster_name}}集群kubernetes组件{{pod_name}} CPU使用率告警】\n','【kubernetes组件CPU使用率告警】\n\nPod: {{pod_name}}\n\n使用率: {{cpu_usage_percent_avg}}\n\n限制: {{cpu_limit_value}}核\n\n分配: {{cpu_allocation_value}}核\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n容器ID: {{container_id}}\n\n时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','{\"cpu_allocation_value\":\"fraction:2\",\"cpu_limit_value\":\"fraction:2\",\"cpu_usage_percent_avg\":\"percent:2\"}','1.0','2021-05-28 11:55:03','2021-05-28 11:55:05',0),(3994,'kubernetes组件实例CPU异常','kubernetes','kubernetes_instance_cpu','webhook','alert','【{{cluster_name}}集群kubernetes组件{{pod_name}} CPU使用率告警】\n','【kubernetes组件CPU使用率告警】\n\nPod: {{pod_name}}\n\n使用率: {{cpu_usage_percent_avg}}\n\n限制: {{cpu_limit_value}}核\n\n分配: {{cpu_allocation_value}}核\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n容器ID: {{container_id}}\n\n时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','{\"cpu_allocation_value\":\"fraction:2\",\"cpu_limit_value\":\"fraction:2\",\"cpu_usage_percent_avg\":\"percent:2\"}','1.0','2021-05-28 11:55:03','2021-05-28 11:55:05',0),(3995,'kubernetes组件实例CPU异常','kubernetes','kubernetes_instance_cpu','dingding','recover','【{{cluster_name}}集群kubernetes组件{{pod_name}} CPU使用率恢复】\n','【kubernetes组件CPU使用率恢复】\n\nPod: {{pod_name}}\n\n使用率: {{cpu_usage_percent_avg}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n容器ID: {{container_id}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','{\"cpu_usage_percent_avg\":\"percent:2\",\"trigger_duration\":\"time:ms\"}','1.0','2021-05-28 11:55:03','2021-05-28 11:55:05',0),(3996,'kubernetes组件实例CPU异常','kubernetes','kubernetes_instance_cpu','ticket','recover','【{{cluster_name}}集群kubernetes组件{{pod_name}} CPU使用率恢复】\n','【kubernetes组件CPU使用率恢复】\n\nPod: {{pod_name}}\n\n使用率: {{cpu_usage_percent_avg}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n容器ID: {{container_id}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','{\"cpu_usage_percent_avg\":\"percent:2\",\"trigger_duration\":\"time:ms\"}','1.0','2021-05-28 11:55:03','2021-05-28 11:55:05',0),(3997,'kubernetes组件实例CPU异常','kubernetes','kubernetes_instance_cpu','email','recover','【{{cluster_name}}集群kubernetes组件{{pod_name}} CPU使用率恢复】\n','【kubernetes组件CPU使用率恢复】\n\nPod: {{pod_name}}\n\n使用率: {{cpu_usage_percent_avg}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n容器ID: {{container_id}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','{\"cpu_usage_percent_avg\":\"percent:2\",\"trigger_duration\":\"time:ms\"}','1.0','2021-05-28 11:55:03','2021-05-28 11:55:05',0),(3998,'kubernetes组件实例CPU异常','kubernetes','kubernetes_instance_cpu','mbox','recover','【{{cluster_name}}集群kubernetes组件{{pod_name}} CPU使用率恢复】\n','【kubernetes组件CPU使用率恢复】\n\nPod: {{pod_name}}\n\n使用率: {{cpu_usage_percent_avg}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n容器ID: {{container_id}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','{\"cpu_usage_percent_avg\":\"percent:2\",\"trigger_duration\":\"time:ms\"}','1.0','2021-05-28 11:55:03','2021-05-28 11:55:05',0),(3999,'kubernetes组件实例CPU异常','kubernetes','kubernetes_instance_cpu','webhook','recover','【{{cluster_name}}集群kubernetes组件{{pod_name}} CPU使用率恢复】\n','【kubernetes组件CPU使用率恢复】\n\nPod: {{pod_name}}\n\n使用率: {{cpu_usage_percent_avg}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n容器ID: {{container_id}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','{\"cpu_usage_percent_avg\":\"percent:2\",\"trigger_duration\":\"time:ms\"}','1.0','2021-05-28 11:55:03','2021-05-28 11:55:05',0),(4000,'kubernetes组件异常退出','kubernetes','kubernetes_instance_exit','dingding','alert','【{{cluster_name}}集群kubernetes组件{{pod_name}}异常退出告警】\n','【kubernetes组件异常退出告警】\n\n组件: {{pod_name}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n启动时间: {{started_at_value}}\n\n退出时间: {{finished_at_value}}\n\n退出原因: {{terminated_reason_value}}\n\n时间: {{timestamp}}\n\n[查看详情]({{display_url}})\n\n[查看记录]({{record_url}})\n','{\"finished_at_value\":\"date\",\"started_at_value\":\"date\"}','1.0','2021-05-28 11:55:03','2021-05-28 11:55:05',0),(4001,'kubernetes组件异常退出','kubernetes','kubernetes_instance_exit','ticket','alert','【{{cluster_name}}集群kubernetes组件{{pod_name}}异常退出告警】\n','【kubernetes组件异常退出告警】\n\n组件: {{pod_name}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n启动时间: {{started_at_value}}\n\n退出时间: {{finished_at_value}}\n\n退出原因: {{terminated_reason_value}}\n\n时间: {{timestamp}}\n\n[查看详情]({{display_url}})\n\n[查看记录]({{record_url}})\n','{\"finished_at_value\":\"date\",\"started_at_value\":\"date\"}','1.0','2021-05-28 11:55:03','2021-05-28 11:55:05',0),(4002,'kubernetes组件异常退出','kubernetes','kubernetes_instance_exit','email','alert','【{{cluster_name}}集群kubernetes组件{{pod_name}}异常退出告警】\n','【kubernetes组件异常退出告警】\n\n组件: {{pod_name}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n启动时间: {{started_at_value}}\n\n退出时间: {{finished_at_value}}\n\n退出原因: {{terminated_reason_value}}\n\n时间: {{timestamp}}\n\n[查看详情]({{display_url}})\n\n[查看记录]({{record_url}})\n','{\"finished_at_value\":\"date\",\"started_at_value\":\"date\"}','1.0','2021-05-28 11:55:03','2021-05-28 11:55:05',0),(4003,'kubernetes组件异常退出','kubernetes','kubernetes_instance_exit','mbox','alert','【{{cluster_name}}集群kubernetes组件{{pod_name}}异常退出告警】\n','【kubernetes组件异常退出告警】\n\n组件: {{pod_name}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n启动时间: {{started_at_value}}\n\n退出时间: {{finished_at_value}}\n\n退出原因: {{terminated_reason_value}}\n\n时间: {{timestamp}}\n\n[查看详情]({{display_url}})\n\n[查看记录]({{record_url}})\n','{\"finished_at_value\":\"date\",\"started_at_value\":\"date\"}','1.0','2021-05-28 11:55:03','2021-05-28 11:55:05',0),(4004,'kubernetes组件异常退出','kubernetes','kubernetes_instance_exit','webhook','alert','【{{cluster_name}}集群kubernetes组件{{pod_name}}异常退出告警】\n','【kubernetes组件异常退出告警】\n\n组件: {{pod_name}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n启动时间: {{started_at_value}}\n\n退出时间: {{finished_at_value}}\n\n退出原因: {{terminated_reason_value}}\n\n时间: {{timestamp}}\n\n[查看详情]({{display_url}})\n\n[查看记录]({{record_url}})\n','{\"finished_at_value\":\"date\",\"started_at_value\":\"date\"}','1.0','2021-05-28 11:55:03','2021-05-28 11:55:05',0),(4005,'kubernetes组件异常退出','kubernetes','kubernetes_instance_exit','dingding','recover','【{{cluster_name}}集群kubernetes组件{{pod_name}}异常退出恢复】\n','【kubernetes组件异常退出恢复】\n\n组件: {{pod_name}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','{\"trigger_duration\":\"time:ms\"}','1.0','2021-05-28 11:55:03','2021-05-28 11:55:05',0),(4006,'kubernetes组件异常退出','kubernetes','kubernetes_instance_exit','ticket','recover','【{{cluster_name}}集群kubernetes组件{{pod_name}}异常退出恢复】\n','【kubernetes组件异常退出恢复】\n\n组件: {{pod_name}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','{\"trigger_duration\":\"time:ms\"}','1.0','2021-05-28 11:55:03','2021-05-28 11:55:05',0),(4007,'kubernetes组件异常退出','kubernetes','kubernetes_instance_exit','email','recover','【{{cluster_name}}集群kubernetes组件{{pod_name}}异常退出恢复】\n','【kubernetes组件异常退出恢复】\n\n组件: {{pod_name}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','{\"trigger_duration\":\"time:ms\"}','1.0','2021-05-28 11:55:03','2021-05-28 11:55:05',0),(4008,'kubernetes组件异常退出','kubernetes','kubernetes_instance_exit','mbox','recover','【{{cluster_name}}集群kubernetes组件{{pod_name}}异常退出恢复】\n','【kubernetes组件异常退出恢复】\n\n组件: {{pod_name}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','{\"trigger_duration\":\"time:ms\"}','1.0','2021-05-28 11:55:03','2021-05-28 11:55:05',0),(4009,'kubernetes组件异常退出','kubernetes','kubernetes_instance_exit','webhook','recover','【{{cluster_name}}集群kubernetes组件{{pod_name}}异常退出恢复】\n','【kubernetes组件异常退出恢复】\n\n组件: {{pod_name}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','{\"trigger_duration\":\"time:ms\"}','1.0','2021-05-28 11:55:03','2021-05-28 11:55:05',0),(4010,'kubernetes组件实例内存异常','kubernetes','kubernetes_instance_mem','dingding','alert','【{{cluster_name}}集群kubernetes组件{{pod_name}}内存使用率告警】\n','【kubernetes组件内存使用率告警】\n\nPod: {{pod_name}}\n\n使用率: {{mem_usage_percent_avg}}\n\n使用: {{mem_usage_value}}\n\n限制: {{mem_limit_value}}\n\n分配: {{mem_allocation_value}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n容器ID: {{container_id}}\n\n时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','{\"mem_allocation_value\":\"size:byte\",\"mem_limit_value\":\"size:byte\",\"mem_usage_percent_avg\":\"percent:2\",\"mem_usage_value\":\"size:byte\"}','1.0','2021-05-28 11:55:03','2021-05-28 11:55:05',0),(4011,'kubernetes组件实例内存异常','kubernetes','kubernetes_instance_mem','ticket','alert','【{{cluster_name}}集群kubernetes组件{{pod_name}}内存使用率告警】\n','【kubernetes组件内存使用率告警】\n\nPod: {{pod_name}}\n\n使用率: {{mem_usage_percent_avg}}\n\n使用: {{mem_usage_value}}\n\n限制: {{mem_limit_value}}\n\n分配: {{mem_allocation_value}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n容器ID: {{container_id}}\n\n时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','{\"mem_allocation_value\":\"size:byte\",\"mem_limit_value\":\"size:byte\",\"mem_usage_percent_avg\":\"percent:2\",\"mem_usage_value\":\"size:byte\"}','1.0','2021-05-28 11:55:03','2021-05-28 11:55:05',0),(4012,'kubernetes组件实例内存异常','kubernetes','kubernetes_instance_mem','email','alert','【{{cluster_name}}集群kubernetes组件{{pod_name}}内存使用率告警】\n','【kubernetes组件内存使用率告警】\n\nPod: {{pod_name}}\n\n使用率: {{mem_usage_percent_avg}}\n\n使用: {{mem_usage_value}}\n\n限制: {{mem_limit_value}}\n\n分配: {{mem_allocation_value}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n容器ID: {{container_id}}\n\n时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','{\"mem_allocation_value\":\"size:byte\",\"mem_limit_value\":\"size:byte\",\"mem_usage_percent_avg\":\"percent:2\",\"mem_usage_value\":\"size:byte\"}','1.0','2021-05-28 11:55:03','2021-05-28 11:55:05',0),(4013,'kubernetes组件实例内存异常','kubernetes','kubernetes_instance_mem','mbox','alert','【{{cluster_name}}集群kubernetes组件{{pod_name}}内存使用率告警】\n','【kubernetes组件内存使用率告警】\n\nPod: {{pod_name}}\n\n使用率: {{mem_usage_percent_avg}}\n\n使用: {{mem_usage_value}}\n\n限制: {{mem_limit_value}}\n\n分配: {{mem_allocation_value}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n容器ID: {{container_id}}\n\n时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','{\"mem_allocation_value\":\"size:byte\",\"mem_limit_value\":\"size:byte\",\"mem_usage_percent_avg\":\"percent:2\",\"mem_usage_value\":\"size:byte\"}','1.0','2021-05-28 11:55:03','2021-05-28 11:55:05',0),(4014,'kubernetes组件实例内存异常','kubernetes','kubernetes_instance_mem','webhook','alert','【{{cluster_name}}集群kubernetes组件{{pod_name}}内存使用率告警】\n','【kubernetes组件内存使用率告警】\n\nPod: {{pod_name}}\n\n使用率: {{mem_usage_percent_avg}}\n\n使用: {{mem_usage_value}}\n\n限制: {{mem_limit_value}}\n\n分配: {{mem_allocation_value}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n容器ID: {{container_id}}\n\n时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','{\"mem_allocation_value\":\"size:byte\",\"mem_limit_value\":\"size:byte\",\"mem_usage_percent_avg\":\"percent:2\",\"mem_usage_value\":\"size:byte\"}','1.0','2021-05-28 11:55:03','2021-05-28 11:55:05',0),(4015,'kubernetes组件实例内存异常','kubernetes','kubernetes_instance_mem','dingding','recover','【{{cluster_name}}集群kubernetes组件{{pod_name}}内存使用率恢复】\n','【kubernetes组件内存使用率恢复】\n\nPod: {{pod_name}}\n\n使用率: {{mem_usage_percent_avg}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n容器ID: {{container_id}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','{\"mem_usage_percent_avg\":\"percent:2\",\"trigger_duration\":\"time:ms\"}','1.0','2021-05-28 11:55:03','2021-05-28 11:55:05',0),(4016,'kubernetes组件实例内存异常','kubernetes','kubernetes_instance_mem','ticket','recover','【{{cluster_name}}集群kubernetes组件{{pod_name}}内存使用率恢复】\n','【kubernetes组件内存使用率恢复】\n\nPod: {{pod_name}}\n\n使用率: {{mem_usage_percent_avg}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n容器ID: {{container_id}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','{\"mem_usage_percent_avg\":\"percent:2\",\"trigger_duration\":\"time:ms\"}','1.0','2021-05-28 11:55:03','2021-05-28 11:55:05',0),(4017,'kubernetes组件实例内存异常','kubernetes','kubernetes_instance_mem','email','recover','【{{cluster_name}}集群kubernetes组件{{pod_name}}内存使用率恢复】\n','【kubernetes组件内存使用率恢复】\n\nPod: {{pod_name}}\n\n使用率: {{mem_usage_percent_avg}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n容器ID: {{container_id}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','{\"mem_usage_percent_avg\":\"percent:2\",\"trigger_duration\":\"time:ms\"}','1.0','2021-05-28 11:55:03','2021-05-28 11:55:05',0),(4018,'kubernetes组件实例内存异常','kubernetes','kubernetes_instance_mem','mbox','recover','【{{cluster_name}}集群kubernetes组件{{pod_name}}内存使用率恢复】\n','【kubernetes组件内存使用率恢复】\n\nPod: {{pod_name}}\n\n使用率: {{mem_usage_percent_avg}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n容器ID: {{container_id}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','{\"mem_usage_percent_avg\":\"percent:2\",\"trigger_duration\":\"time:ms\"}','1.0','2021-05-28 11:55:03','2021-05-28 11:55:05',0),(4019,'kubernetes组件实例内存异常','kubernetes','kubernetes_instance_mem','webhook','recover','【{{cluster_name}}集群kubernetes组件{{pod_name}}内存使用率恢复】\n','【kubernetes组件内存使用率恢复】\n\nPod: {{pod_name}}\n\n使用率: {{mem_usage_percent_avg}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n容器ID: {{container_id}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','{\"mem_usage_percent_avg\":\"percent:2\",\"trigger_duration\":\"time:ms\"}','1.0','2021-05-28 11:55:03','2021-05-28 11:55:05',0),(4020,'kubernetes组件实例Ready状态异常','kubernetes','kubernetes_instance_ready','dingding','alert','【{{cluster_name}}集群kubernetes组件{{resource_name_value}} Ready状态告警】\n','【kubernetes组件Ready状态告警】\n\n组件: {{resource_name_value}}\n\n未就绪实例: {{not_ready_value}}\n\n已就绪实例: {{ready_value}}\n\n集群: {{cluster_name}}\n\n时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','','1.0','2021-05-28 11:55:03','2021-05-28 11:55:05',0),(4021,'kubernetes组件实例Ready状态异常','kubernetes','kubernetes_instance_ready','ticket','alert','【{{cluster_name}}集群kubernetes组件{{resource_name_value}} Ready状态告警】\n','【kubernetes组件Ready状态告警】\n\n组件: {{resource_name_value}}\n\n未就绪实例: {{not_ready_value}}\n\n已就绪实例: {{ready_value}}\n\n集群: {{cluster_name}}\n\n时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','','1.0','2021-05-28 11:55:03','2021-05-28 11:55:05',0),(4022,'kubernetes组件实例Ready状态异常','kubernetes','kubernetes_instance_ready','email','alert','【{{cluster_name}}集群kubernetes组件{{resource_name_value}} Ready状态告警】\n','【kubernetes组件Ready状态告警】\n\n组件: {{resource_name_value}}\n\n未就绪实例: {{not_ready_value}}\n\n已就绪实例: {{ready_value}}\n\n集群: {{cluster_name}}\n\n时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','','1.0','2021-05-28 11:55:03','2021-05-28 11:55:05',0),(4023,'kubernetes组件实例Ready状态异常','kubernetes','kubernetes_instance_ready','mbox','alert','【{{cluster_name}}集群kubernetes组件{{resource_name_value}} Ready状态告警】\n','【kubernetes组件Ready状态告警】\n\n组件: {{resource_name_value}}\n\n未就绪实例: {{not_ready_value}}\n\n已就绪实例: {{ready_value}}\n\n集群: {{cluster_name}}\n\n时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','','1.0','2021-05-28 11:55:03','2021-05-28 11:55:05',0),(4024,'kubernetes组件实例Ready状态异常','kubernetes','kubernetes_instance_ready','webhook','alert','【{{cluster_name}}集群kubernetes组件{{resource_name_value}} Ready状态告警】\n','【kubernetes组件Ready状态告警】\n\n组件: {{resource_name_value}}\n\n未就绪实例: {{not_ready_value}}\n\n已就绪实例: {{ready_value}}\n\n集群: {{cluster_name}}\n\n时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','','1.0','2021-05-28 11:55:03','2021-05-28 11:55:05',0),(4025,'kubernetes组件实例Ready状态异常','kubernetes','kubernetes_instance_ready','dingding','recover','【{{cluster_name}}集群kubernetes组件{{resource_name_value}} Ready状态恢复】\n','【kubernetes组件Ready状态恢复】\n\n组件: {{resource_name_value}}\n\n集群: {{cluster_name}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','{\"trigger_duration\":\"time:ms\"}','1.0','2021-05-28 11:55:03','2021-05-28 11:55:05',0),(4026,'kubernetes组件实例Ready状态异常','kubernetes','kubernetes_instance_ready','ticket','recover','【{{cluster_name}}集群kubernetes组件{{resource_name_value}} Ready状态恢复】\n','【kubernetes组件Ready状态恢复】\n\n组件: {{resource_name_value}}\n\n集群: {{cluster_name}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','{\"trigger_duration\":\"time:ms\"}','1.0','2021-05-28 11:55:03','2021-05-28 11:55:05',0),(4027,'kubernetes组件实例Ready状态异常','kubernetes','kubernetes_instance_ready','email','recover','【{{cluster_name}}集群kubernetes组件{{resource_name_value}} Ready状态恢复】\n','【kubernetes组件Ready状态恢复】\n\n组件: {{resource_name_value}}\n\n集群: {{cluster_name}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','{\"trigger_duration\":\"time:ms\"}','1.0','2021-05-28 11:55:03','2021-05-28 11:55:05',0),(4028,'kubernetes组件实例Ready状态异常','kubernetes','kubernetes_instance_ready','mbox','recover','【{{cluster_name}}集群kubernetes组件{{resource_name_value}} Ready状态恢复】\n','【kubernetes组件Ready状态恢复】\n\n组件: {{resource_name_value}}\n\n集群: {{cluster_name}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','{\"trigger_duration\":\"time:ms\"}','1.0','2021-05-28 11:55:03','2021-05-28 11:55:05',0),(4029,'kubernetes组件实例Ready状态异常','kubernetes','kubernetes_instance_ready','webhook','recover','【{{cluster_name}}集群kubernetes组件{{resource_name_value}} Ready状态恢复】\n','【kubernetes组件Ready状态恢复】\n\n组件: {{resource_name_value}}\n\n集群: {{cluster_name}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','{\"trigger_duration\":\"time:ms\"}','1.0','2021-05-28 11:55:03','2021-05-28 11:55:05',0),(4030,'kubernetes节点异常','kubernetes','kubernetes_node','dingding','alert','【{{cluster_name}}集群kubernetes节点{{node_name}}节点异常告警】\n','【kubernetes节点状态异常告警】\n\n集群: {{cluster_name}}\n\n机器: {{node_name}}\n\n已分配Pod数: {{allocatable_pods_value}}\n\n最大Pod数: {{capacity_pods_value}}\n\n已分配CPU核数: {{allocatable_cpu_cores_value}}\n\n最大CPU核数: {{capacity_cpu_cores_value}}\n\n已分配内存: {{allocatable_memory_bytes_value}}\n\n最大内存: {{capacity_memory_bytes_value}}\n\n时间: {{timestamp}}\n','{\"allocatable_memory_bytes_value\":\"size:byte\",\"capacity_memory_bytes_value\":\"size:byte\"}','1.0','2021-05-28 11:55:03','2021-05-28 11:55:05',0),(4031,'kubernetes节点异常','kubernetes','kubernetes_node','ticket','alert','【{{cluster_name}}集群kubernetes节点{{node_name}}节点异常告警】\n','【kubernetes节点状态异常告警】\n\n集群: {{cluster_name}}\n\n机器: {{node_name}}\n\n已分配Pod数: {{allocatable_pods_value}}\n\n最大Pod数: {{capacity_pods_value}}\n\n已分配CPU核数: {{allocatable_cpu_cores_value}}\n\n最大CPU核数: {{capacity_cpu_cores_value}}\n\n已分配内存: {{allocatable_memory_bytes_value}}\n\n最大内存: {{capacity_memory_bytes_value}}\n\n时间: {{timestamp}}\n','{\"allocatable_memory_bytes_value\":\"size:byte\",\"capacity_memory_bytes_value\":\"size:byte\"}','1.0','2021-05-28 11:55:03','2021-05-28 11:55:05',0),(4032,'kubernetes节点异常','kubernetes','kubernetes_node','email','alert','【{{cluster_name}}集群kubernetes节点{{node_name}}节点异常告警】\n','【kubernetes节点状态异常告警】\n\n集群: {{cluster_name}}\n\n机器: {{node_name}}\n\n已分配Pod数: {{allocatable_pods_value}}\n\n最大Pod数: {{capacity_pods_value}}\n\n已分配CPU核数: {{allocatable_cpu_cores_value}}\n\n最大CPU核数: {{capacity_cpu_cores_value}}\n\n已分配内存: {{allocatable_memory_bytes_value}}\n\n最大内存: {{capacity_memory_bytes_value}}\n\n时间: {{timestamp}}\n','{\"allocatable_memory_bytes_value\":\"size:byte\",\"capacity_memory_bytes_value\":\"size:byte\"}','1.0','2021-05-28 11:55:03','2021-05-28 11:55:05',0),(4033,'kubernetes节点异常','kubernetes','kubernetes_node','mbox','alert','【{{cluster_name}}集群kubernetes节点{{node_name}}节点异常告警】\n','【kubernetes节点状态异常告警】\n\n集群: {{cluster_name}}\n\n机器: {{node_name}}\n\n已分配Pod数: {{allocatable_pods_value}}\n\n最大Pod数: {{capacity_pods_value}}\n\n已分配CPU核数: {{allocatable_cpu_cores_value}}\n\n最大CPU核数: {{capacity_cpu_cores_value}}\n\n已分配内存: {{allocatable_memory_bytes_value}}\n\n最大内存: {{capacity_memory_bytes_value}}\n\n时间: {{timestamp}}\n','{\"allocatable_memory_bytes_value\":\"size:byte\",\"capacity_memory_bytes_value\":\"size:byte\"}','1.0','2021-05-28 11:55:03','2021-05-28 11:55:05',0),(4034,'kubernetes节点异常','kubernetes','kubernetes_node','webhook','alert','【{{cluster_name}}集群kubernetes节点{{node_name}}节点异常告警】\n','【kubernetes节点状态异常告警】\n\n集群: {{cluster_name}}\n\n机器: {{node_name}}\n\n已分配Pod数: {{allocatable_pods_value}}\n\n最大Pod数: {{capacity_pods_value}}\n\n已分配CPU核数: {{allocatable_cpu_cores_value}}\n\n最大CPU核数: {{capacity_cpu_cores_value}}\n\n已分配内存: {{allocatable_memory_bytes_value}}\n\n最大内存: {{capacity_memory_bytes_value}}\n\n时间: {{timestamp}}\n','{\"allocatable_memory_bytes_value\":\"size:byte\",\"capacity_memory_bytes_value\":\"size:byte\"}','1.0','2021-05-28 11:55:03','2021-05-28 11:55:05',0),(4035,'kubernetes节点异常','kubernetes','kubernetes_node','dingding','recover','【{{cluster_name}}集群kubernetes节点{{node_name}}节点异常恢复】\n','【kubernetes节点状态异常恢复】\n\n集群: {{cluster_name}}\n\n机器: {{node_name}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n','{\"trigger_duration\":\"time:ms\"}','1.0','2021-05-28 11:55:03','2021-05-28 11:55:05',0),(4036,'kubernetes节点异常','kubernetes','kubernetes_node','ticket','recover','【{{cluster_name}}集群kubernetes节点{{node_name}}节点异常恢复】\n','【kubernetes节点状态异常恢复】\n\n集群: {{cluster_name}}\n\n机器: {{node_name}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n','{\"trigger_duration\":\"time:ms\"}','1.0','2021-05-28 11:55:03','2021-05-28 11:55:05',0),(4037,'kubernetes节点异常','kubernetes','kubernetes_node','email','recover','【{{cluster_name}}集群kubernetes节点{{node_name}}节点异常恢复】\n','【kubernetes节点状态异常恢复】\n\n集群: {{cluster_name}}\n\n机器: {{node_name}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n','{\"trigger_duration\":\"time:ms\"}','1.0','2021-05-28 11:55:03','2021-05-28 11:55:05',0),(4038,'kubernetes节点异常','kubernetes','kubernetes_node','mbox','recover','【{{cluster_name}}集群kubernetes节点{{node_name}}节点异常恢复】\n','【kubernetes节点状态异常恢复】\n\n集群: {{cluster_name}}\n\n机器: {{node_name}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n','{\"trigger_duration\":\"time:ms\"}','1.0','2021-05-28 11:55:03','2021-05-28 11:55:05',0),(4039,'kubernetes节点异常','kubernetes','kubernetes_node','webhook','recover','【{{cluster_name}}集群kubernetes节点{{node_name}}节点异常恢复】\n','【kubernetes节点状态异常恢复】\n\n集群: {{cluster_name}}\n\n机器: {{node_name}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n','{\"trigger_duration\":\"time:ms\"}','1.0','2021-05-28 11:55:03','2021-05-28 11:55:05',0),(4040,'机器CPU异常告警','machine','machine_cpu','dingding','alert','【{{cluster_name}}集群机器{{host_ip}} CPU使用率异常告警】','【机器CPU使用率异常告警】\n\nCPU平均使用率: {{cpu_usage_active_avg}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n时间: {{timestamp}}\n\n[查看详情]({{display_url}})\n\n[查看记录]({{record_url}})\n','{\"cpu_usage_active_avg\":\"percent:2\"}','1.0','2021-05-28 11:55:03','2021-05-28 11:55:05',0),(4041,'机器CPU异常告警','machine','machine_cpu','ticket','alert','【{{cluster_name}}集群机器{{host_ip}} CPU使用率异常告警】','【机器CPU使用率异常告警】\n\nCPU平均使用率: {{cpu_usage_active_avg}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n时间: {{timestamp}}\n\n[查看详情]({{display_url}})\n\n[查看记录]({{record_url}})\n','{\"cpu_usage_active_avg\":\"percent:2\"}','1.0','2021-05-28 11:55:03','2021-05-28 11:55:05',0),(4042,'机器CPU异常告警','machine','machine_cpu','email','alert','【{{cluster_name}}集群机器{{host_ip}} CPU使用率异常告警】','【机器CPU使用率异常告警】\n\nCPU平均使用率: {{cpu_usage_active_avg}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n时间: {{timestamp}}\n\n[查看详情]({{display_url}})\n\n[查看记录]({{record_url}})\n','{\"cpu_usage_active_avg\":\"percent:2\"}','1.0','2021-05-28 11:55:03','2021-05-28 11:55:05',0),(4043,'机器CPU异常告警','machine','machine_cpu','mbox','alert','【{{cluster_name}}集群机器{{host_ip}} CPU使用率异常告警】','【机器CPU使用率异常告警】\n\nCPU平均使用率: {{cpu_usage_active_avg}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n时间: {{timestamp}}\n\n[查看详情]({{display_url}})\n\n[查看记录]({{record_url}})\n','{\"cpu_usage_active_avg\":\"percent:2\"}','1.0','2021-05-28 11:55:03','2021-05-28 11:55:05',0),(4044,'机器CPU异常告警','machine','machine_cpu','webhook','alert','【{{cluster_name}}集群机器{{host_ip}} CPU使用率异常告警】','【机器CPU使用率异常告警】\n\nCPU平均使用率: {{cpu_usage_active_avg}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n时间: {{timestamp}}\n\n[查看详情]({{display_url}})\n\n[查看记录]({{record_url}})\n','{\"cpu_usage_active_avg\":\"percent:2\"}','1.0','2021-05-28 11:55:03','2021-05-28 11:55:05',0),(4045,'机器CPU异常恢复','machine','machine_cpu','dingding','recover','【{{cluster_name}}集群机器{{host_ip}} CPU使用率异常恢复】','【机器CPU使用率异常恢复】\n\nCPU平均使用率: {{cpu_usage_active_avg}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','{\"trigger_duration\":\"time:ms\",\"usage_active_avg\":\"percent:2\"}','1.0','2021-05-28 11:55:03','2021-05-28 11:55:05',0),(4046,'机器CPU异常恢复','machine','machine_cpu','ticket','recover','【{{cluster_name}}集群机器{{host_ip}} CPU使用率异常恢复】','【机器CPU使用率异常恢复】\n\nCPU平均使用率: {{cpu_usage_active_avg}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','{\"trigger_duration\":\"time:ms\",\"usage_active_avg\":\"percent:2\"}','1.0','2021-05-28 11:55:03','2021-05-28 11:55:05',0),(4047,'机器CPU异常恢复','machine','machine_cpu','email','recover','【{{cluster_name}}集群机器{{host_ip}} CPU使用率异常恢复】','【机器CPU使用率异常恢复】\n\nCPU平均使用率: {{cpu_usage_active_avg}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','{\"trigger_duration\":\"time:ms\",\"usage_active_avg\":\"percent:2\"}','1.0','2021-05-28 11:55:03','2021-05-28 11:55:05',0),(4048,'机器CPU异常恢复','machine','machine_cpu','mbox','recover','【{{cluster_name}}集群机器{{host_ip}} CPU使用率异常恢复】','【机器CPU使用率异常恢复】\n\nCPU平均使用率: {{cpu_usage_active_avg}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','{\"trigger_duration\":\"time:ms\",\"usage_active_avg\":\"percent:2\"}','1.0','2021-05-28 11:55:03','2021-05-28 11:55:05',0),(4049,'机器CPU异常恢复','machine','machine_cpu','webhook','recover','【{{cluster_name}}集群机器{{host_ip}} CPU使用率异常恢复】','【机器CPU使用率异常恢复】\n\nCPU平均使用率: {{cpu_usage_active_avg}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','{\"trigger_duration\":\"time:ms\",\"usage_active_avg\":\"percent:2\"}','1.0','2021-05-28 11:55:03','2021-05-28 11:55:05',0),(4050,'磁盘容量异常告警','machine','machine_disk','dingding','alert','【{{cluster_name}}集群机器{{host_ip}}磁盘使用率异常告警】','【磁盘使用率异常告警】\n\n使用率: {{used_percent_value}}\n\n容量: {{total_value}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n设备: {{device}}\n\n时间: {{timestamp}}\n\n[查看详情]({{display_url}})\n\n[查看记录]({{record_url}})\n','{\"total_value\":\"size:byte\",\"used_percent_value\":\"percent:2\"}','1.0','2021-05-28 11:55:03','2021-05-28 11:55:05',0),(4051,'磁盘容量异常告警','machine','machine_disk','ticket','alert','【{{cluster_name}}集群机器{{host_ip}}磁盘使用率异常告警】','【磁盘使用率异常告警】\n\n使用率: {{used_percent_value}}\n\n容量: {{total_value}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n设备: {{device}}\n\n时间: {{timestamp}}\n\n[查看详情]({{display_url}})\n\n[查看记录]({{record_url}})\n','{\"total_value\":\"size:byte\",\"used_percent_value\":\"percent:2\"}','1.0','2021-05-28 11:55:03','2021-05-28 11:55:05',0),(4052,'磁盘容量异常告警','machine','machine_disk','email','alert','【{{cluster_name}}集群机器{{host_ip}}磁盘使用率异常告警】','【磁盘使用率异常告警】\n\n使用率: {{used_percent_value}}\n\n容量: {{total_value}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n设备: {{device}}\n\n时间: {{timestamp}}\n\n[查看详情]({{display_url}})\n\n[查看记录]({{record_url}})\n','{\"total_value\":\"size:byte\",\"used_percent_value\":\"percent:2\"}','1.0','2021-05-28 11:55:03','2021-05-28 11:55:05',0),(4053,'磁盘容量异常告警','machine','machine_disk','mbox','alert','【{{cluster_name}}集群机器{{host_ip}}磁盘使用率异常告警】','【磁盘使用率异常告警】\n\n使用率: {{used_percent_value}}\n\n容量: {{total_value}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n设备: {{device}}\n\n时间: {{timestamp}}\n\n[查看详情]({{display_url}})\n\n[查看记录]({{record_url}})\n','{\"total_value\":\"size:byte\",\"used_percent_value\":\"percent:2\"}','1.0','2021-05-28 11:55:03','2021-05-28 11:55:05',0),(4054,'磁盘容量异常告警','machine','machine_disk','webhook','alert','【{{cluster_name}}集群机器{{host_ip}}磁盘使用率异常告警】','【磁盘使用率异常告警】\n\n使用率: {{used_percent_value}}\n\n容量: {{total_value}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n设备: {{device}}\n\n时间: {{timestamp}}\n\n[查看详情]({{display_url}})\n\n[查看记录]({{record_url}})\n','{\"total_value\":\"size:byte\",\"used_percent_value\":\"percent:2\"}','1.0','2021-05-28 11:55:03','2021-05-28 11:55:05',0),(4055,'磁盘容量异常恢复','machine','machine_disk','dingding','recover','【{{cluster_name}}集群机器{{host_ip}}磁盘使用率异常恢复】','【磁盘使用率异常恢复】\n\n使用率: {{used_percent_value}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n设备: {{device}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','{\"trigger_duration\":\"time:ms\",\"used_percent_value\":\"percent:2\"}','1.0','2021-05-28 11:55:03','2021-05-28 11:55:05',0),(4056,'磁盘容量异常恢复','machine','machine_disk','ticket','recover','【{{cluster_name}}集群机器{{host_ip}}磁盘使用率异常恢复】','【磁盘使用率异常恢复】\n\n使用率: {{used_percent_value}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n设备: {{device}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','{\"trigger_duration\":\"time:ms\",\"used_percent_value\":\"percent:2\"}','1.0','2021-05-28 11:55:03','2021-05-28 11:55:05',0),(4057,'磁盘容量异常恢复','machine','machine_disk','email','recover','【{{cluster_name}}集群机器{{host_ip}}磁盘使用率异常恢复】','【磁盘使用率异常恢复】\n\n使用率: {{used_percent_value}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n设备: {{device}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','{\"trigger_duration\":\"time:ms\",\"used_percent_value\":\"percent:2\"}','1.0','2021-05-28 11:55:03','2021-05-28 11:55:05',0),(4058,'磁盘容量异常恢复','machine','machine_disk','mbox','recover','【{{cluster_name}}集群机器{{host_ip}}磁盘使用率异常恢复】','【磁盘使用率异常恢复】\n\n使用率: {{used_percent_value}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n设备: {{device}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','{\"trigger_duration\":\"time:ms\",\"used_percent_value\":\"percent:2\"}','1.0','2021-05-28 11:55:03','2021-05-28 11:55:05',0),(4059,'磁盘容量异常恢复','machine','machine_disk','webhook','recover','【{{cluster_name}}集群机器{{host_ip}}磁盘使用率异常恢复】','【磁盘使用率异常恢复】\n\n使用率: {{used_percent_value}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n设备: {{device}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','{\"trigger_duration\":\"time:ms\",\"used_percent_value\":\"percent:2\"}','1.0','2021-05-28 11:55:03','2021-05-28 11:55:05',0),(4060,'磁盘Inode异常告警','machine','machine_disk_inode','dingding','alert','【{{cluster_name}}集群机器{{host_ip}}磁盘Inode异常告警】','【磁盘Inode异常告警】\n\n使用率: {{inode_used_percent_value}}\n\n容量: {{inodes_total_value}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n设备: {{device}}\n\n时间: {{timestamp}}\n\n[查看详情]({{display_url}})\n\n[查看记录]({{record_url}})\n','{\"inode_used_percent_value\":\"percent:2\",\"inodes_total_value\":\"size:byte\"}','1.0','2021-05-28 11:55:03','2021-05-28 11:55:05',0),(4061,'磁盘Inode异常告警','machine','machine_disk_inode','ticket','alert','【{{cluster_name}}集群机器{{host_ip}}磁盘Inode异常告警】','【磁盘Inode异常告警】\n\n使用率: {{inode_used_percent_value}}\n\n容量: {{inodes_total_value}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n设备: {{device}}\n\n时间: {{timestamp}}\n\n[查看详情]({{display_url}})\n\n[查看记录]({{record_url}})\n','{\"inode_used_percent_value\":\"percent:2\",\"inodes_total_value\":\"size:byte\"}','1.0','2021-05-28 11:55:03','2021-05-28 11:55:05',0),(4062,'磁盘Inode异常告警','machine','machine_disk_inode','email','alert','【{{cluster_name}}集群机器{{host_ip}}磁盘Inode异常告警】','【磁盘Inode异常告警】\n\n使用率: {{inode_used_percent_value}}\n\n容量: {{inodes_total_value}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n设备: {{device}}\n\n时间: {{timestamp}}\n\n[查看详情]({{display_url}})\n\n[查看记录]({{record_url}})\n','{\"inode_used_percent_value\":\"percent:2\",\"inodes_total_value\":\"size:byte\"}','1.0','2021-05-28 11:55:03','2021-05-28 11:55:05',0),(4063,'磁盘Inode异常告警','machine','machine_disk_inode','mbox','alert','【{{cluster_name}}集群机器{{host_ip}}磁盘Inode异常告警】','【磁盘Inode异常告警】\n\n使用率: {{inode_used_percent_value}}\n\n容量: {{inodes_total_value}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n设备: {{device}}\n\n时间: {{timestamp}}\n\n[查看详情]({{display_url}})\n\n[查看记录]({{record_url}})\n','{\"inode_used_percent_value\":\"percent:2\",\"inodes_total_value\":\"size:byte\"}','1.0','2021-05-28 11:55:03','2021-05-28 11:55:05',0),(4064,'磁盘Inode异常告警','machine','machine_disk_inode','webhook','alert','【{{cluster_name}}集群机器{{host_ip}}磁盘Inode异常告警】','【磁盘Inode异常告警】\n\n使用率: {{inode_used_percent_value}}\n\n容量: {{inodes_total_value}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n设备: {{device}}\n\n时间: {{timestamp}}\n\n[查看详情]({{display_url}})\n\n[查看记录]({{record_url}})\n','{\"inode_used_percent_value\":\"percent:2\",\"inodes_total_value\":\"size:byte\"}','1.0','2021-05-28 11:55:03','2021-05-28 11:55:05',0),(4065,'磁盘Inode异常恢复','machine','machine_disk_inode','dingding','recover','【{{cluster_name}}集群机器{{host_ip}}磁盘Inode异常恢复】','【磁盘Inode异常恢复】\n\n使用率: {{inode_used_percent_value}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n设备: {{device}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','{\"inode_used_percent_value\":\"percent:2\",\"trigger_duration\":\"time:ms\"}','1.0','2021-05-28 11:55:03','2021-05-28 11:55:05',0),(4066,'磁盘Inode异常恢复','machine','machine_disk_inode','ticket','recover','【{{cluster_name}}集群机器{{host_ip}}磁盘Inode异常恢复】','【磁盘Inode异常恢复】\n\n使用率: {{inode_used_percent_value}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n设备: {{device}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','{\"inode_used_percent_value\":\"percent:2\",\"trigger_duration\":\"time:ms\"}','1.0','2021-05-28 11:55:03','2021-05-28 11:55:05',0),(4067,'磁盘Inode异常恢复','machine','machine_disk_inode','email','recover','【{{cluster_name}}集群机器{{host_ip}}磁盘Inode异常恢复】','【磁盘Inode异常恢复】\n\n使用率: {{inode_used_percent_value}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n设备: {{device}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','{\"inode_used_percent_value\":\"percent:2\",\"trigger_duration\":\"time:ms\"}','1.0','2021-05-28 11:55:03','2021-05-28 11:55:05',0),(4068,'磁盘Inode异常恢复','machine','machine_disk_inode','mbox','recover','【{{cluster_name}}集群机器{{host_ip}}磁盘Inode异常恢复】','【磁盘Inode异常恢复】\n\n使用率: {{inode_used_percent_value}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n设备: {{device}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','{\"inode_used_percent_value\":\"percent:2\",\"trigger_duration\":\"time:ms\"}','1.0','2021-05-28 11:55:03','2021-05-28 11:55:05',0),(4069,'磁盘Inode异常恢复','machine','machine_disk_inode','webhook','recover','【{{cluster_name}}集群机器{{host_ip}}磁盘Inode异常恢复】','【磁盘Inode异常恢复】\n\n使用率: {{inode_used_percent_value}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n设备: {{device}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','{\"inode_used_percent_value\":\"percent:2\",\"trigger_duration\":\"time:ms\"}','1.0','2021-05-28 11:55:03','2021-05-28 11:55:05',0),(4070,'磁盘IO异常告警','machine','machine_disk_util','dingding','alert','【{{cluster_name}}集群机器{{host_ip}}磁盘IO操作百分比异常告警】','【磁盘IO操作百分比异常告警】\n\nIO操作百分比: {{pct_util_p75}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','{\"pct_util_p75\":\"percent:2\"}','1.0','2021-05-28 11:55:03','2021-05-28 11:55:05',0),(4071,'磁盘IO异常告警','machine','machine_disk_util','ticket','alert','【{{cluster_name}}集群机器{{host_ip}}磁盘IO操作百分比异常告警】','【磁盘IO操作百分比异常告警】\n\nIO操作百分比: {{pct_util_p75}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','{\"pct_util_p75\":\"percent:2\"}','1.0','2021-05-28 11:55:03','2021-05-28 11:55:05',0),(4072,'磁盘IO异常告警','machine','machine_disk_util','email','alert','【{{cluster_name}}集群机器{{host_ip}}磁盘IO操作百分比异常告警】','【磁盘IO操作百分比异常告警】\n\nIO操作百分比: {{pct_util_p75}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','{\"pct_util_p75\":\"percent:2\"}','1.0','2021-05-28 11:55:03','2021-05-28 11:55:05',0),(4073,'磁盘IO异常告警','machine','machine_disk_util','mbox','alert','【{{cluster_name}}集群机器{{host_ip}}磁盘IO操作百分比异常告警】','【磁盘IO操作百分比异常告警】\n\nIO操作百分比: {{pct_util_p75}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','{\"pct_util_p75\":\"percent:2\"}','1.0','2021-05-28 11:55:03','2021-05-28 11:55:05',0),(4074,'磁盘IO异常告警','machine','machine_disk_util','webhook','alert','【{{cluster_name}}集群机器{{host_ip}}磁盘IO操作百分比异常告警】','【磁盘IO操作百分比异常告警】\n\nIO操作百分比: {{pct_util_p75}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','{\"pct_util_p75\":\"percent:2\"}','1.0','2021-05-28 11:55:03','2021-05-28 11:55:05',0),(4075,'磁盘IO异常恢复','machine','machine_disk_util','dingding','recover','【{{cluster_name}}集群机器{{host_ip}}磁盘IO操作百分比异常恢复】','【磁盘IO操作百分比异常恢复】\n\nIO操作百分比: {{pct_util_p75}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','{\"pct_util_p75\":\"percent:2\",\"trigger_duration\":\"time:ms\"}','1.0','2021-05-28 11:55:03','2021-05-28 11:55:05',0),(4076,'磁盘IO异常恢复','machine','machine_disk_util','ticket','recover','【{{cluster_name}}集群机器{{host_ip}}磁盘IO操作百分比异常恢复】','【磁盘IO操作百分比异常恢复】\n\nIO操作百分比: {{pct_util_p75}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','{\"pct_util_p75\":\"percent:2\",\"trigger_duration\":\"time:ms\"}','1.0','2021-05-28 11:55:03','2021-05-28 11:55:05',0),(4077,'磁盘IO异常恢复','machine','machine_disk_util','email','recover','【{{cluster_name}}集群机器{{host_ip}}磁盘IO操作百分比异常恢复】','【磁盘IO操作百分比异常恢复】\n\nIO操作百分比: {{pct_util_p75}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','{\"pct_util_p75\":\"percent:2\",\"trigger_duration\":\"time:ms\"}','1.0','2021-05-28 11:55:03','2021-05-28 11:55:05',0),(4078,'磁盘IO异常恢复','machine','machine_disk_util','mbox','recover','【{{cluster_name}}集群机器{{host_ip}}磁盘IO操作百分比异常恢复】','【磁盘IO操作百分比异常恢复】\n\nIO操作百分比: {{pct_util_p75}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','{\"pct_util_p75\":\"percent:2\",\"trigger_duration\":\"time:ms\"}','1.0','2021-05-28 11:55:03','2021-05-28 11:55:05',0),(4079,'磁盘IO异常恢复','machine','machine_disk_util','webhook','recover','【{{cluster_name}}集群机器{{host_ip}}磁盘IO操作百分比异常恢复】','【磁盘IO操作百分比异常恢复】\n\nIO操作百分比: {{pct_util_p75}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','{\"pct_util_p75\":\"percent:2\",\"trigger_duration\":\"time:ms\"}','1.0','2021-05-28 11:55:03','2021-05-28 11:55:05',0),(4080,'机器负载异常告警','machine','machine_load5','dingding','alert','【{{cluster_name}}集群机器{{host_ip}}负载异常告警】','【机器负载异常告警】\n\nLoad5: {{load5_avg}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n时间: {{timestamp}}\n\n[查看详情]({{display_url}})\n\n[查看记录]({{record_url}})\n','','1.0','2021-05-28 11:55:03','2021-05-28 11:55:05',0),(4081,'机器负载异常告警','machine','machine_load5','ticket','alert','【{{cluster_name}}集群机器{{host_ip}}负载异常告警】','【机器负载异常告警】\n\nLoad5: {{load5_avg}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n时间: {{timestamp}}\n\n[查看详情]({{display_url}})\n\n[查看记录]({{record_url}})\n','','1.0','2021-05-28 11:55:03','2021-05-28 11:55:05',0),(4082,'机器负载异常告警','machine','machine_load5','email','alert','【{{cluster_name}}集群机器{{host_ip}}负载异常告警】','【机器负载异常告警】\n\nLoad5: {{load5_avg}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n时间: {{timestamp}}\n\n[查看详情]({{display_url}})\n\n[查看记录]({{record_url}})\n','','1.0','2021-05-28 11:55:03','2021-05-28 11:55:05',0),(4083,'机器负载异常告警','machine','machine_load5','mbox','alert','【{{cluster_name}}集群机器{{host_ip}}负载异常告警】','【机器负载异常告警】\n\nLoad5: {{load5_avg}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n时间: {{timestamp}}\n\n[查看详情]({{display_url}})\n\n[查看记录]({{record_url}})\n','','1.0','2021-05-28 11:55:03','2021-05-28 11:55:05',0),(4084,'机器负载异常告警','machine','machine_load5','webhook','alert','【{{cluster_name}}集群机器{{host_ip}}负载异常告警】','【机器负载异常告警】\n\nLoad5: {{load5_avg}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n时间: {{timestamp}}\n\n[查看详情]({{display_url}})\n\n[查看记录]({{record_url}})\n','','1.0','2021-05-28 11:55:03','2021-05-28 11:55:05',0),(4085,'机器负载异常恢复','machine','machine_load5','dingding','recover','【{{cluster_name}}集群机器{{host_ip}}负载异常恢复】','【机器负载异常恢复】\n\nLoad5: {{load5_avg}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','{\"trigger_duration\":\"time:ms\"}','1.0','2021-05-28 11:55:03','2021-05-28 11:55:05',0),(4086,'机器负载异常恢复','machine','machine_load5','ticket','recover','【{{cluster_name}}集群机器{{host_ip}}负载异常恢复】','【机器负载异常恢复】\n\nLoad5: {{load5_avg}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','{\"trigger_duration\":\"time:ms\"}','1.0','2021-05-28 11:55:03','2021-05-28 11:55:05',0),(4087,'机器负载异常恢复','machine','machine_load5','email','recover','【{{cluster_name}}集群机器{{host_ip}}负载异常恢复】','【机器负载异常恢复】\n\nLoad5: {{load5_avg}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','{\"trigger_duration\":\"time:ms\"}','1.0','2021-05-28 11:55:03','2021-05-28 11:55:05',0),(4088,'机器负载异常恢复','machine','machine_load5','mbox','recover','【{{cluster_name}}集群机器{{host_ip}}负载异常恢复】','【机器负载异常恢复】\n\nLoad5: {{load5_avg}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','{\"trigger_duration\":\"time:ms\"}','1.0','2021-05-28 11:55:03','2021-05-28 11:55:05',0),(4089,'机器负载异常恢复','machine','machine_load5','webhook','recover','【{{cluster_name}}集群机器{{host_ip}}负载异常恢复】','【机器负载异常恢复】\n\nLoad5: {{load5_avg}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','{\"trigger_duration\":\"time:ms\"}','1.0','2021-05-28 11:55:03','2021-05-28 11:55:05',0),(4090,'网盘容量异常告警','machine','machine_netdisk','dingding','alert','【{{cluster_name}}集群网盘使用率异常告警】','【网盘使用率异常告警】\n\n使用率: {{used_percent_value}}\n\n容量: {{total_value}}\n\n集群: {{cluster_name}}\n\n时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','{\"total_value\":\"size:byte\",\"used_percent_value\":\"percent:2\"}','1.0','2021-05-28 11:55:03','2021-05-28 11:55:05',0),(4091,'网盘容量异常告警','machine','machine_netdisk','ticket','alert','【{{cluster_name}}集群网盘使用率异常告警】','【网盘使用率异常告警】\n\n使用率: {{used_percent_value}}\n\n容量: {{total_value}}\n\n集群: {{cluster_name}}\n\n时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','{\"total_value\":\"size:byte\",\"used_percent_value\":\"percent:2\"}','1.0','2021-05-28 11:55:03','2021-05-28 11:55:05',0),(4092,'网盘容量异常告警','machine','machine_netdisk','email','alert','【{{cluster_name}}集群网盘使用率异常告警】','【网盘使用率异常告警】\n\n使用率: {{used_percent_value}}\n\n容量: {{total_value}}\n\n集群: {{cluster_name}}\n\n时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','{\"total_value\":\"size:byte\",\"used_percent_value\":\"percent:2\"}','1.0','2021-05-28 11:55:03','2021-05-28 11:55:05',0),(4093,'网盘容量异常告警','machine','machine_netdisk','mbox','alert','【{{cluster_name}}集群网盘使用率异常告警】','【网盘使用率异常告警】\n\n使用率: {{used_percent_value}}\n\n容量: {{total_value}}\n\n集群: {{cluster_name}}\n\n时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','{\"total_value\":\"size:byte\",\"used_percent_value\":\"percent:2\"}','1.0','2021-05-28 11:55:03','2021-05-28 11:55:05',0),(4094,'网盘容量异常告警','machine','machine_netdisk','webhook','alert','【{{cluster_name}}集群网盘使用率异常告警】','【网盘使用率异常告警】\n\n使用率: {{used_percent_value}}\n\n容量: {{total_value}}\n\n集群: {{cluster_name}}\n\n时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','{\"total_value\":\"size:byte\",\"used_percent_value\":\"percent:2\"}','1.0','2021-05-28 11:55:03','2021-05-28 11:55:05',0),(4095,'网盘容量异常恢复','machine','machine_netdisk','dingding','recover','【{{cluster_name}}集群网盘使用率异常恢复】','【网盘使用率异常恢复】\n\n使用率: {{used_percent_value}}\n\n集群: {{cluster_name}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','{\"trigger_duration\":\"time:ms\",\"used_percent_value\":\"percent:2\"}','1.0','2021-05-28 11:55:03','2021-05-28 11:55:05',0),(4096,'网盘容量异常恢复','machine','machine_netdisk','ticket','recover','【{{cluster_name}}集群网盘使用率异常恢复】','【网盘使用率异常恢复】\n\n使用率: {{used_percent_value}}\n\n集群: {{cluster_name}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','{\"trigger_duration\":\"time:ms\",\"used_percent_value\":\"percent:2\"}','1.0','2021-05-28 11:55:03','2021-05-28 11:55:05',0),(4097,'网盘容量异常恢复','machine','machine_netdisk','email','recover','【{{cluster_name}}集群网盘使用率异常恢复】','【网盘使用率异常恢复】\n\n使用率: {{used_percent_value}}\n\n集群: {{cluster_name}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','{\"trigger_duration\":\"time:ms\",\"used_percent_value\":\"percent:2\"}','1.0','2021-05-28 11:55:03','2021-05-28 11:55:05',0),(4098,'网盘容量异常恢复','machine','machine_netdisk','mbox','recover','【{{cluster_name}}集群网盘使用率异常恢复】','【网盘使用率异常恢复】\n\n使用率: {{used_percent_value}}\n\n集群: {{cluster_name}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','{\"trigger_duration\":\"time:ms\",\"used_percent_value\":\"percent:2\"}','1.0','2021-05-28 11:55:03','2021-05-28 11:55:05',0),(4099,'网盘容量异常恢复','machine','machine_netdisk','webhook','recover','【{{cluster_name}}集群网盘使用率异常恢复】','【网盘使用率异常恢复】\n\n使用率: {{used_percent_value}}\n\n集群: {{cluster_name}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','{\"trigger_duration\":\"time:ms\",\"used_percent_value\":\"percent:2\"}','1.0','2021-05-28 11:55:03','2021-05-28 11:55:05',0),(4100,'网盘容量使用量异常告警','machine','machine_netdisk_used','dingding','alert','【{{cluster_name}}集群网盘使用率异常告警】','【网盘使用异常告警】\n\n使用: {{used}}GB\n\n容量: {{total}}GB\n\n集群: {{cluster_name}}\n\n时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','{}','1.0','2021-05-28 11:55:03','2021-05-28 11:55:05',0),(4101,'网盘容量使用量异常告警','machine','machine_netdisk_used','ticket','alert','【{{cluster_name}}集群网盘使用率异常告警】','【网盘使用异常告警】\n\n使用: {{used}}GB\n\n容量: {{total}}GB\n\n集群: {{cluster_name}}\n\n时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','{}','1.0','2021-05-28 11:55:03','2021-05-28 11:55:05',0),(4102,'网盘容量使用量异常告警','machine','machine_netdisk_used','email','alert','【{{cluster_name}}集群网盘使用率异常告警】','【网盘使用异常告警】\n\n使用: {{used}}GB\n\n容量: {{total}}GB\n\n集群: {{cluster_name}}\n\n时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','{}','1.0','2021-05-28 11:55:03','2021-05-28 11:55:05',0),(4103,'网盘容量使用量异常告警','machine','machine_netdisk_used','mbox','alert','【{{cluster_name}}集群网盘使用率异常告警】','【网盘使用异常告警】\n\n使用: {{used}}GB\n\n容量: {{total}}GB\n\n集群: {{cluster_name}}\n\n时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','{}','1.0','2021-05-28 11:55:03','2021-05-28 11:55:05',0),(4104,'网盘容量使用量异常告警','machine','machine_netdisk_used','webhook','alert','【{{cluster_name}}集群网盘使用率异常告警】','【网盘使用异常告警】\n\n使用: {{used}}GB\n\n容量: {{total}}GB\n\n集群: {{cluster_name}}\n\n时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','{}','1.0','2021-05-28 11:55:03','2021-05-28 11:55:05',0),(4105,'网盘容量异常恢复','machine','machine_netdisk_used','dingding','recover','【{{cluster_name}}集群网盘使用率异常恢复】','【网盘使用率异常恢复】\n\n使用: {{used}}GB\n\n集群: {{cluster_name}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','{\"trigger_duration\":\"time:ms\"}','1.0','2021-05-28 11:55:03','2021-05-28 11:55:05',0),(4106,'网盘容量异常恢复','machine','machine_netdisk_used','ticket','recover','【{{cluster_name}}集群网盘使用率异常恢复】','【网盘使用率异常恢复】\n\n使用: {{used}}GB\n\n集群: {{cluster_name}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','{\"trigger_duration\":\"time:ms\"}','1.0','2021-05-28 11:55:03','2021-05-28 11:55:05',0),(4107,'网盘容量异常恢复','machine','machine_netdisk_used','email','recover','【{{cluster_name}}集群网盘使用率异常恢复】','【网盘使用率异常恢复】\n\n使用: {{used}}GB\n\n集群: {{cluster_name}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','{\"trigger_duration\":\"time:ms\"}','1.0','2021-05-28 11:55:03','2021-05-28 11:55:05',0),(4108,'网盘容量异常恢复','machine','machine_netdisk_used','mbox','recover','【{{cluster_name}}集群网盘使用率异常恢复】','【网盘使用率异常恢复】\n\n使用: {{used}}GB\n\n集群: {{cluster_name}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','{\"trigger_duration\":\"time:ms\"}','1.0','2021-05-28 11:55:03','2021-05-28 11:55:05',0),(4109,'网盘容量异常恢复','machine','machine_netdisk_used','webhook','recover','【{{cluster_name}}集群网盘使用率异常恢复】','【网盘使用率异常恢复】\n\n使用: {{used}}GB\n\n集群: {{cluster_name}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','{\"trigger_duration\":\"time:ms\"}','1.0','2021-05-28 11:55:03','2021-05-28 11:55:05',0),(4110,'宕机告警','machine','machine_status','dingding','alert','【{{cluster_name}}集群机器{{host_ip}}宕机告警】','【宕机告警】\n\n机器{{window}}分钟内无消息, 疑似发生宕机\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n最近活跃时间: {{last_timestamp_value}}\n\n时间: {{timestamp}}\n\n[查看详情]({{display_url}})\n\n[查看记录]({{record_url}})\n','{\"last_timestamp_value\":\"date\"}','1.0','2021-05-28 11:55:03','2021-05-28 11:55:05',0),(4111,'宕机告警','machine','machine_status','ticket','alert','【{{cluster_name}}集群机器{{host_ip}}宕机告警】','【宕机告警】\n\n机器{{window}}分钟内无消息, 疑似发生宕机\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n最近活跃时间: {{last_timestamp_value}}\n\n时间: {{timestamp}}\n\n[查看详情]({{display_url}})\n\n[查看记录]({{record_url}})\n','{\"last_timestamp_value\":\"date\"}','1.0','2021-05-28 11:55:03','2021-05-28 11:55:05',0),(4112,'宕机告警','machine','machine_status','email','alert','【{{cluster_name}}集群机器{{host_ip}}宕机告警】','【宕机告警】\n\n机器{{window}}分钟内无消息, 疑似发生宕机\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n最近活跃时间: {{last_timestamp_value}}\n\n时间: {{timestamp}}\n\n[查看详情]({{display_url}})\n\n[查看记录]({{record_url}})\n','{\"last_timestamp_value\":\"date\"}','1.0','2021-05-28 11:55:03','2021-05-28 11:55:05',0),(4113,'宕机告警','machine','machine_status','mbox','alert','【{{cluster_name}}集群机器{{host_ip}}宕机告警】','【宕机告警】\n\n机器{{window}}分钟内无消息, 疑似发生宕机\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n最近活跃时间: {{last_timestamp_value}}\n\n时间: {{timestamp}}\n\n[查看详情]({{display_url}})\n\n[查看记录]({{record_url}})\n','{\"last_timestamp_value\":\"date\"}','1.0','2021-05-28 11:55:03','2021-05-28 11:55:05',0),(4114,'宕机告警','machine','machine_status','webhook','alert','【{{cluster_name}}集群机器{{host_ip}}宕机告警】','【宕机告警】\n\n机器{{window}}分钟内无消息, 疑似发生宕机\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n最近活跃时间: {{last_timestamp_value}}\n\n时间: {{timestamp}}\n\n[查看详情]({{display_url}})\n\n[查看记录]({{record_url}})\n','{\"last_timestamp_value\":\"date\"}','1.0','2021-05-28 11:55:03','2021-05-28 11:55:05',0),(4115,'宕机恢复','machine','machine_status','dingding','recover','【{{cluster_name}}集群机器{{host_ip}}宕机恢复】','【宕机恢复】\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','{\"trigger_duration\":\"time:ms\"}','1.0','2021-05-28 11:55:03','2021-05-28 11:55:05',0),(4116,'宕机恢复','machine','machine_status','ticket','recover','【{{cluster_name}}集群机器{{host_ip}}宕机恢复】','【宕机恢复】\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','{\"trigger_duration\":\"time:ms\"}','1.0','2021-05-28 11:55:03','2021-05-28 11:55:05',0),(4117,'宕机恢复','machine','machine_status','email','recover','【{{cluster_name}}集群机器{{host_ip}}宕机恢复】','【宕机恢复】\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','{\"trigger_duration\":\"time:ms\"}','1.0','2021-05-28 11:55:03','2021-05-28 11:55:05',0),(4118,'宕机恢复','machine','machine_status','mbox','recover','【{{cluster_name}}集群机器{{host_ip}}宕机恢复】','【宕机恢复】\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','{\"trigger_duration\":\"time:ms\"}','1.0','2021-05-28 11:55:03','2021-05-28 11:55:05',0),(4119,'宕机恢复','machine','machine_status','webhook','recover','【{{cluster_name}}集群机器{{host_ip}}宕机恢复】','【宕机恢复】\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','{\"trigger_duration\":\"time:ms\"}','1.0','2021-05-28 11:55:03','2021-05-28 11:55:05',0),(4120,'API网关实例CPU使用率异常','micro_service','api_gateway_cpu','dingding','alert','【API网关实例CPU使用率告警】\n','【API网关实例CPU使用率异常告警】\n\n组件: {{addon_type}}\n\n实例: {{pod_namespace}} - {{pod_name}}\n\nCPU平均使用率: {{cpu_usage_percent_avg}}\n\nCPU限制: {{cpu_limit_value}}核\n\nCPU分配: {{cpu_allocation_value}}核\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','{\"container_id\":\"string:6\",\"cpu_allocation_value\":\"fraction:1\",\"cpu_limit_value\":\"fraction:1\",\"cpu_usage_percent_avg\":\"percent:1\"}','1.0','2021-05-28 11:55:03','2021-05-28 11:55:05',0),(4121,'API网关实例CPU使用率异常','micro_service','api_gateway_cpu','ticket','alert','【API网关实例CPU使用率告警】\n','【API网关实例CPU使用率异常告警】\n\n组件: {{addon_type}}\n\n实例: {{pod_namespace}} - {{pod_name}}\n\nCPU平均使用率: {{cpu_usage_percent_avg}}\n\nCPU限制: {{cpu_limit_value}}核\n\nCPU分配: {{cpu_allocation_value}}核\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','{\"container_id\":\"string:6\",\"cpu_allocation_value\":\"fraction:1\",\"cpu_limit_value\":\"fraction:1\",\"cpu_usage_percent_avg\":\"percent:1\"}','1.0','2021-05-28 11:55:03','2021-05-28 11:55:05',0),(4122,'API网关实例CPU使用率异常','micro_service','api_gateway_cpu','email','alert','【API网关实例CPU使用率告警】\n','【API网关实例CPU使用率异常告警】\n\n组件: {{addon_type}}\n\n实例: {{pod_namespace}} - {{pod_name}}\n\nCPU平均使用率: {{cpu_usage_percent_avg}}\n\nCPU限制: {{cpu_limit_value}}核\n\nCPU分配: {{cpu_allocation_value}}核\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','{\"container_id\":\"string:6\",\"cpu_allocation_value\":\"fraction:1\",\"cpu_limit_value\":\"fraction:1\",\"cpu_usage_percent_avg\":\"percent:1\"}','1.0','2021-05-28 11:55:03','2021-05-28 11:55:05',0),(4123,'API网关实例CPU使用率异常','micro_service','api_gateway_cpu','mbox','alert','【API网关实例CPU使用率告警】\n','【API网关实例CPU使用率异常告警】\n\n组件: {{addon_type}}\n\n实例: {{pod_namespace}} - {{pod_name}}\n\nCPU平均使用率: {{cpu_usage_percent_avg}}\n\nCPU限制: {{cpu_limit_value}}核\n\nCPU分配: {{cpu_allocation_value}}核\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','{\"container_id\":\"string:6\",\"cpu_allocation_value\":\"fraction:1\",\"cpu_limit_value\":\"fraction:1\",\"cpu_usage_percent_avg\":\"percent:1\"}','1.0','2021-05-28 11:55:03','2021-05-28 11:55:05',0),(4124,'API网关实例CPU使用率异常','micro_service','api_gateway_cpu','webhook','alert','【API网关实例CPU使用率告警】\n','【API网关实例CPU使用率异常告警】\n\n组件: {{addon_type}}\n\n实例: {{pod_namespace}} - {{pod_name}}\n\nCPU平均使用率: {{cpu_usage_percent_avg}}\n\nCPU限制: {{cpu_limit_value}}核\n\nCPU分配: {{cpu_allocation_value}}核\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','{\"container_id\":\"string:6\",\"cpu_allocation_value\":\"fraction:1\",\"cpu_limit_value\":\"fraction:1\",\"cpu_usage_percent_avg\":\"percent:1\"}','1.0','2021-05-28 11:55:03','2021-05-28 11:55:05',0),(4125,'API网关实例内存使用率异常','micro_service','api_gateway_mem','dingding','alert','【API网关实例内存使用率告警】\n','【API网关实例内存使用率异常告警】\n\n组件: {{addon_type}}\n\n实例: {{pod_namespace}} - {{pod_name}}\n\n内存使用率: {{mem_usage_percent_avg}}\n\n内存使用: {{mem_usage_value}}\n\n内存限制: {{mem_limit_value}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','{\"container_id\":\"string:6\",\"mem_limit_value\":\"size:byte\",\"mem_usage_percent_avg\":\"percent:1\",\"mem_usage_value\":\"size:byte\"}','1.0','2021-05-28 11:55:03','2021-05-28 11:55:05',0),(4126,'API网关实例内存使用率异常','micro_service','api_gateway_mem','ticket','alert','【API网关实例内存使用率告警】\n','【API网关实例内存使用率异常告警】\n\n组件: {{addon_type}}\n\n实例: {{pod_namespace}} - {{pod_name}}\n\n内存使用率: {{mem_usage_percent_avg}}\n\n内存使用: {{mem_usage_value}}\n\n内存限制: {{mem_limit_value}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','{\"container_id\":\"string:6\",\"mem_limit_value\":\"size:byte\",\"mem_usage_percent_avg\":\"percent:1\",\"mem_usage_value\":\"size:byte\"}','1.0','2021-05-28 11:55:03','2021-05-28 11:55:05',0),(4127,'API网关实例内存使用率异常','micro_service','api_gateway_mem','email','alert','【API网关实例内存使用率告警】\n','【API网关实例内存使用率异常告警】\n\n组件: {{addon_type}}\n\n实例: {{pod_namespace}} - {{pod_name}}\n\n内存使用率: {{mem_usage_percent_avg}}\n\n内存使用: {{mem_usage_value}}\n\n内存限制: {{mem_limit_value}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','{\"container_id\":\"string:6\",\"mem_limit_value\":\"size:byte\",\"mem_usage_percent_avg\":\"percent:1\",\"mem_usage_value\":\"size:byte\"}','1.0','2021-05-28 11:55:03','2021-05-28 11:55:05',0),(4128,'API网关实例内存使用率异常','micro_service','api_gateway_mem','mbox','alert','【API网关实例内存使用率告警】\n','【API网关实例内存使用率异常告警】\n\n组件: {{addon_type}}\n\n实例: {{pod_namespace}} - {{pod_name}}\n\n内存使用率: {{mem_usage_percent_avg}}\n\n内存使用: {{mem_usage_value}}\n\n内存限制: {{mem_limit_value}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','{\"container_id\":\"string:6\",\"mem_limit_value\":\"size:byte\",\"mem_usage_percent_avg\":\"percent:1\",\"mem_usage_value\":\"size:byte\"}','1.0','2021-05-28 11:55:03','2021-05-28 11:55:05',0),(4129,'API网关实例内存使用率异常','micro_service','api_gateway_mem','webhook','alert','【API网关实例内存使用率告警】\n','【API网关实例内存使用率异常告警】\n\n组件: {{addon_type}}\n\n实例: {{pod_namespace}} - {{pod_name}}\n\n内存使用率: {{mem_usage_percent_avg}}\n\n内存使用: {{mem_usage_value}}\n\n内存限制: {{mem_limit_value}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','{\"container_id\":\"string:6\",\"mem_limit_value\":\"size:byte\",\"mem_usage_percent_avg\":\"percent:1\",\"mem_usage_value\":\"size:byte\"}','1.0','2021-05-28 11:55:03','2021-05-28 11:55:05',0),(4130,'注册中心实例CPU使用率异常','micro_service','register_center_cpu','dingding','alert','【注册中心实例CPU使用率告警】\n','【注册中心实例CPU使用率异常告警】\n\n组件: {{addon_type}}\n\n实例: {{pod_namespace}} - {{pod_name}}\n\nCPU平均使用率: {{cpu_usage_percent_avg}}\n\nCPU限制: {{cpu_limit_value}}核\n\nCPU分配: {{cpu_allocation_value}}核\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','{\"container_id\":\"string:6\",\"cpu_allocation_value\":\"fraction:1\",\"cpu_limit_value\":\"fraction:1\",\"cpu_usage_percent_avg\":\"percent:1\"}','1.0','2021-05-28 11:55:03','2021-05-28 11:55:05',0),(4131,'注册中心实例CPU使用率异常','micro_service','register_center_cpu','ticket','alert','【注册中心实例CPU使用率告警】\n','【注册中心实例CPU使用率异常告警】\n\n组件: {{addon_type}}\n\n实例: {{pod_namespace}} - {{pod_name}}\n\nCPU平均使用率: {{cpu_usage_percent_avg}}\n\nCPU限制: {{cpu_limit_value}}核\n\nCPU分配: {{cpu_allocation_value}}核\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','{\"container_id\":\"string:6\",\"cpu_allocation_value\":\"fraction:1\",\"cpu_limit_value\":\"fraction:1\",\"cpu_usage_percent_avg\":\"percent:1\"}','1.0','2021-05-28 11:55:03','2021-05-28 11:55:05',0),(4132,'注册中心实例CPU使用率异常','micro_service','register_center_cpu','email','alert','【注册中心实例CPU使用率告警】\n','【注册中心实例CPU使用率异常告警】\n\n组件: {{addon_type}}\n\n实例: {{pod_namespace}} - {{pod_name}}\n\nCPU平均使用率: {{cpu_usage_percent_avg}}\n\nCPU限制: {{cpu_limit_value}}核\n\nCPU分配: {{cpu_allocation_value}}核\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','{\"container_id\":\"string:6\",\"cpu_allocation_value\":\"fraction:1\",\"cpu_limit_value\":\"fraction:1\",\"cpu_usage_percent_avg\":\"percent:1\"}','1.0','2021-05-28 11:55:03','2021-05-28 11:55:05',0),(4133,'注册中心实例CPU使用率异常','micro_service','register_center_cpu','mbox','alert','【注册中心实例CPU使用率告警】\n','【注册中心实例CPU使用率异常告警】\n\n组件: {{addon_type}}\n\n实例: {{pod_namespace}} - {{pod_name}}\n\nCPU平均使用率: {{cpu_usage_percent_avg}}\n\nCPU限制: {{cpu_limit_value}}核\n\nCPU分配: {{cpu_allocation_value}}核\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','{\"container_id\":\"string:6\",\"cpu_allocation_value\":\"fraction:1\",\"cpu_limit_value\":\"fraction:1\",\"cpu_usage_percent_avg\":\"percent:1\"}','1.0','2021-05-28 11:55:03','2021-05-28 11:55:05',0),(4134,'注册中心实例CPU使用率异常','micro_service','register_center_cpu','webhook','alert','【注册中心实例CPU使用率告警】\n','【注册中心实例CPU使用率异常告警】\n\n组件: {{addon_type}}\n\n实例: {{pod_namespace}} - {{pod_name}}\n\nCPU平均使用率: {{cpu_usage_percent_avg}}\n\nCPU限制: {{cpu_limit_value}}核\n\nCPU分配: {{cpu_allocation_value}}核\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','{\"container_id\":\"string:6\",\"cpu_allocation_value\":\"fraction:1\",\"cpu_limit_value\":\"fraction:1\",\"cpu_usage_percent_avg\":\"percent:1\"}','1.0','2021-05-28 11:55:03','2021-05-28 11:55:05',0),(4135,'注册中心实例内存使用率异常','micro_service','register_center_mem','dingding','alert','【注册中心实例内存使用率告警】\n','【注册中心实例内存使用率异常告警】\n\n组件: {{addon_type}}\n\n实例: {{pod_namespace}} - {{pod_name}}\n\n内存使用率: {{mem_usage_percent_avg}}\n\n内存使用: {{mem_usage_value}}\n\n内存限制: {{mem_limit_value}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','{\"container_id\":\"string:6\",\"mem_limit_value\":\"size:byte\",\"mem_usage_percent_avg\":\"percent:1\",\"mem_usage_value\":\"size:byte\"}','1.0','2021-05-28 11:55:03','2021-05-28 11:55:05',0),(4136,'注册中心实例内存使用率异常','micro_service','register_center_mem','ticket','alert','【注册中心实例内存使用率告警】\n','【注册中心实例内存使用率异常告警】\n\n组件: {{addon_type}}\n\n实例: {{pod_namespace}} - {{pod_name}}\n\n内存使用率: {{mem_usage_percent_avg}}\n\n内存使用: {{mem_usage_value}}\n\n内存限制: {{mem_limit_value}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','{\"container_id\":\"string:6\",\"mem_limit_value\":\"size:byte\",\"mem_usage_percent_avg\":\"percent:1\",\"mem_usage_value\":\"size:byte\"}','1.0','2021-05-28 11:55:03','2021-05-28 11:55:05',0),(4137,'注册中心实例内存使用率异常','micro_service','register_center_mem','email','alert','【注册中心实例内存使用率告警】\n','【注册中心实例内存使用率异常告警】\n\n组件: {{addon_type}}\n\n实例: {{pod_namespace}} - {{pod_name}}\n\n内存使用率: {{mem_usage_percent_avg}}\n\n内存使用: {{mem_usage_value}}\n\n内存限制: {{mem_limit_value}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','{\"container_id\":\"string:6\",\"mem_limit_value\":\"size:byte\",\"mem_usage_percent_avg\":\"percent:1\",\"mem_usage_value\":\"size:byte\"}','1.0','2021-05-28 11:55:03','2021-05-28 11:55:05',0),(4138,'注册中心实例内存使用率异常','micro_service','register_center_mem','mbox','alert','【注册中心实例内存使用率告警】\n','【注册中心实例内存使用率异常告警】\n\n组件: {{addon_type}}\n\n实例: {{pod_namespace}} - {{pod_name}}\n\n内存使用率: {{mem_usage_percent_avg}}\n\n内存使用: {{mem_usage_value}}\n\n内存限制: {{mem_limit_value}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','{\"container_id\":\"string:6\",\"mem_limit_value\":\"size:byte\",\"mem_usage_percent_avg\":\"percent:1\",\"mem_usage_value\":\"size:byte\"}','1.0','2021-05-28 11:55:03','2021-05-28 11:55:05',0),(4139,'注册中心实例内存使用率异常','micro_service','register_center_mem','webhook','alert','【注册中心实例内存使用率告警】\n','【注册中心实例内存使用率异常告警】\n\n组件: {{addon_type}}\n\n实例: {{pod_namespace}} - {{pod_name}}\n\n内存使用率: {{mem_usage_percent_avg}}\n\n内存使用: {{mem_usage_value}}\n\n内存限制: {{mem_limit_value}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','{\"container_id\":\"string:6\",\"mem_limit_value\":\"size:byte\",\"mem_usage_percent_avg\":\"percent:1\",\"mem_usage_value\":\"size:byte\"}','1.0','2021-05-28 11:55:03','2021-05-28 11:55:05',0),(4140,'服务熔断通知告警','micro_service','sidecar_circuit_breaker','dingding','alert','【{{application_name}}应用{{service_name}}服务发生熔断告警】\n','【服务熔断告警】\n\n服务发生熔断 !\n\n项目: {{project_name}}\n\n环境: {{workspace}}\n\n应用: {{application_name}}\n\n服务: {{runtime_name}} / {{service_name}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','','1.0','2021-05-28 11:55:03','2021-05-28 11:55:05',0),(4141,'服务熔断通知告警','micro_service','sidecar_circuit_breaker','ticket','alert','【{{application_name}}应用{{service_name}}服务发生熔断告警】\n','【服务熔断告警】\n\n服务发生熔断 !\n\n项目: {{project_name}}\n\n环境: {{workspace}}\n\n应用: {{application_name}}\n\n服务: {{runtime_name}} / {{service_name}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','','1.0','2021-05-28 11:55:03','2021-05-28 11:55:05',0),(4142,'服务熔断通知告警','micro_service','sidecar_circuit_breaker','email','alert','【{{application_name}}应用{{service_name}}服务发生熔断告警】\n','【服务熔断告警】\n\n服务发生熔断 !\n\n项目: {{project_name}}\n\n环境: {{workspace}}\n\n应用: {{application_name}}\n\n服务: {{runtime_name}} / {{service_name}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','','1.0','2021-05-28 11:55:03','2021-05-28 11:55:05',0),(4143,'服务熔断通知告警','micro_service','sidecar_circuit_breaker','mbox','alert','【{{application_name}}应用{{service_name}}服务发生熔断告警】\n','【服务熔断告警】\n\n服务发生熔断 !\n\n项目: {{project_name}}\n\n环境: {{workspace}}\n\n应用: {{application_name}}\n\n服务: {{runtime_name}} / {{service_name}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','','1.0','2021-05-28 11:55:03','2021-05-28 11:55:05',0),(4144,'服务熔断通知告警','micro_service','sidecar_circuit_breaker','webhook','alert','【{{application_name}}应用{{service_name}}服务发生熔断告警】\n','【服务熔断告警】\n\n服务发生熔断 !\n\n项目: {{project_name}}\n\n环境: {{workspace}}\n\n应用: {{application_name}}\n\n服务: {{runtime_name}} / {{service_name}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','','1.0','2021-05-28 11:55:03','2021-05-28 11:55:05',0),(4145,'ElasticSearch实例CPU使用率异常告警','addon','addon_elasticsearch_cpu','dingding','alert','【ElasticSearch实例CPU使用率告警】\n','【ElasticSearch实例CPU使用率异常告警】\n\n组件: {{addon_type}}\n\n实例: {{pod_namespace}} - {{pod_name}}\n\nCPU平均使用率: {{cpu_usage_percent_avg}}\n\nCPU限制: {{cpu_limit_value}}核\n\nCPU分配: {{cpu_allocation_value}}核\n\n集群 / 机器: {{cluster_name}} / {{host_ip}}\n\n容器ID: {{container_id}}\n\n机器: {{host_ip}}\n\n时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','{\"container_id\":\"string:6\",\"cpu_usage_percent_avg\":\"percent:1\",\"limit_value\":\"fraction:1\"}','1.0','2021-05-28 11:55:05','2021-05-28 11:55:06',0),(4146,'ElasticSearch实例CPU使用率异常告警','addon','addon_elasticsearch_cpu','ticket','alert','【ElasticSearch实例CPU使用率告警】\n','【ElasticSearch实例CPU使用率异常告警】\n\n组件: {{addon_type}}\n\n实例: {{pod_namespace}} - {{pod_name}}\n\nCPU平均使用率: {{cpu_usage_percent_avg}}\n\nCPU限制: {{cpu_limit_value}}核\n\nCPU分配: {{cpu_allocation_value}}核\n\n集群 / 机器: {{cluster_name}} / {{host_ip}}\n\n容器ID: {{container_id}}\n\n机器: {{host_ip}}\n\n时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','{\"container_id\":\"string:6\",\"cpu_usage_percent_avg\":\"percent:1\",\"limit_value\":\"fraction:1\"}','1.0','2021-05-28 11:55:05','2021-05-28 11:55:06',0),(4147,'ElasticSearch实例CPU使用率异常告警','addon','addon_elasticsearch_cpu','email','alert','【ElasticSearch实例CPU使用率告警】\n','【ElasticSearch实例CPU使用率异常告警】\n\n组件: {{addon_type}}\n\n实例: {{pod_namespace}} - {{pod_name}}\n\nCPU平均使用率: {{cpu_usage_percent_avg}}\n\nCPU限制: {{cpu_limit_value}}核\n\nCPU分配: {{cpu_allocation_value}}核\n\n集群 / 机器: {{cluster_name}} / {{host_ip}}\n\n容器ID: {{container_id}}\n\n机器: {{host_ip}}\n\n时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','{\"container_id\":\"string:6\",\"cpu_usage_percent_avg\":\"percent:1\",\"limit_value\":\"fraction:1\"}','1.0','2021-05-28 11:55:05','2021-05-28 11:55:06',0),(4148,'ElasticSearch实例CPU使用率异常告警','addon','addon_elasticsearch_cpu','mbox','alert','【ElasticSearch实例CPU使用率告警】\n','【ElasticSearch实例CPU使用率异常告警】\n\n组件: {{addon_type}}\n\n实例: {{pod_namespace}} - {{pod_name}}\n\nCPU平均使用率: {{cpu_usage_percent_avg}}\n\nCPU限制: {{cpu_limit_value}}核\n\nCPU分配: {{cpu_allocation_value}}核\n\n集群 / 机器: {{cluster_name}} / {{host_ip}}\n\n容器ID: {{container_id}}\n\n机器: {{host_ip}}\n\n时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','{\"container_id\":\"string:6\",\"cpu_usage_percent_avg\":\"percent:1\",\"limit_value\":\"fraction:1\"}','1.0','2021-05-28 11:55:05','2021-05-28 11:55:06',0),(4149,'ElasticSearch实例CPU使用率异常告警','addon','addon_elasticsearch_cpu','webhook','alert','【ElasticSearch实例CPU使用率告警】\n','【ElasticSearch实例CPU使用率异常告警】\n\n组件: {{addon_type}}\n\n实例: {{pod_namespace}} - {{pod_name}}\n\nCPU平均使用率: {{cpu_usage_percent_avg}}\n\nCPU限制: {{cpu_limit_value}}核\n\nCPU分配: {{cpu_allocation_value}}核\n\n集群 / 机器: {{cluster_name}} / {{host_ip}}\n\n容器ID: {{container_id}}\n\n机器: {{host_ip}}\n\n时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','{\"container_id\":\"string:6\",\"cpu_usage_percent_avg\":\"percent:1\",\"limit_value\":\"fraction:1\"}','1.0','2021-05-28 11:55:05','2021-05-28 11:55:06',0),(4150,'Elasticsearch实例内存使用率异常告警','addon','addon_elasticsearch_mem','dingding','alert','【Elasticsearch实例内存使用率告警】\n','【Elasticsearch实例内存使用率告警】\n\n组件: {{addon_type}}\n\n实例ID: {{addon_id}}\n\n实例: {{pod_namespace}} - {{pod_name}}\n\n平均使用率: {{mem_usage_percent_avg}}\n\n集群 / 机器: {{cluster_name}} / {{host_ip}}\n\n容器ID: {{container_id}}\n\n机器: {{host_ip}}\n\n时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','{\"container_id\":\"string:6\",\"mem_limit_value\":\"fraction:1\",\"mem_usage_percent_avg\":\"percent:1\"}','1.0','2021-05-28 11:55:05','2021-05-28 11:55:06',0),(4151,'Elasticsearch实例内存使用率异常告警','addon','addon_elasticsearch_mem','ticket','alert','【Elasticsearch实例内存使用率告警】\n','【Elasticsearch实例内存使用率告警】\n\n组件: {{addon_type}}\n\n实例ID: {{addon_id}}\n\n实例: {{pod_namespace}} - {{pod_name}}\n\n平均使用率: {{mem_usage_percent_avg}}\n\n集群 / 机器: {{cluster_name}} / {{host_ip}}\n\n容器ID: {{container_id}}\n\n机器: {{host_ip}}\n\n时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','{\"container_id\":\"string:6\",\"mem_limit_value\":\"fraction:1\",\"mem_usage_percent_avg\":\"percent:1\"}','1.0','2021-05-28 11:55:05','2021-05-28 11:55:06',0),(4152,'Elasticsearch实例内存使用率异常告警','addon','addon_elasticsearch_mem','email','alert','【Elasticsearch实例内存使用率告警】\n','【Elasticsearch实例内存使用率告警】\n\n组件: {{addon_type}}\n\n实例ID: {{addon_id}}\n\n实例: {{pod_namespace}} - {{pod_name}}\n\n平均使用率: {{mem_usage_percent_avg}}\n\n集群 / 机器: {{cluster_name}} / {{host_ip}}\n\n容器ID: {{container_id}}\n\n机器: {{host_ip}}\n\n时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','{\"container_id\":\"string:6\",\"mem_limit_value\":\"fraction:1\",\"mem_usage_percent_avg\":\"percent:1\"}','1.0','2021-05-28 11:55:05','2021-05-28 11:55:06',0),(4153,'Elasticsearch实例内存使用率异常告警','addon','addon_elasticsearch_mem','mbox','alert','【Elasticsearch实例内存使用率告警】\n','【Elasticsearch实例内存使用率告警】\n\n组件: {{addon_type}}\n\n实例ID: {{addon_id}}\n\n实例: {{pod_namespace}} - {{pod_name}}\n\n平均使用率: {{mem_usage_percent_avg}}\n\n集群 / 机器: {{cluster_name}} / {{host_ip}}\n\n容器ID: {{container_id}}\n\n机器: {{host_ip}}\n\n时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','{\"container_id\":\"string:6\",\"mem_limit_value\":\"fraction:1\",\"mem_usage_percent_avg\":\"percent:1\"}','1.0','2021-05-28 11:55:05','2021-05-28 11:55:06',0),(4154,'Elasticsearch实例内存使用率异常告警','addon','addon_elasticsearch_mem','webhook','alert','【Elasticsearch实例内存使用率告警】\n','【Elasticsearch实例内存使用率告警】\n\n组件: {{addon_type}}\n\n实例ID: {{addon_id}}\n\n实例: {{pod_namespace}} - {{pod_name}}\n\n平均使用率: {{mem_usage_percent_avg}}\n\n集群 / 机器: {{cluster_name}} / {{host_ip}}\n\n容器ID: {{container_id}}\n\n机器: {{host_ip}}\n\n时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','{\"container_id\":\"string:6\",\"mem_limit_value\":\"fraction:1\",\"mem_usage_percent_avg\":\"percent:1\"}','1.0','2021-05-28 11:55:05','2021-05-28 11:55:06',0),(4155,'MySQL实例CPU使用率异常告警','addon','addon_mysql_cpu','dingding','alert','【MySQL实例CPU使用率告警】\n','【MySQL实例CPU使用率异常告警】\n\n组件: {{addon_type}}\n\n实例: {{pod_namespace}} - {{pod_name}}\n\nCPU平均使用率: {{cpu_usage_percent_avg}}\n\nCPU限制: {{cpu_limit_value}}核\n\nCPU分配: {{cpu_allocation_value}}核\n\n集群 / 机器: {{cluster_name}} / {{host_ip}}\n\n容器ID: {{container_id}}\n\n机器: {{host_ip}}\n\n时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','{\"container_id\":\"string:6\",\"cpu_limit_value\":\"fraction:1\",\"cpu_usage_percent_avg\":\"percent:1\"}','1.0','2021-05-28 11:55:05','2021-05-28 11:55:06',0),(4156,'MySQL实例CPU使用率异常告警','addon','addon_mysql_cpu','ticket','alert','【MySQL实例CPU使用率告警】\n','【MySQL实例CPU使用率异常告警】\n\n组件: {{addon_type}}\n\n实例: {{pod_namespace}} - {{pod_name}}\n\nCPU平均使用率: {{cpu_usage_percent_avg}}\n\nCPU限制: {{cpu_limit_value}}核\n\nCPU分配: {{cpu_allocation_value}}核\n\n集群 / 机器: {{cluster_name}} / {{host_ip}}\n\n容器ID: {{container_id}}\n\n机器: {{host_ip}}\n\n时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','{\"container_id\":\"string:6\",\"cpu_limit_value\":\"fraction:1\",\"cpu_usage_percent_avg\":\"percent:1\"}','1.0','2021-05-28 11:55:05','2021-05-28 11:55:06',0),(4157,'MySQL实例CPU使用率异常告警','addon','addon_mysql_cpu','email','alert','【MySQL实例CPU使用率告警】\n','【MySQL实例CPU使用率异常告警】\n\n组件: {{addon_type}}\n\n实例: {{pod_namespace}} - {{pod_name}}\n\nCPU平均使用率: {{cpu_usage_percent_avg}}\n\nCPU限制: {{cpu_limit_value}}核\n\nCPU分配: {{cpu_allocation_value}}核\n\n集群 / 机器: {{cluster_name}} / {{host_ip}}\n\n容器ID: {{container_id}}\n\n机器: {{host_ip}}\n\n时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','{\"container_id\":\"string:6\",\"cpu_limit_value\":\"fraction:1\",\"cpu_usage_percent_avg\":\"percent:1\"}','1.0','2021-05-28 11:55:05','2021-05-28 11:55:06',0),(4158,'MySQL实例CPU使用率异常告警','addon','addon_mysql_cpu','mbox','alert','【MySQL实例CPU使用率告警】\n','【MySQL实例CPU使用率异常告警】\n\n组件: {{addon_type}}\n\n实例: {{pod_namespace}} - {{pod_name}}\n\nCPU平均使用率: {{cpu_usage_percent_avg}}\n\nCPU限制: {{cpu_limit_value}}核\n\nCPU分配: {{cpu_allocation_value}}核\n\n集群 / 机器: {{cluster_name}} / {{host_ip}}\n\n容器ID: {{container_id}}\n\n机器: {{host_ip}}\n\n时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','{\"container_id\":\"string:6\",\"cpu_limit_value\":\"fraction:1\",\"cpu_usage_percent_avg\":\"percent:1\"}','1.0','2021-05-28 11:55:05','2021-05-28 11:55:06',0),(4159,'MySQL实例CPU使用率异常告警','addon','addon_mysql_cpu','webhook','alert','【MySQL实例CPU使用率告警】\n','【MySQL实例CPU使用率异常告警】\n\n组件: {{addon_type}}\n\n实例: {{pod_namespace}} - {{pod_name}}\n\nCPU平均使用率: {{cpu_usage_percent_avg}}\n\nCPU限制: {{cpu_limit_value}}核\n\nCPU分配: {{cpu_allocation_value}}核\n\n集群 / 机器: {{cluster_name}} / {{host_ip}}\n\n容器ID: {{container_id}}\n\n机器: {{host_ip}}\n\n时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','{\"container_id\":\"string:6\",\"cpu_limit_value\":\"fraction:1\",\"cpu_usage_percent_avg\":\"percent:1\"}','1.0','2021-05-28 11:55:05','2021-05-28 11:55:06',0),(4160,'MySQL实例内存使用率异常告警','addon','addon_mysql_mem','dingding','alert','【MySQL实例内存使用率告警】\n','【MySQL实例内存使用率告警】\n\n组件: {{addon_type}}\n\n实例ID: {{addon_id}}\n\n实例: {{pod_namespace}} - {{pod_name}}\n\n平均使用率: {{mem_usage_percent_avg}}\n\n集群 / 机器: {{cluster_name}} / {{host_ip}}\n\n容器ID: {{container_id}}\n\n机器: {{host_ip}}\n\n时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','{\"container_id\":\"string:6\",\"mem_limit_value\":\"fraction:1\",\"mem_usage_percent_avg\":\"percent:1\"}','1.0','2021-05-28 11:55:05','2021-05-28 11:55:06',0),(4161,'MySQL实例内存使用率异常告警','addon','addon_mysql_mem','ticket','alert','【MySQL实例内存使用率告警】\n','【MySQL实例内存使用率告警】\n\n组件: {{addon_type}}\n\n实例ID: {{addon_id}}\n\n实例: {{pod_namespace}} - {{pod_name}}\n\n平均使用率: {{mem_usage_percent_avg}}\n\n集群 / 机器: {{cluster_name}} / {{host_ip}}\n\n容器ID: {{container_id}}\n\n机器: {{host_ip}}\n\n时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','{\"container_id\":\"string:6\",\"mem_limit_value\":\"fraction:1\",\"mem_usage_percent_avg\":\"percent:1\"}','1.0','2021-05-28 11:55:05','2021-05-28 11:55:06',0),(4162,'MySQL实例内存使用率异常告警','addon','addon_mysql_mem','email','alert','【MySQL实例内存使用率告警】\n','【MySQL实例内存使用率告警】\n\n组件: {{addon_type}}\n\n实例ID: {{addon_id}}\n\n实例: {{pod_namespace}} - {{pod_name}}\n\n平均使用率: {{mem_usage_percent_avg}}\n\n集群 / 机器: {{cluster_name}} / {{host_ip}}\n\n容器ID: {{container_id}}\n\n机器: {{host_ip}}\n\n时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','{\"container_id\":\"string:6\",\"mem_limit_value\":\"fraction:1\",\"mem_usage_percent_avg\":\"percent:1\"}','1.0','2021-05-28 11:55:05','2021-05-28 11:55:06',0),(4163,'MySQL实例内存使用率异常告警','addon','addon_mysql_mem','mbox','alert','【MySQL实例内存使用率告警】\n','【MySQL实例内存使用率告警】\n\n组件: {{addon_type}}\n\n实例ID: {{addon_id}}\n\n实例: {{pod_namespace}} - {{pod_name}}\n\n平均使用率: {{mem_usage_percent_avg}}\n\n集群 / 机器: {{cluster_name}} / {{host_ip}}\n\n容器ID: {{container_id}}\n\n机器: {{host_ip}}\n\n时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','{\"container_id\":\"string:6\",\"mem_limit_value\":\"fraction:1\",\"mem_usage_percent_avg\":\"percent:1\"}','1.0','2021-05-28 11:55:05','2021-05-28 11:55:06',0),(4164,'MySQL实例内存使用率异常告警','addon','addon_mysql_mem','webhook','alert','【MySQL实例内存使用率告警】\n','【MySQL实例内存使用率告警】\n\n组件: {{addon_type}}\n\n实例ID: {{addon_id}}\n\n实例: {{pod_namespace}} - {{pod_name}}\n\n平均使用率: {{mem_usage_percent_avg}}\n\n集群 / 机器: {{cluster_name}} / {{host_ip}}\n\n容器ID: {{container_id}}\n\n机器: {{host_ip}}\n\n时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','{\"container_id\":\"string:6\",\"mem_limit_value\":\"fraction:1\",\"mem_usage_percent_avg\":\"percent:1\"}','1.0','2021-05-28 11:55:05','2021-05-28 11:55:06',0),(4165,'MySQL实例主从同步异常告警','addon','addon_mysql_slave_status','dingding','alert','【MySQL实例主从同步异常】\n','【MySQL实例主从同步异常】\n\n组件: \"mysql\"\n\n实例ID: {{addon_id}}\n\n从节点IO异常状态: {{slave_slave_io_running_value}}\n\n从节点连接异常状态: {{slave_slave_sql_running_value}}\n\n集群 / 机器: {{cluster_name}} / {{host_ip}}\n\n机器: {{host_ip}}\n\n时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','{\"limit_value\":\"fraction:1\",\"usage_percent_avg\":\"percent:1\"}','1.0','2021-05-28 11:55:05','2021-05-28 11:55:06',0),(4166,'MySQL实例主从同步异常告警','addon','addon_mysql_slave_status','ticket','alert','【MySQL实例主从同步异常】\n','【MySQL实例主从同步异常】\n\n组件: \"mysql\"\n\n实例ID: {{addon_id}}\n\n从节点IO异常状态: {{slave_slave_io_running_value}}\n\n从节点连接异常状态: {{slave_slave_sql_running_value}}\n\n集群 / 机器: {{cluster_name}} / {{host_ip}}\n\n机器: {{host_ip}}\n\n时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','{\"limit_value\":\"fraction:1\",\"usage_percent_avg\":\"percent:1\"}','1.0','2021-05-28 11:55:05','2021-05-28 11:55:06',0),(4167,'MySQL实例主从同步异常告警','addon','addon_mysql_slave_status','email','alert','【MySQL实例主从同步异常】\n','【MySQL实例主从同步异常】\n\n组件: \"mysql\"\n\n实例ID: {{addon_id}}\n\n从节点IO异常状态: {{slave_slave_io_running_value}}\n\n从节点连接异常状态: {{slave_slave_sql_running_value}}\n\n集群 / 机器: {{cluster_name}} / {{host_ip}}\n\n机器: {{host_ip}}\n\n时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','{\"limit_value\":\"fraction:1\",\"usage_percent_avg\":\"percent:1\"}','1.0','2021-05-28 11:55:05','2021-05-28 11:55:06',0),(4168,'MySQL实例主从同步异常告警','addon','addon_mysql_slave_status','mbox','alert','【MySQL实例主从同步异常】\n','【MySQL实例主从同步异常】\n\n组件: \"mysql\"\n\n实例ID: {{addon_id}}\n\n从节点IO异常状态: {{slave_slave_io_running_value}}\n\n从节点连接异常状态: {{slave_slave_sql_running_value}}\n\n集群 / 机器: {{cluster_name}} / {{host_ip}}\n\n机器: {{host_ip}}\n\n时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','{\"limit_value\":\"fraction:1\",\"usage_percent_avg\":\"percent:1\"}','1.0','2021-05-28 11:55:05','2021-05-28 11:55:06',0),(4169,'MySQL实例主从同步异常告警','addon','addon_mysql_slave_status','webhook','alert','【MySQL实例主从同步异常】\n','【MySQL实例主从同步异常】\n\n组件: \"mysql\"\n\n实例ID: {{addon_id}}\n\n从节点IO异常状态: {{slave_slave_io_running_value}}\n\n从节点连接异常状态: {{slave_slave_sql_running_value}}\n\n集群 / 机器: {{cluster_name}} / {{host_ip}}\n\n机器: {{host_ip}}\n\n时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','{\"limit_value\":\"fraction:1\",\"usage_percent_avg\":\"percent:1\"}','1.0','2021-05-28 11:55:05','2021-05-28 11:55:06',0),(4170,'redis实例内存使用率异常告警','addon','addon_redis_mem','dingding','alert','【redis实例内存使用率异常告警】\n','【redis实例内存使用率异常告警】\n\n组件: {{addon_type}}\n\n实例ID: {{addon_id}}\n\n实例: {{pod_namespace}} - {{pod_name}}\n\n平均使用率: {{mem_usage_percent_avg}}\n\n集群 / 机器: {{cluster_name}} / {{host_ip}}\n\n容器ID: {{container_id}}\n\n机器: {{host_ip}}\n\n时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','{\"container_id\":\"string:6\",\"mem_limit_value\":\"fraction:1\",\"mem_usage_percent_avg\":\"percent:1\"}','1.0','2021-05-28 11:55:05','2021-05-28 11:55:06',0),(4171,'redis实例内存使用率异常告警','addon','addon_redis_mem','ticket','alert','【redis实例内存使用率异常告警】\n','【redis实例内存使用率异常告警】\n\n组件: {{addon_type}}\n\n实例ID: {{addon_id}}\n\n实例: {{pod_namespace}} - {{pod_name}}\n\n平均使用率: {{mem_usage_percent_avg}}\n\n集群 / 机器: {{cluster_name}} / {{host_ip}}\n\n容器ID: {{container_id}}\n\n机器: {{host_ip}}\n\n时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','{\"container_id\":\"string:6\",\"mem_limit_value\":\"fraction:1\",\"mem_usage_percent_avg\":\"percent:1\"}','1.0','2021-05-28 11:55:05','2021-05-28 11:55:06',0),(4172,'redis实例内存使用率异常告警','addon','addon_redis_mem','email','alert','【redis实例内存使用率异常告警】\n','【redis实例内存使用率异常告警】\n\n组件: {{addon_type}}\n\n实例ID: {{addon_id}}\n\n实例: {{pod_namespace}} - {{pod_name}}\n\n平均使用率: {{mem_usage_percent_avg}}\n\n集群 / 机器: {{cluster_name}} / {{host_ip}}\n\n容器ID: {{container_id}}\n\n机器: {{host_ip}}\n\n时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','{\"container_id\":\"string:6\",\"mem_limit_value\":\"fraction:1\",\"mem_usage_percent_avg\":\"percent:1\"}','1.0','2021-05-28 11:55:05','2021-05-28 11:55:06',0),(4173,'redis实例内存使用率异常告警','addon','addon_redis_mem','mbox','alert','【redis实例内存使用率异常告警】\n','【redis实例内存使用率异常告警】\n\n组件: {{addon_type}}\n\n实例ID: {{addon_id}}\n\n实例: {{pod_namespace}} - {{pod_name}}\n\n平均使用率: {{mem_usage_percent_avg}}\n\n集群 / 机器: {{cluster_name}} / {{host_ip}}\n\n容器ID: {{container_id}}\n\n机器: {{host_ip}}\n\n时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','{\"container_id\":\"string:6\",\"mem_limit_value\":\"fraction:1\",\"mem_usage_percent_avg\":\"percent:1\"}','1.0','2021-05-28 11:55:05','2021-05-28 11:55:06',0),(4174,'redis实例内存使用率异常告警','addon','addon_redis_mem','webhook','alert','【redis实例内存使用率异常告警】\n','【redis实例内存使用率异常告警】\n\n组件: {{addon_type}}\n\n实例ID: {{addon_id}}\n\n实例: {{pod_namespace}} - {{pod_name}}\n\n平均使用率: {{mem_usage_percent_avg}}\n\n集群 / 机器: {{cluster_name}} / {{host_ip}}\n\n容器ID: {{container_id}}\n\n机器: {{host_ip}}\n\n时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','{\"container_id\":\"string:6\",\"mem_limit_value\":\"fraction:1\",\"mem_usage_percent_avg\":\"percent:1\"}','1.0','2021-05-28 11:55:05','2021-05-28 11:55:06',0),(4175,'应用异常','app_exception','app_exception_count','dingding','alert','【{{application_name}}应用{{service_name}}服务异常告警】\n','【应用异常告警】\n\n项目: {{project_name}}\n\n应用: {{application_name}}\n\n服务: {{runtime_name}} - {{service_name}}\n\n实例: {{instance_id}}\n\n类: {{class}}\n\n方法: {{method}}\n\n行数: {{line}}\n\n错误: {{type}}\n\n事件: {{window}}分钟内出现 {{count_sum}} 次\n\n时间: {{timestamp}}\n\n[查看详情]({{display_url}})\n\n[查看记录]({{record_url}})\n','','1.0','2021-05-28 11:55:05','2021-05-28 11:55:06',0),(4176,'应用异常','app_exception','app_exception_count','ticket','alert','【{{application_name}}应用{{service_name}}服务异常告警】\n','【应用异常告警】\n\n项目: {{project_name}}\n\n应用: {{application_name}}\n\n服务: {{runtime_name}} - {{service_name}}\n\n实例: {{instance_id}}\n\n类: {{class}}\n\n方法: {{method}}\n\n行数: {{line}}\n\n错误: {{type}}\n\n事件: {{window}}分钟内出现 {{count_sum}} 次\n\n时间: {{timestamp}}\n\n[查看详情]({{display_url}})\n\n[查看记录]({{record_url}})\n','','1.0','2021-05-28 11:55:05','2021-05-28 11:55:06',0),(4177,'应用异常','app_exception','app_exception_count','email','alert','【{{application_name}}应用{{service_name}}服务异常告警】\n','【应用异常告警】\n\n项目: {{project_name}}\n\n应用: {{application_name}}\n\n服务: {{runtime_name}} - {{service_name}}\n\n实例: {{instance_id}}\n\n类: {{class}}\n\n方法: {{method}}\n\n行数: {{line}}\n\n错误: {{type}}\n\n事件: {{window}}分钟内出现 {{count_sum}} 次\n\n时间: {{timestamp}}\n\n[查看详情]({{display_url}})\n\n[查看记录]({{record_url}})\n','','1.0','2021-05-28 11:55:05','2021-05-28 11:55:06',0),(4178,'应用异常','app_exception','app_exception_count','mbox','alert','【{{application_name}}应用{{service_name}}服务异常告警】\n','【应用异常告警】\n\n项目: {{project_name}}\n\n应用: {{application_name}}\n\n服务: {{runtime_name}} - {{service_name}}\n\n实例: {{instance_id}}\n\n类: {{class}}\n\n方法: {{method}}\n\n行数: {{line}}\n\n错误: {{type}}\n\n事件: {{window}}分钟内出现 {{count_sum}} 次\n\n时间: {{timestamp}}\n\n[查看详情]({{display_url}})\n\n[查看记录]({{record_url}})\n','','1.0','2021-05-28 11:55:05','2021-05-28 11:55:06',0),(4179,'应用异常','app_exception','app_exception_count','webhook','alert','【{{application_name}}应用{{service_name}}服务异常告警】\n','【应用异常告警】\n\n项目: {{project_name}}\n\n应用: {{application_name}}\n\n服务: {{runtime_name}} - {{service_name}}\n\n实例: {{instance_id}}\n\n类: {{class}}\n\n方法: {{method}}\n\n行数: {{line}}\n\n错误: {{type}}\n\n事件: {{window}}分钟内出现 {{count_sum}} 次\n\n时间: {{timestamp}}\n\n[查看详情]({{display_url}})\n\n[查看记录]({{record_url}})\n','','1.0','2021-05-28 11:55:05','2021-05-28 11:55:06',0),(4180,'应用异常','app_exception','app_exception_count','dingding','recover','【{{application_name}}应用{{service_name}}服务异常恢复】\n','【应用异常恢复】\n\n项目: {{project_name}}\n\n应用: {{application_name}}\n\n服务: {{runtime_name}} - {{service_name}}\n\n实例: {{instance_id}}\n\n类: {{class}}\n\n方法: {{method}}\n\n行数: {{line}}\n\n错误: {{type}}\n\n持续时间: {{trigger_duration_min}}\n\n恢复时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','','1.0','2021-05-28 11:55:05','2021-05-28 11:55:06',0),(4181,'应用异常','app_exception','app_exception_count','ticket','recover','【{{application_name}}应用{{service_name}}服务异常恢复】\n','【应用异常恢复】\n\n项目: {{project_name}}\n\n应用: {{application_name}}\n\n服务: {{runtime_name}} - {{service_name}}\n\n实例: {{instance_id}}\n\n类: {{class}}\n\n方法: {{method}}\n\n行数: {{line}}\n\n错误: {{type}}\n\n持续时间: {{trigger_duration_min}}\n\n恢复时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','','1.0','2021-05-28 11:55:05','2021-05-28 11:55:06',0),(4182,'应用异常','app_exception','app_exception_count','email','recover','【{{application_name}}应用{{service_name}}服务异常恢复】\n','【应用异常恢复】\n\n项目: {{project_name}}\n\n应用: {{application_name}}\n\n服务: {{runtime_name}} - {{service_name}}\n\n实例: {{instance_id}}\n\n类: {{class}}\n\n方法: {{method}}\n\n行数: {{line}}\n\n错误: {{type}}\n\n持续时间: {{trigger_duration_min}}\n\n恢复时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','','1.0','2021-05-28 11:55:05','2021-05-28 11:55:06',0),(4183,'应用异常','app_exception','app_exception_count','mbox','recover','【{{application_name}}应用{{service_name}}服务异常恢复】\n','【应用异常恢复】\n\n项目: {{project_name}}\n\n应用: {{application_name}}\n\n服务: {{runtime_name}} - {{service_name}}\n\n实例: {{instance_id}}\n\n类: {{class}}\n\n方法: {{method}}\n\n行数: {{line}}\n\n错误: {{type}}\n\n持续时间: {{trigger_duration_min}}\n\n恢复时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','','1.0','2021-05-28 11:55:05','2021-05-28 11:55:06',0),(4184,'应用异常','app_exception','app_exception_count','webhook','recover','【{{application_name}}应用{{service_name}}服务异常恢复】\n','【应用异常恢复】\n\n项目: {{project_name}}\n\n应用: {{application_name}}\n\n服务: {{runtime_name}} - {{service_name}}\n\n实例: {{instance_id}}\n\n类: {{class}}\n\n方法: {{method}}\n\n行数: {{line}}\n\n错误: {{type}}\n\n持续时间: {{trigger_duration_min}}\n\n恢复时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','','1.0','2021-05-28 11:55:05','2021-05-28 11:55:06',0),(4185,'应用实例CPU使用率异常','app_resource','app_resource_container_cpu','dingding','alert','【{{application_name}}应用{{service_name}}服务实例CPU使用率告警】\n','【应用实例CPU使用率异常告警】\n\n项目: {{project_name}}\n\n应用: {{application_name}}\n\n服务实例: {{runtime_name}} - {{service_name}}.{{container_id}}\n\nCPU平均使用率: {{cpu_usage_percent_avg}}\n\nCPU限制: {{cpu_limit_value}}核\n\n机器: {{host_ip}}\n\n时间: {{timestamp}}\n\n[查看详情]({{display_url}})\n\n[查看记录]({{record_url}})\n','{\"container_id\":\"string:6\",\"cpu_limit_value\":\"fraction:1\",\"cpu_usage_percent_avg\":\"percent:1\"}','1.0','2021-05-28 11:55:05','2021-05-28 11:55:06',0),(4186,'应用实例CPU使用率异常','app_resource','app_resource_container_cpu','ticket','alert','【{{application_name}}应用{{service_name}}服务实例CPU使用率告警】\n','【应用实例CPU使用率异常告警】\n\n项目: {{project_name}}\n\n应用: {{application_name}}\n\n服务实例: {{runtime_name}} - {{service_name}}.{{container_id}}\n\nCPU平均使用率: {{cpu_usage_percent_avg}}\n\nCPU限制: {{cpu_limit_value}}核\n\n机器: {{host_ip}}\n\n时间: {{timestamp}}\n\n[查看详情]({{display_url}})\n\n[查看记录]({{record_url}})\n','{\"container_id\":\"string:6\",\"cpu_limit_value\":\"fraction:1\",\"cpu_usage_percent_avg\":\"percent:1\"}','1.0','2021-05-28 11:55:05','2021-05-28 11:55:06',0),(4187,'应用实例CPU使用率异常','app_resource','app_resource_container_cpu','email','alert','【{{application_name}}应用{{service_name}}服务实例CPU使用率告警】\n','【应用实例CPU使用率异常告警】\n\n项目: {{project_name}}\n\n应用: {{application_name}}\n\n服务实例: {{runtime_name}} - {{service_name}}.{{container_id}}\n\nCPU平均使用率: {{cpu_usage_percent_avg}}\n\nCPU限制: {{cpu_limit_value}}核\n\n机器: {{host_ip}}\n\n时间: {{timestamp}}\n\n[查看详情]({{display_url}})\n\n[查看记录]({{record_url}})\n','{\"container_id\":\"string:6\",\"cpu_limit_value\":\"fraction:1\",\"cpu_usage_percent_avg\":\"percent:1\"}','1.0','2021-05-28 11:55:05','2021-05-28 11:55:06',0),(4188,'应用实例CPU使用率异常','app_resource','app_resource_container_cpu','mbox','alert','【{{application_name}}应用{{service_name}}服务实例CPU使用率告警】\n','【应用实例CPU使用率异常告警】\n\n项目: {{project_name}}\n\n应用: {{application_name}}\n\n服务实例: {{runtime_name}} - {{service_name}}.{{container_id}}\n\nCPU平均使用率: {{cpu_usage_percent_avg}}\n\nCPU限制: {{cpu_limit_value}}核\n\n机器: {{host_ip}}\n\n时间: {{timestamp}}\n\n[查看详情]({{display_url}})\n\n[查看记录]({{record_url}})\n','{\"container_id\":\"string:6\",\"cpu_limit_value\":\"fraction:1\",\"cpu_usage_percent_avg\":\"percent:1\"}','1.0','2021-05-28 11:55:05','2021-05-28 11:55:06',0),(4189,'应用实例CPU使用率异常','app_resource','app_resource_container_cpu','webhook','alert','【{{application_name}}应用{{service_name}}服务实例CPU使用率告警】\n','【应用实例CPU使用率异常告警】\n\n项目: {{project_name}}\n\n应用: {{application_name}}\n\n服务实例: {{runtime_name}} - {{service_name}}.{{container_id}}\n\nCPU平均使用率: {{cpu_usage_percent_avg}}\n\nCPU限制: {{cpu_limit_value}}核\n\n机器: {{host_ip}}\n\n时间: {{timestamp}}\n\n[查看详情]({{display_url}})\n\n[查看记录]({{record_url}})\n','{\"container_id\":\"string:6\",\"cpu_limit_value\":\"fraction:1\",\"cpu_usage_percent_avg\":\"percent:1\"}','1.0','2021-05-28 11:55:05','2021-05-28 11:55:06',0),(4190,'应用实例CPU使用率恢复','app_resource','app_resource_container_cpu','dingding','recover','【{{application_name}}应用{{service_name}}服务实例CPU使用率恢复】\n','【应用实例CPU使用率恢复】\n\n项目: {{project_name}}\n\n应用: {{application_name}}\n\n服务实例: {{runtime_name}} - {{service_name}}.{{container_id}}\n\n平均使用率: {{cpu_usage_percent_avg}}\n\n机器: {{host_ip}}\n\n容器ID: {{container_id}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','{\"container_id\":\"string:6\",\"cpu_usage_percent_avg\":\"percent:1\",\"trigger_duration\":\"time:ms\"}','1.0','2021-05-28 11:55:05','2021-05-28 11:55:06',0),(4191,'应用实例CPU使用率恢复','app_resource','app_resource_container_cpu','ticket','recover','【{{application_name}}应用{{service_name}}服务实例CPU使用率恢复】\n','【应用实例CPU使用率恢复】\n\n项目: {{project_name}}\n\n应用: {{application_name}}\n\n服务实例: {{runtime_name}} - {{service_name}}.{{container_id}}\n\n平均使用率: {{cpu_usage_percent_avg}}\n\n机器: {{host_ip}}\n\n容器ID: {{container_id}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','{\"container_id\":\"string:6\",\"cpu_usage_percent_avg\":\"percent:1\",\"trigger_duration\":\"time:ms\"}','1.0','2021-05-28 11:55:05','2021-05-28 11:55:06',0),(4192,'应用实例CPU使用率恢复','app_resource','app_resource_container_cpu','email','recover','【{{application_name}}应用{{service_name}}服务实例CPU使用率恢复】\n','【应用实例CPU使用率恢复】\n\n项目: {{project_name}}\n\n应用: {{application_name}}\n\n服务实例: {{runtime_name}} - {{service_name}}.{{container_id}}\n\n平均使用率: {{cpu_usage_percent_avg}}\n\n机器: {{host_ip}}\n\n容器ID: {{container_id}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','{\"container_id\":\"string:6\",\"cpu_usage_percent_avg\":\"percent:1\",\"trigger_duration\":\"time:ms\"}','1.0','2021-05-28 11:55:05','2021-05-28 11:55:06',0),(4193,'应用实例CPU使用率恢复','app_resource','app_resource_container_cpu','mbox','recover','【{{application_name}}应用{{service_name}}服务实例CPU使用率恢复】\n','【应用实例CPU使用率恢复】\n\n项目: {{project_name}}\n\n应用: {{application_name}}\n\n服务实例: {{runtime_name}} - {{service_name}}.{{container_id}}\n\n平均使用率: {{cpu_usage_percent_avg}}\n\n机器: {{host_ip}}\n\n容器ID: {{container_id}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','{\"container_id\":\"string:6\",\"cpu_usage_percent_avg\":\"percent:1\",\"trigger_duration\":\"time:ms\"}','1.0','2021-05-28 11:55:05','2021-05-28 11:55:06',0),(4194,'应用实例CPU使用率恢复','app_resource','app_resource_container_cpu','webhook','recover','【{{application_name}}应用{{service_name}}服务实例CPU使用率恢复】\n','【应用实例CPU使用率恢复】\n\n项目: {{project_name}}\n\n应用: {{application_name}}\n\n服务实例: {{runtime_name}} - {{service_name}}.{{container_id}}\n\n平均使用率: {{cpu_usage_percent_avg}}\n\n机器: {{host_ip}}\n\n容器ID: {{container_id}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','{\"container_id\":\"string:6\",\"cpu_usage_percent_avg\":\"percent:1\",\"trigger_duration\":\"time:ms\"}','1.0','2021-05-28 11:55:05','2021-05-28 11:55:06',0),(4195,'应用实例内存使用率异常','app_resource','app_resource_container_mem','dingding','alert','【{{application_name}}应用{{service_name}}服务内存使用率异常告警】\n','【应用实例内存使用率异常告警】\n\n项目: {{project_name}}\n\n应用: {{application_name}}\n\n服务实例: {{runtime_name}} - {{service_name}}.{{container_id}}\n\n内存使用率: {{mem_usage_percent_avg}}\n\n内存使用: {{mem_usage_value}}\n\n内存限制: {{mem_limit_value}}\n\n机器: {{host_ip}}\n\n时间: {{timestamp}}\n\n[查看详情]({{display_url}})\n\n[查看记录]({{record_url}})\n','{\"container_id\":\"string:6\",\"mem_limit_value\":\"size:byte\",\"mem_usage_percent_avg\":\"percent:1\",\"mem_usage_value\":\"size:byte\"}','1.0','2021-05-28 11:55:05','2021-05-28 11:55:06',0),(4196,'应用实例内存使用率异常','app_resource','app_resource_container_mem','ticket','alert','【{{application_name}}应用{{service_name}}服务内存使用率异常告警】\n','【应用实例内存使用率异常告警】\n\n项目: {{project_name}}\n\n应用: {{application_name}}\n\n服务实例: {{runtime_name}} - {{service_name}}.{{container_id}}\n\n内存使用率: {{mem_usage_percent_avg}}\n\n内存使用: {{mem_usage_value}}\n\n内存限制: {{mem_limit_value}}\n\n机器: {{host_ip}}\n\n时间: {{timestamp}}\n\n[查看详情]({{display_url}})\n\n[查看记录]({{record_url}})\n','{\"container_id\":\"string:6\",\"mem_limit_value\":\"size:byte\",\"mem_usage_percent_avg\":\"percent:1\",\"mem_usage_value\":\"size:byte\"}','1.0','2021-05-28 11:55:05','2021-05-28 11:55:06',0),(4197,'应用实例内存使用率异常','app_resource','app_resource_container_mem','email','alert','【{{application_name}}应用{{service_name}}服务内存使用率异常告警】\n','【应用实例内存使用率异常告警】\n\n项目: {{project_name}}\n\n应用: {{application_name}}\n\n服务实例: {{runtime_name}} - {{service_name}}.{{container_id}}\n\n内存使用率: {{mem_usage_percent_avg}}\n\n内存使用: {{mem_usage_value}}\n\n内存限制: {{mem_limit_value}}\n\n机器: {{host_ip}}\n\n时间: {{timestamp}}\n\n[查看详情]({{display_url}})\n\n[查看记录]({{record_url}})\n','{\"container_id\":\"string:6\",\"mem_limit_value\":\"size:byte\",\"mem_usage_percent_avg\":\"percent:1\",\"mem_usage_value\":\"size:byte\"}','1.0','2021-05-28 11:55:05','2021-05-28 11:55:06',0),(4198,'应用实例内存使用率异常','app_resource','app_resource_container_mem','mbox','alert','【{{application_name}}应用{{service_name}}服务内存使用率异常告警】\n','【应用实例内存使用率异常告警】\n\n项目: {{project_name}}\n\n应用: {{application_name}}\n\n服务实例: {{runtime_name}} - {{service_name}}.{{container_id}}\n\n内存使用率: {{mem_usage_percent_avg}}\n\n内存使用: {{mem_usage_value}}\n\n内存限制: {{mem_limit_value}}\n\n机器: {{host_ip}}\n\n时间: {{timestamp}}\n\n[查看详情]({{display_url}})\n\n[查看记录]({{record_url}})\n','{\"container_id\":\"string:6\",\"mem_limit_value\":\"size:byte\",\"mem_usage_percent_avg\":\"percent:1\",\"mem_usage_value\":\"size:byte\"}','1.0','2021-05-28 11:55:05','2021-05-28 11:55:06',0),(4199,'应用实例内存使用率异常','app_resource','app_resource_container_mem','webhook','alert','【{{application_name}}应用{{service_name}}服务内存使用率异常告警】\n','【应用实例内存使用率异常告警】\n\n项目: {{project_name}}\n\n应用: {{application_name}}\n\n服务实例: {{runtime_name}} - {{service_name}}.{{container_id}}\n\n内存使用率: {{mem_usage_percent_avg}}\n\n内存使用: {{mem_usage_value}}\n\n内存限制: {{mem_limit_value}}\n\n机器: {{host_ip}}\n\n时间: {{timestamp}}\n\n[查看详情]({{display_url}})\n\n[查看记录]({{record_url}})\n','{\"container_id\":\"string:6\",\"mem_limit_value\":\"size:byte\",\"mem_usage_percent_avg\":\"percent:1\",\"mem_usage_value\":\"size:byte\"}','1.0','2021-05-28 11:55:05','2021-05-28 11:55:06',0),(4200,'应用实例内存异常','app_resource','app_resource_container_mem','dingding','recover','【{{application_name}}应用{{service_name}}服务内存使用率异常恢复】\n','【应用实例内存使用率异常恢复】\n\n项目: {{project_name}}\n\n应用: {{application_name}}\n\n服务实例: {{runtime_name}} - {{service_name}}.{{container_id}}\n\n内存使用率: {{mem_usage_percent_avg}}\n\n内存使用: {{mem_usage_value}}\n\n内存限制: {{mem_limit_value}}\n\n机器: {{host_ip}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','{\"container_id\":\"string:6\",\"mem_usage_percent_avg\":\"percent:1\",\"trigger_duration\":\"time:ms\"}','1.0','2021-05-28 11:55:05','2021-05-28 11:55:06',0),(4201,'应用实例内存异常','app_resource','app_resource_container_mem','ticket','recover','【{{application_name}}应用{{service_name}}服务内存使用率异常恢复】\n','【应用实例内存使用率异常恢复】\n\n项目: {{project_name}}\n\n应用: {{application_name}}\n\n服务实例: {{runtime_name}} - {{service_name}}.{{container_id}}\n\n内存使用率: {{mem_usage_percent_avg}}\n\n内存使用: {{mem_usage_value}}\n\n内存限制: {{mem_limit_value}}\n\n机器: {{host_ip}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','{\"container_id\":\"string:6\",\"mem_usage_percent_avg\":\"percent:1\",\"trigger_duration\":\"time:ms\"}','1.0','2021-05-28 11:55:05','2021-05-28 11:55:06',0),(4202,'应用实例内存异常','app_resource','app_resource_container_mem','email','recover','【{{application_name}}应用{{service_name}}服务内存使用率异常恢复】\n','【应用实例内存使用率异常恢复】\n\n项目: {{project_name}}\n\n应用: {{application_name}}\n\n服务实例: {{runtime_name}} - {{service_name}}.{{container_id}}\n\n内存使用率: {{mem_usage_percent_avg}}\n\n内存使用: {{mem_usage_value}}\n\n内存限制: {{mem_limit_value}}\n\n机器: {{host_ip}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','{\"container_id\":\"string:6\",\"mem_usage_percent_avg\":\"percent:1\",\"trigger_duration\":\"time:ms\"}','1.0','2021-05-28 11:55:05','2021-05-28 11:55:06',0),(4203,'应用实例内存异常','app_resource','app_resource_container_mem','mbox','recover','【{{application_name}}应用{{service_name}}服务内存使用率异常恢复】\n','【应用实例内存使用率异常恢复】\n\n项目: {{project_name}}\n\n应用: {{application_name}}\n\n服务实例: {{runtime_name}} - {{service_name}}.{{container_id}}\n\n内存使用率: {{mem_usage_percent_avg}}\n\n内存使用: {{mem_usage_value}}\n\n内存限制: {{mem_limit_value}}\n\n机器: {{host_ip}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','{\"container_id\":\"string:6\",\"mem_usage_percent_avg\":\"percent:1\",\"trigger_duration\":\"time:ms\"}','1.0','2021-05-28 11:55:05','2021-05-28 11:55:06',0),(4204,'应用实例内存异常','app_resource','app_resource_container_mem','webhook','recover','【{{application_name}}应用{{service_name}}服务内存使用率异常恢复】\n','【应用实例内存使用率异常恢复】\n\n项目: {{project_name}}\n\n应用: {{application_name}}\n\n服务实例: {{runtime_name}} - {{service_name}}.{{container_id}}\n\n内存使用率: {{mem_usage_percent_avg}}\n\n内存使用: {{mem_usage_value}}\n\n内存限制: {{mem_limit_value}}\n\n机器: {{host_ip}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','{\"container_id\":\"string:6\",\"mem_usage_percent_avg\":\"percent:1\",\"trigger_duration\":\"time:ms\"}','1.0','2021-05-28 11:55:05','2021-05-28 11:55:06',0),(4205,'应用实例OOM告警','app_resource','app_resource_container_oom','dingding','alert','【{{application_name}}应用{{service_name}}服务实例OOM告警】\n','【应用实例OOM告警】\n\n项目: {{project_name}}\n\n应用: {{application_name}}\n\n服务实例: {{runtime_name}} - {{service_name}}.{{container_id}}\n\n事件: 服务实例发生OOM\n\n机器: {{host_ip}}\n\n时间: {{timestamp}}\n\n[查看详情]({{display_url}})\n\n[查看记录]({{record_url}})\n','{\"container_id\":\"string:6\"}','1.0','2021-05-28 11:55:05','2021-05-28 11:55:06',0),(4206,'应用实例OOM告警','app_resource','app_resource_container_oom','ticket','alert','【{{application_name}}应用{{service_name}}服务实例OOM告警】\n','【应用实例OOM告警】\n\n项目: {{project_name}}\n\n应用: {{application_name}}\n\n服务实例: {{runtime_name}} - {{service_name}}.{{container_id}}\n\n事件: 服务实例发生OOM\n\n机器: {{host_ip}}\n\n时间: {{timestamp}}\n\n[查看详情]({{display_url}})\n\n[查看记录]({{record_url}})\n','{\"container_id\":\"string:6\"}','1.0','2021-05-28 11:55:05','2021-05-28 11:55:06',0),(4207,'应用实例OOM告警','app_resource','app_resource_container_oom','email','alert','【{{application_name}}应用{{service_name}}服务实例OOM告警】\n','【应用实例OOM告警】\n\n项目: {{project_name}}\n\n应用: {{application_name}}\n\n服务实例: {{runtime_name}} - {{service_name}}.{{container_id}}\n\n事件: 服务实例发生OOM\n\n机器: {{host_ip}}\n\n时间: {{timestamp}}\n\n[查看详情]({{display_url}})\n\n[查看记录]({{record_url}})\n','{\"container_id\":\"string:6\"}','1.0','2021-05-28 11:55:05','2021-05-28 11:55:06',0),(4208,'应用实例OOM告警','app_resource','app_resource_container_oom','mbox','alert','【{{application_name}}应用{{service_name}}服务实例OOM告警】\n','【应用实例OOM告警】\n\n项目: {{project_name}}\n\n应用: {{application_name}}\n\n服务实例: {{runtime_name}} - {{service_name}}.{{container_id}}\n\n事件: 服务实例发生OOM\n\n机器: {{host_ip}}\n\n时间: {{timestamp}}\n\n[查看详情]({{display_url}})\n\n[查看记录]({{record_url}})\n','{\"container_id\":\"string:6\"}','1.0','2021-05-28 11:55:05','2021-05-28 11:55:06',0),(4209,'应用实例OOM告警','app_resource','app_resource_container_oom','webhook','alert','【{{application_name}}应用{{service_name}}服务实例OOM告警】\n','【应用实例OOM告警】\n\n项目: {{project_name}}\n\n应用: {{application_name}}\n\n服务实例: {{runtime_name}} - {{service_name}}.{{container_id}}\n\n事件: 服务实例发生OOM\n\n机器: {{host_ip}}\n\n时间: {{timestamp}}\n\n[查看详情]({{display_url}})\n\n[查看记录]({{record_url}})\n','{\"container_id\":\"string:6\"}','1.0','2021-05-28 11:55:05','2021-05-28 11:55:06',0),(4210,'应用JVM GC次数异常','app_resource','app_resource_jvm_gc_count','dingding','alert','【{{application_name}}应用{{service_name}}服务JVM GC次数异常告警】\n','【应用JVM GC次数异常告警】\n\n实例GC次数太多 !\n\n项目: {{project_name}}\n\n应用: {{application_name}}\n\n服务: {{runtime_name}} / {{service_name}}\n\n老年代GC次数: {{count_sum}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n时间: {{timestamp}}\n\n[查看详情]({{display_url}})\n\n[查看记录]({{record_url}})\n','','1.0','2021-05-28 11:55:05','2021-05-28 11:55:06',0),(4211,'应用JVM GC次数异常','app_resource','app_resource_jvm_gc_count','ticket','alert','【{{application_name}}应用{{service_name}}服务JVM GC次数异常告警】\n','【应用JVM GC次数异常告警】\n\n实例GC次数太多 !\n\n项目: {{project_name}}\n\n应用: {{application_name}}\n\n服务: {{runtime_name}} / {{service_name}}\n\n老年代GC次数: {{count_sum}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n时间: {{timestamp}}\n\n[查看详情]({{display_url}})\n\n[查看记录]({{record_url}})\n','','1.0','2021-05-28 11:55:05','2021-05-28 11:55:06',0),(4212,'应用JVM GC次数异常','app_resource','app_resource_jvm_gc_count','email','alert','【{{application_name}}应用{{service_name}}服务JVM GC次数异常告警】\n','【应用JVM GC次数异常告警】\n\n实例GC次数太多 !\n\n项目: {{project_name}}\n\n应用: {{application_name}}\n\n服务: {{runtime_name}} / {{service_name}}\n\n老年代GC次数: {{count_sum}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n时间: {{timestamp}}\n\n[查看详情]({{display_url}})\n\n[查看记录]({{record_url}})\n','','1.0','2021-05-28 11:55:05','2021-05-28 11:55:06',0),(4213,'应用JVM GC次数异常','app_resource','app_resource_jvm_gc_count','mbox','alert','【{{application_name}}应用{{service_name}}服务JVM GC次数异常告警】\n','【应用JVM GC次数异常告警】\n\n实例GC次数太多 !\n\n项目: {{project_name}}\n\n应用: {{application_name}}\n\n服务: {{runtime_name}} / {{service_name}}\n\n老年代GC次数: {{count_sum}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n时间: {{timestamp}}\n\n[查看详情]({{display_url}})\n\n[查看记录]({{record_url}})\n','','1.0','2021-05-28 11:55:05','2021-05-28 11:55:06',0),(4214,'应用JVM GC次数异常','app_resource','app_resource_jvm_gc_count','webhook','alert','【{{application_name}}应用{{service_name}}服务JVM GC次数异常告警】\n','【应用JVM GC次数异常告警】\n\n实例GC次数太多 !\n\n项目: {{project_name}}\n\n应用: {{application_name}}\n\n服务: {{runtime_name}} / {{service_name}}\n\n老年代GC次数: {{count_sum}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n时间: {{timestamp}}\n\n[查看详情]({{display_url}})\n\n[查看记录]({{record_url}})\n','','1.0','2021-05-28 11:55:05','2021-05-28 11:55:06',0),(4215,'应用JVM GC次数异常','app_resource','app_resource_jvm_gc_count','dingding','recover','【{{application_name}}应用{{service_name}}服务JVM GC次数异常恢复】\n','【应用JVM GC次数异常恢复】\n\n实例GC次数已恢复正常值 .\n\n项目: {{project_name}}\n\n应用: {{application_name}}\n\n服务: {{runtime_name}} / {{service_name}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n持续时间: {{trigger_duration_min}}\n\n恢复时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','','1.0','2021-05-28 11:55:05','2021-05-28 11:55:06',0),(4216,'应用JVM GC次数异常','app_resource','app_resource_jvm_gc_count','ticket','recover','【{{application_name}}应用{{service_name}}服务JVM GC次数异常恢复】\n','【应用JVM GC次数异常恢复】\n\n实例GC次数已恢复正常值 .\n\n项目: {{project_name}}\n\n应用: {{application_name}}\n\n服务: {{runtime_name}} / {{service_name}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n持续时间: {{trigger_duration_min}}\n\n恢复时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','','1.0','2021-05-28 11:55:05','2021-05-28 11:55:06',0),(4217,'应用JVM GC次数异常','app_resource','app_resource_jvm_gc_count','email','recover','【{{application_name}}应用{{service_name}}服务JVM GC次数异常恢复】\n','【应用JVM GC次数异常恢复】\n\n实例GC次数已恢复正常值 .\n\n项目: {{project_name}}\n\n应用: {{application_name}}\n\n服务: {{runtime_name}} / {{service_name}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n持续时间: {{trigger_duration_min}}\n\n恢复时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','','1.0','2021-05-28 11:55:05','2021-05-28 11:55:06',0),(4218,'应用JVM GC次数异常','app_resource','app_resource_jvm_gc_count','mbox','recover','【{{application_name}}应用{{service_name}}服务JVM GC次数异常恢复】\n','【应用JVM GC次数异常恢复】\n\n实例GC次数已恢复正常值 .\n\n项目: {{project_name}}\n\n应用: {{application_name}}\n\n服务: {{runtime_name}} / {{service_name}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n持续时间: {{trigger_duration_min}}\n\n恢复时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','','1.0','2021-05-28 11:55:05','2021-05-28 11:55:06',0),(4219,'应用JVM GC次数异常','app_resource','app_resource_jvm_gc_count','webhook','recover','【{{application_name}}应用{{service_name}}服务JVM GC次数异常恢复】\n','【应用JVM GC次数异常恢复】\n\n实例GC次数已恢复正常值 .\n\n项目: {{project_name}}\n\n应用: {{application_name}}\n\n服务: {{runtime_name}} / {{service_name}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n持续时间: {{trigger_duration_min}}\n\n恢复时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','','1.0','2021-05-28 11:55:05','2021-05-28 11:55:06',0),(4220,'应用JVM GC耗时异常','app_resource','app_resource_jvm_gc_time','dingding','alert','【{{application_name}}应用{{service_name}}服务JVM GC耗时异常告警】\n','【应用JVM GC耗时异常告警】\n\n实例GC耗时过长 !\n\n项目: {{project_name}}\n\n应用: {{application_name}}\n\n服务: {{runtime_name}} / {{service_name}}\n\n老年代GC耗时: 总耗时{{time_sum}}，最长一次耗时{{time_value}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n时间: {{timestamp}}\n\n[查看详情]({{display_url}})\n\n[查看记录]({{record_url}})\n','{\"time_sum\":\"time:ms\",\"time_value\":\"time:ms\"}','1.0','2021-05-28 11:55:05','2021-05-28 11:55:06',0),(4221,'应用JVM GC耗时异常','app_resource','app_resource_jvm_gc_time','ticket','alert','【{{application_name}}应用{{service_name}}服务JVM GC耗时异常告警】\n','【应用JVM GC耗时异常告警】\n\n实例GC耗时过长 !\n\n项目: {{project_name}}\n\n应用: {{application_name}}\n\n服务: {{runtime_name}} / {{service_name}}\n\n老年代GC耗时: 总耗时{{time_sum}}，最长一次耗时{{time_value}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n时间: {{timestamp}}\n\n[查看详情]({{display_url}})\n\n[查看记录]({{record_url}})\n','{\"time_sum\":\"time:ms\",\"time_value\":\"time:ms\"}','1.0','2021-05-28 11:55:05','2021-05-28 11:55:06',0),(4222,'应用JVM GC耗时异常','app_resource','app_resource_jvm_gc_time','email','alert','【{{application_name}}应用{{service_name}}服务JVM GC耗时异常告警】\n','【应用JVM GC耗时异常告警】\n\n实例GC耗时过长 !\n\n项目: {{project_name}}\n\n应用: {{application_name}}\n\n服务: {{runtime_name}} / {{service_name}}\n\n老年代GC耗时: 总耗时{{time_sum}}，最长一次耗时{{time_value}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n时间: {{timestamp}}\n\n[查看详情]({{display_url}})\n\n[查看记录]({{record_url}})\n','{\"time_sum\":\"time:ms\",\"time_value\":\"time:ms\"}','1.0','2021-05-28 11:55:05','2021-05-28 11:55:06',0),(4223,'应用JVM GC耗时异常','app_resource','app_resource_jvm_gc_time','mbox','alert','【{{application_name}}应用{{service_name}}服务JVM GC耗时异常告警】\n','【应用JVM GC耗时异常告警】\n\n实例GC耗时过长 !\n\n项目: {{project_name}}\n\n应用: {{application_name}}\n\n服务: {{runtime_name}} / {{service_name}}\n\n老年代GC耗时: 总耗时{{time_sum}}，最长一次耗时{{time_value}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n时间: {{timestamp}}\n\n[查看详情]({{display_url}})\n\n[查看记录]({{record_url}})\n','{\"time_sum\":\"time:ms\",\"time_value\":\"time:ms\"}','1.0','2021-05-28 11:55:05','2021-05-28 11:55:06',0),(4224,'应用JVM GC耗时异常','app_resource','app_resource_jvm_gc_time','webhook','alert','【{{application_name}}应用{{service_name}}服务JVM GC耗时异常告警】\n','【应用JVM GC耗时异常告警】\n\n实例GC耗时过长 !\n\n项目: {{project_name}}\n\n应用: {{application_name}}\n\n服务: {{runtime_name}} / {{service_name}}\n\n老年代GC耗时: 总耗时{{time_sum}}，最长一次耗时{{time_value}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n时间: {{timestamp}}\n\n[查看详情]({{display_url}})\n\n[查看记录]({{record_url}})\n','{\"time_sum\":\"time:ms\",\"time_value\":\"time:ms\"}','1.0','2021-05-28 11:55:05','2021-05-28 11:55:06',0),(4225,'应用JVM GC耗时异常','app_resource','app_resource_jvm_gc_time','dingding','recover','【{{application_name}}应用{{service_name}}服务JVM GC耗时异常恢复】\n','【应用JVM GC耗时异常恢复】\n\n实例GC耗时已恢复正常值 .\n\n项目: {{project_name}}\n\n应用: {{application_name}}\n\n服务: {{runtime_name}} / {{service_name}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n持续时间: {{trigger_duration_min}}\n\n恢复时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','','1.0','2021-05-28 11:55:05','2021-05-28 11:55:06',0),(4226,'应用JVM GC耗时异常','app_resource','app_resource_jvm_gc_time','ticket','recover','【{{application_name}}应用{{service_name}}服务JVM GC耗时异常恢复】\n','【应用JVM GC耗时异常恢复】\n\n实例GC耗时已恢复正常值 .\n\n项目: {{project_name}}\n\n应用: {{application_name}}\n\n服务: {{runtime_name}} / {{service_name}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n持续时间: {{trigger_duration_min}}\n\n恢复时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','','1.0','2021-05-28 11:55:05','2021-05-28 11:55:06',0),(4227,'应用JVM GC耗时异常','app_resource','app_resource_jvm_gc_time','email','recover','【{{application_name}}应用{{service_name}}服务JVM GC耗时异常恢复】\n','【应用JVM GC耗时异常恢复】\n\n实例GC耗时已恢复正常值 .\n\n项目: {{project_name}}\n\n应用: {{application_name}}\n\n服务: {{runtime_name}} / {{service_name}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n持续时间: {{trigger_duration_min}}\n\n恢复时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','','1.0','2021-05-28 11:55:05','2021-05-28 11:55:06',0),(4228,'应用JVM GC耗时异常','app_resource','app_resource_jvm_gc_time','mbox','recover','【{{application_name}}应用{{service_name}}服务JVM GC耗时异常恢复】\n','【应用JVM GC耗时异常恢复】\n\n实例GC耗时已恢复正常值 .\n\n项目: {{project_name}}\n\n应用: {{application_name}}\n\n服务: {{runtime_name}} / {{service_name}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n持续时间: {{trigger_duration_min}}\n\n恢复时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','','1.0','2021-05-28 11:55:05','2021-05-28 11:55:06',0),(4229,'应用JVM GC耗时异常','app_resource','app_resource_jvm_gc_time','webhook','recover','【{{application_name}}应用{{service_name}}服务JVM GC耗时异常恢复】\n','【应用JVM GC耗时异常恢复】\n\n实例GC耗时已恢复正常值 .\n\n项目: {{project_name}}\n\n应用: {{application_name}}\n\n服务: {{runtime_name}} / {{service_name}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n持续时间: {{trigger_duration_min}}\n\n恢复时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','','1.0','2021-05-28 11:55:05','2021-05-28 11:55:06',0),(4230,'JVM堆内存使用异常告警','app_resource','app_resource_jvm_heap','dingding','alert','【{{application_name}}应用{{service_name}}服务JVM堆内存使用异常告警】','【JVM堆内存使用异常告警】\n\n实例JVM堆内存使用过高 ！\n\n项目: {{project_name}}\n\n应用: {{application_name}}\n\n服务: {{runtime_name}} / {{service_name}}\n\n实例: {{instance_id}}\n\n堆内存使用率: {{usage_percent_avg}}\n\n已使用: {{used_value}}\n\n最大使用: {{max_value}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n时间: {{timestamp}}\n\n[查看详情]({{display_url}})\n\n[查看记录]({{record_url}})\n','{\"max_value\":\"size:byte\",\"usage_percent_avg\":\"percent\",\"used_value\":\"size:byte\"}','1.0','2021-05-28 11:55:05','2021-05-28 11:55:06',0),(4231,'JVM堆内存使用异常告警','app_resource','app_resource_jvm_heap','ticket','alert','【{{application_name}}应用{{service_name}}服务JVM堆内存使用异常告警】','【JVM堆内存使用异常告警】\n\n实例JVM堆内存使用过高 ！\n\n项目: {{project_name}}\n\n应用: {{application_name}}\n\n服务: {{runtime_name}} / {{service_name}}\n\n实例: {{instance_id}}\n\n堆内存使用率: {{usage_percent_avg}}\n\n已使用: {{used_value}}\n\n最大使用: {{max_value}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n时间: {{timestamp}}\n\n[查看详情]({{display_url}})\n\n[查看记录]({{record_url}})\n','{\"max_value\":\"size:byte\",\"usage_percent_avg\":\"percent\",\"used_value\":\"size:byte\"}','1.0','2021-05-28 11:55:05','2021-05-28 11:55:06',0),(4232,'JVM堆内存使用异常告警','app_resource','app_resource_jvm_heap','email','alert','【{{application_name}}应用{{service_name}}服务JVM堆内存使用异常告警】','【JVM堆内存使用异常告警】\n\n实例JVM堆内存使用过高 ！\n\n项目: {{project_name}}\n\n应用: {{application_name}}\n\n服务: {{runtime_name}} / {{service_name}}\n\n实例: {{instance_id}}\n\n堆内存使用率: {{usage_percent_avg}}\n\n已使用: {{used_value}}\n\n最大使用: {{max_value}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n时间: {{timestamp}}\n\n[查看详情]({{display_url}})\n\n[查看记录]({{record_url}})\n','{\"max_value\":\"size:byte\",\"usage_percent_avg\":\"percent\",\"used_value\":\"size:byte\"}','1.0','2021-05-28 11:55:05','2021-05-28 11:55:06',0),(4233,'JVM堆内存使用异常告警','app_resource','app_resource_jvm_heap','mbox','alert','【{{application_name}}应用{{service_name}}服务JVM堆内存使用异常告警】','【JVM堆内存使用异常告警】\n\n实例JVM堆内存使用过高 ！\n\n项目: {{project_name}}\n\n应用: {{application_name}}\n\n服务: {{runtime_name}} / {{service_name}}\n\n实例: {{instance_id}}\n\n堆内存使用率: {{usage_percent_avg}}\n\n已使用: {{used_value}}\n\n最大使用: {{max_value}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n时间: {{timestamp}}\n\n[查看详情]({{display_url}})\n\n[查看记录]({{record_url}})\n','{\"max_value\":\"size:byte\",\"usage_percent_avg\":\"percent\",\"used_value\":\"size:byte\"}','1.0','2021-05-28 11:55:05','2021-05-28 11:55:06',0),(4234,'JVM堆内存使用异常告警','app_resource','app_resource_jvm_heap','webhook','alert','【{{application_name}}应用{{service_name}}服务JVM堆内存使用异常告警】','【JVM堆内存使用异常告警】\n\n实例JVM堆内存使用过高 ！\n\n项目: {{project_name}}\n\n应用: {{application_name}}\n\n服务: {{runtime_name}} / {{service_name}}\n\n实例: {{instance_id}}\n\n堆内存使用率: {{usage_percent_avg}}\n\n已使用: {{used_value}}\n\n最大使用: {{max_value}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n时间: {{timestamp}}\n\n[查看详情]({{display_url}})\n\n[查看记录]({{record_url}})\n','{\"max_value\":\"size:byte\",\"usage_percent_avg\":\"percent\",\"used_value\":\"size:byte\"}','1.0','2021-05-28 11:55:05','2021-05-28 11:55:06',0),(4235,'JVM堆内存使用异常恢复','app_resource','app_resource_jvm_heap','dingding','recover','【{{application_name}}应用{{service_name}}服务JVM堆内存使用异常恢复】','【JVM堆内存使用异常恢复】\n\n实例JVM堆内存已恢复恢复正常使用状态 .\n\n项目: {{project_name}}\n\n应用: {{application_name}}\n\n服务: {{runtime_name}} / {{service_name}}\n\n实例: {{instance_id}}\n\n堆内存使用率: {{usage_percent_avg}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n持续时间: {{trigger_duration_min}}\n\n恢复时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','{\"usage_percent_avg\":\"percent\"}','1.0','2021-05-28 11:55:05','2021-05-28 11:55:06',0),(4236,'JVM堆内存使用异常恢复','app_resource','app_resource_jvm_heap','ticket','recover','【{{application_name}}应用{{service_name}}服务JVM堆内存使用异常恢复】','【JVM堆内存使用异常恢复】\n\n实例JVM堆内存已恢复恢复正常使用状态 .\n\n项目: {{project_name}}\n\n应用: {{application_name}}\n\n服务: {{runtime_name}} / {{service_name}}\n\n实例: {{instance_id}}\n\n堆内存使用率: {{usage_percent_avg}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n持续时间: {{trigger_duration_min}}\n\n恢复时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','{\"usage_percent_avg\":\"percent\"}','1.0','2021-05-28 11:55:05','2021-05-28 11:55:06',0),(4237,'JVM堆内存使用异常恢复','app_resource','app_resource_jvm_heap','email','recover','【{{application_name}}应用{{service_name}}服务JVM堆内存使用异常恢复】','【JVM堆内存使用异常恢复】\n\n实例JVM堆内存已恢复恢复正常使用状态 .\n\n项目: {{project_name}}\n\n应用: {{application_name}}\n\n服务: {{runtime_name}} / {{service_name}}\n\n实例: {{instance_id}}\n\n堆内存使用率: {{usage_percent_avg}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n持续时间: {{trigger_duration_min}}\n\n恢复时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','{\"usage_percent_avg\":\"percent\"}','1.0','2021-05-28 11:55:05','2021-05-28 11:55:06',0),(4238,'JVM堆内存使用异常恢复','app_resource','app_resource_jvm_heap','mbox','recover','【{{application_name}}应用{{service_name}}服务JVM堆内存使用异常恢复】','【JVM堆内存使用异常恢复】\n\n实例JVM堆内存已恢复恢复正常使用状态 .\n\n项目: {{project_name}}\n\n应用: {{application_name}}\n\n服务: {{runtime_name}} / {{service_name}}\n\n实例: {{instance_id}}\n\n堆内存使用率: {{usage_percent_avg}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n持续时间: {{trigger_duration_min}}\n\n恢复时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','{\"usage_percent_avg\":\"percent\"}','1.0','2021-05-28 11:55:05','2021-05-28 11:55:06',0),(4239,'JVM堆内存使用异常恢复','app_resource','app_resource_jvm_heap','webhook','recover','【{{application_name}}应用{{service_name}}服务JVM堆内存使用异常恢复】','【JVM堆内存使用异常恢复】\n\n实例JVM堆内存已恢复恢复正常使用状态 .\n\n项目: {{project_name}}\n\n应用: {{application_name}}\n\n服务: {{runtime_name}} / {{service_name}}\n\n实例: {{instance_id}}\n\n堆内存使用率: {{usage_percent_avg}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n持续时间: {{trigger_duration_min}}\n\n恢复时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','{\"usage_percent_avg\":\"percent\"}','1.0','2021-05-28 11:55:05','2021-05-28 11:55:06',0),(4240,'应用NodeJS堆内存使用异常告警','app_resource','app_resource_nodejs_heap','dingding','alert','【{{application_name}}应用{{service_name}}服务NodeJS堆内存使用异常告警】','【应用NodeJS堆内存使用异常告警】\n\n实例NodeJS堆内存使用过高 ！\n\n项目: {{project_name}}\n\n应用: {{application_name}}\n\n服务: {{runtime_name}} / {{service_name}}\n\n实例: {{instance_id}}\n\n堆内存使用率: {{usage_percent_avg}}\n\n已使用: {{heap_used_value}}\n\n常驻内存: {{rss_value}}\n\n最大使用: {{max_value}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n时间: {{timestamp}}\n\n[查看详情]({{display_url}})\n\n[查看记录]({{record_url}})\n','{\"heap_used_value\":\"size:byte\",\"max_value\":\"size:byte\",\"rss_value\":\"size:byte\",\"usage_percent_avg\":\"percent\"}','1.0','2021-05-28 11:55:05','2021-05-28 11:55:06',0),(4241,'应用NodeJS堆内存使用异常告警','app_resource','app_resource_nodejs_heap','ticket','alert','【{{application_name}}应用{{service_name}}服务NodeJS堆内存使用异常告警】','【应用NodeJS堆内存使用异常告警】\n\n实例NodeJS堆内存使用过高 ！\n\n项目: {{project_name}}\n\n应用: {{application_name}}\n\n服务: {{runtime_name}} / {{service_name}}\n\n实例: {{instance_id}}\n\n堆内存使用率: {{usage_percent_avg}}\n\n已使用: {{heap_used_value}}\n\n常驻内存: {{rss_value}}\n\n最大使用: {{max_value}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n时间: {{timestamp}}\n\n[查看详情]({{display_url}})\n\n[查看记录]({{record_url}})\n','{\"heap_used_value\":\"size:byte\",\"max_value\":\"size:byte\",\"rss_value\":\"size:byte\",\"usage_percent_avg\":\"percent\"}','1.0','2021-05-28 11:55:05','2021-05-28 11:55:06',0),(4242,'应用NodeJS堆内存使用异常告警','app_resource','app_resource_nodejs_heap','email','alert','【{{application_name}}应用{{service_name}}服务NodeJS堆内存使用异常告警】','【应用NodeJS堆内存使用异常告警】\n\n实例NodeJS堆内存使用过高 ！\n\n项目: {{project_name}}\n\n应用: {{application_name}}\n\n服务: {{runtime_name}} / {{service_name}}\n\n实例: {{instance_id}}\n\n堆内存使用率: {{usage_percent_avg}}\n\n已使用: {{heap_used_value}}\n\n常驻内存: {{rss_value}}\n\n最大使用: {{max_value}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n时间: {{timestamp}}\n\n[查看详情]({{display_url}})\n\n[查看记录]({{record_url}})\n','{\"heap_used_value\":\"size:byte\",\"max_value\":\"size:byte\",\"rss_value\":\"size:byte\",\"usage_percent_avg\":\"percent\"}','1.0','2021-05-28 11:55:05','2021-05-28 11:55:06',0),(4243,'应用NodeJS堆内存使用异常告警','app_resource','app_resource_nodejs_heap','mbox','alert','【{{application_name}}应用{{service_name}}服务NodeJS堆内存使用异常告警】','【应用NodeJS堆内存使用异常告警】\n\n实例NodeJS堆内存使用过高 ！\n\n项目: {{project_name}}\n\n应用: {{application_name}}\n\n服务: {{runtime_name}} / {{service_name}}\n\n实例: {{instance_id}}\n\n堆内存使用率: {{usage_percent_avg}}\n\n已使用: {{heap_used_value}}\n\n常驻内存: {{rss_value}}\n\n最大使用: {{max_value}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n时间: {{timestamp}}\n\n[查看详情]({{display_url}})\n\n[查看记录]({{record_url}})\n','{\"heap_used_value\":\"size:byte\",\"max_value\":\"size:byte\",\"rss_value\":\"size:byte\",\"usage_percent_avg\":\"percent\"}','1.0','2021-05-28 11:55:05','2021-05-28 11:55:06',0),(4244,'应用NodeJS堆内存使用异常告警','app_resource','app_resource_nodejs_heap','webhook','alert','【{{application_name}}应用{{service_name}}服务NodeJS堆内存使用异常告警】','【应用NodeJS堆内存使用异常告警】\n\n实例NodeJS堆内存使用过高 ！\n\n项目: {{project_name}}\n\n应用: {{application_name}}\n\n服务: {{runtime_name}} / {{service_name}}\n\n实例: {{instance_id}}\n\n堆内存使用率: {{usage_percent_avg}}\n\n已使用: {{heap_used_value}}\n\n常驻内存: {{rss_value}}\n\n最大使用: {{max_value}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n时间: {{timestamp}}\n\n[查看详情]({{display_url}})\n\n[查看记录]({{record_url}})\n','{\"heap_used_value\":\"size:byte\",\"max_value\":\"size:byte\",\"rss_value\":\"size:byte\",\"usage_percent_avg\":\"percent\"}','1.0','2021-05-28 11:55:05','2021-05-28 11:55:06',0),(4245,'应用NodeJS堆内存使用异常恢复','app_resource','app_resource_nodejs_heap','dingding','recover','【{{application_name}}应用{{service_name}}服务NodeJS堆内存使用异常恢复】','【应用NodeJS堆内存使用异常恢复】\n\nNodeJS堆内存已恢复恢复正常状态 .\n\n项目: {{project_name}}\n\n应用: {{application_name}}\n\n服务: {{runtime_name}} / {{service_name}}\n\n实例: {{instance_id}}\n\n堆内存使用率: {{usage_percent_avg}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n持续时间: {{trigger_duration_min}}\n\n恢复时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','{\"usage_percent_avg\":\"percent\"}','1.0','2021-05-28 11:55:05','2021-05-28 11:55:06',0),(4246,'应用NodeJS堆内存使用异常恢复','app_resource','app_resource_nodejs_heap','ticket','recover','【{{application_name}}应用{{service_name}}服务NodeJS堆内存使用异常恢复】','【应用NodeJS堆内存使用异常恢复】\n\nNodeJS堆内存已恢复恢复正常状态 .\n\n项目: {{project_name}}\n\n应用: {{application_name}}\n\n服务: {{runtime_name}} / {{service_name}}\n\n实例: {{instance_id}}\n\n堆内存使用率: {{usage_percent_avg}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n持续时间: {{trigger_duration_min}}\n\n恢复时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','{\"usage_percent_avg\":\"percent\"}','1.0','2021-05-28 11:55:05','2021-05-28 11:55:06',0),(4247,'应用NodeJS堆内存使用异常恢复','app_resource','app_resource_nodejs_heap','email','recover','【{{application_name}}应用{{service_name}}服务NodeJS堆内存使用异常恢复】','【应用NodeJS堆内存使用异常恢复】\n\nNodeJS堆内存已恢复恢复正常状态 .\n\n项目: {{project_name}}\n\n应用: {{application_name}}\n\n服务: {{runtime_name}} / {{service_name}}\n\n实例: {{instance_id}}\n\n堆内存使用率: {{usage_percent_avg}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n持续时间: {{trigger_duration_min}}\n\n恢复时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','{\"usage_percent_avg\":\"percent\"}','1.0','2021-05-28 11:55:05','2021-05-28 11:55:06',0),(4248,'应用NodeJS堆内存使用异常恢复','app_resource','app_resource_nodejs_heap','mbox','recover','【{{application_name}}应用{{service_name}}服务NodeJS堆内存使用异常恢复】','【应用NodeJS堆内存使用异常恢复】\n\nNodeJS堆内存已恢复恢复正常状态 .\n\n项目: {{project_name}}\n\n应用: {{application_name}}\n\n服务: {{runtime_name}} / {{service_name}}\n\n实例: {{instance_id}}\n\n堆内存使用率: {{usage_percent_avg}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n持续时间: {{trigger_duration_min}}\n\n恢复时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','{\"usage_percent_avg\":\"percent\"}','1.0','2021-05-28 11:55:05','2021-05-28 11:55:06',0),(4249,'应用NodeJS堆内存使用异常恢复','app_resource','app_resource_nodejs_heap','webhook','recover','【{{application_name}}应用{{service_name}}服务NodeJS堆内存使用异常恢复】','【应用NodeJS堆内存使用异常恢复】\n\nNodeJS堆内存已恢复恢复正常状态 .\n\n项目: {{project_name}}\n\n应用: {{application_name}}\n\n服务: {{runtime_name}} / {{service_name}}\n\n实例: {{instance_id}}\n\n堆内存使用率: {{usage_percent_avg}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n持续时间: {{trigger_duration_min}}\n\n恢复时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','{\"usage_percent_avg\":\"percent\"}','1.0','2021-05-28 11:55:05','2021-05-28 11:55:06',0),(4250,' 页面内容改变','app_status','app_status_browser','dingding','alert','【{{project_name}}项目{{status_metric_name}}页面内容改变告警】\n','【页面内容改变告警】\n\n项目: {{project_name}}\n\n环境: {{workspace}}\n\n事件：[{{status_metric_name}}]({{url}})页面内容和基准点对比不一致\n\n时间: {{timestamp}}\n\n[查看详情]({{display_url}})\n\n[查看记录]({{record_url}})\n','','1.0','2021-05-28 11:55:05','2021-05-28 11:55:06',0),(4251,' 页面内容改变','app_status','app_status_browser','ticket','alert','【{{project_name}}项目{{status_metric_name}}页面内容改变告警】\n','【页面内容改变告警】\n\n项目: {{project_name}}\n\n环境: {{workspace}}\n\n事件：[{{status_metric_name}}]({{url}})页面内容和基准点对比不一致\n\n时间: {{timestamp}}\n\n[查看详情]({{display_url}})\n\n[查看记录]({{record_url}})\n','','1.0','2021-05-28 11:55:05','2021-05-28 11:55:06',0),(4252,' 页面内容改变','app_status','app_status_browser','email','alert','【{{project_name}}项目{{status_metric_name}}页面内容改变告警】\n','【页面内容改变告警】\n\n项目: {{project_name}}\n\n环境: {{workspace}}\n\n事件：[{{status_metric_name}}]({{url}})页面内容和基准点对比不一致\n\n时间: {{timestamp}}\n\n[查看详情]({{display_url}})\n\n[查看记录]({{record_url}})\n','','1.0','2021-05-28 11:55:05','2021-05-28 11:55:06',0),(4253,' 页面内容改变','app_status','app_status_browser','mbox','alert','【{{project_name}}项目{{status_metric_name}}页面内容改变告警】\n','【页面内容改变告警】\n\n项目: {{project_name}}\n\n环境: {{workspace}}\n\n事件：[{{status_metric_name}}]({{url}})页面内容和基准点对比不一致\n\n时间: {{timestamp}}\n\n[查看详情]({{display_url}})\n\n[查看记录]({{record_url}})\n','','1.0','2021-05-28 11:55:05','2021-05-28 11:55:06',0),(4254,' 页面内容改变','app_status','app_status_browser','webhook','alert','【{{project_name}}项目{{status_metric_name}}页面内容改变告警】\n','【页面内容改变告警】\n\n项目: {{project_name}}\n\n环境: {{workspace}}\n\n事件：[{{status_metric_name}}]({{url}})页面内容和基准点对比不一致\n\n时间: {{timestamp}}\n\n[查看详情]({{display_url}})\n\n[查看记录]({{record_url}})\n','','1.0','2021-05-28 11:55:05','2021-05-28 11:55:06',0),(4255,' 业务请求状态异常','app_status','app_status_browser','dingding','recover','【{{project_name}}项目{{status_metric_name}}页面内容改变恢复】\n','【页面内容改变恢复】\n\n[{{status_metric_name}}]({{url}}) 页面内容改变 .\n\n项目: {{project_name}}\n\n环境: {{workspace}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','{\"trigger_duration\":\"time:ms\"}','1.0','2021-05-28 11:55:05','2021-05-28 11:55:06',0),(4256,' 业务请求状态异常','app_status','app_status_browser','ticket','recover','【{{project_name}}项目{{status_metric_name}}页面内容改变恢复】\n','【页面内容改变恢复】\n\n[{{status_metric_name}}]({{url}}) 页面内容改变 .\n\n项目: {{project_name}}\n\n环境: {{workspace}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','{\"trigger_duration\":\"time:ms\"}','1.0','2021-05-28 11:55:05','2021-05-28 11:55:06',0),(4257,' 业务请求状态异常','app_status','app_status_browser','email','recover','【{{project_name}}项目{{status_metric_name}}页面内容改变恢复】\n','【页面内容改变恢复】\n\n[{{status_metric_name}}]({{url}}) 页面内容改变 .\n\n项目: {{project_name}}\n\n环境: {{workspace}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','{\"trigger_duration\":\"time:ms\"}','1.0','2021-05-28 11:55:05','2021-05-28 11:55:06',0),(4258,' 业务请求状态异常','app_status','app_status_browser','mbox','recover','【{{project_name}}项目{{status_metric_name}}页面内容改变恢复】\n','【页面内容改变恢复】\n\n[{{status_metric_name}}]({{url}}) 页面内容改变 .\n\n项目: {{project_name}}\n\n环境: {{workspace}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','{\"trigger_duration\":\"time:ms\"}','1.0','2021-05-28 11:55:05','2021-05-28 11:55:06',0),(4259,' 业务请求状态异常','app_status','app_status_browser','webhook','recover','【{{project_name}}项目{{status_metric_name}}页面内容改变恢复】\n','【页面内容改变恢复】\n\n[{{status_metric_name}}]({{url}}) 页面内容改变 .\n\n项目: {{project_name}}\n\n环境: {{workspace}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','{\"trigger_duration\":\"time:ms\"}','1.0','2021-05-28 11:55:05','2021-05-28 11:55:06',0),(4260,' 主动监控HTTP状态异常','app_status','app_status_code','dingding','alert','【{{project_name}}项目{{status_metric_name}}指标HTTP状态异常告警】\n','【主动监控HTTP状态异常】\n\n项目: {{project_name}}\n\n环境: {{workspace}}\n\n事件: [{{status_metric_name}}]({{url}}) 指标状态异常\n\n响应状态码: {{code_min}}\n\n时间: {{timestamp}}\n\n[查看详情]({{display_url}})\n\n[查看记录]({{record_url}})\n','','1.0','2021-05-28 11:55:05','2021-05-28 11:55:06',0),(4261,' 主动监控HTTP状态异常','app_status','app_status_code','ticket','alert','【{{project_name}}项目{{status_metric_name}}指标HTTP状态异常告警】\n','【主动监控HTTP状态异常】\n\n项目: {{project_name}}\n\n环境: {{workspace}}\n\n事件: [{{status_metric_name}}]({{url}}) 指标状态异常\n\n响应状态码: {{code_min}}\n\n时间: {{timestamp}}\n\n[查看详情]({{display_url}})\n\n[查看记录]({{record_url}})\n','','1.0','2021-05-28 11:55:05','2021-05-28 11:55:06',0),(4262,' 主动监控HTTP状态异常','app_status','app_status_code','email','alert','【{{project_name}}项目{{status_metric_name}}指标HTTP状态异常告警】\n','【主动监控HTTP状态异常】\n\n项目: {{project_name}}\n\n环境: {{workspace}}\n\n事件: [{{status_metric_name}}]({{url}}) 指标状态异常\n\n响应状态码: {{code_min}}\n\n时间: {{timestamp}}\n\n[查看详情]({{display_url}})\n\n[查看记录]({{record_url}})\n','','1.0','2021-05-28 11:55:05','2021-05-28 11:55:06',0),(4263,' 主动监控HTTP状态异常','app_status','app_status_code','mbox','alert','【{{project_name}}项目{{status_metric_name}}指标HTTP状态异常告警】\n','【主动监控HTTP状态异常】\n\n项目: {{project_name}}\n\n环境: {{workspace}}\n\n事件: [{{status_metric_name}}]({{url}}) 指标状态异常\n\n响应状态码: {{code_min}}\n\n时间: {{timestamp}}\n\n[查看详情]({{display_url}})\n\n[查看记录]({{record_url}})\n','','1.0','2021-05-28 11:55:05','2021-05-28 11:55:06',0),(4264,' 主动监控HTTP状态异常','app_status','app_status_code','webhook','alert','【{{project_name}}项目{{status_metric_name}}指标HTTP状态异常告警】\n','【主动监控HTTP状态异常】\n\n项目: {{project_name}}\n\n环境: {{workspace}}\n\n事件: [{{status_metric_name}}]({{url}}) 指标状态异常\n\n响应状态码: {{code_min}}\n\n时间: {{timestamp}}\n\n[查看详情]({{display_url}})\n\n[查看记录]({{record_url}})\n','','1.0','2021-05-28 11:55:05','2021-05-28 11:55:06',0),(4265,'主动监控HTTP状态恢复','app_status','app_status_code','dingding','recover','【{{project_name}}项目{{status_metric_name}}指标HTTP状态恢复】\n','【主动监控HTTP状态恢复】\n\n项目: {{project_name}}\n\n环境: {{workspace}}\n\n事件: [{{status_metric_name}}]({{url}}) 指标状态恢复\n\n响应状态码: {{code_min}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','{\"trigger_duration\":\"time:ms\"}','1.0','2021-05-28 11:55:05','2021-05-28 11:55:06',0),(4266,'主动监控HTTP状态恢复','app_status','app_status_code','ticket','recover','【{{project_name}}项目{{status_metric_name}}指标HTTP状态恢复】\n','【主动监控HTTP状态恢复】\n\n项目: {{project_name}}\n\n环境: {{workspace}}\n\n事件: [{{status_metric_name}}]({{url}}) 指标状态恢复\n\n响应状态码: {{code_min}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','{\"trigger_duration\":\"time:ms\"}','1.0','2021-05-28 11:55:05','2021-05-28 11:55:06',0),(4267,'主动监控HTTP状态恢复','app_status','app_status_code','email','recover','【{{project_name}}项目{{status_metric_name}}指标HTTP状态恢复】\n','【主动监控HTTP状态恢复】\n\n项目: {{project_name}}\n\n环境: {{workspace}}\n\n事件: [{{status_metric_name}}]({{url}}) 指标状态恢复\n\n响应状态码: {{code_min}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','{\"trigger_duration\":\"time:ms\"}','1.0','2021-05-28 11:55:05','2021-05-28 11:55:06',0),(4268,'主动监控HTTP状态恢复','app_status','app_status_code','mbox','recover','【{{project_name}}项目{{status_metric_name}}指标HTTP状态恢复】\n','【主动监控HTTP状态恢复】\n\n项目: {{project_name}}\n\n环境: {{workspace}}\n\n事件: [{{status_metric_name}}]({{url}}) 指标状态恢复\n\n响应状态码: {{code_min}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','{\"trigger_duration\":\"time:ms\"}','1.0','2021-05-28 11:55:05','2021-05-28 11:55:06',0),(4269,'主动监控HTTP状态恢复','app_status','app_status_code','webhook','recover','【{{project_name}}项目{{status_metric_name}}指标HTTP状态恢复】\n','【主动监控HTTP状态恢复】\n\n项目: {{project_name}}\n\n环境: {{workspace}}\n\n事件: [{{status_metric_name}}]({{url}}) 指标状态恢复\n\n响应状态码: {{code_min}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','{\"trigger_duration\":\"time:ms\"}','1.0','2021-05-28 11:55:05','2021-05-28 11:55:06',0),(4270,'服务接口HTTP错误率异常','app_transaction','app_transaction_http_path_error','dingding','alert','【{{service_name}}服务接口HTTP错误率异常告警】','【服务接口HTTP错误率异常告警】\n\n项目: {{project_name}}\n\n应用: {{application_name}}\n\n服务: {{runtime_name}} - {{service_name}}\n\n接口: {{http_method}} {{http_url}}\n\n事件: {{ window }}分钟内HTTP错误率{{ error_percent_value }} 错误请求次数{{ error_count_sum }} 总请求次数{{ elapsed_count_sum }}\n\n时间: {{timestamp}}\n\n[查看详情]({{display_url}})\n\n[查看记录]({{record_url}})\n','{\"error_percent_value\":\"percent\"}','1.0','2021-05-28 11:55:05','2021-05-28 11:55:06',0),(4271,'服务接口HTTP错误率异常','app_transaction','app_transaction_http_path_error','ticket','alert','【{{service_name}}服务接口HTTP错误率异常告警】','【服务接口HTTP错误率异常告警】\n\n项目: {{project_name}}\n\n应用: {{application_name}}\n\n服务: {{runtime_name}} - {{service_name}}\n\n接口: {{http_method}} {{http_url}}\n\n事件: {{ window }}分钟内HTTP错误率{{ error_percent_value }} 错误请求次数{{ error_count_sum }} 总请求次数{{ elapsed_count_sum }}\n\n时间: {{timestamp}}\n\n[查看详情]({{display_url}})\n\n[查看记录]({{record_url}})\n','{\"error_percent_value\":\"percent\"}','1.0','2021-05-28 11:55:05','2021-05-28 11:55:06',0),(4272,'服务接口HTTP错误率异常','app_transaction','app_transaction_http_path_error','email','alert','【{{service_name}}服务接口HTTP错误率异常告警】','【服务接口HTTP错误率异常告警】\n\n项目: {{project_name}}\n\n应用: {{application_name}}\n\n服务: {{runtime_name}} - {{service_name}}\n\n接口: {{http_method}} {{http_url}}\n\n事件: {{ window }}分钟内HTTP错误率{{ error_percent_value }} 错误请求次数{{ error_count_sum }} 总请求次数{{ elapsed_count_sum }}\n\n时间: {{timestamp}}\n\n[查看详情]({{display_url}})\n\n[查看记录]({{record_url}})\n','{\"error_percent_value\":\"percent\"}','1.0','2021-05-28 11:55:05','2021-05-28 11:55:06',0),(4273,'服务接口HTTP错误率异常','app_transaction','app_transaction_http_path_error','mbox','alert','【{{service_name}}服务接口HTTP错误率异常告警】','【服务接口HTTP错误率异常告警】\n\n项目: {{project_name}}\n\n应用: {{application_name}}\n\n服务: {{runtime_name}} - {{service_name}}\n\n接口: {{http_method}} {{http_url}}\n\n事件: {{ window }}分钟内HTTP错误率{{ error_percent_value }} 错误请求次数{{ error_count_sum }} 总请求次数{{ elapsed_count_sum }}\n\n时间: {{timestamp}}\n\n[查看详情]({{display_url}})\n\n[查看记录]({{record_url}})\n','{\"error_percent_value\":\"percent\"}','1.0','2021-05-28 11:55:05','2021-05-28 11:55:06',0),(4274,'服务接口HTTP错误率异常','app_transaction','app_transaction_http_path_error','webhook','alert','【{{service_name}}服务接口HTTP错误率异常告警】','【服务接口HTTP错误率异常告警】\n\n项目: {{project_name}}\n\n应用: {{application_name}}\n\n服务: {{runtime_name}} - {{service_name}}\n\n接口: {{http_method}} {{http_url}}\n\n事件: {{ window }}分钟内HTTP错误率{{ error_percent_value }} 错误请求次数{{ error_count_sum }} 总请求次数{{ elapsed_count_sum }}\n\n时间: {{timestamp}}\n\n[查看详情]({{display_url}})\n\n[查看记录]({{record_url}})\n','{\"error_percent_value\":\"percent\"}','1.0','2021-05-28 11:55:05','2021-05-28 11:55:06',0),(4275,'服务接口HTTP错误率恢复','app_transaction','app_transaction_http_path_error','dingding','recover','【{{service_name}}服务接口HTTP错误率异常恢复】','【服务接口HTTP错误率异常恢复】\n\n项目: {{project_name}}\n\n应用: {{application_name}}\n\n服务: {{runtime_name}} - {{service_name}}\n\n接口: {{http_method}} {{http_url}}\n\n持续时间: {{trigger_duration_min}}\n\n恢复时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','{\"trigger_duration\":\"time:ms\"}','1.0','2021-05-28 11:55:05','2021-05-28 11:55:06',0),(4276,'服务接口HTTP错误率恢复','app_transaction','app_transaction_http_path_error','ticket','recover','【{{service_name}}服务接口HTTP错误率异常恢复】','【服务接口HTTP错误率异常恢复】\n\n项目: {{project_name}}\n\n应用: {{application_name}}\n\n服务: {{runtime_name}} - {{service_name}}\n\n接口: {{http_method}} {{http_url}}\n\n持续时间: {{trigger_duration_min}}\n\n恢复时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','{\"trigger_duration\":\"time:ms\"}','1.0','2021-05-28 11:55:05','2021-05-28 11:55:06',0),(4277,'服务接口HTTP错误率恢复','app_transaction','app_transaction_http_path_error','email','recover','【{{service_name}}服务接口HTTP错误率异常恢复】','【服务接口HTTP错误率异常恢复】\n\n项目: {{project_name}}\n\n应用: {{application_name}}\n\n服务: {{runtime_name}} - {{service_name}}\n\n接口: {{http_method}} {{http_url}}\n\n持续时间: {{trigger_duration_min}}\n\n恢复时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','{\"trigger_duration\":\"time:ms\"}','1.0','2021-05-28 11:55:05','2021-05-28 11:55:06',0),(4278,'服务接口HTTP错误率恢复','app_transaction','app_transaction_http_path_error','mbox','recover','【{{service_name}}服务接口HTTP错误率异常恢复】','【服务接口HTTP错误率异常恢复】\n\n项目: {{project_name}}\n\n应用: {{application_name}}\n\n服务: {{runtime_name}} - {{service_name}}\n\n接口: {{http_method}} {{http_url}}\n\n持续时间: {{trigger_duration_min}}\n\n恢复时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','{\"trigger_duration\":\"time:ms\"}','1.0','2021-05-28 11:55:05','2021-05-28 11:55:06',0),(4279,'服务接口HTTP错误率恢复','app_transaction','app_transaction_http_path_error','webhook','recover','【{{service_name}}服务接口HTTP错误率异常恢复】','【服务接口HTTP错误率异常恢复】\n\n项目: {{project_name}}\n\n应用: {{application_name}}\n\n服务: {{runtime_name}} - {{service_name}}\n\n接口: {{http_method}} {{http_url}}\n\n持续时间: {{trigger_duration_min}}\n\n恢复时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','{\"trigger_duration\":\"time:ms\"}','1.0','2021-05-28 11:55:05','2021-05-28 11:55:06',0),(4280,'服务接口HTTP慢事务异常','app_transaction','app_transaction_http_path_rt','dingding','alert','【{{service_name}}服务接口HTTP慢事务异常告警】','【服务接口HTTP慢事务异常告警】\n\n项目: {{project_name}}\n\n应用: {{application_name}}\n\n服务: {{runtime_name}} - {{service_name}}\n\n接口: {{http_method}} {{http_url}}\n\n事件: {{window}}分钟内平均响应时间{{elapsed_avg_value}} 请求次数{{elapsed_count_sum}}\n\n时间: {{timestamp}}\n\n[查看详情]({{display_url}})\n\n[查看记录]({{record_url}})\n','{\"elapsed_avg_value\":\"time:ms\",\"elapsed_sum\":\"time:ms\"}','1.0','2021-05-28 11:55:05','2021-05-28 11:55:06',0),(4281,'服务接口HTTP慢事务异常','app_transaction','app_transaction_http_path_rt','ticket','alert','【{{service_name}}服务接口HTTP慢事务异常告警】','【服务接口HTTP慢事务异常告警】\n\n项目: {{project_name}}\n\n应用: {{application_name}}\n\n服务: {{runtime_name}} - {{service_name}}\n\n接口: {{http_method}} {{http_url}}\n\n事件: {{window}}分钟内平均响应时间{{elapsed_avg_value}} 请求次数{{elapsed_count_sum}}\n\n时间: {{timestamp}}\n\n[查看详情]({{display_url}})\n\n[查看记录]({{record_url}})\n','{\"elapsed_avg_value\":\"time:ms\",\"elapsed_sum\":\"time:ms\"}','1.0','2021-05-28 11:55:05','2021-05-28 11:55:06',0),(4282,'服务接口HTTP慢事务异常','app_transaction','app_transaction_http_path_rt','email','alert','【{{service_name}}服务接口HTTP慢事务异常告警】','【服务接口HTTP慢事务异常告警】\n\n项目: {{project_name}}\n\n应用: {{application_name}}\n\n服务: {{runtime_name}} - {{service_name}}\n\n接口: {{http_method}} {{http_url}}\n\n事件: {{window}}分钟内平均响应时间{{elapsed_avg_value}} 请求次数{{elapsed_count_sum}}\n\n时间: {{timestamp}}\n\n[查看详情]({{display_url}})\n\n[查看记录]({{record_url}})\n','{\"elapsed_avg_value\":\"time:ms\",\"elapsed_sum\":\"time:ms\"}','1.0','2021-05-28 11:55:05','2021-05-28 11:55:06',0),(4283,'服务接口HTTP慢事务异常','app_transaction','app_transaction_http_path_rt','mbox','alert','【{{service_name}}服务接口HTTP慢事务异常告警】','【服务接口HTTP慢事务异常告警】\n\n项目: {{project_name}}\n\n应用: {{application_name}}\n\n服务: {{runtime_name}} - {{service_name}}\n\n接口: {{http_method}} {{http_url}}\n\n事件: {{window}}分钟内平均响应时间{{elapsed_avg_value}} 请求次数{{elapsed_count_sum}}\n\n时间: {{timestamp}}\n\n[查看详情]({{display_url}})\n\n[查看记录]({{record_url}})\n','{\"elapsed_avg_value\":\"time:ms\",\"elapsed_sum\":\"time:ms\"}','1.0','2021-05-28 11:55:05','2021-05-28 11:55:06',0),(4284,'服务接口HTTP慢事务异常','app_transaction','app_transaction_http_path_rt','webhook','alert','【{{service_name}}服务接口HTTP慢事务异常告警】','【服务接口HTTP慢事务异常告警】\n\n项目: {{project_name}}\n\n应用: {{application_name}}\n\n服务: {{runtime_name}} - {{service_name}}\n\n接口: {{http_method}} {{http_url}}\n\n事件: {{window}}分钟内平均响应时间{{elapsed_avg_value}} 请求次数{{elapsed_count_sum}}\n\n时间: {{timestamp}}\n\n[查看详情]({{display_url}})\n\n[查看记录]({{record_url}})\n','{\"elapsed_avg_value\":\"time:ms\",\"elapsed_sum\":\"time:ms\"}','1.0','2021-05-28 11:55:05','2021-05-28 11:55:06',0),(4285,'服务接口HTTP慢事务恢复','app_transaction','app_transaction_http_path_rt','dingding','recover','【{{service_name}}服务接口HTTP慢事务恢复】','【服务接口HTTP慢事务恢复】\n\n项目: {{project_name}}\n\n应用: {{application_name}}\n\n服务: {{runtime_name}} - {{service_name}}\n\n接口: {{http_method}} {{http_url}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','{\"trigger_duration\":\"time:ms\"}','1.0','2021-05-28 11:55:05','2021-05-28 11:55:06',0),(4286,'服务接口HTTP慢事务恢复','app_transaction','app_transaction_http_path_rt','ticket','recover','【{{service_name}}服务接口HTTP慢事务恢复】','【服务接口HTTP慢事务恢复】\n\n项目: {{project_name}}\n\n应用: {{application_name}}\n\n服务: {{runtime_name}} - {{service_name}}\n\n接口: {{http_method}} {{http_url}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','{\"trigger_duration\":\"time:ms\"}','1.0','2021-05-28 11:55:05','2021-05-28 11:55:06',0),(4287,'服务接口HTTP慢事务恢复','app_transaction','app_transaction_http_path_rt','email','recover','【{{service_name}}服务接口HTTP慢事务恢复】','【服务接口HTTP慢事务恢复】\n\n项目: {{project_name}}\n\n应用: {{application_name}}\n\n服务: {{runtime_name}} - {{service_name}}\n\n接口: {{http_method}} {{http_url}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','{\"trigger_duration\":\"time:ms\"}','1.0','2021-05-28 11:55:05','2021-05-28 11:55:06',0),(4288,'服务接口HTTP慢事务恢复','app_transaction','app_transaction_http_path_rt','mbox','recover','【{{service_name}}服务接口HTTP慢事务恢复】','【服务接口HTTP慢事务恢复】\n\n项目: {{project_name}}\n\n应用: {{application_name}}\n\n服务: {{runtime_name}} - {{service_name}}\n\n接口: {{http_method}} {{http_url}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','{\"trigger_duration\":\"time:ms\"}','1.0','2021-05-28 11:55:05','2021-05-28 11:55:06',0),(4289,'服务接口HTTP慢事务恢复','app_transaction','app_transaction_http_path_rt','webhook','recover','【{{service_name}}服务接口HTTP慢事务恢复】','【服务接口HTTP慢事务恢复】\n\n项目: {{project_name}}\n\n应用: {{application_name}}\n\n服务: {{runtime_name}} - {{service_name}}\n\n接口: {{http_method}} {{http_url}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','{\"trigger_duration\":\"time:ms\"}','1.0','2021-05-28 11:55:05','2021-05-28 11:55:06',0),(4290,'服务HTTP错误率异常','app_transaction','app_transaction_http_service_error','dingding','alert','【{{service_name}}服务HTTP错误率异常告警】','【服务HTTP错误率异常告警】\n\n项目: {{project_name}}\n\n应用: {{application_name}}\n\n服务: {{runtime_name}} - {{service_name}}\n\n事件: {{ window }}分钟内HTTP错误率{{ error_percent_value }} 错误请求次数{{ error_count_sum }} 总请求次数{{ elapsed_count_sum }}\n\n时间: {{timestamp}}\n\n[查看详情]({{display_url}})\n\n[查看记录]({{record_url}})\n','{\"error_percent_value\":\"percent\"}','1.0','2021-05-28 11:55:05','2021-05-28 11:55:06',0),(4291,'服务HTTP错误率异常','app_transaction','app_transaction_http_service_error','ticket','alert','【{{service_name}}服务HTTP错误率异常告警】','【服务HTTP错误率异常告警】\n\n项目: {{project_name}}\n\n应用: {{application_name}}\n\n服务: {{runtime_name}} - {{service_name}}\n\n事件: {{ window }}分钟内HTTP错误率{{ error_percent_value }} 错误请求次数{{ error_count_sum }} 总请求次数{{ elapsed_count_sum }}\n\n时间: {{timestamp}}\n\n[查看详情]({{display_url}})\n\n[查看记录]({{record_url}})\n','{\"error_percent_value\":\"percent\"}','1.0','2021-05-28 11:55:05','2021-05-28 11:55:06',0),(4292,'服务HTTP错误率异常','app_transaction','app_transaction_http_service_error','email','alert','【{{service_name}}服务HTTP错误率异常告警】','【服务HTTP错误率异常告警】\n\n项目: {{project_name}}\n\n应用: {{application_name}}\n\n服务: {{runtime_name}} - {{service_name}}\n\n事件: {{ window }}分钟内HTTP错误率{{ error_percent_value }} 错误请求次数{{ error_count_sum }} 总请求次数{{ elapsed_count_sum }}\n\n时间: {{timestamp}}\n\n[查看详情]({{display_url}})\n\n[查看记录]({{record_url}})\n','{\"error_percent_value\":\"percent\"}','1.0','2021-05-28 11:55:05','2021-05-28 11:55:06',0),(4293,'服务HTTP错误率异常','app_transaction','app_transaction_http_service_error','mbox','alert','【{{service_name}}服务HTTP错误率异常告警】','【服务HTTP错误率异常告警】\n\n项目: {{project_name}}\n\n应用: {{application_name}}\n\n服务: {{runtime_name}} - {{service_name}}\n\n事件: {{ window }}分钟内HTTP错误率{{ error_percent_value }} 错误请求次数{{ error_count_sum }} 总请求次数{{ elapsed_count_sum }}\n\n时间: {{timestamp}}\n\n[查看详情]({{display_url}})\n\n[查看记录]({{record_url}})\n','{\"error_percent_value\":\"percent\"}','1.0','2021-05-28 11:55:05','2021-05-28 11:55:06',0),(4294,'服务HTTP错误率异常','app_transaction','app_transaction_http_service_error','webhook','alert','【{{service_name}}服务HTTP错误率异常告警】','【服务HTTP错误率异常告警】\n\n项目: {{project_name}}\n\n应用: {{application_name}}\n\n服务: {{runtime_name}} - {{service_name}}\n\n事件: {{ window }}分钟内HTTP错误率{{ error_percent_value }} 错误请求次数{{ error_count_sum }} 总请求次数{{ elapsed_count_sum }}\n\n时间: {{timestamp}}\n\n[查看详情]({{display_url}})\n\n[查看记录]({{record_url}})\n','{\"error_percent_value\":\"percent\"}','1.0','2021-05-28 11:55:05','2021-05-28 11:55:06',0),(4295,'服务HTTP错误率恢复','app_transaction','app_transaction_http_service_error','dingding','recover','【{{service_name}}服务HTTP错误率恢复】','【服务HTTP错误率异常恢复】\n\n项目: {{project_name}}\n\n应用: {{application_name}}\n\n服务: {{runtime_name}} - {{service_name}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','{\"trigger_duration\":\"time:ms\"}','1.0','2021-05-28 11:55:05','2021-05-28 11:55:06',0),(4296,'服务HTTP错误率恢复','app_transaction','app_transaction_http_service_error','ticket','recover','【{{service_name}}服务HTTP错误率恢复】','【服务HTTP错误率异常恢复】\n\n项目: {{project_name}}\n\n应用: {{application_name}}\n\n服务: {{runtime_name}} - {{service_name}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','{\"trigger_duration\":\"time:ms\"}','1.0','2021-05-28 11:55:05','2021-05-28 11:55:06',0),(4297,'服务HTTP错误率恢复','app_transaction','app_transaction_http_service_error','email','recover','【{{service_name}}服务HTTP错误率恢复】','【服务HTTP错误率异常恢复】\n\n项目: {{project_name}}\n\n应用: {{application_name}}\n\n服务: {{runtime_name}} - {{service_name}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','{\"trigger_duration\":\"time:ms\"}','1.0','2021-05-28 11:55:05','2021-05-28 11:55:06',0),(4298,'服务HTTP错误率恢复','app_transaction','app_transaction_http_service_error','mbox','recover','【{{service_name}}服务HTTP错误率恢复】','【服务HTTP错误率异常恢复】\n\n项目: {{project_name}}\n\n应用: {{application_name}}\n\n服务: {{runtime_name}} - {{service_name}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','{\"trigger_duration\":\"time:ms\"}','1.0','2021-05-28 11:55:05','2021-05-28 11:55:06',0),(4299,'服务HTTP错误率恢复','app_transaction','app_transaction_http_service_error','webhook','recover','【{{service_name}}服务HTTP错误率恢复】','【服务HTTP错误率异常恢复】\n\n项目: {{project_name}}\n\n应用: {{application_name}}\n\n服务: {{runtime_name}} - {{service_name}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','{\"trigger_duration\":\"time:ms\"}','1.0','2021-05-28 11:55:05','2021-05-28 11:55:06',0),(4300,'服务HTTP慢事务异常','app_transaction','app_transaction_http_service_rt','dingding','alert','【应用{{service_name}}服务HTTP慢事务异常告警】','【服务HTTP慢事务异常告警】\n\n项目: {{project_name}}\n\n应用: {{application_name}}\n\n服务: {{runtime_name}} - {{service_name}}\n\n事件: {{window}}分钟内HTTP事务平均响应时间{{elapsed_avg_value}} 请求次数{{elapsed_count_sum}}\n\n时间: {{timestamp}}\n\n[查看详情]({{display_url}})\n\n[查看记录]({{record_url}})\n','{\"elapsed_avg_value\":\"time:ms\",\"elapsed_sum\":\"time:ms\"}','1.0','2021-05-28 11:55:05','2021-05-28 11:55:06',0),(4301,'服务HTTP慢事务异常','app_transaction','app_transaction_http_service_rt','ticket','alert','【应用{{service_name}}服务HTTP慢事务异常告警】','【服务HTTP慢事务异常告警】\n\n项目: {{project_name}}\n\n应用: {{application_name}}\n\n服务: {{runtime_name}} - {{service_name}}\n\n事件: {{window}}分钟内HTTP事务平均响应时间{{elapsed_avg_value}} 请求次数{{elapsed_count_sum}}\n\n时间: {{timestamp}}\n\n[查看详情]({{display_url}})\n\n[查看记录]({{record_url}})\n','{\"elapsed_avg_value\":\"time:ms\",\"elapsed_sum\":\"time:ms\"}','1.0','2021-05-28 11:55:05','2021-05-28 11:55:06',0),(4302,'服务HTTP慢事务异常','app_transaction','app_transaction_http_service_rt','email','alert','【应用{{service_name}}服务HTTP慢事务异常告警】','【服务HTTP慢事务异常告警】\n\n项目: {{project_name}}\n\n应用: {{application_name}}\n\n服务: {{runtime_name}} - {{service_name}}\n\n事件: {{window}}分钟内HTTP事务平均响应时间{{elapsed_avg_value}} 请求次数{{elapsed_count_sum}}\n\n时间: {{timestamp}}\n\n[查看详情]({{display_url}})\n\n[查看记录]({{record_url}})\n','{\"elapsed_avg_value\":\"time:ms\",\"elapsed_sum\":\"time:ms\"}','1.0','2021-05-28 11:55:05','2021-05-28 11:55:06',0),(4303,'服务HTTP慢事务异常','app_transaction','app_transaction_http_service_rt','mbox','alert','【应用{{service_name}}服务HTTP慢事务异常告警】','【服务HTTP慢事务异常告警】\n\n项目: {{project_name}}\n\n应用: {{application_name}}\n\n服务: {{runtime_name}} - {{service_name}}\n\n事件: {{window}}分钟内HTTP事务平均响应时间{{elapsed_avg_value}} 请求次数{{elapsed_count_sum}}\n\n时间: {{timestamp}}\n\n[查看详情]({{display_url}})\n\n[查看记录]({{record_url}})\n','{\"elapsed_avg_value\":\"time:ms\",\"elapsed_sum\":\"time:ms\"}','1.0','2021-05-28 11:55:05','2021-05-28 11:55:06',0),(4304,'服务HTTP慢事务异常','app_transaction','app_transaction_http_service_rt','webhook','alert','【应用{{service_name}}服务HTTP慢事务异常告警】','【服务HTTP慢事务异常告警】\n\n项目: {{project_name}}\n\n应用: {{application_name}}\n\n服务: {{runtime_name}} - {{service_name}}\n\n事件: {{window}}分钟内HTTP事务平均响应时间{{elapsed_avg_value}} 请求次数{{elapsed_count_sum}}\n\n时间: {{timestamp}}\n\n[查看详情]({{display_url}})\n\n[查看记录]({{record_url}})\n','{\"elapsed_avg_value\":\"time:ms\",\"elapsed_sum\":\"time:ms\"}','1.0','2021-05-28 11:55:05','2021-05-28 11:55:06',0),(4305,'服务HTTP慢事务异常恢复','app_transaction','app_transaction_http_service_rt','dingding','recover','【应用{{service_name}}服务HTTP慢事务异常恢复】','【服务HTTP慢事务异常恢复】\n\n项目: {{project_name}}\n\n应用: {{application_name}}\n\n服务: {{runtime_name}} - {{service_name}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','{\"trigger_duration\":\"time:ms\"}','1.0','2021-05-28 11:55:05','2021-05-28 11:55:06',0),(4306,'服务HTTP慢事务异常恢复','app_transaction','app_transaction_http_service_rt','ticket','recover','【应用{{service_name}}服务HTTP慢事务异常恢复】','【服务HTTP慢事务异常恢复】\n\n项目: {{project_name}}\n\n应用: {{application_name}}\n\n服务: {{runtime_name}} - {{service_name}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','{\"trigger_duration\":\"time:ms\"}','1.0','2021-05-28 11:55:05','2021-05-28 11:55:06',0),(4307,'服务HTTP慢事务异常恢复','app_transaction','app_transaction_http_service_rt','email','recover','【应用{{service_name}}服务HTTP慢事务异常恢复】','【服务HTTP慢事务异常恢复】\n\n项目: {{project_name}}\n\n应用: {{application_name}}\n\n服务: {{runtime_name}} - {{service_name}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','{\"trigger_duration\":\"time:ms\"}','1.0','2021-05-28 11:55:05','2021-05-28 11:55:06',0),(4308,'服务HTTP慢事务异常恢复','app_transaction','app_transaction_http_service_rt','mbox','recover','【应用{{service_name}}服务HTTP慢事务异常恢复】','【服务HTTP慢事务异常恢复】\n\n项目: {{project_name}}\n\n应用: {{application_name}}\n\n服务: {{runtime_name}} - {{service_name}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','{\"trigger_duration\":\"time:ms\"}','1.0','2021-05-28 11:55:05','2021-05-28 11:55:06',0),(4309,'服务HTTP慢事务异常恢复','app_transaction','app_transaction_http_service_rt','webhook','recover','【应用{{service_name}}服务HTTP慢事务异常恢复】','【服务HTTP慢事务异常恢复】\n\n项目: {{project_name}}\n\n应用: {{application_name}}\n\n服务: {{runtime_name}} - {{service_name}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','{\"trigger_duration\":\"time:ms\"}','1.0','2021-05-28 11:55:05','2021-05-28 11:55:06',0),(4310,'Ajax接口访问性能告警','browser','browser_ajax_req','dingding','alert','【Ajax接口 ({{req_path}}) 访问性能告警】\n','【Ajax接口访问性能告警】\n\n事件: {{req_path}} Ajax接口慢响应\n\n时间: {{timestamp}}\n\n域名: {{host}}\n\n平均响应时间: {{tt_avg}} ms\n\n[查看详情]({{display_url}})\n\n[查看记录]({{record_url}})','{\"tt\":\"time:s\"}','1.0','2021-05-28 11:55:05','2021-05-28 11:55:06',0),(4311,'Ajax接口访问性能告警','browser','browser_ajax_req','ticket','alert','【Ajax接口 ({{req_path}}) 访问性能告警】\n','【Ajax接口访问性能告警】\n\n事件: {{req_path}} Ajax接口慢响应\n\n时间: {{timestamp}}\n\n域名: {{host}}\n\n平均响应时间: {{tt_avg}} ms\n\n[查看详情]({{display_url}})\n\n[查看记录]({{record_url}})','{\"tt\":\"time:s\"}','1.0','2021-05-28 11:55:05','2021-05-28 11:55:06',0),(4312,'Ajax接口访问性能告警','browser','browser_ajax_req','email','alert','【Ajax接口 ({{req_path}}) 访问性能告警】\n','【Ajax接口访问性能告警】\n\n事件: {{req_path}} Ajax接口慢响应\n\n时间: {{timestamp}}\n\n域名: {{host}}\n\n平均响应时间: {{tt_avg}} ms\n\n[查看详情]({{display_url}})\n\n[查看记录]({{record_url}})','{\"tt\":\"time:s\"}','1.0','2021-05-28 11:55:05','2021-05-28 11:55:06',0),(4313,'Ajax接口访问性能告警','browser','browser_ajax_req','mbox','alert','【Ajax接口 ({{req_path}}) 访问性能告警】\n','【Ajax接口访问性能告警】\n\n事件: {{req_path}} Ajax接口慢响应\n\n时间: {{timestamp}}\n\n域名: {{host}}\n\n平均响应时间: {{tt_avg}} ms\n\n[查看详情]({{display_url}})\n\n[查看记录]({{record_url}})','{\"tt\":\"time:s\"}','1.0','2021-05-28 11:55:05','2021-05-28 11:55:06',0),(4314,'Ajax接口访问性能告警','browser','browser_ajax_req','webhook','alert','【Ajax接口 ({{req_path}}) 访问性能告警】\n','【Ajax接口访问性能告警】\n\n事件: {{req_path}} Ajax接口慢响应\n\n时间: {{timestamp}}\n\n域名: {{host}}\n\n平均响应时间: {{tt_avg}} ms\n\n[查看详情]({{display_url}})\n\n[查看记录]({{record_url}})','{\"tt\":\"time:s\"}','1.0','2021-05-28 11:55:05','2021-05-28 11:55:06',0),(4315,'用户体验告警','browser','browser_apdex','dingding','alert','【({{doc_path}}) 接口用户体验告警】\n','【用户体验告警】\n\n事件: 访问时间过长\n\n时间: {{timestamp}}\n\n域名: {{host}}\n\n页面: {{doc_path}}\n\n平均响应时间: {{plt_avg}} ms\n\n[查看详情]({{display_url}})\n\n[查看记录]({{record_url}})','{\"plt\":\"time:s\"}','1.0','2021-05-28 11:55:05','2021-05-28 11:55:06',0),(4316,'用户体验告警','browser','browser_apdex','ticket','alert','【({{doc_path}}) 接口用户体验告警】\n','【用户体验告警】\n\n事件: 访问时间过长\n\n时间: {{timestamp}}\n\n域名: {{host}}\n\n页面: {{doc_path}}\n\n平均响应时间: {{plt_avg}} ms\n\n[查看详情]({{display_url}})\n\n[查看记录]({{record_url}})','{\"plt\":\"time:s\"}','1.0','2021-05-28 11:55:05','2021-05-28 11:55:06',0),(4317,'用户体验告警','browser','browser_apdex','email','alert','【({{doc_path}}) 接口用户体验告警】\n','【用户体验告警】\n\n事件: 访问时间过长\n\n时间: {{timestamp}}\n\n域名: {{host}}\n\n页面: {{doc_path}}\n\n平均响应时间: {{plt_avg}} ms\n\n[查看详情]({{display_url}})\n\n[查看记录]({{record_url}})','{\"plt\":\"time:s\"}','1.0','2021-05-28 11:55:05','2021-05-28 11:55:06',0),(4318,'用户体验告警','browser','browser_apdex','mbox','alert','【({{doc_path}}) 接口用户体验告警】\n','【用户体验告警】\n\n事件: 访问时间过长\n\n时间: {{timestamp}}\n\n域名: {{host}}\n\n页面: {{doc_path}}\n\n平均响应时间: {{plt_avg}} ms\n\n[查看详情]({{display_url}})\n\n[查看记录]({{record_url}})','{\"plt\":\"time:s\"}','1.0','2021-05-28 11:55:05','2021-05-28 11:55:06',0),(4319,'用户体验告警','browser','browser_apdex','webhook','alert','【({{doc_path}}) 接口用户体验告警】\n','【用户体验告警】\n\n事件: 访问时间过长\n\n时间: {{timestamp}}\n\n域名: {{host}}\n\n页面: {{doc_path}}\n\n平均响应时间: {{plt_avg}} ms\n\n[查看详情]({{display_url}})\n\n[查看记录]({{record_url}})','{\"plt\":\"time:s\"}','1.0','2021-05-28 11:55:05','2021-05-28 11:55:06',0),(4320,'域名访问性能告警','browser','browser_host_req','dingding','alert','【({{host}}) 域名访问性能告警】\n','【域名访问性能告警】\n\n事件: ({{host}}) 域名慢响应\n\n时间: {{timestamp}}\n\n域名: {{host}}\n\n平均响应时间: {{plt_avg}} ms\n\n[查看详情]({{display_url}})\n\n[查看记录]({{record_url}})','{\"plt\":\"time:s\"}','1.0','2021-05-28 11:55:05','2021-05-28 11:55:06',0),(4321,'域名访问性能告警','browser','browser_host_req','ticket','alert','【({{host}}) 域名访问性能告警】\n','【域名访问性能告警】\n\n事件: ({{host}}) 域名慢响应\n\n时间: {{timestamp}}\n\n域名: {{host}}\n\n平均响应时间: {{plt_avg}} ms\n\n[查看详情]({{display_url}})\n\n[查看记录]({{record_url}})','{\"plt\":\"time:s\"}','1.0','2021-05-28 11:55:05','2021-05-28 11:55:06',0),(4322,'域名访问性能告警','browser','browser_host_req','email','alert','【({{host}}) 域名访问性能告警】\n','【域名访问性能告警】\n\n事件: ({{host}}) 域名慢响应\n\n时间: {{timestamp}}\n\n域名: {{host}}\n\n平均响应时间: {{plt_avg}} ms\n\n[查看详情]({{display_url}})\n\n[查看记录]({{record_url}})','{\"plt\":\"time:s\"}','1.0','2021-05-28 11:55:05','2021-05-28 11:55:06',0),(4323,'域名访问性能告警','browser','browser_host_req','mbox','alert','【({{host}}) 域名访问性能告警】\n','【域名访问性能告警】\n\n事件: ({{host}}) 域名慢响应\n\n时间: {{timestamp}}\n\n域名: {{host}}\n\n平均响应时间: {{plt_avg}} ms\n\n[查看详情]({{display_url}})\n\n[查看记录]({{record_url}})','{\"plt\":\"time:s\"}','1.0','2021-05-28 11:55:05','2021-05-28 11:55:06',0),(4324,'域名访问性能告警','browser','browser_host_req','webhook','alert','【({{host}}) 域名访问性能告警】\n','【域名访问性能告警】\n\n事件: ({{host}}) 域名慢响应\n\n时间: {{timestamp}}\n\n域名: {{host}}\n\n平均响应时间: {{plt_avg}} ms\n\n[查看详情]({{display_url}})\n\n[查看记录]({{record_url}})','{\"plt\":\"time:s\"}','1.0','2021-05-28 11:55:05','2021-05-28 11:55:06',0),(4325,'页面访问性能告警','browser','browser_page_req','dingding','alert','【页面 ({{doc_path}}) 访问性能告警】\n','【页面访问性能告警】\n\n事件: {{doc_path}} 页面慢响应\n\n域名: {{host}}\n\n页面: {{doc_path}}\n\n页面平均响应时间: {{plt_avg}} ms\n\n时间: {{timestamp}}\n\n[查看详情]({{display_url}})\n\n[查看记录]({{record_url}})','{\"plt\":\"time:s\"}','1.0','2021-05-28 11:55:05','2021-05-28 11:55:06',0),(4326,'页面访问性能告警','browser','browser_page_req','ticket','alert','【页面 ({{doc_path}}) 访问性能告警】\n','【页面访问性能告警】\n\n事件: {{doc_path}} 页面慢响应\n\n域名: {{host}}\n\n页面: {{doc_path}}\n\n页面平均响应时间: {{plt_avg}} ms\n\n时间: {{timestamp}}\n\n[查看详情]({{display_url}})\n\n[查看记录]({{record_url}})','{\"plt\":\"time:s\"}','1.0','2021-05-28 11:55:05','2021-05-28 11:55:06',0),(4327,'页面访问性能告警','browser','browser_page_req','email','alert','【页面 ({{doc_path}}) 访问性能告警】\n','【页面访问性能告警】\n\n事件: {{doc_path}} 页面慢响应\n\n域名: {{host}}\n\n页面: {{doc_path}}\n\n页面平均响应时间: {{plt_avg}} ms\n\n时间: {{timestamp}}\n\n[查看详情]({{display_url}})\n\n[查看记录]({{record_url}})','{\"plt\":\"time:s\"}','1.0','2021-05-28 11:55:05','2021-05-28 11:55:06',0),(4328,'页面访问性能告警','browser','browser_page_req','mbox','alert','【页面 ({{doc_path}}) 访问性能告警】\n','【页面访问性能告警】\n\n事件: {{doc_path}} 页面慢响应\n\n域名: {{host}}\n\n页面: {{doc_path}}\n\n页面平均响应时间: {{plt_avg}} ms\n\n时间: {{timestamp}}\n\n[查看详情]({{display_url}})\n\n[查看记录]({{record_url}})','{\"plt\":\"time:s\"}','1.0','2021-05-28 11:55:05','2021-05-28 11:55:06',0),(4329,'页面访问性能告警','browser','browser_page_req','webhook','alert','【页面 ({{doc_path}}) 访问性能告警】\n','【页面访问性能告警】\n\n事件: {{doc_path}} 页面慢响应\n\n域名: {{host}}\n\n页面: {{doc_path}}\n\n页面平均响应时间: {{plt_avg}} ms\n\n时间: {{timestamp}}\n\n[查看详情]({{display_url}})\n\n[查看记录]({{record_url}})','{\"plt\":\"time:s\"}','1.0','2021-05-28 11:55:05','2021-05-28 11:55:06',0),(4330,'脚本错误告警','browser','browser_script_error','dingding','alert','【页面 ({{doc_path}}) 脚本错误告警】','【脚本错误告警】\n\n事件: {{window}} 分钟内，脚本错误次数: {{count_sum}}\n\n访问域名：{{host}}\n\n访问页面：{{doc_path}}\n\n时间: {{timestamp}}\n\n[查看详情]({{display_url}})\n\n[查看记录]({{record_url}})\n','{\"count\":\"string\"}','1.0','2021-05-28 11:55:05','2021-05-28 11:55:06',0),(4331,'脚本错误告警','browser','browser_script_error','ticket','alert','【页面 ({{doc_path}}) 脚本错误告警】','【脚本错误告警】\n\n事件: {{window}} 分钟内，脚本错误次数: {{count_sum}}\n\n访问域名：{{host}}\n\n访问页面：{{doc_path}}\n\n时间: {{timestamp}}\n\n[查看详情]({{display_url}})\n\n[查看记录]({{record_url}})\n','{\"count\":\"string\"}','1.0','2021-05-28 11:55:05','2021-05-28 11:55:06',0),(4332,'脚本错误告警','browser','browser_script_error','email','alert','【页面 ({{doc_path}}) 脚本错误告警】','【脚本错误告警】\n\n事件: {{window}} 分钟内，脚本错误次数: {{count_sum}}\n\n访问域名：{{host}}\n\n访问页面：{{doc_path}}\n\n时间: {{timestamp}}\n\n[查看详情]({{display_url}})\n\n[查看记录]({{record_url}})\n','{\"count\":\"string\"}','1.0','2021-05-28 11:55:05','2021-05-28 11:55:06',0),(4333,'脚本错误告警','browser','browser_script_error','mbox','alert','【页面 ({{doc_path}}) 脚本错误告警】','【脚本错误告警】\n\n事件: {{window}} 分钟内，脚本错误次数: {{count_sum}}\n\n访问域名：{{host}}\n\n访问页面：{{doc_path}}\n\n时间: {{timestamp}}\n\n[查看详情]({{display_url}})\n\n[查看记录]({{record_url}})\n','{\"count\":\"string\"}','1.0','2021-05-28 11:55:05','2021-05-28 11:55:06',0),(4334,'脚本错误告警','browser','browser_script_error','webhook','alert','【页面 ({{doc_path}}) 脚本错误告警】','【脚本错误告警】\n\n事件: {{window}} 分钟内，脚本错误次数: {{count_sum}}\n\n访问域名：{{host}}\n\n访问页面：{{doc_path}}\n\n时间: {{timestamp}}\n\n[查看详情]({{display_url}})\n\n[查看记录]({{record_url}})\n','{\"count\":\"string\"}','1.0','2021-05-28 11:55:05','2021-05-28 11:55:06',0),(4335,'MySQL SLAVE DELAY ALERT','custom_addon','slave_dly_alert','dingding','alert','【MySQL {{window}}M 聚合时间内 SLAVE 延迟 {{slave_seconds_behind_master_max}}s】\n','【MySQL {{window}}M 聚合时间内 SLAVE 延迟 {{slave_seconds_behind_master_max}}s】\n\n集群: {{cluster_name}}\n\nmysql: {{server_id}}\n\n延迟时间： {{slave_seconds_behind_master_max}}\n\n时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','{\"limit_value\":\"fraction:1\",\"usage_percent_avg\":\"percent:1\"}','1.0','2021-05-28 11:55:05','2021-05-28 11:55:06',0),(4336,'MySQL SLAVE SYNC ALERT','custom_addon','slave_sync_alert','dingding','alert','【MySQL SLAVE 同步异常】\n','【MySQL SLAVE 同步异常】\n\n集群: {{cluster_name}}\n\nmysql: {{server_id}}\n\nSlave_IO_Running: {{slave_slave_io_running_value}}\n\nSlave_SQL_Running: {{slave_slave_sql_running_value}}\n\n时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','{\"limit_value\":\"fraction:1\",\"usage_percent_avg\":\"percent:1\"}','1.0','2021-05-28 11:55:05','2021-05-28 11:55:06',0),(4337,'平台中间件cassandra GC次数异常','dice_addon','dice_addon_cassandra_gc_count','dingding','alert','【平台中间件cassandra GC次数告警】\n','【平台中间件cassandra GC次数告警】\n\n中间件: {{addon_id}}\n\n老年代GC次数: {{CollectionCount_win_value}}\n\n集群: {{cluster_name}}\n\n机器: {{node_host}}\n\n时间: {{timestamp}}\n\n[查看详情]({{display_url}})\n\n[查看记录]({{record_url}})\n','','1.0','2021-05-28 11:55:05','2021-05-28 11:55:06',0),(4338,'平台中间件cassandra GC次数异常','dice_addon','dice_addon_cassandra_gc_count','ticket','alert','【平台中间件cassandra GC次数告警】\n','【平台中间件cassandra GC次数告警】\n\n中间件: {{addon_id}}\n\n老年代GC次数: {{CollectionCount_win_value}}\n\n集群: {{cluster_name}}\n\n机器: {{node_host}}\n\n时间: {{timestamp}}\n\n[查看详情]({{display_url}})\n\n[查看记录]({{record_url}})\n','','1.0','2021-05-28 11:55:05','2021-05-28 11:55:06',0),(4339,'平台中间件cassandra GC次数异常','dice_addon','dice_addon_cassandra_gc_count','email','alert','【平台中间件cassandra GC次数告警】\n','【平台中间件cassandra GC次数告警】\n\n中间件: {{addon_id}}\n\n老年代GC次数: {{CollectionCount_win_value}}\n\n集群: {{cluster_name}}\n\n机器: {{node_host}}\n\n时间: {{timestamp}}\n\n[查看详情]({{display_url}})\n\n[查看记录]({{record_url}})\n','','1.0','2021-05-28 11:55:05','2021-05-28 11:55:06',0),(4340,'平台中间件cassandra GC次数异常','dice_addon','dice_addon_cassandra_gc_count','mbox','alert','【平台中间件cassandra GC次数告警】\n','【平台中间件cassandra GC次数告警】\n\n中间件: {{addon_id}}\n\n老年代GC次数: {{CollectionCount_win_value}}\n\n集群: {{cluster_name}}\n\n机器: {{node_host}}\n\n时间: {{timestamp}}\n\n[查看详情]({{display_url}})\n\n[查看记录]({{record_url}})\n','','1.0','2021-05-28 11:55:05','2021-05-28 11:55:06',0),(4341,'平台中间件cassandra GC次数异常','dice_addon','dice_addon_cassandra_gc_count','webhook','alert','【平台中间件cassandra GC次数告警】\n','【平台中间件cassandra GC次数告警】\n\n中间件: {{addon_id}}\n\n老年代GC次数: {{CollectionCount_win_value}}\n\n集群: {{cluster_name}}\n\n机器: {{node_host}}\n\n时间: {{timestamp}}\n\n[查看详情]({{display_url}})\n\n[查看记录]({{record_url}})\n','','1.0','2021-05-28 11:55:05','2021-05-28 11:55:06',0),(4342,'平台中间件cassandra GC次数异常','dice_addon','dice_addon_cassandra_gc_count','dingding','recover','【平台中间件cassandra GC次数恢复】\n','【平台中间件cassandra GC次数恢复】\n\n中间件: {{addon_id}}\n\n老年代GC次数: {{CollectionCount_win_value}}\n\n集群: {{cluster_name}}\n\n机器: {{node_host}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','{\"trigger_duration\":\"time:ms\"}','1.0','2021-05-28 11:55:05','2021-05-28 11:55:06',0),(4343,'平台中间件cassandra GC次数异常','dice_addon','dice_addon_cassandra_gc_count','ticket','recover','【平台中间件cassandra GC次数恢复】\n','【平台中间件cassandra GC次数恢复】\n\n中间件: {{addon_id}}\n\n老年代GC次数: {{CollectionCount_win_value}}\n\n集群: {{cluster_name}}\n\n机器: {{node_host}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','{\"trigger_duration\":\"time:ms\"}','1.0','2021-05-28 11:55:05','2021-05-28 11:55:06',0),(4344,'平台中间件cassandra GC次数异常','dice_addon','dice_addon_cassandra_gc_count','email','recover','【平台中间件cassandra GC次数恢复】\n','【平台中间件cassandra GC次数恢复】\n\n中间件: {{addon_id}}\n\n老年代GC次数: {{CollectionCount_win_value}}\n\n集群: {{cluster_name}}\n\n机器: {{node_host}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','{\"trigger_duration\":\"time:ms\"}','1.0','2021-05-28 11:55:05','2021-05-28 11:55:06',0),(4345,'平台中间件cassandra GC次数异常','dice_addon','dice_addon_cassandra_gc_count','mbox','recover','【平台中间件cassandra GC次数恢复】\n','【平台中间件cassandra GC次数恢复】\n\n中间件: {{addon_id}}\n\n老年代GC次数: {{CollectionCount_win_value}}\n\n集群: {{cluster_name}}\n\n机器: {{node_host}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','{\"trigger_duration\":\"time:ms\"}','1.0','2021-05-28 11:55:05','2021-05-28 11:55:06',0),(4346,'平台中间件cassandra GC次数异常','dice_addon','dice_addon_cassandra_gc_count','webhook','recover','【平台中间件cassandra GC次数恢复】\n','【平台中间件cassandra GC次数恢复】\n\n中间件: {{addon_id}}\n\n老年代GC次数: {{CollectionCount_win_value}}\n\n集群: {{cluster_name}}\n\n机器: {{node_host}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','{\"trigger_duration\":\"time:ms\"}','1.0','2021-05-28 11:55:05','2021-05-28 11:55:06',0),(4347,'平台中间件cassandra GC耗时异常','dice_addon','dice_addon_cassandra_gc_time','dingding','alert','【平台中间件cassandra GC耗时告警】\n','【平台中间件cassandra GC耗时告警】\n\n中间件: {{addon_id}}\n\n老年代GC耗时: {{CollectionTime_win_value}}\n\n集群: {{cluster_name}}\n\n机器: {{node_host}}\n\n时间: {{timestamp}}\n\n[查看详情]({{display_url}})\n\n[查看记录]({{record_url}})\n','{\"CollectionTime_win_value\":\"time:ms\"}','1.0','2021-05-28 11:55:05','2021-05-28 11:55:06',0),(4348,'平台中间件cassandra GC耗时异常','dice_addon','dice_addon_cassandra_gc_time','ticket','alert','【平台中间件cassandra GC耗时告警】\n','【平台中间件cassandra GC耗时告警】\n\n中间件: {{addon_id}}\n\n老年代GC耗时: {{CollectionTime_win_value}}\n\n集群: {{cluster_name}}\n\n机器: {{node_host}}\n\n时间: {{timestamp}}\n\n[查看详情]({{display_url}})\n\n[查看记录]({{record_url}})\n','{\"CollectionTime_win_value\":\"time:ms\"}','1.0','2021-05-28 11:55:05','2021-05-28 11:55:06',0),(4349,'平台中间件cassandra GC耗时异常','dice_addon','dice_addon_cassandra_gc_time','email','alert','【平台中间件cassandra GC耗时告警】\n','【平台中间件cassandra GC耗时告警】\n\n中间件: {{addon_id}}\n\n老年代GC耗时: {{CollectionTime_win_value}}\n\n集群: {{cluster_name}}\n\n机器: {{node_host}}\n\n时间: {{timestamp}}\n\n[查看详情]({{display_url}})\n\n[查看记录]({{record_url}})\n','{\"CollectionTime_win_value\":\"time:ms\"}','1.0','2021-05-28 11:55:05','2021-05-28 11:55:06',0),(4350,'平台中间件cassandra GC耗时异常','dice_addon','dice_addon_cassandra_gc_time','mbox','alert','【平台中间件cassandra GC耗时告警】\n','【平台中间件cassandra GC耗时告警】\n\n中间件: {{addon_id}}\n\n老年代GC耗时: {{CollectionTime_win_value}}\n\n集群: {{cluster_name}}\n\n机器: {{node_host}}\n\n时间: {{timestamp}}\n\n[查看详情]({{display_url}})\n\n[查看记录]({{record_url}})\n','{\"CollectionTime_win_value\":\"time:ms\"}','1.0','2021-05-28 11:55:05','2021-05-28 11:55:06',0),(4351,'平台中间件cassandra GC耗时异常','dice_addon','dice_addon_cassandra_gc_time','webhook','alert','【平台中间件cassandra GC耗时告警】\n','【平台中间件cassandra GC耗时告警】\n\n中间件: {{addon_id}}\n\n老年代GC耗时: {{CollectionTime_win_value}}\n\n集群: {{cluster_name}}\n\n机器: {{node_host}}\n\n时间: {{timestamp}}\n\n[查看详情]({{display_url}})\n\n[查看记录]({{record_url}})\n','{\"CollectionTime_win_value\":\"time:ms\"}','1.0','2021-05-28 11:55:05','2021-05-28 11:55:06',0),(4352,'平台中间件cassandra GC耗时异常','dice_addon','dice_addon_cassandra_gc_time','dingding','recover','【平台中间件cassandra GC耗时恢复】\n','【平台中间件cassandra GC耗时恢复】\n\n中间件: {{addon_id}}\n\n老年代GC耗时: {{CollectionTime_win_value}}\n\n集群: {{cluster_name}}\n\n机器: {{node_host}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','{\"CollectionTime_win_value\":\"time:ms\",\"trigger_duration\":\"time:ms\"}','1.0','2021-05-28 11:55:05','2021-05-28 11:55:06',0),(4353,'平台中间件cassandra GC耗时异常','dice_addon','dice_addon_cassandra_gc_time','ticket','recover','【平台中间件cassandra GC耗时恢复】\n','【平台中间件cassandra GC耗时恢复】\n\n中间件: {{addon_id}}\n\n老年代GC耗时: {{CollectionTime_win_value}}\n\n集群: {{cluster_name}}\n\n机器: {{node_host}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','{\"CollectionTime_win_value\":\"time:ms\",\"trigger_duration\":\"time:ms\"}','1.0','2021-05-28 11:55:05','2021-05-28 11:55:06',0),(4354,'平台中间件cassandra GC耗时异常','dice_addon','dice_addon_cassandra_gc_time','email','recover','【平台中间件cassandra GC耗时恢复】\n','【平台中间件cassandra GC耗时恢复】\n\n中间件: {{addon_id}}\n\n老年代GC耗时: {{CollectionTime_win_value}}\n\n集群: {{cluster_name}}\n\n机器: {{node_host}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','{\"CollectionTime_win_value\":\"time:ms\",\"trigger_duration\":\"time:ms\"}','1.0','2021-05-28 11:55:05','2021-05-28 11:55:06',0),(4355,'平台中间件cassandra GC耗时异常','dice_addon','dice_addon_cassandra_gc_time','mbox','recover','【平台中间件cassandra GC耗时恢复】\n','【平台中间件cassandra GC耗时恢复】\n\n中间件: {{addon_id}}\n\n老年代GC耗时: {{CollectionTime_win_value}}\n\n集群: {{cluster_name}}\n\n机器: {{node_host}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','{\"CollectionTime_win_value\":\"time:ms\",\"trigger_duration\":\"time:ms\"}','1.0','2021-05-28 11:55:05','2021-05-28 11:55:06',0),(4356,'平台中间件cassandra GC耗时异常','dice_addon','dice_addon_cassandra_gc_time','webhook','recover','【平台中间件cassandra GC耗时恢复】\n','【平台中间件cassandra GC耗时恢复】\n\n中间件: {{addon_id}}\n\n老年代GC耗时: {{CollectionTime_win_value}}\n\n集群: {{cluster_name}}\n\n机器: {{node_host}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','{\"CollectionTime_win_value\":\"time:ms\",\"trigger_duration\":\"time:ms\"}','1.0','2021-05-28 11:55:05','2021-05-28 11:55:06',0),(4357,'平台中间件实例CPU异常','dice_addon','dice_addon_container_cpu','dingding','alert','【平台中间件{{addon_id}} CPU使用率告警】\n','【平台中间件CPU使用率告警】\n\n中间件: {{addon_id}}\n\n使用率: {{cpu_usage_percent_avg}}\n\n限制: {{cpu_limit_value}}核\n\n分配: {{cpu_allocation_value}}核\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n容器ID: {{container_id}}\n\n时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','{\"cpu_allocation_value\":\"fraction:2\",\"cpu_limit_value\":\"fraction:2\",\"cpu_usage_percent_avg\":\"percent:2\"}','1.0','2021-05-28 11:55:05','2021-05-28 11:55:06',0),(4358,'平台中间件实例CPU异常','dice_addon','dice_addon_container_cpu','ticket','alert','【平台中间件{{addon_id}} CPU使用率告警】\n','【平台中间件CPU使用率告警】\n\n中间件: {{addon_id}}\n\n使用率: {{cpu_usage_percent_avg}}\n\n限制: {{cpu_limit_value}}核\n\n分配: {{cpu_allocation_value}}核\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n容器ID: {{container_id}}\n\n时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','{\"cpu_allocation_value\":\"fraction:2\",\"cpu_limit_value\":\"fraction:2\",\"cpu_usage_percent_avg\":\"percent:2\"}','1.0','2021-05-28 11:55:05','2021-05-28 11:55:06',0),(4359,'平台中间件实例CPU异常','dice_addon','dice_addon_container_cpu','email','alert','【平台中间件{{addon_id}} CPU使用率告警】\n','【平台中间件CPU使用率告警】\n\n中间件: {{addon_id}}\n\n使用率: {{cpu_usage_percent_avg}}\n\n限制: {{cpu_limit_value}}核\n\n分配: {{cpu_allocation_value}}核\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n容器ID: {{container_id}}\n\n时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','{\"cpu_allocation_value\":\"fraction:2\",\"cpu_limit_value\":\"fraction:2\",\"cpu_usage_percent_avg\":\"percent:2\"}','1.0','2021-05-28 11:55:05','2021-05-28 11:55:06',0),(4360,'平台中间件实例CPU异常','dice_addon','dice_addon_container_cpu','mbox','alert','【平台中间件{{addon_id}} CPU使用率告警】\n','【平台中间件CPU使用率告警】\n\n中间件: {{addon_id}}\n\n使用率: {{cpu_usage_percent_avg}}\n\n限制: {{cpu_limit_value}}核\n\n分配: {{cpu_allocation_value}}核\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n容器ID: {{container_id}}\n\n时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','{\"cpu_allocation_value\":\"fraction:2\",\"cpu_limit_value\":\"fraction:2\",\"cpu_usage_percent_avg\":\"percent:2\"}','1.0','2021-05-28 11:55:05','2021-05-28 11:55:06',0),(4361,'平台中间件实例CPU异常','dice_addon','dice_addon_container_cpu','webhook','alert','【平台中间件{{addon_id}} CPU使用率告警】\n','【平台中间件CPU使用率告警】\n\n中间件: {{addon_id}}\n\n使用率: {{cpu_usage_percent_avg}}\n\n限制: {{cpu_limit_value}}核\n\n分配: {{cpu_allocation_value}}核\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n容器ID: {{container_id}}\n\n时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','{\"cpu_allocation_value\":\"fraction:2\",\"cpu_limit_value\":\"fraction:2\",\"cpu_usage_percent_avg\":\"percent:2\"}','1.0','2021-05-28 11:55:05','2021-05-28 11:55:06',0),(4362,'平台中间件实例CPU异常','dice_addon','dice_addon_container_cpu','dingding','recover','【平台中间件{{addon_id}} CPU使用率恢复】\n','【平台中间件CPU使用率恢复】\n\n中间件: {{addon_id}}\n\n使用率: {{cpu_usage_percent_avg}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n容器ID: {{container_id}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','{\"cpu_usage_percent_avg\":\"percent:2\",\"trigger_duration\":\"time:ms\"}','1.0','2021-05-28 11:55:05','2021-05-28 11:55:06',0),(4363,'平台中间件实例CPU异常','dice_addon','dice_addon_container_cpu','ticket','recover','【平台中间件{{addon_id}} CPU使用率恢复】\n','【平台中间件CPU使用率恢复】\n\n中间件: {{addon_id}}\n\n使用率: {{cpu_usage_percent_avg}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n容器ID: {{container_id}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','{\"cpu_usage_percent_avg\":\"percent:2\",\"trigger_duration\":\"time:ms\"}','1.0','2021-05-28 11:55:05','2021-05-28 11:55:06',0),(4364,'平台中间件实例CPU异常','dice_addon','dice_addon_container_cpu','email','recover','【平台中间件{{addon_id}} CPU使用率恢复】\n','【平台中间件CPU使用率恢复】\n\n中间件: {{addon_id}}\n\n使用率: {{cpu_usage_percent_avg}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n容器ID: {{container_id}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','{\"cpu_usage_percent_avg\":\"percent:2\",\"trigger_duration\":\"time:ms\"}','1.0','2021-05-28 11:55:05','2021-05-28 11:55:06',0),(4365,'平台中间件实例CPU异常','dice_addon','dice_addon_container_cpu','mbox','recover','【平台中间件{{addon_id}} CPU使用率恢复】\n','【平台中间件CPU使用率恢复】\n\n中间件: {{addon_id}}\n\n使用率: {{cpu_usage_percent_avg}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n容器ID: {{container_id}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','{\"cpu_usage_percent_avg\":\"percent:2\",\"trigger_duration\":\"time:ms\"}','1.0','2021-05-28 11:55:05','2021-05-28 11:55:06',0),(4366,'平台中间件实例CPU异常','dice_addon','dice_addon_container_cpu','webhook','recover','【平台中间件{{addon_id}} CPU使用率恢复】\n','【平台中间件CPU使用率恢复】\n\n中间件: {{addon_id}}\n\n使用率: {{cpu_usage_percent_avg}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n容器ID: {{container_id}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','{\"cpu_usage_percent_avg\":\"percent:2\",\"trigger_duration\":\"time:ms\"}','1.0','2021-05-28 11:55:05','2021-05-28 11:55:06',0),(4367,'平台中间件异常退出','dice_addon','dice_addon_container_exit','dingding','alert','【平台中间件{{addon_id}}异常退出告警】\n','【平台中间件异常退出告警】\n\n中间件: {{addon_id}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n启动时间: {{started_at_value}}\n\n退出时间: {{finished_at_value}}\n\n退出原因: {{terminated_reason_value}}\n\n时间: {{timestamp}}\n\n[查看详情]({{display_url}})\n\n[查看记录]({{record_url}})\n','{\"finished_at_value\":\"date\",\"started_at_value\":\"date\"}','1.0','2021-05-28 11:55:05','2021-05-28 11:55:06',0),(4368,'平台中间件异常退出','dice_addon','dice_addon_container_exit','ticket','alert','【平台中间件{{addon_id}}异常退出告警】\n','【平台中间件异常退出告警】\n\n中间件: {{addon_id}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n启动时间: {{started_at_value}}\n\n退出时间: {{finished_at_value}}\n\n退出原因: {{terminated_reason_value}}\n\n时间: {{timestamp}}\n\n[查看详情]({{display_url}})\n\n[查看记录]({{record_url}})\n','{\"finished_at_value\":\"date\",\"started_at_value\":\"date\"}','1.0','2021-05-28 11:55:05','2021-05-28 11:55:06',0),(4369,'平台中间件异常退出','dice_addon','dice_addon_container_exit','email','alert','【平台中间件{{addon_id}}异常退出告警】\n','【平台中间件异常退出告警】\n\n中间件: {{addon_id}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n启动时间: {{started_at_value}}\n\n退出时间: {{finished_at_value}}\n\n退出原因: {{terminated_reason_value}}\n\n时间: {{timestamp}}\n\n[查看详情]({{display_url}})\n\n[查看记录]({{record_url}})\n','{\"finished_at_value\":\"date\",\"started_at_value\":\"date\"}','1.0','2021-05-28 11:55:05','2021-05-28 11:55:06',0),(4370,'平台中间件异常退出','dice_addon','dice_addon_container_exit','mbox','alert','【平台中间件{{addon_id}}异常退出告警】\n','【平台中间件异常退出告警】\n\n中间件: {{addon_id}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n启动时间: {{started_at_value}}\n\n退出时间: {{finished_at_value}}\n\n退出原因: {{terminated_reason_value}}\n\n时间: {{timestamp}}\n\n[查看详情]({{display_url}})\n\n[查看记录]({{record_url}})\n','{\"finished_at_value\":\"date\",\"started_at_value\":\"date\"}','1.0','2021-05-28 11:55:05','2021-05-28 11:55:06',0),(4371,'平台中间件异常退出','dice_addon','dice_addon_container_exit','webhook','alert','【平台中间件{{addon_id}}异常退出告警】\n','【平台中间件异常退出告警】\n\n中间件: {{addon_id}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n启动时间: {{started_at_value}}\n\n退出时间: {{finished_at_value}}\n\n退出原因: {{terminated_reason_value}}\n\n时间: {{timestamp}}\n\n[查看详情]({{display_url}})\n\n[查看记录]({{record_url}})\n','{\"finished_at_value\":\"date\",\"started_at_value\":\"date\"}','1.0','2021-05-28 11:55:05','2021-05-28 11:55:06',0),(4372,'平台中间件异常退出','dice_addon','dice_addon_container_exit','dingding','recover','【平台中间件{{addon_id}}异常退出恢复】\n','【平台中间件异常退出恢复】\n\n中间件: {{addon_id}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','{\"trigger_duration\":\"time:ms\"}','1.0','2021-05-28 11:55:05','2021-05-28 11:55:06',0),(4373,'平台中间件异常退出','dice_addon','dice_addon_container_exit','ticket','recover','【平台中间件{{addon_id}}异常退出恢复】\n','【平台中间件异常退出恢复】\n\n中间件: {{addon_id}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','{\"trigger_duration\":\"time:ms\"}','1.0','2021-05-28 11:55:05','2021-05-28 11:55:06',0),(4374,'平台中间件异常退出','dice_addon','dice_addon_container_exit','email','recover','【平台中间件{{addon_id}}异常退出恢复】\n','【平台中间件异常退出恢复】\n\n中间件: {{addon_id}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','{\"trigger_duration\":\"time:ms\"}','1.0','2021-05-28 11:55:05','2021-05-28 11:55:06',0),(4375,'平台中间件异常退出','dice_addon','dice_addon_container_exit','mbox','recover','【平台中间件{{addon_id}}异常退出恢复】\n','【平台中间件异常退出恢复】\n\n中间件: {{addon_id}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','{\"trigger_duration\":\"time:ms\"}','1.0','2021-05-28 11:55:05','2021-05-28 11:55:06',0),(4376,'平台中间件异常退出','dice_addon','dice_addon_container_exit','webhook','recover','【平台中间件{{addon_id}}异常退出恢复】\n','【平台中间件异常退出恢复】\n\n中间件: {{addon_id}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','{\"trigger_duration\":\"time:ms\"}','1.0','2021-05-28 11:55:05','2021-05-28 11:55:06',0),(4377,'平台中间件实例内存异常','dice_addon','dice_addon_container_mem','dingding','alert','【平台中间件{{addon_id}}内存使用率告警】\n','【平台中间件内存使用率告警】\n\n中间件: {{addon_id}}\n\n使用率: {{mem_usage_percent_avg}}\n\n使用: {{mem_usage_value}}\n\n限制: {{mem_limit_value}}\n\n分配: {{mem_allocation_value}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n容器ID: {{container_id}}\n\n时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','{\"mem_allocation_value\":\"size:byte\",\"mem_limit_value\":\"size:byte\",\"mem_usage_percent_avg\":\"percent:2\",\"mem_usage_value\":\"size:byte\"}','1.0','2021-05-28 11:55:05','2021-05-28 11:55:06',0),(4378,'平台中间件实例内存异常','dice_addon','dice_addon_container_mem','ticket','alert','【平台中间件{{addon_id}}内存使用率告警】\n','【平台中间件内存使用率告警】\n\n中间件: {{addon_id}}\n\n使用率: {{mem_usage_percent_avg}}\n\n使用: {{mem_usage_value}}\n\n限制: {{mem_limit_value}}\n\n分配: {{mem_allocation_value}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n容器ID: {{container_id}}\n\n时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','{\"mem_allocation_value\":\"size:byte\",\"mem_limit_value\":\"size:byte\",\"mem_usage_percent_avg\":\"percent:2\",\"mem_usage_value\":\"size:byte\"}','1.0','2021-05-28 11:55:05','2021-05-28 11:55:06',0),(4379,'平台中间件实例内存异常','dice_addon','dice_addon_container_mem','email','alert','【平台中间件{{addon_id}}内存使用率告警】\n','【平台中间件内存使用率告警】\n\n中间件: {{addon_id}}\n\n使用率: {{mem_usage_percent_avg}}\n\n使用: {{mem_usage_value}}\n\n限制: {{mem_limit_value}}\n\n分配: {{mem_allocation_value}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n容器ID: {{container_id}}\n\n时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','{\"mem_allocation_value\":\"size:byte\",\"mem_limit_value\":\"size:byte\",\"mem_usage_percent_avg\":\"percent:2\",\"mem_usage_value\":\"size:byte\"}','1.0','2021-05-28 11:55:05','2021-05-28 11:55:06',0),(4380,'平台中间件实例内存异常','dice_addon','dice_addon_container_mem','mbox','alert','【平台中间件{{addon_id}}内存使用率告警】\n','【平台中间件内存使用率告警】\n\n中间件: {{addon_id}}\n\n使用率: {{mem_usage_percent_avg}}\n\n使用: {{mem_usage_value}}\n\n限制: {{mem_limit_value}}\n\n分配: {{mem_allocation_value}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n容器ID: {{container_id}}\n\n时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','{\"mem_allocation_value\":\"size:byte\",\"mem_limit_value\":\"size:byte\",\"mem_usage_percent_avg\":\"percent:2\",\"mem_usage_value\":\"size:byte\"}','1.0','2021-05-28 11:55:05','2021-05-28 11:55:06',0),(4381,'平台中间件实例内存异常','dice_addon','dice_addon_container_mem','webhook','alert','【平台中间件{{addon_id}}内存使用率告警】\n','【平台中间件内存使用率告警】\n\n中间件: {{addon_id}}\n\n使用率: {{mem_usage_percent_avg}}\n\n使用: {{mem_usage_value}}\n\n限制: {{mem_limit_value}}\n\n分配: {{mem_allocation_value}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n容器ID: {{container_id}}\n\n时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','{\"mem_allocation_value\":\"size:byte\",\"mem_limit_value\":\"size:byte\",\"mem_usage_percent_avg\":\"percent:2\",\"mem_usage_value\":\"size:byte\"}','1.0','2021-05-28 11:55:05','2021-05-28 11:55:06',0),(4382,'平台中间件实例内存异常','dice_addon','dice_addon_container_mem','dingding','recover','【平台中间件{{addon_id}}内存使用率恢复】\n','【平台中间件内存使用率恢复】\n\n中间件: {{addon_id}}\n\n使用率: {{mem_usage_percent_avg}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n容器ID: {{container_id}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','{\"mem_usage_percent_avg\":\"percent:2\",\"trigger_duration\":\"time:ms\"}','1.0','2021-05-28 11:55:05','2021-05-28 11:55:06',0),(4383,'平台中间件实例内存异常','dice_addon','dice_addon_container_mem','ticket','recover','【平台中间件{{addon_id}}内存使用率恢复】\n','【平台中间件内存使用率恢复】\n\n中间件: {{addon_id}}\n\n使用率: {{mem_usage_percent_avg}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n容器ID: {{container_id}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','{\"mem_usage_percent_avg\":\"percent:2\",\"trigger_duration\":\"time:ms\"}','1.0','2021-05-28 11:55:05','2021-05-28 11:55:06',0),(4384,'平台中间件实例内存异常','dice_addon','dice_addon_container_mem','email','recover','【平台中间件{{addon_id}}内存使用率恢复】\n','【平台中间件内存使用率恢复】\n\n中间件: {{addon_id}}\n\n使用率: {{mem_usage_percent_avg}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n容器ID: {{container_id}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','{\"mem_usage_percent_avg\":\"percent:2\",\"trigger_duration\":\"time:ms\"}','1.0','2021-05-28 11:55:05','2021-05-28 11:55:06',0),(4385,'平台中间件实例内存异常','dice_addon','dice_addon_container_mem','mbox','recover','【平台中间件{{addon_id}}内存使用率恢复】\n','【平台中间件内存使用率恢复】\n\n中间件: {{addon_id}}\n\n使用率: {{mem_usage_percent_avg}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n容器ID: {{container_id}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','{\"mem_usage_percent_avg\":\"percent:2\",\"trigger_duration\":\"time:ms\"}','1.0','2021-05-28 11:55:05','2021-05-28 11:55:06',0),(4386,'平台中间件实例内存异常','dice_addon','dice_addon_container_mem','webhook','recover','【平台中间件{{addon_id}}内存使用率恢复】\n','【平台中间件内存使用率恢复】\n\n中间件: {{addon_id}}\n\n使用率: {{mem_usage_percent_avg}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n容器ID: {{container_id}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','{\"mem_usage_percent_avg\":\"percent:2\",\"trigger_duration\":\"time:ms\"}','1.0','2021-05-28 11:55:05','2021-05-28 11:55:06',0),(4387,'平台中间件实例Ready状态异常','dice_addon','dice_addon_container_ready','dingding','alert','【平台中间件{{addon_id}} Ready状态异常告警】\n','【平台中间件Ready状态异常告警】\n\n中间件: {{addon_id}}\n\n未就绪实例: {{not_ready_value}}\n\n已就绪实例: {{ready_value}}\n\n集群: {{cluster_name}}\n\n时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','','1.0','2021-05-28 11:55:05','2021-05-28 11:55:06',0),(4388,'平台中间件实例Ready状态异常','dice_addon','dice_addon_container_ready','ticket','alert','【平台中间件{{addon_id}} Ready状态异常告警】\n','【平台中间件Ready状态异常告警】\n\n中间件: {{addon_id}}\n\n未就绪实例: {{not_ready_value}}\n\n已就绪实例: {{ready_value}}\n\n集群: {{cluster_name}}\n\n时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','','1.0','2021-05-28 11:55:05','2021-05-28 11:55:06',0),(4389,'平台中间件实例Ready状态异常','dice_addon','dice_addon_container_ready','email','alert','【平台中间件{{addon_id}} Ready状态异常告警】\n','【平台中间件Ready状态异常告警】\n\n中间件: {{addon_id}}\n\n未就绪实例: {{not_ready_value}}\n\n已就绪实例: {{ready_value}}\n\n集群: {{cluster_name}}\n\n时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','','1.0','2021-05-28 11:55:05','2021-05-28 11:55:06',0),(4390,'平台中间件实例Ready状态异常','dice_addon','dice_addon_container_ready','mbox','alert','【平台中间件{{addon_id}} Ready状态异常告警】\n','【平台中间件Ready状态异常告警】\n\n中间件: {{addon_id}}\n\n未就绪实例: {{not_ready_value}}\n\n已就绪实例: {{ready_value}}\n\n集群: {{cluster_name}}\n\n时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','','1.0','2021-05-28 11:55:05','2021-05-28 11:55:06',0),(4391,'平台中间件实例Ready状态异常','dice_addon','dice_addon_container_ready','webhook','alert','【平台中间件{{addon_id}} Ready状态异常告警】\n','【平台中间件Ready状态异常告警】\n\n中间件: {{addon_id}}\n\n未就绪实例: {{not_ready_value}}\n\n已就绪实例: {{ready_value}}\n\n集群: {{cluster_name}}\n\n时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','','1.0','2021-05-28 11:55:05','2021-05-28 11:55:06',0),(4392,'平台中间件实例Ready状态异常','dice_addon','dice_addon_container_ready','dingding','recover','【平台中间件{{addon_id}} Ready状态异常恢复】\n','【平台中间件Ready状态异常恢复】\n\n中间件: {{addon_id}}\n\n已绪数实例: {{ready_value}}\n\n集群: {{cluster_name}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','{\"trigger_duration\":\"time:ms\"}','1.0','2021-05-28 11:55:05','2021-05-28 11:55:06',0),(4393,'平台中间件实例Ready状态异常','dice_addon','dice_addon_container_ready','ticket','recover','【平台中间件{{addon_id}} Ready状态异常恢复】\n','【平台中间件Ready状态异常恢复】\n\n中间件: {{addon_id}}\n\n已绪数实例: {{ready_value}}\n\n集群: {{cluster_name}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','{\"trigger_duration\":\"time:ms\"}','1.0','2021-05-28 11:55:05','2021-05-28 11:55:06',0),(4394,'平台中间件实例Ready状态异常','dice_addon','dice_addon_container_ready','email','recover','【平台中间件{{addon_id}} Ready状态异常恢复】\n','【平台中间件Ready状态异常恢复】\n\n中间件: {{addon_id}}\n\n已绪数实例: {{ready_value}}\n\n集群: {{cluster_name}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','{\"trigger_duration\":\"time:ms\"}','1.0','2021-05-28 11:55:05','2021-05-28 11:55:06',0),(4395,'平台中间件实例Ready状态异常','dice_addon','dice_addon_container_ready','mbox','recover','【平台中间件{{addon_id}} Ready状态异常恢复】\n','【平台中间件Ready状态异常恢复】\n\n中间件: {{addon_id}}\n\n已绪数实例: {{ready_value}}\n\n集群: {{cluster_name}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','{\"trigger_duration\":\"time:ms\"}','1.0','2021-05-28 11:55:05','2021-05-28 11:55:06',0),(4396,'平台中间件实例Ready状态异常','dice_addon','dice_addon_container_ready','webhook','recover','【平台中间件{{addon_id}} Ready状态异常恢复】\n','【平台中间件Ready状态异常恢复】\n\n中间件: {{addon_id}}\n\n已绪数实例: {{ready_value}}\n\n集群: {{cluster_name}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','{\"trigger_duration\":\"time:ms\"}','1.0','2021-05-28 11:55:05','2021-05-28 11:55:06',0),(4397,'平台中间件elasticsearch GC次数异常','dice_addon','dice_addon_elasticsearch_gc_count','dingding','alert','【平台中间件elasticsearch GC次数告警】\n','【平台中间件elasticsearch GC次数告警】\n\n中间件: {{addon_id}}\n\n老年代GC次数: {{gc_collectors_old_collection_count_win_value}}\n\n集群: {{cluster_name}}\n\n机器: {{node_host}}\n\n时间: {{timestamp}}\n\n[查看详情]({{display_url}})\n\n[查看记录]({{record_url}})\n','','1.0','2021-05-28 11:55:05','2021-05-28 11:55:06',0),(4398,'平台中间件elasticsearch GC次数异常','dice_addon','dice_addon_elasticsearch_gc_count','ticket','alert','【平台中间件elasticsearch GC次数告警】\n','【平台中间件elasticsearch GC次数告警】\n\n中间件: {{addon_id}}\n\n老年代GC次数: {{gc_collectors_old_collection_count_win_value}}\n\n集群: {{cluster_name}}\n\n机器: {{node_host}}\n\n时间: {{timestamp}}\n\n[查看详情]({{display_url}})\n\n[查看记录]({{record_url}})\n','','1.0','2021-05-28 11:55:05','2021-05-28 11:55:06',0),(4399,'平台中间件elasticsearch GC次数异常','dice_addon','dice_addon_elasticsearch_gc_count','email','alert','【平台中间件elasticsearch GC次数告警】\n','【平台中间件elasticsearch GC次数告警】\n\n中间件: {{addon_id}}\n\n老年代GC次数: {{gc_collectors_old_collection_count_win_value}}\n\n集群: {{cluster_name}}\n\n机器: {{node_host}}\n\n时间: {{timestamp}}\n\n[查看详情]({{display_url}})\n\n[查看记录]({{record_url}})\n','','1.0','2021-05-28 11:55:05','2021-05-28 11:55:06',0),(4400,'平台中间件elasticsearch GC次数异常','dice_addon','dice_addon_elasticsearch_gc_count','mbox','alert','【平台中间件elasticsearch GC次数告警】\n','【平台中间件elasticsearch GC次数告警】\n\n中间件: {{addon_id}}\n\n老年代GC次数: {{gc_collectors_old_collection_count_win_value}}\n\n集群: {{cluster_name}}\n\n机器: {{node_host}}\n\n时间: {{timestamp}}\n\n[查看详情]({{display_url}})\n\n[查看记录]({{record_url}})\n','','1.0','2021-05-28 11:55:05','2021-05-28 11:55:06',0),(4401,'平台中间件elasticsearch GC次数异常','dice_addon','dice_addon_elasticsearch_gc_count','webhook','alert','【平台中间件elasticsearch GC次数告警】\n','【平台中间件elasticsearch GC次数告警】\n\n中间件: {{addon_id}}\n\n老年代GC次数: {{gc_collectors_old_collection_count_win_value}}\n\n集群: {{cluster_name}}\n\n机器: {{node_host}}\n\n时间: {{timestamp}}\n\n[查看详情]({{display_url}})\n\n[查看记录]({{record_url}})\n','','1.0','2021-05-28 11:55:05','2021-05-28 11:55:06',0),(4402,'平台中间件elasticsearch GC次数异常','dice_addon','dice_addon_elasticsearch_gc_count','dingding','recover','【平台中间件elasticsearch GC次数恢复】\n','【平台中间件elasticsearch GC次数恢复】\n\n中间件: {{addon_id}}\n\n老年代GC次数: {{gc_collectors_old_collection_count_win_value}}\n\n集群: {{cluster_name}}\n\n机器: {{node_host}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','{\"trigger_duration\":\"time:ms\"}','1.0','2021-05-28 11:55:05','2021-05-28 11:55:06',0),(4403,'平台中间件elasticsearch GC次数异常','dice_addon','dice_addon_elasticsearch_gc_count','ticket','recover','【平台中间件elasticsearch GC次数恢复】\n','【平台中间件elasticsearch GC次数恢复】\n\n中间件: {{addon_id}}\n\n老年代GC次数: {{gc_collectors_old_collection_count_win_value}}\n\n集群: {{cluster_name}}\n\n机器: {{node_host}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','{\"trigger_duration\":\"time:ms\"}','1.0','2021-05-28 11:55:05','2021-05-28 11:55:06',0),(4404,'平台中间件elasticsearch GC次数异常','dice_addon','dice_addon_elasticsearch_gc_count','email','recover','【平台中间件elasticsearch GC次数恢复】\n','【平台中间件elasticsearch GC次数恢复】\n\n中间件: {{addon_id}}\n\n老年代GC次数: {{gc_collectors_old_collection_count_win_value}}\n\n集群: {{cluster_name}}\n\n机器: {{node_host}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','{\"trigger_duration\":\"time:ms\"}','1.0','2021-05-28 11:55:05','2021-05-28 11:55:06',0),(4405,'平台中间件elasticsearch GC次数异常','dice_addon','dice_addon_elasticsearch_gc_count','mbox','recover','【平台中间件elasticsearch GC次数恢复】\n','【平台中间件elasticsearch GC次数恢复】\n\n中间件: {{addon_id}}\n\n老年代GC次数: {{gc_collectors_old_collection_count_win_value}}\n\n集群: {{cluster_name}}\n\n机器: {{node_host}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','{\"trigger_duration\":\"time:ms\"}','1.0','2021-05-28 11:55:05','2021-05-28 11:55:06',0),(4406,'平台中间件elasticsearch GC次数异常','dice_addon','dice_addon_elasticsearch_gc_count','webhook','recover','【平台中间件elasticsearch GC次数恢复】\n','【平台中间件elasticsearch GC次数恢复】\n\n中间件: {{addon_id}}\n\n老年代GC次数: {{gc_collectors_old_collection_count_win_value}}\n\n集群: {{cluster_name}}\n\n机器: {{node_host}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','{\"trigger_duration\":\"time:ms\"}','1.0','2021-05-28 11:55:05','2021-05-28 11:55:06',0),(4407,'平台中间件elasticsearch GC耗时异常','dice_addon','dice_addon_elasticsearch_gc_time','dingding','alert','【平台中间件elasticsearch GC耗时告警】\n','【平台中间件elasticsearch GC耗时告警】\n\n中间件: {{addon_id}}\n\n老年代GC耗时: {{gc_collectors_old_collection_time_in_millis_win_value}}\n\n集群: {{cluster_name}}\n\n机器: {{node_name}}\n\n时间: {{timestamp}}\n\n[查看详情]({{display_url}})\n\n[查看记录]({{record_url}})\n','{\"gc_collectors_old_collection_time_in_millis_win_value\":\"time:ms\"}','1.0','2021-05-28 11:55:05','2021-05-28 11:55:06',0),(4408,'平台中间件elasticsearch GC耗时异常','dice_addon','dice_addon_elasticsearch_gc_time','ticket','alert','【平台中间件elasticsearch GC耗时告警】\n','【平台中间件elasticsearch GC耗时告警】\n\n中间件: {{addon_id}}\n\n老年代GC耗时: {{gc_collectors_old_collection_time_in_millis_win_value}}\n\n集群: {{cluster_name}}\n\n机器: {{node_name}}\n\n时间: {{timestamp}}\n\n[查看详情]({{display_url}})\n\n[查看记录]({{record_url}})\n','{\"gc_collectors_old_collection_time_in_millis_win_value\":\"time:ms\"}','1.0','2021-05-28 11:55:05','2021-05-28 11:55:06',0),(4409,'平台中间件elasticsearch GC耗时异常','dice_addon','dice_addon_elasticsearch_gc_time','email','alert','【平台中间件elasticsearch GC耗时告警】\n','【平台中间件elasticsearch GC耗时告警】\n\n中间件: {{addon_id}}\n\n老年代GC耗时: {{gc_collectors_old_collection_time_in_millis_win_value}}\n\n集群: {{cluster_name}}\n\n机器: {{node_name}}\n\n时间: {{timestamp}}\n\n[查看详情]({{display_url}})\n\n[查看记录]({{record_url}})\n','{\"gc_collectors_old_collection_time_in_millis_win_value\":\"time:ms\"}','1.0','2021-05-28 11:55:05','2021-05-28 11:55:06',0),(4410,'平台中间件elasticsearch GC耗时异常','dice_addon','dice_addon_elasticsearch_gc_time','mbox','alert','【平台中间件elasticsearch GC耗时告警】\n','【平台中间件elasticsearch GC耗时告警】\n\n中间件: {{addon_id}}\n\n老年代GC耗时: {{gc_collectors_old_collection_time_in_millis_win_value}}\n\n集群: {{cluster_name}}\n\n机器: {{node_name}}\n\n时间: {{timestamp}}\n\n[查看详情]({{display_url}})\n\n[查看记录]({{record_url}})\n','{\"gc_collectors_old_collection_time_in_millis_win_value\":\"time:ms\"}','1.0','2021-05-28 11:55:05','2021-05-28 11:55:06',0),(4411,'平台中间件elasticsearch GC耗时异常','dice_addon','dice_addon_elasticsearch_gc_time','webhook','alert','【平台中间件elasticsearch GC耗时告警】\n','【平台中间件elasticsearch GC耗时告警】\n\n中间件: {{addon_id}}\n\n老年代GC耗时: {{gc_collectors_old_collection_time_in_millis_win_value}}\n\n集群: {{cluster_name}}\n\n机器: {{node_name}}\n\n时间: {{timestamp}}\n\n[查看详情]({{display_url}})\n\n[查看记录]({{record_url}})\n','{\"gc_collectors_old_collection_time_in_millis_win_value\":\"time:ms\"}','1.0','2021-05-28 11:55:05','2021-05-28 11:55:06',0),(4412,'平台中间件elasticsearch GC耗时异常','dice_addon','dice_addon_elasticsearch_gc_time','dingding','recover','【平台中间件elasticsearch GC耗时恢复】\n','【平台中间件elasticsearch GC耗时恢复】\n\n中间件: {{addon_id}}\n\n老年代GC耗时: {{gc_collectors_old_collection_time_in_millis_win_value}}\n\n集群: {{cluster_name}}\n\n机器: {{node_name}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','{\"gc_collectors_old_collection_time_in_millis_win_value\":\"time:ms\",\"trigger_duration\":\"time:ms\"}','1.0','2021-05-28 11:55:05','2021-05-28 11:55:06',0),(4413,'平台中间件elasticsearch GC耗时异常','dice_addon','dice_addon_elasticsearch_gc_time','ticket','recover','【平台中间件elasticsearch GC耗时恢复】\n','【平台中间件elasticsearch GC耗时恢复】\n\n中间件: {{addon_id}}\n\n老年代GC耗时: {{gc_collectors_old_collection_time_in_millis_win_value}}\n\n集群: {{cluster_name}}\n\n机器: {{node_name}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','{\"gc_collectors_old_collection_time_in_millis_win_value\":\"time:ms\",\"trigger_duration\":\"time:ms\"}','1.0','2021-05-28 11:55:05','2021-05-28 11:55:06',0),(4414,'平台中间件elasticsearch GC耗时异常','dice_addon','dice_addon_elasticsearch_gc_time','email','recover','【平台中间件elasticsearch GC耗时恢复】\n','【平台中间件elasticsearch GC耗时恢复】\n\n中间件: {{addon_id}}\n\n老年代GC耗时: {{gc_collectors_old_collection_time_in_millis_win_value}}\n\n集群: {{cluster_name}}\n\n机器: {{node_name}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','{\"gc_collectors_old_collection_time_in_millis_win_value\":\"time:ms\",\"trigger_duration\":\"time:ms\"}','1.0','2021-05-28 11:55:05','2021-05-28 11:55:06',0),(4415,'平台中间件elasticsearch GC耗时异常','dice_addon','dice_addon_elasticsearch_gc_time','mbox','recover','【平台中间件elasticsearch GC耗时恢复】\n','【平台中间件elasticsearch GC耗时恢复】\n\n中间件: {{addon_id}}\n\n老年代GC耗时: {{gc_collectors_old_collection_time_in_millis_win_value}}\n\n集群: {{cluster_name}}\n\n机器: {{node_name}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','{\"gc_collectors_old_collection_time_in_millis_win_value\":\"time:ms\",\"trigger_duration\":\"time:ms\"}','1.0','2021-05-28 11:55:05','2021-05-28 11:55:06',0),(4416,'平台中间件elasticsearch GC耗时异常','dice_addon','dice_addon_elasticsearch_gc_time','webhook','recover','【平台中间件elasticsearch GC耗时恢复】\n','【平台中间件elasticsearch GC耗时恢复】\n\n中间件: {{addon_id}}\n\n老年代GC耗时: {{gc_collectors_old_collection_time_in_millis_win_value}}\n\n集群: {{cluster_name}}\n\n机器: {{node_name}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','{\"gc_collectors_old_collection_time_in_millis_win_value\":\"time:ms\",\"trigger_duration\":\"time:ms\"}','1.0','2021-05-28 11:55:05','2021-05-28 11:55:06',0),(4417,'平台中间件Kafka GC次数异常','dice_addon','dice_addon_kafka_gc_count','dingding','alert','【平台中间件Kafka GC次数告警】\n','【平台中间件Kafka GC次数告警】\n\n中间件: {{addon_id}}\n\n老年代GC次数: {{CollectionCount_win_value}}\n\n集群: {{cluster_name}}\n\n集群: {{node_host}}\n\n时间: {{timestamp}}\n\n[查看详情]({{display_url}})\n\n[查看记录]({{record_url}})\n','','1.0','2021-05-28 11:55:05','2021-05-28 11:55:06',0),(4418,'平台中间件Kafka GC次数异常','dice_addon','dice_addon_kafka_gc_count','ticket','alert','【平台中间件Kafka GC次数告警】\n','【平台中间件Kafka GC次数告警】\n\n中间件: {{addon_id}}\n\n老年代GC次数: {{CollectionCount_win_value}}\n\n集群: {{cluster_name}}\n\n集群: {{node_host}}\n\n时间: {{timestamp}}\n\n[查看详情]({{display_url}})\n\n[查看记录]({{record_url}})\n','','1.0','2021-05-28 11:55:05','2021-05-28 11:55:06',0),(4419,'平台中间件Kafka GC次数异常','dice_addon','dice_addon_kafka_gc_count','email','alert','【平台中间件Kafka GC次数告警】\n','【平台中间件Kafka GC次数告警】\n\n中间件: {{addon_id}}\n\n老年代GC次数: {{CollectionCount_win_value}}\n\n集群: {{cluster_name}}\n\n集群: {{node_host}}\n\n时间: {{timestamp}}\n\n[查看详情]({{display_url}})\n\n[查看记录]({{record_url}})\n','','1.0','2021-05-28 11:55:05','2021-05-28 11:55:06',0),(4420,'平台中间件Kafka GC次数异常','dice_addon','dice_addon_kafka_gc_count','mbox','alert','【平台中间件Kafka GC次数告警】\n','【平台中间件Kafka GC次数告警】\n\n中间件: {{addon_id}}\n\n老年代GC次数: {{CollectionCount_win_value}}\n\n集群: {{cluster_name}}\n\n集群: {{node_host}}\n\n时间: {{timestamp}}\n\n[查看详情]({{display_url}})\n\n[查看记录]({{record_url}})\n','','1.0','2021-05-28 11:55:05','2021-05-28 11:55:06',0),(4421,'平台中间件Kafka GC次数异常','dice_addon','dice_addon_kafka_gc_count','webhook','alert','【平台中间件Kafka GC次数告警】\n','【平台中间件Kafka GC次数告警】\n\n中间件: {{addon_id}}\n\n老年代GC次数: {{CollectionCount_win_value}}\n\n集群: {{cluster_name}}\n\n集群: {{node_host}}\n\n时间: {{timestamp}}\n\n[查看详情]({{display_url}})\n\n[查看记录]({{record_url}})\n','','1.0','2021-05-28 11:55:05','2021-05-28 11:55:06',0),(4422,'平台中间件Kafka GC次数异常','dice_addon','dice_addon_kafka_gc_count','dingding','recover','【平台中间件Kafka GC次数恢复】\n','【平台中间件Kafka GC次数恢复】\n\n中间件: {{addon_id}}\n\n老年代GC次数: {{CollectionCount_win_value}}\n\n集群: {{cluster_name}}\n\n机器: {{node_host}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','{\"trigger_duration\":\"time:ms\"}','1.0','2021-05-28 11:55:05','2021-05-28 11:55:06',0),(4423,'平台中间件Kafka GC次数异常','dice_addon','dice_addon_kafka_gc_count','ticket','recover','【平台中间件Kafka GC次数恢复】\n','【平台中间件Kafka GC次数恢复】\n\n中间件: {{addon_id}}\n\n老年代GC次数: {{CollectionCount_win_value}}\n\n集群: {{cluster_name}}\n\n机器: {{node_host}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','{\"trigger_duration\":\"time:ms\"}','1.0','2021-05-28 11:55:05','2021-05-28 11:55:06',0),(4424,'平台中间件Kafka GC次数异常','dice_addon','dice_addon_kafka_gc_count','email','recover','【平台中间件Kafka GC次数恢复】\n','【平台中间件Kafka GC次数恢复】\n\n中间件: {{addon_id}}\n\n老年代GC次数: {{CollectionCount_win_value}}\n\n集群: {{cluster_name}}\n\n机器: {{node_host}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','{\"trigger_duration\":\"time:ms\"}','1.0','2021-05-28 11:55:05','2021-05-28 11:55:06',0),(4425,'平台中间件Kafka GC次数异常','dice_addon','dice_addon_kafka_gc_count','mbox','recover','【平台中间件Kafka GC次数恢复】\n','【平台中间件Kafka GC次数恢复】\n\n中间件: {{addon_id}}\n\n老年代GC次数: {{CollectionCount_win_value}}\n\n集群: {{cluster_name}}\n\n机器: {{node_host}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','{\"trigger_duration\":\"time:ms\"}','1.0','2021-05-28 11:55:05','2021-05-28 11:55:06',0),(4426,'平台中间件Kafka GC次数异常','dice_addon','dice_addon_kafka_gc_count','webhook','recover','【平台中间件Kafka GC次数恢复】\n','【平台中间件Kafka GC次数恢复】\n\n中间件: {{addon_id}}\n\n老年代GC次数: {{CollectionCount_win_value}}\n\n集群: {{cluster_name}}\n\n机器: {{node_host}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','{\"trigger_duration\":\"time:ms\"}','1.0','2021-05-28 11:55:05','2021-05-28 11:55:06',0),(4427,'平台中间件kafka GC耗时异常','dice_addon','dice_addon_kafka_gc_time','dingding','alert','【平台中间件kafka GC耗时告警】\n','【平台中间件kafka GC耗时告警】\n\n中间件: {{addon_id}}\n\n老年代GC耗时: {{CollectionTime_win_value}}\n\n集群: {{cluster_name}}\n\n机器: {{node_host}}\n\n时间: {{timestamp}}\n\n[查看详情]({{display_url}})\n\n[查看记录]({{record_url}})\n','{\"CollectionTime_win_value\":\"time:ms\"}','1.0','2021-05-28 11:55:05','2021-05-28 11:55:06',0),(4428,'平台中间件kafka GC耗时异常','dice_addon','dice_addon_kafka_gc_time','ticket','alert','【平台中间件kafka GC耗时告警】\n','【平台中间件kafka GC耗时告警】\n\n中间件: {{addon_id}}\n\n老年代GC耗时: {{CollectionTime_win_value}}\n\n集群: {{cluster_name}}\n\n机器: {{node_host}}\n\n时间: {{timestamp}}\n\n[查看详情]({{display_url}})\n\n[查看记录]({{record_url}})\n','{\"CollectionTime_win_value\":\"time:ms\"}','1.0','2021-05-28 11:55:05','2021-05-28 11:55:06',0),(4429,'平台中间件kafka GC耗时异常','dice_addon','dice_addon_kafka_gc_time','email','alert','【平台中间件kafka GC耗时告警】\n','【平台中间件kafka GC耗时告警】\n\n中间件: {{addon_id}}\n\n老年代GC耗时: {{CollectionTime_win_value}}\n\n集群: {{cluster_name}}\n\n机器: {{node_host}}\n\n时间: {{timestamp}}\n\n[查看详情]({{display_url}})\n\n[查看记录]({{record_url}})\n','{\"CollectionTime_win_value\":\"time:ms\"}','1.0','2021-05-28 11:55:05','2021-05-28 11:55:06',0),(4430,'平台中间件kafka GC耗时异常','dice_addon','dice_addon_kafka_gc_time','mbox','alert','【平台中间件kafka GC耗时告警】\n','【平台中间件kafka GC耗时告警】\n\n中间件: {{addon_id}}\n\n老年代GC耗时: {{CollectionTime_win_value}}\n\n集群: {{cluster_name}}\n\n机器: {{node_host}}\n\n时间: {{timestamp}}\n\n[查看详情]({{display_url}})\n\n[查看记录]({{record_url}})\n','{\"CollectionTime_win_value\":\"time:ms\"}','1.0','2021-05-28 11:55:05','2021-05-28 11:55:06',0);

INSERT INTO `sp_alert_notify_template` (`id`, `name`, `alert_type`, `alert_index`, `target`, `trigger`, `title`, `template`, `formats`, `version`, `create_time`, `update_time`, `enable`) VALUES (4431,'平台中间件kafka GC耗时异常','dice_addon','dice_addon_kafka_gc_time','webhook','alert','【平台中间件kafka GC耗时告警】\n','【平台中间件kafka GC耗时告警】\n\n中间件: {{addon_id}}\n\n老年代GC耗时: {{CollectionTime_win_value}}\n\n集群: {{cluster_name}}\n\n机器: {{node_host}}\n\n时间: {{timestamp}}\n\n[查看详情]({{display_url}})\n\n[查看记录]({{record_url}})\n','{\"CollectionTime_win_value\":\"time:ms\"}','1.0','2021-05-28 11:55:05','2021-05-28 11:55:06',0),(4432,'平台中间件kafka GC耗时异常','dice_addon','dice_addon_kafka_gc_time','dingding','recover','【平台中间件kafka GC耗时恢复】\n','【平台中间件kafka GC耗时恢复】\n\n中间件: {{addon_id}}\n\n老年代GC耗时: {{CollectionTime_win_value}}\n\n集群: {{cluster_name}}\n\n机器: {{node_host}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','{\"CollectionTime_win_value\":\"time:ms\",\"trigger_duration\":\"time:ms\"}','1.0','2021-05-28 11:55:05','2021-05-28 11:55:06',0),(4433,'平台中间件kafka GC耗时异常','dice_addon','dice_addon_kafka_gc_time','ticket','recover','【平台中间件kafka GC耗时恢复】\n','【平台中间件kafka GC耗时恢复】\n\n中间件: {{addon_id}}\n\n老年代GC耗时: {{CollectionTime_win_value}}\n\n集群: {{cluster_name}}\n\n机器: {{node_host}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','{\"CollectionTime_win_value\":\"time:ms\",\"trigger_duration\":\"time:ms\"}','1.0','2021-05-28 11:55:05','2021-05-28 11:55:06',0),(4434,'平台中间件kafka GC耗时异常','dice_addon','dice_addon_kafka_gc_time','email','recover','【平台中间件kafka GC耗时恢复】\n','【平台中间件kafka GC耗时恢复】\n\n中间件: {{addon_id}}\n\n老年代GC耗时: {{CollectionTime_win_value}}\n\n集群: {{cluster_name}}\n\n机器: {{node_host}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','{\"CollectionTime_win_value\":\"time:ms\",\"trigger_duration\":\"time:ms\"}','1.0','2021-05-28 11:55:05','2021-05-28 11:55:06',0),(4435,'平台中间件kafka GC耗时异常','dice_addon','dice_addon_kafka_gc_time','mbox','recover','【平台中间件kafka GC耗时恢复】\n','【平台中间件kafka GC耗时恢复】\n\n中间件: {{addon_id}}\n\n老年代GC耗时: {{CollectionTime_win_value}}\n\n集群: {{cluster_name}}\n\n机器: {{node_host}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','{\"CollectionTime_win_value\":\"time:ms\",\"trigger_duration\":\"time:ms\"}','1.0','2021-05-28 11:55:05','2021-05-28 11:55:06',0),(4436,'平台中间件kafka GC耗时异常','dice_addon','dice_addon_kafka_gc_time','webhook','recover','【平台中间件kafka GC耗时恢复】\n','【平台中间件kafka GC耗时恢复】\n\n中间件: {{addon_id}}\n\n老年代GC耗时: {{CollectionTime_win_value}}\n\n集群: {{cluster_name}}\n\n机器: {{node_host}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','{\"CollectionTime_win_value\":\"time:ms\",\"trigger_duration\":\"time:ms\"}','1.0','2021-05-28 11:55:05','2021-05-28 11:55:06',0),(4437,'平台中间件kafka消费堆积','dice_addon','dice_addon_kafka_lag','dingding','alert','【平台中间件kafka消费堆积告警】\n','【平台中间件kafka消费堆积告警】\n\n中间件: {{addon_id}}\n\n消费者组: {{group}}\n\nTopic: {{topic}}\n\n当前消息堆积: {{lag_avg}}\n\n消费速度: {{consume_rate_per_sec_avg}} /s\n\n生产速度: {{produce_rate_per_sec_avg}} /s\n\n集群: {{cluster_name}}\n\n时间: {{timestamp}}\n\n[查看详情]({{display_url}})\n\n[查看记录]({{record_url}})\n','','1.0','2021-05-28 11:55:05','2021-05-28 11:55:06',0),(4438,'平台中间件kafka消费堆积','dice_addon','dice_addon_kafka_lag','ticket','alert','【平台中间件kafka消费堆积告警】\n','【平台中间件kafka消费堆积告警】\n\n中间件: {{addon_id}}\n\n消费者组: {{group}}\n\nTopic: {{topic}}\n\n当前消息堆积: {{lag_avg}}\n\n消费速度: {{consume_rate_per_sec_avg}} /s\n\n生产速度: {{produce_rate_per_sec_avg}} /s\n\n集群: {{cluster_name}}\n\n时间: {{timestamp}}\n\n[查看详情]({{display_url}})\n\n[查看记录]({{record_url}})\n','','1.0','2021-05-28 11:55:05','2021-05-28 11:55:06',0),(4439,'平台中间件kafka消费堆积','dice_addon','dice_addon_kafka_lag','email','alert','【平台中间件kafka消费堆积告警】\n','【平台中间件kafka消费堆积告警】\n\n中间件: {{addon_id}}\n\n消费者组: {{group}}\n\nTopic: {{topic}}\n\n当前消息堆积: {{lag_avg}}\n\n消费速度: {{consume_rate_per_sec_avg}} /s\n\n生产速度: {{produce_rate_per_sec_avg}} /s\n\n集群: {{cluster_name}}\n\n时间: {{timestamp}}\n\n[查看详情]({{display_url}})\n\n[查看记录]({{record_url}})\n','','1.0','2021-05-28 11:55:05','2021-05-28 11:55:06',0),(4440,'平台中间件kafka消费堆积','dice_addon','dice_addon_kafka_lag','mbox','alert','【平台中间件kafka消费堆积告警】\n','【平台中间件kafka消费堆积告警】\n\n中间件: {{addon_id}}\n\n消费者组: {{group}}\n\nTopic: {{topic}}\n\n当前消息堆积: {{lag_avg}}\n\n消费速度: {{consume_rate_per_sec_avg}} /s\n\n生产速度: {{produce_rate_per_sec_avg}} /s\n\n集群: {{cluster_name}}\n\n时间: {{timestamp}}\n\n[查看详情]({{display_url}})\n\n[查看记录]({{record_url}})\n','','1.0','2021-05-28 11:55:05','2021-05-28 11:55:06',0),(4441,'平台中间件kafka消费堆积','dice_addon','dice_addon_kafka_lag','webhook','alert','【平台中间件kafka消费堆积告警】\n','【平台中间件kafka消费堆积告警】\n\n中间件: {{addon_id}}\n\n消费者组: {{group}}\n\nTopic: {{topic}}\n\n当前消息堆积: {{lag_avg}}\n\n消费速度: {{consume_rate_per_sec_avg}} /s\n\n生产速度: {{produce_rate_per_sec_avg}} /s\n\n集群: {{cluster_name}}\n\n时间: {{timestamp}}\n\n[查看详情]({{display_url}})\n\n[查看记录]({{record_url}})\n','','1.0','2021-05-28 11:55:05','2021-05-28 11:55:06',0),(4442,'平台中间件kafka消费堆积','dice_addon','dice_addon_kafka_lag','dingding','recover','【平台中间件kafka消费堆积恢复】\n','【平台中间件kafka消费堆积恢复】\n\n中间件: {{addon_id}}\n\n消费者组: {{group}}\n\nTopic: {{topic}}\n\n当前消息堆积: {{lag_avg}}\n\n集群: {{cluster_name}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','{\"trigger_duration\":\"time:ms\"}','1.0','2021-05-28 11:55:05','2021-05-28 11:55:06',0),(4443,'平台中间件kafka消费堆积','dice_addon','dice_addon_kafka_lag','ticket','recover','【平台中间件kafka消费堆积恢复】\n','【平台中间件kafka消费堆积恢复】\n\n中间件: {{addon_id}}\n\n消费者组: {{group}}\n\nTopic: {{topic}}\n\n当前消息堆积: {{lag_avg}}\n\n集群: {{cluster_name}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','{\"trigger_duration\":\"time:ms\"}','1.0','2021-05-28 11:55:05','2021-05-28 11:55:06',0),(4444,'平台中间件kafka消费堆积','dice_addon','dice_addon_kafka_lag','email','recover','【平台中间件kafka消费堆积恢复】\n','【平台中间件kafka消费堆积恢复】\n\n中间件: {{addon_id}}\n\n消费者组: {{group}}\n\nTopic: {{topic}}\n\n当前消息堆积: {{lag_avg}}\n\n集群: {{cluster_name}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','{\"trigger_duration\":\"time:ms\"}','1.0','2021-05-28 11:55:05','2021-05-28 11:55:06',0),(4445,'平台中间件kafka消费堆积','dice_addon','dice_addon_kafka_lag','mbox','recover','【平台中间件kafka消费堆积恢复】\n','【平台中间件kafka消费堆积恢复】\n\n中间件: {{addon_id}}\n\n消费者组: {{group}}\n\nTopic: {{topic}}\n\n当前消息堆积: {{lag_avg}}\n\n集群: {{cluster_name}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','{\"trigger_duration\":\"time:ms\"}','1.0','2021-05-28 11:55:05','2021-05-28 11:55:06',0),(4446,'平台中间件kafka消费堆积','dice_addon','dice_addon_kafka_lag','webhook','recover','【平台中间件kafka消费堆积恢复】\n','【平台中间件kafka消费堆积恢复】\n\n中间件: {{addon_id}}\n\n消费者组: {{group}}\n\nTopic: {{topic}}\n\n当前消息堆积: {{lag_avg}}\n\n集群: {{cluster_name}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','{\"trigger_duration\":\"time:ms\"}','1.0','2021-05-28 11:55:05','2021-05-28 11:55:06',0),(4447,'平台组件实例CPU异常','dice_component','dice_component_container_cpu','dingding','alert','【平台组件{{component_name}} CPU使用率告警】\n','【平台组件CPU使用率告警】\n\n组件: {{component_name}}\n\n使用率: {{cpu_usage_percent_avg}}\n\n限制: {{cpu_limit_value}}核\n\n分配: {{cpu_allocation_value}}核\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n容器ID: {{container_id}}\n\n时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','{\"cpu_allocation_value\":\"fraction:2\",\"cpu_limit_value\":\"fraction:2\",\"cpu_usage_percent_avg\":\"percent:2\"}','1.0','2021-05-28 11:55:05','2021-05-28 11:55:06',0),(4448,'平台组件实例CPU异常','dice_component','dice_component_container_cpu','ticket','alert','【平台组件{{component_name}} CPU使用率告警】\n','【平台组件CPU使用率告警】\n\n组件: {{component_name}}\n\n使用率: {{cpu_usage_percent_avg}}\n\n限制: {{cpu_limit_value}}核\n\n分配: {{cpu_allocation_value}}核\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n容器ID: {{container_id}}\n\n时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','{\"cpu_allocation_value\":\"fraction:2\",\"cpu_limit_value\":\"fraction:2\",\"cpu_usage_percent_avg\":\"percent:2\"}','1.0','2021-05-28 11:55:05','2021-05-28 11:55:06',0),(4449,'平台组件实例CPU异常','dice_component','dice_component_container_cpu','email','alert','【平台组件{{component_name}} CPU使用率告警】\n','【平台组件CPU使用率告警】\n\n组件: {{component_name}}\n\n使用率: {{cpu_usage_percent_avg}}\n\n限制: {{cpu_limit_value}}核\n\n分配: {{cpu_allocation_value}}核\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n容器ID: {{container_id}}\n\n时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','{\"cpu_allocation_value\":\"fraction:2\",\"cpu_limit_value\":\"fraction:2\",\"cpu_usage_percent_avg\":\"percent:2\"}','1.0','2021-05-28 11:55:05','2021-05-28 11:55:06',0),(4450,'平台组件实例CPU异常','dice_component','dice_component_container_cpu','mbox','alert','【平台组件{{component_name}} CPU使用率告警】\n','【平台组件CPU使用率告警】\n\n组件: {{component_name}}\n\n使用率: {{cpu_usage_percent_avg}}\n\n限制: {{cpu_limit_value}}核\n\n分配: {{cpu_allocation_value}}核\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n容器ID: {{container_id}}\n\n时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','{\"cpu_allocation_value\":\"fraction:2\",\"cpu_limit_value\":\"fraction:2\",\"cpu_usage_percent_avg\":\"percent:2\"}','1.0','2021-05-28 11:55:05','2021-05-28 11:55:06',0),(4451,'平台组件实例CPU异常','dice_component','dice_component_container_cpu','webhook','alert','【平台组件{{component_name}} CPU使用率告警】\n','【平台组件CPU使用率告警】\n\n组件: {{component_name}}\n\n使用率: {{cpu_usage_percent_avg}}\n\n限制: {{cpu_limit_value}}核\n\n分配: {{cpu_allocation_value}}核\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n容器ID: {{container_id}}\n\n时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','{\"cpu_allocation_value\":\"fraction:2\",\"cpu_limit_value\":\"fraction:2\",\"cpu_usage_percent_avg\":\"percent:2\"}','1.0','2021-05-28 11:55:05','2021-05-28 11:55:06',0),(4452,'平台组件实例CPU异常','dice_component','dice_component_container_cpu','dingding','recover','【平台组件{{component_name}} CPU使用率恢复】\n','【平台组件CPU使用率恢复】\n\n组件: {{component_name}}\n\n使用率: {{cpu_usage_percent_avg}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n容器ID: {{container_id}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','{\"cpu_usage_percent_avg\":\"percent:2\",\"trigger_duration\":\"time:ms\"}','1.0','2021-05-28 11:55:05','2021-05-28 11:55:06',0),(4453,'平台组件实例CPU异常','dice_component','dice_component_container_cpu','ticket','recover','【平台组件{{component_name}} CPU使用率恢复】\n','【平台组件CPU使用率恢复】\n\n组件: {{component_name}}\n\n使用率: {{cpu_usage_percent_avg}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n容器ID: {{container_id}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','{\"cpu_usage_percent_avg\":\"percent:2\",\"trigger_duration\":\"time:ms\"}','1.0','2021-05-28 11:55:05','2021-05-28 11:55:06',0),(4454,'平台组件实例CPU异常','dice_component','dice_component_container_cpu','email','recover','【平台组件{{component_name}} CPU使用率恢复】\n','【平台组件CPU使用率恢复】\n\n组件: {{component_name}}\n\n使用率: {{cpu_usage_percent_avg}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n容器ID: {{container_id}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','{\"cpu_usage_percent_avg\":\"percent:2\",\"trigger_duration\":\"time:ms\"}','1.0','2021-05-28 11:55:05','2021-05-28 11:55:06',0),(4455,'平台组件实例CPU异常','dice_component','dice_component_container_cpu','mbox','recover','【平台组件{{component_name}} CPU使用率恢复】\n','【平台组件CPU使用率恢复】\n\n组件: {{component_name}}\n\n使用率: {{cpu_usage_percent_avg}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n容器ID: {{container_id}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','{\"cpu_usage_percent_avg\":\"percent:2\",\"trigger_duration\":\"time:ms\"}','1.0','2021-05-28 11:55:05','2021-05-28 11:55:06',0),(4456,'平台组件实例CPU异常','dice_component','dice_component_container_cpu','webhook','recover','【平台组件{{component_name}} CPU使用率恢复】\n','【平台组件CPU使用率恢复】\n\n组件: {{component_name}}\n\n使用率: {{cpu_usage_percent_avg}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n容器ID: {{container_id}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','{\"cpu_usage_percent_avg\":\"percent:2\",\"trigger_duration\":\"time:ms\"}','1.0','2021-05-28 11:55:05','2021-05-28 11:55:06',0),(4457,'平台组件异常退出','dice_component','dice_component_container_exit','dingding','alert','【平台组件{{component_name}}异常退出告警】\n','【平台组件异常退出告警】\n\n组件: {{component_name}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n启动时间: {{started_at_value}}\n\n退出时间: {{finished_at_value}}\n\n退出原因: {{terminated_reason_value}}\n\n时间: {{timestamp}}\n\n[查看详情]({{display_url}})\n\n[查看记录]({{record_url}})\n','{\"finished_at_value\":\"date\",\"started_at_value\":\"date\"}','1.0','2021-05-28 11:55:05','2021-05-28 11:55:06',0),(4458,'平台组件异常退出','dice_component','dice_component_container_exit','ticket','alert','【平台组件{{component_name}}异常退出告警】\n','【平台组件异常退出告警】\n\n组件: {{component_name}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n启动时间: {{started_at_value}}\n\n退出时间: {{finished_at_value}}\n\n退出原因: {{terminated_reason_value}}\n\n时间: {{timestamp}}\n\n[查看详情]({{display_url}})\n\n[查看记录]({{record_url}})\n','{\"finished_at_value\":\"date\",\"started_at_value\":\"date\"}','1.0','2021-05-28 11:55:05','2021-05-28 11:55:06',0),(4459,'平台组件异常退出','dice_component','dice_component_container_exit','email','alert','【平台组件{{component_name}}异常退出告警】\n','【平台组件异常退出告警】\n\n组件: {{component_name}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n启动时间: {{started_at_value}}\n\n退出时间: {{finished_at_value}}\n\n退出原因: {{terminated_reason_value}}\n\n时间: {{timestamp}}\n\n[查看详情]({{display_url}})\n\n[查看记录]({{record_url}})\n','{\"finished_at_value\":\"date\",\"started_at_value\":\"date\"}','1.0','2021-05-28 11:55:05','2021-05-28 11:55:06',0),(4460,'平台组件异常退出','dice_component','dice_component_container_exit','mbox','alert','【平台组件{{component_name}}异常退出告警】\n','【平台组件异常退出告警】\n\n组件: {{component_name}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n启动时间: {{started_at_value}}\n\n退出时间: {{finished_at_value}}\n\n退出原因: {{terminated_reason_value}}\n\n时间: {{timestamp}}\n\n[查看详情]({{display_url}})\n\n[查看记录]({{record_url}})\n','{\"finished_at_value\":\"date\",\"started_at_value\":\"date\"}','1.0','2021-05-28 11:55:05','2021-05-28 11:55:06',0),(4461,'平台组件异常退出','dice_component','dice_component_container_exit','webhook','alert','【平台组件{{component_name}}异常退出告警】\n','【平台组件异常退出告警】\n\n组件: {{component_name}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n启动时间: {{started_at_value}}\n\n退出时间: {{finished_at_value}}\n\n退出原因: {{terminated_reason_value}}\n\n时间: {{timestamp}}\n\n[查看详情]({{display_url}})\n\n[查看记录]({{record_url}})\n','{\"finished_at_value\":\"date\",\"started_at_value\":\"date\"}','1.0','2021-05-28 11:55:05','2021-05-28 11:55:06',0),(4462,'平台组件异常退出','dice_component','dice_component_container_exit','dingding','recover','【平台组件{{component_name}}异常退出恢复】\n','【平台组件异常退出恢复】\n\n组件: {{component_name}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','{\"trigger_duration\":\"time:ms\"}','1.0','2021-05-28 11:55:05','2021-05-28 11:55:06',0),(4463,'平台组件异常退出','dice_component','dice_component_container_exit','ticket','recover','【平台组件{{component_name}}异常退出恢复】\n','【平台组件异常退出恢复】\n\n组件: {{component_name}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','{\"trigger_duration\":\"time:ms\"}','1.0','2021-05-28 11:55:05','2021-05-28 11:55:06',0),(4464,'平台组件异常退出','dice_component','dice_component_container_exit','email','recover','【平台组件{{component_name}}异常退出恢复】\n','【平台组件异常退出恢复】\n\n组件: {{component_name}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','{\"trigger_duration\":\"time:ms\"}','1.0','2021-05-28 11:55:05','2021-05-28 11:55:06',0),(4465,'平台组件异常退出','dice_component','dice_component_container_exit','mbox','recover','【平台组件{{component_name}}异常退出恢复】\n','【平台组件异常退出恢复】\n\n组件: {{component_name}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','{\"trigger_duration\":\"time:ms\"}','1.0','2021-05-28 11:55:05','2021-05-28 11:55:06',0),(4466,'平台组件异常退出','dice_component','dice_component_container_exit','webhook','recover','【平台组件{{component_name}}异常退出恢复】\n','【平台组件异常退出恢复】\n\n组件: {{component_name}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','{\"trigger_duration\":\"time:ms\"}','1.0','2021-05-28 11:55:05','2021-05-28 11:55:06',0),(4467,'平台组件实例内存异常','dice_component','dice_component_container_mem','dingding','alert','【平台组件{{component_name}}内存使用率告警】\n','【平台组件内存使用率告警】\n\n组件: {{component_name}}\n\n使用率: {{mem_usage_percent_avg}}\n\n使用: {{mem_usage_value}}\n\n限制: {{mem_limit_value}}\n\n分配: {{mem_allocation_value}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n容器ID: {{container_id}}\n\n时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','{\"mem_allocation_value\":\"size:byte\",\"mem_limit_value\":\"size:byte\",\"mem_usage_percent_avg\":\"percent:2\",\"mem_usage_value\":\"size:byte\"}','1.0','2021-05-28 11:55:05','2021-05-28 11:55:06',0),(4468,'平台组件实例内存异常','dice_component','dice_component_container_mem','ticket','alert','【平台组件{{component_name}}内存使用率告警】\n','【平台组件内存使用率告警】\n\n组件: {{component_name}}\n\n使用率: {{mem_usage_percent_avg}}\n\n使用: {{mem_usage_value}}\n\n限制: {{mem_limit_value}}\n\n分配: {{mem_allocation_value}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n容器ID: {{container_id}}\n\n时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','{\"mem_allocation_value\":\"size:byte\",\"mem_limit_value\":\"size:byte\",\"mem_usage_percent_avg\":\"percent:2\",\"mem_usage_value\":\"size:byte\"}','1.0','2021-05-28 11:55:05','2021-05-28 11:55:06',0),(4469,'平台组件实例内存异常','dice_component','dice_component_container_mem','email','alert','【平台组件{{component_name}}内存使用率告警】\n','【平台组件内存使用率告警】\n\n组件: {{component_name}}\n\n使用率: {{mem_usage_percent_avg}}\n\n使用: {{mem_usage_value}}\n\n限制: {{mem_limit_value}}\n\n分配: {{mem_allocation_value}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n容器ID: {{container_id}}\n\n时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','{\"mem_allocation_value\":\"size:byte\",\"mem_limit_value\":\"size:byte\",\"mem_usage_percent_avg\":\"percent:2\",\"mem_usage_value\":\"size:byte\"}','1.0','2021-05-28 11:55:05','2021-05-28 11:55:06',0),(4470,'平台组件实例内存异常','dice_component','dice_component_container_mem','mbox','alert','【平台组件{{component_name}}内存使用率告警】\n','【平台组件内存使用率告警】\n\n组件: {{component_name}}\n\n使用率: {{mem_usage_percent_avg}}\n\n使用: {{mem_usage_value}}\n\n限制: {{mem_limit_value}}\n\n分配: {{mem_allocation_value}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n容器ID: {{container_id}}\n\n时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','{\"mem_allocation_value\":\"size:byte\",\"mem_limit_value\":\"size:byte\",\"mem_usage_percent_avg\":\"percent:2\",\"mem_usage_value\":\"size:byte\"}','1.0','2021-05-28 11:55:05','2021-05-28 11:55:06',0),(4471,'平台组件实例内存异常','dice_component','dice_component_container_mem','webhook','alert','【平台组件{{component_name}}内存使用率告警】\n','【平台组件内存使用率告警】\n\n组件: {{component_name}}\n\n使用率: {{mem_usage_percent_avg}}\n\n使用: {{mem_usage_value}}\n\n限制: {{mem_limit_value}}\n\n分配: {{mem_allocation_value}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n容器ID: {{container_id}}\n\n时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','{\"mem_allocation_value\":\"size:byte\",\"mem_limit_value\":\"size:byte\",\"mem_usage_percent_avg\":\"percent:2\",\"mem_usage_value\":\"size:byte\"}','1.0','2021-05-28 11:55:05','2021-05-28 11:55:06',0),(4472,'平台组件实例内存异常','dice_component','dice_component_container_mem','dingding','recover','【平台组件{{component_name}}内存使用率恢复】\n','【平台组件内存使用率恢复】\n\n组件: {{component_name}}\n\n使用率: {{mem_usage_percent_avg}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n容器ID: {{container_id}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','{\"trigger_duration\":\"time:ms\",\"usage_percent_avg\":\"percent:2\"}','1.0','2021-05-28 11:55:05','2021-05-28 11:55:06',0),(4473,'平台组件实例内存异常','dice_component','dice_component_container_mem','ticket','recover','【平台组件{{component_name}}内存使用率恢复】\n','【平台组件内存使用率恢复】\n\n组件: {{component_name}}\n\n使用率: {{mem_usage_percent_avg}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n容器ID: {{container_id}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','{\"trigger_duration\":\"time:ms\",\"usage_percent_avg\":\"percent:2\"}','1.0','2021-05-28 11:55:05','2021-05-28 11:55:06',0),(4474,'平台组件实例内存异常','dice_component','dice_component_container_mem','email','recover','【平台组件{{component_name}}内存使用率恢复】\n','【平台组件内存使用率恢复】\n\n组件: {{component_name}}\n\n使用率: {{mem_usage_percent_avg}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n容器ID: {{container_id}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','{\"trigger_duration\":\"time:ms\",\"usage_percent_avg\":\"percent:2\"}','1.0','2021-05-28 11:55:05','2021-05-28 11:55:06',0),(4475,'平台组件实例内存异常','dice_component','dice_component_container_mem','mbox','recover','【平台组件{{component_name}}内存使用率恢复】\n','【平台组件内存使用率恢复】\n\n组件: {{component_name}}\n\n使用率: {{mem_usage_percent_avg}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n容器ID: {{container_id}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','{\"trigger_duration\":\"time:ms\",\"usage_percent_avg\":\"percent:2\"}','1.0','2021-05-28 11:55:05','2021-05-28 11:55:06',0),(4476,'平台组件实例内存异常','dice_component','dice_component_container_mem','webhook','recover','【平台组件{{component_name}}内存使用率恢复】\n','【平台组件内存使用率恢复】\n\n组件: {{component_name}}\n\n使用率: {{mem_usage_percent_avg}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n容器ID: {{container_id}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','{\"trigger_duration\":\"time:ms\",\"usage_percent_avg\":\"percent:2\"}','1.0','2021-05-28 11:55:05','2021-05-28 11:55:06',0),(4477,'平台组件实例Ready状态异常','dice_component','dice_component_container_ready','dingding','alert','【平台组件{{component_name}} Ready状态异常告警】\n','【平台组件Ready状态异常告警】\n\n组件: {{component_name}}\n\n未就绪实例: {{not_ready_value}}\n\n已就绪实例: {{ready_value}}\n\n集群: {{cluster_name}}\n\n时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','','1.0','2021-05-28 11:55:05','2021-05-28 11:55:06',0),(4478,'平台组件实例Ready状态异常','dice_component','dice_component_container_ready','ticket','alert','【平台组件{{component_name}} Ready状态异常告警】\n','【平台组件Ready状态异常告警】\n\n组件: {{component_name}}\n\n未就绪实例: {{not_ready_value}}\n\n已就绪实例: {{ready_value}}\n\n集群: {{cluster_name}}\n\n时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','','1.0','2021-05-28 11:55:05','2021-05-28 11:55:06',0),(4479,'平台组件实例Ready状态异常','dice_component','dice_component_container_ready','email','alert','【平台组件{{component_name}} Ready状态异常告警】\n','【平台组件Ready状态异常告警】\n\n组件: {{component_name}}\n\n未就绪实例: {{not_ready_value}}\n\n已就绪实例: {{ready_value}}\n\n集群: {{cluster_name}}\n\n时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','','1.0','2021-05-28 11:55:05','2021-05-28 11:55:06',0),(4480,'平台组件实例Ready状态异常','dice_component','dice_component_container_ready','mbox','alert','【平台组件{{component_name}} Ready状态异常告警】\n','【平台组件Ready状态异常告警】\n\n组件: {{component_name}}\n\n未就绪实例: {{not_ready_value}}\n\n已就绪实例: {{ready_value}}\n\n集群: {{cluster_name}}\n\n时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','','1.0','2021-05-28 11:55:05','2021-05-28 11:55:06',0),(4481,'平台组件实例Ready状态异常','dice_component','dice_component_container_ready','webhook','alert','【平台组件{{component_name}} Ready状态异常告警】\n','【平台组件Ready状态异常告警】\n\n组件: {{component_name}}\n\n未就绪实例: {{not_ready_value}}\n\n已就绪实例: {{ready_value}}\n\n集群: {{cluster_name}}\n\n时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','','1.0','2021-05-28 11:55:05','2021-05-28 11:55:06',0),(4482,'平台组件实例Ready状态异常','dice_component','dice_component_container_ready','dingding','recover','【平台组件{{component_name}} Ready状态异常恢复】\n','【平台组件Ready状态异常恢复】\n\n组件: {{component_name}}\n\n已绪数实例: {{ready_value}}\n\n集群: {{cluster_name}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','{\"trigger_duration\":\"time:ms\"}','1.0','2021-05-28 11:55:05','2021-05-28 11:55:06',0),(4483,'平台组件实例Ready状态异常','dice_component','dice_component_container_ready','ticket','recover','【平台组件{{component_name}} Ready状态异常恢复】\n','【平台组件Ready状态异常恢复】\n\n组件: {{component_name}}\n\n已绪数实例: {{ready_value}}\n\n集群: {{cluster_name}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','{\"trigger_duration\":\"time:ms\"}','1.0','2021-05-28 11:55:05','2021-05-28 11:55:06',0),(4484,'平台组件实例Ready状态异常','dice_component','dice_component_container_ready','email','recover','【平台组件{{component_name}} Ready状态异常恢复】\n','【平台组件Ready状态异常恢复】\n\n组件: {{component_name}}\n\n已绪数实例: {{ready_value}}\n\n集群: {{cluster_name}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','{\"trigger_duration\":\"time:ms\"}','1.0','2021-05-28 11:55:05','2021-05-28 11:55:06',0),(4485,'平台组件实例Ready状态异常','dice_component','dice_component_container_ready','mbox','recover','【平台组件{{component_name}} Ready状态异常恢复】\n','【平台组件Ready状态异常恢复】\n\n组件: {{component_name}}\n\n已绪数实例: {{ready_value}}\n\n集群: {{cluster_name}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','{\"trigger_duration\":\"time:ms\"}','1.0','2021-05-28 11:55:05','2021-05-28 11:55:06',0),(4486,'平台组件实例Ready状态异常','dice_component','dice_component_container_ready','webhook','recover','【平台组件{{component_name}} Ready状态异常恢复】\n','【平台组件Ready状态异常恢复】\n\n组件: {{component_name}}\n\n已绪数实例: {{ready_value}}\n\n集群: {{cluster_name}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','{\"trigger_duration\":\"time:ms\"}','1.0','2021-05-28 11:55:05','2021-05-28 11:55:06',0),(4487,'平台组件Flink任务checkpoint延迟异常告警','dice_component','dice_component_flink_checkpoint_duration','dingding','alert','【平台组件Flink任务checkpoint延迟异常告警】\n','【平台组件Flink任务checkpoint延迟异常告警】\n\n延迟: {{lastCheckpointDuration_value}}ms\n\n任务ID： {{job_id}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','{}','1.0','2021-05-28 11:55:05','2021-05-28 11:55:06',0),(4488,'平台组件Flink任务checkpoint延迟异常告警','dice_component','dice_component_flink_checkpoint_duration','ticket','alert','【平台组件Flink任务checkpoint延迟异常告警】\n','【平台组件Flink任务checkpoint延迟异常告警】\n\n延迟: {{lastCheckpointDuration_value}}ms\n\n任务ID： {{job_id}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','{}','1.0','2021-05-28 11:55:05','2021-05-28 11:55:06',0),(4489,'平台组件Flink任务checkpoint延迟异常告警','dice_component','dice_component_flink_checkpoint_duration','email','alert','【平台组件Flink任务checkpoint延迟异常告警】\n','【平台组件Flink任务checkpoint延迟异常告警】\n\n延迟: {{lastCheckpointDuration_value}}ms\n\n任务ID： {{job_id}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','{}','1.0','2021-05-28 11:55:05','2021-05-28 11:55:06',0),(4490,'平台组件Flink任务checkpoint延迟异常告警','dice_component','dice_component_flink_checkpoint_duration','mbox','alert','【平台组件Flink任务checkpoint延迟异常告警】\n','【平台组件Flink任务checkpoint延迟异常告警】\n\n延迟: {{lastCheckpointDuration_value}}ms\n\n任务ID： {{job_id}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','{}','1.0','2021-05-28 11:55:05','2021-05-28 11:55:06',0),(4491,'平台组件Flink任务checkpoint延迟异常告警','dice_component','dice_component_flink_checkpoint_duration','webhook','alert','【平台组件Flink任务checkpoint延迟异常告警】\n','【平台组件Flink任务checkpoint延迟异常告警】\n\n延迟: {{lastCheckpointDuration_value}}ms\n\n任务ID： {{job_id}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','{}','1.0','2021-05-28 11:55:05','2021-05-28 11:55:06',0),(4492,'平台组件Flink吞吐量异常告警','dice_component','dice_component_flink_throughput','dingding','alert','【平台组件Flink吞吐量异常告警】\n','【平台组件Flink吞吐量异常告警】\n\noperator每秒输出量: {{numRecordsOutPerSecond_count_value}}\n\n任务ID： {{job_id}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','{}','1.0','2021-05-28 11:55:05','2021-05-28 11:55:06',0),(4493,'平台组件Flink吞吐量异常告警','dice_component','dice_component_flink_throughput','ticket','alert','【平台组件Flink吞吐量异常告警】\n','【平台组件Flink吞吐量异常告警】\n\noperator每秒输出量: {{numRecordsOutPerSecond_count_value}}\n\n任务ID： {{job_id}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','{}','1.0','2021-05-28 11:55:05','2021-05-28 11:55:06',0),(4494,'平台组件Flink吞吐量异常告警','dice_component','dice_component_flink_throughput','email','alert','【平台组件Flink吞吐量异常告警】\n','【平台组件Flink吞吐量异常告警】\n\noperator每秒输出量: {{numRecordsOutPerSecond_count_value}}\n\n任务ID： {{job_id}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','{}','1.0','2021-05-28 11:55:05','2021-05-28 11:55:06',0),(4495,'平台组件Flink吞吐量异常告警','dice_component','dice_component_flink_throughput','mbox','alert','【平台组件Flink吞吐量异常告警】\n','【平台组件Flink吞吐量异常告警】\n\noperator每秒输出量: {{numRecordsOutPerSecond_count_value}}\n\n任务ID： {{job_id}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','{}','1.0','2021-05-28 11:55:05','2021-05-28 11:55:06',0),(4496,'平台组件Flink吞吐量异常告警','dice_component','dice_component_flink_throughput','webhook','alert','【平台组件Flink吞吐量异常告警】\n','【平台组件Flink吞吐量异常告警】\n\noperator每秒输出量: {{numRecordsOutPerSecond_count_value}}\n\n任务ID： {{job_id}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','{}','1.0','2021-05-28 11:55:05','2021-05-28 11:55:06',0),(4497,'平台组件网盘不可用告警','dice_component','dice_component_gfs_status','dingding','alert','【平台组件网盘疑似不可用告警】\n','【平台组件网盘疑似不可用告警】\n\n组件: {{component_name}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','{}','1.0','2021-05-28 11:55:05','2021-05-28 11:55:06',0),(4498,'平台组件网盘不可用告警','dice_component','dice_component_gfs_status','ticket','alert','【平台组件网盘疑似不可用告警】\n','【平台组件网盘疑似不可用告警】\n\n组件: {{component_name}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','{}','1.0','2021-05-28 11:55:05','2021-05-28 11:55:06',0),(4499,'平台组件网盘不可用告警','dice_component','dice_component_gfs_status','email','alert','【平台组件网盘疑似不可用告警】\n','【平台组件网盘疑似不可用告警】\n\n组件: {{component_name}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','{}','1.0','2021-05-28 11:55:05','2021-05-28 11:55:06',0),(4500,'平台组件网盘不可用告警','dice_component','dice_component_gfs_status','mbox','alert','【平台组件网盘疑似不可用告警】\n','【平台组件网盘疑似不可用告警】\n\n组件: {{component_name}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','{}','1.0','2021-05-28 11:55:05','2021-05-28 11:55:06',0),(4501,'平台组件网盘不可用告警','dice_component','dice_component_gfs_status','webhook','alert','【平台组件网盘疑似不可用告警】\n','【平台组件网盘疑似不可用告警】\n\n组件: {{component_name}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','{}','1.0','2021-05-28 11:55:05','2021-05-28 11:55:06',0),(4502,'【事件】LOG_STORE保护器状态变化','dice_component','dice_component_log_protector','dingding','alert','【【事件】LOG_STORE保护器状态变化】\n','【【事件】LOG_STORE保护器状态变化】\n\n集群: {{cluster_name}}\n\n之前状态: {{pre_level}}\n\n当前状态: {{cur_level}}\n\n时间: {{timestamp}}\n\n[查看记录]({{record_url}})','{}','1.0','2021-05-28 11:55:05','2021-05-28 11:55:06',0),(4503,'【事件】LOG_STORE保护器状态变化','dice_component','dice_component_log_protector','ticket','alert','【【事件】LOG_STORE保护器状态变化】\n','【【事件】LOG_STORE保护器状态变化】\n\n集群: {{cluster_name}}\n\n之前状态: {{pre_level}}\n\n当前状态: {{cur_level}}\n\n时间: {{timestamp}}\n\n[查看记录]({{record_url}})','{}','1.0','2021-05-28 11:55:05','2021-05-28 11:55:06',0),(4504,'【事件】LOG_STORE保护器状态变化','dice_component','dice_component_log_protector','email','alert','【【事件】LOG_STORE保护器状态变化】\n','【【事件】LOG_STORE保护器状态变化】\n\n集群: {{cluster_name}}\n\n之前状态: {{pre_level}}\n\n当前状态: {{cur_level}}\n\n时间: {{timestamp}}\n\n[查看记录]({{record_url}})','{}','1.0','2021-05-28 11:55:05','2021-05-28 11:55:06',0),(4505,'【事件】LOG_STORE保护器状态变化','dice_component','dice_component_log_protector','mbox','alert','【【事件】LOG_STORE保护器状态变化】\n','【【事件】LOG_STORE保护器状态变化】\n\n集群: {{cluster_name}}\n\n之前状态: {{pre_level}}\n\n当前状态: {{cur_level}}\n\n时间: {{timestamp}}\n\n[查看记录]({{record_url}})','{}','1.0','2021-05-28 11:55:05','2021-05-28 11:55:06',0),(4506,'【事件】LOG_STORE保护器状态变化','dice_component','dice_component_log_protector','webhook','alert','【【事件】LOG_STORE保护器状态变化】\n','【【事件】LOG_STORE保护器状态变化】\n\n集群: {{cluster_name}}\n\n之前状态: {{pre_level}}\n\n当前状态: {{cur_level}}\n\n时间: {{timestamp}}\n\n[查看记录]({{record_url}})','{}','1.0','2021-05-28 11:55:05','2021-05-28 11:55:06',0),(4507,'kubernetes组件实例CPU异常','kubernetes','kubernetes_instance_cpu','dingding','alert','【{{cluster_name}}集群kubernetes组件{{pod_name}} CPU使用率告警】\n','【kubernetes组件CPU使用率告警】\n\nPod: {{pod_name}}\n\n使用率: {{cpu_usage_percent_avg}}\n\n限制: {{cpu_limit_value}}核\n\n分配: {{cpu_allocation_value}}核\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n容器ID: {{container_id}}\n\n时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','{\"cpu_allocation_value\":\"fraction:2\",\"cpu_limit_value\":\"fraction:2\",\"cpu_usage_percent_avg\":\"percent:2\"}','1.0','2021-05-28 11:55:05','2021-05-28 11:55:06',0),(4508,'kubernetes组件实例CPU异常','kubernetes','kubernetes_instance_cpu','ticket','alert','【{{cluster_name}}集群kubernetes组件{{pod_name}} CPU使用率告警】\n','【kubernetes组件CPU使用率告警】\n\nPod: {{pod_name}}\n\n使用率: {{cpu_usage_percent_avg}}\n\n限制: {{cpu_limit_value}}核\n\n分配: {{cpu_allocation_value}}核\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n容器ID: {{container_id}}\n\n时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','{\"cpu_allocation_value\":\"fraction:2\",\"cpu_limit_value\":\"fraction:2\",\"cpu_usage_percent_avg\":\"percent:2\"}','1.0','2021-05-28 11:55:05','2021-05-28 11:55:06',0),(4509,'kubernetes组件实例CPU异常','kubernetes','kubernetes_instance_cpu','email','alert','【{{cluster_name}}集群kubernetes组件{{pod_name}} CPU使用率告警】\n','【kubernetes组件CPU使用率告警】\n\nPod: {{pod_name}}\n\n使用率: {{cpu_usage_percent_avg}}\n\n限制: {{cpu_limit_value}}核\n\n分配: {{cpu_allocation_value}}核\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n容器ID: {{container_id}}\n\n时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','{\"cpu_allocation_value\":\"fraction:2\",\"cpu_limit_value\":\"fraction:2\",\"cpu_usage_percent_avg\":\"percent:2\"}','1.0','2021-05-28 11:55:05','2021-05-28 11:55:06',0),(4510,'kubernetes组件实例CPU异常','kubernetes','kubernetes_instance_cpu','mbox','alert','【{{cluster_name}}集群kubernetes组件{{pod_name}} CPU使用率告警】\n','【kubernetes组件CPU使用率告警】\n\nPod: {{pod_name}}\n\n使用率: {{cpu_usage_percent_avg}}\n\n限制: {{cpu_limit_value}}核\n\n分配: {{cpu_allocation_value}}核\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n容器ID: {{container_id}}\n\n时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','{\"cpu_allocation_value\":\"fraction:2\",\"cpu_limit_value\":\"fraction:2\",\"cpu_usage_percent_avg\":\"percent:2\"}','1.0','2021-05-28 11:55:05','2021-05-28 11:55:06',0),(4511,'kubernetes组件实例CPU异常','kubernetes','kubernetes_instance_cpu','webhook','alert','【{{cluster_name}}集群kubernetes组件{{pod_name}} CPU使用率告警】\n','【kubernetes组件CPU使用率告警】\n\nPod: {{pod_name}}\n\n使用率: {{cpu_usage_percent_avg}}\n\n限制: {{cpu_limit_value}}核\n\n分配: {{cpu_allocation_value}}核\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n容器ID: {{container_id}}\n\n时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','{\"cpu_allocation_value\":\"fraction:2\",\"cpu_limit_value\":\"fraction:2\",\"cpu_usage_percent_avg\":\"percent:2\"}','1.0','2021-05-28 11:55:05','2021-05-28 11:55:06',0),(4512,'kubernetes组件实例CPU异常','kubernetes','kubernetes_instance_cpu','dingding','recover','【{{cluster_name}}集群kubernetes组件{{pod_name}} CPU使用率恢复】\n','【kubernetes组件CPU使用率恢复】\n\nPod: {{pod_name}}\n\n使用率: {{cpu_usage_percent_avg}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n容器ID: {{container_id}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','{\"cpu_usage_percent_avg\":\"percent:2\",\"trigger_duration\":\"time:ms\"}','1.0','2021-05-28 11:55:05','2021-05-28 11:55:06',0),(4513,'kubernetes组件实例CPU异常','kubernetes','kubernetes_instance_cpu','ticket','recover','【{{cluster_name}}集群kubernetes组件{{pod_name}} CPU使用率恢复】\n','【kubernetes组件CPU使用率恢复】\n\nPod: {{pod_name}}\n\n使用率: {{cpu_usage_percent_avg}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n容器ID: {{container_id}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','{\"cpu_usage_percent_avg\":\"percent:2\",\"trigger_duration\":\"time:ms\"}','1.0','2021-05-28 11:55:05','2021-05-28 11:55:06',0),(4514,'kubernetes组件实例CPU异常','kubernetes','kubernetes_instance_cpu','email','recover','【{{cluster_name}}集群kubernetes组件{{pod_name}} CPU使用率恢复】\n','【kubernetes组件CPU使用率恢复】\n\nPod: {{pod_name}}\n\n使用率: {{cpu_usage_percent_avg}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n容器ID: {{container_id}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','{\"cpu_usage_percent_avg\":\"percent:2\",\"trigger_duration\":\"time:ms\"}','1.0','2021-05-28 11:55:05','2021-05-28 11:55:06',0),(4515,'kubernetes组件实例CPU异常','kubernetes','kubernetes_instance_cpu','mbox','recover','【{{cluster_name}}集群kubernetes组件{{pod_name}} CPU使用率恢复】\n','【kubernetes组件CPU使用率恢复】\n\nPod: {{pod_name}}\n\n使用率: {{cpu_usage_percent_avg}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n容器ID: {{container_id}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','{\"cpu_usage_percent_avg\":\"percent:2\",\"trigger_duration\":\"time:ms\"}','1.0','2021-05-28 11:55:05','2021-05-28 11:55:06',0),(4516,'kubernetes组件实例CPU异常','kubernetes','kubernetes_instance_cpu','webhook','recover','【{{cluster_name}}集群kubernetes组件{{pod_name}} CPU使用率恢复】\n','【kubernetes组件CPU使用率恢复】\n\nPod: {{pod_name}}\n\n使用率: {{cpu_usage_percent_avg}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n容器ID: {{container_id}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','{\"cpu_usage_percent_avg\":\"percent:2\",\"trigger_duration\":\"time:ms\"}','1.0','2021-05-28 11:55:05','2021-05-28 11:55:06',0),(4517,'kubernetes组件异常退出','kubernetes','kubernetes_instance_exit','dingding','alert','【{{cluster_name}}集群kubernetes组件{{pod_name}}异常退出告警】\n','【kubernetes组件异常退出告警】\n\n组件: {{pod_name}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n启动时间: {{started_at_value}}\n\n退出时间: {{finished_at_value}}\n\n退出原因: {{terminated_reason_value}}\n\n时间: {{timestamp}}\n\n[查看详情]({{display_url}})\n\n[查看记录]({{record_url}})\n','{\"finished_at_value\":\"date\",\"started_at_value\":\"date\"}','1.0','2021-05-28 11:55:05','2021-05-28 11:55:06',0),(4518,'kubernetes组件异常退出','kubernetes','kubernetes_instance_exit','ticket','alert','【{{cluster_name}}集群kubernetes组件{{pod_name}}异常退出告警】\n','【kubernetes组件异常退出告警】\n\n组件: {{pod_name}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n启动时间: {{started_at_value}}\n\n退出时间: {{finished_at_value}}\n\n退出原因: {{terminated_reason_value}}\n\n时间: {{timestamp}}\n\n[查看详情]({{display_url}})\n\n[查看记录]({{record_url}})\n','{\"finished_at_value\":\"date\",\"started_at_value\":\"date\"}','1.0','2021-05-28 11:55:05','2021-05-28 11:55:06',0),(4519,'kubernetes组件异常退出','kubernetes','kubernetes_instance_exit','email','alert','【{{cluster_name}}集群kubernetes组件{{pod_name}}异常退出告警】\n','【kubernetes组件异常退出告警】\n\n组件: {{pod_name}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n启动时间: {{started_at_value}}\n\n退出时间: {{finished_at_value}}\n\n退出原因: {{terminated_reason_value}}\n\n时间: {{timestamp}}\n\n[查看详情]({{display_url}})\n\n[查看记录]({{record_url}})\n','{\"finished_at_value\":\"date\",\"started_at_value\":\"date\"}','1.0','2021-05-28 11:55:05','2021-05-28 11:55:06',0),(4520,'kubernetes组件异常退出','kubernetes','kubernetes_instance_exit','mbox','alert','【{{cluster_name}}集群kubernetes组件{{pod_name}}异常退出告警】\n','【kubernetes组件异常退出告警】\n\n组件: {{pod_name}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n启动时间: {{started_at_value}}\n\n退出时间: {{finished_at_value}}\n\n退出原因: {{terminated_reason_value}}\n\n时间: {{timestamp}}\n\n[查看详情]({{display_url}})\n\n[查看记录]({{record_url}})\n','{\"finished_at_value\":\"date\",\"started_at_value\":\"date\"}','1.0','2021-05-28 11:55:05','2021-05-28 11:55:06',0),(4521,'kubernetes组件异常退出','kubernetes','kubernetes_instance_exit','webhook','alert','【{{cluster_name}}集群kubernetes组件{{pod_name}}异常退出告警】\n','【kubernetes组件异常退出告警】\n\n组件: {{pod_name}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n启动时间: {{started_at_value}}\n\n退出时间: {{finished_at_value}}\n\n退出原因: {{terminated_reason_value}}\n\n时间: {{timestamp}}\n\n[查看详情]({{display_url}})\n\n[查看记录]({{record_url}})\n','{\"finished_at_value\":\"date\",\"started_at_value\":\"date\"}','1.0','2021-05-28 11:55:05','2021-05-28 11:55:06',0),(4522,'kubernetes组件异常退出','kubernetes','kubernetes_instance_exit','dingding','recover','【{{cluster_name}}集群kubernetes组件{{pod_name}}异常退出恢复】\n','【kubernetes组件异常退出恢复】\n\n组件: {{pod_name}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','{\"trigger_duration\":\"time:ms\"}','1.0','2021-05-28 11:55:05','2021-05-28 11:55:06',0),(4523,'kubernetes组件异常退出','kubernetes','kubernetes_instance_exit','ticket','recover','【{{cluster_name}}集群kubernetes组件{{pod_name}}异常退出恢复】\n','【kubernetes组件异常退出恢复】\n\n组件: {{pod_name}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','{\"trigger_duration\":\"time:ms\"}','1.0','2021-05-28 11:55:05','2021-05-28 11:55:06',0),(4524,'kubernetes组件异常退出','kubernetes','kubernetes_instance_exit','email','recover','【{{cluster_name}}集群kubernetes组件{{pod_name}}异常退出恢复】\n','【kubernetes组件异常退出恢复】\n\n组件: {{pod_name}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','{\"trigger_duration\":\"time:ms\"}','1.0','2021-05-28 11:55:05','2021-05-28 11:55:06',0),(4525,'kubernetes组件异常退出','kubernetes','kubernetes_instance_exit','mbox','recover','【{{cluster_name}}集群kubernetes组件{{pod_name}}异常退出恢复】\n','【kubernetes组件异常退出恢复】\n\n组件: {{pod_name}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','{\"trigger_duration\":\"time:ms\"}','1.0','2021-05-28 11:55:05','2021-05-28 11:55:06',0),(4526,'kubernetes组件异常退出','kubernetes','kubernetes_instance_exit','webhook','recover','【{{cluster_name}}集群kubernetes组件{{pod_name}}异常退出恢复】\n','【kubernetes组件异常退出恢复】\n\n组件: {{pod_name}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','{\"trigger_duration\":\"time:ms\"}','1.0','2021-05-28 11:55:05','2021-05-28 11:55:06',0),(4527,'kubernetes组件实例内存异常','kubernetes','kubernetes_instance_mem','dingding','alert','【{{cluster_name}}集群kubernetes组件{{pod_name}}内存使用率告警】\n','【kubernetes组件内存使用率告警】\n\nPod: {{pod_name}}\n\n使用率: {{mem_usage_percent_avg}}\n\n使用: {{mem_usage_value}}\n\n限制: {{mem_limit_value}}\n\n分配: {{mem_allocation_value}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n容器ID: {{container_id}}\n\n时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','{\"mem_allocation_value\":\"size:byte\",\"mem_limit_value\":\"size:byte\",\"mem_usage_percent_avg\":\"percent:2\",\"mem_usage_value\":\"size:byte\"}','1.0','2021-05-28 11:55:05','2021-05-28 11:55:06',0),(4528,'kubernetes组件实例内存异常','kubernetes','kubernetes_instance_mem','ticket','alert','【{{cluster_name}}集群kubernetes组件{{pod_name}}内存使用率告警】\n','【kubernetes组件内存使用率告警】\n\nPod: {{pod_name}}\n\n使用率: {{mem_usage_percent_avg}}\n\n使用: {{mem_usage_value}}\n\n限制: {{mem_limit_value}}\n\n分配: {{mem_allocation_value}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n容器ID: {{container_id}}\n\n时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','{\"mem_allocation_value\":\"size:byte\",\"mem_limit_value\":\"size:byte\",\"mem_usage_percent_avg\":\"percent:2\",\"mem_usage_value\":\"size:byte\"}','1.0','2021-05-28 11:55:05','2021-05-28 11:55:06',0),(4529,'kubernetes组件实例内存异常','kubernetes','kubernetes_instance_mem','email','alert','【{{cluster_name}}集群kubernetes组件{{pod_name}}内存使用率告警】\n','【kubernetes组件内存使用率告警】\n\nPod: {{pod_name}}\n\n使用率: {{mem_usage_percent_avg}}\n\n使用: {{mem_usage_value}}\n\n限制: {{mem_limit_value}}\n\n分配: {{mem_allocation_value}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n容器ID: {{container_id}}\n\n时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','{\"mem_allocation_value\":\"size:byte\",\"mem_limit_value\":\"size:byte\",\"mem_usage_percent_avg\":\"percent:2\",\"mem_usage_value\":\"size:byte\"}','1.0','2021-05-28 11:55:05','2021-05-28 11:55:06',0),(4530,'kubernetes组件实例内存异常','kubernetes','kubernetes_instance_mem','mbox','alert','【{{cluster_name}}集群kubernetes组件{{pod_name}}内存使用率告警】\n','【kubernetes组件内存使用率告警】\n\nPod: {{pod_name}}\n\n使用率: {{mem_usage_percent_avg}}\n\n使用: {{mem_usage_value}}\n\n限制: {{mem_limit_value}}\n\n分配: {{mem_allocation_value}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n容器ID: {{container_id}}\n\n时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','{\"mem_allocation_value\":\"size:byte\",\"mem_limit_value\":\"size:byte\",\"mem_usage_percent_avg\":\"percent:2\",\"mem_usage_value\":\"size:byte\"}','1.0','2021-05-28 11:55:05','2021-05-28 11:55:06',0),(4531,'kubernetes组件实例内存异常','kubernetes','kubernetes_instance_mem','webhook','alert','【{{cluster_name}}集群kubernetes组件{{pod_name}}内存使用率告警】\n','【kubernetes组件内存使用率告警】\n\nPod: {{pod_name}}\n\n使用率: {{mem_usage_percent_avg}}\n\n使用: {{mem_usage_value}}\n\n限制: {{mem_limit_value}}\n\n分配: {{mem_allocation_value}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n容器ID: {{container_id}}\n\n时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','{\"mem_allocation_value\":\"size:byte\",\"mem_limit_value\":\"size:byte\",\"mem_usage_percent_avg\":\"percent:2\",\"mem_usage_value\":\"size:byte\"}','1.0','2021-05-28 11:55:05','2021-05-28 11:55:06',0),(4532,'kubernetes组件实例内存异常','kubernetes','kubernetes_instance_mem','dingding','recover','【{{cluster_name}}集群kubernetes组件{{pod_name}}内存使用率恢复】\n','【kubernetes组件内存使用率恢复】\n\nPod: {{pod_name}}\n\n使用率: {{mem_usage_percent_avg}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n容器ID: {{container_id}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','{\"mem_usage_percent_avg\":\"percent:2\",\"trigger_duration\":\"time:ms\"}','1.0','2021-05-28 11:55:05','2021-05-28 11:55:06',0),(4533,'kubernetes组件实例内存异常','kubernetes','kubernetes_instance_mem','ticket','recover','【{{cluster_name}}集群kubernetes组件{{pod_name}}内存使用率恢复】\n','【kubernetes组件内存使用率恢复】\n\nPod: {{pod_name}}\n\n使用率: {{mem_usage_percent_avg}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n容器ID: {{container_id}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','{\"mem_usage_percent_avg\":\"percent:2\",\"trigger_duration\":\"time:ms\"}','1.0','2021-05-28 11:55:05','2021-05-28 11:55:06',0),(4534,'kubernetes组件实例内存异常','kubernetes','kubernetes_instance_mem','email','recover','【{{cluster_name}}集群kubernetes组件{{pod_name}}内存使用率恢复】\n','【kubernetes组件内存使用率恢复】\n\nPod: {{pod_name}}\n\n使用率: {{mem_usage_percent_avg}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n容器ID: {{container_id}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','{\"mem_usage_percent_avg\":\"percent:2\",\"trigger_duration\":\"time:ms\"}','1.0','2021-05-28 11:55:05','2021-05-28 11:55:06',0),(4535,'kubernetes组件实例内存异常','kubernetes','kubernetes_instance_mem','mbox','recover','【{{cluster_name}}集群kubernetes组件{{pod_name}}内存使用率恢复】\n','【kubernetes组件内存使用率恢复】\n\nPod: {{pod_name}}\n\n使用率: {{mem_usage_percent_avg}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n容器ID: {{container_id}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','{\"mem_usage_percent_avg\":\"percent:2\",\"trigger_duration\":\"time:ms\"}','1.0','2021-05-28 11:55:05','2021-05-28 11:55:06',0),(4536,'kubernetes组件实例内存异常','kubernetes','kubernetes_instance_mem','webhook','recover','【{{cluster_name}}集群kubernetes组件{{pod_name}}内存使用率恢复】\n','【kubernetes组件内存使用率恢复】\n\nPod: {{pod_name}}\n\n使用率: {{mem_usage_percent_avg}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n容器ID: {{container_id}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','{\"mem_usage_percent_avg\":\"percent:2\",\"trigger_duration\":\"time:ms\"}','1.0','2021-05-28 11:55:05','2021-05-28 11:55:06',0),(4537,'kubernetes组件实例Ready状态异常','kubernetes','kubernetes_instance_ready','dingding','alert','【{{cluster_name}}集群kubernetes组件{{resource_name_value}} Ready状态告警】\n','【kubernetes组件Ready状态告警】\n\n组件: {{resource_name_value}}\n\n未就绪实例: {{not_ready_value}}\n\n已就绪实例: {{ready_value}}\n\n集群: {{cluster_name}}\n\n时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','','1.0','2021-05-28 11:55:05','2021-05-28 11:55:06',0),(4538,'kubernetes组件实例Ready状态异常','kubernetes','kubernetes_instance_ready','ticket','alert','【{{cluster_name}}集群kubernetes组件{{resource_name_value}} Ready状态告警】\n','【kubernetes组件Ready状态告警】\n\n组件: {{resource_name_value}}\n\n未就绪实例: {{not_ready_value}}\n\n已就绪实例: {{ready_value}}\n\n集群: {{cluster_name}}\n\n时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','','1.0','2021-05-28 11:55:05','2021-05-28 11:55:06',0),(4539,'kubernetes组件实例Ready状态异常','kubernetes','kubernetes_instance_ready','email','alert','【{{cluster_name}}集群kubernetes组件{{resource_name_value}} Ready状态告警】\n','【kubernetes组件Ready状态告警】\n\n组件: {{resource_name_value}}\n\n未就绪实例: {{not_ready_value}}\n\n已就绪实例: {{ready_value}}\n\n集群: {{cluster_name}}\n\n时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','','1.0','2021-05-28 11:55:05','2021-05-28 11:55:06',0),(4540,'kubernetes组件实例Ready状态异常','kubernetes','kubernetes_instance_ready','mbox','alert','【{{cluster_name}}集群kubernetes组件{{resource_name_value}} Ready状态告警】\n','【kubernetes组件Ready状态告警】\n\n组件: {{resource_name_value}}\n\n未就绪实例: {{not_ready_value}}\n\n已就绪实例: {{ready_value}}\n\n集群: {{cluster_name}}\n\n时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','','1.0','2021-05-28 11:55:05','2021-05-28 11:55:06',0),(4541,'kubernetes组件实例Ready状态异常','kubernetes','kubernetes_instance_ready','webhook','alert','【{{cluster_name}}集群kubernetes组件{{resource_name_value}} Ready状态告警】\n','【kubernetes组件Ready状态告警】\n\n组件: {{resource_name_value}}\n\n未就绪实例: {{not_ready_value}}\n\n已就绪实例: {{ready_value}}\n\n集群: {{cluster_name}}\n\n时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','','1.0','2021-05-28 11:55:05','2021-05-28 11:55:06',0),(4542,'kubernetes组件实例Ready状态异常','kubernetes','kubernetes_instance_ready','dingding','recover','【{{cluster_name}}集群kubernetes组件{{resource_name_value}} Ready状态恢复】\n','【kubernetes组件Ready状态恢复】\n\n组件: {{resource_name_value}}\n\n集群: {{cluster_name}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','{\"trigger_duration\":\"time:ms\"}','1.0','2021-05-28 11:55:05','2021-05-28 11:55:06',0),(4543,'kubernetes组件实例Ready状态异常','kubernetes','kubernetes_instance_ready','ticket','recover','【{{cluster_name}}集群kubernetes组件{{resource_name_value}} Ready状态恢复】\n','【kubernetes组件Ready状态恢复】\n\n组件: {{resource_name_value}}\n\n集群: {{cluster_name}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','{\"trigger_duration\":\"time:ms\"}','1.0','2021-05-28 11:55:05','2021-05-28 11:55:06',0),(4544,'kubernetes组件实例Ready状态异常','kubernetes','kubernetes_instance_ready','email','recover','【{{cluster_name}}集群kubernetes组件{{resource_name_value}} Ready状态恢复】\n','【kubernetes组件Ready状态恢复】\n\n组件: {{resource_name_value}}\n\n集群: {{cluster_name}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','{\"trigger_duration\":\"time:ms\"}','1.0','2021-05-28 11:55:05','2021-05-28 11:55:06',0),(4545,'kubernetes组件实例Ready状态异常','kubernetes','kubernetes_instance_ready','mbox','recover','【{{cluster_name}}集群kubernetes组件{{resource_name_value}} Ready状态恢复】\n','【kubernetes组件Ready状态恢复】\n\n组件: {{resource_name_value}}\n\n集群: {{cluster_name}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','{\"trigger_duration\":\"time:ms\"}','1.0','2021-05-28 11:55:05','2021-05-28 11:55:06',0),(4546,'kubernetes组件实例Ready状态异常','kubernetes','kubernetes_instance_ready','webhook','recover','【{{cluster_name}}集群kubernetes组件{{resource_name_value}} Ready状态恢复】\n','【kubernetes组件Ready状态恢复】\n\n组件: {{resource_name_value}}\n\n集群: {{cluster_name}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','{\"trigger_duration\":\"time:ms\"}','1.0','2021-05-28 11:55:05','2021-05-28 11:55:06',0),(4547,'kubernetes节点异常','kubernetes','kubernetes_node','dingding','alert','【{{cluster_name}}集群kubernetes节点{{node_name}}节点异常告警】\n','【kubernetes节点状态异常告警】\n\n集群: {{cluster_name}}\n\n机器: {{node_name}}\n\n已分配Pod数: {{allocatable_pods_value}}\n\n最大Pod数: {{capacity_pods_value}}\n\n已分配CPU核数: {{allocatable_cpu_cores_value}}\n\n最大CPU核数: {{capacity_cpu_cores_value}}\n\n已分配内存: {{allocatable_memory_bytes_value}}\n\n最大内存: {{capacity_memory_bytes_value}}\n\n时间: {{timestamp}}\n','{\"allocatable_memory_bytes_value\":\"size:byte\",\"capacity_memory_bytes_value\":\"size:byte\"}','1.0','2021-05-28 11:55:05','2021-05-28 11:55:06',0),(4548,'kubernetes节点异常','kubernetes','kubernetes_node','ticket','alert','【{{cluster_name}}集群kubernetes节点{{node_name}}节点异常告警】\n','【kubernetes节点状态异常告警】\n\n集群: {{cluster_name}}\n\n机器: {{node_name}}\n\n已分配Pod数: {{allocatable_pods_value}}\n\n最大Pod数: {{capacity_pods_value}}\n\n已分配CPU核数: {{allocatable_cpu_cores_value}}\n\n最大CPU核数: {{capacity_cpu_cores_value}}\n\n已分配内存: {{allocatable_memory_bytes_value}}\n\n最大内存: {{capacity_memory_bytes_value}}\n\n时间: {{timestamp}}\n','{\"allocatable_memory_bytes_value\":\"size:byte\",\"capacity_memory_bytes_value\":\"size:byte\"}','1.0','2021-05-28 11:55:05','2021-05-28 11:55:06',0),(4549,'kubernetes节点异常','kubernetes','kubernetes_node','email','alert','【{{cluster_name}}集群kubernetes节点{{node_name}}节点异常告警】\n','【kubernetes节点状态异常告警】\n\n集群: {{cluster_name}}\n\n机器: {{node_name}}\n\n已分配Pod数: {{allocatable_pods_value}}\n\n最大Pod数: {{capacity_pods_value}}\n\n已分配CPU核数: {{allocatable_cpu_cores_value}}\n\n最大CPU核数: {{capacity_cpu_cores_value}}\n\n已分配内存: {{allocatable_memory_bytes_value}}\n\n最大内存: {{capacity_memory_bytes_value}}\n\n时间: {{timestamp}}\n','{\"allocatable_memory_bytes_value\":\"size:byte\",\"capacity_memory_bytes_value\":\"size:byte\"}','1.0','2021-05-28 11:55:05','2021-05-28 11:55:06',0),(4550,'kubernetes节点异常','kubernetes','kubernetes_node','mbox','alert','【{{cluster_name}}集群kubernetes节点{{node_name}}节点异常告警】\n','【kubernetes节点状态异常告警】\n\n集群: {{cluster_name}}\n\n机器: {{node_name}}\n\n已分配Pod数: {{allocatable_pods_value}}\n\n最大Pod数: {{capacity_pods_value}}\n\n已分配CPU核数: {{allocatable_cpu_cores_value}}\n\n最大CPU核数: {{capacity_cpu_cores_value}}\n\n已分配内存: {{allocatable_memory_bytes_value}}\n\n最大内存: {{capacity_memory_bytes_value}}\n\n时间: {{timestamp}}\n','{\"allocatable_memory_bytes_value\":\"size:byte\",\"capacity_memory_bytes_value\":\"size:byte\"}','1.0','2021-05-28 11:55:05','2021-05-28 11:55:06',0),(4551,'kubernetes节点异常','kubernetes','kubernetes_node','webhook','alert','【{{cluster_name}}集群kubernetes节点{{node_name}}节点异常告警】\n','【kubernetes节点状态异常告警】\n\n集群: {{cluster_name}}\n\n机器: {{node_name}}\n\n已分配Pod数: {{allocatable_pods_value}}\n\n最大Pod数: {{capacity_pods_value}}\n\n已分配CPU核数: {{allocatable_cpu_cores_value}}\n\n最大CPU核数: {{capacity_cpu_cores_value}}\n\n已分配内存: {{allocatable_memory_bytes_value}}\n\n最大内存: {{capacity_memory_bytes_value}}\n\n时间: {{timestamp}}\n','{\"allocatable_memory_bytes_value\":\"size:byte\",\"capacity_memory_bytes_value\":\"size:byte\"}','1.0','2021-05-28 11:55:05','2021-05-28 11:55:06',0),(4552,'kubernetes节点异常','kubernetes','kubernetes_node','dingding','recover','【{{cluster_name}}集群kubernetes节点{{node_name}}节点异常恢复】\n','【kubernetes节点状态异常恢复】\n\n集群: {{cluster_name}}\n\n机器: {{node_name}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n','{\"trigger_duration\":\"time:ms\"}','1.0','2021-05-28 11:55:05','2021-05-28 11:55:06',0),(4553,'kubernetes节点异常','kubernetes','kubernetes_node','ticket','recover','【{{cluster_name}}集群kubernetes节点{{node_name}}节点异常恢复】\n','【kubernetes节点状态异常恢复】\n\n集群: {{cluster_name}}\n\n机器: {{node_name}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n','{\"trigger_duration\":\"time:ms\"}','1.0','2021-05-28 11:55:05','2021-05-28 11:55:06',0),(4554,'kubernetes节点异常','kubernetes','kubernetes_node','email','recover','【{{cluster_name}}集群kubernetes节点{{node_name}}节点异常恢复】\n','【kubernetes节点状态异常恢复】\n\n集群: {{cluster_name}}\n\n机器: {{node_name}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n','{\"trigger_duration\":\"time:ms\"}','1.0','2021-05-28 11:55:05','2021-05-28 11:55:06',0),(4555,'kubernetes节点异常','kubernetes','kubernetes_node','mbox','recover','【{{cluster_name}}集群kubernetes节点{{node_name}}节点异常恢复】\n','【kubernetes节点状态异常恢复】\n\n集群: {{cluster_name}}\n\n机器: {{node_name}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n','{\"trigger_duration\":\"time:ms\"}','1.0','2021-05-28 11:55:05','2021-05-28 11:55:06',0),(4556,'kubernetes节点异常','kubernetes','kubernetes_node','webhook','recover','【{{cluster_name}}集群kubernetes节点{{node_name}}节点异常恢复】\n','【kubernetes节点状态异常恢复】\n\n集群: {{cluster_name}}\n\n机器: {{node_name}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n','{\"trigger_duration\":\"time:ms\"}','1.0','2021-05-28 11:55:05','2021-05-28 11:55:06',0),(4557,'机器CPU异常告警','machine','machine_cpu','dingding','alert','【{{cluster_name}}集群机器{{host_ip}} CPU使用率异常告警】','【机器CPU使用率异常告警】\n\nCPU平均使用率: {{cpu_usage_active_avg}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n时间: {{timestamp}}\n\n[查看详情]({{display_url}})\n\n[查看记录]({{record_url}})\n','{\"cpu_usage_active_avg\":\"percent:2\"}','1.0','2021-05-28 11:55:05','2021-05-28 11:55:06',0),(4558,'机器CPU异常告警','machine','machine_cpu','ticket','alert','【{{cluster_name}}集群机器{{host_ip}} CPU使用率异常告警】','【机器CPU使用率异常告警】\n\nCPU平均使用率: {{cpu_usage_active_avg}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n时间: {{timestamp}}\n\n[查看详情]({{display_url}})\n\n[查看记录]({{record_url}})\n','{\"cpu_usage_active_avg\":\"percent:2\"}','1.0','2021-05-28 11:55:05','2021-05-28 11:55:06',0),(4559,'机器CPU异常告警','machine','machine_cpu','email','alert','【{{cluster_name}}集群机器{{host_ip}} CPU使用率异常告警】','【机器CPU使用率异常告警】\n\nCPU平均使用率: {{cpu_usage_active_avg}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n时间: {{timestamp}}\n\n[查看详情]({{display_url}})\n\n[查看记录]({{record_url}})\n','{\"cpu_usage_active_avg\":\"percent:2\"}','1.0','2021-05-28 11:55:05','2021-05-28 11:55:06',0),(4560,'机器CPU异常告警','machine','machine_cpu','mbox','alert','【{{cluster_name}}集群机器{{host_ip}} CPU使用率异常告警】','【机器CPU使用率异常告警】\n\nCPU平均使用率: {{cpu_usage_active_avg}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n时间: {{timestamp}}\n\n[查看详情]({{display_url}})\n\n[查看记录]({{record_url}})\n','{\"cpu_usage_active_avg\":\"percent:2\"}','1.0','2021-05-28 11:55:05','2021-05-28 11:55:06',0),(4561,'机器CPU异常告警','machine','machine_cpu','webhook','alert','【{{cluster_name}}集群机器{{host_ip}} CPU使用率异常告警】','【机器CPU使用率异常告警】\n\nCPU平均使用率: {{cpu_usage_active_avg}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n时间: {{timestamp}}\n\n[查看详情]({{display_url}})\n\n[查看记录]({{record_url}})\n','{\"cpu_usage_active_avg\":\"percent:2\"}','1.0','2021-05-28 11:55:05','2021-05-28 11:55:06',0),(4562,'机器CPU异常恢复','machine','machine_cpu','dingding','recover','【{{cluster_name}}集群机器{{host_ip}} CPU使用率异常恢复】','【机器CPU使用率异常恢复】\n\nCPU平均使用率: {{cpu_usage_active_avg}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','{\"trigger_duration\":\"time:ms\",\"usage_active_avg\":\"percent:2\"}','1.0','2021-05-28 11:55:05','2021-05-28 11:55:06',0),(4563,'机器CPU异常恢复','machine','machine_cpu','ticket','recover','【{{cluster_name}}集群机器{{host_ip}} CPU使用率异常恢复】','【机器CPU使用率异常恢复】\n\nCPU平均使用率: {{cpu_usage_active_avg}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','{\"trigger_duration\":\"time:ms\",\"usage_active_avg\":\"percent:2\"}','1.0','2021-05-28 11:55:05','2021-05-28 11:55:06',0),(4564,'机器CPU异常恢复','machine','machine_cpu','email','recover','【{{cluster_name}}集群机器{{host_ip}} CPU使用率异常恢复】','【机器CPU使用率异常恢复】\n\nCPU平均使用率: {{cpu_usage_active_avg}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','{\"trigger_duration\":\"time:ms\",\"usage_active_avg\":\"percent:2\"}','1.0','2021-05-28 11:55:05','2021-05-28 11:55:06',0),(4565,'机器CPU异常恢复','machine','machine_cpu','mbox','recover','【{{cluster_name}}集群机器{{host_ip}} CPU使用率异常恢复】','【机器CPU使用率异常恢复】\n\nCPU平均使用率: {{cpu_usage_active_avg}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','{\"trigger_duration\":\"time:ms\",\"usage_active_avg\":\"percent:2\"}','1.0','2021-05-28 11:55:05','2021-05-28 11:55:06',0),(4566,'机器CPU异常恢复','machine','machine_cpu','webhook','recover','【{{cluster_name}}集群机器{{host_ip}} CPU使用率异常恢复】','【机器CPU使用率异常恢复】\n\nCPU平均使用率: {{cpu_usage_active_avg}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','{\"trigger_duration\":\"time:ms\",\"usage_active_avg\":\"percent:2\"}','1.0','2021-05-28 11:55:05','2021-05-28 11:55:06',0),(4567,'磁盘容量异常告警','machine','machine_disk','dingding','alert','【{{cluster_name}}集群机器{{host_ip}}磁盘使用率异常告警】','【磁盘使用率异常告警】\n\n使用率: {{used_percent_value}}\n\n容量: {{total_value}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n设备: {{device}}\n\n时间: {{timestamp}}\n\n[查看详情]({{display_url}})\n\n[查看记录]({{record_url}})\n','{\"total_value\":\"size:byte\",\"used_percent_value\":\"percent:2\"}','1.0','2021-05-28 11:55:05','2021-05-28 11:55:06',0),(4568,'磁盘容量异常告警','machine','machine_disk','ticket','alert','【{{cluster_name}}集群机器{{host_ip}}磁盘使用率异常告警】','【磁盘使用率异常告警】\n\n使用率: {{used_percent_value}}\n\n容量: {{total_value}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n设备: {{device}}\n\n时间: {{timestamp}}\n\n[查看详情]({{display_url}})\n\n[查看记录]({{record_url}})\n','{\"total_value\":\"size:byte\",\"used_percent_value\":\"percent:2\"}','1.0','2021-05-28 11:55:05','2021-05-28 11:55:06',0),(4569,'磁盘容量异常告警','machine','machine_disk','email','alert','【{{cluster_name}}集群机器{{host_ip}}磁盘使用率异常告警】','【磁盘使用率异常告警】\n\n使用率: {{used_percent_value}}\n\n容量: {{total_value}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n设备: {{device}}\n\n时间: {{timestamp}}\n\n[查看详情]({{display_url}})\n\n[查看记录]({{record_url}})\n','{\"total_value\":\"size:byte\",\"used_percent_value\":\"percent:2\"}','1.0','2021-05-28 11:55:05','2021-05-28 11:55:06',0),(4570,'磁盘容量异常告警','machine','machine_disk','mbox','alert','【{{cluster_name}}集群机器{{host_ip}}磁盘使用率异常告警】','【磁盘使用率异常告警】\n\n使用率: {{used_percent_value}}\n\n容量: {{total_value}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n设备: {{device}}\n\n时间: {{timestamp}}\n\n[查看详情]({{display_url}})\n\n[查看记录]({{record_url}})\n','{\"total_value\":\"size:byte\",\"used_percent_value\":\"percent:2\"}','1.0','2021-05-28 11:55:05','2021-05-28 11:55:06',0),(4571,'磁盘容量异常告警','machine','machine_disk','webhook','alert','【{{cluster_name}}集群机器{{host_ip}}磁盘使用率异常告警】','【磁盘使用率异常告警】\n\n使用率: {{used_percent_value}}\n\n容量: {{total_value}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n设备: {{device}}\n\n时间: {{timestamp}}\n\n[查看详情]({{display_url}})\n\n[查看记录]({{record_url}})\n','{\"total_value\":\"size:byte\",\"used_percent_value\":\"percent:2\"}','1.0','2021-05-28 11:55:05','2021-05-28 11:55:06',0),(4572,'磁盘容量异常恢复','machine','machine_disk','dingding','recover','【{{cluster_name}}集群机器{{host_ip}}磁盘使用率异常恢复】','【磁盘使用率异常恢复】\n\n使用率: {{used_percent_value}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n设备: {{device}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','{\"trigger_duration\":\"time:ms\",\"used_percent_value\":\"percent:2\"}','1.0','2021-05-28 11:55:05','2021-05-28 11:55:06',0),(4573,'磁盘容量异常恢复','machine','machine_disk','ticket','recover','【{{cluster_name}}集群机器{{host_ip}}磁盘使用率异常恢复】','【磁盘使用率异常恢复】\n\n使用率: {{used_percent_value}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n设备: {{device}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','{\"trigger_duration\":\"time:ms\",\"used_percent_value\":\"percent:2\"}','1.0','2021-05-28 11:55:05','2021-05-28 11:55:06',0),(4574,'磁盘容量异常恢复','machine','machine_disk','email','recover','【{{cluster_name}}集群机器{{host_ip}}磁盘使用率异常恢复】','【磁盘使用率异常恢复】\n\n使用率: {{used_percent_value}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n设备: {{device}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','{\"trigger_duration\":\"time:ms\",\"used_percent_value\":\"percent:2\"}','1.0','2021-05-28 11:55:05','2021-05-28 11:55:06',0),(4575,'磁盘容量异常恢复','machine','machine_disk','mbox','recover','【{{cluster_name}}集群机器{{host_ip}}磁盘使用率异常恢复】','【磁盘使用率异常恢复】\n\n使用率: {{used_percent_value}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n设备: {{device}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','{\"trigger_duration\":\"time:ms\",\"used_percent_value\":\"percent:2\"}','1.0','2021-05-28 11:55:05','2021-05-28 11:55:06',0),(4576,'磁盘容量异常恢复','machine','machine_disk','webhook','recover','【{{cluster_name}}集群机器{{host_ip}}磁盘使用率异常恢复】','【磁盘使用率异常恢复】\n\n使用率: {{used_percent_value}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n设备: {{device}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','{\"trigger_duration\":\"time:ms\",\"used_percent_value\":\"percent:2\"}','1.0','2021-05-28 11:55:05','2021-05-28 11:55:06',0),(4577,'磁盘Inode异常告警','machine','machine_disk_inode','dingding','alert','【{{cluster_name}}集群机器{{host_ip}}磁盘Inode异常告警】','【磁盘Inode异常告警】\n\n使用率: {{inode_used_percent_value}}\n\n容量: {{inodes_total_value}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n设备: {{device}}\n\n时间: {{timestamp}}\n\n[查看详情]({{display_url}})\n\n[查看记录]({{record_url}})\n','{\"inode_used_percent_value\":\"percent:2\",\"inodes_total_value\":\"size:byte\"}','1.0','2021-05-28 11:55:05','2021-05-28 11:55:06',0),(4578,'磁盘Inode异常告警','machine','machine_disk_inode','ticket','alert','【{{cluster_name}}集群机器{{host_ip}}磁盘Inode异常告警】','【磁盘Inode异常告警】\n\n使用率: {{inode_used_percent_value}}\n\n容量: {{inodes_total_value}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n设备: {{device}}\n\n时间: {{timestamp}}\n\n[查看详情]({{display_url}})\n\n[查看记录]({{record_url}})\n','{\"inode_used_percent_value\":\"percent:2\",\"inodes_total_value\":\"size:byte\"}','1.0','2021-05-28 11:55:05','2021-05-28 11:55:06',0),(4579,'磁盘Inode异常告警','machine','machine_disk_inode','email','alert','【{{cluster_name}}集群机器{{host_ip}}磁盘Inode异常告警】','【磁盘Inode异常告警】\n\n使用率: {{inode_used_percent_value}}\n\n容量: {{inodes_total_value}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n设备: {{device}}\n\n时间: {{timestamp}}\n\n[查看详情]({{display_url}})\n\n[查看记录]({{record_url}})\n','{\"inode_used_percent_value\":\"percent:2\",\"inodes_total_value\":\"size:byte\"}','1.0','2021-05-28 11:55:05','2021-05-28 11:55:06',0),(4580,'磁盘Inode异常告警','machine','machine_disk_inode','mbox','alert','【{{cluster_name}}集群机器{{host_ip}}磁盘Inode异常告警】','【磁盘Inode异常告警】\n\n使用率: {{inode_used_percent_value}}\n\n容量: {{inodes_total_value}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n设备: {{device}}\n\n时间: {{timestamp}}\n\n[查看详情]({{display_url}})\n\n[查看记录]({{record_url}})\n','{\"inode_used_percent_value\":\"percent:2\",\"inodes_total_value\":\"size:byte\"}','1.0','2021-05-28 11:55:05','2021-05-28 11:55:06',0),(4581,'磁盘Inode异常告警','machine','machine_disk_inode','webhook','alert','【{{cluster_name}}集群机器{{host_ip}}磁盘Inode异常告警】','【磁盘Inode异常告警】\n\n使用率: {{inode_used_percent_value}}\n\n容量: {{inodes_total_value}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n设备: {{device}}\n\n时间: {{timestamp}}\n\n[查看详情]({{display_url}})\n\n[查看记录]({{record_url}})\n','{\"inode_used_percent_value\":\"percent:2\",\"inodes_total_value\":\"size:byte\"}','1.0','2021-05-28 11:55:05','2021-05-28 11:55:06',0),(4582,'磁盘Inode异常恢复','machine','machine_disk_inode','dingding','recover','【{{cluster_name}}集群机器{{host_ip}}磁盘Inode异常恢复】','【磁盘Inode异常恢复】\n\n使用率: {{inode_used_percent_value}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n设备: {{device}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','{\"inode_used_percent_value\":\"percent:2\",\"trigger_duration\":\"time:ms\"}','1.0','2021-05-28 11:55:05','2021-05-28 11:55:06',0),(4583,'磁盘Inode异常恢复','machine','machine_disk_inode','ticket','recover','【{{cluster_name}}集群机器{{host_ip}}磁盘Inode异常恢复】','【磁盘Inode异常恢复】\n\n使用率: {{inode_used_percent_value}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n设备: {{device}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','{\"inode_used_percent_value\":\"percent:2\",\"trigger_duration\":\"time:ms\"}','1.0','2021-05-28 11:55:05','2021-05-28 11:55:06',0),(4584,'磁盘Inode异常恢复','machine','machine_disk_inode','email','recover','【{{cluster_name}}集群机器{{host_ip}}磁盘Inode异常恢复】','【磁盘Inode异常恢复】\n\n使用率: {{inode_used_percent_value}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n设备: {{device}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','{\"inode_used_percent_value\":\"percent:2\",\"trigger_duration\":\"time:ms\"}','1.0','2021-05-28 11:55:05','2021-05-28 11:55:06',0),(4585,'磁盘Inode异常恢复','machine','machine_disk_inode','mbox','recover','【{{cluster_name}}集群机器{{host_ip}}磁盘Inode异常恢复】','【磁盘Inode异常恢复】\n\n使用率: {{inode_used_percent_value}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n设备: {{device}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','{\"inode_used_percent_value\":\"percent:2\",\"trigger_duration\":\"time:ms\"}','1.0','2021-05-28 11:55:05','2021-05-28 11:55:06',0),(4586,'磁盘Inode异常恢复','machine','machine_disk_inode','webhook','recover','【{{cluster_name}}集群机器{{host_ip}}磁盘Inode异常恢复】','【磁盘Inode异常恢复】\n\n使用率: {{inode_used_percent_value}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n设备: {{device}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','{\"inode_used_percent_value\":\"percent:2\",\"trigger_duration\":\"time:ms\"}','1.0','2021-05-28 11:55:05','2021-05-28 11:55:06',0),(4587,'磁盘IO异常告警','machine','machine_disk_util','dingding','alert','【{{cluster_name}}集群机器{{host_ip}}磁盘IO操作百分比异常告警】','【磁盘IO操作百分比异常告警】\n\nIO操作百分比: {{pct_util_p75}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','{\"pct_util_p75\":\"percent:2\"}','1.0','2021-05-28 11:55:05','2021-05-28 11:55:06',0),(4588,'磁盘IO异常告警','machine','machine_disk_util','ticket','alert','【{{cluster_name}}集群机器{{host_ip}}磁盘IO操作百分比异常告警】','【磁盘IO操作百分比异常告警】\n\nIO操作百分比: {{pct_util_p75}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','{\"pct_util_p75\":\"percent:2\"}','1.0','2021-05-28 11:55:05','2021-05-28 11:55:06',0),(4589,'磁盘IO异常告警','machine','machine_disk_util','email','alert','【{{cluster_name}}集群机器{{host_ip}}磁盘IO操作百分比异常告警】','【磁盘IO操作百分比异常告警】\n\nIO操作百分比: {{pct_util_p75}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','{\"pct_util_p75\":\"percent:2\"}','1.0','2021-05-28 11:55:05','2021-05-28 11:55:06',0),(4590,'磁盘IO异常告警','machine','machine_disk_util','mbox','alert','【{{cluster_name}}集群机器{{host_ip}}磁盘IO操作百分比异常告警】','【磁盘IO操作百分比异常告警】\n\nIO操作百分比: {{pct_util_p75}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','{\"pct_util_p75\":\"percent:2\"}','1.0','2021-05-28 11:55:05','2021-05-28 11:55:06',0),(4591,'磁盘IO异常告警','machine','machine_disk_util','webhook','alert','【{{cluster_name}}集群机器{{host_ip}}磁盘IO操作百分比异常告警】','【磁盘IO操作百分比异常告警】\n\nIO操作百分比: {{pct_util_p75}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','{\"pct_util_p75\":\"percent:2\"}','1.0','2021-05-28 11:55:05','2021-05-28 11:55:06',0),(4592,'磁盘IO异常恢复','machine','machine_disk_util','dingding','recover','【{{cluster_name}}集群机器{{host_ip}}磁盘IO操作百分比异常恢复】','【磁盘IO操作百分比异常恢复】\n\nIO操作百分比: {{pct_util_p75}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','{\"pct_util_p75\":\"percent:2\",\"trigger_duration\":\"time:ms\"}','1.0','2021-05-28 11:55:05','2021-05-28 11:55:06',0),(4593,'磁盘IO异常恢复','machine','machine_disk_util','ticket','recover','【{{cluster_name}}集群机器{{host_ip}}磁盘IO操作百分比异常恢复】','【磁盘IO操作百分比异常恢复】\n\nIO操作百分比: {{pct_util_p75}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','{\"pct_util_p75\":\"percent:2\",\"trigger_duration\":\"time:ms\"}','1.0','2021-05-28 11:55:05','2021-05-28 11:55:06',0),(4594,'磁盘IO异常恢复','machine','machine_disk_util','email','recover','【{{cluster_name}}集群机器{{host_ip}}磁盘IO操作百分比异常恢复】','【磁盘IO操作百分比异常恢复】\n\nIO操作百分比: {{pct_util_p75}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','{\"pct_util_p75\":\"percent:2\",\"trigger_duration\":\"time:ms\"}','1.0','2021-05-28 11:55:05','2021-05-28 11:55:06',0),(4595,'磁盘IO异常恢复','machine','machine_disk_util','mbox','recover','【{{cluster_name}}集群机器{{host_ip}}磁盘IO操作百分比异常恢复】','【磁盘IO操作百分比异常恢复】\n\nIO操作百分比: {{pct_util_p75}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','{\"pct_util_p75\":\"percent:2\",\"trigger_duration\":\"time:ms\"}','1.0','2021-05-28 11:55:05','2021-05-28 11:55:06',0),(4596,'磁盘IO异常恢复','machine','machine_disk_util','webhook','recover','【{{cluster_name}}集群机器{{host_ip}}磁盘IO操作百分比异常恢复】','【磁盘IO操作百分比异常恢复】\n\nIO操作百分比: {{pct_util_p75}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','{\"pct_util_p75\":\"percent:2\",\"trigger_duration\":\"time:ms\"}','1.0','2021-05-28 11:55:05','2021-05-28 11:55:06',0),(4597,'机器负载异常告警','machine','machine_load5','dingding','alert','【{{cluster_name}}集群机器{{host_ip}}负载异常告警】','【机器负载异常告警】\n\nLoad5: {{load5_avg}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n时间: {{timestamp}}\n\n[查看详情]({{display_url}})\n\n[查看记录]({{record_url}})\n','','1.0','2021-05-28 11:55:05','2021-05-28 11:55:06',0),(4598,'机器负载异常告警','machine','machine_load5','ticket','alert','【{{cluster_name}}集群机器{{host_ip}}负载异常告警】','【机器负载异常告警】\n\nLoad5: {{load5_avg}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n时间: {{timestamp}}\n\n[查看详情]({{display_url}})\n\n[查看记录]({{record_url}})\n','','1.0','2021-05-28 11:55:05','2021-05-28 11:55:06',0),(4599,'机器负载异常告警','machine','machine_load5','email','alert','【{{cluster_name}}集群机器{{host_ip}}负载异常告警】','【机器负载异常告警】\n\nLoad5: {{load5_avg}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n时间: {{timestamp}}\n\n[查看详情]({{display_url}})\n\n[查看记录]({{record_url}})\n','','1.0','2021-05-28 11:55:05','2021-05-28 11:55:06',0),(4600,'机器负载异常告警','machine','machine_load5','mbox','alert','【{{cluster_name}}集群机器{{host_ip}}负载异常告警】','【机器负载异常告警】\n\nLoad5: {{load5_avg}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n时间: {{timestamp}}\n\n[查看详情]({{display_url}})\n\n[查看记录]({{record_url}})\n','','1.0','2021-05-28 11:55:05','2021-05-28 11:55:06',0),(4601,'机器负载异常告警','machine','machine_load5','webhook','alert','【{{cluster_name}}集群机器{{host_ip}}负载异常告警】','【机器负载异常告警】\n\nLoad5: {{load5_avg}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n时间: {{timestamp}}\n\n[查看详情]({{display_url}})\n\n[查看记录]({{record_url}})\n','','1.0','2021-05-28 11:55:05','2021-05-28 11:55:06',0),(4602,'机器负载异常恢复','machine','machine_load5','dingding','recover','【{{cluster_name}}集群机器{{host_ip}}负载异常恢复】','【机器负载异常恢复】\n\nLoad5: {{load5_avg}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','{\"trigger_duration\":\"time:ms\"}','1.0','2021-05-28 11:55:05','2021-05-28 11:55:06',0),(4603,'机器负载异常恢复','machine','machine_load5','ticket','recover','【{{cluster_name}}集群机器{{host_ip}}负载异常恢复】','【机器负载异常恢复】\n\nLoad5: {{load5_avg}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','{\"trigger_duration\":\"time:ms\"}','1.0','2021-05-28 11:55:05','2021-05-28 11:55:06',0),(4604,'机器负载异常恢复','machine','machine_load5','email','recover','【{{cluster_name}}集群机器{{host_ip}}负载异常恢复】','【机器负载异常恢复】\n\nLoad5: {{load5_avg}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','{\"trigger_duration\":\"time:ms\"}','1.0','2021-05-28 11:55:05','2021-05-28 11:55:06',0),(4605,'机器负载异常恢复','machine','machine_load5','mbox','recover','【{{cluster_name}}集群机器{{host_ip}}负载异常恢复】','【机器负载异常恢复】\n\nLoad5: {{load5_avg}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','{\"trigger_duration\":\"time:ms\"}','1.0','2021-05-28 11:55:05','2021-05-28 11:55:06',0),(4606,'机器负载异常恢复','machine','machine_load5','webhook','recover','【{{cluster_name}}集群机器{{host_ip}}负载异常恢复】','【机器负载异常恢复】\n\nLoad5: {{load5_avg}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','{\"trigger_duration\":\"time:ms\"}','1.0','2021-05-28 11:55:05','2021-05-28 11:55:06',0),(4607,'网盘容量异常告警','machine','machine_netdisk','dingding','alert','【{{cluster_name}}集群网盘使用率异常告警】','【网盘使用率异常告警】\n\n使用率: {{used_percent_value}}\n\n容量: {{total_value}}\n\n集群: {{cluster_name}}\n\n时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','{\"total_value\":\"size:byte\",\"used_percent_value\":\"percent:2\"}','1.0','2021-05-28 11:55:05','2021-05-28 11:55:06',0),(4608,'网盘容量异常告警','machine','machine_netdisk','ticket','alert','【{{cluster_name}}集群网盘使用率异常告警】','【网盘使用率异常告警】\n\n使用率: {{used_percent_value}}\n\n容量: {{total_value}}\n\n集群: {{cluster_name}}\n\n时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','{\"total_value\":\"size:byte\",\"used_percent_value\":\"percent:2\"}','1.0','2021-05-28 11:55:05','2021-05-28 11:55:06',0),(4609,'网盘容量异常告警','machine','machine_netdisk','email','alert','【{{cluster_name}}集群网盘使用率异常告警】','【网盘使用率异常告警】\n\n使用率: {{used_percent_value}}\n\n容量: {{total_value}}\n\n集群: {{cluster_name}}\n\n时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','{\"total_value\":\"size:byte\",\"used_percent_value\":\"percent:2\"}','1.0','2021-05-28 11:55:05','2021-05-28 11:55:06',0),(4610,'网盘容量异常告警','machine','machine_netdisk','mbox','alert','【{{cluster_name}}集群网盘使用率异常告警】','【网盘使用率异常告警】\n\n使用率: {{used_percent_value}}\n\n容量: {{total_value}}\n\n集群: {{cluster_name}}\n\n时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','{\"total_value\":\"size:byte\",\"used_percent_value\":\"percent:2\"}','1.0','2021-05-28 11:55:05','2021-05-28 11:55:06',0),(4611,'网盘容量异常告警','machine','machine_netdisk','webhook','alert','【{{cluster_name}}集群网盘使用率异常告警】','【网盘使用率异常告警】\n\n使用率: {{used_percent_value}}\n\n容量: {{total_value}}\n\n集群: {{cluster_name}}\n\n时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','{\"total_value\":\"size:byte\",\"used_percent_value\":\"percent:2\"}','1.0','2021-05-28 11:55:05','2021-05-28 11:55:06',0),(4612,'网盘容量异常恢复','machine','machine_netdisk','dingding','recover','【{{cluster_name}}集群网盘使用率异常恢复】','【网盘使用率异常恢复】\n\n使用率: {{used_percent_value}}\n\n集群: {{cluster_name}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','{\"trigger_duration\":\"time:ms\",\"used_percent_value\":\"percent:2\"}','1.0','2021-05-28 11:55:05','2021-05-28 11:55:06',0),(4613,'网盘容量异常恢复','machine','machine_netdisk','ticket','recover','【{{cluster_name}}集群网盘使用率异常恢复】','【网盘使用率异常恢复】\n\n使用率: {{used_percent_value}}\n\n集群: {{cluster_name}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','{\"trigger_duration\":\"time:ms\",\"used_percent_value\":\"percent:2\"}','1.0','2021-05-28 11:55:05','2021-05-28 11:55:06',0),(4614,'网盘容量异常恢复','machine','machine_netdisk','email','recover','【{{cluster_name}}集群网盘使用率异常恢复】','【网盘使用率异常恢复】\n\n使用率: {{used_percent_value}}\n\n集群: {{cluster_name}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','{\"trigger_duration\":\"time:ms\",\"used_percent_value\":\"percent:2\"}','1.0','2021-05-28 11:55:05','2021-05-28 11:55:06',0),(4615,'网盘容量异常恢复','machine','machine_netdisk','mbox','recover','【{{cluster_name}}集群网盘使用率异常恢复】','【网盘使用率异常恢复】\n\n使用率: {{used_percent_value}}\n\n集群: {{cluster_name}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','{\"trigger_duration\":\"time:ms\",\"used_percent_value\":\"percent:2\"}','1.0','2021-05-28 11:55:05','2021-05-28 11:55:06',0),(4616,'网盘容量异常恢复','machine','machine_netdisk','webhook','recover','【{{cluster_name}}集群网盘使用率异常恢复】','【网盘使用率异常恢复】\n\n使用率: {{used_percent_value}}\n\n集群: {{cluster_name}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','{\"trigger_duration\":\"time:ms\",\"used_percent_value\":\"percent:2\"}','1.0','2021-05-28 11:55:05','2021-05-28 11:55:06',0),(4617,'网盘容量使用量异常告警','machine','machine_netdisk_used','dingding','alert','【{{cluster_name}}集群网盘使用率异常告警】','【网盘使用异常告警】\n\n使用: {{used}}GB\n\n容量: {{total}}GB\n\n集群: {{cluster_name}}\n\n时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','{}','1.0','2021-05-28 11:55:05','2021-05-28 11:55:06',0),(4618,'网盘容量使用量异常告警','machine','machine_netdisk_used','ticket','alert','【{{cluster_name}}集群网盘使用率异常告警】','【网盘使用异常告警】\n\n使用: {{used}}GB\n\n容量: {{total}}GB\n\n集群: {{cluster_name}}\n\n时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','{}','1.0','2021-05-28 11:55:05','2021-05-28 11:55:06',0),(4619,'网盘容量使用量异常告警','machine','machine_netdisk_used','email','alert','【{{cluster_name}}集群网盘使用率异常告警】','【网盘使用异常告警】\n\n使用: {{used}}GB\n\n容量: {{total}}GB\n\n集群: {{cluster_name}}\n\n时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','{}','1.0','2021-05-28 11:55:05','2021-05-28 11:55:06',0),(4620,'网盘容量使用量异常告警','machine','machine_netdisk_used','mbox','alert','【{{cluster_name}}集群网盘使用率异常告警】','【网盘使用异常告警】\n\n使用: {{used}}GB\n\n容量: {{total}}GB\n\n集群: {{cluster_name}}\n\n时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','{}','1.0','2021-05-28 11:55:05','2021-05-28 11:55:06',0),(4621,'网盘容量使用量异常告警','machine','machine_netdisk_used','webhook','alert','【{{cluster_name}}集群网盘使用率异常告警】','【网盘使用异常告警】\n\n使用: {{used}}GB\n\n容量: {{total}}GB\n\n集群: {{cluster_name}}\n\n时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','{}','1.0','2021-05-28 11:55:05','2021-05-28 11:55:06',0),(4622,'网盘容量异常恢复','machine','machine_netdisk_used','dingding','recover','【{{cluster_name}}集群网盘使用率异常恢复】','【网盘使用率异常恢复】\n\n使用: {{used}}GB\n\n集群: {{cluster_name}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','{\"trigger_duration\":\"time:ms\"}','1.0','2021-05-28 11:55:05','2021-05-28 11:55:06',0),(4623,'网盘容量异常恢复','machine','machine_netdisk_used','ticket','recover','【{{cluster_name}}集群网盘使用率异常恢复】','【网盘使用率异常恢复】\n\n使用: {{used}}GB\n\n集群: {{cluster_name}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','{\"trigger_duration\":\"time:ms\"}','1.0','2021-05-28 11:55:05','2021-05-28 11:55:06',0),(4624,'网盘容量异常恢复','machine','machine_netdisk_used','email','recover','【{{cluster_name}}集群网盘使用率异常恢复】','【网盘使用率异常恢复】\n\n使用: {{used}}GB\n\n集群: {{cluster_name}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','{\"trigger_duration\":\"time:ms\"}','1.0','2021-05-28 11:55:05','2021-05-28 11:55:06',0),(4625,'网盘容量异常恢复','machine','machine_netdisk_used','mbox','recover','【{{cluster_name}}集群网盘使用率异常恢复】','【网盘使用率异常恢复】\n\n使用: {{used}}GB\n\n集群: {{cluster_name}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','{\"trigger_duration\":\"time:ms\"}','1.0','2021-05-28 11:55:05','2021-05-28 11:55:06',0),(4626,'网盘容量异常恢复','machine','machine_netdisk_used','webhook','recover','【{{cluster_name}}集群网盘使用率异常恢复】','【网盘使用率异常恢复】\n\n使用: {{used}}GB\n\n集群: {{cluster_name}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','{\"trigger_duration\":\"time:ms\"}','1.0','2021-05-28 11:55:05','2021-05-28 11:55:06',0),(4627,'宕机告警','machine','machine_status','dingding','alert','【{{cluster_name}}集群机器{{host_ip}}宕机告警】','【宕机告警】\n\n机器{{window}}分钟内无消息, 疑似发生宕机\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n最近活跃时间: {{last_timestamp_value}}\n\n时间: {{timestamp}}\n\n[查看详情]({{display_url}})\n\n[查看记录]({{record_url}})\n','{\"last_timestamp_value\":\"date\"}','1.0','2021-05-28 11:55:05','2021-05-28 11:55:06',0),(4628,'宕机告警','machine','machine_status','ticket','alert','【{{cluster_name}}集群机器{{host_ip}}宕机告警】','【宕机告警】\n\n机器{{window}}分钟内无消息, 疑似发生宕机\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n最近活跃时间: {{last_timestamp_value}}\n\n时间: {{timestamp}}\n\n[查看详情]({{display_url}})\n\n[查看记录]({{record_url}})\n','{\"last_timestamp_value\":\"date\"}','1.0','2021-05-28 11:55:05','2021-05-28 11:55:06',0),(4629,'宕机告警','machine','machine_status','email','alert','【{{cluster_name}}集群机器{{host_ip}}宕机告警】','【宕机告警】\n\n机器{{window}}分钟内无消息, 疑似发生宕机\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n最近活跃时间: {{last_timestamp_value}}\n\n时间: {{timestamp}}\n\n[查看详情]({{display_url}})\n\n[查看记录]({{record_url}})\n','{\"last_timestamp_value\":\"date\"}','1.0','2021-05-28 11:55:05','2021-05-28 11:55:06',0),(4630,'宕机告警','machine','machine_status','mbox','alert','【{{cluster_name}}集群机器{{host_ip}}宕机告警】','【宕机告警】\n\n机器{{window}}分钟内无消息, 疑似发生宕机\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n最近活跃时间: {{last_timestamp_value}}\n\n时间: {{timestamp}}\n\n[查看详情]({{display_url}})\n\n[查看记录]({{record_url}})\n','{\"last_timestamp_value\":\"date\"}','1.0','2021-05-28 11:55:05','2021-05-28 11:55:06',0),(4631,'宕机告警','machine','machine_status','webhook','alert','【{{cluster_name}}集群机器{{host_ip}}宕机告警】','【宕机告警】\n\n机器{{window}}分钟内无消息, 疑似发生宕机\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n最近活跃时间: {{last_timestamp_value}}\n\n时间: {{timestamp}}\n\n[查看详情]({{display_url}})\n\n[查看记录]({{record_url}})\n','{\"last_timestamp_value\":\"date\"}','1.0','2021-05-28 11:55:05','2021-05-28 11:55:06',0),(4632,'宕机恢复','machine','machine_status','dingding','recover','【{{cluster_name}}集群机器{{host_ip}}宕机恢复】','【宕机恢复】\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','{\"trigger_duration\":\"time:ms\"}','1.0','2021-05-28 11:55:05','2021-05-28 11:55:06',0),(4633,'宕机恢复','machine','machine_status','ticket','recover','【{{cluster_name}}集群机器{{host_ip}}宕机恢复】','【宕机恢复】\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','{\"trigger_duration\":\"time:ms\"}','1.0','2021-05-28 11:55:05','2021-05-28 11:55:06',0),(4634,'宕机恢复','machine','machine_status','email','recover','【{{cluster_name}}集群机器{{host_ip}}宕机恢复】','【宕机恢复】\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','{\"trigger_duration\":\"time:ms\"}','1.0','2021-05-28 11:55:05','2021-05-28 11:55:06',0),(4635,'宕机恢复','machine','machine_status','mbox','recover','【{{cluster_name}}集群机器{{host_ip}}宕机恢复】','【宕机恢复】\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','{\"trigger_duration\":\"time:ms\"}','1.0','2021-05-28 11:55:05','2021-05-28 11:55:06',0),(4636,'宕机恢复','machine','machine_status','webhook','recover','【{{cluster_name}}集群机器{{host_ip}}宕机恢复】','【宕机恢复】\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','{\"trigger_duration\":\"time:ms\"}','1.0','2021-05-28 11:55:05','2021-05-28 11:55:06',0),(4637,'API网关实例CPU使用率异常','micro_service','api_gateway_cpu','dingding','alert','【API网关实例CPU使用率告警】\n','【API网关实例CPU使用率异常告警】\n\n组件: {{addon_type}}\n\n实例: {{pod_namespace}} - {{pod_name}}\n\nCPU平均使用率: {{cpu_usage_percent_avg}}\n\nCPU限制: {{cpu_limit_value}}核\n\nCPU分配: {{cpu_allocation_value}}核\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','{\"container_id\":\"string:6\",\"cpu_allocation_value\":\"fraction:1\",\"cpu_limit_value\":\"fraction:1\",\"cpu_usage_percent_avg\":\"percent:1\"}','1.0','2021-05-28 11:55:05','2021-05-28 11:55:06',0),(4638,'API网关实例CPU使用率异常','micro_service','api_gateway_cpu','ticket','alert','【API网关实例CPU使用率告警】\n','【API网关实例CPU使用率异常告警】\n\n组件: {{addon_type}}\n\n实例: {{pod_namespace}} - {{pod_name}}\n\nCPU平均使用率: {{cpu_usage_percent_avg}}\n\nCPU限制: {{cpu_limit_value}}核\n\nCPU分配: {{cpu_allocation_value}}核\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','{\"container_id\":\"string:6\",\"cpu_allocation_value\":\"fraction:1\",\"cpu_limit_value\":\"fraction:1\",\"cpu_usage_percent_avg\":\"percent:1\"}','1.0','2021-05-28 11:55:05','2021-05-28 11:55:06',0),(4639,'API网关实例CPU使用率异常','micro_service','api_gateway_cpu','email','alert','【API网关实例CPU使用率告警】\n','【API网关实例CPU使用率异常告警】\n\n组件: {{addon_type}}\n\n实例: {{pod_namespace}} - {{pod_name}}\n\nCPU平均使用率: {{cpu_usage_percent_avg}}\n\nCPU限制: {{cpu_limit_value}}核\n\nCPU分配: {{cpu_allocation_value}}核\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','{\"container_id\":\"string:6\",\"cpu_allocation_value\":\"fraction:1\",\"cpu_limit_value\":\"fraction:1\",\"cpu_usage_percent_avg\":\"percent:1\"}','1.0','2021-05-28 11:55:05','2021-05-28 11:55:06',0),(4640,'API网关实例CPU使用率异常','micro_service','api_gateway_cpu','mbox','alert','【API网关实例CPU使用率告警】\n','【API网关实例CPU使用率异常告警】\n\n组件: {{addon_type}}\n\n实例: {{pod_namespace}} - {{pod_name}}\n\nCPU平均使用率: {{cpu_usage_percent_avg}}\n\nCPU限制: {{cpu_limit_value}}核\n\nCPU分配: {{cpu_allocation_value}}核\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','{\"container_id\":\"string:6\",\"cpu_allocation_value\":\"fraction:1\",\"cpu_limit_value\":\"fraction:1\",\"cpu_usage_percent_avg\":\"percent:1\"}','1.0','2021-05-28 11:55:05','2021-05-28 11:55:06',0),(4641,'API网关实例CPU使用率异常','micro_service','api_gateway_cpu','webhook','alert','【API网关实例CPU使用率告警】\n','【API网关实例CPU使用率异常告警】\n\n组件: {{addon_type}}\n\n实例: {{pod_namespace}} - {{pod_name}}\n\nCPU平均使用率: {{cpu_usage_percent_avg}}\n\nCPU限制: {{cpu_limit_value}}核\n\nCPU分配: {{cpu_allocation_value}}核\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','{\"container_id\":\"string:6\",\"cpu_allocation_value\":\"fraction:1\",\"cpu_limit_value\":\"fraction:1\",\"cpu_usage_percent_avg\":\"percent:1\"}','1.0','2021-05-28 11:55:05','2021-05-28 11:55:06',0),(4642,'API网关实例内存使用率异常','micro_service','api_gateway_mem','dingding','alert','【API网关实例内存使用率告警】\n','【API网关实例内存使用率异常告警】\n\n组件: {{addon_type}}\n\n实例: {{pod_namespace}} - {{pod_name}}\n\n内存使用率: {{mem_usage_percent_avg}}\n\n内存使用: {{mem_usage_value}}\n\n内存限制: {{mem_limit_value}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','{\"container_id\":\"string:6\",\"mem_limit_value\":\"size:byte\",\"mem_usage_percent_avg\":\"percent:1\",\"mem_usage_value\":\"size:byte\"}','1.0','2021-05-28 11:55:05','2021-05-28 11:55:06',0),(4643,'API网关实例内存使用率异常','micro_service','api_gateway_mem','ticket','alert','【API网关实例内存使用率告警】\n','【API网关实例内存使用率异常告警】\n\n组件: {{addon_type}}\n\n实例: {{pod_namespace}} - {{pod_name}}\n\n内存使用率: {{mem_usage_percent_avg}}\n\n内存使用: {{mem_usage_value}}\n\n内存限制: {{mem_limit_value}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','{\"container_id\":\"string:6\",\"mem_limit_value\":\"size:byte\",\"mem_usage_percent_avg\":\"percent:1\",\"mem_usage_value\":\"size:byte\"}','1.0','2021-05-28 11:55:05','2021-05-28 11:55:06',0),(4644,'API网关实例内存使用率异常','micro_service','api_gateway_mem','email','alert','【API网关实例内存使用率告警】\n','【API网关实例内存使用率异常告警】\n\n组件: {{addon_type}}\n\n实例: {{pod_namespace}} - {{pod_name}}\n\n内存使用率: {{mem_usage_percent_avg}}\n\n内存使用: {{mem_usage_value}}\n\n内存限制: {{mem_limit_value}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','{\"container_id\":\"string:6\",\"mem_limit_value\":\"size:byte\",\"mem_usage_percent_avg\":\"percent:1\",\"mem_usage_value\":\"size:byte\"}','1.0','2021-05-28 11:55:05','2021-05-28 11:55:06',0),(4645,'API网关实例内存使用率异常','micro_service','api_gateway_mem','mbox','alert','【API网关实例内存使用率告警】\n','【API网关实例内存使用率异常告警】\n\n组件: {{addon_type}}\n\n实例: {{pod_namespace}} - {{pod_name}}\n\n内存使用率: {{mem_usage_percent_avg}}\n\n内存使用: {{mem_usage_value}}\n\n内存限制: {{mem_limit_value}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','{\"container_id\":\"string:6\",\"mem_limit_value\":\"size:byte\",\"mem_usage_percent_avg\":\"percent:1\",\"mem_usage_value\":\"size:byte\"}','1.0','2021-05-28 11:55:05','2021-05-28 11:55:06',0),(4646,'API网关实例内存使用率异常','micro_service','api_gateway_mem','webhook','alert','【API网关实例内存使用率告警】\n','【API网关实例内存使用率异常告警】\n\n组件: {{addon_type}}\n\n实例: {{pod_namespace}} - {{pod_name}}\n\n内存使用率: {{mem_usage_percent_avg}}\n\n内存使用: {{mem_usage_value}}\n\n内存限制: {{mem_limit_value}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','{\"container_id\":\"string:6\",\"mem_limit_value\":\"size:byte\",\"mem_usage_percent_avg\":\"percent:1\",\"mem_usage_value\":\"size:byte\"}','1.0','2021-05-28 11:55:05','2021-05-28 11:55:06',0),(4647,'注册中心实例CPU使用率异常','micro_service','register_center_cpu','dingding','alert','【注册中心实例CPU使用率告警】\n','【注册中心实例CPU使用率异常告警】\n\n组件: {{addon_type}}\n\n实例: {{pod_namespace}} - {{pod_name}}\n\nCPU平均使用率: {{cpu_usage_percent_avg}}\n\nCPU限制: {{cpu_limit_value}}核\n\nCPU分配: {{cpu_allocation_value}}核\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','{\"container_id\":\"string:6\",\"cpu_allocation_value\":\"fraction:1\",\"cpu_limit_value\":\"fraction:1\",\"cpu_usage_percent_avg\":\"percent:1\"}','1.0','2021-05-28 11:55:05','2021-05-28 11:55:06',0),(4648,'注册中心实例CPU使用率异常','micro_service','register_center_cpu','ticket','alert','【注册中心实例CPU使用率告警】\n','【注册中心实例CPU使用率异常告警】\n\n组件: {{addon_type}}\n\n实例: {{pod_namespace}} - {{pod_name}}\n\nCPU平均使用率: {{cpu_usage_percent_avg}}\n\nCPU限制: {{cpu_limit_value}}核\n\nCPU分配: {{cpu_allocation_value}}核\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','{\"container_id\":\"string:6\",\"cpu_allocation_value\":\"fraction:1\",\"cpu_limit_value\":\"fraction:1\",\"cpu_usage_percent_avg\":\"percent:1\"}','1.0','2021-05-28 11:55:05','2021-05-28 11:55:06',0),(4649,'注册中心实例CPU使用率异常','micro_service','register_center_cpu','email','alert','【注册中心实例CPU使用率告警】\n','【注册中心实例CPU使用率异常告警】\n\n组件: {{addon_type}}\n\n实例: {{pod_namespace}} - {{pod_name}}\n\nCPU平均使用率: {{cpu_usage_percent_avg}}\n\nCPU限制: {{cpu_limit_value}}核\n\nCPU分配: {{cpu_allocation_value}}核\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','{\"container_id\":\"string:6\",\"cpu_allocation_value\":\"fraction:1\",\"cpu_limit_value\":\"fraction:1\",\"cpu_usage_percent_avg\":\"percent:1\"}','1.0','2021-05-28 11:55:05','2021-05-28 11:55:06',0),(4650,'注册中心实例CPU使用率异常','micro_service','register_center_cpu','mbox','alert','【注册中心实例CPU使用率告警】\n','【注册中心实例CPU使用率异常告警】\n\n组件: {{addon_type}}\n\n实例: {{pod_namespace}} - {{pod_name}}\n\nCPU平均使用率: {{cpu_usage_percent_avg}}\n\nCPU限制: {{cpu_limit_value}}核\n\nCPU分配: {{cpu_allocation_value}}核\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','{\"container_id\":\"string:6\",\"cpu_allocation_value\":\"fraction:1\",\"cpu_limit_value\":\"fraction:1\",\"cpu_usage_percent_avg\":\"percent:1\"}','1.0','2021-05-28 11:55:05','2021-05-28 11:55:06',0),(4651,'注册中心实例CPU使用率异常','micro_service','register_center_cpu','webhook','alert','【注册中心实例CPU使用率告警】\n','【注册中心实例CPU使用率异常告警】\n\n组件: {{addon_type}}\n\n实例: {{pod_namespace}} - {{pod_name}}\n\nCPU平均使用率: {{cpu_usage_percent_avg}}\n\nCPU限制: {{cpu_limit_value}}核\n\nCPU分配: {{cpu_allocation_value}}核\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','{\"container_id\":\"string:6\",\"cpu_allocation_value\":\"fraction:1\",\"cpu_limit_value\":\"fraction:1\",\"cpu_usage_percent_avg\":\"percent:1\"}','1.0','2021-05-28 11:55:05','2021-05-28 11:55:06',0),(4652,'注册中心实例内存使用率异常','micro_service','register_center_mem','dingding','alert','【注册中心实例内存使用率告警】\n','【注册中心实例内存使用率异常告警】\n\n组件: {{addon_type}}\n\n实例: {{pod_namespace}} - {{pod_name}}\n\n内存使用率: {{mem_usage_percent_avg}}\n\n内存使用: {{mem_usage_value}}\n\n内存限制: {{mem_limit_value}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','{\"container_id\":\"string:6\",\"mem_limit_value\":\"size:byte\",\"mem_usage_percent_avg\":\"percent:1\",\"mem_usage_value\":\"size:byte\"}','1.0','2021-05-28 11:55:05','2021-05-28 11:55:06',0),(4653,'注册中心实例内存使用率异常','micro_service','register_center_mem','ticket','alert','【注册中心实例内存使用率告警】\n','【注册中心实例内存使用率异常告警】\n\n组件: {{addon_type}}\n\n实例: {{pod_namespace}} - {{pod_name}}\n\n内存使用率: {{mem_usage_percent_avg}}\n\n内存使用: {{mem_usage_value}}\n\n内存限制: {{mem_limit_value}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','{\"container_id\":\"string:6\",\"mem_limit_value\":\"size:byte\",\"mem_usage_percent_avg\":\"percent:1\",\"mem_usage_value\":\"size:byte\"}','1.0','2021-05-28 11:55:05','2021-05-28 11:55:06',0),(4654,'注册中心实例内存使用率异常','micro_service','register_center_mem','email','alert','【注册中心实例内存使用率告警】\n','【注册中心实例内存使用率异常告警】\n\n组件: {{addon_type}}\n\n实例: {{pod_namespace}} - {{pod_name}}\n\n内存使用率: {{mem_usage_percent_avg}}\n\n内存使用: {{mem_usage_value}}\n\n内存限制: {{mem_limit_value}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','{\"container_id\":\"string:6\",\"mem_limit_value\":\"size:byte\",\"mem_usage_percent_avg\":\"percent:1\",\"mem_usage_value\":\"size:byte\"}','1.0','2021-05-28 11:55:05','2021-05-28 11:55:06',0),(4655,'注册中心实例内存使用率异常','micro_service','register_center_mem','mbox','alert','【注册中心实例内存使用率告警】\n','【注册中心实例内存使用率异常告警】\n\n组件: {{addon_type}}\n\n实例: {{pod_namespace}} - {{pod_name}}\n\n内存使用率: {{mem_usage_percent_avg}}\n\n内存使用: {{mem_usage_value}}\n\n内存限制: {{mem_limit_value}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','{\"container_id\":\"string:6\",\"mem_limit_value\":\"size:byte\",\"mem_usage_percent_avg\":\"percent:1\",\"mem_usage_value\":\"size:byte\"}','1.0','2021-05-28 11:55:05','2021-05-28 11:55:06',0),(4656,'注册中心实例内存使用率异常','micro_service','register_center_mem','webhook','alert','【注册中心实例内存使用率告警】\n','【注册中心实例内存使用率异常告警】\n\n组件: {{addon_type}}\n\n实例: {{pod_namespace}} - {{pod_name}}\n\n内存使用率: {{mem_usage_percent_avg}}\n\n内存使用: {{mem_usage_value}}\n\n内存限制: {{mem_limit_value}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','{\"container_id\":\"string:6\",\"mem_limit_value\":\"size:byte\",\"mem_usage_percent_avg\":\"percent:1\",\"mem_usage_value\":\"size:byte\"}','1.0','2021-05-28 11:55:05','2021-05-28 11:55:06',0),(4657,'服务熔断通知告警','micro_service','sidecar_circuit_breaker','dingding','alert','【{{application_name}}应用{{service_name}}服务发生熔断告警】\n','【服务熔断告警】\n\n服务发生熔断 !\n\n项目: {{project_name}}\n\n环境: {{workspace}}\n\n应用: {{application_name}}\n\n服务: {{runtime_name}} / {{service_name}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','','1.0','2021-05-28 11:55:05','2021-05-28 11:55:06',0),(4658,'服务熔断通知告警','micro_service','sidecar_circuit_breaker','ticket','alert','【{{application_name}}应用{{service_name}}服务发生熔断告警】\n','【服务熔断告警】\n\n服务发生熔断 !\n\n项目: {{project_name}}\n\n环境: {{workspace}}\n\n应用: {{application_name}}\n\n服务: {{runtime_name}} / {{service_name}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','','1.0','2021-05-28 11:55:06','2021-05-28 11:55:06',0),(4659,'服务熔断通知告警','micro_service','sidecar_circuit_breaker','email','alert','【{{application_name}}应用{{service_name}}服务发生熔断告警】\n','【服务熔断告警】\n\n服务发生熔断 !\n\n项目: {{project_name}}\n\n环境: {{workspace}}\n\n应用: {{application_name}}\n\n服务: {{runtime_name}} / {{service_name}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','','1.0','2021-05-28 11:55:06','2021-05-28 11:55:06',0),(4660,'服务熔断通知告警','micro_service','sidecar_circuit_breaker','mbox','alert','【{{application_name}}应用{{service_name}}服务发生熔断告警】\n','【服务熔断告警】\n\n服务发生熔断 !\n\n项目: {{project_name}}\n\n环境: {{workspace}}\n\n应用: {{application_name}}\n\n服务: {{runtime_name}} / {{service_name}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','','1.0','2021-05-28 11:55:06','2021-05-28 11:55:06',0),(4661,'服务熔断通知告警','micro_service','sidecar_circuit_breaker','webhook','alert','【{{application_name}}应用{{service_name}}服务发生熔断告警】\n','【服务熔断告警】\n\n服务发生熔断 !\n\n项目: {{project_name}}\n\n环境: {{workspace}}\n\n应用: {{application_name}}\n\n服务: {{runtime_name}} / {{service_name}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','','1.0','2021-05-28 11:55:06','2021-05-28 11:55:06',0),(4662,'机器CPU异常告警','machine','machine_cpu','dingding','alert','【{{cluster_name}}集群机器{{host_ip}} CPU使用率异常告警】','【机器CPU使用率异常告警】\n\nCPU平均使用率: {{cpu_usage_active_avg}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n时间: {{timestamp}}\n\n[查看详情]({{display_url}})\n\n[查看记录]({{record_url}})\n','{\"cpu_usage_active_avg\":\"percent:2\"}','1.0','2021-05-28 11:55:06','2021-05-28 11:55:06',0),(4663,'机器CPU异常告警','machine','machine_cpu','ticket','alert','【{{cluster_name}}集群机器{{host_ip}} CPU使用率异常告警】','【机器CPU使用率异常告警】\n\nCPU平均使用率: {{cpu_usage_active_avg}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n时间: {{timestamp}}\n\n[查看详情]({{display_url}})\n\n[查看记录]({{record_url}})\n','{\"cpu_usage_active_avg\":\"percent:2\"}','1.0','2021-05-28 11:55:06','2021-05-28 11:55:06',0),(4664,'机器CPU异常告警','machine','machine_cpu','email','alert','【{{cluster_name}}集群机器{{host_ip}} CPU使用率异常告警】','【机器CPU使用率异常告警】\n\nCPU平均使用率: {{cpu_usage_active_avg}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n时间: {{timestamp}}\n\n[查看详情]({{display_url}})\n\n[查看记录]({{record_url}})\n','{\"cpu_usage_active_avg\":\"percent:2\"}','1.0','2021-05-28 11:55:06','2021-05-28 11:55:06',0),(4665,'机器CPU异常告警','machine','machine_cpu','mbox','alert','【{{cluster_name}}集群机器{{host_ip}} CPU使用率异常告警】','【机器CPU使用率异常告警】\n\nCPU平均使用率: {{cpu_usage_active_avg}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n时间: {{timestamp}}\n\n[查看详情]({{display_url}})\n\n[查看记录]({{record_url}})\n','{\"cpu_usage_active_avg\":\"percent:2\"}','1.0','2021-05-28 11:55:06','2021-05-28 11:55:06',0),(4666,'机器CPU异常告警','machine','machine_cpu','webhook','alert','【{{cluster_name}}集群机器{{host_ip}} CPU使用率异常告警】','【机器CPU使用率异常告警】\n\nCPU平均使用率: {{cpu_usage_active_avg}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n时间: {{timestamp}}\n\n[查看详情]({{display_url}})\n\n[查看记录]({{record_url}})\n','{\"cpu_usage_active_avg\":\"percent:2\"}','1.0','2021-05-28 11:55:06','2021-05-28 11:55:06',0),(4667,'机器CPU异常恢复','machine','machine_cpu','dingding','recover','【{{cluster_name}}集群机器{{host_ip}} CPU使用率异常恢复】','【机器CPU使用率异常恢复】\n\nCPU平均使用率: {{cpu_usage_active_avg}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','{\"trigger_duration\":\"time:ms\",\"usage_active_avg\":\"percent:2\"}','1.0','2021-05-28 11:55:06','2021-05-28 11:55:06',0),(4668,'机器CPU异常恢复','machine','machine_cpu','ticket','recover','【{{cluster_name}}集群机器{{host_ip}} CPU使用率异常恢复】','【机器CPU使用率异常恢复】\n\nCPU平均使用率: {{cpu_usage_active_avg}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','{\"trigger_duration\":\"time:ms\",\"usage_active_avg\":\"percent:2\"}','1.0','2021-05-28 11:55:06','2021-05-28 11:55:06',0),(4669,'机器CPU异常恢复','machine','machine_cpu','email','recover','【{{cluster_name}}集群机器{{host_ip}} CPU使用率异常恢复】','【机器CPU使用率异常恢复】\n\nCPU平均使用率: {{cpu_usage_active_avg}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','{\"trigger_duration\":\"time:ms\",\"usage_active_avg\":\"percent:2\"}','1.0','2021-05-28 11:55:06','2021-05-28 11:55:06',0),(4670,'机器CPU异常恢复','machine','machine_cpu','mbox','recover','【{{cluster_name}}集群机器{{host_ip}} CPU使用率异常恢复】','【机器CPU使用率异常恢复】\n\nCPU平均使用率: {{cpu_usage_active_avg}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','{\"trigger_duration\":\"time:ms\",\"usage_active_avg\":\"percent:2\"}','1.0','2021-05-28 11:55:06','2021-05-28 11:55:06',0),(4671,'机器CPU异常恢复','machine','machine_cpu','webhook','recover','【{{cluster_name}}集群机器{{host_ip}} CPU使用率异常恢复】','【机器CPU使用率异常恢复】\n\nCPU平均使用率: {{cpu_usage_active_avg}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','{\"trigger_duration\":\"time:ms\",\"usage_active_avg\":\"percent:2\"}','1.0','2021-05-28 11:55:06','2021-05-28 11:55:06',0),(4672,'ElasticSearch实例CPU使用率异常告警','addon','addon_elasticsearch_cpu','dingding','alert','【ElasticSearch实例CPU使用率告警】\n','【ElasticSearch实例CPU使用率异常告警】\n\n组件: {{addon_type}}\n\n实例: {{pod_namespace}} - {{pod_name}}\n\nCPU平均使用率: {{cpu_usage_percent_avg}}\n\nCPU限制: {{cpu_limit_value}}核\n\nCPU分配: {{cpu_allocation_value}}核\n\n集群 / 机器: {{cluster_name}} / {{host_ip}}\n\n容器ID: {{container_id}}\n\n机器: {{host_ip}}\n\n时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','{\"container_id\":\"string:6\",\"cpu_usage_percent_avg\":\"percent:1\",\"limit_value\":\"fraction:1\"}','1.0','2021-05-28 11:55:06','2021-05-28 11:55:06',0),(4673,'ElasticSearch实例CPU使用率异常告警','addon','addon_elasticsearch_cpu','ticket','alert','【ElasticSearch实例CPU使用率告警】\n','【ElasticSearch实例CPU使用率异常告警】\n\n组件: {{addon_type}}\n\n实例: {{pod_namespace}} - {{pod_name}}\n\nCPU平均使用率: {{cpu_usage_percent_avg}}\n\nCPU限制: {{cpu_limit_value}}核\n\nCPU分配: {{cpu_allocation_value}}核\n\n集群 / 机器: {{cluster_name}} / {{host_ip}}\n\n容器ID: {{container_id}}\n\n机器: {{host_ip}}\n\n时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','{\"container_id\":\"string:6\",\"cpu_usage_percent_avg\":\"percent:1\",\"limit_value\":\"fraction:1\"}','1.0','2021-05-28 11:55:06','2021-05-28 11:55:06',0),(4674,'ElasticSearch实例CPU使用率异常告警','addon','addon_elasticsearch_cpu','email','alert','【ElasticSearch实例CPU使用率告警】\n','【ElasticSearch实例CPU使用率异常告警】\n\n组件: {{addon_type}}\n\n实例: {{pod_namespace}} - {{pod_name}}\n\nCPU平均使用率: {{cpu_usage_percent_avg}}\n\nCPU限制: {{cpu_limit_value}}核\n\nCPU分配: {{cpu_allocation_value}}核\n\n集群 / 机器: {{cluster_name}} / {{host_ip}}\n\n容器ID: {{container_id}}\n\n机器: {{host_ip}}\n\n时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','{\"container_id\":\"string:6\",\"cpu_usage_percent_avg\":\"percent:1\",\"limit_value\":\"fraction:1\"}','1.0','2021-05-28 11:55:06','2021-05-28 11:55:06',0),(4675,'ElasticSearch实例CPU使用率异常告警','addon','addon_elasticsearch_cpu','mbox','alert','【ElasticSearch实例CPU使用率告警】\n','【ElasticSearch实例CPU使用率异常告警】\n\n组件: {{addon_type}}\n\n实例: {{pod_namespace}} - {{pod_name}}\n\nCPU平均使用率: {{cpu_usage_percent_avg}}\n\nCPU限制: {{cpu_limit_value}}核\n\nCPU分配: {{cpu_allocation_value}}核\n\n集群 / 机器: {{cluster_name}} / {{host_ip}}\n\n容器ID: {{container_id}}\n\n机器: {{host_ip}}\n\n时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','{\"container_id\":\"string:6\",\"cpu_usage_percent_avg\":\"percent:1\",\"limit_value\":\"fraction:1\"}','1.0','2021-05-28 11:55:06','2021-05-28 11:55:06',0),(4676,'ElasticSearch实例CPU使用率异常告警','addon','addon_elasticsearch_cpu','webhook','alert','【ElasticSearch实例CPU使用率告警】\n','【ElasticSearch实例CPU使用率异常告警】\n\n组件: {{addon_type}}\n\n实例: {{pod_namespace}} - {{pod_name}}\n\nCPU平均使用率: {{cpu_usage_percent_avg}}\n\nCPU限制: {{cpu_limit_value}}核\n\nCPU分配: {{cpu_allocation_value}}核\n\n集群 / 机器: {{cluster_name}} / {{host_ip}}\n\n容器ID: {{container_id}}\n\n机器: {{host_ip}}\n\n时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','{\"container_id\":\"string:6\",\"cpu_usage_percent_avg\":\"percent:1\",\"limit_value\":\"fraction:1\"}','1.0','2021-05-28 11:55:06','2021-05-28 11:55:06',0),(4677,'Elasticsearch实例内存使用率异常告警','addon','addon_elasticsearch_mem','dingding','alert','【Elasticsearch实例内存使用率告警】\n','【Elasticsearch实例内存使用率告警】\n\n组件: {{addon_type}}\n\n实例ID: {{addon_id}}\n\n实例: {{pod_namespace}} - {{pod_name}}\n\n平均使用率: {{mem_usage_percent_avg}}\n\n集群 / 机器: {{cluster_name}} / {{host_ip}}\n\n容器ID: {{container_id}}\n\n机器: {{host_ip}}\n\n时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','{\"container_id\":\"string:6\",\"mem_limit_value\":\"fraction:1\",\"mem_usage_percent_avg\":\"percent:1\"}','1.0','2021-05-28 11:55:06','2021-05-28 11:55:06',0),(4678,'Elasticsearch实例内存使用率异常告警','addon','addon_elasticsearch_mem','ticket','alert','【Elasticsearch实例内存使用率告警】\n','【Elasticsearch实例内存使用率告警】\n\n组件: {{addon_type}}\n\n实例ID: {{addon_id}}\n\n实例: {{pod_namespace}} - {{pod_name}}\n\n平均使用率: {{mem_usage_percent_avg}}\n\n集群 / 机器: {{cluster_name}} / {{host_ip}}\n\n容器ID: {{container_id}}\n\n机器: {{host_ip}}\n\n时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','{\"container_id\":\"string:6\",\"mem_limit_value\":\"fraction:1\",\"mem_usage_percent_avg\":\"percent:1\"}','1.0','2021-05-28 11:55:06','2021-05-28 11:55:06',0),(4679,'Elasticsearch实例内存使用率异常告警','addon','addon_elasticsearch_mem','email','alert','【Elasticsearch实例内存使用率告警】\n','【Elasticsearch实例内存使用率告警】\n\n组件: {{addon_type}}\n\n实例ID: {{addon_id}}\n\n实例: {{pod_namespace}} - {{pod_name}}\n\n平均使用率: {{mem_usage_percent_avg}}\n\n集群 / 机器: {{cluster_name}} / {{host_ip}}\n\n容器ID: {{container_id}}\n\n机器: {{host_ip}}\n\n时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','{\"container_id\":\"string:6\",\"mem_limit_value\":\"fraction:1\",\"mem_usage_percent_avg\":\"percent:1\"}','1.0','2021-05-28 11:55:06','2021-05-28 11:55:06',0),(4680,'Elasticsearch实例内存使用率异常告警','addon','addon_elasticsearch_mem','mbox','alert','【Elasticsearch实例内存使用率告警】\n','【Elasticsearch实例内存使用率告警】\n\n组件: {{addon_type}}\n\n实例ID: {{addon_id}}\n\n实例: {{pod_namespace}} - {{pod_name}}\n\n平均使用率: {{mem_usage_percent_avg}}\n\n集群 / 机器: {{cluster_name}} / {{host_ip}}\n\n容器ID: {{container_id}}\n\n机器: {{host_ip}}\n\n时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','{\"container_id\":\"string:6\",\"mem_limit_value\":\"fraction:1\",\"mem_usage_percent_avg\":\"percent:1\"}','1.0','2021-05-28 11:55:06','2021-05-28 11:55:06',0),(4681,'Elasticsearch实例内存使用率异常告警','addon','addon_elasticsearch_mem','webhook','alert','【Elasticsearch实例内存使用率告警】\n','【Elasticsearch实例内存使用率告警】\n\n组件: {{addon_type}}\n\n实例ID: {{addon_id}}\n\n实例: {{pod_namespace}} - {{pod_name}}\n\n平均使用率: {{mem_usage_percent_avg}}\n\n集群 / 机器: {{cluster_name}} / {{host_ip}}\n\n容器ID: {{container_id}}\n\n机器: {{host_ip}}\n\n时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','{\"container_id\":\"string:6\",\"mem_limit_value\":\"fraction:1\",\"mem_usage_percent_avg\":\"percent:1\"}','1.0','2021-05-28 11:55:06','2021-05-28 11:55:06',0),(4682,'MySQL实例CPU使用率异常告警','addon','addon_mysql_cpu','dingding','alert','【MySQL实例CPU使用率告警】\n','【MySQL实例CPU使用率异常告警】\n\n组件: {{addon_type}}\n\n实例: {{pod_namespace}} - {{pod_name}}\n\nCPU平均使用率: {{cpu_usage_percent_avg}}\n\nCPU限制: {{cpu_limit_value}}核\n\nCPU分配: {{cpu_allocation_value}}核\n\n集群 / 机器: {{cluster_name}} / {{host_ip}}\n\n容器ID: {{container_id}}\n\n机器: {{host_ip}}\n\n时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','{\"container_id\":\"string:6\",\"cpu_limit_value\":\"fraction:1\",\"cpu_usage_percent_avg\":\"percent:1\"}','1.0','2021-05-28 11:55:06','2021-05-28 11:55:06',0),(4683,'MySQL实例CPU使用率异常告警','addon','addon_mysql_cpu','ticket','alert','【MySQL实例CPU使用率告警】\n','【MySQL实例CPU使用率异常告警】\n\n组件: {{addon_type}}\n\n实例: {{pod_namespace}} - {{pod_name}}\n\nCPU平均使用率: {{cpu_usage_percent_avg}}\n\nCPU限制: {{cpu_limit_value}}核\n\nCPU分配: {{cpu_allocation_value}}核\n\n集群 / 机器: {{cluster_name}} / {{host_ip}}\n\n容器ID: {{container_id}}\n\n机器: {{host_ip}}\n\n时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','{\"container_id\":\"string:6\",\"cpu_limit_value\":\"fraction:1\",\"cpu_usage_percent_avg\":\"percent:1\"}','1.0','2021-05-28 11:55:06','2021-05-28 11:55:06',0),(4684,'MySQL实例CPU使用率异常告警','addon','addon_mysql_cpu','email','alert','【MySQL实例CPU使用率告警】\n','【MySQL实例CPU使用率异常告警】\n\n组件: {{addon_type}}\n\n实例: {{pod_namespace}} - {{pod_name}}\n\nCPU平均使用率: {{cpu_usage_percent_avg}}\n\nCPU限制: {{cpu_limit_value}}核\n\nCPU分配: {{cpu_allocation_value}}核\n\n集群 / 机器: {{cluster_name}} / {{host_ip}}\n\n容器ID: {{container_id}}\n\n机器: {{host_ip}}\n\n时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','{\"container_id\":\"string:6\",\"cpu_limit_value\":\"fraction:1\",\"cpu_usage_percent_avg\":\"percent:1\"}','1.0','2021-05-28 11:55:06','2021-05-28 11:55:06',0),(4685,'MySQL实例CPU使用率异常告警','addon','addon_mysql_cpu','mbox','alert','【MySQL实例CPU使用率告警】\n','【MySQL实例CPU使用率异常告警】\n\n组件: {{addon_type}}\n\n实例: {{pod_namespace}} - {{pod_name}}\n\nCPU平均使用率: {{cpu_usage_percent_avg}}\n\nCPU限制: {{cpu_limit_value}}核\n\nCPU分配: {{cpu_allocation_value}}核\n\n集群 / 机器: {{cluster_name}} / {{host_ip}}\n\n容器ID: {{container_id}}\n\n机器: {{host_ip}}\n\n时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','{\"container_id\":\"string:6\",\"cpu_limit_value\":\"fraction:1\",\"cpu_usage_percent_avg\":\"percent:1\"}','1.0','2021-05-28 11:55:06','2021-05-28 11:55:06',0),(4686,'MySQL实例CPU使用率异常告警','addon','addon_mysql_cpu','webhook','alert','【MySQL实例CPU使用率告警】\n','【MySQL实例CPU使用率异常告警】\n\n组件: {{addon_type}}\n\n实例: {{pod_namespace}} - {{pod_name}}\n\nCPU平均使用率: {{cpu_usage_percent_avg}}\n\nCPU限制: {{cpu_limit_value}}核\n\nCPU分配: {{cpu_allocation_value}}核\n\n集群 / 机器: {{cluster_name}} / {{host_ip}}\n\n容器ID: {{container_id}}\n\n机器: {{host_ip}}\n\n时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','{\"container_id\":\"string:6\",\"cpu_limit_value\":\"fraction:1\",\"cpu_usage_percent_avg\":\"percent:1\"}','1.0','2021-05-28 11:55:06','2021-05-28 11:55:06',0),(4687,'MySQL实例内存使用率异常告警','addon','addon_mysql_mem','dingding','alert','【MySQL实例内存使用率告警】\n','【MySQL实例内存使用率告警】\n\n组件: {{addon_type}}\n\n实例ID: {{addon_id}}\n\n实例: {{pod_namespace}} - {{pod_name}}\n\n平均使用率: {{mem_usage_percent_avg}}\n\n集群 / 机器: {{cluster_name}} / {{host_ip}}\n\n容器ID: {{container_id}}\n\n机器: {{host_ip}}\n\n时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','{\"container_id\":\"string:6\",\"mem_limit_value\":\"fraction:1\",\"mem_usage_percent_avg\":\"percent:1\"}','1.0','2021-05-28 11:55:06','2021-05-28 11:55:06',0),(4688,'MySQL实例内存使用率异常告警','addon','addon_mysql_mem','ticket','alert','【MySQL实例内存使用率告警】\n','【MySQL实例内存使用率告警】\n\n组件: {{addon_type}}\n\n实例ID: {{addon_id}}\n\n实例: {{pod_namespace}} - {{pod_name}}\n\n平均使用率: {{mem_usage_percent_avg}}\n\n集群 / 机器: {{cluster_name}} / {{host_ip}}\n\n容器ID: {{container_id}}\n\n机器: {{host_ip}}\n\n时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','{\"container_id\":\"string:6\",\"mem_limit_value\":\"fraction:1\",\"mem_usage_percent_avg\":\"percent:1\"}','1.0','2021-05-28 11:55:06','2021-05-28 11:55:06',0),(4689,'MySQL实例内存使用率异常告警','addon','addon_mysql_mem','email','alert','【MySQL实例内存使用率告警】\n','【MySQL实例内存使用率告警】\n\n组件: {{addon_type}}\n\n实例ID: {{addon_id}}\n\n实例: {{pod_namespace}} - {{pod_name}}\n\n平均使用率: {{mem_usage_percent_avg}}\n\n集群 / 机器: {{cluster_name}} / {{host_ip}}\n\n容器ID: {{container_id}}\n\n机器: {{host_ip}}\n\n时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','{\"container_id\":\"string:6\",\"mem_limit_value\":\"fraction:1\",\"mem_usage_percent_avg\":\"percent:1\"}','1.0','2021-05-28 11:55:06','2021-05-28 11:55:06',0),(4690,'MySQL实例内存使用率异常告警','addon','addon_mysql_mem','mbox','alert','【MySQL实例内存使用率告警】\n','【MySQL实例内存使用率告警】\n\n组件: {{addon_type}}\n\n实例ID: {{addon_id}}\n\n实例: {{pod_namespace}} - {{pod_name}}\n\n平均使用率: {{mem_usage_percent_avg}}\n\n集群 / 机器: {{cluster_name}} / {{host_ip}}\n\n容器ID: {{container_id}}\n\n机器: {{host_ip}}\n\n时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','{\"container_id\":\"string:6\",\"mem_limit_value\":\"fraction:1\",\"mem_usage_percent_avg\":\"percent:1\"}','1.0','2021-05-28 11:55:06','2021-05-28 11:55:06',0),(4691,'MySQL实例内存使用率异常告警','addon','addon_mysql_mem','webhook','alert','【MySQL实例内存使用率告警】\n','【MySQL实例内存使用率告警】\n\n组件: {{addon_type}}\n\n实例ID: {{addon_id}}\n\n实例: {{pod_namespace}} - {{pod_name}}\n\n平均使用率: {{mem_usage_percent_avg}}\n\n集群 / 机器: {{cluster_name}} / {{host_ip}}\n\n容器ID: {{container_id}}\n\n机器: {{host_ip}}\n\n时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','{\"container_id\":\"string:6\",\"mem_limit_value\":\"fraction:1\",\"mem_usage_percent_avg\":\"percent:1\"}','1.0','2021-05-28 11:55:06','2021-05-28 11:55:06',0),(4692,'MySQL实例主从同步异常告警','addon','addon_mysql_slave_status','dingding','alert','【MySQL实例主从同步异常】\n','【MySQL实例主从同步异常】\n\n组件: \"mysql\"\n\n实例ID: {{addon_id}}\n\n从节点IO异常状态: {{slave_slave_io_running_value}}\n\n从节点连接异常状态: {{slave_slave_sql_running_value}}\n\n集群 / 机器: {{cluster_name}} / {{host_ip}}\n\n机器: {{host_ip}}\n\n时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','{\"limit_value\":\"fraction:1\",\"usage_percent_avg\":\"percent:1\"}','1.0','2021-05-28 11:55:06','2021-05-28 11:55:06',0),(4693,'MySQL实例主从同步异常告警','addon','addon_mysql_slave_status','ticket','alert','【MySQL实例主从同步异常】\n','【MySQL实例主从同步异常】\n\n组件: \"mysql\"\n\n实例ID: {{addon_id}}\n\n从节点IO异常状态: {{slave_slave_io_running_value}}\n\n从节点连接异常状态: {{slave_slave_sql_running_value}}\n\n集群 / 机器: {{cluster_name}} / {{host_ip}}\n\n机器: {{host_ip}}\n\n时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','{\"limit_value\":\"fraction:1\",\"usage_percent_avg\":\"percent:1\"}','1.0','2021-05-28 11:55:06','2021-05-28 11:55:06',0),(4694,'MySQL实例主从同步异常告警','addon','addon_mysql_slave_status','email','alert','【MySQL实例主从同步异常】\n','【MySQL实例主从同步异常】\n\n组件: \"mysql\"\n\n实例ID: {{addon_id}}\n\n从节点IO异常状态: {{slave_slave_io_running_value}}\n\n从节点连接异常状态: {{slave_slave_sql_running_value}}\n\n集群 / 机器: {{cluster_name}} / {{host_ip}}\n\n机器: {{host_ip}}\n\n时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','{\"limit_value\":\"fraction:1\",\"usage_percent_avg\":\"percent:1\"}','1.0','2021-05-28 11:55:06','2021-05-28 11:55:06',0),(4695,'MySQL实例主从同步异常告警','addon','addon_mysql_slave_status','mbox','alert','【MySQL实例主从同步异常】\n','【MySQL实例主从同步异常】\n\n组件: \"mysql\"\n\n实例ID: {{addon_id}}\n\n从节点IO异常状态: {{slave_slave_io_running_value}}\n\n从节点连接异常状态: {{slave_slave_sql_running_value}}\n\n集群 / 机器: {{cluster_name}} / {{host_ip}}\n\n机器: {{host_ip}}\n\n时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','{\"limit_value\":\"fraction:1\",\"usage_percent_avg\":\"percent:1\"}','1.0','2021-05-28 11:55:06','2021-05-28 11:55:06',0),(4696,'MySQL实例主从同步异常告警','addon','addon_mysql_slave_status','webhook','alert','【MySQL实例主从同步异常】\n','【MySQL实例主从同步异常】\n\n组件: \"mysql\"\n\n实例ID: {{addon_id}}\n\n从节点IO异常状态: {{slave_slave_io_running_value}}\n\n从节点连接异常状态: {{slave_slave_sql_running_value}}\n\n集群 / 机器: {{cluster_name}} / {{host_ip}}\n\n机器: {{host_ip}}\n\n时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','{\"limit_value\":\"fraction:1\",\"usage_percent_avg\":\"percent:1\"}','1.0','2021-05-28 11:55:06','2021-05-28 11:55:06',0),(4697,'redis实例内存使用率异常告警','addon','addon_redis_mem','dingding','alert','【redis实例内存使用率异常告警】\n','【redis实例内存使用率异常告警】\n\n组件: {{addon_type}}\n\n实例ID: {{addon_id}}\n\n实例: {{pod_namespace}} - {{pod_name}}\n\n平均使用率: {{mem_usage_percent_avg}}\n\n集群 / 机器: {{cluster_name}} / {{host_ip}}\n\n容器ID: {{container_id}}\n\n机器: {{host_ip}}\n\n时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','{\"container_id\":\"string:6\",\"mem_limit_value\":\"fraction:1\",\"mem_usage_percent_avg\":\"percent:1\"}','1.0','2021-05-28 11:55:06','2021-05-28 11:55:06',0),(4698,'redis实例内存使用率异常告警','addon','addon_redis_mem','ticket','alert','【redis实例内存使用率异常告警】\n','【redis实例内存使用率异常告警】\n\n组件: {{addon_type}}\n\n实例ID: {{addon_id}}\n\n实例: {{pod_namespace}} - {{pod_name}}\n\n平均使用率: {{mem_usage_percent_avg}}\n\n集群 / 机器: {{cluster_name}} / {{host_ip}}\n\n容器ID: {{container_id}}\n\n机器: {{host_ip}}\n\n时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','{\"container_id\":\"string:6\",\"mem_limit_value\":\"fraction:1\",\"mem_usage_percent_avg\":\"percent:1\"}','1.0','2021-05-28 11:55:06','2021-05-28 11:55:06',0),(4699,'redis实例内存使用率异常告警','addon','addon_redis_mem','email','alert','【redis实例内存使用率异常告警】\n','【redis实例内存使用率异常告警】\n\n组件: {{addon_type}}\n\n实例ID: {{addon_id}}\n\n实例: {{pod_namespace}} - {{pod_name}}\n\n平均使用率: {{mem_usage_percent_avg}}\n\n集群 / 机器: {{cluster_name}} / {{host_ip}}\n\n容器ID: {{container_id}}\n\n机器: {{host_ip}}\n\n时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','{\"container_id\":\"string:6\",\"mem_limit_value\":\"fraction:1\",\"mem_usage_percent_avg\":\"percent:1\"}','1.0','2021-05-28 11:55:06','2021-05-28 11:55:06',0),(4700,'redis实例内存使用率异常告警','addon','addon_redis_mem','mbox','alert','【redis实例内存使用率异常告警】\n','【redis实例内存使用率异常告警】\n\n组件: {{addon_type}}\n\n实例ID: {{addon_id}}\n\n实例: {{pod_namespace}} - {{pod_name}}\n\n平均使用率: {{mem_usage_percent_avg}}\n\n集群 / 机器: {{cluster_name}} / {{host_ip}}\n\n容器ID: {{container_id}}\n\n机器: {{host_ip}}\n\n时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','{\"container_id\":\"string:6\",\"mem_limit_value\":\"fraction:1\",\"mem_usage_percent_avg\":\"percent:1\"}','1.0','2021-05-28 11:55:06','2021-05-28 11:55:06',0),(4701,'redis实例内存使用率异常告警','addon','addon_redis_mem','webhook','alert','【redis实例内存使用率异常告警】\n','【redis实例内存使用率异常告警】\n\n组件: {{addon_type}}\n\n实例ID: {{addon_id}}\n\n实例: {{pod_namespace}} - {{pod_name}}\n\n平均使用率: {{mem_usage_percent_avg}}\n\n集群 / 机器: {{cluster_name}} / {{host_ip}}\n\n容器ID: {{container_id}}\n\n机器: {{host_ip}}\n\n时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','{\"container_id\":\"string:6\",\"mem_limit_value\":\"fraction:1\",\"mem_usage_percent_avg\":\"percent:1\"}','1.0','2021-05-28 11:55:06','2021-05-28 11:55:06',0),(4702,'Ajax接口访问性能告警','app_browser','app_browser_ajax_req','dingding','alert','【Ajax接口 ({{req_path}}) 访问性能告警】\n','【Ajax接口访问性能告警】\n\n事件: {{req_path}} Ajax接口慢响应\n\n时间: {{timestamp}}\n\n域名: {{host}}\n\n平均响应时间: {{tt_avg}} ms\n\n[查看详情]({{display_url}})\n\n[查看记录]({{record_url}})','{\"tt\":\"time:s\"}','1.0','2021-05-28 11:55:06','2021-05-28 11:55:06',0),(4703,'Ajax接口访问性能告警','app_browser','app_browser_ajax_req','ticket','alert','【Ajax接口 ({{req_path}}) 访问性能告警】\n','【Ajax接口访问性能告警】\n\n事件: {{req_path}} Ajax接口慢响应\n\n时间: {{timestamp}}\n\n域名: {{host}}\n\n平均响应时间: {{tt_avg}} ms\n\n[查看详情]({{display_url}})\n\n[查看记录]({{record_url}})','{\"tt\":\"time:s\"}','1.0','2021-05-28 11:55:06','2021-05-28 11:55:06',0),(4704,'Ajax接口访问性能告警','app_browser','app_browser_ajax_req','email','alert','【Ajax接口 ({{req_path}}) 访问性能告警】\n','【Ajax接口访问性能告警】\n\n事件: {{req_path}} Ajax接口慢响应\n\n时间: {{timestamp}}\n\n域名: {{host}}\n\n平均响应时间: {{tt_avg}} ms\n\n[查看详情]({{display_url}})\n\n[查看记录]({{record_url}})','{\"tt\":\"time:s\"}','1.0','2021-05-28 11:55:06','2021-05-28 11:55:06',0),(4705,'Ajax接口访问性能告警','app_browser','app_browser_ajax_req','mbox','alert','【Ajax接口 ({{req_path}}) 访问性能告警】\n','【Ajax接口访问性能告警】\n\n事件: {{req_path}} Ajax接口慢响应\n\n时间: {{timestamp}}\n\n域名: {{host}}\n\n平均响应时间: {{tt_avg}} ms\n\n[查看详情]({{display_url}})\n\n[查看记录]({{record_url}})','{\"tt\":\"time:s\"}','1.0','2021-05-28 11:55:06','2021-05-28 11:55:06',0),(4706,'Ajax接口访问性能告警','app_browser','app_browser_ajax_req','webhook','alert','【Ajax接口 ({{req_path}}) 访问性能告警】\n','【Ajax接口访问性能告警】\n\n事件: {{req_path}} Ajax接口慢响应\n\n时间: {{timestamp}}\n\n域名: {{host}}\n\n平均响应时间: {{tt_avg}} ms\n\n[查看详情]({{display_url}})\n\n[查看记录]({{record_url}})','{\"tt\":\"time:s\"}','1.0','2021-05-28 11:55:06','2021-05-28 11:55:06',0),(4707,'用户体验告警','app_browser','app_browser_apdex','dingding','alert','【({{doc_path}}) 接口用户体验告警】\n','【用户体验告警】\n\n事件: 访问时间过长\n\n时间: {{timestamp}}\n\n域名: {{host}}\n\n页面: {{doc_path}}\n\n平均响应时间: {{plt_avg}} ms\n\n[查看详情]({{display_url}})\n\n[查看记录]({{record_url}})','{\"plt\":\"time:s\"}','1.0','2021-05-28 11:55:06','2021-05-28 11:55:06',0),(4708,'用户体验告警','app_browser','app_browser_apdex','ticket','alert','【({{doc_path}}) 接口用户体验告警】\n','【用户体验告警】\n\n事件: 访问时间过长\n\n时间: {{timestamp}}\n\n域名: {{host}}\n\n页面: {{doc_path}}\n\n平均响应时间: {{plt_avg}} ms\n\n[查看详情]({{display_url}})\n\n[查看记录]({{record_url}})','{\"plt\":\"time:s\"}','1.0','2021-05-28 11:55:06','2021-05-28 11:55:06',0),(4709,'用户体验告警','app_browser','app_browser_apdex','email','alert','【({{doc_path}}) 接口用户体验告警】\n','【用户体验告警】\n\n事件: 访问时间过长\n\n时间: {{timestamp}}\n\n域名: {{host}}\n\n页面: {{doc_path}}\n\n平均响应时间: {{plt_avg}} ms\n\n[查看详情]({{display_url}})\n\n[查看记录]({{record_url}})','{\"plt\":\"time:s\"}','1.0','2021-05-28 11:55:06','2021-05-28 11:55:06',0),(4710,'用户体验告警','app_browser','app_browser_apdex','mbox','alert','【({{doc_path}}) 接口用户体验告警】\n','【用户体验告警】\n\n事件: 访问时间过长\n\n时间: {{timestamp}}\n\n域名: {{host}}\n\n页面: {{doc_path}}\n\n平均响应时间: {{plt_avg}} ms\n\n[查看详情]({{display_url}})\n\n[查看记录]({{record_url}})','{\"plt\":\"time:s\"}','1.0','2021-05-28 11:55:06','2021-05-28 11:55:06',0),(4711,'用户体验告警','app_browser','app_browser_apdex','webhook','alert','【({{doc_path}}) 接口用户体验告警】\n','【用户体验告警】\n\n事件: 访问时间过长\n\n时间: {{timestamp}}\n\n域名: {{host}}\n\n页面: {{doc_path}}\n\n平均响应时间: {{plt_avg}} ms\n\n[查看详情]({{display_url}})\n\n[查看记录]({{record_url}})','{\"plt\":\"time:s\"}','1.0','2021-05-28 11:55:06','2021-05-28 11:55:06',0),(4712,'域名访问性能告警','app_browser','app_browser_host_req','dingding','alert','【({{host}}) 域名访问性能告警】\n','【域名访问性能告警】\n\n事件: ({{host}}) 域名慢响应\n\n时间: {{timestamp}}\n\n域名: {{host}}\n\n平均响应时间: {{plt_avg}} ms\n\n[查看详情]({{display_url}})\n\n[查看记录]({{record_url}})','{\"plt\":\"time:s\"}','1.0','2021-05-28 11:55:06','2021-05-28 11:55:06',0),(4713,'域名访问性能告警','app_browser','app_browser_host_req','ticket','alert','【({{host}}) 域名访问性能告警】\n','【域名访问性能告警】\n\n事件: ({{host}}) 域名慢响应\n\n时间: {{timestamp}}\n\n域名: {{host}}\n\n平均响应时间: {{plt_avg}} ms\n\n[查看详情]({{display_url}})\n\n[查看记录]({{record_url}})','{\"plt\":\"time:s\"}','1.0','2021-05-28 11:55:06','2021-05-28 11:55:06',0),(4714,'域名访问性能告警','app_browser','app_browser_host_req','email','alert','【({{host}}) 域名访问性能告警】\n','【域名访问性能告警】\n\n事件: ({{host}}) 域名慢响应\n\n时间: {{timestamp}}\n\n域名: {{host}}\n\n平均响应时间: {{plt_avg}} ms\n\n[查看详情]({{display_url}})\n\n[查看记录]({{record_url}})','{\"plt\":\"time:s\"}','1.0','2021-05-28 11:55:06','2021-05-28 11:55:06',0),(4715,'域名访问性能告警','app_browser','app_browser_host_req','mbox','alert','【({{host}}) 域名访问性能告警】\n','【域名访问性能告警】\n\n事件: ({{host}}) 域名慢响应\n\n时间: {{timestamp}}\n\n域名: {{host}}\n\n平均响应时间: {{plt_avg}} ms\n\n[查看详情]({{display_url}})\n\n[查看记录]({{record_url}})','{\"plt\":\"time:s\"}','1.0','2021-05-28 11:55:06','2021-05-28 11:55:06',0),(4716,'域名访问性能告警','app_browser','app_browser_host_req','webhook','alert','【({{host}}) 域名访问性能告警】\n','【域名访问性能告警】\n\n事件: ({{host}}) 域名慢响应\n\n时间: {{timestamp}}\n\n域名: {{host}}\n\n平均响应时间: {{plt_avg}} ms\n\n[查看详情]({{display_url}})\n\n[查看记录]({{record_url}})','{\"plt\":\"time:s\"}','1.0','2021-05-28 11:55:06','2021-05-28 11:55:06',0),(4717,'页面访问性能告警','app_browser','app_browser_page_req','dingding','alert','【页面 ({{doc_path}}) 访问性能告警】\n','【页面访问性能告警】\n\n事件: {{doc_path}} 页面慢响应\n\n域名: {{host}}\n\n页面: {{doc_path}}\n\n页面平均响应时间: {{plt_avg}} ms\n\n时间: {{timestamp}}\n\n[查看详情]({{display_url}})\n\n[查看记录]({{record_url}})','{\"plt\":\"time:s\"}','1.0','2021-05-28 11:55:06','2021-05-28 11:55:06',0),(4718,'页面访问性能告警','app_browser','app_browser_page_req','ticket','alert','【页面 ({{doc_path}}) 访问性能告警】\n','【页面访问性能告警】\n\n事件: {{doc_path}} 页面慢响应\n\n域名: {{host}}\n\n页面: {{doc_path}}\n\n页面平均响应时间: {{plt_avg}} ms\n\n时间: {{timestamp}}\n\n[查看详情]({{display_url}})\n\n[查看记录]({{record_url}})','{\"plt\":\"time:s\"}','1.0','2021-05-28 11:55:06','2021-05-28 11:55:06',0),(4719,'页面访问性能告警','app_browser','app_browser_page_req','email','alert','【页面 ({{doc_path}}) 访问性能告警】\n','【页面访问性能告警】\n\n事件: {{doc_path}} 页面慢响应\n\n域名: {{host}}\n\n页面: {{doc_path}}\n\n页面平均响应时间: {{plt_avg}} ms\n\n时间: {{timestamp}}\n\n[查看详情]({{display_url}})\n\n[查看记录]({{record_url}})','{\"plt\":\"time:s\"}','1.0','2021-05-28 11:55:06','2021-05-28 11:55:06',0),(4720,'页面访问性能告警','app_browser','app_browser_page_req','mbox','alert','【页面 ({{doc_path}}) 访问性能告警】\n','【页面访问性能告警】\n\n事件: {{doc_path}} 页面慢响应\n\n域名: {{host}}\n\n页面: {{doc_path}}\n\n页面平均响应时间: {{plt_avg}} ms\n\n时间: {{timestamp}}\n\n[查看详情]({{display_url}})\n\n[查看记录]({{record_url}})','{\"plt\":\"time:s\"}','1.0','2021-05-28 11:55:06','2021-05-28 11:55:06',0),(4721,'页面访问性能告警','app_browser','app_browser_page_req','webhook','alert','【页面 ({{doc_path}}) 访问性能告警】\n','【页面访问性能告警】\n\n事件: {{doc_path}} 页面慢响应\n\n域名: {{host}}\n\n页面: {{doc_path}}\n\n页面平均响应时间: {{plt_avg}} ms\n\n时间: {{timestamp}}\n\n[查看详情]({{display_url}})\n\n[查看记录]({{record_url}})','{\"plt\":\"time:s\"}','1.0','2021-05-28 11:55:06','2021-05-28 11:55:06',0),(4722,'脚本错误告警','app_browser','app_browser_script_error','dingding','alert','【页面 ({{doc_path}}) 脚本错误告警】','【脚本错误告警】\n\n事件: {{window}} 分钟内，脚本错误次数: {{count_sum}}\n\n访问域名：{{host}}\n\n访问页面：{{doc_path}}\n\n时间: {{timestamp}}\n\n[查看详情]({{display_url}})\n\n[查看记录]({{record_url}})\n','{\"count\":\"string\"}','1.0','2021-05-28 11:55:06','2021-05-28 11:55:06',0),(4723,'脚本错误告警','app_browser','app_browser_script_error','ticket','alert','【页面 ({{doc_path}}) 脚本错误告警】','【脚本错误告警】\n\n事件: {{window}} 分钟内，脚本错误次数: {{count_sum}}\n\n访问域名：{{host}}\n\n访问页面：{{doc_path}}\n\n时间: {{timestamp}}\n\n[查看详情]({{display_url}})\n\n[查看记录]({{record_url}})\n','{\"count\":\"string\"}','1.0','2021-05-28 11:55:06','2021-05-28 11:55:06',0),(4724,'脚本错误告警','app_browser','app_browser_script_error','email','alert','【页面 ({{doc_path}}) 脚本错误告警】','【脚本错误告警】\n\n事件: {{window}} 分钟内，脚本错误次数: {{count_sum}}\n\n访问域名：{{host}}\n\n访问页面：{{doc_path}}\n\n时间: {{timestamp}}\n\n[查看详情]({{display_url}})\n\n[查看记录]({{record_url}})\n','{\"count\":\"string\"}','1.0','2021-05-28 11:55:06','2021-05-28 11:55:06',0),(4725,'脚本错误告警','app_browser','app_browser_script_error','mbox','alert','【页面 ({{doc_path}}) 脚本错误告警】','【脚本错误告警】\n\n事件: {{window}} 分钟内，脚本错误次数: {{count_sum}}\n\n访问域名：{{host}}\n\n访问页面：{{doc_path}}\n\n时间: {{timestamp}}\n\n[查看详情]({{display_url}})\n\n[查看记录]({{record_url}})\n','{\"count\":\"string\"}','1.0','2021-05-28 11:55:06','2021-05-28 11:55:06',0),(4726,'脚本错误告警','app_browser','app_browser_script_error','webhook','alert','【页面 ({{doc_path}}) 脚本错误告警】','【脚本错误告警】\n\n事件: {{window}} 分钟内，脚本错误次数: {{count_sum}}\n\n访问域名：{{host}}\n\n访问页面：{{doc_path}}\n\n时间: {{timestamp}}\n\n[查看详情]({{display_url}})\n\n[查看记录]({{record_url}})\n','{\"count\":\"string\"}','1.0','2021-05-28 11:55:06','2021-05-28 11:55:06',0),(4727,'应用异常','app_exception','app_exception_count','dingding','alert','【{{application_name}}应用{{service_name}}服务异常告警】\n','【应用异常告警】\n\n项目: {{project_name}}\n\n应用: {{application_name}}\n\n服务: {{runtime_name}} - {{service_name}}\n\n实例: {{instance_id}}\n\n类: {{class}}\n\n方法: {{method}}\n\n行数: {{line}}\n\n错误: {{type}}\n\n事件: {{window}}分钟内出现 {{count_sum}} 次\n\n时间: {{timestamp}}\n\n[查看详情]({{display_url}})\n\n[查看记录]({{record_url}})\n','','1.0','2021-05-28 11:55:06','2021-05-28 11:55:06',0),(4728,'应用异常','app_exception','app_exception_count','ticket','alert','【{{application_name}}应用{{service_name}}服务异常告警】\n','【应用异常告警】\n\n项目: {{project_name}}\n\n应用: {{application_name}}\n\n服务: {{runtime_name}} - {{service_name}}\n\n实例: {{instance_id}}\n\n类: {{class}}\n\n方法: {{method}}\n\n行数: {{line}}\n\n错误: {{type}}\n\n事件: {{window}}分钟内出现 {{count_sum}} 次\n\n时间: {{timestamp}}\n\n[查看详情]({{display_url}})\n\n[查看记录]({{record_url}})\n','','1.0','2021-05-28 11:55:06','2021-05-28 11:55:06',0),(4729,'应用异常','app_exception','app_exception_count','email','alert','【{{application_name}}应用{{service_name}}服务异常告警】\n','【应用异常告警】\n\n项目: {{project_name}}\n\n应用: {{application_name}}\n\n服务: {{runtime_name}} - {{service_name}}\n\n实例: {{instance_id}}\n\n类: {{class}}\n\n方法: {{method}}\n\n行数: {{line}}\n\n错误: {{type}}\n\n事件: {{window}}分钟内出现 {{count_sum}} 次\n\n时间: {{timestamp}}\n\n[查看详情]({{display_url}})\n\n[查看记录]({{record_url}})\n','','1.0','2021-05-28 11:55:06','2021-05-28 11:55:06',0),(4730,'应用异常','app_exception','app_exception_count','mbox','alert','【{{application_name}}应用{{service_name}}服务异常告警】\n','【应用异常告警】\n\n项目: {{project_name}}\n\n应用: {{application_name}}\n\n服务: {{runtime_name}} - {{service_name}}\n\n实例: {{instance_id}}\n\n类: {{class}}\n\n方法: {{method}}\n\n行数: {{line}}\n\n错误: {{type}}\n\n事件: {{window}}分钟内出现 {{count_sum}} 次\n\n时间: {{timestamp}}\n\n[查看详情]({{display_url}})\n\n[查看记录]({{record_url}})\n','','1.0','2021-05-28 11:55:06','2021-05-28 11:55:06',0),(4731,'应用异常','app_exception','app_exception_count','webhook','alert','【{{application_name}}应用{{service_name}}服务异常告警】\n','【应用异常告警】\n\n项目: {{project_name}}\n\n应用: {{application_name}}\n\n服务: {{runtime_name}} - {{service_name}}\n\n实例: {{instance_id}}\n\n类: {{class}}\n\n方法: {{method}}\n\n行数: {{line}}\n\n错误: {{type}}\n\n事件: {{window}}分钟内出现 {{count_sum}} 次\n\n时间: {{timestamp}}\n\n[查看详情]({{display_url}})\n\n[查看记录]({{record_url}})\n','','1.0','2021-05-28 11:55:06','2021-05-28 11:55:06',0),(4732,'应用异常','app_exception','app_exception_count','dingding','recover','【{{application_name}}应用{{service_name}}服务异常恢复】\n','【应用异常恢复】\n\n项目: {{project_name}}\n\n应用: {{application_name}}\n\n服务: {{runtime_name}} - {{service_name}}\n\n实例: {{instance_id}}\n\n类: {{class}}\n\n方法: {{method}}\n\n行数: {{line}}\n\n错误: {{type}}\n\n持续时间: {{trigger_duration_min}}\n\n恢复时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','','1.0','2021-05-28 11:55:06','2021-05-28 11:55:06',0),(4733,'应用异常','app_exception','app_exception_count','ticket','recover','【{{application_name}}应用{{service_name}}服务异常恢复】\n','【应用异常恢复】\n\n项目: {{project_name}}\n\n应用: {{application_name}}\n\n服务: {{runtime_name}} - {{service_name}}\n\n实例: {{instance_id}}\n\n类: {{class}}\n\n方法: {{method}}\n\n行数: {{line}}\n\n错误: {{type}}\n\n持续时间: {{trigger_duration_min}}\n\n恢复时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','','1.0','2021-05-28 11:55:06','2021-05-28 11:55:06',0),(4734,'应用异常','app_exception','app_exception_count','email','recover','【{{application_name}}应用{{service_name}}服务异常恢复】\n','【应用异常恢复】\n\n项目: {{project_name}}\n\n应用: {{application_name}}\n\n服务: {{runtime_name}} - {{service_name}}\n\n实例: {{instance_id}}\n\n类: {{class}}\n\n方法: {{method}}\n\n行数: {{line}}\n\n错误: {{type}}\n\n持续时间: {{trigger_duration_min}}\n\n恢复时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','','1.0','2021-05-28 11:55:06','2021-05-28 11:55:06',0),(4735,'应用异常','app_exception','app_exception_count','mbox','recover','【{{application_name}}应用{{service_name}}服务异常恢复】\n','【应用异常恢复】\n\n项目: {{project_name}}\n\n应用: {{application_name}}\n\n服务: {{runtime_name}} - {{service_name}}\n\n实例: {{instance_id}}\n\n类: {{class}}\n\n方法: {{method}}\n\n行数: {{line}}\n\n错误: {{type}}\n\n持续时间: {{trigger_duration_min}}\n\n恢复时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','','1.0','2021-05-28 11:55:06','2021-05-28 11:55:06',0),(4736,'应用异常','app_exception','app_exception_count','webhook','recover','【{{application_name}}应用{{service_name}}服务异常恢复】\n','【应用异常恢复】\n\n项目: {{project_name}}\n\n应用: {{application_name}}\n\n服务: {{runtime_name}} - {{service_name}}\n\n实例: {{instance_id}}\n\n类: {{class}}\n\n方法: {{method}}\n\n行数: {{line}}\n\n错误: {{type}}\n\n持续时间: {{trigger_duration_min}}\n\n恢复时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','','1.0','2021-05-28 11:55:06','2021-05-28 11:55:06',0),(4737,'应用实例CPU使用率异常','app_resource','app_resource_container_cpu','dingding','alert','【{{application_name}}应用{{service_name}}服务实例CPU使用率告警】\n','【应用实例CPU使用率异常告警】\n\n项目: {{project_name}}\n\n应用: {{application_name}}\n\n服务实例: {{runtime_name}} - {{service_name}}.{{container_id}}\n\nCPU平均使用率: {{cpu_usage_percent_avg}}\n\nCPU限制: {{cpu_limit_value}}核\n\n机器: {{host_ip}}\n\n时间: {{timestamp}}\n\n[查看详情]({{display_url}})\n\n[查看记录]({{record_url}})\n','{\"container_id\":\"string:6\",\"cpu_limit_value\":\"fraction:1\",\"cpu_usage_percent_avg\":\"percent:1\"}','1.0','2021-05-28 11:55:06','2021-05-28 11:55:06',0),(4738,'应用实例CPU使用率异常','app_resource','app_resource_container_cpu','ticket','alert','【{{application_name}}应用{{service_name}}服务实例CPU使用率告警】\n','【应用实例CPU使用率异常告警】\n\n项目: {{project_name}}\n\n应用: {{application_name}}\n\n服务实例: {{runtime_name}} - {{service_name}}.{{container_id}}\n\nCPU平均使用率: {{cpu_usage_percent_avg}}\n\nCPU限制: {{cpu_limit_value}}核\n\n机器: {{host_ip}}\n\n时间: {{timestamp}}\n\n[查看详情]({{display_url}})\n\n[查看记录]({{record_url}})\n','{\"container_id\":\"string:6\",\"cpu_limit_value\":\"fraction:1\",\"cpu_usage_percent_avg\":\"percent:1\"}','1.0','2021-05-28 11:55:06','2021-05-28 11:55:06',0),(4739,'应用实例CPU使用率异常','app_resource','app_resource_container_cpu','email','alert','【{{application_name}}应用{{service_name}}服务实例CPU使用率告警】\n','【应用实例CPU使用率异常告警】\n\n项目: {{project_name}}\n\n应用: {{application_name}}\n\n服务实例: {{runtime_name}} - {{service_name}}.{{container_id}}\n\nCPU平均使用率: {{cpu_usage_percent_avg}}\n\nCPU限制: {{cpu_limit_value}}核\n\n机器: {{host_ip}}\n\n时间: {{timestamp}}\n\n[查看详情]({{display_url}})\n\n[查看记录]({{record_url}})\n','{\"container_id\":\"string:6\",\"cpu_limit_value\":\"fraction:1\",\"cpu_usage_percent_avg\":\"percent:1\"}','1.0','2021-05-28 11:55:06','2021-05-28 11:55:06',0),(4740,'应用实例CPU使用率异常','app_resource','app_resource_container_cpu','mbox','alert','【{{application_name}}应用{{service_name}}服务实例CPU使用率告警】\n','【应用实例CPU使用率异常告警】\n\n项目: {{project_name}}\n\n应用: {{application_name}}\n\n服务实例: {{runtime_name}} - {{service_name}}.{{container_id}}\n\nCPU平均使用率: {{cpu_usage_percent_avg}}\n\nCPU限制: {{cpu_limit_value}}核\n\n机器: {{host_ip}}\n\n时间: {{timestamp}}\n\n[查看详情]({{display_url}})\n\n[查看记录]({{record_url}})\n','{\"container_id\":\"string:6\",\"cpu_limit_value\":\"fraction:1\",\"cpu_usage_percent_avg\":\"percent:1\"}','1.0','2021-05-28 11:55:06','2021-05-28 11:55:06',0),(4741,'应用实例CPU使用率异常','app_resource','app_resource_container_cpu','webhook','alert','【{{application_name}}应用{{service_name}}服务实例CPU使用率告警】\n','【应用实例CPU使用率异常告警】\n\n项目: {{project_name}}\n\n应用: {{application_name}}\n\n服务实例: {{runtime_name}} - {{service_name}}.{{container_id}}\n\nCPU平均使用率: {{cpu_usage_percent_avg}}\n\nCPU限制: {{cpu_limit_value}}核\n\n机器: {{host_ip}}\n\n时间: {{timestamp}}\n\n[查看详情]({{display_url}})\n\n[查看记录]({{record_url}})\n','{\"container_id\":\"string:6\",\"cpu_limit_value\":\"fraction:1\",\"cpu_usage_percent_avg\":\"percent:1\"}','1.0','2021-05-28 11:55:06','2021-05-28 11:55:06',0),(4742,'应用实例CPU使用率恢复','app_resource','app_resource_container_cpu','dingding','recover','【{{application_name}}应用{{service_name}}服务实例CPU使用率恢复】\n','【应用实例CPU使用率恢复】\n\n项目: {{project_name}}\n\n应用: {{application_name}}\n\n服务实例: {{runtime_name}} - {{service_name}}.{{container_id}}\n\n平均使用率: {{cpu_usage_percent_avg}}\n\n机器: {{host_ip}}\n\n容器ID: {{container_id}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','{\"container_id\":\"string:6\",\"cpu_usage_percent_avg\":\"percent:1\",\"trigger_duration\":\"time:ms\"}','1.0','2021-05-28 11:55:06','2021-05-28 11:55:06',0),(4743,'应用实例CPU使用率恢复','app_resource','app_resource_container_cpu','ticket','recover','【{{application_name}}应用{{service_name}}服务实例CPU使用率恢复】\n','【应用实例CPU使用率恢复】\n\n项目: {{project_name}}\n\n应用: {{application_name}}\n\n服务实例: {{runtime_name}} - {{service_name}}.{{container_id}}\n\n平均使用率: {{cpu_usage_percent_avg}}\n\n机器: {{host_ip}}\n\n容器ID: {{container_id}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','{\"container_id\":\"string:6\",\"cpu_usage_percent_avg\":\"percent:1\",\"trigger_duration\":\"time:ms\"}','1.0','2021-05-28 11:55:06','2021-05-28 11:55:06',0),(4744,'应用实例CPU使用率恢复','app_resource','app_resource_container_cpu','email','recover','【{{application_name}}应用{{service_name}}服务实例CPU使用率恢复】\n','【应用实例CPU使用率恢复】\n\n项目: {{project_name}}\n\n应用: {{application_name}}\n\n服务实例: {{runtime_name}} - {{service_name}}.{{container_id}}\n\n平均使用率: {{cpu_usage_percent_avg}}\n\n机器: {{host_ip}}\n\n容器ID: {{container_id}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','{\"container_id\":\"string:6\",\"cpu_usage_percent_avg\":\"percent:1\",\"trigger_duration\":\"time:ms\"}','1.0','2021-05-28 11:55:06','2021-05-28 11:55:06',0),(4745,'应用实例CPU使用率恢复','app_resource','app_resource_container_cpu','mbox','recover','【{{application_name}}应用{{service_name}}服务实例CPU使用率恢复】\n','【应用实例CPU使用率恢复】\n\n项目: {{project_name}}\n\n应用: {{application_name}}\n\n服务实例: {{runtime_name}} - {{service_name}}.{{container_id}}\n\n平均使用率: {{cpu_usage_percent_avg}}\n\n机器: {{host_ip}}\n\n容器ID: {{container_id}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','{\"container_id\":\"string:6\",\"cpu_usage_percent_avg\":\"percent:1\",\"trigger_duration\":\"time:ms\"}','1.0','2021-05-28 11:55:06','2021-05-28 11:55:06',0),(4746,'应用实例CPU使用率恢复','app_resource','app_resource_container_cpu','webhook','recover','【{{application_name}}应用{{service_name}}服务实例CPU使用率恢复】\n','【应用实例CPU使用率恢复】\n\n项目: {{project_name}}\n\n应用: {{application_name}}\n\n服务实例: {{runtime_name}} - {{service_name}}.{{container_id}}\n\n平均使用率: {{cpu_usage_percent_avg}}\n\n机器: {{host_ip}}\n\n容器ID: {{container_id}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','{\"container_id\":\"string:6\",\"cpu_usage_percent_avg\":\"percent:1\",\"trigger_duration\":\"time:ms\"}','1.0','2021-05-28 11:55:06','2021-05-28 11:55:06',0),(4747,'应用实例内存使用率异常','app_resource','app_resource_container_mem','dingding','alert','【{{application_name}}应用{{service_name}}服务内存使用率异常告警】\n','【应用实例内存使用率异常告警】\n\n项目: {{project_name}}\n\n应用: {{application_name}}\n\n服务实例: {{runtime_name}} - {{service_name}}.{{container_id}}\n\n内存使用率: {{mem_usage_percent_avg}}\n\n内存使用: {{mem_usage_value}}\n\n内存限制: {{mem_limit_value}}\n\n机器: {{host_ip}}\n\n时间: {{timestamp}}\n\n[查看详情]({{display_url}})\n\n[查看记录]({{record_url}})\n','{\"container_id\":\"string:6\",\"mem_limit_value\":\"size:byte\",\"mem_usage_percent_avg\":\"percent:1\",\"mem_usage_value\":\"size:byte\"}','1.0','2021-05-28 11:55:06','2021-05-28 11:55:06',0),(4748,'应用实例内存使用率异常','app_resource','app_resource_container_mem','ticket','alert','【{{application_name}}应用{{service_name}}服务内存使用率异常告警】\n','【应用实例内存使用率异常告警】\n\n项目: {{project_name}}\n\n应用: {{application_name}}\n\n服务实例: {{runtime_name}} - {{service_name}}.{{container_id}}\n\n内存使用率: {{mem_usage_percent_avg}}\n\n内存使用: {{mem_usage_value}}\n\n内存限制: {{mem_limit_value}}\n\n机器: {{host_ip}}\n\n时间: {{timestamp}}\n\n[查看详情]({{display_url}})\n\n[查看记录]({{record_url}})\n','{\"container_id\":\"string:6\",\"mem_limit_value\":\"size:byte\",\"mem_usage_percent_avg\":\"percent:1\",\"mem_usage_value\":\"size:byte\"}','1.0','2021-05-28 11:55:06','2021-05-28 11:55:06',0),(4749,'应用实例内存使用率异常','app_resource','app_resource_container_mem','email','alert','【{{application_name}}应用{{service_name}}服务内存使用率异常告警】\n','【应用实例内存使用率异常告警】\n\n项目: {{project_name}}\n\n应用: {{application_name}}\n\n服务实例: {{runtime_name}} - {{service_name}}.{{container_id}}\n\n内存使用率: {{mem_usage_percent_avg}}\n\n内存使用: {{mem_usage_value}}\n\n内存限制: {{mem_limit_value}}\n\n机器: {{host_ip}}\n\n时间: {{timestamp}}\n\n[查看详情]({{display_url}})\n\n[查看记录]({{record_url}})\n','{\"container_id\":\"string:6\",\"mem_limit_value\":\"size:byte\",\"mem_usage_percent_avg\":\"percent:1\",\"mem_usage_value\":\"size:byte\"}','1.0','2021-05-28 11:55:06','2021-05-28 11:55:06',0),(4750,'应用实例内存使用率异常','app_resource','app_resource_container_mem','mbox','alert','【{{application_name}}应用{{service_name}}服务内存使用率异常告警】\n','【应用实例内存使用率异常告警】\n\n项目: {{project_name}}\n\n应用: {{application_name}}\n\n服务实例: {{runtime_name}} - {{service_name}}.{{container_id}}\n\n内存使用率: {{mem_usage_percent_avg}}\n\n内存使用: {{mem_usage_value}}\n\n内存限制: {{mem_limit_value}}\n\n机器: {{host_ip}}\n\n时间: {{timestamp}}\n\n[查看详情]({{display_url}})\n\n[查看记录]({{record_url}})\n','{\"container_id\":\"string:6\",\"mem_limit_value\":\"size:byte\",\"mem_usage_percent_avg\":\"percent:1\",\"mem_usage_value\":\"size:byte\"}','1.0','2021-05-28 11:55:06','2021-05-28 11:55:06',0),(4751,'应用实例内存使用率异常','app_resource','app_resource_container_mem','webhook','alert','【{{application_name}}应用{{service_name}}服务内存使用率异常告警】\n','【应用实例内存使用率异常告警】\n\n项目: {{project_name}}\n\n应用: {{application_name}}\n\n服务实例: {{runtime_name}} - {{service_name}}.{{container_id}}\n\n内存使用率: {{mem_usage_percent_avg}}\n\n内存使用: {{mem_usage_value}}\n\n内存限制: {{mem_limit_value}}\n\n机器: {{host_ip}}\n\n时间: {{timestamp}}\n\n[查看详情]({{display_url}})\n\n[查看记录]({{record_url}})\n','{\"container_id\":\"string:6\",\"mem_limit_value\":\"size:byte\",\"mem_usage_percent_avg\":\"percent:1\",\"mem_usage_value\":\"size:byte\"}','1.0','2021-05-28 11:55:06','2021-05-28 11:55:06',0),(4752,'应用实例内存异常','app_resource','app_resource_container_mem','dingding','recover','【{{application_name}}应用{{service_name}}服务内存使用率异常恢复】\n','【应用实例内存使用率异常恢复】\n\n项目: {{project_name}}\n\n应用: {{application_name}}\n\n服务实例: {{runtime_name}} - {{service_name}}.{{container_id}}\n\n内存使用率: {{mem_usage_percent_avg}}\n\n内存使用: {{mem_usage_value}}\n\n内存限制: {{mem_limit_value}}\n\n机器: {{host_ip}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','{\"container_id\":\"string:6\",\"mem_usage_percent_avg\":\"percent:1\",\"trigger_duration\":\"time:ms\"}','1.0','2021-05-28 11:55:06','2021-05-28 11:55:06',0),(4753,'应用实例内存异常','app_resource','app_resource_container_mem','ticket','recover','【{{application_name}}应用{{service_name}}服务内存使用率异常恢复】\n','【应用实例内存使用率异常恢复】\n\n项目: {{project_name}}\n\n应用: {{application_name}}\n\n服务实例: {{runtime_name}} - {{service_name}}.{{container_id}}\n\n内存使用率: {{mem_usage_percent_avg}}\n\n内存使用: {{mem_usage_value}}\n\n内存限制: {{mem_limit_value}}\n\n机器: {{host_ip}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','{\"container_id\":\"string:6\",\"mem_usage_percent_avg\":\"percent:1\",\"trigger_duration\":\"time:ms\"}','1.0','2021-05-28 11:55:06','2021-05-28 11:55:06',0),(4754,'应用实例内存异常','app_resource','app_resource_container_mem','email','recover','【{{application_name}}应用{{service_name}}服务内存使用率异常恢复】\n','【应用实例内存使用率异常恢复】\n\n项目: {{project_name}}\n\n应用: {{application_name}}\n\n服务实例: {{runtime_name}} - {{service_name}}.{{container_id}}\n\n内存使用率: {{mem_usage_percent_avg}}\n\n内存使用: {{mem_usage_value}}\n\n内存限制: {{mem_limit_value}}\n\n机器: {{host_ip}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','{\"container_id\":\"string:6\",\"mem_usage_percent_avg\":\"percent:1\",\"trigger_duration\":\"time:ms\"}','1.0','2021-05-28 11:55:06','2021-05-28 11:55:06',0),(4755,'应用实例内存异常','app_resource','app_resource_container_mem','mbox','recover','【{{application_name}}应用{{service_name}}服务内存使用率异常恢复】\n','【应用实例内存使用率异常恢复】\n\n项目: {{project_name}}\n\n应用: {{application_name}}\n\n服务实例: {{runtime_name}} - {{service_name}}.{{container_id}}\n\n内存使用率: {{mem_usage_percent_avg}}\n\n内存使用: {{mem_usage_value}}\n\n内存限制: {{mem_limit_value}}\n\n机器: {{host_ip}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','{\"container_id\":\"string:6\",\"mem_usage_percent_avg\":\"percent:1\",\"trigger_duration\":\"time:ms\"}','1.0','2021-05-28 11:55:06','2021-05-28 11:55:06',0),(4756,'应用实例内存异常','app_resource','app_resource_container_mem','webhook','recover','【{{application_name}}应用{{service_name}}服务内存使用率异常恢复】\n','【应用实例内存使用率异常恢复】\n\n项目: {{project_name}}\n\n应用: {{application_name}}\n\n服务实例: {{runtime_name}} - {{service_name}}.{{container_id}}\n\n内存使用率: {{mem_usage_percent_avg}}\n\n内存使用: {{mem_usage_value}}\n\n内存限制: {{mem_limit_value}}\n\n机器: {{host_ip}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','{\"container_id\":\"string:6\",\"mem_usage_percent_avg\":\"percent:1\",\"trigger_duration\":\"time:ms\"}','1.0','2021-05-28 11:55:06','2021-05-28 11:55:06',0),(4757,'应用实例OOM告警','app_resource','app_resource_container_oom','dingding','alert','【{{application_name}}应用{{service_name}}服务实例OOM告警】\n','【应用实例OOM告警】\n\n项目: {{project_name}}\n\n应用: {{application_name}}\n\n服务实例: {{runtime_name}} - {{service_name}}.{{container_id}}\n\n事件: 服务实例发生OOM\n\n机器: {{host_ip}}\n\n时间: {{timestamp}}\n\n[查看详情]({{display_url}})\n\n[查看记录]({{record_url}})\n','{\"container_id\":\"string:6\"}','1.0','2021-05-28 11:55:06','2021-05-28 11:55:06',0),(4758,'应用实例OOM告警','app_resource','app_resource_container_oom','ticket','alert','【{{application_name}}应用{{service_name}}服务实例OOM告警】\n','【应用实例OOM告警】\n\n项目: {{project_name}}\n\n应用: {{application_name}}\n\n服务实例: {{runtime_name}} - {{service_name}}.{{container_id}}\n\n事件: 服务实例发生OOM\n\n机器: {{host_ip}}\n\n时间: {{timestamp}}\n\n[查看详情]({{display_url}})\n\n[查看记录]({{record_url}})\n','{\"container_id\":\"string:6\"}','1.0','2021-05-28 11:55:06','2021-05-28 11:55:06',0),(4759,'应用实例OOM告警','app_resource','app_resource_container_oom','email','alert','【{{application_name}}应用{{service_name}}服务实例OOM告警】\n','【应用实例OOM告警】\n\n项目: {{project_name}}\n\n应用: {{application_name}}\n\n服务实例: {{runtime_name}} - {{service_name}}.{{container_id}}\n\n事件: 服务实例发生OOM\n\n机器: {{host_ip}}\n\n时间: {{timestamp}}\n\n[查看详情]({{display_url}})\n\n[查看记录]({{record_url}})\n','{\"container_id\":\"string:6\"}','1.0','2021-05-28 11:55:06','2021-05-28 11:55:06',0),(4760,'应用实例OOM告警','app_resource','app_resource_container_oom','mbox','alert','【{{application_name}}应用{{service_name}}服务实例OOM告警】\n','【应用实例OOM告警】\n\n项目: {{project_name}}\n\n应用: {{application_name}}\n\n服务实例: {{runtime_name}} - {{service_name}}.{{container_id}}\n\n事件: 服务实例发生OOM\n\n机器: {{host_ip}}\n\n时间: {{timestamp}}\n\n[查看详情]({{display_url}})\n\n[查看记录]({{record_url}})\n','{\"container_id\":\"string:6\"}','1.0','2021-05-28 11:55:06','2021-05-28 11:55:06',0),(4761,'应用实例OOM告警','app_resource','app_resource_container_oom','webhook','alert','【{{application_name}}应用{{service_name}}服务实例OOM告警】\n','【应用实例OOM告警】\n\n项目: {{project_name}}\n\n应用: {{application_name}}\n\n服务实例: {{runtime_name}} - {{service_name}}.{{container_id}}\n\n事件: 服务实例发生OOM\n\n机器: {{host_ip}}\n\n时间: {{timestamp}}\n\n[查看详情]({{display_url}})\n\n[查看记录]({{record_url}})\n','{\"container_id\":\"string:6\"}','1.0','2021-05-28 11:55:06','2021-05-28 11:55:06',0),(4762,'应用JVM GC次数异常','app_resource','app_resource_jvm_gc_count','dingding','alert','【{{application_name}}应用{{service_name}}服务JVM GC次数异常告警】\n','【应用JVM GC次数异常告警】\n\n实例GC次数太多 !\n\n项目: {{project_name}}\n\n应用: {{application_name}}\n\n服务: {{runtime_name}} / {{service_name}}\n\n老年代GC次数: {{count_sum}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n时间: {{timestamp}}\n\n[查看详情]({{display_url}})\n\n[查看记录]({{record_url}})\n','','1.0','2021-05-28 11:55:06','2021-05-28 11:55:06',0),(4763,'应用JVM GC次数异常','app_resource','app_resource_jvm_gc_count','ticket','alert','【{{application_name}}应用{{service_name}}服务JVM GC次数异常告警】\n','【应用JVM GC次数异常告警】\n\n实例GC次数太多 !\n\n项目: {{project_name}}\n\n应用: {{application_name}}\n\n服务: {{runtime_name}} / {{service_name}}\n\n老年代GC次数: {{count_sum}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n时间: {{timestamp}}\n\n[查看详情]({{display_url}})\n\n[查看记录]({{record_url}})\n','','1.0','2021-05-28 11:55:06','2021-05-28 11:55:06',0),(4764,'应用JVM GC次数异常','app_resource','app_resource_jvm_gc_count','email','alert','【{{application_name}}应用{{service_name}}服务JVM GC次数异常告警】\n','【应用JVM GC次数异常告警】\n\n实例GC次数太多 !\n\n项目: {{project_name}}\n\n应用: {{application_name}}\n\n服务: {{runtime_name}} / {{service_name}}\n\n老年代GC次数: {{count_sum}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n时间: {{timestamp}}\n\n[查看详情]({{display_url}})\n\n[查看记录]({{record_url}})\n','','1.0','2021-05-28 11:55:06','2021-05-28 11:55:06',0),(4765,'应用JVM GC次数异常','app_resource','app_resource_jvm_gc_count','mbox','alert','【{{application_name}}应用{{service_name}}服务JVM GC次数异常告警】\n','【应用JVM GC次数异常告警】\n\n实例GC次数太多 !\n\n项目: {{project_name}}\n\n应用: {{application_name}}\n\n服务: {{runtime_name}} / {{service_name}}\n\n老年代GC次数: {{count_sum}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n时间: {{timestamp}}\n\n[查看详情]({{display_url}})\n\n[查看记录]({{record_url}})\n','','1.0','2021-05-28 11:55:06','2021-05-28 11:55:06',0),(4766,'应用JVM GC次数异常','app_resource','app_resource_jvm_gc_count','webhook','alert','【{{application_name}}应用{{service_name}}服务JVM GC次数异常告警】\n','【应用JVM GC次数异常告警】\n\n实例GC次数太多 !\n\n项目: {{project_name}}\n\n应用: {{application_name}}\n\n服务: {{runtime_name}} / {{service_name}}\n\n老年代GC次数: {{count_sum}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n时间: {{timestamp}}\n\n[查看详情]({{display_url}})\n\n[查看记录]({{record_url}})\n','','1.0','2021-05-28 11:55:06','2021-05-28 11:55:06',0),(4767,'应用JVM GC次数异常','app_resource','app_resource_jvm_gc_count','dingding','recover','【{{application_name}}应用{{service_name}}服务JVM GC次数异常恢复】\n','【应用JVM GC次数异常恢复】\n\n实例GC次数已恢复正常值 .\n\n项目: {{project_name}}\n\n应用: {{application_name}}\n\n服务: {{runtime_name}} / {{service_name}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n持续时间: {{trigger_duration_min}}\n\n恢复时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','','1.0','2021-05-28 11:55:06','2021-05-28 11:55:06',0),(4768,'应用JVM GC次数异常','app_resource','app_resource_jvm_gc_count','ticket','recover','【{{application_name}}应用{{service_name}}服务JVM GC次数异常恢复】\n','【应用JVM GC次数异常恢复】\n\n实例GC次数已恢复正常值 .\n\n项目: {{project_name}}\n\n应用: {{application_name}}\n\n服务: {{runtime_name}} / {{service_name}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n持续时间: {{trigger_duration_min}}\n\n恢复时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','','1.0','2021-05-28 11:55:06','2021-05-28 11:55:06',0),(4769,'应用JVM GC次数异常','app_resource','app_resource_jvm_gc_count','email','recover','【{{application_name}}应用{{service_name}}服务JVM GC次数异常恢复】\n','【应用JVM GC次数异常恢复】\n\n实例GC次数已恢复正常值 .\n\n项目: {{project_name}}\n\n应用: {{application_name}}\n\n服务: {{runtime_name}} / {{service_name}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n持续时间: {{trigger_duration_min}}\n\n恢复时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','','1.0','2021-05-28 11:55:06','2021-05-28 11:55:06',0),(4770,'应用JVM GC次数异常','app_resource','app_resource_jvm_gc_count','mbox','recover','【{{application_name}}应用{{service_name}}服务JVM GC次数异常恢复】\n','【应用JVM GC次数异常恢复】\n\n实例GC次数已恢复正常值 .\n\n项目: {{project_name}}\n\n应用: {{application_name}}\n\n服务: {{runtime_name}} / {{service_name}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n持续时间: {{trigger_duration_min}}\n\n恢复时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','','1.0','2021-05-28 11:55:06','2021-05-28 11:55:06',0),(4771,'应用JVM GC次数异常','app_resource','app_resource_jvm_gc_count','webhook','recover','【{{application_name}}应用{{service_name}}服务JVM GC次数异常恢复】\n','【应用JVM GC次数异常恢复】\n\n实例GC次数已恢复正常值 .\n\n项目: {{project_name}}\n\n应用: {{application_name}}\n\n服务: {{runtime_name}} / {{service_name}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n持续时间: {{trigger_duration_min}}\n\n恢复时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','','1.0','2021-05-28 11:55:06','2021-05-28 11:55:06',0),(4772,'应用JVM GC耗时异常','app_resource','app_resource_jvm_gc_time','dingding','alert','【{{application_name}}应用{{service_name}}服务JVM GC耗时异常告警】\n','【应用JVM GC耗时异常告警】\n\n实例GC耗时过长 !\n\n项目: {{project_name}}\n\n应用: {{application_name}}\n\n服务: {{runtime_name}} / {{service_name}}\n\n老年代GC耗时: 总耗时{{time_sum}}，最长一次耗时{{time_value}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n时间: {{timestamp}}\n\n[查看详情]({{display_url}})\n\n[查看记录]({{record_url}})\n','{\"time_sum\":\"time:ms\",\"time_value\":\"time:ms\"}','1.0','2021-05-28 11:55:06','2021-05-28 11:55:06',0),(4773,'应用JVM GC耗时异常','app_resource','app_resource_jvm_gc_time','ticket','alert','【{{application_name}}应用{{service_name}}服务JVM GC耗时异常告警】\n','【应用JVM GC耗时异常告警】\n\n实例GC耗时过长 !\n\n项目: {{project_name}}\n\n应用: {{application_name}}\n\n服务: {{runtime_name}} / {{service_name}}\n\n老年代GC耗时: 总耗时{{time_sum}}，最长一次耗时{{time_value}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n时间: {{timestamp}}\n\n[查看详情]({{display_url}})\n\n[查看记录]({{record_url}})\n','{\"time_sum\":\"time:ms\",\"time_value\":\"time:ms\"}','1.0','2021-05-28 11:55:06','2021-05-28 11:55:06',0),(4774,'应用JVM GC耗时异常','app_resource','app_resource_jvm_gc_time','email','alert','【{{application_name}}应用{{service_name}}服务JVM GC耗时异常告警】\n','【应用JVM GC耗时异常告警】\n\n实例GC耗时过长 !\n\n项目: {{project_name}}\n\n应用: {{application_name}}\n\n服务: {{runtime_name}} / {{service_name}}\n\n老年代GC耗时: 总耗时{{time_sum}}，最长一次耗时{{time_value}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n时间: {{timestamp}}\n\n[查看详情]({{display_url}})\n\n[查看记录]({{record_url}})\n','{\"time_sum\":\"time:ms\",\"time_value\":\"time:ms\"}','1.0','2021-05-28 11:55:06','2021-05-28 11:55:06',0),(4775,'应用JVM GC耗时异常','app_resource','app_resource_jvm_gc_time','mbox','alert','【{{application_name}}应用{{service_name}}服务JVM GC耗时异常告警】\n','【应用JVM GC耗时异常告警】\n\n实例GC耗时过长 !\n\n项目: {{project_name}}\n\n应用: {{application_name}}\n\n服务: {{runtime_name}} / {{service_name}}\n\n老年代GC耗时: 总耗时{{time_sum}}，最长一次耗时{{time_value}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n时间: {{timestamp}}\n\n[查看详情]({{display_url}})\n\n[查看记录]({{record_url}})\n','{\"time_sum\":\"time:ms\",\"time_value\":\"time:ms\"}','1.0','2021-05-28 11:55:06','2021-05-28 11:55:06',0),(4776,'应用JVM GC耗时异常','app_resource','app_resource_jvm_gc_time','webhook','alert','【{{application_name}}应用{{service_name}}服务JVM GC耗时异常告警】\n','【应用JVM GC耗时异常告警】\n\n实例GC耗时过长 !\n\n项目: {{project_name}}\n\n应用: {{application_name}}\n\n服务: {{runtime_name}} / {{service_name}}\n\n老年代GC耗时: 总耗时{{time_sum}}，最长一次耗时{{time_value}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n时间: {{timestamp}}\n\n[查看详情]({{display_url}})\n\n[查看记录]({{record_url}})\n','{\"time_sum\":\"time:ms\",\"time_value\":\"time:ms\"}','1.0','2021-05-28 11:55:06','2021-05-28 11:55:06',0),(4777,'应用JVM GC耗时异常','app_resource','app_resource_jvm_gc_time','dingding','recover','【{{application_name}}应用{{service_name}}服务JVM GC耗时异常恢复】\n','【应用JVM GC耗时异常恢复】\n\n实例GC耗时已恢复正常值 .\n\n项目: {{project_name}}\n\n应用: {{application_name}}\n\n服务: {{runtime_name}} / {{service_name}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n持续时间: {{trigger_duration_min}}\n\n恢复时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','','1.0','2021-05-28 11:55:06','2021-05-28 11:55:06',0),(4778,'应用JVM GC耗时异常','app_resource','app_resource_jvm_gc_time','ticket','recover','【{{application_name}}应用{{service_name}}服务JVM GC耗时异常恢复】\n','【应用JVM GC耗时异常恢复】\n\n实例GC耗时已恢复正常值 .\n\n项目: {{project_name}}\n\n应用: {{application_name}}\n\n服务: {{runtime_name}} / {{service_name}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n持续时间: {{trigger_duration_min}}\n\n恢复时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','','1.0','2021-05-28 11:55:06','2021-05-28 11:55:06',0),(4779,'应用JVM GC耗时异常','app_resource','app_resource_jvm_gc_time','email','recover','【{{application_name}}应用{{service_name}}服务JVM GC耗时异常恢复】\n','【应用JVM GC耗时异常恢复】\n\n实例GC耗时已恢复正常值 .\n\n项目: {{project_name}}\n\n应用: {{application_name}}\n\n服务: {{runtime_name}} / {{service_name}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n持续时间: {{trigger_duration_min}}\n\n恢复时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','','1.0','2021-05-28 11:55:06','2021-05-28 11:55:06',0),(4780,'应用JVM GC耗时异常','app_resource','app_resource_jvm_gc_time','mbox','recover','【{{application_name}}应用{{service_name}}服务JVM GC耗时异常恢复】\n','【应用JVM GC耗时异常恢复】\n\n实例GC耗时已恢复正常值 .\n\n项目: {{project_name}}\n\n应用: {{application_name}}\n\n服务: {{runtime_name}} / {{service_name}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n持续时间: {{trigger_duration_min}}\n\n恢复时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','','1.0','2021-05-28 11:55:06','2021-05-28 11:55:06',0),(4781,'应用JVM GC耗时异常','app_resource','app_resource_jvm_gc_time','webhook','recover','【{{application_name}}应用{{service_name}}服务JVM GC耗时异常恢复】\n','【应用JVM GC耗时异常恢复】\n\n实例GC耗时已恢复正常值 .\n\n项目: {{project_name}}\n\n应用: {{application_name}}\n\n服务: {{runtime_name}} / {{service_name}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n持续时间: {{trigger_duration_min}}\n\n恢复时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','','1.0','2021-05-28 11:55:06','2021-05-28 11:55:06',0),(4782,'JVM堆内存使用异常告警','app_resource','app_resource_jvm_heap','dingding','alert','【{{application_name}}应用{{service_name}}服务JVM堆内存使用异常告警】','【JVM堆内存使用异常告警】\n\n实例JVM堆内存使用过高 ！\n\n项目: {{project_name}}\n\n应用: {{application_name}}\n\n服务: {{runtime_name}} / {{service_name}}\n\n实例: {{instance_id}}\n\n堆内存使用率: {{usage_percent_avg}}\n\n已使用: {{used_value}}\n\n最大使用: {{max_value}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n时间: {{timestamp}}\n\n[查看详情]({{display_url}})\n\n[查看记录]({{record_url}})\n','{\"max_value\":\"size:byte\",\"usage_percent_avg\":\"percent\",\"used_value\":\"size:byte\"}','1.0','2021-05-28 11:55:06','2021-05-28 11:55:06',0),(4783,'JVM堆内存使用异常告警','app_resource','app_resource_jvm_heap','ticket','alert','【{{application_name}}应用{{service_name}}服务JVM堆内存使用异常告警】','【JVM堆内存使用异常告警】\n\n实例JVM堆内存使用过高 ！\n\n项目: {{project_name}}\n\n应用: {{application_name}}\n\n服务: {{runtime_name}} / {{service_name}}\n\n实例: {{instance_id}}\n\n堆内存使用率: {{usage_percent_avg}}\n\n已使用: {{used_value}}\n\n最大使用: {{max_value}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n时间: {{timestamp}}\n\n[查看详情]({{display_url}})\n\n[查看记录]({{record_url}})\n','{\"max_value\":\"size:byte\",\"usage_percent_avg\":\"percent\",\"used_value\":\"size:byte\"}','1.0','2021-05-28 11:55:06','2021-05-28 11:55:06',0),(4784,'JVM堆内存使用异常告警','app_resource','app_resource_jvm_heap','email','alert','【{{application_name}}应用{{service_name}}服务JVM堆内存使用异常告警】','【JVM堆内存使用异常告警】\n\n实例JVM堆内存使用过高 ！\n\n项目: {{project_name}}\n\n应用: {{application_name}}\n\n服务: {{runtime_name}} / {{service_name}}\n\n实例: {{instance_id}}\n\n堆内存使用率: {{usage_percent_avg}}\n\n已使用: {{used_value}}\n\n最大使用: {{max_value}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n时间: {{timestamp}}\n\n[查看详情]({{display_url}})\n\n[查看记录]({{record_url}})\n','{\"max_value\":\"size:byte\",\"usage_percent_avg\":\"percent\",\"used_value\":\"size:byte\"}','1.0','2021-05-28 11:55:06','2021-05-28 11:55:06',0),(4785,'JVM堆内存使用异常告警','app_resource','app_resource_jvm_heap','mbox','alert','【{{application_name}}应用{{service_name}}服务JVM堆内存使用异常告警】','【JVM堆内存使用异常告警】\n\n实例JVM堆内存使用过高 ！\n\n项目: {{project_name}}\n\n应用: {{application_name}}\n\n服务: {{runtime_name}} / {{service_name}}\n\n实例: {{instance_id}}\n\n堆内存使用率: {{usage_percent_avg}}\n\n已使用: {{used_value}}\n\n最大使用: {{max_value}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n时间: {{timestamp}}\n\n[查看详情]({{display_url}})\n\n[查看记录]({{record_url}})\n','{\"max_value\":\"size:byte\",\"usage_percent_avg\":\"percent\",\"used_value\":\"size:byte\"}','1.0','2021-05-28 11:55:06','2021-05-28 11:55:06',0),(4786,'JVM堆内存使用异常告警','app_resource','app_resource_jvm_heap','webhook','alert','【{{application_name}}应用{{service_name}}服务JVM堆内存使用异常告警】','【JVM堆内存使用异常告警】\n\n实例JVM堆内存使用过高 ！\n\n项目: {{project_name}}\n\n应用: {{application_name}}\n\n服务: {{runtime_name}} / {{service_name}}\n\n实例: {{instance_id}}\n\n堆内存使用率: {{usage_percent_avg}}\n\n已使用: {{used_value}}\n\n最大使用: {{max_value}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n时间: {{timestamp}}\n\n[查看详情]({{display_url}})\n\n[查看记录]({{record_url}})\n','{\"max_value\":\"size:byte\",\"usage_percent_avg\":\"percent\",\"used_value\":\"size:byte\"}','1.0','2021-05-28 11:55:06','2021-05-28 11:55:06',0),(4787,'JVM堆内存使用异常恢复','app_resource','app_resource_jvm_heap','dingding','recover','【{{application_name}}应用{{service_name}}服务JVM堆内存使用异常恢复】','【JVM堆内存使用异常恢复】\n\n实例JVM堆内存已恢复恢复正常使用状态 .\n\n项目: {{project_name}}\n\n应用: {{application_name}}\n\n服务: {{runtime_name}} / {{service_name}}\n\n实例: {{instance_id}}\n\n堆内存使用率: {{usage_percent_avg}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n持续时间: {{trigger_duration_min}}\n\n恢复时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','{\"usage_percent_avg\":\"percent\"}','1.0','2021-05-28 11:55:06','2021-05-28 11:55:06',0),(4788,'JVM堆内存使用异常恢复','app_resource','app_resource_jvm_heap','ticket','recover','【{{application_name}}应用{{service_name}}服务JVM堆内存使用异常恢复】','【JVM堆内存使用异常恢复】\n\n实例JVM堆内存已恢复恢复正常使用状态 .\n\n项目: {{project_name}}\n\n应用: {{application_name}}\n\n服务: {{runtime_name}} / {{service_name}}\n\n实例: {{instance_id}}\n\n堆内存使用率: {{usage_percent_avg}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n持续时间: {{trigger_duration_min}}\n\n恢复时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','{\"usage_percent_avg\":\"percent\"}','1.0','2021-05-28 11:55:06','2021-05-28 11:55:06',0),(4789,'JVM堆内存使用异常恢复','app_resource','app_resource_jvm_heap','email','recover','【{{application_name}}应用{{service_name}}服务JVM堆内存使用异常恢复】','【JVM堆内存使用异常恢复】\n\n实例JVM堆内存已恢复恢复正常使用状态 .\n\n项目: {{project_name}}\n\n应用: {{application_name}}\n\n服务: {{runtime_name}} / {{service_name}}\n\n实例: {{instance_id}}\n\n堆内存使用率: {{usage_percent_avg}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n持续时间: {{trigger_duration_min}}\n\n恢复时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','{\"usage_percent_avg\":\"percent\"}','1.0','2021-05-28 11:55:06','2021-05-28 11:55:06',0),(4790,'JVM堆内存使用异常恢复','app_resource','app_resource_jvm_heap','mbox','recover','【{{application_name}}应用{{service_name}}服务JVM堆内存使用异常恢复】','【JVM堆内存使用异常恢复】\n\n实例JVM堆内存已恢复恢复正常使用状态 .\n\n项目: {{project_name}}\n\n应用: {{application_name}}\n\n服务: {{runtime_name}} / {{service_name}}\n\n实例: {{instance_id}}\n\n堆内存使用率: {{usage_percent_avg}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n持续时间: {{trigger_duration_min}}\n\n恢复时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','{\"usage_percent_avg\":\"percent\"}','1.0','2021-05-28 11:55:06','2021-05-28 11:55:06',0),(4791,'JVM堆内存使用异常恢复','app_resource','app_resource_jvm_heap','webhook','recover','【{{application_name}}应用{{service_name}}服务JVM堆内存使用异常恢复】','【JVM堆内存使用异常恢复】\n\n实例JVM堆内存已恢复恢复正常使用状态 .\n\n项目: {{project_name}}\n\n应用: {{application_name}}\n\n服务: {{runtime_name}} / {{service_name}}\n\n实例: {{instance_id}}\n\n堆内存使用率: {{usage_percent_avg}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n持续时间: {{trigger_duration_min}}\n\n恢复时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','{\"usage_percent_avg\":\"percent\"}','1.0','2021-05-28 11:55:06','2021-05-28 11:55:06',0),(4792,'应用NodeJS堆内存使用异常告警','app_resource','app_resource_nodejs_heap','dingding','alert','【{{application_name}}应用{{service_name}}服务NodeJS堆内存使用异常告警】','【应用NodeJS堆内存使用异常告警】\n\n实例NodeJS堆内存使用过高 ！\n\n项目: {{project_name}}\n\n应用: {{application_name}}\n\n服务: {{runtime_name}} / {{service_name}}\n\n实例: {{instance_id}}\n\n堆内存使用率: {{usage_percent_avg}}\n\n已使用: {{heap_used_value}}\n\n常驻内存: {{rss_value}}\n\n最大使用: {{max_value}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n时间: {{timestamp}}\n\n[查看详情]({{display_url}})\n\n[查看记录]({{record_url}})\n','{\"heap_used_value\":\"size:byte\",\"max_value\":\"size:byte\",\"rss_value\":\"size:byte\",\"usage_percent_avg\":\"percent\"}','1.0','2021-05-28 11:55:06','2021-05-28 11:55:06',0),(4793,'应用NodeJS堆内存使用异常告警','app_resource','app_resource_nodejs_heap','ticket','alert','【{{application_name}}应用{{service_name}}服务NodeJS堆内存使用异常告警】','【应用NodeJS堆内存使用异常告警】\n\n实例NodeJS堆内存使用过高 ！\n\n项目: {{project_name}}\n\n应用: {{application_name}}\n\n服务: {{runtime_name}} / {{service_name}}\n\n实例: {{instance_id}}\n\n堆内存使用率: {{usage_percent_avg}}\n\n已使用: {{heap_used_value}}\n\n常驻内存: {{rss_value}}\n\n最大使用: {{max_value}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n时间: {{timestamp}}\n\n[查看详情]({{display_url}})\n\n[查看记录]({{record_url}})\n','{\"heap_used_value\":\"size:byte\",\"max_value\":\"size:byte\",\"rss_value\":\"size:byte\",\"usage_percent_avg\":\"percent\"}','1.0','2021-05-28 11:55:06','2021-05-28 11:55:06',0),(4794,'应用NodeJS堆内存使用异常告警','app_resource','app_resource_nodejs_heap','email','alert','【{{application_name}}应用{{service_name}}服务NodeJS堆内存使用异常告警】','【应用NodeJS堆内存使用异常告警】\n\n实例NodeJS堆内存使用过高 ！\n\n项目: {{project_name}}\n\n应用: {{application_name}}\n\n服务: {{runtime_name}} / {{service_name}}\n\n实例: {{instance_id}}\n\n堆内存使用率: {{usage_percent_avg}}\n\n已使用: {{heap_used_value}}\n\n常驻内存: {{rss_value}}\n\n最大使用: {{max_value}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n时间: {{timestamp}}\n\n[查看详情]({{display_url}})\n\n[查看记录]({{record_url}})\n','{\"heap_used_value\":\"size:byte\",\"max_value\":\"size:byte\",\"rss_value\":\"size:byte\",\"usage_percent_avg\":\"percent\"}','1.0','2021-05-28 11:55:06','2021-05-28 11:55:06',0),(4795,'应用NodeJS堆内存使用异常告警','app_resource','app_resource_nodejs_heap','mbox','alert','【{{application_name}}应用{{service_name}}服务NodeJS堆内存使用异常告警】','【应用NodeJS堆内存使用异常告警】\n\n实例NodeJS堆内存使用过高 ！\n\n项目: {{project_name}}\n\n应用: {{application_name}}\n\n服务: {{runtime_name}} / {{service_name}}\n\n实例: {{instance_id}}\n\n堆内存使用率: {{usage_percent_avg}}\n\n已使用: {{heap_used_value}}\n\n常驻内存: {{rss_value}}\n\n最大使用: {{max_value}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n时间: {{timestamp}}\n\n[查看详情]({{display_url}})\n\n[查看记录]({{record_url}})\n','{\"heap_used_value\":\"size:byte\",\"max_value\":\"size:byte\",\"rss_value\":\"size:byte\",\"usage_percent_avg\":\"percent\"}','1.0','2021-05-28 11:55:06','2021-05-28 11:55:06',0),(4796,'应用NodeJS堆内存使用异常告警','app_resource','app_resource_nodejs_heap','webhook','alert','【{{application_name}}应用{{service_name}}服务NodeJS堆内存使用异常告警】','【应用NodeJS堆内存使用异常告警】\n\n实例NodeJS堆内存使用过高 ！\n\n项目: {{project_name}}\n\n应用: {{application_name}}\n\n服务: {{runtime_name}} / {{service_name}}\n\n实例: {{instance_id}}\n\n堆内存使用率: {{usage_percent_avg}}\n\n已使用: {{heap_used_value}}\n\n常驻内存: {{rss_value}}\n\n最大使用: {{max_value}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n时间: {{timestamp}}\n\n[查看详情]({{display_url}})\n\n[查看记录]({{record_url}})\n','{\"heap_used_value\":\"size:byte\",\"max_value\":\"size:byte\",\"rss_value\":\"size:byte\",\"usage_percent_avg\":\"percent\"}','1.0','2021-05-28 11:55:06','2021-05-28 11:55:06',0),(4797,'应用NodeJS堆内存使用异常恢复','app_resource','app_resource_nodejs_heap','dingding','recover','【{{application_name}}应用{{service_name}}服务NodeJS堆内存使用异常恢复】','【应用NodeJS堆内存使用异常恢复】\n\nNodeJS堆内存已恢复恢复正常状态 .\n\n项目: {{project_name}}\n\n应用: {{application_name}}\n\n服务: {{runtime_name}} / {{service_name}}\n\n实例: {{instance_id}}\n\n堆内存使用率: {{usage_percent_avg}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n持续时间: {{trigger_duration_min}}\n\n恢复时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','{\"usage_percent_avg\":\"percent\"}','1.0','2021-05-28 11:55:06','2021-05-28 11:55:06',0),(4798,'应用NodeJS堆内存使用异常恢复','app_resource','app_resource_nodejs_heap','ticket','recover','【{{application_name}}应用{{service_name}}服务NodeJS堆内存使用异常恢复】','【应用NodeJS堆内存使用异常恢复】\n\nNodeJS堆内存已恢复恢复正常状态 .\n\n项目: {{project_name}}\n\n应用: {{application_name}}\n\n服务: {{runtime_name}} / {{service_name}}\n\n实例: {{instance_id}}\n\n堆内存使用率: {{usage_percent_avg}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n持续时间: {{trigger_duration_min}}\n\n恢复时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','{\"usage_percent_avg\":\"percent\"}','1.0','2021-05-28 11:55:06','2021-05-28 11:55:06',0),(4799,'应用NodeJS堆内存使用异常恢复','app_resource','app_resource_nodejs_heap','email','recover','【{{application_name}}应用{{service_name}}服务NodeJS堆内存使用异常恢复】','【应用NodeJS堆内存使用异常恢复】\n\nNodeJS堆内存已恢复恢复正常状态 .\n\n项目: {{project_name}}\n\n应用: {{application_name}}\n\n服务: {{runtime_name}} / {{service_name}}\n\n实例: {{instance_id}}\n\n堆内存使用率: {{usage_percent_avg}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n持续时间: {{trigger_duration_min}}\n\n恢复时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','{\"usage_percent_avg\":\"percent\"}','1.0','2021-05-28 11:55:06','2021-05-28 11:55:06',0),(4800,'应用NodeJS堆内存使用异常恢复','app_resource','app_resource_nodejs_heap','mbox','recover','【{{application_name}}应用{{service_name}}服务NodeJS堆内存使用异常恢复】','【应用NodeJS堆内存使用异常恢复】\n\nNodeJS堆内存已恢复恢复正常状态 .\n\n项目: {{project_name}}\n\n应用: {{application_name}}\n\n服务: {{runtime_name}} / {{service_name}}\n\n实例: {{instance_id}}\n\n堆内存使用率: {{usage_percent_avg}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n持续时间: {{trigger_duration_min}}\n\n恢复时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','{\"usage_percent_avg\":\"percent\"}','1.0','2021-05-28 11:55:06','2021-05-28 11:55:06',0),(4801,'应用NodeJS堆内存使用异常恢复','app_resource','app_resource_nodejs_heap','webhook','recover','【{{application_name}}应用{{service_name}}服务NodeJS堆内存使用异常恢复】','【应用NodeJS堆内存使用异常恢复】\n\nNodeJS堆内存已恢复恢复正常状态 .\n\n项目: {{project_name}}\n\n应用: {{application_name}}\n\n服务: {{runtime_name}} / {{service_name}}\n\n实例: {{instance_id}}\n\n堆内存使用率: {{usage_percent_avg}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n持续时间: {{trigger_duration_min}}\n\n恢复时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','{\"usage_percent_avg\":\"percent\"}','1.0','2021-05-28 11:55:06','2021-05-28 11:55:06',0),(4802,' 页面内容改变','app_status','app_status_browser','dingding','alert','【{{project_name}}项目{{status_metric_name}}页面内容改变告警】\n','【页面内容改变告警】\n\n项目: {{project_name}}\n\n环境: {{workspace}}\n\n事件：[{{status_metric_name}}]({{url}})页面内容和基准点对比不一致\n\n时间: {{timestamp}}\n\n[查看详情]({{display_url}})\n\n[查看记录]({{record_url}})\n','','1.0','2021-05-28 11:55:06','2021-05-28 11:55:06',0),(4803,' 页面内容改变','app_status','app_status_browser','ticket','alert','【{{project_name}}项目{{status_metric_name}}页面内容改变告警】\n','【页面内容改变告警】\n\n项目: {{project_name}}\n\n环境: {{workspace}}\n\n事件：[{{status_metric_name}}]({{url}})页面内容和基准点对比不一致\n\n时间: {{timestamp}}\n\n[查看详情]({{display_url}})\n\n[查看记录]({{record_url}})\n','','1.0','2021-05-28 11:55:06','2021-05-28 11:55:06',0),(4804,' 页面内容改变','app_status','app_status_browser','email','alert','【{{project_name}}项目{{status_metric_name}}页面内容改变告警】\n','【页面内容改变告警】\n\n项目: {{project_name}}\n\n环境: {{workspace}}\n\n事件：[{{status_metric_name}}]({{url}})页面内容和基准点对比不一致\n\n时间: {{timestamp}}\n\n[查看详情]({{display_url}})\n\n[查看记录]({{record_url}})\n','','1.0','2021-05-28 11:55:06','2021-05-28 11:55:06',0),(4805,' 页面内容改变','app_status','app_status_browser','mbox','alert','【{{project_name}}项目{{status_metric_name}}页面内容改变告警】\n','【页面内容改变告警】\n\n项目: {{project_name}}\n\n环境: {{workspace}}\n\n事件：[{{status_metric_name}}]({{url}})页面内容和基准点对比不一致\n\n时间: {{timestamp}}\n\n[查看详情]({{display_url}})\n\n[查看记录]({{record_url}})\n','','1.0','2021-05-28 11:55:06','2021-05-28 11:55:06',0),(4806,' 页面内容改变','app_status','app_status_browser','webhook','alert','【{{project_name}}项目{{status_metric_name}}页面内容改变告警】\n','【页面内容改变告警】\n\n项目: {{project_name}}\n\n环境: {{workspace}}\n\n事件：[{{status_metric_name}}]({{url}})页面内容和基准点对比不一致\n\n时间: {{timestamp}}\n\n[查看详情]({{display_url}})\n\n[查看记录]({{record_url}})\n','','1.0','2021-05-28 11:55:06','2021-05-28 11:55:06',0),(4807,' 业务请求状态异常','app_status','app_status_browser','dingding','recover','【{{project_name}}项目{{status_metric_name}}页面内容改变恢复】\n','【页面内容改变恢复】\n\n[{{status_metric_name}}]({{url}}) 页面内容改变 .\n\n项目: {{project_name}}\n\n环境: {{workspace}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','{\"trigger_duration\":\"time:ms\"}','1.0','2021-05-28 11:55:06','2021-05-28 11:55:06',0),(4808,' 业务请求状态异常','app_status','app_status_browser','ticket','recover','【{{project_name}}项目{{status_metric_name}}页面内容改变恢复】\n','【页面内容改变恢复】\n\n[{{status_metric_name}}]({{url}}) 页面内容改变 .\n\n项目: {{project_name}}\n\n环境: {{workspace}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','{\"trigger_duration\":\"time:ms\"}','1.0','2021-05-28 11:55:06','2021-05-28 11:55:06',0),(4809,' 业务请求状态异常','app_status','app_status_browser','email','recover','【{{project_name}}项目{{status_metric_name}}页面内容改变恢复】\n','【页面内容改变恢复】\n\n[{{status_metric_name}}]({{url}}) 页面内容改变 .\n\n项目: {{project_name}}\n\n环境: {{workspace}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','{\"trigger_duration\":\"time:ms\"}','1.0','2021-05-28 11:55:06','2021-05-28 11:55:06',0),(4810,' 业务请求状态异常','app_status','app_status_browser','mbox','recover','【{{project_name}}项目{{status_metric_name}}页面内容改变恢复】\n','【页面内容改变恢复】\n\n[{{status_metric_name}}]({{url}}) 页面内容改变 .\n\n项目: {{project_name}}\n\n环境: {{workspace}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','{\"trigger_duration\":\"time:ms\"}','1.0','2021-05-28 11:55:06','2021-05-28 11:55:06',0),(4811,' 业务请求状态异常','app_status','app_status_browser','webhook','recover','【{{project_name}}项目{{status_metric_name}}页面内容改变恢复】\n','【页面内容改变恢复】\n\n[{{status_metric_name}}]({{url}}) 页面内容改变 .\n\n项目: {{project_name}}\n\n环境: {{workspace}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','{\"trigger_duration\":\"time:ms\"}','1.0','2021-05-28 11:55:06','2021-05-28 11:55:06',0),(4812,' 主动监控HTTP状态异常','app_status','app_status_code','dingding','alert','【{{project_name}}项目{{status_metric_name}}指标HTTP状态异常告警】\n','【主动监控HTTP状态异常】\n\n项目: {{project_name}}\n\n环境: {{workspace}}\n\n事件: [{{status_metric_name}}]({{url}}) 指标状态异常\n\n响应状态码: {{code_min}}\n\n时间: {{timestamp}}\n\n[查看详情]({{display_url}})\n\n[查看记录]({{record_url}})\n','','1.0','2021-05-28 11:55:06','2021-05-28 11:55:06',0),(4813,' 主动监控HTTP状态异常','app_status','app_status_code','ticket','alert','【{{project_name}}项目{{status_metric_name}}指标HTTP状态异常告警】\n','【主动监控HTTP状态异常】\n\n项目: {{project_name}}\n\n环境: {{workspace}}\n\n事件: [{{status_metric_name}}]({{url}}) 指标状态异常\n\n响应状态码: {{code_min}}\n\n时间: {{timestamp}}\n\n[查看详情]({{display_url}})\n\n[查看记录]({{record_url}})\n','','1.0','2021-05-28 11:55:06','2021-05-28 11:55:06',0),(4814,' 主动监控HTTP状态异常','app_status','app_status_code','email','alert','【{{project_name}}项目{{status_metric_name}}指标HTTP状态异常告警】\n','【主动监控HTTP状态异常】\n\n项目: {{project_name}}\n\n环境: {{workspace}}\n\n事件: [{{status_metric_name}}]({{url}}) 指标状态异常\n\n响应状态码: {{code_min}}\n\n时间: {{timestamp}}\n\n[查看详情]({{display_url}})\n\n[查看记录]({{record_url}})\n','','1.0','2021-05-28 11:55:06','2021-05-28 11:55:06',0),(4815,' 主动监控HTTP状态异常','app_status','app_status_code','mbox','alert','【{{project_name}}项目{{status_metric_name}}指标HTTP状态异常告警】\n','【主动监控HTTP状态异常】\n\n项目: {{project_name}}\n\n环境: {{workspace}}\n\n事件: [{{status_metric_name}}]({{url}}) 指标状态异常\n\n响应状态码: {{code_min}}\n\n时间: {{timestamp}}\n\n[查看详情]({{display_url}})\n\n[查看记录]({{record_url}})\n','','1.0','2021-05-28 11:55:06','2021-05-28 11:55:06',0),(4816,' 主动监控HTTP状态异常','app_status','app_status_code','webhook','alert','【{{project_name}}项目{{status_metric_name}}指标HTTP状态异常告警】\n','【主动监控HTTP状态异常】\n\n项目: {{project_name}}\n\n环境: {{workspace}}\n\n事件: [{{status_metric_name}}]({{url}}) 指标状态异常\n\n响应状态码: {{code_min}}\n\n时间: {{timestamp}}\n\n[查看详情]({{display_url}})\n\n[查看记录]({{record_url}})\n','','1.0','2021-05-28 11:55:06','2021-05-28 11:55:06',0),(4817,'主动监控HTTP状态恢复','app_status','app_status_code','dingding','recover','【{{project_name}}项目{{status_metric_name}}指标HTTP状态恢复】\n','【主动监控HTTP状态恢复】\n\n项目: {{project_name}}\n\n环境: {{workspace}}\n\n事件: [{{status_metric_name}}]({{url}}) 指标状态恢复\n\n响应状态码: {{code_min}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','{\"trigger_duration\":\"time:ms\"}','1.0','2021-05-28 11:55:06','2021-05-28 11:55:06',0),(4818,'主动监控HTTP状态恢复','app_status','app_status_code','ticket','recover','【{{project_name}}项目{{status_metric_name}}指标HTTP状态恢复】\n','【主动监控HTTP状态恢复】\n\n项目: {{project_name}}\n\n环境: {{workspace}}\n\n事件: [{{status_metric_name}}]({{url}}) 指标状态恢复\n\n响应状态码: {{code_min}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','{\"trigger_duration\":\"time:ms\"}','1.0','2021-05-28 11:55:06','2021-05-28 11:55:06',0),(4819,'主动监控HTTP状态恢复','app_status','app_status_code','email','recover','【{{project_name}}项目{{status_metric_name}}指标HTTP状态恢复】\n','【主动监控HTTP状态恢复】\n\n项目: {{project_name}}\n\n环境: {{workspace}}\n\n事件: [{{status_metric_name}}]({{url}}) 指标状态恢复\n\n响应状态码: {{code_min}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','{\"trigger_duration\":\"time:ms\"}','1.0','2021-05-28 11:55:06','2021-05-28 11:55:06',0),(4820,'主动监控HTTP状态恢复','app_status','app_status_code','mbox','recover','【{{project_name}}项目{{status_metric_name}}指标HTTP状态恢复】\n','【主动监控HTTP状态恢复】\n\n项目: {{project_name}}\n\n环境: {{workspace}}\n\n事件: [{{status_metric_name}}]({{url}}) 指标状态恢复\n\n响应状态码: {{code_min}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','{\"trigger_duration\":\"time:ms\"}','1.0','2021-05-28 11:55:06','2021-05-28 11:55:06',0),(4821,'主动监控HTTP状态恢复','app_status','app_status_code','webhook','recover','【{{project_name}}项目{{status_metric_name}}指标HTTP状态恢复】\n','【主动监控HTTP状态恢复】\n\n项目: {{project_name}}\n\n环境: {{workspace}}\n\n事件: [{{status_metric_name}}]({{url}}) 指标状态恢复\n\n响应状态码: {{code_min}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','{\"trigger_duration\":\"time:ms\"}','1.0','2021-05-28 11:55:06','2021-05-28 11:55:06',0),(4822,'服务接口HTTP错误率异常','app_transaction','app_transaction_http_path_error','dingding','alert','【{{service_name}}服务接口HTTP错误率异常告警】','【服务接口HTTP错误率异常告警】\n\n项目: {{project_name}}\n\n应用: {{application_name}}\n\n服务: {{runtime_name}} - {{service_name}}\n\n接口: {{http_method}} {{http_url}}\n\n事件: {{ window }}分钟内HTTP错误率{{ error_percent_value }} 错误请求次数{{ error_count_sum }} 总请求次数{{ elapsed_count_sum }}\n\n时间: {{timestamp}}\n\n[查看详情]({{display_url}})\n\n[查看记录]({{record_url}})\n','{\"error_percent_value\":\"percent\"}','1.0','2021-05-28 11:55:06','2021-05-28 11:55:06',0),(4823,'服务接口HTTP错误率异常','app_transaction','app_transaction_http_path_error','ticket','alert','【{{service_name}}服务接口HTTP错误率异常告警】','【服务接口HTTP错误率异常告警】\n\n项目: {{project_name}}\n\n应用: {{application_name}}\n\n服务: {{runtime_name}} - {{service_name}}\n\n接口: {{http_method}} {{http_url}}\n\n事件: {{ window }}分钟内HTTP错误率{{ error_percent_value }} 错误请求次数{{ error_count_sum }} 总请求次数{{ elapsed_count_sum }}\n\n时间: {{timestamp}}\n\n[查看详情]({{display_url}})\n\n[查看记录]({{record_url}})\n','{\"error_percent_value\":\"percent\"}','1.0','2021-05-28 11:55:06','2021-05-28 11:55:06',0),(4824,'服务接口HTTP错误率异常','app_transaction','app_transaction_http_path_error','email','alert','【{{service_name}}服务接口HTTP错误率异常告警】','【服务接口HTTP错误率异常告警】\n\n项目: {{project_name}}\n\n应用: {{application_name}}\n\n服务: {{runtime_name}} - {{service_name}}\n\n接口: {{http_method}} {{http_url}}\n\n事件: {{ window }}分钟内HTTP错误率{{ error_percent_value }} 错误请求次数{{ error_count_sum }} 总请求次数{{ elapsed_count_sum }}\n\n时间: {{timestamp}}\n\n[查看详情]({{display_url}})\n\n[查看记录]({{record_url}})\n','{\"error_percent_value\":\"percent\"}','1.0','2021-05-28 11:55:06','2021-05-28 11:55:06',0),(4825,'服务接口HTTP错误率异常','app_transaction','app_transaction_http_path_error','mbox','alert','【{{service_name}}服务接口HTTP错误率异常告警】','【服务接口HTTP错误率异常告警】\n\n项目: {{project_name}}\n\n应用: {{application_name}}\n\n服务: {{runtime_name}} - {{service_name}}\n\n接口: {{http_method}} {{http_url}}\n\n事件: {{ window }}分钟内HTTP错误率{{ error_percent_value }} 错误请求次数{{ error_count_sum }} 总请求次数{{ elapsed_count_sum }}\n\n时间: {{timestamp}}\n\n[查看详情]({{display_url}})\n\n[查看记录]({{record_url}})\n','{\"error_percent_value\":\"percent\"}','1.0','2021-05-28 11:55:06','2021-05-28 11:55:06',0),(4826,'服务接口HTTP错误率异常','app_transaction','app_transaction_http_path_error','webhook','alert','【{{service_name}}服务接口HTTP错误率异常告警】','【服务接口HTTP错误率异常告警】\n\n项目: {{project_name}}\n\n应用: {{application_name}}\n\n服务: {{runtime_name}} - {{service_name}}\n\n接口: {{http_method}} {{http_url}}\n\n事件: {{ window }}分钟内HTTP错误率{{ error_percent_value }} 错误请求次数{{ error_count_sum }} 总请求次数{{ elapsed_count_sum }}\n\n时间: {{timestamp}}\n\n[查看详情]({{display_url}})\n\n[查看记录]({{record_url}})\n','{\"error_percent_value\":\"percent\"}','1.0','2021-05-28 11:55:06','2021-05-28 11:55:06',0),(4827,'服务接口HTTP错误率恢复','app_transaction','app_transaction_http_path_error','dingding','recover','【{{service_name}}服务接口HTTP错误率异常恢复】','【服务接口HTTP错误率异常恢复】\n\n项目: {{project_name}}\n\n应用: {{application_name}}\n\n服务: {{runtime_name}} - {{service_name}}\n\n接口: {{http_method}} {{http_url}}\n\n持续时间: {{trigger_duration_min}}\n\n恢复时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','{\"trigger_duration\":\"time:ms\"}','1.0','2021-05-28 11:55:06','2021-05-28 11:55:06',0),(4828,'服务接口HTTP错误率恢复','app_transaction','app_transaction_http_path_error','ticket','recover','【{{service_name}}服务接口HTTP错误率异常恢复】','【服务接口HTTP错误率异常恢复】\n\n项目: {{project_name}}\n\n应用: {{application_name}}\n\n服务: {{runtime_name}} - {{service_name}}\n\n接口: {{http_method}} {{http_url}}\n\n持续时间: {{trigger_duration_min}}\n\n恢复时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','{\"trigger_duration\":\"time:ms\"}','1.0','2021-05-28 11:55:06','2021-05-28 11:55:06',0),(4829,'服务接口HTTP错误率恢复','app_transaction','app_transaction_http_path_error','email','recover','【{{service_name}}服务接口HTTP错误率异常恢复】','【服务接口HTTP错误率异常恢复】\n\n项目: {{project_name}}\n\n应用: {{application_name}}\n\n服务: {{runtime_name}} - {{service_name}}\n\n接口: {{http_method}} {{http_url}}\n\n持续时间: {{trigger_duration_min}}\n\n恢复时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','{\"trigger_duration\":\"time:ms\"}','1.0','2021-05-28 11:55:06','2021-05-28 11:55:06',0),(4830,'服务接口HTTP错误率恢复','app_transaction','app_transaction_http_path_error','mbox','recover','【{{service_name}}服务接口HTTP错误率异常恢复】','【服务接口HTTP错误率异常恢复】\n\n项目: {{project_name}}\n\n应用: {{application_name}}\n\n服务: {{runtime_name}} - {{service_name}}\n\n接口: {{http_method}} {{http_url}}\n\n持续时间: {{trigger_duration_min}}\n\n恢复时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','{\"trigger_duration\":\"time:ms\"}','1.0','2021-05-28 11:55:06','2021-05-28 11:55:06',0),(4831,'服务接口HTTP错误率恢复','app_transaction','app_transaction_http_path_error','webhook','recover','【{{service_name}}服务接口HTTP错误率异常恢复】','【服务接口HTTP错误率异常恢复】\n\n项目: {{project_name}}\n\n应用: {{application_name}}\n\n服务: {{runtime_name}} - {{service_name}}\n\n接口: {{http_method}} {{http_url}}\n\n持续时间: {{trigger_duration_min}}\n\n恢复时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','{\"trigger_duration\":\"time:ms\"}','1.0','2021-05-28 11:55:06','2021-05-28 11:55:06',0),(4832,'服务接口HTTP慢事务异常','app_transaction','app_transaction_http_path_rt','dingding','alert','【{{service_name}}服务接口HTTP慢事务异常告警】','【服务接口HTTP慢事务异常告警】\n\n项目: {{project_name}}\n\n应用: {{application_name}}\n\n服务: {{runtime_name}} - {{service_name}}\n\n接口: {{http_method}} {{http_url}}\n\n事件: {{window}}分钟内平均响应时间{{elapsed_avg_value}} 请求次数{{elapsed_count_sum}}\n\n时间: {{timestamp}}\n\n[查看详情]({{display_url}})\n\n[查看记录]({{record_url}})\n','{\"elapsed_avg_value\":\"time:ms\",\"elapsed_sum\":\"time:ms\"}','1.0','2021-05-28 11:55:06','2021-05-28 11:55:06',0),(4833,'服务接口HTTP慢事务异常','app_transaction','app_transaction_http_path_rt','ticket','alert','【{{service_name}}服务接口HTTP慢事务异常告警】','【服务接口HTTP慢事务异常告警】\n\n项目: {{project_name}}\n\n应用: {{application_name}}\n\n服务: {{runtime_name}} - {{service_name}}\n\n接口: {{http_method}} {{http_url}}\n\n事件: {{window}}分钟内平均响应时间{{elapsed_avg_value}} 请求次数{{elapsed_count_sum}}\n\n时间: {{timestamp}}\n\n[查看详情]({{display_url}})\n\n[查看记录]({{record_url}})\n','{\"elapsed_avg_value\":\"time:ms\",\"elapsed_sum\":\"time:ms\"}','1.0','2021-05-28 11:55:06','2021-05-28 11:55:06',0),(4834,'服务接口HTTP慢事务异常','app_transaction','app_transaction_http_path_rt','email','alert','【{{service_name}}服务接口HTTP慢事务异常告警】','【服务接口HTTP慢事务异常告警】\n\n项目: {{project_name}}\n\n应用: {{application_name}}\n\n服务: {{runtime_name}} - {{service_name}}\n\n接口: {{http_method}} {{http_url}}\n\n事件: {{window}}分钟内平均响应时间{{elapsed_avg_value}} 请求次数{{elapsed_count_sum}}\n\n时间: {{timestamp}}\n\n[查看详情]({{display_url}})\n\n[查看记录]({{record_url}})\n','{\"elapsed_avg_value\":\"time:ms\",\"elapsed_sum\":\"time:ms\"}','1.0','2021-05-28 11:55:06','2021-05-28 11:55:06',0),(4835,'服务接口HTTP慢事务异常','app_transaction','app_transaction_http_path_rt','mbox','alert','【{{service_name}}服务接口HTTP慢事务异常告警】','【服务接口HTTP慢事务异常告警】\n\n项目: {{project_name}}\n\n应用: {{application_name}}\n\n服务: {{runtime_name}} - {{service_name}}\n\n接口: {{http_method}} {{http_url}}\n\n事件: {{window}}分钟内平均响应时间{{elapsed_avg_value}} 请求次数{{elapsed_count_sum}}\n\n时间: {{timestamp}}\n\n[查看详情]({{display_url}})\n\n[查看记录]({{record_url}})\n','{\"elapsed_avg_value\":\"time:ms\",\"elapsed_sum\":\"time:ms\"}','1.0','2021-05-28 11:55:06','2021-05-28 11:55:06',0),(4836,'服务接口HTTP慢事务异常','app_transaction','app_transaction_http_path_rt','webhook','alert','【{{service_name}}服务接口HTTP慢事务异常告警】','【服务接口HTTP慢事务异常告警】\n\n项目: {{project_name}}\n\n应用: {{application_name}}\n\n服务: {{runtime_name}} - {{service_name}}\n\n接口: {{http_method}} {{http_url}}\n\n事件: {{window}}分钟内平均响应时间{{elapsed_avg_value}} 请求次数{{elapsed_count_sum}}\n\n时间: {{timestamp}}\n\n[查看详情]({{display_url}})\n\n[查看记录]({{record_url}})\n','{\"elapsed_avg_value\":\"time:ms\",\"elapsed_sum\":\"time:ms\"}','1.0','2021-05-28 11:55:06','2021-05-28 11:55:06',0),(4837,'服务接口HTTP慢事务恢复','app_transaction','app_transaction_http_path_rt','dingding','recover','【{{service_name}}服务接口HTTP慢事务恢复】','【服务接口HTTP慢事务恢复】\n\n项目: {{project_name}}\n\n应用: {{application_name}}\n\n服务: {{runtime_name}} - {{service_name}}\n\n接口: {{http_method}} {{http_url}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','{\"trigger_duration\":\"time:ms\"}','1.0','2021-05-28 11:55:06','2021-05-28 11:55:06',0),(4838,'服务接口HTTP慢事务恢复','app_transaction','app_transaction_http_path_rt','ticket','recover','【{{service_name}}服务接口HTTP慢事务恢复】','【服务接口HTTP慢事务恢复】\n\n项目: {{project_name}}\n\n应用: {{application_name}}\n\n服务: {{runtime_name}} - {{service_name}}\n\n接口: {{http_method}} {{http_url}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','{\"trigger_duration\":\"time:ms\"}','1.0','2021-05-28 11:55:06','2021-05-28 11:55:06',0),(4839,'服务接口HTTP慢事务恢复','app_transaction','app_transaction_http_path_rt','email','recover','【{{service_name}}服务接口HTTP慢事务恢复】','【服务接口HTTP慢事务恢复】\n\n项目: {{project_name}}\n\n应用: {{application_name}}\n\n服务: {{runtime_name}} - {{service_name}}\n\n接口: {{http_method}} {{http_url}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','{\"trigger_duration\":\"time:ms\"}','1.0','2021-05-28 11:55:06','2021-05-28 11:55:06',0),(4840,'服务接口HTTP慢事务恢复','app_transaction','app_transaction_http_path_rt','mbox','recover','【{{service_name}}服务接口HTTP慢事务恢复】','【服务接口HTTP慢事务恢复】\n\n项目: {{project_name}}\n\n应用: {{application_name}}\n\n服务: {{runtime_name}} - {{service_name}}\n\n接口: {{http_method}} {{http_url}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','{\"trigger_duration\":\"time:ms\"}','1.0','2021-05-28 11:55:06','2021-05-28 11:55:06',0),(4841,'服务接口HTTP慢事务恢复','app_transaction','app_transaction_http_path_rt','webhook','recover','【{{service_name}}服务接口HTTP慢事务恢复】','【服务接口HTTP慢事务恢复】\n\n项目: {{project_name}}\n\n应用: {{application_name}}\n\n服务: {{runtime_name}} - {{service_name}}\n\n接口: {{http_method}} {{http_url}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','{\"trigger_duration\":\"time:ms\"}','1.0','2021-05-28 11:55:06','2021-05-28 11:55:06',0),(4842,'服务HTTP错误率异常','app_transaction','app_transaction_http_service_error','dingding','alert','【{{service_name}}服务HTTP错误率异常告警】','【服务HTTP错误率异常告警】\n\n项目: {{project_name}}\n\n应用: {{application_name}}\n\n服务: {{runtime_name}} - {{service_name}}\n\n事件: {{ window }}分钟内HTTP错误率{{ error_percent_value }} 错误请求次数{{ error_count_sum }} 总请求次数{{ elapsed_count_sum }}\n\n时间: {{timestamp}}\n\n[查看详情]({{display_url}})\n\n[查看记录]({{record_url}})\n','{\"error_percent_value\":\"percent\"}','1.0','2021-05-28 11:55:06','2021-05-28 11:55:06',0),(4843,'服务HTTP错误率异常','app_transaction','app_transaction_http_service_error','ticket','alert','【{{service_name}}服务HTTP错误率异常告警】','【服务HTTP错误率异常告警】\n\n项目: {{project_name}}\n\n应用: {{application_name}}\n\n服务: {{runtime_name}} - {{service_name}}\n\n事件: {{ window }}分钟内HTTP错误率{{ error_percent_value }} 错误请求次数{{ error_count_sum }} 总请求次数{{ elapsed_count_sum }}\n\n时间: {{timestamp}}\n\n[查看详情]({{display_url}})\n\n[查看记录]({{record_url}})\n','{\"error_percent_value\":\"percent\"}','1.0','2021-05-28 11:55:06','2021-05-28 11:55:06',0),(4844,'服务HTTP错误率异常','app_transaction','app_transaction_http_service_error','email','alert','【{{service_name}}服务HTTP错误率异常告警】','【服务HTTP错误率异常告警】\n\n项目: {{project_name}}\n\n应用: {{application_name}}\n\n服务: {{runtime_name}} - {{service_name}}\n\n事件: {{ window }}分钟内HTTP错误率{{ error_percent_value }} 错误请求次数{{ error_count_sum }} 总请求次数{{ elapsed_count_sum }}\n\n时间: {{timestamp}}\n\n[查看详情]({{display_url}})\n\n[查看记录]({{record_url}})\n','{\"error_percent_value\":\"percent\"}','1.0','2021-05-28 11:55:06','2021-05-28 11:55:06',0),(4845,'服务HTTP错误率异常','app_transaction','app_transaction_http_service_error','mbox','alert','【{{service_name}}服务HTTP错误率异常告警】','【服务HTTP错误率异常告警】\n\n项目: {{project_name}}\n\n应用: {{application_name}}\n\n服务: {{runtime_name}} - {{service_name}}\n\n事件: {{ window }}分钟内HTTP错误率{{ error_percent_value }} 错误请求次数{{ error_count_sum }} 总请求次数{{ elapsed_count_sum }}\n\n时间: {{timestamp}}\n\n[查看详情]({{display_url}})\n\n[查看记录]({{record_url}})\n','{\"error_percent_value\":\"percent\"}','1.0','2021-05-28 11:55:06','2021-05-28 11:55:06',0),(4846,'服务HTTP错误率异常','app_transaction','app_transaction_http_service_error','webhook','alert','【{{service_name}}服务HTTP错误率异常告警】','【服务HTTP错误率异常告警】\n\n项目: {{project_name}}\n\n应用: {{application_name}}\n\n服务: {{runtime_name}} - {{service_name}}\n\n事件: {{ window }}分钟内HTTP错误率{{ error_percent_value }} 错误请求次数{{ error_count_sum }} 总请求次数{{ elapsed_count_sum }}\n\n时间: {{timestamp}}\n\n[查看详情]({{display_url}})\n\n[查看记录]({{record_url}})\n','{\"error_percent_value\":\"percent\"}','1.0','2021-05-28 11:55:06','2021-05-28 11:55:06',0),(4847,'服务HTTP错误率恢复','app_transaction','app_transaction_http_service_error','dingding','recover','【{{service_name}}服务HTTP错误率恢复】','【服务HTTP错误率异常恢复】\n\n项目: {{project_name}}\n\n应用: {{application_name}}\n\n服务: {{runtime_name}} - {{service_name}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','{\"trigger_duration\":\"time:ms\"}','1.0','2021-05-28 11:55:06','2021-05-28 11:55:06',0),(4848,'服务HTTP错误率恢复','app_transaction','app_transaction_http_service_error','ticket','recover','【{{service_name}}服务HTTP错误率恢复】','【服务HTTP错误率异常恢复】\n\n项目: {{project_name}}\n\n应用: {{application_name}}\n\n服务: {{runtime_name}} - {{service_name}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','{\"trigger_duration\":\"time:ms\"}','1.0','2021-05-28 11:55:06','2021-05-28 11:55:06',0),(4849,'服务HTTP错误率恢复','app_transaction','app_transaction_http_service_error','email','recover','【{{service_name}}服务HTTP错误率恢复】','【服务HTTP错误率异常恢复】\n\n项目: {{project_name}}\n\n应用: {{application_name}}\n\n服务: {{runtime_name}} - {{service_name}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','{\"trigger_duration\":\"time:ms\"}','1.0','2021-05-28 11:55:06','2021-05-28 11:55:06',0),(4850,'服务HTTP错误率恢复','app_transaction','app_transaction_http_service_error','mbox','recover','【{{service_name}}服务HTTP错误率恢复】','【服务HTTP错误率异常恢复】\n\n项目: {{project_name}}\n\n应用: {{application_name}}\n\n服务: {{runtime_name}} - {{service_name}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','{\"trigger_duration\":\"time:ms\"}','1.0','2021-05-28 11:55:06','2021-05-28 11:55:06',0),(4851,'服务HTTP错误率恢复','app_transaction','app_transaction_http_service_error','webhook','recover','【{{service_name}}服务HTTP错误率恢复】','【服务HTTP错误率异常恢复】\n\n项目: {{project_name}}\n\n应用: {{application_name}}\n\n服务: {{runtime_name}} - {{service_name}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','{\"trigger_duration\":\"time:ms\"}','1.0','2021-05-28 11:55:06','2021-05-28 11:55:06',0),(4852,'服务HTTP慢事务异常','app_transaction','app_transaction_http_service_rt','dingding','alert','【应用{{service_name}}服务HTTP慢事务异常告警】','【服务HTTP慢事务异常告警】\n\n项目: {{project_name}}\n\n应用: {{application_name}}\n\n服务: {{runtime_name}} - {{service_name}}\n\n事件: {{window}}分钟内HTTP事务平均响应时间{{elapsed_avg_value}} 请求次数{{elapsed_count_sum}}\n\n时间: {{timestamp}}\n\n[查看详情]({{display_url}})\n\n[查看记录]({{record_url}})\n','{\"elapsed_avg_value\":\"time:ms\",\"elapsed_sum\":\"time:ms\"}','1.0','2021-05-28 11:55:06','2021-05-28 11:55:06',0),(4853,'服务HTTP慢事务异常','app_transaction','app_transaction_http_service_rt','ticket','alert','【应用{{service_name}}服务HTTP慢事务异常告警】','【服务HTTP慢事务异常告警】\n\n项目: {{project_name}}\n\n应用: {{application_name}}\n\n服务: {{runtime_name}} - {{service_name}}\n\n事件: {{window}}分钟内HTTP事务平均响应时间{{elapsed_avg_value}} 请求次数{{elapsed_count_sum}}\n\n时间: {{timestamp}}\n\n[查看详情]({{display_url}})\n\n[查看记录]({{record_url}})\n','{\"elapsed_avg_value\":\"time:ms\",\"elapsed_sum\":\"time:ms\"}','1.0','2021-05-28 11:55:06','2021-05-28 11:55:06',0),(4854,'服务HTTP慢事务异常','app_transaction','app_transaction_http_service_rt','email','alert','【应用{{service_name}}服务HTTP慢事务异常告警】','【服务HTTP慢事务异常告警】\n\n项目: {{project_name}}\n\n应用: {{application_name}}\n\n服务: {{runtime_name}} - {{service_name}}\n\n事件: {{window}}分钟内HTTP事务平均响应时间{{elapsed_avg_value}} 请求次数{{elapsed_count_sum}}\n\n时间: {{timestamp}}\n\n[查看详情]({{display_url}})\n\n[查看记录]({{record_url}})\n','{\"elapsed_avg_value\":\"time:ms\",\"elapsed_sum\":\"time:ms\"}','1.0','2021-05-28 11:55:06','2021-05-28 11:55:06',0),(4855,'服务HTTP慢事务异常','app_transaction','app_transaction_http_service_rt','mbox','alert','【应用{{service_name}}服务HTTP慢事务异常告警】','【服务HTTP慢事务异常告警】\n\n项目: {{project_name}}\n\n应用: {{application_name}}\n\n服务: {{runtime_name}} - {{service_name}}\n\n事件: {{window}}分钟内HTTP事务平均响应时间{{elapsed_avg_value}} 请求次数{{elapsed_count_sum}}\n\n时间: {{timestamp}}\n\n[查看详情]({{display_url}})\n\n[查看记录]({{record_url}})\n','{\"elapsed_avg_value\":\"time:ms\",\"elapsed_sum\":\"time:ms\"}','1.0','2021-05-28 11:55:06','2021-05-28 11:55:06',0),(4856,'服务HTTP慢事务异常','app_transaction','app_transaction_http_service_rt','webhook','alert','【应用{{service_name}}服务HTTP慢事务异常告警】','【服务HTTP慢事务异常告警】\n\n项目: {{project_name}}\n\n应用: {{application_name}}\n\n服务: {{runtime_name}} - {{service_name}}\n\n事件: {{window}}分钟内HTTP事务平均响应时间{{elapsed_avg_value}} 请求次数{{elapsed_count_sum}}\n\n时间: {{timestamp}}\n\n[查看详情]({{display_url}})\n\n[查看记录]({{record_url}})\n','{\"elapsed_avg_value\":\"time:ms\",\"elapsed_sum\":\"time:ms\"}','1.0','2021-05-28 11:55:06','2021-05-28 11:55:06',0),(4857,'服务HTTP慢事务异常恢复','app_transaction','app_transaction_http_service_rt','dingding','recover','【应用{{service_name}}服务HTTP慢事务异常恢复】','【服务HTTP慢事务异常恢复】\n\n项目: {{project_name}}\n\n应用: {{application_name}}\n\n服务: {{runtime_name}} - {{service_name}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','{\"trigger_duration\":\"time:ms\"}','1.0','2021-05-28 11:55:06','2021-05-28 11:55:06',0),(4858,'服务HTTP慢事务异常恢复','app_transaction','app_transaction_http_service_rt','ticket','recover','【应用{{service_name}}服务HTTP慢事务异常恢复】','【服务HTTP慢事务异常恢复】\n\n项目: {{project_name}}\n\n应用: {{application_name}}\n\n服务: {{runtime_name}} - {{service_name}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','{\"trigger_duration\":\"time:ms\"}','1.0','2021-05-28 11:55:06','2021-05-28 11:55:06',0),(4859,'服务HTTP慢事务异常恢复','app_transaction','app_transaction_http_service_rt','email','recover','【应用{{service_name}}服务HTTP慢事务异常恢复】','【服务HTTP慢事务异常恢复】\n\n项目: {{project_name}}\n\n应用: {{application_name}}\n\n服务: {{runtime_name}} - {{service_name}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','{\"trigger_duration\":\"time:ms\"}','1.0','2021-05-28 11:55:06','2021-05-28 11:55:06',0),(4860,'服务HTTP慢事务异常恢复','app_transaction','app_transaction_http_service_rt','mbox','recover','【应用{{service_name}}服务HTTP慢事务异常恢复】','【服务HTTP慢事务异常恢复】\n\n项目: {{project_name}}\n\n应用: {{application_name}}\n\n服务: {{runtime_name}} - {{service_name}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','{\"trigger_duration\":\"time:ms\"}','1.0','2021-05-28 11:55:06','2021-05-28 11:55:06',0),(4861,'服务HTTP慢事务异常恢复','app_transaction','app_transaction_http_service_rt','webhook','recover','【应用{{service_name}}服务HTTP慢事务异常恢复】','【服务HTTP慢事务异常恢复】\n\n项目: {{project_name}}\n\n应用: {{application_name}}\n\n服务: {{runtime_name}} - {{service_name}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','{\"trigger_duration\":\"time:ms\"}','1.0','2021-05-28 11:55:06','2021-05-28 11:55:06',0),(4862,'MySQL SLAVE DELAY ALERT','custom_addon','slave_dly_alert','dingding','alert','【MySQL {{window}}M 聚合时间内 SLAVE 延迟 {{slave_seconds_behind_master_max}}s】\n','【MySQL {{window}}M 聚合时间内 SLAVE 延迟 {{slave_seconds_behind_master_max}}s】\n\n集群: {{cluster_name}}\n\nmysql: {{server_id}}\n\n延迟时间： {{slave_seconds_behind_master_max}}\n\n时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','{\"limit_value\":\"fraction:1\",\"usage_percent_avg\":\"percent:1\"}','1.0','2021-05-28 11:55:06','2021-05-28 11:55:06',0),(4863,'MySQL SLAVE SYNC ALERT','custom_addon','slave_sync_alert','dingding','alert','【MySQL SLAVE 同步异常】\n','【MySQL SLAVE 同步异常】\n\n集群: {{cluster_name}}\n\nmysql: {{server_id}}\n\nSlave_IO_Running: {{slave_slave_io_running_value}}\n\nSlave_SQL_Running: {{slave_slave_sql_running_value}}\n\n时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','{\"limit_value\":\"fraction:1\",\"usage_percent_avg\":\"percent:1\"}','1.0','2021-05-28 11:55:06','2021-05-28 11:55:06',0),(4864,'平台中间件cassandra GC次数异常','dice_addon','dice_addon_cassandra_gc_count','dingding','alert','【平台中间件cassandra GC次数告警】\n','【平台中间件cassandra GC次数告警】\n\n中间件: {{addon_id}}\n\n老年代GC次数: {{CollectionCount_win_value}}\n\n集群: {{cluster_name}}\n\n机器: {{node_host}}\n\n时间: {{timestamp}}\n\n[查看详情]({{display_url}})\n\n[查看记录]({{record_url}})\n','','1.0','2021-05-28 11:55:06','2021-05-28 11:55:06',0),(4865,'平台中间件cassandra GC次数异常','dice_addon','dice_addon_cassandra_gc_count','ticket','alert','【平台中间件cassandra GC次数告警】\n','【平台中间件cassandra GC次数告警】\n\n中间件: {{addon_id}}\n\n老年代GC次数: {{CollectionCount_win_value}}\n\n集群: {{cluster_name}}\n\n机器: {{node_host}}\n\n时间: {{timestamp}}\n\n[查看详情]({{display_url}})\n\n[查看记录]({{record_url}})\n','','1.0','2021-05-28 11:55:06','2021-05-28 11:55:06',0),(4866,'平台中间件cassandra GC次数异常','dice_addon','dice_addon_cassandra_gc_count','email','alert','【平台中间件cassandra GC次数告警】\n','【平台中间件cassandra GC次数告警】\n\n中间件: {{addon_id}}\n\n老年代GC次数: {{CollectionCount_win_value}}\n\n集群: {{cluster_name}}\n\n机器: {{node_host}}\n\n时间: {{timestamp}}\n\n[查看详情]({{display_url}})\n\n[查看记录]({{record_url}})\n','','1.0','2021-05-28 11:55:06','2021-05-28 11:55:06',0),(4867,'平台中间件cassandra GC次数异常','dice_addon','dice_addon_cassandra_gc_count','mbox','alert','【平台中间件cassandra GC次数告警】\n','【平台中间件cassandra GC次数告警】\n\n中间件: {{addon_id}}\n\n老年代GC次数: {{CollectionCount_win_value}}\n\n集群: {{cluster_name}}\n\n机器: {{node_host}}\n\n时间: {{timestamp}}\n\n[查看详情]({{display_url}})\n\n[查看记录]({{record_url}})\n','','1.0','2021-05-28 11:55:06','2021-05-28 11:55:06',0),(4868,'平台中间件cassandra GC次数异常','dice_addon','dice_addon_cassandra_gc_count','webhook','alert','【平台中间件cassandra GC次数告警】\n','【平台中间件cassandra GC次数告警】\n\n中间件: {{addon_id}}\n\n老年代GC次数: {{CollectionCount_win_value}}\n\n集群: {{cluster_name}}\n\n机器: {{node_host}}\n\n时间: {{timestamp}}\n\n[查看详情]({{display_url}})\n\n[查看记录]({{record_url}})\n','','1.0','2021-05-28 11:55:06','2021-05-28 11:55:06',0),(4869,'平台中间件cassandra GC次数异常','dice_addon','dice_addon_cassandra_gc_count','dingding','recover','【平台中间件cassandra GC次数恢复】\n','【平台中间件cassandra GC次数恢复】\n\n中间件: {{addon_id}}\n\n老年代GC次数: {{CollectionCount_win_value}}\n\n集群: {{cluster_name}}\n\n机器: {{node_host}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','{\"trigger_duration\":\"time:ms\"}','1.0','2021-05-28 11:55:06','2021-05-28 11:55:06',0),(4870,'平台中间件cassandra GC次数异常','dice_addon','dice_addon_cassandra_gc_count','ticket','recover','【平台中间件cassandra GC次数恢复】\n','【平台中间件cassandra GC次数恢复】\n\n中间件: {{addon_id}}\n\n老年代GC次数: {{CollectionCount_win_value}}\n\n集群: {{cluster_name}}\n\n机器: {{node_host}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','{\"trigger_duration\":\"time:ms\"}','1.0','2021-05-28 11:55:06','2021-05-28 11:55:06',0),(4871,'平台中间件cassandra GC次数异常','dice_addon','dice_addon_cassandra_gc_count','email','recover','【平台中间件cassandra GC次数恢复】\n','【平台中间件cassandra GC次数恢复】\n\n中间件: {{addon_id}}\n\n老年代GC次数: {{CollectionCount_win_value}}\n\n集群: {{cluster_name}}\n\n机器: {{node_host}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','{\"trigger_duration\":\"time:ms\"}','1.0','2021-05-28 11:55:06','2021-05-28 11:55:06',0),(4872,'平台中间件cassandra GC次数异常','dice_addon','dice_addon_cassandra_gc_count','mbox','recover','【平台中间件cassandra GC次数恢复】\n','【平台中间件cassandra GC次数恢复】\n\n中间件: {{addon_id}}\n\n老年代GC次数: {{CollectionCount_win_value}}\n\n集群: {{cluster_name}}\n\n机器: {{node_host}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','{\"trigger_duration\":\"time:ms\"}','1.0','2021-05-28 11:55:06','2021-05-28 11:55:06',0),(4873,'平台中间件cassandra GC次数异常','dice_addon','dice_addon_cassandra_gc_count','webhook','recover','【平台中间件cassandra GC次数恢复】\n','【平台中间件cassandra GC次数恢复】\n\n中间件: {{addon_id}}\n\n老年代GC次数: {{CollectionCount_win_value}}\n\n集群: {{cluster_name}}\n\n机器: {{node_host}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','{\"trigger_duration\":\"time:ms\"}','1.0','2021-05-28 11:55:06','2021-05-28 11:55:06',0),(4874,'平台中间件cassandra GC耗时异常','dice_addon','dice_addon_cassandra_gc_time','dingding','alert','【平台中间件cassandra GC耗时告警】\n','【平台中间件cassandra GC耗时告警】\n\n中间件: {{addon_id}}\n\n老年代GC耗时: {{CollectionTime_win_value}}\n\n集群: {{cluster_name}}\n\n机器: {{node_host}}\n\n时间: {{timestamp}}\n\n[查看详情]({{display_url}})\n\n[查看记录]({{record_url}})\n','{\"CollectionTime_win_value\":\"time:ms\"}','1.0','2021-05-28 11:55:06','2021-05-28 11:55:06',0),(4875,'平台中间件cassandra GC耗时异常','dice_addon','dice_addon_cassandra_gc_time','ticket','alert','【平台中间件cassandra GC耗时告警】\n','【平台中间件cassandra GC耗时告警】\n\n中间件: {{addon_id}}\n\n老年代GC耗时: {{CollectionTime_win_value}}\n\n集群: {{cluster_name}}\n\n机器: {{node_host}}\n\n时间: {{timestamp}}\n\n[查看详情]({{display_url}})\n\n[查看记录]({{record_url}})\n','{\"CollectionTime_win_value\":\"time:ms\"}','1.0','2021-05-28 11:55:06','2021-05-28 11:55:06',0),(4876,'平台中间件cassandra GC耗时异常','dice_addon','dice_addon_cassandra_gc_time','email','alert','【平台中间件cassandra GC耗时告警】\n','【平台中间件cassandra GC耗时告警】\n\n中间件: {{addon_id}}\n\n老年代GC耗时: {{CollectionTime_win_value}}\n\n集群: {{cluster_name}}\n\n机器: {{node_host}}\n\n时间: {{timestamp}}\n\n[查看详情]({{display_url}})\n\n[查看记录]({{record_url}})\n','{\"CollectionTime_win_value\":\"time:ms\"}','1.0','2021-05-28 11:55:06','2021-05-28 11:55:06',0),(4877,'平台中间件cassandra GC耗时异常','dice_addon','dice_addon_cassandra_gc_time','mbox','alert','【平台中间件cassandra GC耗时告警】\n','【平台中间件cassandra GC耗时告警】\n\n中间件: {{addon_id}}\n\n老年代GC耗时: {{CollectionTime_win_value}}\n\n集群: {{cluster_name}}\n\n机器: {{node_host}}\n\n时间: {{timestamp}}\n\n[查看详情]({{display_url}})\n\n[查看记录]({{record_url}})\n','{\"CollectionTime_win_value\":\"time:ms\"}','1.0','2021-05-28 11:55:06','2021-05-28 11:55:06',0),(4878,'平台中间件cassandra GC耗时异常','dice_addon','dice_addon_cassandra_gc_time','webhook','alert','【平台中间件cassandra GC耗时告警】\n','【平台中间件cassandra GC耗时告警】\n\n中间件: {{addon_id}}\n\n老年代GC耗时: {{CollectionTime_win_value}}\n\n集群: {{cluster_name}}\n\n机器: {{node_host}}\n\n时间: {{timestamp}}\n\n[查看详情]({{display_url}})\n\n[查看记录]({{record_url}})\n','{\"CollectionTime_win_value\":\"time:ms\"}','1.0','2021-05-28 11:55:06','2021-05-28 11:55:06',0),(4879,'平台中间件cassandra GC耗时异常','dice_addon','dice_addon_cassandra_gc_time','dingding','recover','【平台中间件cassandra GC耗时恢复】\n','【平台中间件cassandra GC耗时恢复】\n\n中间件: {{addon_id}}\n\n老年代GC耗时: {{CollectionTime_win_value}}\n\n集群: {{cluster_name}}\n\n机器: {{node_host}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','{\"CollectionTime_win_value\":\"time:ms\",\"trigger_duration\":\"time:ms\"}','1.0','2021-05-28 11:55:06','2021-05-28 11:55:06',0),(4880,'平台中间件cassandra GC耗时异常','dice_addon','dice_addon_cassandra_gc_time','ticket','recover','【平台中间件cassandra GC耗时恢复】\n','【平台中间件cassandra GC耗时恢复】\n\n中间件: {{addon_id}}\n\n老年代GC耗时: {{CollectionTime_win_value}}\n\n集群: {{cluster_name}}\n\n机器: {{node_host}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','{\"CollectionTime_win_value\":\"time:ms\",\"trigger_duration\":\"time:ms\"}','1.0','2021-05-28 11:55:06','2021-05-28 11:55:06',0),(4881,'平台中间件cassandra GC耗时异常','dice_addon','dice_addon_cassandra_gc_time','email','recover','【平台中间件cassandra GC耗时恢复】\n','【平台中间件cassandra GC耗时恢复】\n\n中间件: {{addon_id}}\n\n老年代GC耗时: {{CollectionTime_win_value}}\n\n集群: {{cluster_name}}\n\n机器: {{node_host}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','{\"CollectionTime_win_value\":\"time:ms\",\"trigger_duration\":\"time:ms\"}','1.0','2021-05-28 11:55:06','2021-05-28 11:55:06',0),(4882,'平台中间件cassandra GC耗时异常','dice_addon','dice_addon_cassandra_gc_time','mbox','recover','【平台中间件cassandra GC耗时恢复】\n','【平台中间件cassandra GC耗时恢复】\n\n中间件: {{addon_id}}\n\n老年代GC耗时: {{CollectionTime_win_value}}\n\n集群: {{cluster_name}}\n\n机器: {{node_host}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','{\"CollectionTime_win_value\":\"time:ms\",\"trigger_duration\":\"time:ms\"}','1.0','2021-05-28 11:55:06','2021-05-28 11:55:06',0),(4883,'平台中间件cassandra GC耗时异常','dice_addon','dice_addon_cassandra_gc_time','webhook','recover','【平台中间件cassandra GC耗时恢复】\n','【平台中间件cassandra GC耗时恢复】\n\n中间件: {{addon_id}}\n\n老年代GC耗时: {{CollectionTime_win_value}}\n\n集群: {{cluster_name}}\n\n机器: {{node_host}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','{\"CollectionTime_win_value\":\"time:ms\",\"trigger_duration\":\"time:ms\"}','1.0','2021-05-28 11:55:06','2021-05-28 11:55:06',0),(4884,'平台中间件实例CPU异常','dice_addon','dice_addon_container_cpu','dingding','alert','【平台中间件{{addon_id}} CPU使用率告警】\n','【平台中间件CPU使用率告警】\n\n中间件: {{addon_id}}\n\n使用率: {{cpu_usage_percent_avg}}\n\n限制: {{cpu_limit_value}}核\n\n分配: {{cpu_allocation_value}}核\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n容器ID: {{container_id}}\n\n时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','{\"cpu_allocation_value\":\"fraction:2\",\"cpu_limit_value\":\"fraction:2\",\"cpu_usage_percent_avg\":\"percent:2\"}','1.0','2021-05-28 11:55:06','2021-05-28 11:55:06',0),(4885,'平台中间件实例CPU异常','dice_addon','dice_addon_container_cpu','ticket','alert','【平台中间件{{addon_id}} CPU使用率告警】\n','【平台中间件CPU使用率告警】\n\n中间件: {{addon_id}}\n\n使用率: {{cpu_usage_percent_avg}}\n\n限制: {{cpu_limit_value}}核\n\n分配: {{cpu_allocation_value}}核\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n容器ID: {{container_id}}\n\n时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','{\"cpu_allocation_value\":\"fraction:2\",\"cpu_limit_value\":\"fraction:2\",\"cpu_usage_percent_avg\":\"percent:2\"}','1.0','2021-05-28 11:55:06','2021-05-28 11:55:06',0),(4886,'平台中间件实例CPU异常','dice_addon','dice_addon_container_cpu','email','alert','【平台中间件{{addon_id}} CPU使用率告警】\n','【平台中间件CPU使用率告警】\n\n中间件: {{addon_id}}\n\n使用率: {{cpu_usage_percent_avg}}\n\n限制: {{cpu_limit_value}}核\n\n分配: {{cpu_allocation_value}}核\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n容器ID: {{container_id}}\n\n时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','{\"cpu_allocation_value\":\"fraction:2\",\"cpu_limit_value\":\"fraction:2\",\"cpu_usage_percent_avg\":\"percent:2\"}','1.0','2021-05-28 11:55:06','2021-05-28 11:55:06',0),(4887,'平台中间件实例CPU异常','dice_addon','dice_addon_container_cpu','mbox','alert','【平台中间件{{addon_id}} CPU使用率告警】\n','【平台中间件CPU使用率告警】\n\n中间件: {{addon_id}}\n\n使用率: {{cpu_usage_percent_avg}}\n\n限制: {{cpu_limit_value}}核\n\n分配: {{cpu_allocation_value}}核\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n容器ID: {{container_id}}\n\n时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','{\"cpu_allocation_value\":\"fraction:2\",\"cpu_limit_value\":\"fraction:2\",\"cpu_usage_percent_avg\":\"percent:2\"}','1.0','2021-05-28 11:55:06','2021-05-28 11:55:06',0),(4888,'平台中间件实例CPU异常','dice_addon','dice_addon_container_cpu','webhook','alert','【平台中间件{{addon_id}} CPU使用率告警】\n','【平台中间件CPU使用率告警】\n\n中间件: {{addon_id}}\n\n使用率: {{cpu_usage_percent_avg}}\n\n限制: {{cpu_limit_value}}核\n\n分配: {{cpu_allocation_value}}核\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n容器ID: {{container_id}}\n\n时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','{\"cpu_allocation_value\":\"fraction:2\",\"cpu_limit_value\":\"fraction:2\",\"cpu_usage_percent_avg\":\"percent:2\"}','1.0','2021-05-28 11:55:06','2021-05-28 11:55:06',0),(4889,'平台中间件实例CPU异常','dice_addon','dice_addon_container_cpu','dingding','recover','【平台中间件{{addon_id}} CPU使用率恢复】\n','【平台中间件CPU使用率恢复】\n\n中间件: {{addon_id}}\n\n使用率: {{cpu_usage_percent_avg}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n容器ID: {{container_id}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','{\"cpu_usage_percent_avg\":\"percent:2\",\"trigger_duration\":\"time:ms\"}','1.0','2021-05-28 11:55:06','2021-05-28 11:55:06',0),(4890,'平台中间件实例CPU异常','dice_addon','dice_addon_container_cpu','ticket','recover','【平台中间件{{addon_id}} CPU使用率恢复】\n','【平台中间件CPU使用率恢复】\n\n中间件: {{addon_id}}\n\n使用率: {{cpu_usage_percent_avg}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n容器ID: {{container_id}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','{\"cpu_usage_percent_avg\":\"percent:2\",\"trigger_duration\":\"time:ms\"}','1.0','2021-05-28 11:55:06','2021-05-28 11:55:06',0),(4891,'平台中间件实例CPU异常','dice_addon','dice_addon_container_cpu','email','recover','【平台中间件{{addon_id}} CPU使用率恢复】\n','【平台中间件CPU使用率恢复】\n\n中间件: {{addon_id}}\n\n使用率: {{cpu_usage_percent_avg}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n容器ID: {{container_id}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','{\"cpu_usage_percent_avg\":\"percent:2\",\"trigger_duration\":\"time:ms\"}','1.0','2021-05-28 11:55:06','2021-05-28 11:55:06',0),(4892,'平台中间件实例CPU异常','dice_addon','dice_addon_container_cpu','mbox','recover','【平台中间件{{addon_id}} CPU使用率恢复】\n','【平台中间件CPU使用率恢复】\n\n中间件: {{addon_id}}\n\n使用率: {{cpu_usage_percent_avg}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n容器ID: {{container_id}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','{\"cpu_usage_percent_avg\":\"percent:2\",\"trigger_duration\":\"time:ms\"}','1.0','2021-05-28 11:55:06','2021-05-28 11:55:06',0),(4893,'平台中间件实例CPU异常','dice_addon','dice_addon_container_cpu','webhook','recover','【平台中间件{{addon_id}} CPU使用率恢复】\n','【平台中间件CPU使用率恢复】\n\n中间件: {{addon_id}}\n\n使用率: {{cpu_usage_percent_avg}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n容器ID: {{container_id}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','{\"cpu_usage_percent_avg\":\"percent:2\",\"trigger_duration\":\"time:ms\"}','1.0','2021-05-28 11:55:06','2021-05-28 11:55:06',0),(4894,'平台中间件异常退出','dice_addon','dice_addon_container_exit','dingding','alert','【平台中间件{{addon_id}}异常退出告警】\n','【平台中间件异常退出告警】\n\n中间件: {{addon_id}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n启动时间: {{started_at_value}}\n\n退出时间: {{finished_at_value}}\n\n退出原因: {{terminated_reason_value}}\n\n时间: {{timestamp}}\n\n[查看详情]({{display_url}})\n\n[查看记录]({{record_url}})\n','{\"finished_at_value\":\"date\",\"started_at_value\":\"date\"}','1.0','2021-05-28 11:55:06','2021-05-28 11:55:06',0),(4895,'平台中间件异常退出','dice_addon','dice_addon_container_exit','ticket','alert','【平台中间件{{addon_id}}异常退出告警】\n','【平台中间件异常退出告警】\n\n中间件: {{addon_id}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n启动时间: {{started_at_value}}\n\n退出时间: {{finished_at_value}}\n\n退出原因: {{terminated_reason_value}}\n\n时间: {{timestamp}}\n\n[查看详情]({{display_url}})\n\n[查看记录]({{record_url}})\n','{\"finished_at_value\":\"date\",\"started_at_value\":\"date\"}','1.0','2021-05-28 11:55:06','2021-05-28 11:55:06',0),(4896,'平台中间件异常退出','dice_addon','dice_addon_container_exit','email','alert','【平台中间件{{addon_id}}异常退出告警】\n','【平台中间件异常退出告警】\n\n中间件: {{addon_id}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n启动时间: {{started_at_value}}\n\n退出时间: {{finished_at_value}}\n\n退出原因: {{terminated_reason_value}}\n\n时间: {{timestamp}}\n\n[查看详情]({{display_url}})\n\n[查看记录]({{record_url}})\n','{\"finished_at_value\":\"date\",\"started_at_value\":\"date\"}','1.0','2021-05-28 11:55:06','2021-05-28 11:55:06',0),(4897,'平台中间件异常退出','dice_addon','dice_addon_container_exit','mbox','alert','【平台中间件{{addon_id}}异常退出告警】\n','【平台中间件异常退出告警】\n\n中间件: {{addon_id}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n启动时间: {{started_at_value}}\n\n退出时间: {{finished_at_value}}\n\n退出原因: {{terminated_reason_value}}\n\n时间: {{timestamp}}\n\n[查看详情]({{display_url}})\n\n[查看记录]({{record_url}})\n','{\"finished_at_value\":\"date\",\"started_at_value\":\"date\"}','1.0','2021-05-28 11:55:06','2021-05-28 11:55:06',0),(4898,'平台中间件异常退出','dice_addon','dice_addon_container_exit','webhook','alert','【平台中间件{{addon_id}}异常退出告警】\n','【平台中间件异常退出告警】\n\n中间件: {{addon_id}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n启动时间: {{started_at_value}}\n\n退出时间: {{finished_at_value}}\n\n退出原因: {{terminated_reason_value}}\n\n时间: {{timestamp}}\n\n[查看详情]({{display_url}})\n\n[查看记录]({{record_url}})\n','{\"finished_at_value\":\"date\",\"started_at_value\":\"date\"}','1.0','2021-05-28 11:55:06','2021-05-28 11:55:06',0),(4899,'平台中间件异常退出','dice_addon','dice_addon_container_exit','dingding','recover','【平台中间件{{addon_id}}异常退出恢复】\n','【平台中间件异常退出恢复】\n\n中间件: {{addon_id}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','{\"trigger_duration\":\"time:ms\"}','1.0','2021-05-28 11:55:06','2021-05-28 11:55:06',0),(4900,'平台中间件异常退出','dice_addon','dice_addon_container_exit','ticket','recover','【平台中间件{{addon_id}}异常退出恢复】\n','【平台中间件异常退出恢复】\n\n中间件: {{addon_id}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','{\"trigger_duration\":\"time:ms\"}','1.0','2021-05-28 11:55:06','2021-05-28 11:55:06',0),(4901,'平台中间件异常退出','dice_addon','dice_addon_container_exit','email','recover','【平台中间件{{addon_id}}异常退出恢复】\n','【平台中间件异常退出恢复】\n\n中间件: {{addon_id}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','{\"trigger_duration\":\"time:ms\"}','1.0','2021-05-28 11:55:06','2021-05-28 11:55:06',0),(4902,'平台中间件异常退出','dice_addon','dice_addon_container_exit','mbox','recover','【平台中间件{{addon_id}}异常退出恢复】\n','【平台中间件异常退出恢复】\n\n中间件: {{addon_id}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','{\"trigger_duration\":\"time:ms\"}','1.0','2021-05-28 11:55:06','2021-05-28 11:55:06',0),(4903,'平台中间件异常退出','dice_addon','dice_addon_container_exit','webhook','recover','【平台中间件{{addon_id}}异常退出恢复】\n','【平台中间件异常退出恢复】\n\n中间件: {{addon_id}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','{\"trigger_duration\":\"time:ms\"}','1.0','2021-05-28 11:55:06','2021-05-28 11:55:06',0),(4904,'平台中间件实例内存异常','dice_addon','dice_addon_container_mem','dingding','alert','【平台中间件{{addon_id}}内存使用率告警】\n','【平台中间件内存使用率告警】\n\n中间件: {{addon_id}}\n\n使用率: {{mem_usage_percent_avg}}\n\n使用: {{mem_usage_value}}\n\n限制: {{mem_limit_value}}\n\n分配: {{mem_allocation_value}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n容器ID: {{container_id}}\n\n时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','{\"mem_allocation_value\":\"size:byte\",\"mem_limit_value\":\"size:byte\",\"mem_usage_percent_avg\":\"percent:2\",\"mem_usage_value\":\"size:byte\"}','1.0','2021-05-28 11:55:06','2021-05-28 11:55:06',0),(4905,'平台中间件实例内存异常','dice_addon','dice_addon_container_mem','ticket','alert','【平台中间件{{addon_id}}内存使用率告警】\n','【平台中间件内存使用率告警】\n\n中间件: {{addon_id}}\n\n使用率: {{mem_usage_percent_avg}}\n\n使用: {{mem_usage_value}}\n\n限制: {{mem_limit_value}}\n\n分配: {{mem_allocation_value}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n容器ID: {{container_id}}\n\n时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','{\"mem_allocation_value\":\"size:byte\",\"mem_limit_value\":\"size:byte\",\"mem_usage_percent_avg\":\"percent:2\",\"mem_usage_value\":\"size:byte\"}','1.0','2021-05-28 11:55:06','2021-05-28 11:55:06',0),(4906,'平台中间件实例内存异常','dice_addon','dice_addon_container_mem','email','alert','【平台中间件{{addon_id}}内存使用率告警】\n','【平台中间件内存使用率告警】\n\n中间件: {{addon_id}}\n\n使用率: {{mem_usage_percent_avg}}\n\n使用: {{mem_usage_value}}\n\n限制: {{mem_limit_value}}\n\n分配: {{mem_allocation_value}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n容器ID: {{container_id}}\n\n时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','{\"mem_allocation_value\":\"size:byte\",\"mem_limit_value\":\"size:byte\",\"mem_usage_percent_avg\":\"percent:2\",\"mem_usage_value\":\"size:byte\"}','1.0','2021-05-28 11:55:06','2021-05-28 11:55:06',0),(4907,'平台中间件实例内存异常','dice_addon','dice_addon_container_mem','mbox','alert','【平台中间件{{addon_id}}内存使用率告警】\n','【平台中间件内存使用率告警】\n\n中间件: {{addon_id}}\n\n使用率: {{mem_usage_percent_avg}}\n\n使用: {{mem_usage_value}}\n\n限制: {{mem_limit_value}}\n\n分配: {{mem_allocation_value}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n容器ID: {{container_id}}\n\n时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','{\"mem_allocation_value\":\"size:byte\",\"mem_limit_value\":\"size:byte\",\"mem_usage_percent_avg\":\"percent:2\",\"mem_usage_value\":\"size:byte\"}','1.0','2021-05-28 11:55:06','2021-05-28 11:55:06',0),(4908,'平台中间件实例内存异常','dice_addon','dice_addon_container_mem','webhook','alert','【平台中间件{{addon_id}}内存使用率告警】\n','【平台中间件内存使用率告警】\n\n中间件: {{addon_id}}\n\n使用率: {{mem_usage_percent_avg}}\n\n使用: {{mem_usage_value}}\n\n限制: {{mem_limit_value}}\n\n分配: {{mem_allocation_value}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n容器ID: {{container_id}}\n\n时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','{\"mem_allocation_value\":\"size:byte\",\"mem_limit_value\":\"size:byte\",\"mem_usage_percent_avg\":\"percent:2\",\"mem_usage_value\":\"size:byte\"}','1.0','2021-05-28 11:55:06','2021-05-28 11:55:06',0),(4909,'平台中间件实例内存异常','dice_addon','dice_addon_container_mem','dingding','recover','【平台中间件{{addon_id}}内存使用率恢复】\n','【平台中间件内存使用率恢复】\n\n中间件: {{addon_id}}\n\n使用率: {{mem_usage_percent_avg}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n容器ID: {{container_id}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','{\"mem_usage_percent_avg\":\"percent:2\",\"trigger_duration\":\"time:ms\"}','1.0','2021-05-28 11:55:06','2021-05-28 11:55:06',0),(4910,'平台中间件实例内存异常','dice_addon','dice_addon_container_mem','ticket','recover','【平台中间件{{addon_id}}内存使用率恢复】\n','【平台中间件内存使用率恢复】\n\n中间件: {{addon_id}}\n\n使用率: {{mem_usage_percent_avg}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n容器ID: {{container_id}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','{\"mem_usage_percent_avg\":\"percent:2\",\"trigger_duration\":\"time:ms\"}','1.0','2021-05-28 11:55:06','2021-05-28 11:55:06',0),(4911,'平台中间件实例内存异常','dice_addon','dice_addon_container_mem','email','recover','【平台中间件{{addon_id}}内存使用率恢复】\n','【平台中间件内存使用率恢复】\n\n中间件: {{addon_id}}\n\n使用率: {{mem_usage_percent_avg}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n容器ID: {{container_id}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','{\"mem_usage_percent_avg\":\"percent:2\",\"trigger_duration\":\"time:ms\"}','1.0','2021-05-28 11:55:06','2021-05-28 11:55:06',0),(4912,'平台中间件实例内存异常','dice_addon','dice_addon_container_mem','mbox','recover','【平台中间件{{addon_id}}内存使用率恢复】\n','【平台中间件内存使用率恢复】\n\n中间件: {{addon_id}}\n\n使用率: {{mem_usage_percent_avg}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n容器ID: {{container_id}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','{\"mem_usage_percent_avg\":\"percent:2\",\"trigger_duration\":\"time:ms\"}','1.0','2021-05-28 11:55:06','2021-05-28 11:55:06',0),(4913,'平台中间件实例内存异常','dice_addon','dice_addon_container_mem','webhook','recover','【平台中间件{{addon_id}}内存使用率恢复】\n','【平台中间件内存使用率恢复】\n\n中间件: {{addon_id}}\n\n使用率: {{mem_usage_percent_avg}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n容器ID: {{container_id}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','{\"mem_usage_percent_avg\":\"percent:2\",\"trigger_duration\":\"time:ms\"}','1.0','2021-05-28 11:55:06','2021-05-28 11:55:06',0),(4914,'平台中间件实例Ready状态异常','dice_addon','dice_addon_container_ready','dingding','alert','【平台中间件{{addon_id}} Ready状态异常告警】\n','【平台中间件Ready状态异常告警】\n\n中间件: {{addon_id}}\n\n未就绪实例: {{not_ready_value}}\n\n已就绪实例: {{ready_value}}\n\n集群: {{cluster_name}}\n\n时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','','1.0','2021-05-28 11:55:06','2021-05-28 11:55:06',0),(4915,'平台中间件实例Ready状态异常','dice_addon','dice_addon_container_ready','ticket','alert','【平台中间件{{addon_id}} Ready状态异常告警】\n','【平台中间件Ready状态异常告警】\n\n中间件: {{addon_id}}\n\n未就绪实例: {{not_ready_value}}\n\n已就绪实例: {{ready_value}}\n\n集群: {{cluster_name}}\n\n时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','','1.0','2021-05-28 11:55:06','2021-05-28 11:55:06',0),(4916,'平台中间件实例Ready状态异常','dice_addon','dice_addon_container_ready','email','alert','【平台中间件{{addon_id}} Ready状态异常告警】\n','【平台中间件Ready状态异常告警】\n\n中间件: {{addon_id}}\n\n未就绪实例: {{not_ready_value}}\n\n已就绪实例: {{ready_value}}\n\n集群: {{cluster_name}}\n\n时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','','1.0','2021-05-28 11:55:06','2021-05-28 11:55:06',0),(4917,'平台中间件实例Ready状态异常','dice_addon','dice_addon_container_ready','mbox','alert','【平台中间件{{addon_id}} Ready状态异常告警】\n','【平台中间件Ready状态异常告警】\n\n中间件: {{addon_id}}\n\n未就绪实例: {{not_ready_value}}\n\n已就绪实例: {{ready_value}}\n\n集群: {{cluster_name}}\n\n时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','','1.0','2021-05-28 11:55:06','2021-05-28 11:55:06',0),(4918,'平台中间件实例Ready状态异常','dice_addon','dice_addon_container_ready','webhook','alert','【平台中间件{{addon_id}} Ready状态异常告警】\n','【平台中间件Ready状态异常告警】\n\n中间件: {{addon_id}}\n\n未就绪实例: {{not_ready_value}}\n\n已就绪实例: {{ready_value}}\n\n集群: {{cluster_name}}\n\n时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','','1.0','2021-05-28 11:55:06','2021-05-28 11:55:06',0),(4919,'平台中间件实例Ready状态异常','dice_addon','dice_addon_container_ready','dingding','recover','【平台中间件{{addon_id}} Ready状态异常恢复】\n','【平台中间件Ready状态异常恢复】\n\n中间件: {{addon_id}}\n\n已绪数实例: {{ready_value}}\n\n集群: {{cluster_name}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','{\"trigger_duration\":\"time:ms\"}','1.0','2021-05-28 11:55:06','2021-05-28 11:55:06',0),(4920,'平台中间件实例Ready状态异常','dice_addon','dice_addon_container_ready','ticket','recover','【平台中间件{{addon_id}} Ready状态异常恢复】\n','【平台中间件Ready状态异常恢复】\n\n中间件: {{addon_id}}\n\n已绪数实例: {{ready_value}}\n\n集群: {{cluster_name}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','{\"trigger_duration\":\"time:ms\"}','1.0','2021-05-28 11:55:06','2021-05-28 11:55:06',0),(4921,'平台中间件实例Ready状态异常','dice_addon','dice_addon_container_ready','email','recover','【平台中间件{{addon_id}} Ready状态异常恢复】\n','【平台中间件Ready状态异常恢复】\n\n中间件: {{addon_id}}\n\n已绪数实例: {{ready_value}}\n\n集群: {{cluster_name}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','{\"trigger_duration\":\"time:ms\"}','1.0','2021-05-28 11:55:06','2021-05-28 11:55:06',0),(4922,'平台中间件实例Ready状态异常','dice_addon','dice_addon_container_ready','mbox','recover','【平台中间件{{addon_id}} Ready状态异常恢复】\n','【平台中间件Ready状态异常恢复】\n\n中间件: {{addon_id}}\n\n已绪数实例: {{ready_value}}\n\n集群: {{cluster_name}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','{\"trigger_duration\":\"time:ms\"}','1.0','2021-05-28 11:55:06','2021-05-28 11:55:06',0),(4923,'平台中间件实例Ready状态异常','dice_addon','dice_addon_container_ready','webhook','recover','【平台中间件{{addon_id}} Ready状态异常恢复】\n','【平台中间件Ready状态异常恢复】\n\n中间件: {{addon_id}}\n\n已绪数实例: {{ready_value}}\n\n集群: {{cluster_name}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','{\"trigger_duration\":\"time:ms\"}','1.0','2021-05-28 11:55:06','2021-05-28 11:55:06',0),(4924,'平台中间件elasticsearch GC次数异常','dice_addon','dice_addon_elasticsearch_gc_count','dingding','alert','【平台中间件elasticsearch GC次数告警】\n','【平台中间件elasticsearch GC次数告警】\n\n中间件: {{addon_id}}\n\n老年代GC次数: {{gc_collectors_old_collection_count_win_value}}\n\n集群: {{cluster_name}}\n\n机器: {{node_host}}\n\n时间: {{timestamp}}\n\n[查看详情]({{display_url}})\n\n[查看记录]({{record_url}})\n','','1.0','2021-05-28 11:55:06','2021-05-28 11:55:06',0),(4925,'平台中间件elasticsearch GC次数异常','dice_addon','dice_addon_elasticsearch_gc_count','ticket','alert','【平台中间件elasticsearch GC次数告警】\n','【平台中间件elasticsearch GC次数告警】\n\n中间件: {{addon_id}}\n\n老年代GC次数: {{gc_collectors_old_collection_count_win_value}}\n\n集群: {{cluster_name}}\n\n机器: {{node_host}}\n\n时间: {{timestamp}}\n\n[查看详情]({{display_url}})\n\n[查看记录]({{record_url}})\n','','1.0','2021-05-28 11:55:06','2021-05-28 11:55:06',0),(4926,'平台中间件elasticsearch GC次数异常','dice_addon','dice_addon_elasticsearch_gc_count','email','alert','【平台中间件elasticsearch GC次数告警】\n','【平台中间件elasticsearch GC次数告警】\n\n中间件: {{addon_id}}\n\n老年代GC次数: {{gc_collectors_old_collection_count_win_value}}\n\n集群: {{cluster_name}}\n\n机器: {{node_host}}\n\n时间: {{timestamp}}\n\n[查看详情]({{display_url}})\n\n[查看记录]({{record_url}})\n','','1.0','2021-05-28 11:55:06','2021-05-28 11:55:06',0),(4927,'平台中间件elasticsearch GC次数异常','dice_addon','dice_addon_elasticsearch_gc_count','mbox','alert','【平台中间件elasticsearch GC次数告警】\n','【平台中间件elasticsearch GC次数告警】\n\n中间件: {{addon_id}}\n\n老年代GC次数: {{gc_collectors_old_collection_count_win_value}}\n\n集群: {{cluster_name}}\n\n机器: {{node_host}}\n\n时间: {{timestamp}}\n\n[查看详情]({{display_url}})\n\n[查看记录]({{record_url}})\n','','1.0','2021-05-28 11:55:06','2021-05-28 11:55:06',0),(4928,'平台中间件elasticsearch GC次数异常','dice_addon','dice_addon_elasticsearch_gc_count','webhook','alert','【平台中间件elasticsearch GC次数告警】\n','【平台中间件elasticsearch GC次数告警】\n\n中间件: {{addon_id}}\n\n老年代GC次数: {{gc_collectors_old_collection_count_win_value}}\n\n集群: {{cluster_name}}\n\n机器: {{node_host}}\n\n时间: {{timestamp}}\n\n[查看详情]({{display_url}})\n\n[查看记录]({{record_url}})\n','','1.0','2021-05-28 11:55:06','2021-05-28 11:55:06',0),(4929,'平台中间件elasticsearch GC次数异常','dice_addon','dice_addon_elasticsearch_gc_count','dingding','recover','【平台中间件elasticsearch GC次数恢复】\n','【平台中间件elasticsearch GC次数恢复】\n\n中间件: {{addon_id}}\n\n老年代GC次数: {{gc_collectors_old_collection_count_win_value}}\n\n集群: {{cluster_name}}\n\n机器: {{node_host}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','{\"trigger_duration\":\"time:ms\"}','1.0','2021-05-28 11:55:06','2021-05-28 11:55:06',0),(4930,'平台中间件elasticsearch GC次数异常','dice_addon','dice_addon_elasticsearch_gc_count','ticket','recover','【平台中间件elasticsearch GC次数恢复】\n','【平台中间件elasticsearch GC次数恢复】\n\n中间件: {{addon_id}}\n\n老年代GC次数: {{gc_collectors_old_collection_count_win_value}}\n\n集群: {{cluster_name}}\n\n机器: {{node_host}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','{\"trigger_duration\":\"time:ms\"}','1.0','2021-05-28 11:55:06','2021-05-28 11:55:06',0),(4931,'平台中间件elasticsearch GC次数异常','dice_addon','dice_addon_elasticsearch_gc_count','email','recover','【平台中间件elasticsearch GC次数恢复】\n','【平台中间件elasticsearch GC次数恢复】\n\n中间件: {{addon_id}}\n\n老年代GC次数: {{gc_collectors_old_collection_count_win_value}}\n\n集群: {{cluster_name}}\n\n机器: {{node_host}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','{\"trigger_duration\":\"time:ms\"}','1.0','2021-05-28 11:55:06','2021-05-28 11:55:06',0),(4932,'平台中间件elasticsearch GC次数异常','dice_addon','dice_addon_elasticsearch_gc_count','mbox','recover','【平台中间件elasticsearch GC次数恢复】\n','【平台中间件elasticsearch GC次数恢复】\n\n中间件: {{addon_id}}\n\n老年代GC次数: {{gc_collectors_old_collection_count_win_value}}\n\n集群: {{cluster_name}}\n\n机器: {{node_host}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','{\"trigger_duration\":\"time:ms\"}','1.0','2021-05-28 11:55:06','2021-05-28 11:55:06',0),(4933,'平台中间件elasticsearch GC次数异常','dice_addon','dice_addon_elasticsearch_gc_count','webhook','recover','【平台中间件elasticsearch GC次数恢复】\n','【平台中间件elasticsearch GC次数恢复】\n\n中间件: {{addon_id}}\n\n老年代GC次数: {{gc_collectors_old_collection_count_win_value}}\n\n集群: {{cluster_name}}\n\n机器: {{node_host}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','{\"trigger_duration\":\"time:ms\"}','1.0','2021-05-28 11:55:06','2021-05-28 11:55:06',0),(4934,'平台中间件elasticsearch GC耗时异常','dice_addon','dice_addon_elasticsearch_gc_time','dingding','alert','【平台中间件elasticsearch GC耗时告警】\n','【平台中间件elasticsearch GC耗时告警】\n\n中间件: {{addon_id}}\n\n老年代GC耗时: {{gc_collectors_old_collection_time_in_millis_win_value}}\n\n集群: {{cluster_name}}\n\n机器: {{node_name}}\n\n时间: {{timestamp}}\n\n[查看详情]({{display_url}})\n\n[查看记录]({{record_url}})\n','{\"gc_collectors_old_collection_time_in_millis_win_value\":\"time:ms\"}','1.0','2021-05-28 11:55:06','2021-05-28 11:55:06',0),(4935,'平台中间件elasticsearch GC耗时异常','dice_addon','dice_addon_elasticsearch_gc_time','ticket','alert','【平台中间件elasticsearch GC耗时告警】\n','【平台中间件elasticsearch GC耗时告警】\n\n中间件: {{addon_id}}\n\n老年代GC耗时: {{gc_collectors_old_collection_time_in_millis_win_value}}\n\n集群: {{cluster_name}}\n\n机器: {{node_name}}\n\n时间: {{timestamp}}\n\n[查看详情]({{display_url}})\n\n[查看记录]({{record_url}})\n','{\"gc_collectors_old_collection_time_in_millis_win_value\":\"time:ms\"}','1.0','2021-05-28 11:55:06','2021-05-28 11:55:06',0),(4936,'平台中间件elasticsearch GC耗时异常','dice_addon','dice_addon_elasticsearch_gc_time','email','alert','【平台中间件elasticsearch GC耗时告警】\n','【平台中间件elasticsearch GC耗时告警】\n\n中间件: {{addon_id}}\n\n老年代GC耗时: {{gc_collectors_old_collection_time_in_millis_win_value}}\n\n集群: {{cluster_name}}\n\n机器: {{node_name}}\n\n时间: {{timestamp}}\n\n[查看详情]({{display_url}})\n\n[查看记录]({{record_url}})\n','{\"gc_collectors_old_collection_time_in_millis_win_value\":\"time:ms\"}','1.0','2021-05-28 11:55:06','2021-05-28 11:55:06',0),(4937,'平台中间件elasticsearch GC耗时异常','dice_addon','dice_addon_elasticsearch_gc_time','mbox','alert','【平台中间件elasticsearch GC耗时告警】\n','【平台中间件elasticsearch GC耗时告警】\n\n中间件: {{addon_id}}\n\n老年代GC耗时: {{gc_collectors_old_collection_time_in_millis_win_value}}\n\n集群: {{cluster_name}}\n\n机器: {{node_name}}\n\n时间: {{timestamp}}\n\n[查看详情]({{display_url}})\n\n[查看记录]({{record_url}})\n','{\"gc_collectors_old_collection_time_in_millis_win_value\":\"time:ms\"}','1.0','2021-05-28 11:55:06','2021-05-28 11:55:06',0),(4938,'平台中间件elasticsearch GC耗时异常','dice_addon','dice_addon_elasticsearch_gc_time','webhook','alert','【平台中间件elasticsearch GC耗时告警】\n','【平台中间件elasticsearch GC耗时告警】\n\n中间件: {{addon_id}}\n\n老年代GC耗时: {{gc_collectors_old_collection_time_in_millis_win_value}}\n\n集群: {{cluster_name}}\n\n机器: {{node_name}}\n\n时间: {{timestamp}}\n\n[查看详情]({{display_url}})\n\n[查看记录]({{record_url}})\n','{\"gc_collectors_old_collection_time_in_millis_win_value\":\"time:ms\"}','1.0','2021-05-28 11:55:06','2021-05-28 11:55:06',0),(4939,'平台中间件elasticsearch GC耗时异常','dice_addon','dice_addon_elasticsearch_gc_time','dingding','recover','【平台中间件elasticsearch GC耗时恢复】\n','【平台中间件elasticsearch GC耗时恢复】\n\n中间件: {{addon_id}}\n\n老年代GC耗时: {{gc_collectors_old_collection_time_in_millis_win_value}}\n\n集群: {{cluster_name}}\n\n机器: {{node_name}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','{\"gc_collectors_old_collection_time_in_millis_win_value\":\"time:ms\",\"trigger_duration\":\"time:ms\"}','1.0','2021-05-28 11:55:06','2021-05-28 11:55:06',0),(4940,'平台中间件elasticsearch GC耗时异常','dice_addon','dice_addon_elasticsearch_gc_time','ticket','recover','【平台中间件elasticsearch GC耗时恢复】\n','【平台中间件elasticsearch GC耗时恢复】\n\n中间件: {{addon_id}}\n\n老年代GC耗时: {{gc_collectors_old_collection_time_in_millis_win_value}}\n\n集群: {{cluster_name}}\n\n机器: {{node_name}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','{\"gc_collectors_old_collection_time_in_millis_win_value\":\"time:ms\",\"trigger_duration\":\"time:ms\"}','1.0','2021-05-28 11:55:06','2021-05-28 11:55:06',0),(4941,'平台中间件elasticsearch GC耗时异常','dice_addon','dice_addon_elasticsearch_gc_time','email','recover','【平台中间件elasticsearch GC耗时恢复】\n','【平台中间件elasticsearch GC耗时恢复】\n\n中间件: {{addon_id}}\n\n老年代GC耗时: {{gc_collectors_old_collection_time_in_millis_win_value}}\n\n集群: {{cluster_name}}\n\n机器: {{node_name}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','{\"gc_collectors_old_collection_time_in_millis_win_value\":\"time:ms\",\"trigger_duration\":\"time:ms\"}','1.0','2021-05-28 11:55:06','2021-05-28 11:55:06',0),(4942,'平台中间件elasticsearch GC耗时异常','dice_addon','dice_addon_elasticsearch_gc_time','mbox','recover','【平台中间件elasticsearch GC耗时恢复】\n','【平台中间件elasticsearch GC耗时恢复】\n\n中间件: {{addon_id}}\n\n老年代GC耗时: {{gc_collectors_old_collection_time_in_millis_win_value}}\n\n集群: {{cluster_name}}\n\n机器: {{node_name}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','{\"gc_collectors_old_collection_time_in_millis_win_value\":\"time:ms\",\"trigger_duration\":\"time:ms\"}','1.0','2021-05-28 11:55:06','2021-05-28 11:55:06',0),(4943,'平台中间件elasticsearch GC耗时异常','dice_addon','dice_addon_elasticsearch_gc_time','webhook','recover','【平台中间件elasticsearch GC耗时恢复】\n','【平台中间件elasticsearch GC耗时恢复】\n\n中间件: {{addon_id}}\n\n老年代GC耗时: {{gc_collectors_old_collection_time_in_millis_win_value}}\n\n集群: {{cluster_name}}\n\n机器: {{node_name}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','{\"gc_collectors_old_collection_time_in_millis_win_value\":\"time:ms\",\"trigger_duration\":\"time:ms\"}','1.0','2021-05-28 11:55:06','2021-05-28 11:55:06',0),(4944,'平台中间件Kafka GC次数异常','dice_addon','dice_addon_kafka_gc_count','dingding','alert','【平台中间件Kafka GC次数告警】\n','【平台中间件Kafka GC次数告警】\n\n中间件: {{addon_id}}\n\n老年代GC次数: {{CollectionCount_win_value}}\n\n集群: {{cluster_name}}\n\n集群: {{node_host}}\n\n时间: {{timestamp}}\n\n[查看详情]({{display_url}})\n\n[查看记录]({{record_url}})\n','','1.0','2021-05-28 11:55:06','2021-05-28 11:55:06',0),(4945,'平台中间件Kafka GC次数异常','dice_addon','dice_addon_kafka_gc_count','ticket','alert','【平台中间件Kafka GC次数告警】\n','【平台中间件Kafka GC次数告警】\n\n中间件: {{addon_id}}\n\n老年代GC次数: {{CollectionCount_win_value}}\n\n集群: {{cluster_name}}\n\n集群: {{node_host}}\n\n时间: {{timestamp}}\n\n[查看详情]({{display_url}})\n\n[查看记录]({{record_url}})\n','','1.0','2021-05-28 11:55:06','2021-05-28 11:55:06',0),(4946,'平台中间件Kafka GC次数异常','dice_addon','dice_addon_kafka_gc_count','email','alert','【平台中间件Kafka GC次数告警】\n','【平台中间件Kafka GC次数告警】\n\n中间件: {{addon_id}}\n\n老年代GC次数: {{CollectionCount_win_value}}\n\n集群: {{cluster_name}}\n\n集群: {{node_host}}\n\n时间: {{timestamp}}\n\n[查看详情]({{display_url}})\n\n[查看记录]({{record_url}})\n','','1.0','2021-05-28 11:55:06','2021-05-28 11:55:06',0),(4947,'平台中间件Kafka GC次数异常','dice_addon','dice_addon_kafka_gc_count','mbox','alert','【平台中间件Kafka GC次数告警】\n','【平台中间件Kafka GC次数告警】\n\n中间件: {{addon_id}}\n\n老年代GC次数: {{CollectionCount_win_value}}\n\n集群: {{cluster_name}}\n\n集群: {{node_host}}\n\n时间: {{timestamp}}\n\n[查看详情]({{display_url}})\n\n[查看记录]({{record_url}})\n','','1.0','2021-05-28 11:55:06','2021-05-28 11:55:06',0),(4948,'平台中间件Kafka GC次数异常','dice_addon','dice_addon_kafka_gc_count','webhook','alert','【平台中间件Kafka GC次数告警】\n','【平台中间件Kafka GC次数告警】\n\n中间件: {{addon_id}}\n\n老年代GC次数: {{CollectionCount_win_value}}\n\n集群: {{cluster_name}}\n\n集群: {{node_host}}\n\n时间: {{timestamp}}\n\n[查看详情]({{display_url}})\n\n[查看记录]({{record_url}})\n','','1.0','2021-05-28 11:55:06','2021-05-28 11:55:06',0),(4949,'平台中间件Kafka GC次数异常','dice_addon','dice_addon_kafka_gc_count','dingding','recover','【平台中间件Kafka GC次数恢复】\n','【平台中间件Kafka GC次数恢复】\n\n中间件: {{addon_id}}\n\n老年代GC次数: {{CollectionCount_win_value}}\n\n集群: {{cluster_name}}\n\n机器: {{node_host}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','{\"trigger_duration\":\"time:ms\"}','1.0','2021-05-28 11:55:06','2021-05-28 11:55:06',0),(4950,'平台中间件Kafka GC次数异常','dice_addon','dice_addon_kafka_gc_count','ticket','recover','【平台中间件Kafka GC次数恢复】\n','【平台中间件Kafka GC次数恢复】\n\n中间件: {{addon_id}}\n\n老年代GC次数: {{CollectionCount_win_value}}\n\n集群: {{cluster_name}}\n\n机器: {{node_host}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','{\"trigger_duration\":\"time:ms\"}','1.0','2021-05-28 11:55:06','2021-05-28 11:55:06',0),(4951,'平台中间件Kafka GC次数异常','dice_addon','dice_addon_kafka_gc_count','email','recover','【平台中间件Kafka GC次数恢复】\n','【平台中间件Kafka GC次数恢复】\n\n中间件: {{addon_id}}\n\n老年代GC次数: {{CollectionCount_win_value}}\n\n集群: {{cluster_name}}\n\n机器: {{node_host}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','{\"trigger_duration\":\"time:ms\"}','1.0','2021-05-28 11:55:06','2021-05-28 11:55:06',0),(4952,'平台中间件Kafka GC次数异常','dice_addon','dice_addon_kafka_gc_count','mbox','recover','【平台中间件Kafka GC次数恢复】\n','【平台中间件Kafka GC次数恢复】\n\n中间件: {{addon_id}}\n\n老年代GC次数: {{CollectionCount_win_value}}\n\n集群: {{cluster_name}}\n\n机器: {{node_host}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','{\"trigger_duration\":\"time:ms\"}','1.0','2021-05-28 11:55:06','2021-05-28 11:55:06',0),(4953,'平台中间件Kafka GC次数异常','dice_addon','dice_addon_kafka_gc_count','webhook','recover','【平台中间件Kafka GC次数恢复】\n','【平台中间件Kafka GC次数恢复】\n\n中间件: {{addon_id}}\n\n老年代GC次数: {{CollectionCount_win_value}}\n\n集群: {{cluster_name}}\n\n机器: {{node_host}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','{\"trigger_duration\":\"time:ms\"}','1.0','2021-05-28 11:55:06','2021-05-28 11:55:06',0),(4954,'平台中间件kafka GC耗时异常','dice_addon','dice_addon_kafka_gc_time','dingding','alert','【平台中间件kafka GC耗时告警】\n','【平台中间件kafka GC耗时告警】\n\n中间件: {{addon_id}}\n\n老年代GC耗时: {{CollectionTime_win_value}}\n\n集群: {{cluster_name}}\n\n机器: {{node_host}}\n\n时间: {{timestamp}}\n\n[查看详情]({{display_url}})\n\n[查看记录]({{record_url}})\n','{\"CollectionTime_win_value\":\"time:ms\"}','1.0','2021-05-28 11:55:06','2021-05-28 11:55:06',0),(4955,'平台中间件kafka GC耗时异常','dice_addon','dice_addon_kafka_gc_time','ticket','alert','【平台中间件kafka GC耗时告警】\n','【平台中间件kafka GC耗时告警】\n\n中间件: {{addon_id}}\n\n老年代GC耗时: {{CollectionTime_win_value}}\n\n集群: {{cluster_name}}\n\n机器: {{node_host}}\n\n时间: {{timestamp}}\n\n[查看详情]({{display_url}})\n\n[查看记录]({{record_url}})\n','{\"CollectionTime_win_value\":\"time:ms\"}','1.0','2021-05-28 11:55:06','2021-05-28 11:55:06',0),(4956,'平台中间件kafka GC耗时异常','dice_addon','dice_addon_kafka_gc_time','email','alert','【平台中间件kafka GC耗时告警】\n','【平台中间件kafka GC耗时告警】\n\n中间件: {{addon_id}}\n\n老年代GC耗时: {{CollectionTime_win_value}}\n\n集群: {{cluster_name}}\n\n机器: {{node_host}}\n\n时间: {{timestamp}}\n\n[查看详情]({{display_url}})\n\n[查看记录]({{record_url}})\n','{\"CollectionTime_win_value\":\"time:ms\"}','1.0','2021-05-28 11:55:06','2021-05-28 11:55:06',0),(4957,'平台中间件kafka GC耗时异常','dice_addon','dice_addon_kafka_gc_time','mbox','alert','【平台中间件kafka GC耗时告警】\n','【平台中间件kafka GC耗时告警】\n\n中间件: {{addon_id}}\n\n老年代GC耗时: {{CollectionTime_win_value}}\n\n集群: {{cluster_name}}\n\n机器: {{node_host}}\n\n时间: {{timestamp}}\n\n[查看详情]({{display_url}})\n\n[查看记录]({{record_url}})\n','{\"CollectionTime_win_value\":\"time:ms\"}','1.0','2021-05-28 11:55:06','2021-05-28 11:55:06',0),(4958,'平台中间件kafka GC耗时异常','dice_addon','dice_addon_kafka_gc_time','webhook','alert','【平台中间件kafka GC耗时告警】\n','【平台中间件kafka GC耗时告警】\n\n中间件: {{addon_id}}\n\n老年代GC耗时: {{CollectionTime_win_value}}\n\n集群: {{cluster_name}}\n\n机器: {{node_host}}\n\n时间: {{timestamp}}\n\n[查看详情]({{display_url}})\n\n[查看记录]({{record_url}})\n','{\"CollectionTime_win_value\":\"time:ms\"}','1.0','2021-05-28 11:55:06','2021-05-28 11:55:06',0),(4959,'平台中间件kafka GC耗时异常','dice_addon','dice_addon_kafka_gc_time','dingding','recover','【平台中间件kafka GC耗时恢复】\n','【平台中间件kafka GC耗时恢复】\n\n中间件: {{addon_id}}\n\n老年代GC耗时: {{CollectionTime_win_value}}\n\n集群: {{cluster_name}}\n\n机器: {{node_host}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','{\"CollectionTime_win_value\":\"time:ms\",\"trigger_duration\":\"time:ms\"}','1.0','2021-05-28 11:55:06','2021-05-28 11:55:06',0),(4960,'平台中间件kafka GC耗时异常','dice_addon','dice_addon_kafka_gc_time','ticket','recover','【平台中间件kafka GC耗时恢复】\n','【平台中间件kafka GC耗时恢复】\n\n中间件: {{addon_id}}\n\n老年代GC耗时: {{CollectionTime_win_value}}\n\n集群: {{cluster_name}}\n\n机器: {{node_host}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','{\"CollectionTime_win_value\":\"time:ms\",\"trigger_duration\":\"time:ms\"}','1.0','2021-05-28 11:55:06','2021-05-28 11:55:06',0),(4961,'平台中间件kafka GC耗时异常','dice_addon','dice_addon_kafka_gc_time','email','recover','【平台中间件kafka GC耗时恢复】\n','【平台中间件kafka GC耗时恢复】\n\n中间件: {{addon_id}}\n\n老年代GC耗时: {{CollectionTime_win_value}}\n\n集群: {{cluster_name}}\n\n机器: {{node_host}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','{\"CollectionTime_win_value\":\"time:ms\",\"trigger_duration\":\"time:ms\"}','1.0','2021-05-28 11:55:06','2021-05-28 11:55:06',0),(4962,'平台中间件kafka GC耗时异常','dice_addon','dice_addon_kafka_gc_time','mbox','recover','【平台中间件kafka GC耗时恢复】\n','【平台中间件kafka GC耗时恢复】\n\n中间件: {{addon_id}}\n\n老年代GC耗时: {{CollectionTime_win_value}}\n\n集群: {{cluster_name}}\n\n机器: {{node_host}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','{\"CollectionTime_win_value\":\"time:ms\",\"trigger_duration\":\"time:ms\"}','1.0','2021-05-28 11:55:06','2021-05-28 11:55:06',0),(4963,'平台中间件kafka GC耗时异常','dice_addon','dice_addon_kafka_gc_time','webhook','recover','【平台中间件kafka GC耗时恢复】\n','【平台中间件kafka GC耗时恢复】\n\n中间件: {{addon_id}}\n\n老年代GC耗时: {{CollectionTime_win_value}}\n\n集群: {{cluster_name}}\n\n机器: {{node_host}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','{\"CollectionTime_win_value\":\"time:ms\",\"trigger_duration\":\"time:ms\"}','1.0','2021-05-28 11:55:06','2021-05-28 11:55:06',0),(4964,'平台中间件kafka消费堆积','dice_addon','dice_addon_kafka_lag','dingding','alert','【平台中间件kafka消费堆积告警】\n','【平台中间件kafka消费堆积告警】\n\n中间件: {{addon_id}}\n\n消费者组: {{group}}\n\nTopic: {{topic}}\n\n当前消息堆积: {{lag_avg}}\n\n消费速度: {{consume_rate_per_sec_avg}} /s\n\n生产速度: {{produce_rate_per_sec_avg}} /s\n\n集群: {{cluster_name}}\n\n时间: {{timestamp}}\n\n[查看详情]({{display_url}})\n\n[查看记录]({{record_url}})\n','','1.0','2021-05-28 11:55:06','2021-05-28 11:55:06',0),(4965,'平台中间件kafka消费堆积','dice_addon','dice_addon_kafka_lag','ticket','alert','【平台中间件kafka消费堆积告警】\n','【平台中间件kafka消费堆积告警】\n\n中间件: {{addon_id}}\n\n消费者组: {{group}}\n\nTopic: {{topic}}\n\n当前消息堆积: {{lag_avg}}\n\n消费速度: {{consume_rate_per_sec_avg}} /s\n\n生产速度: {{produce_rate_per_sec_avg}} /s\n\n集群: {{cluster_name}}\n\n时间: {{timestamp}}\n\n[查看详情]({{display_url}})\n\n[查看记录]({{record_url}})\n','','1.0','2021-05-28 11:55:06','2021-05-28 11:55:06',0),(4966,'平台中间件kafka消费堆积','dice_addon','dice_addon_kafka_lag','email','alert','【平台中间件kafka消费堆积告警】\n','【平台中间件kafka消费堆积告警】\n\n中间件: {{addon_id}}\n\n消费者组: {{group}}\n\nTopic: {{topic}}\n\n当前消息堆积: {{lag_avg}}\n\n消费速度: {{consume_rate_per_sec_avg}} /s\n\n生产速度: {{produce_rate_per_sec_avg}} /s\n\n集群: {{cluster_name}}\n\n时间: {{timestamp}}\n\n[查看详情]({{display_url}})\n\n[查看记录]({{record_url}})\n','','1.0','2021-05-28 11:55:06','2021-05-28 11:55:06',0),(4967,'平台中间件kafka消费堆积','dice_addon','dice_addon_kafka_lag','mbox','alert','【平台中间件kafka消费堆积告警】\n','【平台中间件kafka消费堆积告警】\n\n中间件: {{addon_id}}\n\n消费者组: {{group}}\n\nTopic: {{topic}}\n\n当前消息堆积: {{lag_avg}}\n\n消费速度: {{consume_rate_per_sec_avg}} /s\n\n生产速度: {{produce_rate_per_sec_avg}} /s\n\n集群: {{cluster_name}}\n\n时间: {{timestamp}}\n\n[查看详情]({{display_url}})\n\n[查看记录]({{record_url}})\n','','1.0','2021-05-28 11:55:06','2021-05-28 11:55:06',0),(4968,'平台中间件kafka消费堆积','dice_addon','dice_addon_kafka_lag','webhook','alert','【平台中间件kafka消费堆积告警】\n','【平台中间件kafka消费堆积告警】\n\n中间件: {{addon_id}}\n\n消费者组: {{group}}\n\nTopic: {{topic}}\n\n当前消息堆积: {{lag_avg}}\n\n消费速度: {{consume_rate_per_sec_avg}} /s\n\n生产速度: {{produce_rate_per_sec_avg}} /s\n\n集群: {{cluster_name}}\n\n时间: {{timestamp}}\n\n[查看详情]({{display_url}})\n\n[查看记录]({{record_url}})\n','','1.0','2021-05-28 11:55:06','2021-05-28 11:55:06',0),(4969,'平台中间件kafka消费堆积','dice_addon','dice_addon_kafka_lag','dingding','recover','【平台中间件kafka消费堆积恢复】\n','【平台中间件kafka消费堆积恢复】\n\n中间件: {{addon_id}}\n\n消费者组: {{group}}\n\nTopic: {{topic}}\n\n当前消息堆积: {{lag_avg}}\n\n集群: {{cluster_name}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','{\"trigger_duration\":\"time:ms\"}','1.0','2021-05-28 11:55:06','2021-05-28 11:55:06',0),(4970,'平台中间件kafka消费堆积','dice_addon','dice_addon_kafka_lag','ticket','recover','【平台中间件kafka消费堆积恢复】\n','【平台中间件kafka消费堆积恢复】\n\n中间件: {{addon_id}}\n\n消费者组: {{group}}\n\nTopic: {{topic}}\n\n当前消息堆积: {{lag_avg}}\n\n集群: {{cluster_name}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','{\"trigger_duration\":\"time:ms\"}','1.0','2021-05-28 11:55:06','2021-05-28 11:55:06',0),(4971,'平台中间件kafka消费堆积','dice_addon','dice_addon_kafka_lag','email','recover','【平台中间件kafka消费堆积恢复】\n','【平台中间件kafka消费堆积恢复】\n\n中间件: {{addon_id}}\n\n消费者组: {{group}}\n\nTopic: {{topic}}\n\n当前消息堆积: {{lag_avg}}\n\n集群: {{cluster_name}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','{\"trigger_duration\":\"time:ms\"}','1.0','2021-05-28 11:55:06','2021-05-28 11:55:06',0),(4972,'平台中间件kafka消费堆积','dice_addon','dice_addon_kafka_lag','mbox','recover','【平台中间件kafka消费堆积恢复】\n','【平台中间件kafka消费堆积恢复】\n\n中间件: {{addon_id}}\n\n消费者组: {{group}}\n\nTopic: {{topic}}\n\n当前消息堆积: {{lag_avg}}\n\n集群: {{cluster_name}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','{\"trigger_duration\":\"time:ms\"}','1.0','2021-05-28 11:55:06','2021-05-28 11:55:06',0),(4973,'平台中间件kafka消费堆积','dice_addon','dice_addon_kafka_lag','webhook','recover','【平台中间件kafka消费堆积恢复】\n','【平台中间件kafka消费堆积恢复】\n\n中间件: {{addon_id}}\n\n消费者组: {{group}}\n\nTopic: {{topic}}\n\n当前消息堆积: {{lag_avg}}\n\n集群: {{cluster_name}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','{\"trigger_duration\":\"time:ms\"}','1.0','2021-05-28 11:55:06','2021-05-28 11:55:06',0),(4974,'平台组件实例CPU异常','dice_component','dice_component_container_cpu','dingding','alert','【平台组件{{component_name}} CPU使用率告警】\n','【平台组件CPU使用率告警】\n\n组件: {{component_name}}\n\n使用率: {{cpu_usage_percent_avg}}\n\n限制: {{cpu_limit_value}}核\n\n分配: {{cpu_allocation_value}}核\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n容器ID: {{container_id}}\n\n时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','{\"cpu_allocation_value\":\"fraction:2\",\"cpu_limit_value\":\"fraction:2\",\"cpu_usage_percent_avg\":\"percent:2\"}','1.0','2021-05-28 11:55:06','2021-05-28 11:55:06',0),(4975,'平台组件实例CPU异常','dice_component','dice_component_container_cpu','ticket','alert','【平台组件{{component_name}} CPU使用率告警】\n','【平台组件CPU使用率告警】\n\n组件: {{component_name}}\n\n使用率: {{cpu_usage_percent_avg}}\n\n限制: {{cpu_limit_value}}核\n\n分配: {{cpu_allocation_value}}核\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n容器ID: {{container_id}}\n\n时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','{\"cpu_allocation_value\":\"fraction:2\",\"cpu_limit_value\":\"fraction:2\",\"cpu_usage_percent_avg\":\"percent:2\"}','1.0','2021-05-28 11:55:06','2021-05-28 11:55:06',0),(4976,'平台组件实例CPU异常','dice_component','dice_component_container_cpu','email','alert','【平台组件{{component_name}} CPU使用率告警】\n','【平台组件CPU使用率告警】\n\n组件: {{component_name}}\n\n使用率: {{cpu_usage_percent_avg}}\n\n限制: {{cpu_limit_value}}核\n\n分配: {{cpu_allocation_value}}核\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n容器ID: {{container_id}}\n\n时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','{\"cpu_allocation_value\":\"fraction:2\",\"cpu_limit_value\":\"fraction:2\",\"cpu_usage_percent_avg\":\"percent:2\"}','1.0','2021-05-28 11:55:06','2021-05-28 11:55:06',0),(4977,'平台组件实例CPU异常','dice_component','dice_component_container_cpu','mbox','alert','【平台组件{{component_name}} CPU使用率告警】\n','【平台组件CPU使用率告警】\n\n组件: {{component_name}}\n\n使用率: {{cpu_usage_percent_avg}}\n\n限制: {{cpu_limit_value}}核\n\n分配: {{cpu_allocation_value}}核\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n容器ID: {{container_id}}\n\n时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','{\"cpu_allocation_value\":\"fraction:2\",\"cpu_limit_value\":\"fraction:2\",\"cpu_usage_percent_avg\":\"percent:2\"}','1.0','2021-05-28 11:55:06','2021-05-28 11:55:06',0),(4978,'平台组件实例CPU异常','dice_component','dice_component_container_cpu','webhook','alert','【平台组件{{component_name}} CPU使用率告警】\n','【平台组件CPU使用率告警】\n\n组件: {{component_name}}\n\n使用率: {{cpu_usage_percent_avg}}\n\n限制: {{cpu_limit_value}}核\n\n分配: {{cpu_allocation_value}}核\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n容器ID: {{container_id}}\n\n时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','{\"cpu_allocation_value\":\"fraction:2\",\"cpu_limit_value\":\"fraction:2\",\"cpu_usage_percent_avg\":\"percent:2\"}','1.0','2021-05-28 11:55:06','2021-05-28 11:55:06',0),(4979,'平台组件实例CPU异常','dice_component','dice_component_container_cpu','dingding','recover','【平台组件{{component_name}} CPU使用率恢复】\n','【平台组件CPU使用率恢复】\n\n组件: {{component_name}}\n\n使用率: {{cpu_usage_percent_avg}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n容器ID: {{container_id}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','{\"cpu_usage_percent_avg\":\"percent:2\",\"trigger_duration\":\"time:ms\"}','1.0','2021-05-28 11:55:06','2021-05-28 11:55:06',0),(4980,'平台组件实例CPU异常','dice_component','dice_component_container_cpu','ticket','recover','【平台组件{{component_name}} CPU使用率恢复】\n','【平台组件CPU使用率恢复】\n\n组件: {{component_name}}\n\n使用率: {{cpu_usage_percent_avg}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n容器ID: {{container_id}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','{\"cpu_usage_percent_avg\":\"percent:2\",\"trigger_duration\":\"time:ms\"}','1.0','2021-05-28 11:55:06','2021-05-28 11:55:06',0),(4981,'平台组件实例CPU异常','dice_component','dice_component_container_cpu','email','recover','【平台组件{{component_name}} CPU使用率恢复】\n','【平台组件CPU使用率恢复】\n\n组件: {{component_name}}\n\n使用率: {{cpu_usage_percent_avg}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n容器ID: {{container_id}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','{\"cpu_usage_percent_avg\":\"percent:2\",\"trigger_duration\":\"time:ms\"}','1.0','2021-05-28 11:55:06','2021-05-28 11:55:06',0),(4982,'平台组件实例CPU异常','dice_component','dice_component_container_cpu','mbox','recover','【平台组件{{component_name}} CPU使用率恢复】\n','【平台组件CPU使用率恢复】\n\n组件: {{component_name}}\n\n使用率: {{cpu_usage_percent_avg}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n容器ID: {{container_id}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','{\"cpu_usage_percent_avg\":\"percent:2\",\"trigger_duration\":\"time:ms\"}','1.0','2021-05-28 11:55:06','2021-05-28 11:55:06',0),(4983,'平台组件实例CPU异常','dice_component','dice_component_container_cpu','webhook','recover','【平台组件{{component_name}} CPU使用率恢复】\n','【平台组件CPU使用率恢复】\n\n组件: {{component_name}}\n\n使用率: {{cpu_usage_percent_avg}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n容器ID: {{container_id}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','{\"cpu_usage_percent_avg\":\"percent:2\",\"trigger_duration\":\"time:ms\"}','1.0','2021-05-28 11:55:06','2021-05-28 11:55:06',0),(4984,'平台组件异常退出','dice_component','dice_component_container_exit','dingding','alert','【平台组件{{component_name}}异常退出告警】\n','【平台组件异常退出告警】\n\n组件: {{component_name}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n启动时间: {{started_at_value}}\n\n退出时间: {{finished_at_value}}\n\n退出原因: {{terminated_reason_value}}\n\n时间: {{timestamp}}\n\n[查看详情]({{display_url}})\n\n[查看记录]({{record_url}})\n','{\"finished_at_value\":\"date\",\"started_at_value\":\"date\"}','1.0','2021-05-28 11:55:06','2021-05-28 11:55:06',0),(4985,'平台组件异常退出','dice_component','dice_component_container_exit','ticket','alert','【平台组件{{component_name}}异常退出告警】\n','【平台组件异常退出告警】\n\n组件: {{component_name}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n启动时间: {{started_at_value}}\n\n退出时间: {{finished_at_value}}\n\n退出原因: {{terminated_reason_value}}\n\n时间: {{timestamp}}\n\n[查看详情]({{display_url}})\n\n[查看记录]({{record_url}})\n','{\"finished_at_value\":\"date\",\"started_at_value\":\"date\"}','1.0','2021-05-28 11:55:06','2021-05-28 11:55:06',0),(4986,'平台组件异常退出','dice_component','dice_component_container_exit','email','alert','【平台组件{{component_name}}异常退出告警】\n','【平台组件异常退出告警】\n\n组件: {{component_name}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n启动时间: {{started_at_value}}\n\n退出时间: {{finished_at_value}}\n\n退出原因: {{terminated_reason_value}}\n\n时间: {{timestamp}}\n\n[查看详情]({{display_url}})\n\n[查看记录]({{record_url}})\n','{\"finished_at_value\":\"date\",\"started_at_value\":\"date\"}','1.0','2021-05-28 11:55:06','2021-05-28 11:55:06',0),(4987,'平台组件异常退出','dice_component','dice_component_container_exit','mbox','alert','【平台组件{{component_name}}异常退出告警】\n','【平台组件异常退出告警】\n\n组件: {{component_name}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n启动时间: {{started_at_value}}\n\n退出时间: {{finished_at_value}}\n\n退出原因: {{terminated_reason_value}}\n\n时间: {{timestamp}}\n\n[查看详情]({{display_url}})\n\n[查看记录]({{record_url}})\n','{\"finished_at_value\":\"date\",\"started_at_value\":\"date\"}','1.0','2021-05-28 11:55:06','2021-05-28 11:55:06',0),(4988,'平台组件异常退出','dice_component','dice_component_container_exit','webhook','alert','【平台组件{{component_name}}异常退出告警】\n','【平台组件异常退出告警】\n\n组件: {{component_name}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n启动时间: {{started_at_value}}\n\n退出时间: {{finished_at_value}}\n\n退出原因: {{terminated_reason_value}}\n\n时间: {{timestamp}}\n\n[查看详情]({{display_url}})\n\n[查看记录]({{record_url}})\n','{\"finished_at_value\":\"date\",\"started_at_value\":\"date\"}','1.0','2021-05-28 11:55:06','2021-05-28 11:55:06',0),(4989,'平台组件异常退出','dice_component','dice_component_container_exit','dingding','recover','【平台组件{{component_name}}异常退出恢复】\n','【平台组件异常退出恢复】\n\n组件: {{component_name}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','{\"trigger_duration\":\"time:ms\"}','1.0','2021-05-28 11:55:06','2021-05-28 11:55:06',0),(4990,'平台组件异常退出','dice_component','dice_component_container_exit','ticket','recover','【平台组件{{component_name}}异常退出恢复】\n','【平台组件异常退出恢复】\n\n组件: {{component_name}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','{\"trigger_duration\":\"time:ms\"}','1.0','2021-05-28 11:55:06','2021-05-28 11:55:06',0),(4991,'平台组件异常退出','dice_component','dice_component_container_exit','email','recover','【平台组件{{component_name}}异常退出恢复】\n','【平台组件异常退出恢复】\n\n组件: {{component_name}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','{\"trigger_duration\":\"time:ms\"}','1.0','2021-05-28 11:55:06','2021-05-28 11:55:06',0),(4992,'平台组件异常退出','dice_component','dice_component_container_exit','mbox','recover','【平台组件{{component_name}}异常退出恢复】\n','【平台组件异常退出恢复】\n\n组件: {{component_name}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','{\"trigger_duration\":\"time:ms\"}','1.0','2021-05-28 11:55:06','2021-05-28 11:55:06',0),(4993,'平台组件异常退出','dice_component','dice_component_container_exit','webhook','recover','【平台组件{{component_name}}异常退出恢复】\n','【平台组件异常退出恢复】\n\n组件: {{component_name}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','{\"trigger_duration\":\"time:ms\"}','1.0','2021-05-28 11:55:06','2021-05-28 11:55:06',0),(4994,'平台组件实例内存异常','dice_component','dice_component_container_mem','dingding','alert','【平台组件{{component_name}}内存使用率告警】\n','【平台组件内存使用率告警】\n\n组件: {{component_name}}\n\n使用率: {{mem_usage_percent_avg}}\n\n使用: {{mem_usage_value}}\n\n限制: {{mem_limit_value}}\n\n分配: {{mem_allocation_value}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n容器ID: {{container_id}}\n\n时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','{\"mem_allocation_value\":\"size:byte\",\"mem_limit_value\":\"size:byte\",\"mem_usage_percent_avg\":\"percent:2\",\"mem_usage_value\":\"size:byte\"}','1.0','2021-05-28 11:55:06','2021-05-28 11:55:06',0),(4995,'平台组件实例内存异常','dice_component','dice_component_container_mem','ticket','alert','【平台组件{{component_name}}内存使用率告警】\n','【平台组件内存使用率告警】\n\n组件: {{component_name}}\n\n使用率: {{mem_usage_percent_avg}}\n\n使用: {{mem_usage_value}}\n\n限制: {{mem_limit_value}}\n\n分配: {{mem_allocation_value}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n容器ID: {{container_id}}\n\n时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','{\"mem_allocation_value\":\"size:byte\",\"mem_limit_value\":\"size:byte\",\"mem_usage_percent_avg\":\"percent:2\",\"mem_usage_value\":\"size:byte\"}','1.0','2021-05-28 11:55:06','2021-05-28 11:55:06',0),(4996,'平台组件实例内存异常','dice_component','dice_component_container_mem','email','alert','【平台组件{{component_name}}内存使用率告警】\n','【平台组件内存使用率告警】\n\n组件: {{component_name}}\n\n使用率: {{mem_usage_percent_avg}}\n\n使用: {{mem_usage_value}}\n\n限制: {{mem_limit_value}}\n\n分配: {{mem_allocation_value}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n容器ID: {{container_id}}\n\n时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','{\"mem_allocation_value\":\"size:byte\",\"mem_limit_value\":\"size:byte\",\"mem_usage_percent_avg\":\"percent:2\",\"mem_usage_value\":\"size:byte\"}','1.0','2021-05-28 11:55:06','2021-05-28 11:55:06',0),(4997,'平台组件实例内存异常','dice_component','dice_component_container_mem','mbox','alert','【平台组件{{component_name}}内存使用率告警】\n','【平台组件内存使用率告警】\n\n组件: {{component_name}}\n\n使用率: {{mem_usage_percent_avg}}\n\n使用: {{mem_usage_value}}\n\n限制: {{mem_limit_value}}\n\n分配: {{mem_allocation_value}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n容器ID: {{container_id}}\n\n时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','{\"mem_allocation_value\":\"size:byte\",\"mem_limit_value\":\"size:byte\",\"mem_usage_percent_avg\":\"percent:2\",\"mem_usage_value\":\"size:byte\"}','1.0','2021-05-28 11:55:06','2021-05-28 11:55:06',0),(4998,'平台组件实例内存异常','dice_component','dice_component_container_mem','webhook','alert','【平台组件{{component_name}}内存使用率告警】\n','【平台组件内存使用率告警】\n\n组件: {{component_name}}\n\n使用率: {{mem_usage_percent_avg}}\n\n使用: {{mem_usage_value}}\n\n限制: {{mem_limit_value}}\n\n分配: {{mem_allocation_value}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n容器ID: {{container_id}}\n\n时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','{\"mem_allocation_value\":\"size:byte\",\"mem_limit_value\":\"size:byte\",\"mem_usage_percent_avg\":\"percent:2\",\"mem_usage_value\":\"size:byte\"}','1.0','2021-05-28 11:55:06','2021-05-28 11:55:06',0),(4999,'平台组件实例内存异常','dice_component','dice_component_container_mem','dingding','recover','【平台组件{{component_name}}内存使用率恢复】\n','【平台组件内存使用率恢复】\n\n组件: {{component_name}}\n\n使用率: {{mem_usage_percent_avg}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n容器ID: {{container_id}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','{\"trigger_duration\":\"time:ms\",\"usage_percent_avg\":\"percent:2\"}','1.0','2021-05-28 11:55:06','2021-05-28 11:55:06',0),(5000,'平台组件实例内存异常','dice_component','dice_component_container_mem','ticket','recover','【平台组件{{component_name}}内存使用率恢复】\n','【平台组件内存使用率恢复】\n\n组件: {{component_name}}\n\n使用率: {{mem_usage_percent_avg}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n容器ID: {{container_id}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','{\"trigger_duration\":\"time:ms\",\"usage_percent_avg\":\"percent:2\"}','1.0','2021-05-28 11:55:06','2021-05-28 11:55:06',0),(5001,'平台组件实例内存异常','dice_component','dice_component_container_mem','email','recover','【平台组件{{component_name}}内存使用率恢复】\n','【平台组件内存使用率恢复】\n\n组件: {{component_name}}\n\n使用率: {{mem_usage_percent_avg}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n容器ID: {{container_id}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','{\"trigger_duration\":\"time:ms\",\"usage_percent_avg\":\"percent:2\"}','1.0','2021-05-28 11:55:06','2021-05-28 11:55:06',0),(5002,'平台组件实例内存异常','dice_component','dice_component_container_mem','mbox','recover','【平台组件{{component_name}}内存使用率恢复】\n','【平台组件内存使用率恢复】\n\n组件: {{component_name}}\n\n使用率: {{mem_usage_percent_avg}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n容器ID: {{container_id}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','{\"trigger_duration\":\"time:ms\",\"usage_percent_avg\":\"percent:2\"}','1.0','2021-05-28 11:55:06','2021-05-28 11:55:06',0),(5003,'平台组件实例内存异常','dice_component','dice_component_container_mem','webhook','recover','【平台组件{{component_name}}内存使用率恢复】\n','【平台组件内存使用率恢复】\n\n组件: {{component_name}}\n\n使用率: {{mem_usage_percent_avg}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n容器ID: {{container_id}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','{\"trigger_duration\":\"time:ms\",\"usage_percent_avg\":\"percent:2\"}','1.0','2021-05-28 11:55:06','2021-05-28 11:55:06',0),(5004,'平台组件实例Ready状态异常','dice_component','dice_component_container_ready','dingding','alert','【平台组件{{resource_name}} Ready状态异常告警】\n','【平台组件Ready状态异常告警】\n\n组件: {{resource_name}}\n\n未就绪实例: {{not_ready_value}}\n\n已就绪实例: {{ready_value}}\n\n集群: {{cluster_name}}\n\n时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','','1.0','2021-05-28 11:55:06','2021-05-28 11:55:06',0),(5005,'平台组件实例Ready状态异常','dice_component','dice_component_container_ready','ticket','alert','【平台组件{{resource_name}} Ready状态异常告警】\n','【平台组件Ready状态异常告警】\n\n组件: {{resource_name}}\n\n未就绪实例: {{not_ready_value}}\n\n已就绪实例: {{ready_value}}\n\n集群: {{cluster_name}}\n\n时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','','1.0','2021-05-28 11:55:06','2021-05-28 11:55:06',0),(5006,'平台组件实例Ready状态异常','dice_component','dice_component_container_ready','email','alert','【平台组件{{resource_name}} Ready状态异常告警】\n','【平台组件Ready状态异常告警】\n\n组件: {{resource_name}}\n\n未就绪实例: {{not_ready_value}}\n\n已就绪实例: {{ready_value}}\n\n集群: {{cluster_name}}\n\n时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','','1.0','2021-05-28 11:55:06','2021-05-28 11:55:06',0),(5007,'平台组件实例Ready状态异常','dice_component','dice_component_container_ready','mbox','alert','【平台组件{{resource_name}} Ready状态异常告警】\n','【平台组件Ready状态异常告警】\n\n组件: {{resource_name}}\n\n未就绪实例: {{not_ready_value}}\n\n已就绪实例: {{ready_value}}\n\n集群: {{cluster_name}}\n\n时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','','1.0','2021-05-28 11:55:06','2021-05-28 11:55:06',0),(5008,'平台组件实例Ready状态异常','dice_component','dice_component_container_ready','webhook','alert','【平台组件{{resource_name}} Ready状态异常告警】\n','【平台组件Ready状态异常告警】\n\n组件: {{resource_name}}\n\n未就绪实例: {{not_ready_value}}\n\n已就绪实例: {{ready_value}}\n\n集群: {{cluster_name}}\n\n时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','','1.0','2021-05-28 11:55:06','2021-05-28 11:55:06',0),(5009,'平台组件实例Ready状态异常','dice_component','dice_component_container_ready','dingding','recover','【平台组件{{resource_name}} Ready状态异常恢复】\n','【平台组件Ready状态异常恢复】\n\n组件: {{resource_name}}\n\n已绪数实例: {{ready_value}}\n\n集群: {{cluster_name}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','{\"trigger_duration\":\"time:ms\"}','1.0','2021-05-28 11:55:06','2021-05-28 11:55:06',0),(5010,'平台组件实例Ready状态异常','dice_component','dice_component_container_ready','ticket','recover','【平台组件{{resource_name}} Ready状态异常恢复】\n','【平台组件Ready状态异常恢复】\n\n组件: {{resource_name}}\n\n已绪数实例: {{ready_value}}\n\n集群: {{cluster_name}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','{\"trigger_duration\":\"time:ms\"}','1.0','2021-05-28 11:55:06','2021-05-28 11:55:06',0),(5011,'平台组件实例Ready状态异常','dice_component','dice_component_container_ready','email','recover','【平台组件{{resource_name}} Ready状态异常恢复】\n','【平台组件Ready状态异常恢复】\n\n组件: {{resource_name}}\n\n已绪数实例: {{ready_value}}\n\n集群: {{cluster_name}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','{\"trigger_duration\":\"time:ms\"}','1.0','2021-05-28 11:55:06','2021-05-28 11:55:06',0),(5012,'平台组件实例Ready状态异常','dice_component','dice_component_container_ready','mbox','recover','【平台组件{{resource_name}} Ready状态异常恢复】\n','【平台组件Ready状态异常恢复】\n\n组件: {{resource_name}}\n\n已绪数实例: {{ready_value}}\n\n集群: {{cluster_name}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','{\"trigger_duration\":\"time:ms\"}','1.0','2021-05-28 11:55:06','2021-05-28 11:55:06',0),(5013,'平台组件实例Ready状态异常','dice_component','dice_component_container_ready','webhook','recover','【平台组件{{resource_name}} Ready状态异常恢复】\n','【平台组件Ready状态异常恢复】\n\n组件: {{resource_name}}\n\n已绪数实例: {{ready_value}}\n\n集群: {{cluster_name}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','{\"trigger_duration\":\"time:ms\"}','1.0','2021-05-28 11:55:06','2021-05-28 11:55:06',0),(5014,'平台组件Flink任务checkpoint延迟异常告警','dice_component','dice_component_flink_checkpoint_duration','dingding','alert','【平台组件Flink任务checkpoint延迟异常告警】\n','【平台组件Flink任务checkpoint延迟异常告警】\n\n延迟: {{lastCheckpointDuration_value}}ms\n\n任务ID： {{job_id}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','{}','1.0','2021-05-28 11:55:06','2021-05-28 11:55:06',0),(5015,'平台组件Flink任务checkpoint延迟异常告警','dice_component','dice_component_flink_checkpoint_duration','ticket','alert','【平台组件Flink任务checkpoint延迟异常告警】\n','【平台组件Flink任务checkpoint延迟异常告警】\n\n延迟: {{lastCheckpointDuration_value}}ms\n\n任务ID： {{job_id}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','{}','1.0','2021-05-28 11:55:06','2021-05-28 11:55:06',0),(5016,'平台组件Flink任务checkpoint延迟异常告警','dice_component','dice_component_flink_checkpoint_duration','email','alert','【平台组件Flink任务checkpoint延迟异常告警】\n','【平台组件Flink任务checkpoint延迟异常告警】\n\n延迟: {{lastCheckpointDuration_value}}ms\n\n任务ID： {{job_id}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','{}','1.0','2021-05-28 11:55:06','2021-05-28 11:55:06',0),(5017,'平台组件Flink任务checkpoint延迟异常告警','dice_component','dice_component_flink_checkpoint_duration','mbox','alert','【平台组件Flink任务checkpoint延迟异常告警】\n','【平台组件Flink任务checkpoint延迟异常告警】\n\n延迟: {{lastCheckpointDuration_value}}ms\n\n任务ID： {{job_id}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','{}','1.0','2021-05-28 11:55:06','2021-05-28 11:55:06',0),(5018,'平台组件Flink任务checkpoint延迟异常告警','dice_component','dice_component_flink_checkpoint_duration','webhook','alert','【平台组件Flink任务checkpoint延迟异常告警】\n','【平台组件Flink任务checkpoint延迟异常告警】\n\n延迟: {{lastCheckpointDuration_value}}ms\n\n任务ID： {{job_id}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','{}','1.0','2021-05-28 11:55:06','2021-05-28 11:55:06',0),(5019,'平台组件Flink吞吐量异常告警','dice_component','dice_component_flink_throughput','dingding','alert','【平台组件Flink吞吐量异常告警】\n','【平台组件Flink吞吐量异常告警】\n\noperator每秒输出量: {{numRecordsOutPerSecond_count_value}}\n\n任务ID： {{job_id}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','{}','1.0','2021-05-28 11:55:06','2021-05-28 11:55:06',0),(5020,'平台组件Flink吞吐量异常告警','dice_component','dice_component_flink_throughput','ticket','alert','【平台组件Flink吞吐量异常告警】\n','【平台组件Flink吞吐量异常告警】\n\noperator每秒输出量: {{numRecordsOutPerSecond_count_value}}\n\n任务ID： {{job_id}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','{}','1.0','2021-05-28 11:55:06','2021-05-28 11:55:06',0),(5021,'平台组件Flink吞吐量异常告警','dice_component','dice_component_flink_throughput','email','alert','【平台组件Flink吞吐量异常告警】\n','【平台组件Flink吞吐量异常告警】\n\noperator每秒输出量: {{numRecordsOutPerSecond_count_value}}\n\n任务ID： {{job_id}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','{}','1.0','2021-05-28 11:55:06','2021-05-28 11:55:06',0),(5022,'平台组件Flink吞吐量异常告警','dice_component','dice_component_flink_throughput','mbox','alert','【平台组件Flink吞吐量异常告警】\n','【平台组件Flink吞吐量异常告警】\n\noperator每秒输出量: {{numRecordsOutPerSecond_count_value}}\n\n任务ID： {{job_id}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','{}','1.0','2021-05-28 11:55:06','2021-05-28 11:55:06',0),(5023,'平台组件Flink吞吐量异常告警','dice_component','dice_component_flink_throughput','webhook','alert','【平台组件Flink吞吐量异常告警】\n','【平台组件Flink吞吐量异常告警】\n\noperator每秒输出量: {{numRecordsOutPerSecond_count_value}}\n\n任务ID： {{job_id}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','{}','1.0','2021-05-28 11:55:06','2021-05-28 11:55:06',0),(5024,'平台组件网盘不可用告警','dice_component','dice_component_gfs_status','dingding','alert','【平台组件网盘疑似不可用告警】\n','【平台组件网盘疑似不可用告警】\n\n组件: {{component_name}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','{}','1.0','2021-05-28 11:55:06','2021-05-28 11:55:06',0),(5025,'平台组件网盘不可用告警','dice_component','dice_component_gfs_status','ticket','alert','【平台组件网盘疑似不可用告警】\n','【平台组件网盘疑似不可用告警】\n\n组件: {{component_name}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','{}','1.0','2021-05-28 11:55:06','2021-05-28 11:55:06',0),(5026,'平台组件网盘不可用告警','dice_component','dice_component_gfs_status','email','alert','【平台组件网盘疑似不可用告警】\n','【平台组件网盘疑似不可用告警】\n\n组件: {{component_name}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','{}','1.0','2021-05-28 11:55:06','2021-05-28 11:55:06',0),(5027,'平台组件网盘不可用告警','dice_component','dice_component_gfs_status','mbox','alert','【平台组件网盘疑似不可用告警】\n','【平台组件网盘疑似不可用告警】\n\n组件: {{component_name}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','{}','1.0','2021-05-28 11:55:06','2021-05-28 11:55:06',0),(5028,'平台组件网盘不可用告警','dice_component','dice_component_gfs_status','webhook','alert','【平台组件网盘疑似不可用告警】\n','【平台组件网盘疑似不可用告警】\n\n组件: {{component_name}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','{}','1.0','2021-05-28 11:55:06','2021-05-28 11:55:06',0),(5029,'【事件】LOG_STORE保护器状态变化','dice_component','dice_component_log_protector','dingding','alert','【【事件】LOG_STORE保护器状态变化】\n','【【事件】LOG_STORE保护器状态变化】\n\n集群: {{cluster_name}}\n\n之前状态: {{pre_level}}\n\n当前状态: {{cur_level}}\n\n时间: {{timestamp}}\n\n[查看记录]({{record_url}})','{}','1.0','2021-05-28 11:55:06','2021-05-28 11:55:06',0),(5030,'【事件】LOG_STORE保护器状态变化','dice_component','dice_component_log_protector','ticket','alert','【【事件】LOG_STORE保护器状态变化】\n','【【事件】LOG_STORE保护器状态变化】\n\n集群: {{cluster_name}}\n\n之前状态: {{pre_level}}\n\n当前状态: {{cur_level}}\n\n时间: {{timestamp}}\n\n[查看记录]({{record_url}})','{}','1.0','2021-05-28 11:55:06','2021-05-28 11:55:06',0),(5031,'【事件】LOG_STORE保护器状态变化','dice_component','dice_component_log_protector','email','alert','【【事件】LOG_STORE保护器状态变化】\n','【【事件】LOG_STORE保护器状态变化】\n\n集群: {{cluster_name}}\n\n之前状态: {{pre_level}}\n\n当前状态: {{cur_level}}\n\n时间: {{timestamp}}\n\n[查看记录]({{record_url}})','{}','1.0','2021-05-28 11:55:06','2021-05-28 11:55:06',0),(5032,'【事件】LOG_STORE保护器状态变化','dice_component','dice_component_log_protector','mbox','alert','【【事件】LOG_STORE保护器状态变化】\n','【【事件】LOG_STORE保护器状态变化】\n\n集群: {{cluster_name}}\n\n之前状态: {{pre_level}}\n\n当前状态: {{cur_level}}\n\n时间: {{timestamp}}\n\n[查看记录]({{record_url}})','{}','1.0','2021-05-28 11:55:06','2021-05-28 11:55:06',0),(5033,'【事件】LOG_STORE保护器状态变化','dice_component','dice_component_log_protector','webhook','alert','【【事件】LOG_STORE保护器状态变化】\n','【【事件】LOG_STORE保护器状态变化】\n\n集群: {{cluster_name}}\n\n之前状态: {{pre_level}}\n\n当前状态: {{cur_level}}\n\n时间: {{timestamp}}\n\n[查看记录]({{record_url}})','{}','1.0','2021-05-28 11:55:06','2021-05-28 11:55:06',0),(5034,'kubernetes组件实例CPU异常','kubernetes','kubernetes_instance_cpu','dingding','alert','【{{cluster_name}}集群kubernetes组件{{pod_name}} CPU使用率告警】\n','【kubernetes组件CPU使用率告警】\n\nPod: {{pod_name}}\n\n使用率: {{cpu_usage_percent_avg}}\n\n限制: {{cpu_limit_value}}核\n\n分配: {{cpu_allocation_value}}核\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n容器ID: {{container_id}}\n\n时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','{\"cpu_allocation_value\":\"fraction:2\",\"cpu_limit_value\":\"fraction:2\",\"cpu_usage_percent_avg\":\"percent:2\"}','1.0','2021-05-28 11:55:06','2021-05-28 11:55:06',0),(5035,'kubernetes组件实例CPU异常','kubernetes','kubernetes_instance_cpu','ticket','alert','【{{cluster_name}}集群kubernetes组件{{pod_name}} CPU使用率告警】\n','【kubernetes组件CPU使用率告警】\n\nPod: {{pod_name}}\n\n使用率: {{cpu_usage_percent_avg}}\n\n限制: {{cpu_limit_value}}核\n\n分配: {{cpu_allocation_value}}核\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n容器ID: {{container_id}}\n\n时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','{\"cpu_allocation_value\":\"fraction:2\",\"cpu_limit_value\":\"fraction:2\",\"cpu_usage_percent_avg\":\"percent:2\"}','1.0','2021-05-28 11:55:06','2021-05-28 11:55:06',0),(5036,'kubernetes组件实例CPU异常','kubernetes','kubernetes_instance_cpu','email','alert','【{{cluster_name}}集群kubernetes组件{{pod_name}} CPU使用率告警】\n','【kubernetes组件CPU使用率告警】\n\nPod: {{pod_name}}\n\n使用率: {{cpu_usage_percent_avg}}\n\n限制: {{cpu_limit_value}}核\n\n分配: {{cpu_allocation_value}}核\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n容器ID: {{container_id}}\n\n时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','{\"cpu_allocation_value\":\"fraction:2\",\"cpu_limit_value\":\"fraction:2\",\"cpu_usage_percent_avg\":\"percent:2\"}','1.0','2021-05-28 11:55:06','2021-05-28 11:55:06',0),(5037,'kubernetes组件实例CPU异常','kubernetes','kubernetes_instance_cpu','mbox','alert','【{{cluster_name}}集群kubernetes组件{{pod_name}} CPU使用率告警】\n','【kubernetes组件CPU使用率告警】\n\nPod: {{pod_name}}\n\n使用率: {{cpu_usage_percent_avg}}\n\n限制: {{cpu_limit_value}}核\n\n分配: {{cpu_allocation_value}}核\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n容器ID: {{container_id}}\n\n时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','{\"cpu_allocation_value\":\"fraction:2\",\"cpu_limit_value\":\"fraction:2\",\"cpu_usage_percent_avg\":\"percent:2\"}','1.0','2021-05-28 11:55:06','2021-05-28 11:55:06',0),(5038,'kubernetes组件实例CPU异常','kubernetes','kubernetes_instance_cpu','webhook','alert','【{{cluster_name}}集群kubernetes组件{{pod_name}} CPU使用率告警】\n','【kubernetes组件CPU使用率告警】\n\nPod: {{pod_name}}\n\n使用率: {{cpu_usage_percent_avg}}\n\n限制: {{cpu_limit_value}}核\n\n分配: {{cpu_allocation_value}}核\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n容器ID: {{container_id}}\n\n时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','{\"cpu_allocation_value\":\"fraction:2\",\"cpu_limit_value\":\"fraction:2\",\"cpu_usage_percent_avg\":\"percent:2\"}','1.0','2021-05-28 11:55:06','2021-05-28 11:55:06',0),(5039,'kubernetes组件实例CPU异常','kubernetes','kubernetes_instance_cpu','dingding','recover','【{{cluster_name}}集群kubernetes组件{{pod_name}} CPU使用率恢复】\n','【kubernetes组件CPU使用率恢复】\n\nPod: {{pod_name}}\n\n使用率: {{cpu_usage_percent_avg}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n容器ID: {{container_id}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','{\"cpu_usage_percent_avg\":\"percent:2\",\"trigger_duration\":\"time:ms\"}','1.0','2021-05-28 11:55:06','2021-05-28 11:55:06',0),(5040,'kubernetes组件实例CPU异常','kubernetes','kubernetes_instance_cpu','ticket','recover','【{{cluster_name}}集群kubernetes组件{{pod_name}} CPU使用率恢复】\n','【kubernetes组件CPU使用率恢复】\n\nPod: {{pod_name}}\n\n使用率: {{cpu_usage_percent_avg}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n容器ID: {{container_id}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','{\"cpu_usage_percent_avg\":\"percent:2\",\"trigger_duration\":\"time:ms\"}','1.0','2021-05-28 11:55:06','2021-05-28 11:55:06',0),(5041,'kubernetes组件实例CPU异常','kubernetes','kubernetes_instance_cpu','email','recover','【{{cluster_name}}集群kubernetes组件{{pod_name}} CPU使用率恢复】\n','【kubernetes组件CPU使用率恢复】\n\nPod: {{pod_name}}\n\n使用率: {{cpu_usage_percent_avg}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n容器ID: {{container_id}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','{\"cpu_usage_percent_avg\":\"percent:2\",\"trigger_duration\":\"time:ms\"}','1.0','2021-05-28 11:55:06','2021-05-28 11:55:06',0),(5042,'kubernetes组件实例CPU异常','kubernetes','kubernetes_instance_cpu','mbox','recover','【{{cluster_name}}集群kubernetes组件{{pod_name}} CPU使用率恢复】\n','【kubernetes组件CPU使用率恢复】\n\nPod: {{pod_name}}\n\n使用率: {{cpu_usage_percent_avg}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n容器ID: {{container_id}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','{\"cpu_usage_percent_avg\":\"percent:2\",\"trigger_duration\":\"time:ms\"}','1.0','2021-05-28 11:55:06','2021-05-28 11:55:06',0),(5043,'kubernetes组件实例CPU异常','kubernetes','kubernetes_instance_cpu','webhook','recover','【{{cluster_name}}集群kubernetes组件{{pod_name}} CPU使用率恢复】\n','【kubernetes组件CPU使用率恢复】\n\nPod: {{pod_name}}\n\n使用率: {{cpu_usage_percent_avg}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n容器ID: {{container_id}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','{\"cpu_usage_percent_avg\":\"percent:2\",\"trigger_duration\":\"time:ms\"}','1.0','2021-05-28 11:55:06','2021-05-28 11:55:06',0),(5044,'kubernetes组件异常退出','kubernetes','kubernetes_instance_exit','dingding','alert','【{{cluster_name}}集群kubernetes组件{{pod_name}}异常退出告警】\n','【kubernetes组件异常退出告警】\n\n组件: {{pod_name}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n启动时间: {{started_at_value}}\n\n退出时间: {{finished_at_value}}\n\n退出原因: {{terminated_reason_value}}\n\n时间: {{timestamp}}\n\n[查看详情]({{display_url}})\n\n[查看记录]({{record_url}})\n','{\"finished_at_value\":\"date\",\"started_at_value\":\"date\"}','1.0','2021-05-28 11:55:06','2021-05-28 11:55:06',0),(5045,'kubernetes组件异常退出','kubernetes','kubernetes_instance_exit','ticket','alert','【{{cluster_name}}集群kubernetes组件{{pod_name}}异常退出告警】\n','【kubernetes组件异常退出告警】\n\n组件: {{pod_name}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n启动时间: {{started_at_value}}\n\n退出时间: {{finished_at_value}}\n\n退出原因: {{terminated_reason_value}}\n\n时间: {{timestamp}}\n\n[查看详情]({{display_url}})\n\n[查看记录]({{record_url}})\n','{\"finished_at_value\":\"date\",\"started_at_value\":\"date\"}','1.0','2021-05-28 11:55:06','2021-05-28 11:55:06',0),(5046,'kubernetes组件异常退出','kubernetes','kubernetes_instance_exit','email','alert','【{{cluster_name}}集群kubernetes组件{{pod_name}}异常退出告警】\n','【kubernetes组件异常退出告警】\n\n组件: {{pod_name}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n启动时间: {{started_at_value}}\n\n退出时间: {{finished_at_value}}\n\n退出原因: {{terminated_reason_value}}\n\n时间: {{timestamp}}\n\n[查看详情]({{display_url}})\n\n[查看记录]({{record_url}})\n','{\"finished_at_value\":\"date\",\"started_at_value\":\"date\"}','1.0','2021-05-28 11:55:06','2021-05-28 11:55:06',0),(5047,'kubernetes组件异常退出','kubernetes','kubernetes_instance_exit','mbox','alert','【{{cluster_name}}集群kubernetes组件{{pod_name}}异常退出告警】\n','【kubernetes组件异常退出告警】\n\n组件: {{pod_name}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n启动时间: {{started_at_value}}\n\n退出时间: {{finished_at_value}}\n\n退出原因: {{terminated_reason_value}}\n\n时间: {{timestamp}}\n\n[查看详情]({{display_url}})\n\n[查看记录]({{record_url}})\n','{\"finished_at_value\":\"date\",\"started_at_value\":\"date\"}','1.0','2021-05-28 11:55:06','2021-05-28 11:55:06',0),(5048,'kubernetes组件异常退出','kubernetes','kubernetes_instance_exit','webhook','alert','【{{cluster_name}}集群kubernetes组件{{pod_name}}异常退出告警】\n','【kubernetes组件异常退出告警】\n\n组件: {{pod_name}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n启动时间: {{started_at_value}}\n\n退出时间: {{finished_at_value}}\n\n退出原因: {{terminated_reason_value}}\n\n时间: {{timestamp}}\n\n[查看详情]({{display_url}})\n\n[查看记录]({{record_url}})\n','{\"finished_at_value\":\"date\",\"started_at_value\":\"date\"}','1.0','2021-05-28 11:55:06','2021-05-28 11:55:06',0),(5049,'kubernetes组件异常退出','kubernetes','kubernetes_instance_exit','dingding','recover','【{{cluster_name}}集群kubernetes组件{{pod_name}}异常退出恢复】\n','【kubernetes组件异常退出恢复】\n\n组件: {{pod_name}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','{\"trigger_duration\":\"time:ms\"}','1.0','2021-05-28 11:55:06','2021-05-28 11:55:06',0),(5050,'kubernetes组件异常退出','kubernetes','kubernetes_instance_exit','ticket','recover','【{{cluster_name}}集群kubernetes组件{{pod_name}}异常退出恢复】\n','【kubernetes组件异常退出恢复】\n\n组件: {{pod_name}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','{\"trigger_duration\":\"time:ms\"}','1.0','2021-05-28 11:55:06','2021-05-28 11:55:06',0),(5051,'kubernetes组件异常退出','kubernetes','kubernetes_instance_exit','email','recover','【{{cluster_name}}集群kubernetes组件{{pod_name}}异常退出恢复】\n','【kubernetes组件异常退出恢复】\n\n组件: {{pod_name}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','{\"trigger_duration\":\"time:ms\"}','1.0','2021-05-28 11:55:06','2021-05-28 11:55:06',0),(5052,'kubernetes组件异常退出','kubernetes','kubernetes_instance_exit','mbox','recover','【{{cluster_name}}集群kubernetes组件{{pod_name}}异常退出恢复】\n','【kubernetes组件异常退出恢复】\n\n组件: {{pod_name}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','{\"trigger_duration\":\"time:ms\"}','1.0','2021-05-28 11:55:06','2021-05-28 11:55:06',0),(5053,'kubernetes组件异常退出','kubernetes','kubernetes_instance_exit','webhook','recover','【{{cluster_name}}集群kubernetes组件{{pod_name}}异常退出恢复】\n','【kubernetes组件异常退出恢复】\n\n组件: {{pod_name}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','{\"trigger_duration\":\"time:ms\"}','1.0','2021-05-28 11:55:06','2021-05-28 11:55:06',0),(5054,'kubernetes组件实例内存异常','kubernetes','kubernetes_instance_mem','dingding','alert','【{{cluster_name}}集群kubernetes组件{{pod_name}}内存使用率告警】\n','【kubernetes组件内存使用率告警】\n\nPod: {{pod_name}}\n\n使用率: {{mem_usage_percent_avg}}\n\n使用: {{mem_usage_value}}\n\n限制: {{mem_limit_value}}\n\n分配: {{mem_allocation_value}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n容器ID: {{container_id}}\n\n时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','{\"mem_allocation_value\":\"size:byte\",\"mem_limit_value\":\"size:byte\",\"mem_usage_percent_avg\":\"percent:2\",\"mem_usage_value\":\"size:byte\"}','1.0','2021-05-28 11:55:06','2021-05-28 11:55:06',0),(5055,'kubernetes组件实例内存异常','kubernetes','kubernetes_instance_mem','ticket','alert','【{{cluster_name}}集群kubernetes组件{{pod_name}}内存使用率告警】\n','【kubernetes组件内存使用率告警】\n\nPod: {{pod_name}}\n\n使用率: {{mem_usage_percent_avg}}\n\n使用: {{mem_usage_value}}\n\n限制: {{mem_limit_value}}\n\n分配: {{mem_allocation_value}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n容器ID: {{container_id}}\n\n时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','{\"mem_allocation_value\":\"size:byte\",\"mem_limit_value\":\"size:byte\",\"mem_usage_percent_avg\":\"percent:2\",\"mem_usage_value\":\"size:byte\"}','1.0','2021-05-28 11:55:06','2021-05-28 11:55:06',0),(5056,'kubernetes组件实例内存异常','kubernetes','kubernetes_instance_mem','email','alert','【{{cluster_name}}集群kubernetes组件{{pod_name}}内存使用率告警】\n','【kubernetes组件内存使用率告警】\n\nPod: {{pod_name}}\n\n使用率: {{mem_usage_percent_avg}}\n\n使用: {{mem_usage_value}}\n\n限制: {{mem_limit_value}}\n\n分配: {{mem_allocation_value}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n容器ID: {{container_id}}\n\n时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','{\"mem_allocation_value\":\"size:byte\",\"mem_limit_value\":\"size:byte\",\"mem_usage_percent_avg\":\"percent:2\",\"mem_usage_value\":\"size:byte\"}','1.0','2021-05-28 11:55:06','2021-05-28 11:55:06',0),(5057,'kubernetes组件实例内存异常','kubernetes','kubernetes_instance_mem','mbox','alert','【{{cluster_name}}集群kubernetes组件{{pod_name}}内存使用率告警】\n','【kubernetes组件内存使用率告警】\n\nPod: {{pod_name}}\n\n使用率: {{mem_usage_percent_avg}}\n\n使用: {{mem_usage_value}}\n\n限制: {{mem_limit_value}}\n\n分配: {{mem_allocation_value}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n容器ID: {{container_id}}\n\n时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','{\"mem_allocation_value\":\"size:byte\",\"mem_limit_value\":\"size:byte\",\"mem_usage_percent_avg\":\"percent:2\",\"mem_usage_value\":\"size:byte\"}','1.0','2021-05-28 11:55:06','2021-05-28 11:55:06',0),(5058,'kubernetes组件实例内存异常','kubernetes','kubernetes_instance_mem','webhook','alert','【{{cluster_name}}集群kubernetes组件{{pod_name}}内存使用率告警】\n','【kubernetes组件内存使用率告警】\n\nPod: {{pod_name}}\n\n使用率: {{mem_usage_percent_avg}}\n\n使用: {{mem_usage_value}}\n\n限制: {{mem_limit_value}}\n\n分配: {{mem_allocation_value}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n容器ID: {{container_id}}\n\n时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','{\"mem_allocation_value\":\"size:byte\",\"mem_limit_value\":\"size:byte\",\"mem_usage_percent_avg\":\"percent:2\",\"mem_usage_value\":\"size:byte\"}','1.0','2021-05-28 11:55:06','2021-05-28 11:55:06',0),(5059,'kubernetes组件实例内存异常','kubernetes','kubernetes_instance_mem','dingding','recover','【{{cluster_name}}集群kubernetes组件{{pod_name}}内存使用率恢复】\n','【kubernetes组件内存使用率恢复】\n\nPod: {{pod_name}}\n\n使用率: {{mem_usage_percent_avg}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n容器ID: {{container_id}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','{\"mem_usage_percent_avg\":\"percent:2\",\"trigger_duration\":\"time:ms\"}','1.0','2021-05-28 11:55:06','2021-05-28 11:55:06',0),(5060,'kubernetes组件实例内存异常','kubernetes','kubernetes_instance_mem','ticket','recover','【{{cluster_name}}集群kubernetes组件{{pod_name}}内存使用率恢复】\n','【kubernetes组件内存使用率恢复】\n\nPod: {{pod_name}}\n\n使用率: {{mem_usage_percent_avg}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n容器ID: {{container_id}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','{\"mem_usage_percent_avg\":\"percent:2\",\"trigger_duration\":\"time:ms\"}','1.0','2021-05-28 11:55:06','2021-05-28 11:55:06',0),(5061,'kubernetes组件实例内存异常','kubernetes','kubernetes_instance_mem','email','recover','【{{cluster_name}}集群kubernetes组件{{pod_name}}内存使用率恢复】\n','【kubernetes组件内存使用率恢复】\n\nPod: {{pod_name}}\n\n使用率: {{mem_usage_percent_avg}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n容器ID: {{container_id}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','{\"mem_usage_percent_avg\":\"percent:2\",\"trigger_duration\":\"time:ms\"}','1.0','2021-05-28 11:55:06','2021-05-28 11:55:06',0),(5062,'kubernetes组件实例内存异常','kubernetes','kubernetes_instance_mem','mbox','recover','【{{cluster_name}}集群kubernetes组件{{pod_name}}内存使用率恢复】\n','【kubernetes组件内存使用率恢复】\n\nPod: {{pod_name}}\n\n使用率: {{mem_usage_percent_avg}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n容器ID: {{container_id}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','{\"mem_usage_percent_avg\":\"percent:2\",\"trigger_duration\":\"time:ms\"}','1.0','2021-05-28 11:55:06','2021-05-28 11:55:06',0),(5063,'kubernetes组件实例内存异常','kubernetes','kubernetes_instance_mem','webhook','recover','【{{cluster_name}}集群kubernetes组件{{pod_name}}内存使用率恢复】\n','【kubernetes组件内存使用率恢复】\n\nPod: {{pod_name}}\n\n使用率: {{mem_usage_percent_avg}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n容器ID: {{container_id}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','{\"mem_usage_percent_avg\":\"percent:2\",\"trigger_duration\":\"time:ms\"}','1.0','2021-05-28 11:55:06','2021-05-28 11:55:06',0),(5064,'kubernetes组件实例Ready状态异常','kubernetes','kubernetes_instance_ready','dingding','alert','【{{cluster_name}}集群kubernetes组件{{resource_name_value}} Ready状态告警】\n','【kubernetes组件Ready状态告警】\n\n组件: {{resource_name_value}}\n\n未就绪实例: {{not_ready_value}}\n\n已就绪实例: {{ready_value}}\n\n集群: {{cluster_name}}\n\n时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','','1.0','2021-05-28 11:55:06','2021-05-28 11:55:06',0),(5065,'kubernetes组件实例Ready状态异常','kubernetes','kubernetes_instance_ready','ticket','alert','【{{cluster_name}}集群kubernetes组件{{resource_name_value}} Ready状态告警】\n','【kubernetes组件Ready状态告警】\n\n组件: {{resource_name_value}}\n\n未就绪实例: {{not_ready_value}}\n\n已就绪实例: {{ready_value}}\n\n集群: {{cluster_name}}\n\n时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','','1.0','2021-05-28 11:55:06','2021-05-28 11:55:06',0),(5066,'kubernetes组件实例Ready状态异常','kubernetes','kubernetes_instance_ready','email','alert','【{{cluster_name}}集群kubernetes组件{{resource_name_value}} Ready状态告警】\n','【kubernetes组件Ready状态告警】\n\n组件: {{resource_name_value}}\n\n未就绪实例: {{not_ready_value}}\n\n已就绪实例: {{ready_value}}\n\n集群: {{cluster_name}}\n\n时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','','1.0','2021-05-28 11:55:06','2021-05-28 11:55:06',0),(5067,'kubernetes组件实例Ready状态异常','kubernetes','kubernetes_instance_ready','mbox','alert','【{{cluster_name}}集群kubernetes组件{{resource_name_value}} Ready状态告警】\n','【kubernetes组件Ready状态告警】\n\n组件: {{resource_name_value}}\n\n未就绪实例: {{not_ready_value}}\n\n已就绪实例: {{ready_value}}\n\n集群: {{cluster_name}}\n\n时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','','1.0','2021-05-28 11:55:06','2021-05-28 11:55:06',0),(5068,'kubernetes组件实例Ready状态异常','kubernetes','kubernetes_instance_ready','webhook','alert','【{{cluster_name}}集群kubernetes组件{{resource_name_value}} Ready状态告警】\n','【kubernetes组件Ready状态告警】\n\n组件: {{resource_name_value}}\n\n未就绪实例: {{not_ready_value}}\n\n已就绪实例: {{ready_value}}\n\n集群: {{cluster_name}}\n\n时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','','1.0','2021-05-28 11:55:06','2021-05-28 11:55:06',0),(5069,'kubernetes组件实例Ready状态异常','kubernetes','kubernetes_instance_ready','dingding','recover','【{{cluster_name}}集群kubernetes组件{{resource_name_value}} Ready状态恢复】\n','【kubernetes组件Ready状态恢复】\n\n组件: {{resource_name_value}}\n\n集群: {{cluster_name}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','{\"trigger_duration\":\"time:ms\"}','1.0','2021-05-28 11:55:06','2021-05-28 11:55:06',0),(5070,'kubernetes组件实例Ready状态异常','kubernetes','kubernetes_instance_ready','ticket','recover','【{{cluster_name}}集群kubernetes组件{{resource_name_value}} Ready状态恢复】\n','【kubernetes组件Ready状态恢复】\n\n组件: {{resource_name_value}}\n\n集群: {{cluster_name}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','{\"trigger_duration\":\"time:ms\"}','1.0','2021-05-28 11:55:06','2021-05-28 11:55:06',0),(5071,'kubernetes组件实例Ready状态异常','kubernetes','kubernetes_instance_ready','email','recover','【{{cluster_name}}集群kubernetes组件{{resource_name_value}} Ready状态恢复】\n','【kubernetes组件Ready状态恢复】\n\n组件: {{resource_name_value}}\n\n集群: {{cluster_name}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','{\"trigger_duration\":\"time:ms\"}','1.0','2021-05-28 11:55:06','2021-05-28 11:55:06',0),(5072,'kubernetes组件实例Ready状态异常','kubernetes','kubernetes_instance_ready','mbox','recover','【{{cluster_name}}集群kubernetes组件{{resource_name_value}} Ready状态恢复】\n','【kubernetes组件Ready状态恢复】\n\n组件: {{resource_name_value}}\n\n集群: {{cluster_name}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','{\"trigger_duration\":\"time:ms\"}','1.0','2021-05-28 11:55:06','2021-05-28 11:55:06',0),(5073,'kubernetes组件实例Ready状态异常','kubernetes','kubernetes_instance_ready','webhook','recover','【{{cluster_name}}集群kubernetes组件{{resource_name_value}} Ready状态恢复】\n','【kubernetes组件Ready状态恢复】\n\n组件: {{resource_name_value}}\n\n集群: {{cluster_name}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','{\"trigger_duration\":\"time:ms\"}','1.0','2021-05-28 11:55:06','2021-05-28 11:55:06',0),(5074,'kubernetes节点异常','kubernetes','kubernetes_node','dingding','alert','【{{cluster_name}}集群kubernetes节点{{node_name}}节点异常告警】\n','【kubernetes节点状态异常告警】\n\n集群: {{cluster_name}}\n\n机器: {{node_name}}\n\n已分配Pod数: {{allocatable_pods_value}}\n\n最大Pod数: {{capacity_pods_value}}\n\n已分配CPU核数: {{allocatable_cpu_cores_value}}\n\n最大CPU核数: {{capacity_cpu_cores_value}}\n\n已分配内存: {{allocatable_memory_bytes_value}}\n\n最大内存: {{capacity_memory_bytes_value}}\n\n时间: {{timestamp}}\n','{\"allocatable_memory_bytes_value\":\"size:byte\",\"capacity_memory_bytes_value\":\"size:byte\"}','1.0','2021-05-28 11:55:06','2021-05-28 11:55:06',0),(5075,'kubernetes节点异常','kubernetes','kubernetes_node','ticket','alert','【{{cluster_name}}集群kubernetes节点{{node_name}}节点异常告警】\n','【kubernetes节点状态异常告警】\n\n集群: {{cluster_name}}\n\n机器: {{node_name}}\n\n已分配Pod数: {{allocatable_pods_value}}\n\n最大Pod数: {{capacity_pods_value}}\n\n已分配CPU核数: {{allocatable_cpu_cores_value}}\n\n最大CPU核数: {{capacity_cpu_cores_value}}\n\n已分配内存: {{allocatable_memory_bytes_value}}\n\n最大内存: {{capacity_memory_bytes_value}}\n\n时间: {{timestamp}}\n','{\"allocatable_memory_bytes_value\":\"size:byte\",\"capacity_memory_bytes_value\":\"size:byte\"}','1.0','2021-05-28 11:55:06','2021-05-28 11:55:06',0),(5076,'kubernetes节点异常','kubernetes','kubernetes_node','email','alert','【{{cluster_name}}集群kubernetes节点{{node_name}}节点异常告警】\n','【kubernetes节点状态异常告警】\n\n集群: {{cluster_name}}\n\n机器: {{node_name}}\n\n已分配Pod数: {{allocatable_pods_value}}\n\n最大Pod数: {{capacity_pods_value}}\n\n已分配CPU核数: {{allocatable_cpu_cores_value}}\n\n最大CPU核数: {{capacity_cpu_cores_value}}\n\n已分配内存: {{allocatable_memory_bytes_value}}\n\n最大内存: {{capacity_memory_bytes_value}}\n\n时间: {{timestamp}}\n','{\"allocatable_memory_bytes_value\":\"size:byte\",\"capacity_memory_bytes_value\":\"size:byte\"}','1.0','2021-05-28 11:55:06','2021-05-28 11:55:06',0),(5077,'kubernetes节点异常','kubernetes','kubernetes_node','mbox','alert','【{{cluster_name}}集群kubernetes节点{{node_name}}节点异常告警】\n','【kubernetes节点状态异常告警】\n\n集群: {{cluster_name}}\n\n机器: {{node_name}}\n\n已分配Pod数: {{allocatable_pods_value}}\n\n最大Pod数: {{capacity_pods_value}}\n\n已分配CPU核数: {{allocatable_cpu_cores_value}}\n\n最大CPU核数: {{capacity_cpu_cores_value}}\n\n已分配内存: {{allocatable_memory_bytes_value}}\n\n最大内存: {{capacity_memory_bytes_value}}\n\n时间: {{timestamp}}\n','{\"allocatable_memory_bytes_value\":\"size:byte\",\"capacity_memory_bytes_value\":\"size:byte\"}','1.0','2021-05-28 11:55:06','2021-05-28 11:55:06',0),(5078,'kubernetes节点异常','kubernetes','kubernetes_node','webhook','alert','【{{cluster_name}}集群kubernetes节点{{node_name}}节点异常告警】\n','【kubernetes节点状态异常告警】\n\n集群: {{cluster_name}}\n\n机器: {{node_name}}\n\n已分配Pod数: {{allocatable_pods_value}}\n\n最大Pod数: {{capacity_pods_value}}\n\n已分配CPU核数: {{allocatable_cpu_cores_value}}\n\n最大CPU核数: {{capacity_cpu_cores_value}}\n\n已分配内存: {{allocatable_memory_bytes_value}}\n\n最大内存: {{capacity_memory_bytes_value}}\n\n时间: {{timestamp}}\n','{\"allocatable_memory_bytes_value\":\"size:byte\",\"capacity_memory_bytes_value\":\"size:byte\"}','1.0','2021-05-28 11:55:06','2021-05-28 11:55:06',0),(5079,'kubernetes节点异常','kubernetes','kubernetes_node','dingding','recover','【{{cluster_name}}集群kubernetes节点{{node_name}}节点异常恢复】\n','【kubernetes节点状态异常恢复】\n\n集群: {{cluster_name}}\n\n机器: {{node_name}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n','{\"trigger_duration\":\"time:ms\"}','1.0','2021-05-28 11:55:06','2021-05-28 11:55:06',0),(5080,'kubernetes节点异常','kubernetes','kubernetes_node','ticket','recover','【{{cluster_name}}集群kubernetes节点{{node_name}}节点异常恢复】\n','【kubernetes节点状态异常恢复】\n\n集群: {{cluster_name}}\n\n机器: {{node_name}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n','{\"trigger_duration\":\"time:ms\"}','1.0','2021-05-28 11:55:06','2021-05-28 11:55:06',0),(5081,'kubernetes节点异常','kubernetes','kubernetes_node','email','recover','【{{cluster_name}}集群kubernetes节点{{node_name}}节点异常恢复】\n','【kubernetes节点状态异常恢复】\n\n集群: {{cluster_name}}\n\n机器: {{node_name}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n','{\"trigger_duration\":\"time:ms\"}','1.0','2021-05-28 11:55:06','2021-05-28 11:55:06',0),(5082,'kubernetes节点异常','kubernetes','kubernetes_node','mbox','recover','【{{cluster_name}}集群kubernetes节点{{node_name}}节点异常恢复】\n','【kubernetes节点状态异常恢复】\n\n集群: {{cluster_name}}\n\n机器: {{node_name}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n','{\"trigger_duration\":\"time:ms\"}','1.0','2021-05-28 11:55:06','2021-05-28 11:55:06',0),(5083,'kubernetes节点异常','kubernetes','kubernetes_node','webhook','recover','【{{cluster_name}}集群kubernetes节点{{node_name}}节点异常恢复】\n','【kubernetes节点状态异常恢复】\n\n集群: {{cluster_name}}\n\n机器: {{node_name}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n','{\"trigger_duration\":\"time:ms\"}','1.0','2021-05-28 11:55:06','2021-05-28 11:55:06',0),(5084,'机器CPU异常告警','machine','machine_cpu','dingding','alert','【{{cluster_name}}集群机器{{host_ip}} CPU使用率异常告警】','【机器CPU使用率异常告警】\n\nCPU平均使用率: {{cpu_usage_active_avg}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n时间: {{timestamp}}\n\n[查看详情]({{display_url}})\n\n[查看记录]({{record_url}})\n','{\"cpu_usage_active_avg\":\"percent:2\"}','1.0','2021-05-28 11:55:06','2021-05-28 11:55:06',0),(5085,'机器CPU异常告警','machine','machine_cpu','ticket','alert','【{{cluster_name}}集群机器{{host_ip}} CPU使用率异常告警】','【机器CPU使用率异常告警】\n\nCPU平均使用率: {{cpu_usage_active_avg}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n时间: {{timestamp}}\n\n[查看详情]({{display_url}})\n\n[查看记录]({{record_url}})\n','{\"cpu_usage_active_avg\":\"percent:2\"}','1.0','2021-05-28 11:55:06','2021-05-28 11:55:06',0),(5086,'机器CPU异常告警','machine','machine_cpu','email','alert','【{{cluster_name}}集群机器{{host_ip}} CPU使用率异常告警】','【机器CPU使用率异常告警】\n\nCPU平均使用率: {{cpu_usage_active_avg}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n时间: {{timestamp}}\n\n[查看详情]({{display_url}})\n\n[查看记录]({{record_url}})\n','{\"cpu_usage_active_avg\":\"percent:2\"}','1.0','2021-05-28 11:55:06','2021-05-28 11:55:06',0),(5087,'机器CPU异常告警','machine','machine_cpu','mbox','alert','【{{cluster_name}}集群机器{{host_ip}} CPU使用率异常告警】','【机器CPU使用率异常告警】\n\nCPU平均使用率: {{cpu_usage_active_avg}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n时间: {{timestamp}}\n\n[查看详情]({{display_url}})\n\n[查看记录]({{record_url}})\n','{\"cpu_usage_active_avg\":\"percent:2\"}','1.0','2021-05-28 11:55:06','2021-05-28 11:55:06',0),(5088,'机器CPU异常告警','machine','machine_cpu','webhook','alert','【{{cluster_name}}集群机器{{host_ip}} CPU使用率异常告警】','【机器CPU使用率异常告警】\n\nCPU平均使用率: {{cpu_usage_active_avg}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n时间: {{timestamp}}\n\n[查看详情]({{display_url}})\n\n[查看记录]({{record_url}})\n','{\"cpu_usage_active_avg\":\"percent:2\"}','1.0','2021-05-28 11:55:06','2021-05-28 11:55:06',0),(5089,'机器CPU异常恢复','machine','machine_cpu','dingding','recover','【{{cluster_name}}集群机器{{host_ip}} CPU使用率异常恢复】','【机器CPU使用率异常恢复】\n\nCPU平均使用率: {{cpu_usage_active_avg}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','{\"trigger_duration\":\"time:ms\",\"usage_active_avg\":\"percent:2\"}','1.0','2021-05-28 11:55:06','2021-05-28 11:55:06',0),(5090,'机器CPU异常恢复','machine','machine_cpu','ticket','recover','【{{cluster_name}}集群机器{{host_ip}} CPU使用率异常恢复】','【机器CPU使用率异常恢复】\n\nCPU平均使用率: {{cpu_usage_active_avg}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','{\"trigger_duration\":\"time:ms\",\"usage_active_avg\":\"percent:2\"}','1.0','2021-05-28 11:55:06','2021-05-28 11:55:06',0),(5091,'机器CPU异常恢复','machine','machine_cpu','email','recover','【{{cluster_name}}集群机器{{host_ip}} CPU使用率异常恢复】','【机器CPU使用率异常恢复】\n\nCPU平均使用率: {{cpu_usage_active_avg}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','{\"trigger_duration\":\"time:ms\",\"usage_active_avg\":\"percent:2\"}','1.0','2021-05-28 11:55:06','2021-05-28 11:55:06',0),(5092,'机器CPU异常恢复','machine','machine_cpu','mbox','recover','【{{cluster_name}}集群机器{{host_ip}} CPU使用率异常恢复】','【机器CPU使用率异常恢复】\n\nCPU平均使用率: {{cpu_usage_active_avg}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','{\"trigger_duration\":\"time:ms\",\"usage_active_avg\":\"percent:2\"}','1.0','2021-05-28 11:55:06','2021-05-28 11:55:06',0),(5093,'机器CPU异常恢复','machine','machine_cpu','webhook','recover','【{{cluster_name}}集群机器{{host_ip}} CPU使用率异常恢复】','【机器CPU使用率异常恢复】\n\nCPU平均使用率: {{cpu_usage_active_avg}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','{\"trigger_duration\":\"time:ms\",\"usage_active_avg\":\"percent:2\"}','1.0','2021-05-28 11:55:06','2021-05-28 11:55:06',0),(5094,'磁盘容量异常告警','machine','machine_disk','dingding','alert','【{{cluster_name}}集群机器{{host_ip}}磁盘使用率异常告警】','【磁盘使用率异常告警】\n\n使用率: {{used_percent_value}}\n\n容量: {{total_value}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n设备: {{device}}\n\n时间: {{timestamp}}\n\n[查看详情]({{display_url}})\n\n[查看记录]({{record_url}})\n','{\"total_value\":\"size:byte\",\"used_percent_value\":\"percent:2\"}','1.0','2021-05-28 11:55:06','2021-05-28 11:55:06',0),(5095,'磁盘容量异常告警','machine','machine_disk','ticket','alert','【{{cluster_name}}集群机器{{host_ip}}磁盘使用率异常告警】','【磁盘使用率异常告警】\n\n使用率: {{used_percent_value}}\n\n容量: {{total_value}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n设备: {{device}}\n\n时间: {{timestamp}}\n\n[查看详情]({{display_url}})\n\n[查看记录]({{record_url}})\n','{\"total_value\":\"size:byte\",\"used_percent_value\":\"percent:2\"}','1.0','2021-05-28 11:55:06','2021-05-28 11:55:06',0),(5096,'磁盘容量异常告警','machine','machine_disk','email','alert','【{{cluster_name}}集群机器{{host_ip}}磁盘使用率异常告警】','【磁盘使用率异常告警】\n\n使用率: {{used_percent_value}}\n\n容量: {{total_value}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n设备: {{device}}\n\n时间: {{timestamp}}\n\n[查看详情]({{display_url}})\n\n[查看记录]({{record_url}})\n','{\"total_value\":\"size:byte\",\"used_percent_value\":\"percent:2\"}','1.0','2021-05-28 11:55:06','2021-05-28 11:55:06',0),(5097,'磁盘容量异常告警','machine','machine_disk','mbox','alert','【{{cluster_name}}集群机器{{host_ip}}磁盘使用率异常告警】','【磁盘使用率异常告警】\n\n使用率: {{used_percent_value}}\n\n容量: {{total_value}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n设备: {{device}}\n\n时间: {{timestamp}}\n\n[查看详情]({{display_url}})\n\n[查看记录]({{record_url}})\n','{\"total_value\":\"size:byte\",\"used_percent_value\":\"percent:2\"}','1.0','2021-05-28 11:55:06','2021-05-28 11:55:06',0),(5098,'磁盘容量异常告警','machine','machine_disk','webhook','alert','【{{cluster_name}}集群机器{{host_ip}}磁盘使用率异常告警】','【磁盘使用率异常告警】\n\n使用率: {{used_percent_value}}\n\n容量: {{total_value}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n设备: {{device}}\n\n时间: {{timestamp}}\n\n[查看详情]({{display_url}})\n\n[查看记录]({{record_url}})\n','{\"total_value\":\"size:byte\",\"used_percent_value\":\"percent:2\"}','1.0','2021-05-28 11:55:06','2021-05-28 11:55:06',0),(5099,'磁盘容量异常恢复','machine','machine_disk','dingding','recover','【{{cluster_name}}集群机器{{host_ip}}磁盘使用率异常恢复】','【磁盘使用率异常恢复】\n\n使用率: {{used_percent_value}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n设备: {{device}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','{\"trigger_duration\":\"time:ms\",\"used_percent_value\":\"percent:2\"}','1.0','2021-05-28 11:55:06','2021-05-28 11:55:06',0),(5100,'磁盘容量异常恢复','machine','machine_disk','ticket','recover','【{{cluster_name}}集群机器{{host_ip}}磁盘使用率异常恢复】','【磁盘使用率异常恢复】\n\n使用率: {{used_percent_value}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n设备: {{device}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','{\"trigger_duration\":\"time:ms\",\"used_percent_value\":\"percent:2\"}','1.0','2021-05-28 11:55:06','2021-05-28 11:55:06',0),(5101,'磁盘容量异常恢复','machine','machine_disk','email','recover','【{{cluster_name}}集群机器{{host_ip}}磁盘使用率异常恢复】','【磁盘使用率异常恢复】\n\n使用率: {{used_percent_value}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n设备: {{device}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','{\"trigger_duration\":\"time:ms\",\"used_percent_value\":\"percent:2\"}','1.0','2021-05-28 11:55:06','2021-05-28 11:55:06',0),(5102,'磁盘容量异常恢复','machine','machine_disk','mbox','recover','【{{cluster_name}}集群机器{{host_ip}}磁盘使用率异常恢复】','【磁盘使用率异常恢复】\n\n使用率: {{used_percent_value}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n设备: {{device}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','{\"trigger_duration\":\"time:ms\",\"used_percent_value\":\"percent:2\"}','1.0','2021-05-28 11:55:06','2021-05-28 11:55:06',0),(5103,'磁盘容量异常恢复','machine','machine_disk','webhook','recover','【{{cluster_name}}集群机器{{host_ip}}磁盘使用率异常恢复】','【磁盘使用率异常恢复】\n\n使用率: {{used_percent_value}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n设备: {{device}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','{\"trigger_duration\":\"time:ms\",\"used_percent_value\":\"percent:2\"}','1.0','2021-05-28 11:55:06','2021-05-28 11:55:06',0),(5104,'磁盘Inode异常告警','machine','machine_disk_inode','dingding','alert','【{{cluster_name}}集群机器{{host_ip}}磁盘Inode异常告警】','【磁盘Inode异常告警】\n\n使用率: {{inode_used_percent_value}}\n\n容量: {{inodes_total_value}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n设备: {{device}}\n\n时间: {{timestamp}}\n\n[查看详情]({{display_url}})\n\n[查看记录]({{record_url}})\n','{\"inode_used_percent_value\":\"percent:2\",\"inodes_total_value\":\"size:byte\"}','1.0','2021-05-28 11:55:06','2021-05-28 11:55:06',0),(5105,'磁盘Inode异常告警','machine','machine_disk_inode','ticket','alert','【{{cluster_name}}集群机器{{host_ip}}磁盘Inode异常告警】','【磁盘Inode异常告警】\n\n使用率: {{inode_used_percent_value}}\n\n容量: {{inodes_total_value}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n设备: {{device}}\n\n时间: {{timestamp}}\n\n[查看详情]({{display_url}})\n\n[查看记录]({{record_url}})\n','{\"inode_used_percent_value\":\"percent:2\",\"inodes_total_value\":\"size:byte\"}','1.0','2021-05-28 11:55:06','2021-05-28 11:55:06',0),(5106,'磁盘Inode异常告警','machine','machine_disk_inode','email','alert','【{{cluster_name}}集群机器{{host_ip}}磁盘Inode异常告警】','【磁盘Inode异常告警】\n\n使用率: {{inode_used_percent_value}}\n\n容量: {{inodes_total_value}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n设备: {{device}}\n\n时间: {{timestamp}}\n\n[查看详情]({{display_url}})\n\n[查看记录]({{record_url}})\n','{\"inode_used_percent_value\":\"percent:2\",\"inodes_total_value\":\"size:byte\"}','1.0','2021-05-28 11:55:06','2021-05-28 11:55:06',0),(5107,'磁盘Inode异常告警','machine','machine_disk_inode','mbox','alert','【{{cluster_name}}集群机器{{host_ip}}磁盘Inode异常告警】','【磁盘Inode异常告警】\n\n使用率: {{inode_used_percent_value}}\n\n容量: {{inodes_total_value}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n设备: {{device}}\n\n时间: {{timestamp}}\n\n[查看详情]({{display_url}})\n\n[查看记录]({{record_url}})\n','{\"inode_used_percent_value\":\"percent:2\",\"inodes_total_value\":\"size:byte\"}','1.0','2021-05-28 11:55:06','2021-05-28 11:55:06',0),(5108,'磁盘Inode异常告警','machine','machine_disk_inode','webhook','alert','【{{cluster_name}}集群机器{{host_ip}}磁盘Inode异常告警】','【磁盘Inode异常告警】\n\n使用率: {{inode_used_percent_value}}\n\n容量: {{inodes_total_value}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n设备: {{device}}\n\n时间: {{timestamp}}\n\n[查看详情]({{display_url}})\n\n[查看记录]({{record_url}})\n','{\"inode_used_percent_value\":\"percent:2\",\"inodes_total_value\":\"size:byte\"}','1.0','2021-05-28 11:55:06','2021-05-28 11:55:06',0),(5109,'磁盘Inode异常恢复','machine','machine_disk_inode','dingding','recover','【{{cluster_name}}集群机器{{host_ip}}磁盘Inode异常恢复】','【磁盘Inode异常恢复】\n\n使用率: {{inode_used_percent_value}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n设备: {{device}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','{\"inode_used_percent_value\":\"percent:2\",\"trigger_duration\":\"time:ms\"}','1.0','2021-05-28 11:55:06','2021-05-28 11:55:06',0),(5110,'磁盘Inode异常恢复','machine','machine_disk_inode','ticket','recover','【{{cluster_name}}集群机器{{host_ip}}磁盘Inode异常恢复】','【磁盘Inode异常恢复】\n\n使用率: {{inode_used_percent_value}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n设备: {{device}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','{\"inode_used_percent_value\":\"percent:2\",\"trigger_duration\":\"time:ms\"}','1.0','2021-05-28 11:55:06','2021-05-28 11:55:06',0),(5111,'磁盘Inode异常恢复','machine','machine_disk_inode','email','recover','【{{cluster_name}}集群机器{{host_ip}}磁盘Inode异常恢复】','【磁盘Inode异常恢复】\n\n使用率: {{inode_used_percent_value}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n设备: {{device}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','{\"inode_used_percent_value\":\"percent:2\",\"trigger_duration\":\"time:ms\"}','1.0','2021-05-28 11:55:06','2021-05-28 11:55:06',0),(5112,'磁盘Inode异常恢复','machine','machine_disk_inode','mbox','recover','【{{cluster_name}}集群机器{{host_ip}}磁盘Inode异常恢复】','【磁盘Inode异常恢复】\n\n使用率: {{inode_used_percent_value}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n设备: {{device}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','{\"inode_used_percent_value\":\"percent:2\",\"trigger_duration\":\"time:ms\"}','1.0','2021-05-28 11:55:06','2021-05-28 11:55:06',0),(5113,'磁盘Inode异常恢复','machine','machine_disk_inode','webhook','recover','【{{cluster_name}}集群机器{{host_ip}}磁盘Inode异常恢复】','【磁盘Inode异常恢复】\n\n使用率: {{inode_used_percent_value}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n设备: {{device}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','{\"inode_used_percent_value\":\"percent:2\",\"trigger_duration\":\"time:ms\"}','1.0','2021-05-28 11:55:06','2021-05-28 11:55:06',0),(5114,'磁盘IO异常告警','machine','machine_disk_util','dingding','alert','【{{cluster_name}}集群机器{{host_ip}}磁盘IO操作百分比异常告警】','【磁盘IO操作百分比异常告警】\n\nIO操作百分比: {{pct_util_p75}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','{\"pct_util_p75\":\"percent:2\"}','1.0','2021-05-28 11:55:06','2021-05-28 11:55:06',0),(5115,'磁盘IO异常告警','machine','machine_disk_util','ticket','alert','【{{cluster_name}}集群机器{{host_ip}}磁盘IO操作百分比异常告警】','【磁盘IO操作百分比异常告警】\n\nIO操作百分比: {{pct_util_p75}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','{\"pct_util_p75\":\"percent:2\"}','1.0','2021-05-28 11:55:06','2021-05-28 11:55:06',0),(5116,'磁盘IO异常告警','machine','machine_disk_util','email','alert','【{{cluster_name}}集群机器{{host_ip}}磁盘IO操作百分比异常告警】','【磁盘IO操作百分比异常告警】\n\nIO操作百分比: {{pct_util_p75}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','{\"pct_util_p75\":\"percent:2\"}','1.0','2021-05-28 11:55:06','2021-05-28 11:55:06',0),(5117,'磁盘IO异常告警','machine','machine_disk_util','mbox','alert','【{{cluster_name}}集群机器{{host_ip}}磁盘IO操作百分比异常告警】','【磁盘IO操作百分比异常告警】\n\nIO操作百分比: {{pct_util_p75}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','{\"pct_util_p75\":\"percent:2\"}','1.0','2021-05-28 11:55:06','2021-05-28 11:55:06',0),(5118,'磁盘IO异常告警','machine','machine_disk_util','webhook','alert','【{{cluster_name}}集群机器{{host_ip}}磁盘IO操作百分比异常告警】','【磁盘IO操作百分比异常告警】\n\nIO操作百分比: {{pct_util_p75}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','{\"pct_util_p75\":\"percent:2\"}','1.0','2021-05-28 11:55:06','2021-05-28 11:55:06',0),(5119,'磁盘IO异常恢复','machine','machine_disk_util','dingding','recover','【{{cluster_name}}集群机器{{host_ip}}磁盘IO操作百分比异常恢复】','【磁盘IO操作百分比异常恢复】\n\nIO操作百分比: {{pct_util_p75}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','{\"pct_util_p75\":\"percent:2\",\"trigger_duration\":\"time:ms\"}','1.0','2021-05-28 11:55:06','2021-05-28 11:55:06',0),(5120,'磁盘IO异常恢复','machine','machine_disk_util','ticket','recover','【{{cluster_name}}集群机器{{host_ip}}磁盘IO操作百分比异常恢复】','【磁盘IO操作百分比异常恢复】\n\nIO操作百分比: {{pct_util_p75}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','{\"pct_util_p75\":\"percent:2\",\"trigger_duration\":\"time:ms\"}','1.0','2021-05-28 11:55:06','2021-05-28 11:55:06',0),(5121,'磁盘IO异常恢复','machine','machine_disk_util','email','recover','【{{cluster_name}}集群机器{{host_ip}}磁盘IO操作百分比异常恢复】','【磁盘IO操作百分比异常恢复】\n\nIO操作百分比: {{pct_util_p75}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','{\"pct_util_p75\":\"percent:2\",\"trigger_duration\":\"time:ms\"}','1.0','2021-05-28 11:55:06','2021-05-28 11:55:06',0),(5122,'磁盘IO异常恢复','machine','machine_disk_util','mbox','recover','【{{cluster_name}}集群机器{{host_ip}}磁盘IO操作百分比异常恢复】','【磁盘IO操作百分比异常恢复】\n\nIO操作百分比: {{pct_util_p75}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','{\"pct_util_p75\":\"percent:2\",\"trigger_duration\":\"time:ms\"}','1.0','2021-05-28 11:55:06','2021-05-28 11:55:06',0),(5123,'磁盘IO异常恢复','machine','machine_disk_util','webhook','recover','【{{cluster_name}}集群机器{{host_ip}}磁盘IO操作百分比异常恢复】','【磁盘IO操作百分比异常恢复】\n\nIO操作百分比: {{pct_util_p75}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','{\"pct_util_p75\":\"percent:2\",\"trigger_duration\":\"time:ms\"}','1.0','2021-05-28 11:55:06','2021-05-28 11:55:06',0),(5124,'机器负载异常告警','machine','machine_load5','dingding','alert','【{{cluster_name}}集群机器{{host_ip}}负载异常告警】','【机器负载异常告警】\n\nLoad5: {{load5_avg}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n时间: {{timestamp}}\n\n[查看详情]({{display_url}})\n\n[查看记录]({{record_url}})\n','','1.0','2021-05-28 11:55:06','2021-05-28 11:55:06',0),(5125,'机器负载异常告警','machine','machine_load5','ticket','alert','【{{cluster_name}}集群机器{{host_ip}}负载异常告警】','【机器负载异常告警】\n\nLoad5: {{load5_avg}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n时间: {{timestamp}}\n\n[查看详情]({{display_url}})\n\n[查看记录]({{record_url}})\n','','1.0','2021-05-28 11:55:06','2021-05-28 11:55:06',0),(5126,'机器负载异常告警','machine','machine_load5','email','alert','【{{cluster_name}}集群机器{{host_ip}}负载异常告警】','【机器负载异常告警】\n\nLoad5: {{load5_avg}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n时间: {{timestamp}}\n\n[查看详情]({{display_url}})\n\n[查看记录]({{record_url}})\n','','1.0','2021-05-28 11:55:06','2021-05-28 11:55:06',0),(5127,'机器负载异常告警','machine','machine_load5','mbox','alert','【{{cluster_name}}集群机器{{host_ip}}负载异常告警】','【机器负载异常告警】\n\nLoad5: {{load5_avg}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n时间: {{timestamp}}\n\n[查看详情]({{display_url}})\n\n[查看记录]({{record_url}})\n','','1.0','2021-05-28 11:55:06','2021-05-28 11:55:06',0),(5128,'机器负载异常告警','machine','machine_load5','webhook','alert','【{{cluster_name}}集群机器{{host_ip}}负载异常告警】','【机器负载异常告警】\n\nLoad5: {{load5_avg}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n时间: {{timestamp}}\n\n[查看详情]({{display_url}})\n\n[查看记录]({{record_url}})\n','','1.0','2021-05-28 11:55:06','2021-05-28 11:55:06',0),(5129,'机器负载异常恢复','machine','machine_load5','dingding','recover','【{{cluster_name}}集群机器{{host_ip}}负载异常恢复】','【机器负载异常恢复】\n\nLoad5: {{load5_avg}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','{\"trigger_duration\":\"time:ms\"}','1.0','2021-05-28 11:55:06','2021-05-28 11:55:06',0),(5130,'机器负载异常恢复','machine','machine_load5','ticket','recover','【{{cluster_name}}集群机器{{host_ip}}负载异常恢复】','【机器负载异常恢复】\n\nLoad5: {{load5_avg}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','{\"trigger_duration\":\"time:ms\"}','1.0','2021-05-28 11:55:06','2021-05-28 11:55:06',0),(5131,'机器负载异常恢复','machine','machine_load5','email','recover','【{{cluster_name}}集群机器{{host_ip}}负载异常恢复】','【机器负载异常恢复】\n\nLoad5: {{load5_avg}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','{\"trigger_duration\":\"time:ms\"}','1.0','2021-05-28 11:55:06','2021-05-28 11:55:06',0),(5132,'机器负载异常恢复','machine','machine_load5','mbox','recover','【{{cluster_name}}集群机器{{host_ip}}负载异常恢复】','【机器负载异常恢复】\n\nLoad5: {{load5_avg}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','{\"trigger_duration\":\"time:ms\"}','1.0','2021-05-28 11:55:06','2021-05-28 11:55:06',0),(5133,'机器负载异常恢复','machine','machine_load5','webhook','recover','【{{cluster_name}}集群机器{{host_ip}}负载异常恢复】','【机器负载异常恢复】\n\nLoad5: {{load5_avg}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','{\"trigger_duration\":\"time:ms\"}','1.0','2021-05-28 11:55:06','2021-05-28 11:55:06',0),(5134,'网盘容量异常告警','machine','machine_netdisk','dingding','alert','【{{cluster_name}}集群网盘使用率异常告警】','【网盘使用率异常告警】\n\n使用率: {{used_percent_value}}\n\n容量: {{total_value}}\n\n集群: {{cluster_name}}\n\n时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','{\"total_value\":\"size:byte\",\"used_percent_value\":\"percent:2\"}','1.0','2021-05-28 11:55:06','2021-05-28 11:55:06',0),(5135,'网盘容量异常告警','machine','machine_netdisk','ticket','alert','【{{cluster_name}}集群网盘使用率异常告警】','【网盘使用率异常告警】\n\n使用率: {{used_percent_value}}\n\n容量: {{total_value}}\n\n集群: {{cluster_name}}\n\n时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','{\"total_value\":\"size:byte\",\"used_percent_value\":\"percent:2\"}','1.0','2021-05-28 11:55:06','2021-05-28 11:55:06',0),(5136,'网盘容量异常告警','machine','machine_netdisk','email','alert','【{{cluster_name}}集群网盘使用率异常告警】','【网盘使用率异常告警】\n\n使用率: {{used_percent_value}}\n\n容量: {{total_value}}\n\n集群: {{cluster_name}}\n\n时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','{\"total_value\":\"size:byte\",\"used_percent_value\":\"percent:2\"}','1.0','2021-05-28 11:55:06','2021-05-28 11:55:06',0),(5137,'网盘容量异常告警','machine','machine_netdisk','mbox','alert','【{{cluster_name}}集群网盘使用率异常告警】','【网盘使用率异常告警】\n\n使用率: {{used_percent_value}}\n\n容量: {{total_value}}\n\n集群: {{cluster_name}}\n\n时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','{\"total_value\":\"size:byte\",\"used_percent_value\":\"percent:2\"}','1.0','2021-05-28 11:55:06','2021-05-28 11:55:06',0),(5138,'网盘容量异常告警','machine','machine_netdisk','webhook','alert','【{{cluster_name}}集群网盘使用率异常告警】','【网盘使用率异常告警】\n\n使用率: {{used_percent_value}}\n\n容量: {{total_value}}\n\n集群: {{cluster_name}}\n\n时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','{\"total_value\":\"size:byte\",\"used_percent_value\":\"percent:2\"}','1.0','2021-05-28 11:55:06','2021-05-28 11:55:06',0),(5139,'网盘容量异常恢复','machine','machine_netdisk','dingding','recover','【{{cluster_name}}集群网盘使用率异常恢复】','【网盘使用率异常恢复】\n\n使用率: {{used_percent_value}}\n\n集群: {{cluster_name}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','{\"trigger_duration\":\"time:ms\",\"used_percent_value\":\"percent:2\"}','1.0','2021-05-28 11:55:06','2021-05-28 11:55:06',0),(5140,'网盘容量异常恢复','machine','machine_netdisk','ticket','recover','【{{cluster_name}}集群网盘使用率异常恢复】','【网盘使用率异常恢复】\n\n使用率: {{used_percent_value}}\n\n集群: {{cluster_name}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','{\"trigger_duration\":\"time:ms\",\"used_percent_value\":\"percent:2\"}','1.0','2021-05-28 11:55:06','2021-05-28 11:55:06',0),(5141,'网盘容量异常恢复','machine','machine_netdisk','email','recover','【{{cluster_name}}集群网盘使用率异常恢复】','【网盘使用率异常恢复】\n\n使用率: {{used_percent_value}}\n\n集群: {{cluster_name}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','{\"trigger_duration\":\"time:ms\",\"used_percent_value\":\"percent:2\"}','1.0','2021-05-28 11:55:06','2021-05-28 11:55:06',0),(5142,'网盘容量异常恢复','machine','machine_netdisk','mbox','recover','【{{cluster_name}}集群网盘使用率异常恢复】','【网盘使用率异常恢复】\n\n使用率: {{used_percent_value}}\n\n集群: {{cluster_name}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','{\"trigger_duration\":\"time:ms\",\"used_percent_value\":\"percent:2\"}','1.0','2021-05-28 11:55:06','2021-05-28 11:55:06',0),(5143,'网盘容量异常恢复','machine','machine_netdisk','webhook','recover','【{{cluster_name}}集群网盘使用率异常恢复】','【网盘使用率异常恢复】\n\n使用率: {{used_percent_value}}\n\n集群: {{cluster_name}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','{\"trigger_duration\":\"time:ms\",\"used_percent_value\":\"percent:2\"}','1.0','2021-05-28 11:55:06','2021-05-28 11:55:06',0),(5144,'网盘容量使用量异常告警','machine','machine_netdisk_used','dingding','alert','【{{cluster_name}}集群网盘使用率异常告警】','【网盘使用异常告警】\n\n使用: {{used}}GB\n\n容量: {{total}}GB\n\n集群: {{cluster_name}}\n\n时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','{}','1.0','2021-05-28 11:55:06','2021-05-28 11:55:06',0),(5145,'网盘容量使用量异常告警','machine','machine_netdisk_used','ticket','alert','【{{cluster_name}}集群网盘使用率异常告警】','【网盘使用异常告警】\n\n使用: {{used}}GB\n\n容量: {{total}}GB\n\n集群: {{cluster_name}}\n\n时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','{}','1.0','2021-05-28 11:55:06','2021-05-28 11:55:06',0),(5146,'网盘容量使用量异常告警','machine','machine_netdisk_used','email','alert','【{{cluster_name}}集群网盘使用率异常告警】','【网盘使用异常告警】\n\n使用: {{used}}GB\n\n容量: {{total}}GB\n\n集群: {{cluster_name}}\n\n时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','{}','1.0','2021-05-28 11:55:06','2021-05-28 11:55:06',0),(5147,'网盘容量使用量异常告警','machine','machine_netdisk_used','mbox','alert','【{{cluster_name}}集群网盘使用率异常告警】','【网盘使用异常告警】\n\n使用: {{used}}GB\n\n容量: {{total}}GB\n\n集群: {{cluster_name}}\n\n时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','{}','1.0','2021-05-28 11:55:06','2021-05-28 11:55:06',0),(5148,'网盘容量使用量异常告警','machine','machine_netdisk_used','webhook','alert','【{{cluster_name}}集群网盘使用率异常告警】','【网盘使用异常告警】\n\n使用: {{used}}GB\n\n容量: {{total}}GB\n\n集群: {{cluster_name}}\n\n时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','{}','1.0','2021-05-28 11:55:06','2021-05-28 11:55:06',0),(5149,'网盘容量异常恢复','machine','machine_netdisk_used','dingding','recover','【{{cluster_name}}集群网盘使用率异常恢复】','【网盘使用率异常恢复】\n\n使用: {{used}}GB\n\n集群: {{cluster_name}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','{\"trigger_duration\":\"time:ms\"}','1.0','2021-05-28 11:55:06','2021-05-28 11:55:06',0),(5150,'网盘容量异常恢复','machine','machine_netdisk_used','ticket','recover','【{{cluster_name}}集群网盘使用率异常恢复】','【网盘使用率异常恢复】\n\n使用: {{used}}GB\n\n集群: {{cluster_name}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','{\"trigger_duration\":\"time:ms\"}','1.0','2021-05-28 11:55:06','2021-05-28 11:55:06',0),(5151,'网盘容量异常恢复','machine','machine_netdisk_used','email','recover','【{{cluster_name}}集群网盘使用率异常恢复】','【网盘使用率异常恢复】\n\n使用: {{used}}GB\n\n集群: {{cluster_name}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','{\"trigger_duration\":\"time:ms\"}','1.0','2021-05-28 11:55:06','2021-05-28 11:55:06',0),(5152,'网盘容量异常恢复','machine','machine_netdisk_used','mbox','recover','【{{cluster_name}}集群网盘使用率异常恢复】','【网盘使用率异常恢复】\n\n使用: {{used}}GB\n\n集群: {{cluster_name}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','{\"trigger_duration\":\"time:ms\"}','1.0','2021-05-28 11:55:06','2021-05-28 11:55:06',0),(5153,'网盘容量异常恢复','machine','machine_netdisk_used','webhook','recover','【{{cluster_name}}集群网盘使用率异常恢复】','【网盘使用率异常恢复】\n\n使用: {{used}}GB\n\n集群: {{cluster_name}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','{\"trigger_duration\":\"time:ms\"}','1.0','2021-05-28 11:55:06','2021-05-28 11:55:06',0),(5154,'宕机告警','machine','machine_status','dingding','alert','【{{cluster_name}}集群机器{{host_ip}}宕机告警】','【宕机告警】\n\n机器{{window}}分钟内无消息, 疑似发生宕机\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n最近活跃时间: {{last_timestamp_value}}\n\n时间: {{timestamp}}\n\n[查看详情]({{display_url}})\n\n[查看记录]({{record_url}})\n','{\"last_timestamp_value\":\"date\"}','1.0','2021-05-28 11:55:06','2021-05-28 11:55:06',0),(5155,'宕机告警','machine','machine_status','ticket','alert','【{{cluster_name}}集群机器{{host_ip}}宕机告警】','【宕机告警】\n\n机器{{window}}分钟内无消息, 疑似发生宕机\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n最近活跃时间: {{last_timestamp_value}}\n\n时间: {{timestamp}}\n\n[查看详情]({{display_url}})\n\n[查看记录]({{record_url}})\n','{\"last_timestamp_value\":\"date\"}','1.0','2021-05-28 11:55:06','2021-05-28 11:55:06',0),(5156,'宕机告警','machine','machine_status','email','alert','【{{cluster_name}}集群机器{{host_ip}}宕机告警】','【宕机告警】\n\n机器{{window}}分钟内无消息, 疑似发生宕机\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n最近活跃时间: {{last_timestamp_value}}\n\n时间: {{timestamp}}\n\n[查看详情]({{display_url}})\n\n[查看记录]({{record_url}})\n','{\"last_timestamp_value\":\"date\"}','1.0','2021-05-28 11:55:06','2021-05-28 11:55:06',0),(5157,'宕机告警','machine','machine_status','mbox','alert','【{{cluster_name}}集群机器{{host_ip}}宕机告警】','【宕机告警】\n\n机器{{window}}分钟内无消息, 疑似发生宕机\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n最近活跃时间: {{last_timestamp_value}}\n\n时间: {{timestamp}}\n\n[查看详情]({{display_url}})\n\n[查看记录]({{record_url}})\n','{\"last_timestamp_value\":\"date\"}','1.0','2021-05-28 11:55:06','2021-05-28 11:55:06',0),(5158,'宕机告警','machine','machine_status','webhook','alert','【{{cluster_name}}集群机器{{host_ip}}宕机告警】','【宕机告警】\n\n机器{{window}}分钟内无消息, 疑似发生宕机\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n最近活跃时间: {{last_timestamp_value}}\n\n时间: {{timestamp}}\n\n[查看详情]({{display_url}})\n\n[查看记录]({{record_url}})\n','{\"last_timestamp_value\":\"date\"}','1.0','2021-05-28 11:55:06','2021-05-28 11:55:06',0),(5159,'宕机恢复','machine','machine_status','dingding','recover','【{{cluster_name}}集群机器{{host_ip}}宕机恢复】','【宕机恢复】\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','{\"trigger_duration\":\"time:ms\"}','1.0','2021-05-28 11:55:06','2021-05-28 11:55:06',0),(5160,'宕机恢复','machine','machine_status','ticket','recover','【{{cluster_name}}集群机器{{host_ip}}宕机恢复】','【宕机恢复】\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','{\"trigger_duration\":\"time:ms\"}','1.0','2021-05-28 11:55:06','2021-05-28 11:55:06',0),(5161,'宕机恢复','machine','machine_status','email','recover','【{{cluster_name}}集群机器{{host_ip}}宕机恢复】','【宕机恢复】\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','{\"trigger_duration\":\"time:ms\"}','1.0','2021-05-28 11:55:06','2021-05-28 11:55:06',0),(5162,'宕机恢复','machine','machine_status','mbox','recover','【{{cluster_name}}集群机器{{host_ip}}宕机恢复】','【宕机恢复】\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','{\"trigger_duration\":\"time:ms\"}','1.0','2021-05-28 11:55:06','2021-05-28 11:55:06',0),(5163,'宕机恢复','machine','machine_status','webhook','recover','【{{cluster_name}}集群机器{{host_ip}}宕机恢复】','【宕机恢复】\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','{\"trigger_duration\":\"time:ms\"}','1.0','2021-05-28 11:55:06','2021-05-28 11:55:06',0),(5164,'API网关实例CPU使用率异常','micro_service','api_gateway_cpu','dingding','alert','【API网关实例CPU使用率告警】\n','【API网关实例CPU使用率异常告警】\n\n组件: {{addon_type}}\n\n实例: {{pod_namespace}} - {{pod_name}}\n\nCPU平均使用率: {{cpu_usage_percent_avg}}\n\nCPU限制: {{cpu_limit_value}}核\n\nCPU分配: {{cpu_allocation_value}}核\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','{\"container_id\":\"string:6\",\"cpu_allocation_value\":\"fraction:1\",\"cpu_limit_value\":\"fraction:1\",\"cpu_usage_percent_avg\":\"percent:1\"}','1.0','2021-05-28 11:55:06','2021-05-28 11:55:06',0),(5165,'API网关实例CPU使用率异常','micro_service','api_gateway_cpu','ticket','alert','【API网关实例CPU使用率告警】\n','【API网关实例CPU使用率异常告警】\n\n组件: {{addon_type}}\n\n实例: {{pod_namespace}} - {{pod_name}}\n\nCPU平均使用率: {{cpu_usage_percent_avg}}\n\nCPU限制: {{cpu_limit_value}}核\n\nCPU分配: {{cpu_allocation_value}}核\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','{\"container_id\":\"string:6\",\"cpu_allocation_value\":\"fraction:1\",\"cpu_limit_value\":\"fraction:1\",\"cpu_usage_percent_avg\":\"percent:1\"}','1.0','2021-05-28 11:55:06','2021-05-28 11:55:06',0),(5166,'API网关实例CPU使用率异常','micro_service','api_gateway_cpu','email','alert','【API网关实例CPU使用率告警】\n','【API网关实例CPU使用率异常告警】\n\n组件: {{addon_type}}\n\n实例: {{pod_namespace}} - {{pod_name}}\n\nCPU平均使用率: {{cpu_usage_percent_avg}}\n\nCPU限制: {{cpu_limit_value}}核\n\nCPU分配: {{cpu_allocation_value}}核\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','{\"container_id\":\"string:6\",\"cpu_allocation_value\":\"fraction:1\",\"cpu_limit_value\":\"fraction:1\",\"cpu_usage_percent_avg\":\"percent:1\"}','1.0','2021-05-28 11:55:06','2021-05-28 11:55:06',0),(5167,'API网关实例CPU使用率异常','micro_service','api_gateway_cpu','mbox','alert','【API网关实例CPU使用率告警】\n','【API网关实例CPU使用率异常告警】\n\n组件: {{addon_type}}\n\n实例: {{pod_namespace}} - {{pod_name}}\n\nCPU平均使用率: {{cpu_usage_percent_avg}}\n\nCPU限制: {{cpu_limit_value}}核\n\nCPU分配: {{cpu_allocation_value}}核\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','{\"container_id\":\"string:6\",\"cpu_allocation_value\":\"fraction:1\",\"cpu_limit_value\":\"fraction:1\",\"cpu_usage_percent_avg\":\"percent:1\"}','1.0','2021-05-28 11:55:06','2021-05-28 11:55:06',0),(5168,'API网关实例CPU使用率异常','micro_service','api_gateway_cpu','webhook','alert','【API网关实例CPU使用率告警】\n','【API网关实例CPU使用率异常告警】\n\n组件: {{addon_type}}\n\n实例: {{pod_namespace}} - {{pod_name}}\n\nCPU平均使用率: {{cpu_usage_percent_avg}}\n\nCPU限制: {{cpu_limit_value}}核\n\nCPU分配: {{cpu_allocation_value}}核\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','{\"container_id\":\"string:6\",\"cpu_allocation_value\":\"fraction:1\",\"cpu_limit_value\":\"fraction:1\",\"cpu_usage_percent_avg\":\"percent:1\"}','1.0','2021-05-28 11:55:06','2021-05-28 11:55:06',0),(5169,'API网关实例内存使用率异常','micro_service','api_gateway_mem','dingding','alert','【API网关实例内存使用率告警】\n','【API网关实例内存使用率异常告警】\n\n组件: {{addon_type}}\n\n实例: {{pod_namespace}} - {{pod_name}}\n\n内存使用率: {{mem_usage_percent_avg}}\n\n内存使用: {{mem_usage_value}}\n\n内存限制: {{mem_limit_value}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','{\"container_id\":\"string:6\",\"mem_limit_value\":\"size:byte\",\"mem_usage_percent_avg\":\"percent:1\",\"mem_usage_value\":\"size:byte\"}','1.0','2021-05-28 11:55:06','2021-05-28 11:55:06',0),(5170,'API网关实例内存使用率异常','micro_service','api_gateway_mem','ticket','alert','【API网关实例内存使用率告警】\n','【API网关实例内存使用率异常告警】\n\n组件: {{addon_type}}\n\n实例: {{pod_namespace}} - {{pod_name}}\n\n内存使用率: {{mem_usage_percent_avg}}\n\n内存使用: {{mem_usage_value}}\n\n内存限制: {{mem_limit_value}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','{\"container_id\":\"string:6\",\"mem_limit_value\":\"size:byte\",\"mem_usage_percent_avg\":\"percent:1\",\"mem_usage_value\":\"size:byte\"}','1.0','2021-05-28 11:55:06','2021-05-28 11:55:06',0),(5171,'API网关实例内存使用率异常','micro_service','api_gateway_mem','email','alert','【API网关实例内存使用率告警】\n','【API网关实例内存使用率异常告警】\n\n组件: {{addon_type}}\n\n实例: {{pod_namespace}} - {{pod_name}}\n\n内存使用率: {{mem_usage_percent_avg}}\n\n内存使用: {{mem_usage_value}}\n\n内存限制: {{mem_limit_value}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','{\"container_id\":\"string:6\",\"mem_limit_value\":\"size:byte\",\"mem_usage_percent_avg\":\"percent:1\",\"mem_usage_value\":\"size:byte\"}','1.0','2021-05-28 11:55:06','2021-05-28 11:55:06',0),(5172,'API网关实例内存使用率异常','micro_service','api_gateway_mem','mbox','alert','【API网关实例内存使用率告警】\n','【API网关实例内存使用率异常告警】\n\n组件: {{addon_type}}\n\n实例: {{pod_namespace}} - {{pod_name}}\n\n内存使用率: {{mem_usage_percent_avg}}\n\n内存使用: {{mem_usage_value}}\n\n内存限制: {{mem_limit_value}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','{\"container_id\":\"string:6\",\"mem_limit_value\":\"size:byte\",\"mem_usage_percent_avg\":\"percent:1\",\"mem_usage_value\":\"size:byte\"}','1.0','2021-05-28 11:55:06','2021-05-28 11:55:06',0),(5173,'API网关实例内存使用率异常','micro_service','api_gateway_mem','webhook','alert','【API网关实例内存使用率告警】\n','【API网关实例内存使用率异常告警】\n\n组件: {{addon_type}}\n\n实例: {{pod_namespace}} - {{pod_name}}\n\n内存使用率: {{mem_usage_percent_avg}}\n\n内存使用: {{mem_usage_value}}\n\n内存限制: {{mem_limit_value}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','{\"container_id\":\"string:6\",\"mem_limit_value\":\"size:byte\",\"mem_usage_percent_avg\":\"percent:1\",\"mem_usage_value\":\"size:byte\"}','1.0','2021-05-28 11:55:06','2021-05-28 11:55:06',0),(5174,'注册中心实例CPU使用率异常','micro_service','register_center_cpu','dingding','alert','【注册中心实例CPU使用率告警】\n','【注册中心实例CPU使用率异常告警】\n\n组件: {{addon_type}}\n\n实例: {{pod_namespace}} - {{pod_name}}\n\nCPU平均使用率: {{cpu_usage_percent_avg}}\n\nCPU限制: {{cpu_limit_value}}核\n\nCPU分配: {{cpu_allocation_value}}核\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','{\"container_id\":\"string:6\",\"cpu_allocation_value\":\"fraction:1\",\"cpu_limit_value\":\"fraction:1\",\"cpu_usage_percent_avg\":\"percent:1\"}','1.0','2021-05-28 11:55:06','2021-05-28 11:55:06',0),(5175,'注册中心实例CPU使用率异常','micro_service','register_center_cpu','ticket','alert','【注册中心实例CPU使用率告警】\n','【注册中心实例CPU使用率异常告警】\n\n组件: {{addon_type}}\n\n实例: {{pod_namespace}} - {{pod_name}}\n\nCPU平均使用率: {{cpu_usage_percent_avg}}\n\nCPU限制: {{cpu_limit_value}}核\n\nCPU分配: {{cpu_allocation_value}}核\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','{\"container_id\":\"string:6\",\"cpu_allocation_value\":\"fraction:1\",\"cpu_limit_value\":\"fraction:1\",\"cpu_usage_percent_avg\":\"percent:1\"}','1.0','2021-05-28 11:55:06','2021-05-28 11:55:06',0),(5176,'注册中心实例CPU使用率异常','micro_service','register_center_cpu','email','alert','【注册中心实例CPU使用率告警】\n','【注册中心实例CPU使用率异常告警】\n\n组件: {{addon_type}}\n\n实例: {{pod_namespace}} - {{pod_name}}\n\nCPU平均使用率: {{cpu_usage_percent_avg}}\n\nCPU限制: {{cpu_limit_value}}核\n\nCPU分配: {{cpu_allocation_value}}核\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','{\"container_id\":\"string:6\",\"cpu_allocation_value\":\"fraction:1\",\"cpu_limit_value\":\"fraction:1\",\"cpu_usage_percent_avg\":\"percent:1\"}','1.0','2021-05-28 11:55:06','2021-05-28 11:55:06',0),(5177,'注册中心实例CPU使用率异常','micro_service','register_center_cpu','mbox','alert','【注册中心实例CPU使用率告警】\n','【注册中心实例CPU使用率异常告警】\n\n组件: {{addon_type}}\n\n实例: {{pod_namespace}} - {{pod_name}}\n\nCPU平均使用率: {{cpu_usage_percent_avg}}\n\nCPU限制: {{cpu_limit_value}}核\n\nCPU分配: {{cpu_allocation_value}}核\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','{\"container_id\":\"string:6\",\"cpu_allocation_value\":\"fraction:1\",\"cpu_limit_value\":\"fraction:1\",\"cpu_usage_percent_avg\":\"percent:1\"}','1.0','2021-05-28 11:55:06','2021-05-28 11:55:06',0),(5178,'注册中心实例CPU使用率异常','micro_service','register_center_cpu','webhook','alert','【注册中心实例CPU使用率告警】\n','【注册中心实例CPU使用率异常告警】\n\n组件: {{addon_type}}\n\n实例: {{pod_namespace}} - {{pod_name}}\n\nCPU平均使用率: {{cpu_usage_percent_avg}}\n\nCPU限制: {{cpu_limit_value}}核\n\nCPU分配: {{cpu_allocation_value}}核\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','{\"container_id\":\"string:6\",\"cpu_allocation_value\":\"fraction:1\",\"cpu_limit_value\":\"fraction:1\",\"cpu_usage_percent_avg\":\"percent:1\"}','1.0','2021-05-28 11:55:06','2021-05-28 11:55:06',0),(5179,'注册中心实例内存使用率异常','micro_service','register_center_mem','dingding','alert','【注册中心实例内存使用率告警】\n','【注册中心实例内存使用率异常告警】\n\n组件: {{addon_type}}\n\n实例: {{pod_namespace}} - {{pod_name}}\n\n内存使用率: {{mem_usage_percent_avg}}\n\n内存使用: {{mem_usage_value}}\n\n内存限制: {{mem_limit_value}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','{\"container_id\":\"string:6\",\"mem_limit_value\":\"size:byte\",\"mem_usage_percent_avg\":\"percent:1\",\"mem_usage_value\":\"size:byte\"}','1.0','2021-05-28 11:55:06','2021-05-28 11:55:06',0),(5180,'注册中心实例内存使用率异常','micro_service','register_center_mem','ticket','alert','【注册中心实例内存使用率告警】\n','【注册中心实例内存使用率异常告警】\n\n组件: {{addon_type}}\n\n实例: {{pod_namespace}} - {{pod_name}}\n\n内存使用率: {{mem_usage_percent_avg}}\n\n内存使用: {{mem_usage_value}}\n\n内存限制: {{mem_limit_value}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','{\"container_id\":\"string:6\",\"mem_limit_value\":\"size:byte\",\"mem_usage_percent_avg\":\"percent:1\",\"mem_usage_value\":\"size:byte\"}','1.0','2021-05-28 11:55:06','2021-05-28 11:55:06',0),(5181,'注册中心实例内存使用率异常','micro_service','register_center_mem','email','alert','【注册中心实例内存使用率告警】\n','【注册中心实例内存使用率异常告警】\n\n组件: {{addon_type}}\n\n实例: {{pod_namespace}} - {{pod_name}}\n\n内存使用率: {{mem_usage_percent_avg}}\n\n内存使用: {{mem_usage_value}}\n\n内存限制: {{mem_limit_value}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','{\"container_id\":\"string:6\",\"mem_limit_value\":\"size:byte\",\"mem_usage_percent_avg\":\"percent:1\",\"mem_usage_value\":\"size:byte\"}','1.0','2021-05-28 11:55:06','2021-05-28 11:55:06',0),(5182,'注册中心实例内存使用率异常','micro_service','register_center_mem','mbox','alert','【注册中心实例内存使用率告警】\n','【注册中心实例内存使用率异常告警】\n\n组件: {{addon_type}}\n\n实例: {{pod_namespace}} - {{pod_name}}\n\n内存使用率: {{mem_usage_percent_avg}}\n\n内存使用: {{mem_usage_value}}\n\n内存限制: {{mem_limit_value}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','{\"container_id\":\"string:6\",\"mem_limit_value\":\"size:byte\",\"mem_usage_percent_avg\":\"percent:1\",\"mem_usage_value\":\"size:byte\"}','1.0','2021-05-28 11:55:06','2021-05-28 11:55:06',0),(5183,'注册中心实例内存使用率异常','micro_service','register_center_mem','webhook','alert','【注册中心实例内存使用率告警】\n','【注册中心实例内存使用率异常告警】\n\n组件: {{addon_type}}\n\n实例: {{pod_namespace}} - {{pod_name}}\n\n内存使用率: {{mem_usage_percent_avg}}\n\n内存使用: {{mem_usage_value}}\n\n内存限制: {{mem_limit_value}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','{\"container_id\":\"string:6\",\"mem_limit_value\":\"size:byte\",\"mem_usage_percent_avg\":\"percent:1\",\"mem_usage_value\":\"size:byte\"}','1.0','2021-05-28 11:55:06','2021-05-28 11:55:06',0),(5184,'服务熔断通知告警','micro_service','sidecar_circuit_breaker','dingding','alert','【{{application_name}}应用{{service_name}}服务发生熔断告警】\n','【服务熔断告警】\n\n服务发生熔断 !\n\n项目: {{project_name}}\n\n环境: {{workspace}}\n\n应用: {{application_name}}\n\n服务: {{runtime_name}} / {{service_name}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','','1.0','2021-05-28 11:55:06','2021-05-28 11:55:06',0),(5185,'服务熔断通知告警','micro_service','sidecar_circuit_breaker','ticket','alert','【{{application_name}}应用{{service_name}}服务发生熔断告警】\n','【服务熔断告警】\n\n服务发生熔断 !\n\n项目: {{project_name}}\n\n环境: {{workspace}}\n\n应用: {{application_name}}\n\n服务: {{runtime_name}} / {{service_name}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','','1.0','2021-05-28 11:55:06','2021-05-28 11:55:06',0),(5186,'服务熔断通知告警','micro_service','sidecar_circuit_breaker','email','alert','【{{application_name}}应用{{service_name}}服务发生熔断告警】\n','【服务熔断告警】\n\n服务发生熔断 !\n\n项目: {{project_name}}\n\n环境: {{workspace}}\n\n应用: {{application_name}}\n\n服务: {{runtime_name}} / {{service_name}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','','1.0','2021-05-28 11:55:06','2021-05-28 11:55:06',0),(5187,'服务熔断通知告警','micro_service','sidecar_circuit_breaker','mbox','alert','【{{application_name}}应用{{service_name}}服务发生熔断告警】\n','【服务熔断告警】\n\n服务发生熔断 !\n\n项目: {{project_name}}\n\n环境: {{workspace}}\n\n应用: {{application_name}}\n\n服务: {{runtime_name}} / {{service_name}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','','1.0','2021-05-28 11:55:06','2021-05-28 11:55:06',0),(5188,'服务熔断通知告警','micro_service','sidecar_circuit_breaker','webhook','alert','【{{application_name}}应用{{service_name}}服务发生熔断告警】\n','【服务熔断告警】\n\n服务发生熔断 !\n\n项目: {{project_name}}\n\n环境: {{workspace}}\n\n应用: {{application_name}}\n\n服务: {{runtime_name}} / {{service_name}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','','1.0','2021-05-28 11:55:06','2021-05-28 11:55:06',0),(5189,'ElasticSearch实例CPU使用率异常告警','addon','addon_elasticsearch_cpu','dingding','alert','【ElasticSearch实例CPU使用率告警】\n','【ElasticSearch实例CPU使用率异常告警】\n\n组件: {{addon_type}}\n\n实例: {{pod_namespace}} - {{pod_name}}\n\nCPU平均使用率: {{cpu_usage_percent_avg}}\n\nCPU限制: {{cpu_limit_value}}核\n\nCPU分配: {{cpu_allocation_value}}核\n\n集群 / 机器: {{cluster_name}} / {{host_ip}}\n\n容器ID: {{container_id}}\n\n机器: {{host_ip}}\n\n时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','{\"container_id\":\"string:6\",\"cpu_usage_percent_avg\":\"percent:1\",\"limit_value\":\"fraction:1\"}','1.0','2021-05-28 11:55:06','2021-05-28 11:55:07',0),(5190,'ElasticSearch实例CPU使用率异常告警','addon','addon_elasticsearch_cpu','ticket','alert','【ElasticSearch实例CPU使用率告警】\n','【ElasticSearch实例CPU使用率异常告警】\n\n组件: {{addon_type}}\n\n实例: {{pod_namespace}} - {{pod_name}}\n\nCPU平均使用率: {{cpu_usage_percent_avg}}\n\nCPU限制: {{cpu_limit_value}}核\n\nCPU分配: {{cpu_allocation_value}}核\n\n集群 / 机器: {{cluster_name}} / {{host_ip}}\n\n容器ID: {{container_id}}\n\n机器: {{host_ip}}\n\n时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','{\"container_id\":\"string:6\",\"cpu_usage_percent_avg\":\"percent:1\",\"limit_value\":\"fraction:1\"}','1.0','2021-05-28 11:55:06','2021-05-28 11:55:07',0),(5191,'ElasticSearch实例CPU使用率异常告警','addon','addon_elasticsearch_cpu','email','alert','【ElasticSearch实例CPU使用率告警】\n','【ElasticSearch实例CPU使用率异常告警】\n\n组件: {{addon_type}}\n\n实例: {{pod_namespace}} - {{pod_name}}\n\nCPU平均使用率: {{cpu_usage_percent_avg}}\n\nCPU限制: {{cpu_limit_value}}核\n\nCPU分配: {{cpu_allocation_value}}核\n\n集群 / 机器: {{cluster_name}} / {{host_ip}}\n\n容器ID: {{container_id}}\n\n机器: {{host_ip}}\n\n时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','{\"container_id\":\"string:6\",\"cpu_usage_percent_avg\":\"percent:1\",\"limit_value\":\"fraction:1\"}','1.0','2021-05-28 11:55:06','2021-05-28 11:55:07',0),(5192,'ElasticSearch实例CPU使用率异常告警','addon','addon_elasticsearch_cpu','mbox','alert','【ElasticSearch实例CPU使用率告警】\n','【ElasticSearch实例CPU使用率异常告警】\n\n组件: {{addon_type}}\n\n实例: {{pod_namespace}} - {{pod_name}}\n\nCPU平均使用率: {{cpu_usage_percent_avg}}\n\nCPU限制: {{cpu_limit_value}}核\n\nCPU分配: {{cpu_allocation_value}}核\n\n集群 / 机器: {{cluster_name}} / {{host_ip}}\n\n容器ID: {{container_id}}\n\n机器: {{host_ip}}\n\n时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','{\"container_id\":\"string:6\",\"cpu_usage_percent_avg\":\"percent:1\",\"limit_value\":\"fraction:1\"}','1.0','2021-05-28 11:55:06','2021-05-28 11:55:07',0),(5193,'ElasticSearch实例CPU使用率异常告警','addon','addon_elasticsearch_cpu','webhook','alert','【ElasticSearch实例CPU使用率告警】\n','【ElasticSearch实例CPU使用率异常告警】\n\n组件: {{addon_type}}\n\n实例: {{pod_namespace}} - {{pod_name}}\n\nCPU平均使用率: {{cpu_usage_percent_avg}}\n\nCPU限制: {{cpu_limit_value}}核\n\nCPU分配: {{cpu_allocation_value}}核\n\n集群 / 机器: {{cluster_name}} / {{host_ip}}\n\n容器ID: {{container_id}}\n\n机器: {{host_ip}}\n\n时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','{\"container_id\":\"string:6\",\"cpu_usage_percent_avg\":\"percent:1\",\"limit_value\":\"fraction:1\"}','1.0','2021-05-28 11:55:06','2021-05-28 11:55:07',0),(5194,'Elasticsearch实例内存使用率异常告警','addon','addon_elasticsearch_mem','dingding','alert','【Elasticsearch实例内存使用率告警】\n','【Elasticsearch实例内存使用率告警】\n\n组件: {{addon_type}}\n\n实例ID: {{addon_id}}\n\n实例: {{pod_namespace}} - {{pod_name}}\n\n平均使用率: {{mem_usage_percent_avg}}\n\n集群 / 机器: {{cluster_name}} / {{host_ip}}\n\n容器ID: {{container_id}}\n\n机器: {{host_ip}}\n\n时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','{\"container_id\":\"string:6\",\"mem_limit_value\":\"fraction:1\",\"mem_usage_percent_avg\":\"percent:1\"}','1.0','2021-05-28 11:55:06','2021-05-28 11:55:07',0),(5195,'Elasticsearch实例内存使用率异常告警','addon','addon_elasticsearch_mem','ticket','alert','【Elasticsearch实例内存使用率告警】\n','【Elasticsearch实例内存使用率告警】\n\n组件: {{addon_type}}\n\n实例ID: {{addon_id}}\n\n实例: {{pod_namespace}} - {{pod_name}}\n\n平均使用率: {{mem_usage_percent_avg}}\n\n集群 / 机器: {{cluster_name}} / {{host_ip}}\n\n容器ID: {{container_id}}\n\n机器: {{host_ip}}\n\n时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','{\"container_id\":\"string:6\",\"mem_limit_value\":\"fraction:1\",\"mem_usage_percent_avg\":\"percent:1\"}','1.0','2021-05-28 11:55:06','2021-05-28 11:55:07',0),(5196,'Elasticsearch实例内存使用率异常告警','addon','addon_elasticsearch_mem','email','alert','【Elasticsearch实例内存使用率告警】\n','【Elasticsearch实例内存使用率告警】\n\n组件: {{addon_type}}\n\n实例ID: {{addon_id}}\n\n实例: {{pod_namespace}} - {{pod_name}}\n\n平均使用率: {{mem_usage_percent_avg}}\n\n集群 / 机器: {{cluster_name}} / {{host_ip}}\n\n容器ID: {{container_id}}\n\n机器: {{host_ip}}\n\n时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','{\"container_id\":\"string:6\",\"mem_limit_value\":\"fraction:1\",\"mem_usage_percent_avg\":\"percent:1\"}','1.0','2021-05-28 11:55:06','2021-05-28 11:55:07',0),(5197,'Elasticsearch实例内存使用率异常告警','addon','addon_elasticsearch_mem','mbox','alert','【Elasticsearch实例内存使用率告警】\n','【Elasticsearch实例内存使用率告警】\n\n组件: {{addon_type}}\n\n实例ID: {{addon_id}}\n\n实例: {{pod_namespace}} - {{pod_name}}\n\n平均使用率: {{mem_usage_percent_avg}}\n\n集群 / 机器: {{cluster_name}} / {{host_ip}}\n\n容器ID: {{container_id}}\n\n机器: {{host_ip}}\n\n时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','{\"container_id\":\"string:6\",\"mem_limit_value\":\"fraction:1\",\"mem_usage_percent_avg\":\"percent:1\"}','1.0','2021-05-28 11:55:06','2021-05-28 11:55:07',0),(5198,'Elasticsearch实例内存使用率异常告警','addon','addon_elasticsearch_mem','webhook','alert','【Elasticsearch实例内存使用率告警】\n','【Elasticsearch实例内存使用率告警】\n\n组件: {{addon_type}}\n\n实例ID: {{addon_id}}\n\n实例: {{pod_namespace}} - {{pod_name}}\n\n平均使用率: {{mem_usage_percent_avg}}\n\n集群 / 机器: {{cluster_name}} / {{host_ip}}\n\n容器ID: {{container_id}}\n\n机器: {{host_ip}}\n\n时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','{\"container_id\":\"string:6\",\"mem_limit_value\":\"fraction:1\",\"mem_usage_percent_avg\":\"percent:1\"}','1.0','2021-05-28 11:55:06','2021-05-28 11:55:07',0),(5199,'MySQL实例CPU使用率异常告警','addon','addon_mysql_cpu','dingding','alert','【MySQL实例CPU使用率告警】\n','【MySQL实例CPU使用率异常告警】\n\n组件: {{addon_type}}\n\n实例: {{pod_namespace}} - {{pod_name}}\n\nCPU平均使用率: {{cpu_usage_percent_avg}}\n\nCPU限制: {{cpu_limit_value}}核\n\nCPU分配: {{cpu_allocation_value}}核\n\n集群 / 机器: {{cluster_name}} / {{host_ip}}\n\n容器ID: {{container_id}}\n\n机器: {{host_ip}}\n\n时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','{\"container_id\":\"string:6\",\"cpu_limit_value\":\"fraction:1\",\"cpu_usage_percent_avg\":\"percent:1\"}','1.0','2021-05-28 11:55:06','2021-05-28 11:55:07',0),(5200,'MySQL实例CPU使用率异常告警','addon','addon_mysql_cpu','ticket','alert','【MySQL实例CPU使用率告警】\n','【MySQL实例CPU使用率异常告警】\n\n组件: {{addon_type}}\n\n实例: {{pod_namespace}} - {{pod_name}}\n\nCPU平均使用率: {{cpu_usage_percent_avg}}\n\nCPU限制: {{cpu_limit_value}}核\n\nCPU分配: {{cpu_allocation_value}}核\n\n集群 / 机器: {{cluster_name}} / {{host_ip}}\n\n容器ID: {{container_id}}\n\n机器: {{host_ip}}\n\n时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','{\"container_id\":\"string:6\",\"cpu_limit_value\":\"fraction:1\",\"cpu_usage_percent_avg\":\"percent:1\"}','1.0','2021-05-28 11:55:06','2021-05-28 11:55:07',0),(5201,'MySQL实例CPU使用率异常告警','addon','addon_mysql_cpu','email','alert','【MySQL实例CPU使用率告警】\n','【MySQL实例CPU使用率异常告警】\n\n组件: {{addon_type}}\n\n实例: {{pod_namespace}} - {{pod_name}}\n\nCPU平均使用率: {{cpu_usage_percent_avg}}\n\nCPU限制: {{cpu_limit_value}}核\n\nCPU分配: {{cpu_allocation_value}}核\n\n集群 / 机器: {{cluster_name}} / {{host_ip}}\n\n容器ID: {{container_id}}\n\n机器: {{host_ip}}\n\n时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','{\"container_id\":\"string:6\",\"cpu_limit_value\":\"fraction:1\",\"cpu_usage_percent_avg\":\"percent:1\"}','1.0','2021-05-28 11:55:06','2021-05-28 11:55:07',0),(5202,'MySQL实例CPU使用率异常告警','addon','addon_mysql_cpu','mbox','alert','【MySQL实例CPU使用率告警】\n','【MySQL实例CPU使用率异常告警】\n\n组件: {{addon_type}}\n\n实例: {{pod_namespace}} - {{pod_name}}\n\nCPU平均使用率: {{cpu_usage_percent_avg}}\n\nCPU限制: {{cpu_limit_value}}核\n\nCPU分配: {{cpu_allocation_value}}核\n\n集群 / 机器: {{cluster_name}} / {{host_ip}}\n\n容器ID: {{container_id}}\n\n机器: {{host_ip}}\n\n时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','{\"container_id\":\"string:6\",\"cpu_limit_value\":\"fraction:1\",\"cpu_usage_percent_avg\":\"percent:1\"}','1.0','2021-05-28 11:55:06','2021-05-28 11:55:07',0),(5203,'MySQL实例CPU使用率异常告警','addon','addon_mysql_cpu','webhook','alert','【MySQL实例CPU使用率告警】\n','【MySQL实例CPU使用率异常告警】\n\n组件: {{addon_type}}\n\n实例: {{pod_namespace}} - {{pod_name}}\n\nCPU平均使用率: {{cpu_usage_percent_avg}}\n\nCPU限制: {{cpu_limit_value}}核\n\nCPU分配: {{cpu_allocation_value}}核\n\n集群 / 机器: {{cluster_name}} / {{host_ip}}\n\n容器ID: {{container_id}}\n\n机器: {{host_ip}}\n\n时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','{\"container_id\":\"string:6\",\"cpu_limit_value\":\"fraction:1\",\"cpu_usage_percent_avg\":\"percent:1\"}','1.0','2021-05-28 11:55:06','2021-05-28 11:55:07',0),(5204,'MySQL实例内存使用率异常告警','addon','addon_mysql_mem','dingding','alert','【MySQL实例内存使用率告警】\n','【MySQL实例内存使用率告警】\n\n组件: {{addon_type}}\n\n实例ID: {{addon_id}}\n\n实例: {{pod_namespace}} - {{pod_name}}\n\n平均使用率: {{mem_usage_percent_avg}}\n\n集群 / 机器: {{cluster_name}} / {{host_ip}}\n\n容器ID: {{container_id}}\n\n机器: {{host_ip}}\n\n时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','{\"container_id\":\"string:6\",\"mem_limit_value\":\"fraction:1\",\"mem_usage_percent_avg\":\"percent:1\"}','1.0','2021-05-28 11:55:06','2021-05-28 11:55:07',0),(5205,'MySQL实例内存使用率异常告警','addon','addon_mysql_mem','ticket','alert','【MySQL实例内存使用率告警】\n','【MySQL实例内存使用率告警】\n\n组件: {{addon_type}}\n\n实例ID: {{addon_id}}\n\n实例: {{pod_namespace}} - {{pod_name}}\n\n平均使用率: {{mem_usage_percent_avg}}\n\n集群 / 机器: {{cluster_name}} / {{host_ip}}\n\n容器ID: {{container_id}}\n\n机器: {{host_ip}}\n\n时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','{\"container_id\":\"string:6\",\"mem_limit_value\":\"fraction:1\",\"mem_usage_percent_avg\":\"percent:1\"}','1.0','2021-05-28 11:55:06','2021-05-28 11:55:07',0),(5206,'MySQL实例内存使用率异常告警','addon','addon_mysql_mem','email','alert','【MySQL实例内存使用率告警】\n','【MySQL实例内存使用率告警】\n\n组件: {{addon_type}}\n\n实例ID: {{addon_id}}\n\n实例: {{pod_namespace}} - {{pod_name}}\n\n平均使用率: {{mem_usage_percent_avg}}\n\n集群 / 机器: {{cluster_name}} / {{host_ip}}\n\n容器ID: {{container_id}}\n\n机器: {{host_ip}}\n\n时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','{\"container_id\":\"string:6\",\"mem_limit_value\":\"fraction:1\",\"mem_usage_percent_avg\":\"percent:1\"}','1.0','2021-05-28 11:55:06','2021-05-28 11:55:07',0),(5207,'MySQL实例内存使用率异常告警','addon','addon_mysql_mem','mbox','alert','【MySQL实例内存使用率告警】\n','【MySQL实例内存使用率告警】\n\n组件: {{addon_type}}\n\n实例ID: {{addon_id}}\n\n实例: {{pod_namespace}} - {{pod_name}}\n\n平均使用率: {{mem_usage_percent_avg}}\n\n集群 / 机器: {{cluster_name}} / {{host_ip}}\n\n容器ID: {{container_id}}\n\n机器: {{host_ip}}\n\n时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','{\"container_id\":\"string:6\",\"mem_limit_value\":\"fraction:1\",\"mem_usage_percent_avg\":\"percent:1\"}','1.0','2021-05-28 11:55:06','2021-05-28 11:55:07',0),(5208,'MySQL实例内存使用率异常告警','addon','addon_mysql_mem','webhook','alert','【MySQL实例内存使用率告警】\n','【MySQL实例内存使用率告警】\n\n组件: {{addon_type}}\n\n实例ID: {{addon_id}}\n\n实例: {{pod_namespace}} - {{pod_name}}\n\n平均使用率: {{mem_usage_percent_avg}}\n\n集群 / 机器: {{cluster_name}} / {{host_ip}}\n\n容器ID: {{container_id}}\n\n机器: {{host_ip}}\n\n时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','{\"container_id\":\"string:6\",\"mem_limit_value\":\"fraction:1\",\"mem_usage_percent_avg\":\"percent:1\"}','1.0','2021-05-28 11:55:06','2021-05-28 11:55:07',0),(5209,'MySQL实例主从同步异常告警','addon','addon_mysql_slave_status','dingding','alert','【MySQL实例主从同步异常】\n','【MySQL实例主从同步异常】\n\n组件: \"mysql\"\n\n实例ID: {{addon_id}}\n\n从节点IO异常状态: {{slave_slave_io_running_value}}\n\n从节点连接异常状态: {{slave_slave_sql_running_value}}\n\n集群 / 机器: {{cluster_name}} / {{host_ip}}\n\n机器: {{host_ip}}\n\n时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','{\"limit_value\":\"fraction:1\",\"usage_percent_avg\":\"percent:1\"}','1.0','2021-05-28 11:55:06','2021-05-28 11:55:07',0),(5210,'MySQL实例主从同步异常告警','addon','addon_mysql_slave_status','ticket','alert','【MySQL实例主从同步异常】\n','【MySQL实例主从同步异常】\n\n组件: \"mysql\"\n\n实例ID: {{addon_id}}\n\n从节点IO异常状态: {{slave_slave_io_running_value}}\n\n从节点连接异常状态: {{slave_slave_sql_running_value}}\n\n集群 / 机器: {{cluster_name}} / {{host_ip}}\n\n机器: {{host_ip}}\n\n时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','{\"limit_value\":\"fraction:1\",\"usage_percent_avg\":\"percent:1\"}','1.0','2021-05-28 11:55:06','2021-05-28 11:55:07',0),(5211,'MySQL实例主从同步异常告警','addon','addon_mysql_slave_status','email','alert','【MySQL实例主从同步异常】\n','【MySQL实例主从同步异常】\n\n组件: \"mysql\"\n\n实例ID: {{addon_id}}\n\n从节点IO异常状态: {{slave_slave_io_running_value}}\n\n从节点连接异常状态: {{slave_slave_sql_running_value}}\n\n集群 / 机器: {{cluster_name}} / {{host_ip}}\n\n机器: {{host_ip}}\n\n时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','{\"limit_value\":\"fraction:1\",\"usage_percent_avg\":\"percent:1\"}','1.0','2021-05-28 11:55:06','2021-05-28 11:55:07',0),(5212,'MySQL实例主从同步异常告警','addon','addon_mysql_slave_status','mbox','alert','【MySQL实例主从同步异常】\n','【MySQL实例主从同步异常】\n\n组件: \"mysql\"\n\n实例ID: {{addon_id}}\n\n从节点IO异常状态: {{slave_slave_io_running_value}}\n\n从节点连接异常状态: {{slave_slave_sql_running_value}}\n\n集群 / 机器: {{cluster_name}} / {{host_ip}}\n\n机器: {{host_ip}}\n\n时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','{\"limit_value\":\"fraction:1\",\"usage_percent_avg\":\"percent:1\"}','1.0','2021-05-28 11:55:06','2021-05-28 11:55:07',0),(5213,'MySQL实例主从同步异常告警','addon','addon_mysql_slave_status','webhook','alert','【MySQL实例主从同步异常】\n','【MySQL实例主从同步异常】\n\n组件: \"mysql\"\n\n实例ID: {{addon_id}}\n\n从节点IO异常状态: {{slave_slave_io_running_value}}\n\n从节点连接异常状态: {{slave_slave_sql_running_value}}\n\n集群 / 机器: {{cluster_name}} / {{host_ip}}\n\n机器: {{host_ip}}\n\n时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','{\"limit_value\":\"fraction:1\",\"usage_percent_avg\":\"percent:1\"}','1.0','2021-05-28 11:55:06','2021-05-28 11:55:07',0),(5214,'redis实例内存使用率异常告警','addon','addon_redis_mem','dingding','alert','【redis实例内存使用率异常告警】\n','【redis实例内存使用率异常告警】\n\n组件: {{addon_type}}\n\n实例ID: {{addon_id}}\n\n实例: {{pod_namespace}} - {{pod_name}}\n\n平均使用率: {{mem_usage_percent_avg}}\n\n集群 / 机器: {{cluster_name}} / {{host_ip}}\n\n容器ID: {{container_id}}\n\n机器: {{host_ip}}\n\n时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','{\"container_id\":\"string:6\",\"mem_limit_value\":\"fraction:1\",\"mem_usage_percent_avg\":\"percent:1\"}','1.0','2021-05-28 11:55:06','2021-05-28 11:55:07',0),(5215,'redis实例内存使用率异常告警','addon','addon_redis_mem','ticket','alert','【redis实例内存使用率异常告警】\n','【redis实例内存使用率异常告警】\n\n组件: {{addon_type}}\n\n实例ID: {{addon_id}}\n\n实例: {{pod_namespace}} - {{pod_name}}\n\n平均使用率: {{mem_usage_percent_avg}}\n\n集群 / 机器: {{cluster_name}} / {{host_ip}}\n\n容器ID: {{container_id}}\n\n机器: {{host_ip}}\n\n时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','{\"container_id\":\"string:6\",\"mem_limit_value\":\"fraction:1\",\"mem_usage_percent_avg\":\"percent:1\"}','1.0','2021-05-28 11:55:06','2021-05-28 11:55:07',0),(5216,'redis实例内存使用率异常告警','addon','addon_redis_mem','email','alert','【redis实例内存使用率异常告警】\n','【redis实例内存使用率异常告警】\n\n组件: {{addon_type}}\n\n实例ID: {{addon_id}}\n\n实例: {{pod_namespace}} - {{pod_name}}\n\n平均使用率: {{mem_usage_percent_avg}}\n\n集群 / 机器: {{cluster_name}} / {{host_ip}}\n\n容器ID: {{container_id}}\n\n机器: {{host_ip}}\n\n时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','{\"container_id\":\"string:6\",\"mem_limit_value\":\"fraction:1\",\"mem_usage_percent_avg\":\"percent:1\"}','1.0','2021-05-28 11:55:06','2021-05-28 11:55:07',0),(5217,'redis实例内存使用率异常告警','addon','addon_redis_mem','mbox','alert','【redis实例内存使用率异常告警】\n','【redis实例内存使用率异常告警】\n\n组件: {{addon_type}}\n\n实例ID: {{addon_id}}\n\n实例: {{pod_namespace}} - {{pod_name}}\n\n平均使用率: {{mem_usage_percent_avg}}\n\n集群 / 机器: {{cluster_name}} / {{host_ip}}\n\n容器ID: {{container_id}}\n\n机器: {{host_ip}}\n\n时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','{\"container_id\":\"string:6\",\"mem_limit_value\":\"fraction:1\",\"mem_usage_percent_avg\":\"percent:1\"}','1.0','2021-05-28 11:55:06','2021-05-28 11:55:07',0),(5218,'redis实例内存使用率异常告警','addon','addon_redis_mem','webhook','alert','【redis实例内存使用率异常告警】\n','【redis实例内存使用率异常告警】\n\n组件: {{addon_type}}\n\n实例ID: {{addon_id}}\n\n实例: {{pod_namespace}} - {{pod_name}}\n\n平均使用率: {{mem_usage_percent_avg}}\n\n集群 / 机器: {{cluster_name}} / {{host_ip}}\n\n容器ID: {{container_id}}\n\n机器: {{host_ip}}\n\n时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','{\"container_id\":\"string:6\",\"mem_limit_value\":\"fraction:1\",\"mem_usage_percent_avg\":\"percent:1\"}','1.0','2021-05-28 11:55:06','2021-05-28 11:55:07',0),(5219,'Ajax接口访问性能告警','app_browser','app_browser_ajax_req','dingding','alert','【Ajax接口 ({{req_path}}) 访问性能告警】\n','【Ajax接口访问性能告警】\n\n事件: {{req_path}} Ajax接口慢响应\n\n时间: {{timestamp}}\n\n域名: {{host}}\n\n平均响应时间: {{tt_avg}} ms\n\n[查看详情]({{display_url}})\n\n[查看记录]({{record_url}})','{\"tt\":\"time:s\"}','1.0','2021-05-28 11:55:06','2021-05-28 11:55:07',0),(5220,'Ajax接口访问性能告警','app_browser','app_browser_ajax_req','ticket','alert','【Ajax接口 ({{req_path}}) 访问性能告警】\n','【Ajax接口访问性能告警】\n\n事件: {{req_path}} Ajax接口慢响应\n\n时间: {{timestamp}}\n\n域名: {{host}}\n\n平均响应时间: {{tt_avg}} ms\n\n[查看详情]({{display_url}})\n\n[查看记录]({{record_url}})','{\"tt\":\"time:s\"}','1.0','2021-05-28 11:55:06','2021-05-28 11:55:07',0),(5221,'Ajax接口访问性能告警','app_browser','app_browser_ajax_req','email','alert','【Ajax接口 ({{req_path}}) 访问性能告警】\n','【Ajax接口访问性能告警】\n\n事件: {{req_path}} Ajax接口慢响应\n\n时间: {{timestamp}}\n\n域名: {{host}}\n\n平均响应时间: {{tt_avg}} ms\n\n[查看详情]({{display_url}})\n\n[查看记录]({{record_url}})','{\"tt\":\"time:s\"}','1.0','2021-05-28 11:55:06','2021-05-28 11:55:07',0),(5222,'Ajax接口访问性能告警','app_browser','app_browser_ajax_req','mbox','alert','【Ajax接口 ({{req_path}}) 访问性能告警】\n','【Ajax接口访问性能告警】\n\n事件: {{req_path}} Ajax接口慢响应\n\n时间: {{timestamp}}\n\n域名: {{host}}\n\n平均响应时间: {{tt_avg}} ms\n\n[查看详情]({{display_url}})\n\n[查看记录]({{record_url}})','{\"tt\":\"time:s\"}','1.0','2021-05-28 11:55:06','2021-05-28 11:55:07',0),(5223,'Ajax接口访问性能告警','app_browser','app_browser_ajax_req','webhook','alert','【Ajax接口 ({{req_path}}) 访问性能告警】\n','【Ajax接口访问性能告警】\n\n事件: {{req_path}} Ajax接口慢响应\n\n时间: {{timestamp}}\n\n域名: {{host}}\n\n平均响应时间: {{tt_avg}} ms\n\n[查看详情]({{display_url}})\n\n[查看记录]({{record_url}})','{\"tt\":\"time:s\"}','1.0','2021-05-28 11:55:06','2021-05-28 11:55:07',0),(5224,'用户体验告警','app_browser','app_browser_apdex','dingding','alert','【({{doc_path}}) 接口用户体验告警】\n','【用户体验告警】\n\n事件: 访问时间过长\n\n时间: {{timestamp}}\n\n域名: {{host}}\n\n页面: {{doc_path}}\n\n平均响应时间: {{plt_avg}} ms\n\n[查看详情]({{display_url}})\n\n[查看记录]({{record_url}})','{\"plt\":\"time:s\"}','1.0','2021-05-28 11:55:06','2021-05-28 11:55:07',0),(5225,'用户体验告警','app_browser','app_browser_apdex','ticket','alert','【({{doc_path}}) 接口用户体验告警】\n','【用户体验告警】\n\n事件: 访问时间过长\n\n时间: {{timestamp}}\n\n域名: {{host}}\n\n页面: {{doc_path}}\n\n平均响应时间: {{plt_avg}} ms\n\n[查看详情]({{display_url}})\n\n[查看记录]({{record_url}})','{\"plt\":\"time:s\"}','1.0','2021-05-28 11:55:06','2021-05-28 11:55:07',0),(5226,'用户体验告警','app_browser','app_browser_apdex','email','alert','【({{doc_path}}) 接口用户体验告警】\n','【用户体验告警】\n\n事件: 访问时间过长\n\n时间: {{timestamp}}\n\n域名: {{host}}\n\n页面: {{doc_path}}\n\n平均响应时间: {{plt_avg}} ms\n\n[查看详情]({{display_url}})\n\n[查看记录]({{record_url}})','{\"plt\":\"time:s\"}','1.0','2021-05-28 11:55:06','2021-05-28 11:55:07',0),(5227,'用户体验告警','app_browser','app_browser_apdex','mbox','alert','【({{doc_path}}) 接口用户体验告警】\n','【用户体验告警】\n\n事件: 访问时间过长\n\n时间: {{timestamp}}\n\n域名: {{host}}\n\n页面: {{doc_path}}\n\n平均响应时间: {{plt_avg}} ms\n\n[查看详情]({{display_url}})\n\n[查看记录]({{record_url}})','{\"plt\":\"time:s\"}','1.0','2021-05-28 11:55:06','2021-05-28 11:55:07',0),(5228,'用户体验告警','app_browser','app_browser_apdex','webhook','alert','【({{doc_path}}) 接口用户体验告警】\n','【用户体验告警】\n\n事件: 访问时间过长\n\n时间: {{timestamp}}\n\n域名: {{host}}\n\n页面: {{doc_path}}\n\n平均响应时间: {{plt_avg}} ms\n\n[查看详情]({{display_url}})\n\n[查看记录]({{record_url}})','{\"plt\":\"time:s\"}','1.0','2021-05-28 11:55:06','2021-05-28 11:55:07',0),(5229,'域名访问性能告警','app_browser','app_browser_host_req','dingding','alert','【({{host}}) 域名访问性能告警】\n','【域名访问性能告警】\n\n事件: ({{host}}) 域名慢响应\n\n时间: {{timestamp}}\n\n域名: {{host}}\n\n平均响应时间: {{plt_avg}} ms\n\n[查看详情]({{display_url}})\n\n[查看记录]({{record_url}})','{\"plt\":\"time:s\"}','1.0','2021-05-28 11:55:06','2021-05-28 11:55:07',0),(5230,'域名访问性能告警','app_browser','app_browser_host_req','ticket','alert','【({{host}}) 域名访问性能告警】\n','【域名访问性能告警】\n\n事件: ({{host}}) 域名慢响应\n\n时间: {{timestamp}}\n\n域名: {{host}}\n\n平均响应时间: {{plt_avg}} ms\n\n[查看详情]({{display_url}})\n\n[查看记录]({{record_url}})','{\"plt\":\"time:s\"}','1.0','2021-05-28 11:55:06','2021-05-28 11:55:07',0),(5231,'域名访问性能告警','app_browser','app_browser_host_req','email','alert','【({{host}}) 域名访问性能告警】\n','【域名访问性能告警】\n\n事件: ({{host}}) 域名慢响应\n\n时间: {{timestamp}}\n\n域名: {{host}}\n\n平均响应时间: {{plt_avg}} ms\n\n[查看详情]({{display_url}})\n\n[查看记录]({{record_url}})','{\"plt\":\"time:s\"}','1.0','2021-05-28 11:55:06','2021-05-28 11:55:07',0),(5232,'域名访问性能告警','app_browser','app_browser_host_req','mbox','alert','【({{host}}) 域名访问性能告警】\n','【域名访问性能告警】\n\n事件: ({{host}}) 域名慢响应\n\n时间: {{timestamp}}\n\n域名: {{host}}\n\n平均响应时间: {{plt_avg}} ms\n\n[查看详情]({{display_url}})\n\n[查看记录]({{record_url}})','{\"plt\":\"time:s\"}','1.0','2021-05-28 11:55:06','2021-05-28 11:55:07',0),(5233,'域名访问性能告警','app_browser','app_browser_host_req','webhook','alert','【({{host}}) 域名访问性能告警】\n','【域名访问性能告警】\n\n事件: ({{host}}) 域名慢响应\n\n时间: {{timestamp}}\n\n域名: {{host}}\n\n平均响应时间: {{plt_avg}} ms\n\n[查看详情]({{display_url}})\n\n[查看记录]({{record_url}})','{\"plt\":\"time:s\"}','1.0','2021-05-28 11:55:06','2021-05-28 11:55:07',0),(5234,'页面访问性能告警','app_browser','app_browser_page_req','dingding','alert','【页面 ({{doc_path}}) 访问性能告警】\n','【页面访问性能告警】\n\n事件: {{doc_path}} 页面慢响应\n\n域名: {{host}}\n\n页面: {{doc_path}}\n\n页面平均响应时间: {{plt_avg}} ms\n\n时间: {{timestamp}}\n\n[查看详情]({{display_url}})\n\n[查看记录]({{record_url}})','{\"plt\":\"time:s\"}','1.0','2021-05-28 11:55:06','2021-05-28 11:55:07',0),(5235,'页面访问性能告警','app_browser','app_browser_page_req','ticket','alert','【页面 ({{doc_path}}) 访问性能告警】\n','【页面访问性能告警】\n\n事件: {{doc_path}} 页面慢响应\n\n域名: {{host}}\n\n页面: {{doc_path}}\n\n页面平均响应时间: {{plt_avg}} ms\n\n时间: {{timestamp}}\n\n[查看详情]({{display_url}})\n\n[查看记录]({{record_url}})','{\"plt\":\"time:s\"}','1.0','2021-05-28 11:55:06','2021-05-28 11:55:07',0),(5236,'页面访问性能告警','app_browser','app_browser_page_req','email','alert','【页面 ({{doc_path}}) 访问性能告警】\n','【页面访问性能告警】\n\n事件: {{doc_path}} 页面慢响应\n\n域名: {{host}}\n\n页面: {{doc_path}}\n\n页面平均响应时间: {{plt_avg}} ms\n\n时间: {{timestamp}}\n\n[查看详情]({{display_url}})\n\n[查看记录]({{record_url}})','{\"plt\":\"time:s\"}','1.0','2021-05-28 11:55:06','2021-05-28 11:55:07',0),(5237,'页面访问性能告警','app_browser','app_browser_page_req','mbox','alert','【页面 ({{doc_path}}) 访问性能告警】\n','【页面访问性能告警】\n\n事件: {{doc_path}} 页面慢响应\n\n域名: {{host}}\n\n页面: {{doc_path}}\n\n页面平均响应时间: {{plt_avg}} ms\n\n时间: {{timestamp}}\n\n[查看详情]({{display_url}})\n\n[查看记录]({{record_url}})','{\"plt\":\"time:s\"}','1.0','2021-05-28 11:55:06','2021-05-28 11:55:07',0),(5238,'页面访问性能告警','app_browser','app_browser_page_req','webhook','alert','【页面 ({{doc_path}}) 访问性能告警】\n','【页面访问性能告警】\n\n事件: {{doc_path}} 页面慢响应\n\n域名: {{host}}\n\n页面: {{doc_path}}\n\n页面平均响应时间: {{plt_avg}} ms\n\n时间: {{timestamp}}\n\n[查看详情]({{display_url}})\n\n[查看记录]({{record_url}})','{\"plt\":\"time:s\"}','1.0','2021-05-28 11:55:06','2021-05-28 11:55:07',0),(5239,'脚本错误告警','app_browser','app_browser_script_error','dingding','alert','【页面 ({{doc_path}}) 脚本错误告警】','【脚本错误告警】\n\n事件: {{window}} 分钟内，脚本错误次数: {{count_sum}}\n\n访问域名：{{host}}\n\n访问页面：{{doc_path}}\n\n时间: {{timestamp}}\n\n[查看详情]({{display_url}})\n\n[查看记录]({{record_url}})\n','{\"count\":\"string\"}','1.0','2021-05-28 11:55:06','2021-05-28 11:55:07',0),(5240,'脚本错误告警','app_browser','app_browser_script_error','ticket','alert','【页面 ({{doc_path}}) 脚本错误告警】','【脚本错误告警】\n\n事件: {{window}} 分钟内，脚本错误次数: {{count_sum}}\n\n访问域名：{{host}}\n\n访问页面：{{doc_path}}\n\n时间: {{timestamp}}\n\n[查看详情]({{display_url}})\n\n[查看记录]({{record_url}})\n','{\"count\":\"string\"}','1.0','2021-05-28 11:55:06','2021-05-28 11:55:07',0),(5241,'脚本错误告警','app_browser','app_browser_script_error','email','alert','【页面 ({{doc_path}}) 脚本错误告警】','【脚本错误告警】\n\n事件: {{window}} 分钟内，脚本错误次数: {{count_sum}}\n\n访问域名：{{host}}\n\n访问页面：{{doc_path}}\n\n时间: {{timestamp}}\n\n[查看详情]({{display_url}})\n\n[查看记录]({{record_url}})\n','{\"count\":\"string\"}','1.0','2021-05-28 11:55:06','2021-05-28 11:55:07',0),(5242,'脚本错误告警','app_browser','app_browser_script_error','mbox','alert','【页面 ({{doc_path}}) 脚本错误告警】','【脚本错误告警】\n\n事件: {{window}} 分钟内，脚本错误次数: {{count_sum}}\n\n访问域名：{{host}}\n\n访问页面：{{doc_path}}\n\n时间: {{timestamp}}\n\n[查看详情]({{display_url}})\n\n[查看记录]({{record_url}})\n','{\"count\":\"string\"}','1.0','2021-05-28 11:55:06','2021-05-28 11:55:07',0),(5243,'脚本错误告警','app_browser','app_browser_script_error','webhook','alert','【页面 ({{doc_path}}) 脚本错误告警】','【脚本错误告警】\n\n事件: {{window}} 分钟内，脚本错误次数: {{count_sum}}\n\n访问域名：{{host}}\n\n访问页面：{{doc_path}}\n\n时间: {{timestamp}}\n\n[查看详情]({{display_url}})\n\n[查看记录]({{record_url}})\n','{\"count\":\"string\"}','1.0','2021-05-28 11:55:06','2021-05-28 11:55:07',0),(5244,'应用异常','app_exception','app_exception_count','dingding','alert','【{{application_name}}应用{{service_name}}服务异常告警】\n','【应用异常告警】\n\n项目: {{project_name}}\n\n应用: {{application_name}}\n\n服务: {{runtime_name}} - {{service_name}}\n\n实例: {{instance_id}}\n\n类: {{class}}\n\n方法: {{method}}\n\n行数: {{line}}\n\n错误: {{type}}\n\n事件: {{window}}分钟内出现 {{count_sum}} 次\n\n时间: {{timestamp}}\n\n[查看详情]({{display_url}})\n\n[查看记录]({{record_url}})\n','','1.0','2021-05-28 11:55:06','2021-05-28 11:55:07',0),(5245,'应用异常','app_exception','app_exception_count','ticket','alert','【{{application_name}}应用{{service_name}}服务异常告警】\n','【应用异常告警】\n\n项目: {{project_name}}\n\n应用: {{application_name}}\n\n服务: {{runtime_name}} - {{service_name}}\n\n实例: {{instance_id}}\n\n类: {{class}}\n\n方法: {{method}}\n\n行数: {{line}}\n\n错误: {{type}}\n\n事件: {{window}}分钟内出现 {{count_sum}} 次\n\n时间: {{timestamp}}\n\n[查看详情]({{display_url}})\n\n[查看记录]({{record_url}})\n','','1.0','2021-05-28 11:55:06','2021-05-28 11:55:07',0),(5246,'应用异常','app_exception','app_exception_count','email','alert','【{{application_name}}应用{{service_name}}服务异常告警】\n','【应用异常告警】\n\n项目: {{project_name}}\n\n应用: {{application_name}}\n\n服务: {{runtime_name}} - {{service_name}}\n\n实例: {{instance_id}}\n\n类: {{class}}\n\n方法: {{method}}\n\n行数: {{line}}\n\n错误: {{type}}\n\n事件: {{window}}分钟内出现 {{count_sum}} 次\n\n时间: {{timestamp}}\n\n[查看详情]({{display_url}})\n\n[查看记录]({{record_url}})\n','','1.0','2021-05-28 11:55:06','2021-05-28 11:55:07',0),(5247,'应用异常','app_exception','app_exception_count','mbox','alert','【{{application_name}}应用{{service_name}}服务异常告警】\n','【应用异常告警】\n\n项目: {{project_name}}\n\n应用: {{application_name}}\n\n服务: {{runtime_name}} - {{service_name}}\n\n实例: {{instance_id}}\n\n类: {{class}}\n\n方法: {{method}}\n\n行数: {{line}}\n\n错误: {{type}}\n\n事件: {{window}}分钟内出现 {{count_sum}} 次\n\n时间: {{timestamp}}\n\n[查看详情]({{display_url}})\n\n[查看记录]({{record_url}})\n','','1.0','2021-05-28 11:55:06','2021-05-28 11:55:07',0),(5248,'应用异常','app_exception','app_exception_count','webhook','alert','【{{application_name}}应用{{service_name}}服务异常告警】\n','【应用异常告警】\n\n项目: {{project_name}}\n\n应用: {{application_name}}\n\n服务: {{runtime_name}} - {{service_name}}\n\n实例: {{instance_id}}\n\n类: {{class}}\n\n方法: {{method}}\n\n行数: {{line}}\n\n错误: {{type}}\n\n事件: {{window}}分钟内出现 {{count_sum}} 次\n\n时间: {{timestamp}}\n\n[查看详情]({{display_url}})\n\n[查看记录]({{record_url}})\n','','1.0','2021-05-28 11:55:06','2021-05-28 11:55:07',0),(5249,'应用异常','app_exception','app_exception_count','dingding','recover','【{{application_name}}应用{{service_name}}服务异常恢复】\n','【应用异常恢复】\n\n项目: {{project_name}}\n\n应用: {{application_name}}\n\n服务: {{runtime_name}} - {{service_name}}\n\n实例: {{instance_id}}\n\n类: {{class}}\n\n方法: {{method}}\n\n行数: {{line}}\n\n错误: {{type}}\n\n持续时间: {{trigger_duration_min}}\n\n恢复时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','','1.0','2021-05-28 11:55:06','2021-05-28 11:55:07',0),(5250,'应用异常','app_exception','app_exception_count','ticket','recover','【{{application_name}}应用{{service_name}}服务异常恢复】\n','【应用异常恢复】\n\n项目: {{project_name}}\n\n应用: {{application_name}}\n\n服务: {{runtime_name}} - {{service_name}}\n\n实例: {{instance_id}}\n\n类: {{class}}\n\n方法: {{method}}\n\n行数: {{line}}\n\n错误: {{type}}\n\n持续时间: {{trigger_duration_min}}\n\n恢复时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','','1.0','2021-05-28 11:55:06','2021-05-28 11:55:07',0),(5251,'应用异常','app_exception','app_exception_count','email','recover','【{{application_name}}应用{{service_name}}服务异常恢复】\n','【应用异常恢复】\n\n项目: {{project_name}}\n\n应用: {{application_name}}\n\n服务: {{runtime_name}} - {{service_name}}\n\n实例: {{instance_id}}\n\n类: {{class}}\n\n方法: {{method}}\n\n行数: {{line}}\n\n错误: {{type}}\n\n持续时间: {{trigger_duration_min}}\n\n恢复时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','','1.0','2021-05-28 11:55:06','2021-05-28 11:55:07',0),(5252,'应用异常','app_exception','app_exception_count','mbox','recover','【{{application_name}}应用{{service_name}}服务异常恢复】\n','【应用异常恢复】\n\n项目: {{project_name}}\n\n应用: {{application_name}}\n\n服务: {{runtime_name}} - {{service_name}}\n\n实例: {{instance_id}}\n\n类: {{class}}\n\n方法: {{method}}\n\n行数: {{line}}\n\n错误: {{type}}\n\n持续时间: {{trigger_duration_min}}\n\n恢复时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','','1.0','2021-05-28 11:55:06','2021-05-28 11:55:07',0),(5253,'应用异常','app_exception','app_exception_count','webhook','recover','【{{application_name}}应用{{service_name}}服务异常恢复】\n','【应用异常恢复】\n\n项目: {{project_name}}\n\n应用: {{application_name}}\n\n服务: {{runtime_name}} - {{service_name}}\n\n实例: {{instance_id}}\n\n类: {{class}}\n\n方法: {{method}}\n\n行数: {{line}}\n\n错误: {{type}}\n\n持续时间: {{trigger_duration_min}}\n\n恢复时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','','1.0','2021-05-28 11:55:06','2021-05-28 11:55:07',0),(5254,'应用实例CPU使用率异常','app_resource','app_resource_container_cpu','dingding','alert','【{{application_name}}应用{{service_name}}服务实例CPU使用率告警】\n','【应用实例CPU使用率异常告警】\n\n项目: {{project_name}}\n\n应用: {{application_name}}\n\n服务实例: {{runtime_name}} - {{service_name}}.{{container_id}}\n\nCPU平均使用率: {{cpu_usage_percent_avg}}\n\nCPU限制: {{cpu_limit_value}}核\n\n机器: {{host_ip}}\n\n时间: {{timestamp}}\n\n[查看详情]({{display_url}})\n\n[查看记录]({{record_url}})\n','{\"container_id\":\"string:6\",\"cpu_limit_value\":\"fraction:1\",\"cpu_usage_percent_avg\":\"percent:1\"}','1.0','2021-05-28 11:55:06','2021-05-28 11:55:07',0),(5255,'应用实例CPU使用率异常','app_resource','app_resource_container_cpu','ticket','alert','【{{application_name}}应用{{service_name}}服务实例CPU使用率告警】\n','【应用实例CPU使用率异常告警】\n\n项目: {{project_name}}\n\n应用: {{application_name}}\n\n服务实例: {{runtime_name}} - {{service_name}}.{{container_id}}\n\nCPU平均使用率: {{cpu_usage_percent_avg}}\n\nCPU限制: {{cpu_limit_value}}核\n\n机器: {{host_ip}}\n\n时间: {{timestamp}}\n\n[查看详情]({{display_url}})\n\n[查看记录]({{record_url}})\n','{\"container_id\":\"string:6\",\"cpu_limit_value\":\"fraction:1\",\"cpu_usage_percent_avg\":\"percent:1\"}','1.0','2021-05-28 11:55:06','2021-05-28 11:55:07',0),(5256,'应用实例CPU使用率异常','app_resource','app_resource_container_cpu','email','alert','【{{application_name}}应用{{service_name}}服务实例CPU使用率告警】\n','【应用实例CPU使用率异常告警】\n\n项目: {{project_name}}\n\n应用: {{application_name}}\n\n服务实例: {{runtime_name}} - {{service_name}}.{{container_id}}\n\nCPU平均使用率: {{cpu_usage_percent_avg}}\n\nCPU限制: {{cpu_limit_value}}核\n\n机器: {{host_ip}}\n\n时间: {{timestamp}}\n\n[查看详情]({{display_url}})\n\n[查看记录]({{record_url}})\n','{\"container_id\":\"string:6\",\"cpu_limit_value\":\"fraction:1\",\"cpu_usage_percent_avg\":\"percent:1\"}','1.0','2021-05-28 11:55:06','2021-05-28 11:55:07',0),(5257,'应用实例CPU使用率异常','app_resource','app_resource_container_cpu','mbox','alert','【{{application_name}}应用{{service_name}}服务实例CPU使用率告警】\n','【应用实例CPU使用率异常告警】\n\n项目: {{project_name}}\n\n应用: {{application_name}}\n\n服务实例: {{runtime_name}} - {{service_name}}.{{container_id}}\n\nCPU平均使用率: {{cpu_usage_percent_avg}}\n\nCPU限制: {{cpu_limit_value}}核\n\n机器: {{host_ip}}\n\n时间: {{timestamp}}\n\n[查看详情]({{display_url}})\n\n[查看记录]({{record_url}})\n','{\"container_id\":\"string:6\",\"cpu_limit_value\":\"fraction:1\",\"cpu_usage_percent_avg\":\"percent:1\"}','1.0','2021-05-28 11:55:06','2021-05-28 11:55:07',0),(5258,'应用实例CPU使用率异常','app_resource','app_resource_container_cpu','webhook','alert','【{{application_name}}应用{{service_name}}服务实例CPU使用率告警】\n','【应用实例CPU使用率异常告警】\n\n项目: {{project_name}}\n\n应用: {{application_name}}\n\n服务实例: {{runtime_name}} - {{service_name}}.{{container_id}}\n\nCPU平均使用率: {{cpu_usage_percent_avg}}\n\nCPU限制: {{cpu_limit_value}}核\n\n机器: {{host_ip}}\n\n时间: {{timestamp}}\n\n[查看详情]({{display_url}})\n\n[查看记录]({{record_url}})\n','{\"container_id\":\"string:6\",\"cpu_limit_value\":\"fraction:1\",\"cpu_usage_percent_avg\":\"percent:1\"}','1.0','2021-05-28 11:55:06','2021-05-28 11:55:07',0),(5259,'应用实例CPU使用率恢复','app_resource','app_resource_container_cpu','dingding','recover','【{{application_name}}应用{{service_name}}服务实例CPU使用率恢复】\n','【应用实例CPU使用率恢复】\n\n项目: {{project_name}}\n\n应用: {{application_name}}\n\n服务实例: {{runtime_name}} - {{service_name}}.{{container_id}}\n\n平均使用率: {{cpu_usage_percent_avg}}\n\n机器: {{host_ip}}\n\n容器ID: {{container_id}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','{\"container_id\":\"string:6\",\"cpu_usage_percent_avg\":\"percent:1\",\"trigger_duration\":\"time:ms\"}','1.0','2021-05-28 11:55:06','2021-05-28 11:55:07',0),(5260,'应用实例CPU使用率恢复','app_resource','app_resource_container_cpu','ticket','recover','【{{application_name}}应用{{service_name}}服务实例CPU使用率恢复】\n','【应用实例CPU使用率恢复】\n\n项目: {{project_name}}\n\n应用: {{application_name}}\n\n服务实例: {{runtime_name}} - {{service_name}}.{{container_id}}\n\n平均使用率: {{cpu_usage_percent_avg}}\n\n机器: {{host_ip}}\n\n容器ID: {{container_id}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','{\"container_id\":\"string:6\",\"cpu_usage_percent_avg\":\"percent:1\",\"trigger_duration\":\"time:ms\"}','1.0','2021-05-28 11:55:06','2021-05-28 11:55:07',0),(5261,'应用实例CPU使用率恢复','app_resource','app_resource_container_cpu','email','recover','【{{application_name}}应用{{service_name}}服务实例CPU使用率恢复】\n','【应用实例CPU使用率恢复】\n\n项目: {{project_name}}\n\n应用: {{application_name}}\n\n服务实例: {{runtime_name}} - {{service_name}}.{{container_id}}\n\n平均使用率: {{cpu_usage_percent_avg}}\n\n机器: {{host_ip}}\n\n容器ID: {{container_id}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','{\"container_id\":\"string:6\",\"cpu_usage_percent_avg\":\"percent:1\",\"trigger_duration\":\"time:ms\"}','1.0','2021-05-28 11:55:06','2021-05-28 11:55:07',0),(5262,'应用实例CPU使用率恢复','app_resource','app_resource_container_cpu','mbox','recover','【{{application_name}}应用{{service_name}}服务实例CPU使用率恢复】\n','【应用实例CPU使用率恢复】\n\n项目: {{project_name}}\n\n应用: {{application_name}}\n\n服务实例: {{runtime_name}} - {{service_name}}.{{container_id}}\n\n平均使用率: {{cpu_usage_percent_avg}}\n\n机器: {{host_ip}}\n\n容器ID: {{container_id}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','{\"container_id\":\"string:6\",\"cpu_usage_percent_avg\":\"percent:1\",\"trigger_duration\":\"time:ms\"}','1.0','2021-05-28 11:55:06','2021-05-28 11:55:07',0),(5263,'应用实例CPU使用率恢复','app_resource','app_resource_container_cpu','webhook','recover','【{{application_name}}应用{{service_name}}服务实例CPU使用率恢复】\n','【应用实例CPU使用率恢复】\n\n项目: {{project_name}}\n\n应用: {{application_name}}\n\n服务实例: {{runtime_name}} - {{service_name}}.{{container_id}}\n\n平均使用率: {{cpu_usage_percent_avg}}\n\n机器: {{host_ip}}\n\n容器ID: {{container_id}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','{\"container_id\":\"string:6\",\"cpu_usage_percent_avg\":\"percent:1\",\"trigger_duration\":\"time:ms\"}','1.0','2021-05-28 11:55:06','2021-05-28 11:55:07',0),(5264,'应用实例内存使用率异常','app_resource','app_resource_container_mem','dingding','alert','【{{application_name}}应用{{service_name}}服务内存使用率异常告警】\n','【应用实例内存使用率异常告警】\n\n项目: {{project_name}}\n\n应用: {{application_name}}\n\n服务实例: {{runtime_name}} - {{service_name}}.{{container_id}}\n\n内存使用率: {{mem_usage_percent_avg}}\n\n内存使用: {{mem_usage_value}}\n\n内存限制: {{mem_limit_value}}\n\n机器: {{host_ip}}\n\n时间: {{timestamp}}\n\n[查看详情]({{display_url}})\n\n[查看记录]({{record_url}})\n','{\"container_id\":\"string:6\",\"mem_limit_value\":\"size:byte\",\"mem_usage_percent_avg\":\"percent:1\",\"mem_usage_value\":\"size:byte\"}','1.0','2021-05-28 11:55:06','2021-05-28 11:55:07',0),(5265,'应用实例内存使用率异常','app_resource','app_resource_container_mem','ticket','alert','【{{application_name}}应用{{service_name}}服务内存使用率异常告警】\n','【应用实例内存使用率异常告警】\n\n项目: {{project_name}}\n\n应用: {{application_name}}\n\n服务实例: {{runtime_name}} - {{service_name}}.{{container_id}}\n\n内存使用率: {{mem_usage_percent_avg}}\n\n内存使用: {{mem_usage_value}}\n\n内存限制: {{mem_limit_value}}\n\n机器: {{host_ip}}\n\n时间: {{timestamp}}\n\n[查看详情]({{display_url}})\n\n[查看记录]({{record_url}})\n','{\"container_id\":\"string:6\",\"mem_limit_value\":\"size:byte\",\"mem_usage_percent_avg\":\"percent:1\",\"mem_usage_value\":\"size:byte\"}','1.0','2021-05-28 11:55:06','2021-05-28 11:55:07',0),(5266,'应用实例内存使用率异常','app_resource','app_resource_container_mem','email','alert','【{{application_name}}应用{{service_name}}服务内存使用率异常告警】\n','【应用实例内存使用率异常告警】\n\n项目: {{project_name}}\n\n应用: {{application_name}}\n\n服务实例: {{runtime_name}} - {{service_name}}.{{container_id}}\n\n内存使用率: {{mem_usage_percent_avg}}\n\n内存使用: {{mem_usage_value}}\n\n内存限制: {{mem_limit_value}}\n\n机器: {{host_ip}}\n\n时间: {{timestamp}}\n\n[查看详情]({{display_url}})\n\n[查看记录]({{record_url}})\n','{\"container_id\":\"string:6\",\"mem_limit_value\":\"size:byte\",\"mem_usage_percent_avg\":\"percent:1\",\"mem_usage_value\":\"size:byte\"}','1.0','2021-05-28 11:55:06','2021-05-28 11:55:07',0),(5267,'应用实例内存使用率异常','app_resource','app_resource_container_mem','mbox','alert','【{{application_name}}应用{{service_name}}服务内存使用率异常告警】\n','【应用实例内存使用率异常告警】\n\n项目: {{project_name}}\n\n应用: {{application_name}}\n\n服务实例: {{runtime_name}} - {{service_name}}.{{container_id}}\n\n内存使用率: {{mem_usage_percent_avg}}\n\n内存使用: {{mem_usage_value}}\n\n内存限制: {{mem_limit_value}}\n\n机器: {{host_ip}}\n\n时间: {{timestamp}}\n\n[查看详情]({{display_url}})\n\n[查看记录]({{record_url}})\n','{\"container_id\":\"string:6\",\"mem_limit_value\":\"size:byte\",\"mem_usage_percent_avg\":\"percent:1\",\"mem_usage_value\":\"size:byte\"}','1.0','2021-05-28 11:55:06','2021-05-28 11:55:07',0),(5268,'应用实例内存使用率异常','app_resource','app_resource_container_mem','webhook','alert','【{{application_name}}应用{{service_name}}服务内存使用率异常告警】\n','【应用实例内存使用率异常告警】\n\n项目: {{project_name}}\n\n应用: {{application_name}}\n\n服务实例: {{runtime_name}} - {{service_name}}.{{container_id}}\n\n内存使用率: {{mem_usage_percent_avg}}\n\n内存使用: {{mem_usage_value}}\n\n内存限制: {{mem_limit_value}}\n\n机器: {{host_ip}}\n\n时间: {{timestamp}}\n\n[查看详情]({{display_url}})\n\n[查看记录]({{record_url}})\n','{\"container_id\":\"string:6\",\"mem_limit_value\":\"size:byte\",\"mem_usage_percent_avg\":\"percent:1\",\"mem_usage_value\":\"size:byte\"}','1.0','2021-05-28 11:55:06','2021-05-28 11:55:07',0),(5269,'应用实例内存异常','app_resource','app_resource_container_mem','dingding','recover','【{{application_name}}应用{{service_name}}服务内存使用率异常恢复】\n','【应用实例内存使用率异常恢复】\n\n项目: {{project_name}}\n\n应用: {{application_name}}\n\n服务实例: {{runtime_name}} - {{service_name}}.{{container_id}}\n\n内存使用率: {{mem_usage_percent_avg}}\n\n内存使用: {{mem_usage_value}}\n\n内存限制: {{mem_limit_value}}\n\n机器: {{host_ip}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','{\"container_id\":\"string:6\",\"mem_usage_percent_avg\":\"percent:1\",\"trigger_duration\":\"time:ms\"}','1.0','2021-05-28 11:55:06','2021-05-28 11:55:07',0),(5270,'应用实例内存异常','app_resource','app_resource_container_mem','ticket','recover','【{{application_name}}应用{{service_name}}服务内存使用率异常恢复】\n','【应用实例内存使用率异常恢复】\n\n项目: {{project_name}}\n\n应用: {{application_name}}\n\n服务实例: {{runtime_name}} - {{service_name}}.{{container_id}}\n\n内存使用率: {{mem_usage_percent_avg}}\n\n内存使用: {{mem_usage_value}}\n\n内存限制: {{mem_limit_value}}\n\n机器: {{host_ip}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','{\"container_id\":\"string:6\",\"mem_usage_percent_avg\":\"percent:1\",\"trigger_duration\":\"time:ms\"}','1.0','2021-05-28 11:55:06','2021-05-28 11:55:07',0),(5271,'应用实例内存异常','app_resource','app_resource_container_mem','email','recover','【{{application_name}}应用{{service_name}}服务内存使用率异常恢复】\n','【应用实例内存使用率异常恢复】\n\n项目: {{project_name}}\n\n应用: {{application_name}}\n\n服务实例: {{runtime_name}} - {{service_name}}.{{container_id}}\n\n内存使用率: {{mem_usage_percent_avg}}\n\n内存使用: {{mem_usage_value}}\n\n内存限制: {{mem_limit_value}}\n\n机器: {{host_ip}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','{\"container_id\":\"string:6\",\"mem_usage_percent_avg\":\"percent:1\",\"trigger_duration\":\"time:ms\"}','1.0','2021-05-28 11:55:06','2021-05-28 11:55:07',0),(5272,'应用实例内存异常','app_resource','app_resource_container_mem','mbox','recover','【{{application_name}}应用{{service_name}}服务内存使用率异常恢复】\n','【应用实例内存使用率异常恢复】\n\n项目: {{project_name}}\n\n应用: {{application_name}}\n\n服务实例: {{runtime_name}} - {{service_name}}.{{container_id}}\n\n内存使用率: {{mem_usage_percent_avg}}\n\n内存使用: {{mem_usage_value}}\n\n内存限制: {{mem_limit_value}}\n\n机器: {{host_ip}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','{\"container_id\":\"string:6\",\"mem_usage_percent_avg\":\"percent:1\",\"trigger_duration\":\"time:ms\"}','1.0','2021-05-28 11:55:06','2021-05-28 11:55:07',0),(5273,'应用实例内存异常','app_resource','app_resource_container_mem','webhook','recover','【{{application_name}}应用{{service_name}}服务内存使用率异常恢复】\n','【应用实例内存使用率异常恢复】\n\n项目: {{project_name}}\n\n应用: {{application_name}}\n\n服务实例: {{runtime_name}} - {{service_name}}.{{container_id}}\n\n内存使用率: {{mem_usage_percent_avg}}\n\n内存使用: {{mem_usage_value}}\n\n内存限制: {{mem_limit_value}}\n\n机器: {{host_ip}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','{\"container_id\":\"string:6\",\"mem_usage_percent_avg\":\"percent:1\",\"trigger_duration\":\"time:ms\"}','1.0','2021-05-28 11:55:06','2021-05-28 11:55:07',0),(5274,'应用实例OOM告警','app_resource','app_resource_container_oom','dingding','alert','【{{application_name}}应用{{service_name}}服务实例OOM告警】\n','【应用实例OOM告警】\n\n项目: {{project_name}}\n\n应用: {{application_name}}\n\n服务实例: {{runtime_name}} - {{service_name}}.{{container_id}}\n\n事件: 服务实例发生OOM\n\n机器: {{host_ip}}\n\n时间: {{timestamp}}\n\n[查看详情]({{display_url}})\n\n[查看记录]({{record_url}})\n','{\"container_id\":\"string:6\"}','1.0','2021-05-28 11:55:06','2021-05-28 11:55:07',0),(5275,'应用实例OOM告警','app_resource','app_resource_container_oom','ticket','alert','【{{application_name}}应用{{service_name}}服务实例OOM告警】\n','【应用实例OOM告警】\n\n项目: {{project_name}}\n\n应用: {{application_name}}\n\n服务实例: {{runtime_name}} - {{service_name}}.{{container_id}}\n\n事件: 服务实例发生OOM\n\n机器: {{host_ip}}\n\n时间: {{timestamp}}\n\n[查看详情]({{display_url}})\n\n[查看记录]({{record_url}})\n','{\"container_id\":\"string:6\"}','1.0','2021-05-28 11:55:06','2021-05-28 11:55:07',0),(5276,'应用实例OOM告警','app_resource','app_resource_container_oom','email','alert','【{{application_name}}应用{{service_name}}服务实例OOM告警】\n','【应用实例OOM告警】\n\n项目: {{project_name}}\n\n应用: {{application_name}}\n\n服务实例: {{runtime_name}} - {{service_name}}.{{container_id}}\n\n事件: 服务实例发生OOM\n\n机器: {{host_ip}}\n\n时间: {{timestamp}}\n\n[查看详情]({{display_url}})\n\n[查看记录]({{record_url}})\n','{\"container_id\":\"string:6\"}','1.0','2021-05-28 11:55:06','2021-05-28 11:55:07',0),(5277,'应用实例OOM告警','app_resource','app_resource_container_oom','mbox','alert','【{{application_name}}应用{{service_name}}服务实例OOM告警】\n','【应用实例OOM告警】\n\n项目: {{project_name}}\n\n应用: {{application_name}}\n\n服务实例: {{runtime_name}} - {{service_name}}.{{container_id}}\n\n事件: 服务实例发生OOM\n\n机器: {{host_ip}}\n\n时间: {{timestamp}}\n\n[查看详情]({{display_url}})\n\n[查看记录]({{record_url}})\n','{\"container_id\":\"string:6\"}','1.0','2021-05-28 11:55:06','2021-05-28 11:55:07',0),(5278,'应用实例OOM告警','app_resource','app_resource_container_oom','webhook','alert','【{{application_name}}应用{{service_name}}服务实例OOM告警】\n','【应用实例OOM告警】\n\n项目: {{project_name}}\n\n应用: {{application_name}}\n\n服务实例: {{runtime_name}} - {{service_name}}.{{container_id}}\n\n事件: 服务实例发生OOM\n\n机器: {{host_ip}}\n\n时间: {{timestamp}}\n\n[查看详情]({{display_url}})\n\n[查看记录]({{record_url}})\n','{\"container_id\":\"string:6\"}','1.0','2021-05-28 11:55:06','2021-05-28 11:55:07',0),(5279,'应用JVM GC次数异常','app_resource','app_resource_jvm_gc_count','dingding','alert','【{{application_name}}应用{{service_name}}服务JVM GC次数异常告警】\n','【应用JVM GC次数异常告警】\n\n实例GC次数太多 !\n\n项目: {{project_name}}\n\n应用: {{application_name}}\n\n服务: {{runtime_name}} / {{service_name}}\n\n老年代GC次数: {{count_sum}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n时间: {{timestamp}}\n\n[查看详情]({{display_url}})\n\n[查看记录]({{record_url}})\n','','1.0','2021-05-28 11:55:06','2021-05-28 11:55:07',0),(5280,'应用JVM GC次数异常','app_resource','app_resource_jvm_gc_count','ticket','alert','【{{application_name}}应用{{service_name}}服务JVM GC次数异常告警】\n','【应用JVM GC次数异常告警】\n\n实例GC次数太多 !\n\n项目: {{project_name}}\n\n应用: {{application_name}}\n\n服务: {{runtime_name}} / {{service_name}}\n\n老年代GC次数: {{count_sum}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n时间: {{timestamp}}\n\n[查看详情]({{display_url}})\n\n[查看记录]({{record_url}})\n','','1.0','2021-05-28 11:55:06','2021-05-28 11:55:07',0),(5281,'应用JVM GC次数异常','app_resource','app_resource_jvm_gc_count','email','alert','【{{application_name}}应用{{service_name}}服务JVM GC次数异常告警】\n','【应用JVM GC次数异常告警】\n\n实例GC次数太多 !\n\n项目: {{project_name}}\n\n应用: {{application_name}}\n\n服务: {{runtime_name}} / {{service_name}}\n\n老年代GC次数: {{count_sum}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n时间: {{timestamp}}\n\n[查看详情]({{display_url}})\n\n[查看记录]({{record_url}})\n','','1.0','2021-05-28 11:55:06','2021-05-28 11:55:07',0),(5282,'应用JVM GC次数异常','app_resource','app_resource_jvm_gc_count','mbox','alert','【{{application_name}}应用{{service_name}}服务JVM GC次数异常告警】\n','【应用JVM GC次数异常告警】\n\n实例GC次数太多 !\n\n项目: {{project_name}}\n\n应用: {{application_name}}\n\n服务: {{runtime_name}} / {{service_name}}\n\n老年代GC次数: {{count_sum}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n时间: {{timestamp}}\n\n[查看详情]({{display_url}})\n\n[查看记录]({{record_url}})\n','','1.0','2021-05-28 11:55:06','2021-05-28 11:55:07',0),(5283,'应用JVM GC次数异常','app_resource','app_resource_jvm_gc_count','webhook','alert','【{{application_name}}应用{{service_name}}服务JVM GC次数异常告警】\n','【应用JVM GC次数异常告警】\n\n实例GC次数太多 !\n\n项目: {{project_name}}\n\n应用: {{application_name}}\n\n服务: {{runtime_name}} / {{service_name}}\n\n老年代GC次数: {{count_sum}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n时间: {{timestamp}}\n\n[查看详情]({{display_url}})\n\n[查看记录]({{record_url}})\n','','1.0','2021-05-28 11:55:06','2021-05-28 11:55:07',0),(5284,'应用JVM GC次数异常','app_resource','app_resource_jvm_gc_count','dingding','recover','【{{application_name}}应用{{service_name}}服务JVM GC次数异常恢复】\n','【应用JVM GC次数异常恢复】\n\n实例GC次数已恢复正常值 .\n\n项目: {{project_name}}\n\n应用: {{application_name}}\n\n服务: {{runtime_name}} / {{service_name}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n持续时间: {{trigger_duration_min}}\n\n恢复时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','','1.0','2021-05-28 11:55:06','2021-05-28 11:55:07',0),(5285,'应用JVM GC次数异常','app_resource','app_resource_jvm_gc_count','ticket','recover','【{{application_name}}应用{{service_name}}服务JVM GC次数异常恢复】\n','【应用JVM GC次数异常恢复】\n\n实例GC次数已恢复正常值 .\n\n项目: {{project_name}}\n\n应用: {{application_name}}\n\n服务: {{runtime_name}} / {{service_name}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n持续时间: {{trigger_duration_min}}\n\n恢复时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','','1.0','2021-05-28 11:55:06','2021-05-28 11:55:07',0),(5286,'应用JVM GC次数异常','app_resource','app_resource_jvm_gc_count','email','recover','【{{application_name}}应用{{service_name}}服务JVM GC次数异常恢复】\n','【应用JVM GC次数异常恢复】\n\n实例GC次数已恢复正常值 .\n\n项目: {{project_name}}\n\n应用: {{application_name}}\n\n服务: {{runtime_name}} / {{service_name}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n持续时间: {{trigger_duration_min}}\n\n恢复时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','','1.0','2021-05-28 11:55:06','2021-05-28 11:55:07',0),(5287,'应用JVM GC次数异常','app_resource','app_resource_jvm_gc_count','mbox','recover','【{{application_name}}应用{{service_name}}服务JVM GC次数异常恢复】\n','【应用JVM GC次数异常恢复】\n\n实例GC次数已恢复正常值 .\n\n项目: {{project_name}}\n\n应用: {{application_name}}\n\n服务: {{runtime_name}} / {{service_name}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n持续时间: {{trigger_duration_min}}\n\n恢复时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','','1.0','2021-05-28 11:55:06','2021-05-28 11:55:07',0),(5288,'应用JVM GC次数异常','app_resource','app_resource_jvm_gc_count','webhook','recover','【{{application_name}}应用{{service_name}}服务JVM GC次数异常恢复】\n','【应用JVM GC次数异常恢复】\n\n实例GC次数已恢复正常值 .\n\n项目: {{project_name}}\n\n应用: {{application_name}}\n\n服务: {{runtime_name}} / {{service_name}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n持续时间: {{trigger_duration_min}}\n\n恢复时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','','1.0','2021-05-28 11:55:06','2021-05-28 11:55:07',0),(5289,'应用JVM GC耗时异常','app_resource','app_resource_jvm_gc_time','dingding','alert','【{{application_name}}应用{{service_name}}服务JVM GC耗时异常告警】\n','【应用JVM GC耗时异常告警】\n\n实例GC耗时过长 !\n\n项目: {{project_name}}\n\n应用: {{application_name}}\n\n服务: {{runtime_name}} / {{service_name}}\n\n老年代GC耗时: 总耗时{{time_sum}}，最长一次耗时{{time_value}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n时间: {{timestamp}}\n\n[查看详情]({{display_url}})\n\n[查看记录]({{record_url}})\n','{\"time_sum\":\"time:ms\",\"time_value\":\"time:ms\"}','1.0','2021-05-28 11:55:06','2021-05-28 11:55:07',0),(5290,'应用JVM GC耗时异常','app_resource','app_resource_jvm_gc_time','ticket','alert','【{{application_name}}应用{{service_name}}服务JVM GC耗时异常告警】\n','【应用JVM GC耗时异常告警】\n\n实例GC耗时过长 !\n\n项目: {{project_name}}\n\n应用: {{application_name}}\n\n服务: {{runtime_name}} / {{service_name}}\n\n老年代GC耗时: 总耗时{{time_sum}}，最长一次耗时{{time_value}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n时间: {{timestamp}}\n\n[查看详情]({{display_url}})\n\n[查看记录]({{record_url}})\n','{\"time_sum\":\"time:ms\",\"time_value\":\"time:ms\"}','1.0','2021-05-28 11:55:06','2021-05-28 11:55:07',0),(5291,'应用JVM GC耗时异常','app_resource','app_resource_jvm_gc_time','email','alert','【{{application_name}}应用{{service_name}}服务JVM GC耗时异常告警】\n','【应用JVM GC耗时异常告警】\n\n实例GC耗时过长 !\n\n项目: {{project_name}}\n\n应用: {{application_name}}\n\n服务: {{runtime_name}} / {{service_name}}\n\n老年代GC耗时: 总耗时{{time_sum}}，最长一次耗时{{time_value}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n时间: {{timestamp}}\n\n[查看详情]({{display_url}})\n\n[查看记录]({{record_url}})\n','{\"time_sum\":\"time:ms\",\"time_value\":\"time:ms\"}','1.0','2021-05-28 11:55:06','2021-05-28 11:55:07',0),(5292,'应用JVM GC耗时异常','app_resource','app_resource_jvm_gc_time','mbox','alert','【{{application_name}}应用{{service_name}}服务JVM GC耗时异常告警】\n','【应用JVM GC耗时异常告警】\n\n实例GC耗时过长 !\n\n项目: {{project_name}}\n\n应用: {{application_name}}\n\n服务: {{runtime_name}} / {{service_name}}\n\n老年代GC耗时: 总耗时{{time_sum}}，最长一次耗时{{time_value}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n时间: {{timestamp}}\n\n[查看详情]({{display_url}})\n\n[查看记录]({{record_url}})\n','{\"time_sum\":\"time:ms\",\"time_value\":\"time:ms\"}','1.0','2021-05-28 11:55:06','2021-05-28 11:55:07',0),(5293,'应用JVM GC耗时异常','app_resource','app_resource_jvm_gc_time','webhook','alert','【{{application_name}}应用{{service_name}}服务JVM GC耗时异常告警】\n','【应用JVM GC耗时异常告警】\n\n实例GC耗时过长 !\n\n项目: {{project_name}}\n\n应用: {{application_name}}\n\n服务: {{runtime_name}} / {{service_name}}\n\n老年代GC耗时: 总耗时{{time_sum}}，最长一次耗时{{time_value}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n时间: {{timestamp}}\n\n[查看详情]({{display_url}})\n\n[查看记录]({{record_url}})\n','{\"time_sum\":\"time:ms\",\"time_value\":\"time:ms\"}','1.0','2021-05-28 11:55:06','2021-05-28 11:55:07',0),(5294,'应用JVM GC耗时异常','app_resource','app_resource_jvm_gc_time','dingding','recover','【{{application_name}}应用{{service_name}}服务JVM GC耗时异常恢复】\n','【应用JVM GC耗时异常恢复】\n\n实例GC耗时已恢复正常值 .\n\n项目: {{project_name}}\n\n应用: {{application_name}}\n\n服务: {{runtime_name}} / {{service_name}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n持续时间: {{trigger_duration_min}}\n\n恢复时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','','1.0','2021-05-28 11:55:06','2021-05-28 11:55:07',0),(5295,'应用JVM GC耗时异常','app_resource','app_resource_jvm_gc_time','ticket','recover','【{{application_name}}应用{{service_name}}服务JVM GC耗时异常恢复】\n','【应用JVM GC耗时异常恢复】\n\n实例GC耗时已恢复正常值 .\n\n项目: {{project_name}}\n\n应用: {{application_name}}\n\n服务: {{runtime_name}} / {{service_name}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n持续时间: {{trigger_duration_min}}\n\n恢复时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','','1.0','2021-05-28 11:55:06','2021-05-28 11:55:07',0),(5296,'应用JVM GC耗时异常','app_resource','app_resource_jvm_gc_time','email','recover','【{{application_name}}应用{{service_name}}服务JVM GC耗时异常恢复】\n','【应用JVM GC耗时异常恢复】\n\n实例GC耗时已恢复正常值 .\n\n项目: {{project_name}}\n\n应用: {{application_name}}\n\n服务: {{runtime_name}} / {{service_name}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n持续时间: {{trigger_duration_min}}\n\n恢复时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','','1.0','2021-05-28 11:55:06','2021-05-28 11:55:07',0),(5297,'应用JVM GC耗时异常','app_resource','app_resource_jvm_gc_time','mbox','recover','【{{application_name}}应用{{service_name}}服务JVM GC耗时异常恢复】\n','【应用JVM GC耗时异常恢复】\n\n实例GC耗时已恢复正常值 .\n\n项目: {{project_name}}\n\n应用: {{application_name}}\n\n服务: {{runtime_name}} / {{service_name}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n持续时间: {{trigger_duration_min}}\n\n恢复时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','','1.0','2021-05-28 11:55:06','2021-05-28 11:55:07',0),(5298,'应用JVM GC耗时异常','app_resource','app_resource_jvm_gc_time','webhook','recover','【{{application_name}}应用{{service_name}}服务JVM GC耗时异常恢复】\n','【应用JVM GC耗时异常恢复】\n\n实例GC耗时已恢复正常值 .\n\n项目: {{project_name}}\n\n应用: {{application_name}}\n\n服务: {{runtime_name}} / {{service_name}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n持续时间: {{trigger_duration_min}}\n\n恢复时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','','1.0','2021-05-28 11:55:06','2021-05-28 11:55:07',0),(5299,'JVM堆内存使用异常告警','app_resource','app_resource_jvm_heap','dingding','alert','【{{application_name}}应用{{service_name}}服务JVM堆内存使用异常告警】','【JVM堆内存使用异常告警】\n\n实例JVM堆内存使用过高 ！\n\n项目: {{project_name}}\n\n应用: {{application_name}}\n\n服务: {{runtime_name}} / {{service_name}}\n\n实例: {{instance_id}}\n\n堆内存使用率: {{usage_percent_avg}}\n\n已使用: {{used_value}}\n\n最大使用: {{max_value}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n时间: {{timestamp}}\n\n[查看详情]({{display_url}})\n\n[查看记录]({{record_url}})\n','{\"max_value\":\"size:byte\",\"usage_percent_avg\":\"percent\",\"used_value\":\"size:byte\"}','1.0','2021-05-28 11:55:06','2021-05-28 11:55:07',0),(5300,'JVM堆内存使用异常告警','app_resource','app_resource_jvm_heap','ticket','alert','【{{application_name}}应用{{service_name}}服务JVM堆内存使用异常告警】','【JVM堆内存使用异常告警】\n\n实例JVM堆内存使用过高 ！\n\n项目: {{project_name}}\n\n应用: {{application_name}}\n\n服务: {{runtime_name}} / {{service_name}}\n\n实例: {{instance_id}}\n\n堆内存使用率: {{usage_percent_avg}}\n\n已使用: {{used_value}}\n\n最大使用: {{max_value}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n时间: {{timestamp}}\n\n[查看详情]({{display_url}})\n\n[查看记录]({{record_url}})\n','{\"max_value\":\"size:byte\",\"usage_percent_avg\":\"percent\",\"used_value\":\"size:byte\"}','1.0','2021-05-28 11:55:06','2021-05-28 11:55:07',0),(5301,'JVM堆内存使用异常告警','app_resource','app_resource_jvm_heap','email','alert','【{{application_name}}应用{{service_name}}服务JVM堆内存使用异常告警】','【JVM堆内存使用异常告警】\n\n实例JVM堆内存使用过高 ！\n\n项目: {{project_name}}\n\n应用: {{application_name}}\n\n服务: {{runtime_name}} / {{service_name}}\n\n实例: {{instance_id}}\n\n堆内存使用率: {{usage_percent_avg}}\n\n已使用: {{used_value}}\n\n最大使用: {{max_value}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n时间: {{timestamp}}\n\n[查看详情]({{display_url}})\n\n[查看记录]({{record_url}})\n','{\"max_value\":\"size:byte\",\"usage_percent_avg\":\"percent\",\"used_value\":\"size:byte\"}','1.0','2021-05-28 11:55:06','2021-05-28 11:55:07',0),(5302,'JVM堆内存使用异常告警','app_resource','app_resource_jvm_heap','mbox','alert','【{{application_name}}应用{{service_name}}服务JVM堆内存使用异常告警】','【JVM堆内存使用异常告警】\n\n实例JVM堆内存使用过高 ！\n\n项目: {{project_name}}\n\n应用: {{application_name}}\n\n服务: {{runtime_name}} / {{service_name}}\n\n实例: {{instance_id}}\n\n堆内存使用率: {{usage_percent_avg}}\n\n已使用: {{used_value}}\n\n最大使用: {{max_value}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n时间: {{timestamp}}\n\n[查看详情]({{display_url}})\n\n[查看记录]({{record_url}})\n','{\"max_value\":\"size:byte\",\"usage_percent_avg\":\"percent\",\"used_value\":\"size:byte\"}','1.0','2021-05-28 11:55:06','2021-05-28 11:55:07',0),(5303,'JVM堆内存使用异常告警','app_resource','app_resource_jvm_heap','webhook','alert','【{{application_name}}应用{{service_name}}服务JVM堆内存使用异常告警】','【JVM堆内存使用异常告警】\n\n实例JVM堆内存使用过高 ！\n\n项目: {{project_name}}\n\n应用: {{application_name}}\n\n服务: {{runtime_name}} / {{service_name}}\n\n实例: {{instance_id}}\n\n堆内存使用率: {{usage_percent_avg}}\n\n已使用: {{used_value}}\n\n最大使用: {{max_value}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n时间: {{timestamp}}\n\n[查看详情]({{display_url}})\n\n[查看记录]({{record_url}})\n','{\"max_value\":\"size:byte\",\"usage_percent_avg\":\"percent\",\"used_value\":\"size:byte\"}','1.0','2021-05-28 11:55:06','2021-05-28 11:55:07',0),(5304,'JVM堆内存使用异常恢复','app_resource','app_resource_jvm_heap','dingding','recover','【{{application_name}}应用{{service_name}}服务JVM堆内存使用异常恢复】','【JVM堆内存使用异常恢复】\n\n实例JVM堆内存已恢复恢复正常使用状态 .\n\n项目: {{project_name}}\n\n应用: {{application_name}}\n\n服务: {{runtime_name}} / {{service_name}}\n\n实例: {{instance_id}}\n\n堆内存使用率: {{usage_percent_avg}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n持续时间: {{trigger_duration_min}}\n\n恢复时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','{\"usage_percent_avg\":\"percent\"}','1.0','2021-05-28 11:55:06','2021-05-28 11:55:07',0),(5305,'JVM堆内存使用异常恢复','app_resource','app_resource_jvm_heap','ticket','recover','【{{application_name}}应用{{service_name}}服务JVM堆内存使用异常恢复】','【JVM堆内存使用异常恢复】\n\n实例JVM堆内存已恢复恢复正常使用状态 .\n\n项目: {{project_name}}\n\n应用: {{application_name}}\n\n服务: {{runtime_name}} / {{service_name}}\n\n实例: {{instance_id}}\n\n堆内存使用率: {{usage_percent_avg}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n持续时间: {{trigger_duration_min}}\n\n恢复时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','{\"usage_percent_avg\":\"percent\"}','1.0','2021-05-28 11:55:06','2021-05-28 11:55:07',0),(5306,'JVM堆内存使用异常恢复','app_resource','app_resource_jvm_heap','email','recover','【{{application_name}}应用{{service_name}}服务JVM堆内存使用异常恢复】','【JVM堆内存使用异常恢复】\n\n实例JVM堆内存已恢复恢复正常使用状态 .\n\n项目: {{project_name}}\n\n应用: {{application_name}}\n\n服务: {{runtime_name}} / {{service_name}}\n\n实例: {{instance_id}}\n\n堆内存使用率: {{usage_percent_avg}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n持续时间: {{trigger_duration_min}}\n\n恢复时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','{\"usage_percent_avg\":\"percent\"}','1.0','2021-05-28 11:55:06','2021-05-28 11:55:07',0),(5307,'JVM堆内存使用异常恢复','app_resource','app_resource_jvm_heap','mbox','recover','【{{application_name}}应用{{service_name}}服务JVM堆内存使用异常恢复】','【JVM堆内存使用异常恢复】\n\n实例JVM堆内存已恢复恢复正常使用状态 .\n\n项目: {{project_name}}\n\n应用: {{application_name}}\n\n服务: {{runtime_name}} / {{service_name}}\n\n实例: {{instance_id}}\n\n堆内存使用率: {{usage_percent_avg}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n持续时间: {{trigger_duration_min}}\n\n恢复时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','{\"usage_percent_avg\":\"percent\"}','1.0','2021-05-28 11:55:06','2021-05-28 11:55:07',0),(5308,'JVM堆内存使用异常恢复','app_resource','app_resource_jvm_heap','webhook','recover','【{{application_name}}应用{{service_name}}服务JVM堆内存使用异常恢复】','【JVM堆内存使用异常恢复】\n\n实例JVM堆内存已恢复恢复正常使用状态 .\n\n项目: {{project_name}}\n\n应用: {{application_name}}\n\n服务: {{runtime_name}} / {{service_name}}\n\n实例: {{instance_id}}\n\n堆内存使用率: {{usage_percent_avg}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n持续时间: {{trigger_duration_min}}\n\n恢复时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','{\"usage_percent_avg\":\"percent\"}','1.0','2021-05-28 11:55:06','2021-05-28 11:55:07',0),(5309,'应用NodeJS堆内存使用异常告警','app_resource','app_resource_nodejs_heap','dingding','alert','【{{application_name}}应用{{service_name}}服务NodeJS堆内存使用异常告警】','【应用NodeJS堆内存使用异常告警】\n\n实例NodeJS堆内存使用过高 ！\n\n项目: {{project_name}}\n\n应用: {{application_name}}\n\n服务: {{runtime_name}} / {{service_name}}\n\n实例: {{instance_id}}\n\n堆内存使用率: {{usage_percent_avg}}\n\n已使用: {{heap_used_value}}\n\n常驻内存: {{rss_value}}\n\n最大使用: {{max_value}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n时间: {{timestamp}}\n\n[查看详情]({{display_url}})\n\n[查看记录]({{record_url}})\n','{\"heap_used_value\":\"size:byte\",\"max_value\":\"size:byte\",\"rss_value\":\"size:byte\",\"usage_percent_avg\":\"percent\"}','1.0','2021-05-28 11:55:06','2021-05-28 11:55:07',0),(5310,'应用NodeJS堆内存使用异常告警','app_resource','app_resource_nodejs_heap','ticket','alert','【{{application_name}}应用{{service_name}}服务NodeJS堆内存使用异常告警】','【应用NodeJS堆内存使用异常告警】\n\n实例NodeJS堆内存使用过高 ！\n\n项目: {{project_name}}\n\n应用: {{application_name}}\n\n服务: {{runtime_name}} / {{service_name}}\n\n实例: {{instance_id}}\n\n堆内存使用率: {{usage_percent_avg}}\n\n已使用: {{heap_used_value}}\n\n常驻内存: {{rss_value}}\n\n最大使用: {{max_value}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n时间: {{timestamp}}\n\n[查看详情]({{display_url}})\n\n[查看记录]({{record_url}})\n','{\"heap_used_value\":\"size:byte\",\"max_value\":\"size:byte\",\"rss_value\":\"size:byte\",\"usage_percent_avg\":\"percent\"}','1.0','2021-05-28 11:55:06','2021-05-28 11:55:07',0),(5311,'应用NodeJS堆内存使用异常告警','app_resource','app_resource_nodejs_heap','email','alert','【{{application_name}}应用{{service_name}}服务NodeJS堆内存使用异常告警】','【应用NodeJS堆内存使用异常告警】\n\n实例NodeJS堆内存使用过高 ！\n\n项目: {{project_name}}\n\n应用: {{application_name}}\n\n服务: {{runtime_name}} / {{service_name}}\n\n实例: {{instance_id}}\n\n堆内存使用率: {{usage_percent_avg}}\n\n已使用: {{heap_used_value}}\n\n常驻内存: {{rss_value}}\n\n最大使用: {{max_value}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n时间: {{timestamp}}\n\n[查看详情]({{display_url}})\n\n[查看记录]({{record_url}})\n','{\"heap_used_value\":\"size:byte\",\"max_value\":\"size:byte\",\"rss_value\":\"size:byte\",\"usage_percent_avg\":\"percent\"}','1.0','2021-05-28 11:55:06','2021-05-28 11:55:07',0),(5312,'应用NodeJS堆内存使用异常告警','app_resource','app_resource_nodejs_heap','mbox','alert','【{{application_name}}应用{{service_name}}服务NodeJS堆内存使用异常告警】','【应用NodeJS堆内存使用异常告警】\n\n实例NodeJS堆内存使用过高 ！\n\n项目: {{project_name}}\n\n应用: {{application_name}}\n\n服务: {{runtime_name}} / {{service_name}}\n\n实例: {{instance_id}}\n\n堆内存使用率: {{usage_percent_avg}}\n\n已使用: {{heap_used_value}}\n\n常驻内存: {{rss_value}}\n\n最大使用: {{max_value}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n时间: {{timestamp}}\n\n[查看详情]({{display_url}})\n\n[查看记录]({{record_url}})\n','{\"heap_used_value\":\"size:byte\",\"max_value\":\"size:byte\",\"rss_value\":\"size:byte\",\"usage_percent_avg\":\"percent\"}','1.0','2021-05-28 11:55:06','2021-05-28 11:55:07',0),(5313,'应用NodeJS堆内存使用异常告警','app_resource','app_resource_nodejs_heap','webhook','alert','【{{application_name}}应用{{service_name}}服务NodeJS堆内存使用异常告警】','【应用NodeJS堆内存使用异常告警】\n\n实例NodeJS堆内存使用过高 ！\n\n项目: {{project_name}}\n\n应用: {{application_name}}\n\n服务: {{runtime_name}} / {{service_name}}\n\n实例: {{instance_id}}\n\n堆内存使用率: {{usage_percent_avg}}\n\n已使用: {{heap_used_value}}\n\n常驻内存: {{rss_value}}\n\n最大使用: {{max_value}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n时间: {{timestamp}}\n\n[查看详情]({{display_url}})\n\n[查看记录]({{record_url}})\n','{\"heap_used_value\":\"size:byte\",\"max_value\":\"size:byte\",\"rss_value\":\"size:byte\",\"usage_percent_avg\":\"percent\"}','1.0','2021-05-28 11:55:06','2021-05-28 11:55:07',0),(5314,'应用NodeJS堆内存使用异常恢复','app_resource','app_resource_nodejs_heap','dingding','recover','【{{application_name}}应用{{service_name}}服务NodeJS堆内存使用异常恢复】','【应用NodeJS堆内存使用异常恢复】\n\nNodeJS堆内存已恢复恢复正常状态 .\n\n项目: {{project_name}}\n\n应用: {{application_name}}\n\n服务: {{runtime_name}} / {{service_name}}\n\n实例: {{instance_id}}\n\n堆内存使用率: {{usage_percent_avg}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n持续时间: {{trigger_duration_min}}\n\n恢复时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','{\"usage_percent_avg\":\"percent\"}','1.0','2021-05-28 11:55:06','2021-05-28 11:55:07',0),(5315,'应用NodeJS堆内存使用异常恢复','app_resource','app_resource_nodejs_heap','ticket','recover','【{{application_name}}应用{{service_name}}服务NodeJS堆内存使用异常恢复】','【应用NodeJS堆内存使用异常恢复】\n\nNodeJS堆内存已恢复恢复正常状态 .\n\n项目: {{project_name}}\n\n应用: {{application_name}}\n\n服务: {{runtime_name}} / {{service_name}}\n\n实例: {{instance_id}}\n\n堆内存使用率: {{usage_percent_avg}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n持续时间: {{trigger_duration_min}}\n\n恢复时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','{\"usage_percent_avg\":\"percent\"}','1.0','2021-05-28 11:55:06','2021-05-28 11:55:07',0),(5316,'应用NodeJS堆内存使用异常恢复','app_resource','app_resource_nodejs_heap','email','recover','【{{application_name}}应用{{service_name}}服务NodeJS堆内存使用异常恢复】','【应用NodeJS堆内存使用异常恢复】\n\nNodeJS堆内存已恢复恢复正常状态 .\n\n项目: {{project_name}}\n\n应用: {{application_name}}\n\n服务: {{runtime_name}} / {{service_name}}\n\n实例: {{instance_id}}\n\n堆内存使用率: {{usage_percent_avg}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n持续时间: {{trigger_duration_min}}\n\n恢复时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','{\"usage_percent_avg\":\"percent\"}','1.0','2021-05-28 11:55:06','2021-05-28 11:55:07',0),(5317,'应用NodeJS堆内存使用异常恢复','app_resource','app_resource_nodejs_heap','mbox','recover','【{{application_name}}应用{{service_name}}服务NodeJS堆内存使用异常恢复】','【应用NodeJS堆内存使用异常恢复】\n\nNodeJS堆内存已恢复恢复正常状态 .\n\n项目: {{project_name}}\n\n应用: {{application_name}}\n\n服务: {{runtime_name}} / {{service_name}}\n\n实例: {{instance_id}}\n\n堆内存使用率: {{usage_percent_avg}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n持续时间: {{trigger_duration_min}}\n\n恢复时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','{\"usage_percent_avg\":\"percent\"}','1.0','2021-05-28 11:55:06','2021-05-28 11:55:07',0),(5318,'应用NodeJS堆内存使用异常恢复','app_resource','app_resource_nodejs_heap','webhook','recover','【{{application_name}}应用{{service_name}}服务NodeJS堆内存使用异常恢复】','【应用NodeJS堆内存使用异常恢复】\n\nNodeJS堆内存已恢复恢复正常状态 .\n\n项目: {{project_name}}\n\n应用: {{application_name}}\n\n服务: {{runtime_name}} / {{service_name}}\n\n实例: {{instance_id}}\n\n堆内存使用率: {{usage_percent_avg}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n持续时间: {{trigger_duration_min}}\n\n恢复时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','{\"usage_percent_avg\":\"percent\"}','1.0','2021-05-28 11:55:06','2021-05-28 11:55:07',0),(5319,' 页面内容改变','app_status','app_status_browser','dingding','alert','【{{project_name}}项目{{status_metric_name}}页面内容改变告警】\n','【页面内容改变告警】\n\n项目: {{project_name}}\n\n环境: {{workspace}}\n\n事件：[{{status_metric_name}}]({{url}})页面内容和基准点对比不一致\n\n时间: {{timestamp}}\n\n[查看详情]({{display_url}})\n\n[查看记录]({{record_url}})\n','','1.0','2021-05-28 11:55:06','2021-05-28 11:55:07',0),(5320,' 页面内容改变','app_status','app_status_browser','ticket','alert','【{{project_name}}项目{{status_metric_name}}页面内容改变告警】\n','【页面内容改变告警】\n\n项目: {{project_name}}\n\n环境: {{workspace}}\n\n事件：[{{status_metric_name}}]({{url}})页面内容和基准点对比不一致\n\n时间: {{timestamp}}\n\n[查看详情]({{display_url}})\n\n[查看记录]({{record_url}})\n','','1.0','2021-05-28 11:55:06','2021-05-28 11:55:07',0),(5321,' 页面内容改变','app_status','app_status_browser','email','alert','【{{project_name}}项目{{status_metric_name}}页面内容改变告警】\n','【页面内容改变告警】\n\n项目: {{project_name}}\n\n环境: {{workspace}}\n\n事件：[{{status_metric_name}}]({{url}})页面内容和基准点对比不一致\n\n时间: {{timestamp}}\n\n[查看详情]({{display_url}})\n\n[查看记录]({{record_url}})\n','','1.0','2021-05-28 11:55:06','2021-05-28 11:55:07',0),(5322,' 页面内容改变','app_status','app_status_browser','mbox','alert','【{{project_name}}项目{{status_metric_name}}页面内容改变告警】\n','【页面内容改变告警】\n\n项目: {{project_name}}\n\n环境: {{workspace}}\n\n事件：[{{status_metric_name}}]({{url}})页面内容和基准点对比不一致\n\n时间: {{timestamp}}\n\n[查看详情]({{display_url}})\n\n[查看记录]({{record_url}})\n','','1.0','2021-05-28 11:55:06','2021-05-28 11:55:07',0),(5323,' 页面内容改变','app_status','app_status_browser','webhook','alert','【{{project_name}}项目{{status_metric_name}}页面内容改变告警】\n','【页面内容改变告警】\n\n项目: {{project_name}}\n\n环境: {{workspace}}\n\n事件：[{{status_metric_name}}]({{url}})页面内容和基准点对比不一致\n\n时间: {{timestamp}}\n\n[查看详情]({{display_url}})\n\n[查看记录]({{record_url}})\n','','1.0','2021-05-28 11:55:06','2021-05-28 11:55:07',0),(5324,' 业务请求状态异常','app_status','app_status_browser','dingding','recover','【{{project_name}}项目{{status_metric_name}}页面内容改变恢复】\n','【页面内容改变恢复】\n\n[{{status_metric_name}}]({{url}}) 页面内容改变 .\n\n项目: {{project_name}}\n\n环境: {{workspace}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','{\"trigger_duration\":\"time:ms\"}','1.0','2021-05-28 11:55:06','2021-05-28 11:55:07',0),(5325,' 业务请求状态异常','app_status','app_status_browser','ticket','recover','【{{project_name}}项目{{status_metric_name}}页面内容改变恢复】\n','【页面内容改变恢复】\n\n[{{status_metric_name}}]({{url}}) 页面内容改变 .\n\n项目: {{project_name}}\n\n环境: {{workspace}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','{\"trigger_duration\":\"time:ms\"}','1.0','2021-05-28 11:55:06','2021-05-28 11:55:07',0),(5326,' 业务请求状态异常','app_status','app_status_browser','email','recover','【{{project_name}}项目{{status_metric_name}}页面内容改变恢复】\n','【页面内容改变恢复】\n\n[{{status_metric_name}}]({{url}}) 页面内容改变 .\n\n项目: {{project_name}}\n\n环境: {{workspace}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','{\"trigger_duration\":\"time:ms\"}','1.0','2021-05-28 11:55:06','2021-05-28 11:55:07',0),(5327,' 业务请求状态异常','app_status','app_status_browser','mbox','recover','【{{project_name}}项目{{status_metric_name}}页面内容改变恢复】\n','【页面内容改变恢复】\n\n[{{status_metric_name}}]({{url}}) 页面内容改变 .\n\n项目: {{project_name}}\n\n环境: {{workspace}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','{\"trigger_duration\":\"time:ms\"}','1.0','2021-05-28 11:55:06','2021-05-28 11:55:07',0),(5328,' 业务请求状态异常','app_status','app_status_browser','webhook','recover','【{{project_name}}项目{{status_metric_name}}页面内容改变恢复】\n','【页面内容改变恢复】\n\n[{{status_metric_name}}]({{url}}) 页面内容改变 .\n\n项目: {{project_name}}\n\n环境: {{workspace}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','{\"trigger_duration\":\"time:ms\"}','1.0','2021-05-28 11:55:06','2021-05-28 11:55:07',0),(5329,' 主动监控HTTP状态异常','app_status','app_status_code','dingding','alert','【{{project_name}}项目{{status_metric_name}}指标HTTP状态异常告警】\n','【主动监控HTTP状态异常】\n\n项目: {{project_name}}\n\n环境: {{workspace}}\n\n事件: [{{status_metric_name}}]({{url}}) 指标状态异常\n\n响应状态码: {{code_min}}\n\n时间: {{timestamp}}\n\n[查看详情]({{display_url}})\n\n[查看记录]({{record_url}})\n','','1.0','2021-05-28 11:55:06','2021-05-28 11:55:07',0),(5330,' 主动监控HTTP状态异常','app_status','app_status_code','ticket','alert','【{{project_name}}项目{{status_metric_name}}指标HTTP状态异常告警】\n','【主动监控HTTP状态异常】\n\n项目: {{project_name}}\n\n环境: {{workspace}}\n\n事件: [{{status_metric_name}}]({{url}}) 指标状态异常\n\n响应状态码: {{code_min}}\n\n时间: {{timestamp}}\n\n[查看详情]({{display_url}})\n\n[查看记录]({{record_url}})\n','','1.0','2021-05-28 11:55:06','2021-05-28 11:55:07',0),(5331,' 主动监控HTTP状态异常','app_status','app_status_code','email','alert','【{{project_name}}项目{{status_metric_name}}指标HTTP状态异常告警】\n','【主动监控HTTP状态异常】\n\n项目: {{project_name}}\n\n环境: {{workspace}}\n\n事件: [{{status_metric_name}}]({{url}}) 指标状态异常\n\n响应状态码: {{code_min}}\n\n时间: {{timestamp}}\n\n[查看详情]({{display_url}})\n\n[查看记录]({{record_url}})\n','','1.0','2021-05-28 11:55:06','2021-05-28 11:55:07',0),(5332,' 主动监控HTTP状态异常','app_status','app_status_code','mbox','alert','【{{project_name}}项目{{status_metric_name}}指标HTTP状态异常告警】\n','【主动监控HTTP状态异常】\n\n项目: {{project_name}}\n\n环境: {{workspace}}\n\n事件: [{{status_metric_name}}]({{url}}) 指标状态异常\n\n响应状态码: {{code_min}}\n\n时间: {{timestamp}}\n\n[查看详情]({{display_url}})\n\n[查看记录]({{record_url}})\n','','1.0','2021-05-28 11:55:06','2021-05-28 11:55:07',0),(5333,' 主动监控HTTP状态异常','app_status','app_status_code','webhook','alert','【{{project_name}}项目{{status_metric_name}}指标HTTP状态异常告警】\n','【主动监控HTTP状态异常】\n\n项目: {{project_name}}\n\n环境: {{workspace}}\n\n事件: [{{status_metric_name}}]({{url}}) 指标状态异常\n\n响应状态码: {{code_min}}\n\n时间: {{timestamp}}\n\n[查看详情]({{display_url}})\n\n[查看记录]({{record_url}})\n','','1.0','2021-05-28 11:55:06','2021-05-28 11:55:07',0),(5334,'主动监控HTTP状态恢复','app_status','app_status_code','dingding','recover','【{{project_name}}项目{{status_metric_name}}指标HTTP状态恢复】\n','【主动监控HTTP状态恢复】\n\n项目: {{project_name}}\n\n环境: {{workspace}}\n\n事件: [{{status_metric_name}}]({{url}}) 指标状态恢复\n\n响应状态码: {{code_min}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','{\"trigger_duration\":\"time:ms\"}','1.0','2021-05-28 11:55:06','2021-05-28 11:55:07',0),(5335,'主动监控HTTP状态恢复','app_status','app_status_code','ticket','recover','【{{project_name}}项目{{status_metric_name}}指标HTTP状态恢复】\n','【主动监控HTTP状态恢复】\n\n项目: {{project_name}}\n\n环境: {{workspace}}\n\n事件: [{{status_metric_name}}]({{url}}) 指标状态恢复\n\n响应状态码: {{code_min}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','{\"trigger_duration\":\"time:ms\"}','1.0','2021-05-28 11:55:06','2021-05-28 11:55:07',0),(5336,'主动监控HTTP状态恢复','app_status','app_status_code','email','recover','【{{project_name}}项目{{status_metric_name}}指标HTTP状态恢复】\n','【主动监控HTTP状态恢复】\n\n项目: {{project_name}}\n\n环境: {{workspace}}\n\n事件: [{{status_metric_name}}]({{url}}) 指标状态恢复\n\n响应状态码: {{code_min}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','{\"trigger_duration\":\"time:ms\"}','1.0','2021-05-28 11:55:06','2021-05-28 11:55:07',0),(5337,'主动监控HTTP状态恢复','app_status','app_status_code','mbox','recover','【{{project_name}}项目{{status_metric_name}}指标HTTP状态恢复】\n','【主动监控HTTP状态恢复】\n\n项目: {{project_name}}\n\n环境: {{workspace}}\n\n事件: [{{status_metric_name}}]({{url}}) 指标状态恢复\n\n响应状态码: {{code_min}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','{\"trigger_duration\":\"time:ms\"}','1.0','2021-05-28 11:55:06','2021-05-28 11:55:07',0),(5338,'主动监控HTTP状态恢复','app_status','app_status_code','webhook','recover','【{{project_name}}项目{{status_metric_name}}指标HTTP状态恢复】\n','【主动监控HTTP状态恢复】\n\n项目: {{project_name}}\n\n环境: {{workspace}}\n\n事件: [{{status_metric_name}}]({{url}}) 指标状态恢复\n\n响应状态码: {{code_min}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','{\"trigger_duration\":\"time:ms\"}','1.0','2021-05-28 11:55:06','2021-05-28 11:55:07',0),(5339,'服务接口HTTP错误率异常','app_transaction','app_transaction_http_path_error','dingding','alert','【{{service_name}}服务接口HTTP错误率异常告警】','【服务接口HTTP错误率异常告警】\n\n项目: {{project_name}}\n\n应用: {{application_name}}\n\n服务: {{runtime_name}} - {{service_name}}\n\n接口: {{http_method}} {{http_url}}\n\n事件: {{ window }}分钟内HTTP错误率{{ error_percent_value }} 错误请求次数{{ error_count_sum }} 总请求次数{{ elapsed_count_sum }}\n\n时间: {{timestamp}}\n\n[查看详情]({{display_url}})\n\n[查看记录]({{record_url}})\n','{\"error_percent_value\":\"percent\"}','1.0','2021-05-28 11:55:06','2021-05-28 11:55:07',0),(5340,'服务接口HTTP错误率异常','app_transaction','app_transaction_http_path_error','ticket','alert','【{{service_name}}服务接口HTTP错误率异常告警】','【服务接口HTTP错误率异常告警】\n\n项目: {{project_name}}\n\n应用: {{application_name}}\n\n服务: {{runtime_name}} - {{service_name}}\n\n接口: {{http_method}} {{http_url}}\n\n事件: {{ window }}分钟内HTTP错误率{{ error_percent_value }} 错误请求次数{{ error_count_sum }} 总请求次数{{ elapsed_count_sum }}\n\n时间: {{timestamp}}\n\n[查看详情]({{display_url}})\n\n[查看记录]({{record_url}})\n','{\"error_percent_value\":\"percent\"}','1.0','2021-05-28 11:55:06','2021-05-28 11:55:07',0),(5341,'服务接口HTTP错误率异常','app_transaction','app_transaction_http_path_error','email','alert','【{{service_name}}服务接口HTTP错误率异常告警】','【服务接口HTTP错误率异常告警】\n\n项目: {{project_name}}\n\n应用: {{application_name}}\n\n服务: {{runtime_name}} - {{service_name}}\n\n接口: {{http_method}} {{http_url}}\n\n事件: {{ window }}分钟内HTTP错误率{{ error_percent_value }} 错误请求次数{{ error_count_sum }} 总请求次数{{ elapsed_count_sum }}\n\n时间: {{timestamp}}\n\n[查看详情]({{display_url}})\n\n[查看记录]({{record_url}})\n','{\"error_percent_value\":\"percent\"}','1.0','2021-05-28 11:55:06','2021-05-28 11:55:07',0),(5342,'服务接口HTTP错误率异常','app_transaction','app_transaction_http_path_error','mbox','alert','【{{service_name}}服务接口HTTP错误率异常告警】','【服务接口HTTP错误率异常告警】\n\n项目: {{project_name}}\n\n应用: {{application_name}}\n\n服务: {{runtime_name}} - {{service_name}}\n\n接口: {{http_method}} {{http_url}}\n\n事件: {{ window }}分钟内HTTP错误率{{ error_percent_value }} 错误请求次数{{ error_count_sum }} 总请求次数{{ elapsed_count_sum }}\n\n时间: {{timestamp}}\n\n[查看详情]({{display_url}})\n\n[查看记录]({{record_url}})\n','{\"error_percent_value\":\"percent\"}','1.0','2021-05-28 11:55:06','2021-05-28 11:55:07',0),(5343,'服务接口HTTP错误率异常','app_transaction','app_transaction_http_path_error','webhook','alert','【{{service_name}}服务接口HTTP错误率异常告警】','【服务接口HTTP错误率异常告警】\n\n项目: {{project_name}}\n\n应用: {{application_name}}\n\n服务: {{runtime_name}} - {{service_name}}\n\n接口: {{http_method}} {{http_url}}\n\n事件: {{ window }}分钟内HTTP错误率{{ error_percent_value }} 错误请求次数{{ error_count_sum }} 总请求次数{{ elapsed_count_sum }}\n\n时间: {{timestamp}}\n\n[查看详情]({{display_url}})\n\n[查看记录]({{record_url}})\n','{\"error_percent_value\":\"percent\"}','1.0','2021-05-28 11:55:06','2021-05-28 11:55:07',0),(5344,'服务接口HTTP错误率恢复','app_transaction','app_transaction_http_path_error','dingding','recover','【{{service_name}}服务接口HTTP错误率异常恢复】','【服务接口HTTP错误率异常恢复】\n\n项目: {{project_name}}\n\n应用: {{application_name}}\n\n服务: {{runtime_name}} - {{service_name}}\n\n接口: {{http_method}} {{http_url}}\n\n持续时间: {{trigger_duration_min}}\n\n恢复时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','{\"trigger_duration\":\"time:ms\"}','1.0','2021-05-28 11:55:06','2021-05-28 11:55:07',0),(5345,'服务接口HTTP错误率恢复','app_transaction','app_transaction_http_path_error','ticket','recover','【{{service_name}}服务接口HTTP错误率异常恢复】','【服务接口HTTP错误率异常恢复】\n\n项目: {{project_name}}\n\n应用: {{application_name}}\n\n服务: {{runtime_name}} - {{service_name}}\n\n接口: {{http_method}} {{http_url}}\n\n持续时间: {{trigger_duration_min}}\n\n恢复时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','{\"trigger_duration\":\"time:ms\"}','1.0','2021-05-28 11:55:06','2021-05-28 11:55:07',0),(5346,'服务接口HTTP错误率恢复','app_transaction','app_transaction_http_path_error','email','recover','【{{service_name}}服务接口HTTP错误率异常恢复】','【服务接口HTTP错误率异常恢复】\n\n项目: {{project_name}}\n\n应用: {{application_name}}\n\n服务: {{runtime_name}} - {{service_name}}\n\n接口: {{http_method}} {{http_url}}\n\n持续时间: {{trigger_duration_min}}\n\n恢复时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','{\"trigger_duration\":\"time:ms\"}','1.0','2021-05-28 11:55:06','2021-05-28 11:55:07',0),(5347,'服务接口HTTP错误率恢复','app_transaction','app_transaction_http_path_error','mbox','recover','【{{service_name}}服务接口HTTP错误率异常恢复】','【服务接口HTTP错误率异常恢复】\n\n项目: {{project_name}}\n\n应用: {{application_name}}\n\n服务: {{runtime_name}} - {{service_name}}\n\n接口: {{http_method}} {{http_url}}\n\n持续时间: {{trigger_duration_min}}\n\n恢复时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','{\"trigger_duration\":\"time:ms\"}','1.0','2021-05-28 11:55:06','2021-05-28 11:55:07',0),(5348,'服务接口HTTP错误率恢复','app_transaction','app_transaction_http_path_error','webhook','recover','【{{service_name}}服务接口HTTP错误率异常恢复】','【服务接口HTTP错误率异常恢复】\n\n项目: {{project_name}}\n\n应用: {{application_name}}\n\n服务: {{runtime_name}} - {{service_name}}\n\n接口: {{http_method}} {{http_url}}\n\n持续时间: {{trigger_duration_min}}\n\n恢复时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','{\"trigger_duration\":\"time:ms\"}','1.0','2021-05-28 11:55:06','2021-05-28 11:55:07',0),(5349,'服务接口HTTP慢事务异常','app_transaction','app_transaction_http_path_rt','dingding','alert','【{{service_name}}服务接口HTTP慢事务异常告警】','【服务接口HTTP慢事务异常告警】\n\n项目: {{project_name}}\n\n应用: {{application_name}}\n\n服务: {{runtime_name}} - {{service_name}}\n\n接口: {{http_method}} {{http_url}}\n\n事件: {{window}}分钟内平均响应时间{{elapsed_avg_value}} 请求次数{{elapsed_count_sum}}\n\n时间: {{timestamp}}\n\n[查看详情]({{display_url}})\n\n[查看记录]({{record_url}})\n','{\"elapsed_avg_value\":\"time:ms\",\"elapsed_sum\":\"time:ms\"}','1.0','2021-05-28 11:55:06','2021-05-28 11:55:07',0),(5350,'服务接口HTTP慢事务异常','app_transaction','app_transaction_http_path_rt','ticket','alert','【{{service_name}}服务接口HTTP慢事务异常告警】','【服务接口HTTP慢事务异常告警】\n\n项目: {{project_name}}\n\n应用: {{application_name}}\n\n服务: {{runtime_name}} - {{service_name}}\n\n接口: {{http_method}} {{http_url}}\n\n事件: {{window}}分钟内平均响应时间{{elapsed_avg_value}} 请求次数{{elapsed_count_sum}}\n\n时间: {{timestamp}}\n\n[查看详情]({{display_url}})\n\n[查看记录]({{record_url}})\n','{\"elapsed_avg_value\":\"time:ms\",\"elapsed_sum\":\"time:ms\"}','1.0','2021-05-28 11:55:06','2021-05-28 11:55:07',0),(5351,'服务接口HTTP慢事务异常','app_transaction','app_transaction_http_path_rt','email','alert','【{{service_name}}服务接口HTTP慢事务异常告警】','【服务接口HTTP慢事务异常告警】\n\n项目: {{project_name}}\n\n应用: {{application_name}}\n\n服务: {{runtime_name}} - {{service_name}}\n\n接口: {{http_method}} {{http_url}}\n\n事件: {{window}}分钟内平均响应时间{{elapsed_avg_value}} 请求次数{{elapsed_count_sum}}\n\n时间: {{timestamp}}\n\n[查看详情]({{display_url}})\n\n[查看记录]({{record_url}})\n','{\"elapsed_avg_value\":\"time:ms\",\"elapsed_sum\":\"time:ms\"}','1.0','2021-05-28 11:55:06','2021-05-28 11:55:07',0),(5352,'服务接口HTTP慢事务异常','app_transaction','app_transaction_http_path_rt','mbox','alert','【{{service_name}}服务接口HTTP慢事务异常告警】','【服务接口HTTP慢事务异常告警】\n\n项目: {{project_name}}\n\n应用: {{application_name}}\n\n服务: {{runtime_name}} - {{service_name}}\n\n接口: {{http_method}} {{http_url}}\n\n事件: {{window}}分钟内平均响应时间{{elapsed_avg_value}} 请求次数{{elapsed_count_sum}}\n\n时间: {{timestamp}}\n\n[查看详情]({{display_url}})\n\n[查看记录]({{record_url}})\n','{\"elapsed_avg_value\":\"time:ms\",\"elapsed_sum\":\"time:ms\"}','1.0','2021-05-28 11:55:06','2021-05-28 11:55:07',0),(5353,'服务接口HTTP慢事务异常','app_transaction','app_transaction_http_path_rt','webhook','alert','【{{service_name}}服务接口HTTP慢事务异常告警】','【服务接口HTTP慢事务异常告警】\n\n项目: {{project_name}}\n\n应用: {{application_name}}\n\n服务: {{runtime_name}} - {{service_name}}\n\n接口: {{http_method}} {{http_url}}\n\n事件: {{window}}分钟内平均响应时间{{elapsed_avg_value}} 请求次数{{elapsed_count_sum}}\n\n时间: {{timestamp}}\n\n[查看详情]({{display_url}})\n\n[查看记录]({{record_url}})\n','{\"elapsed_avg_value\":\"time:ms\",\"elapsed_sum\":\"time:ms\"}','1.0','2021-05-28 11:55:06','2021-05-28 11:55:07',0),(5354,'服务接口HTTP慢事务恢复','app_transaction','app_transaction_http_path_rt','dingding','recover','【{{service_name}}服务接口HTTP慢事务恢复】','【服务接口HTTP慢事务恢复】\n\n项目: {{project_name}}\n\n应用: {{application_name}}\n\n服务: {{runtime_name}} - {{service_name}}\n\n接口: {{http_method}} {{http_url}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','{\"trigger_duration\":\"time:ms\"}','1.0','2021-05-28 11:55:06','2021-05-28 11:55:07',0),(5355,'服务接口HTTP慢事务恢复','app_transaction','app_transaction_http_path_rt','ticket','recover','【{{service_name}}服务接口HTTP慢事务恢复】','【服务接口HTTP慢事务恢复】\n\n项目: {{project_name}}\n\n应用: {{application_name}}\n\n服务: {{runtime_name}} - {{service_name}}\n\n接口: {{http_method}} {{http_url}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','{\"trigger_duration\":\"time:ms\"}','1.0','2021-05-28 11:55:06','2021-05-28 11:55:07',0),(5356,'服务接口HTTP慢事务恢复','app_transaction','app_transaction_http_path_rt','email','recover','【{{service_name}}服务接口HTTP慢事务恢复】','【服务接口HTTP慢事务恢复】\n\n项目: {{project_name}}\n\n应用: {{application_name}}\n\n服务: {{runtime_name}} - {{service_name}}\n\n接口: {{http_method}} {{http_url}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','{\"trigger_duration\":\"time:ms\"}','1.0','2021-05-28 11:55:06','2021-05-28 11:55:07',0),(5357,'服务接口HTTP慢事务恢复','app_transaction','app_transaction_http_path_rt','mbox','recover','【{{service_name}}服务接口HTTP慢事务恢复】','【服务接口HTTP慢事务恢复】\n\n项目: {{project_name}}\n\n应用: {{application_name}}\n\n服务: {{runtime_name}} - {{service_name}}\n\n接口: {{http_method}} {{http_url}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','{\"trigger_duration\":\"time:ms\"}','1.0','2021-05-28 11:55:06','2021-05-28 11:55:07',0),(5358,'服务接口HTTP慢事务恢复','app_transaction','app_transaction_http_path_rt','webhook','recover','【{{service_name}}服务接口HTTP慢事务恢复】','【服务接口HTTP慢事务恢复】\n\n项目: {{project_name}}\n\n应用: {{application_name}}\n\n服务: {{runtime_name}} - {{service_name}}\n\n接口: {{http_method}} {{http_url}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','{\"trigger_duration\":\"time:ms\"}','1.0','2021-05-28 11:55:06','2021-05-28 11:55:07',0),(5359,'服务HTTP错误率异常','app_transaction','app_transaction_http_service_error','dingding','alert','【{{service_name}}服务HTTP错误率异常告警】','【服务HTTP错误率异常告警】\n\n项目: {{project_name}}\n\n应用: {{application_name}}\n\n服务: {{runtime_name}} - {{service_name}}\n\n事件: {{ window }}分钟内HTTP错误率{{ error_percent_value }} 错误请求次数{{ error_count_sum }} 总请求次数{{ elapsed_count_sum }}\n\n时间: {{timestamp}}\n\n[查看详情]({{display_url}})\n\n[查看记录]({{record_url}})\n','{\"error_percent_value\":\"percent\"}','1.0','2021-05-28 11:55:06','2021-05-28 11:55:07',0),(5360,'服务HTTP错误率异常','app_transaction','app_transaction_http_service_error','ticket','alert','【{{service_name}}服务HTTP错误率异常告警】','【服务HTTP错误率异常告警】\n\n项目: {{project_name}}\n\n应用: {{application_name}}\n\n服务: {{runtime_name}} - {{service_name}}\n\n事件: {{ window }}分钟内HTTP错误率{{ error_percent_value }} 错误请求次数{{ error_count_sum }} 总请求次数{{ elapsed_count_sum }}\n\n时间: {{timestamp}}\n\n[查看详情]({{display_url}})\n\n[查看记录]({{record_url}})\n','{\"error_percent_value\":\"percent\"}','1.0','2021-05-28 11:55:06','2021-05-28 11:55:07',0),(5361,'服务HTTP错误率异常','app_transaction','app_transaction_http_service_error','email','alert','【{{service_name}}服务HTTP错误率异常告警】','【服务HTTP错误率异常告警】\n\n项目: {{project_name}}\n\n应用: {{application_name}}\n\n服务: {{runtime_name}} - {{service_name}}\n\n事件: {{ window }}分钟内HTTP错误率{{ error_percent_value }} 错误请求次数{{ error_count_sum }} 总请求次数{{ elapsed_count_sum }}\n\n时间: {{timestamp}}\n\n[查看详情]({{display_url}})\n\n[查看记录]({{record_url}})\n','{\"error_percent_value\":\"percent\"}','1.0','2021-05-28 11:55:06','2021-05-28 11:55:07',0),(5362,'服务HTTP错误率异常','app_transaction','app_transaction_http_service_error','mbox','alert','【{{service_name}}服务HTTP错误率异常告警】','【服务HTTP错误率异常告警】\n\n项目: {{project_name}}\n\n应用: {{application_name}}\n\n服务: {{runtime_name}} - {{service_name}}\n\n事件: {{ window }}分钟内HTTP错误率{{ error_percent_value }} 错误请求次数{{ error_count_sum }} 总请求次数{{ elapsed_count_sum }}\n\n时间: {{timestamp}}\n\n[查看详情]({{display_url}})\n\n[查看记录]({{record_url}})\n','{\"error_percent_value\":\"percent\"}','1.0','2021-05-28 11:55:06','2021-05-28 11:55:07',0),(5363,'服务HTTP错误率异常','app_transaction','app_transaction_http_service_error','webhook','alert','【{{service_name}}服务HTTP错误率异常告警】','【服务HTTP错误率异常告警】\n\n项目: {{project_name}}\n\n应用: {{application_name}}\n\n服务: {{runtime_name}} - {{service_name}}\n\n事件: {{ window }}分钟内HTTP错误率{{ error_percent_value }} 错误请求次数{{ error_count_sum }} 总请求次数{{ elapsed_count_sum }}\n\n时间: {{timestamp}}\n\n[查看详情]({{display_url}})\n\n[查看记录]({{record_url}})\n','{\"error_percent_value\":\"percent\"}','1.0','2021-05-28 11:55:06','2021-05-28 11:55:07',0),(5364,'服务HTTP错误率恢复','app_transaction','app_transaction_http_service_error','dingding','recover','【{{service_name}}服务HTTP错误率恢复】','【服务HTTP错误率异常恢复】\n\n项目: {{project_name}}\n\n应用: {{application_name}}\n\n服务: {{runtime_name}} - {{service_name}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','{\"trigger_duration\":\"time:ms\"}','1.0','2021-05-28 11:55:06','2021-05-28 11:55:07',0),(5365,'服务HTTP错误率恢复','app_transaction','app_transaction_http_service_error','ticket','recover','【{{service_name}}服务HTTP错误率恢复】','【服务HTTP错误率异常恢复】\n\n项目: {{project_name}}\n\n应用: {{application_name}}\n\n服务: {{runtime_name}} - {{service_name}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','{\"trigger_duration\":\"time:ms\"}','1.0','2021-05-28 11:55:06','2021-05-28 11:55:07',0),(5366,'服务HTTP错误率恢复','app_transaction','app_transaction_http_service_error','email','recover','【{{service_name}}服务HTTP错误率恢复】','【服务HTTP错误率异常恢复】\n\n项目: {{project_name}}\n\n应用: {{application_name}}\n\n服务: {{runtime_name}} - {{service_name}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','{\"trigger_duration\":\"time:ms\"}','1.0','2021-05-28 11:55:06','2021-05-28 11:55:07',0),(5367,'服务HTTP错误率恢复','app_transaction','app_transaction_http_service_error','mbox','recover','【{{service_name}}服务HTTP错误率恢复】','【服务HTTP错误率异常恢复】\n\n项目: {{project_name}}\n\n应用: {{application_name}}\n\n服务: {{runtime_name}} - {{service_name}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','{\"trigger_duration\":\"time:ms\"}','1.0','2021-05-28 11:55:06','2021-05-28 11:55:07',0),(5368,'服务HTTP错误率恢复','app_transaction','app_transaction_http_service_error','webhook','recover','【{{service_name}}服务HTTP错误率恢复】','【服务HTTP错误率异常恢复】\n\n项目: {{project_name}}\n\n应用: {{application_name}}\n\n服务: {{runtime_name}} - {{service_name}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','{\"trigger_duration\":\"time:ms\"}','1.0','2021-05-28 11:55:06','2021-05-28 11:55:07',0),(5369,'服务HTTP慢事务异常','app_transaction','app_transaction_http_service_rt','dingding','alert','【应用{{service_name}}服务HTTP慢事务异常告警】','【服务HTTP慢事务异常告警】\n\n项目: {{project_name}}\n\n应用: {{application_name}}\n\n服务: {{runtime_name}} - {{service_name}}\n\n事件: {{window}}分钟内HTTP事务平均响应时间{{elapsed_avg_value}} 请求次数{{elapsed_count_sum}}\n\n时间: {{timestamp}}\n\n[查看详情]({{display_url}})\n\n[查看记录]({{record_url}})\n','{\"elapsed_avg_value\":\"time:ms\",\"elapsed_sum\":\"time:ms\"}','1.0','2021-05-28 11:55:06','2021-05-28 11:55:07',0),(5370,'服务HTTP慢事务异常','app_transaction','app_transaction_http_service_rt','ticket','alert','【应用{{service_name}}服务HTTP慢事务异常告警】','【服务HTTP慢事务异常告警】\n\n项目: {{project_name}}\n\n应用: {{application_name}}\n\n服务: {{runtime_name}} - {{service_name}}\n\n事件: {{window}}分钟内HTTP事务平均响应时间{{elapsed_avg_value}} 请求次数{{elapsed_count_sum}}\n\n时间: {{timestamp}}\n\n[查看详情]({{display_url}})\n\n[查看记录]({{record_url}})\n','{\"elapsed_avg_value\":\"time:ms\",\"elapsed_sum\":\"time:ms\"}','1.0','2021-05-28 11:55:06','2021-05-28 11:55:07',0),(5371,'服务HTTP慢事务异常','app_transaction','app_transaction_http_service_rt','email','alert','【应用{{service_name}}服务HTTP慢事务异常告警】','【服务HTTP慢事务异常告警】\n\n项目: {{project_name}}\n\n应用: {{application_name}}\n\n服务: {{runtime_name}} - {{service_name}}\n\n事件: {{window}}分钟内HTTP事务平均响应时间{{elapsed_avg_value}} 请求次数{{elapsed_count_sum}}\n\n时间: {{timestamp}}\n\n[查看详情]({{display_url}})\n\n[查看记录]({{record_url}})\n','{\"elapsed_avg_value\":\"time:ms\",\"elapsed_sum\":\"time:ms\"}','1.0','2021-05-28 11:55:06','2021-05-28 11:55:07',0),(5372,'服务HTTP慢事务异常','app_transaction','app_transaction_http_service_rt','mbox','alert','【应用{{service_name}}服务HTTP慢事务异常告警】','【服务HTTP慢事务异常告警】\n\n项目: {{project_name}}\n\n应用: {{application_name}}\n\n服务: {{runtime_name}} - {{service_name}}\n\n事件: {{window}}分钟内HTTP事务平均响应时间{{elapsed_avg_value}} 请求次数{{elapsed_count_sum}}\n\n时间: {{timestamp}}\n\n[查看详情]({{display_url}})\n\n[查看记录]({{record_url}})\n','{\"elapsed_avg_value\":\"time:ms\",\"elapsed_sum\":\"time:ms\"}','1.0','2021-05-28 11:55:06','2021-05-28 11:55:07',0),(5373,'服务HTTP慢事务异常','app_transaction','app_transaction_http_service_rt','webhook','alert','【应用{{service_name}}服务HTTP慢事务异常告警】','【服务HTTP慢事务异常告警】\n\n项目: {{project_name}}\n\n应用: {{application_name}}\n\n服务: {{runtime_name}} - {{service_name}}\n\n事件: {{window}}分钟内HTTP事务平均响应时间{{elapsed_avg_value}} 请求次数{{elapsed_count_sum}}\n\n时间: {{timestamp}}\n\n[查看详情]({{display_url}})\n\n[查看记录]({{record_url}})\n','{\"elapsed_avg_value\":\"time:ms\",\"elapsed_sum\":\"time:ms\"}','1.0','2021-05-28 11:55:06','2021-05-28 11:55:07',0),(5374,'服务HTTP慢事务异常恢复','app_transaction','app_transaction_http_service_rt','dingding','recover','【应用{{service_name}}服务HTTP慢事务异常恢复】','【服务HTTP慢事务异常恢复】\n\n项目: {{project_name}}\n\n应用: {{application_name}}\n\n服务: {{runtime_name}} - {{service_name}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','{\"trigger_duration\":\"time:ms\"}','1.0','2021-05-28 11:55:06','2021-05-28 11:55:07',0),(5375,'服务HTTP慢事务异常恢复','app_transaction','app_transaction_http_service_rt','ticket','recover','【应用{{service_name}}服务HTTP慢事务异常恢复】','【服务HTTP慢事务异常恢复】\n\n项目: {{project_name}}\n\n应用: {{application_name}}\n\n服务: {{runtime_name}} - {{service_name}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','{\"trigger_duration\":\"time:ms\"}','1.0','2021-05-28 11:55:06','2021-05-28 11:55:07',0),(5376,'服务HTTP慢事务异常恢复','app_transaction','app_transaction_http_service_rt','email','recover','【应用{{service_name}}服务HTTP慢事务异常恢复】','【服务HTTP慢事务异常恢复】\n\n项目: {{project_name}}\n\n应用: {{application_name}}\n\n服务: {{runtime_name}} - {{service_name}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','{\"trigger_duration\":\"time:ms\"}','1.0','2021-05-28 11:55:06','2021-05-28 11:55:07',0),(5377,'服务HTTP慢事务异常恢复','app_transaction','app_transaction_http_service_rt','mbox','recover','【应用{{service_name}}服务HTTP慢事务异常恢复】','【服务HTTP慢事务异常恢复】\n\n项目: {{project_name}}\n\n应用: {{application_name}}\n\n服务: {{runtime_name}} - {{service_name}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','{\"trigger_duration\":\"time:ms\"}','1.0','2021-05-28 11:55:06','2021-05-28 11:55:07',0),(5378,'服务HTTP慢事务异常恢复','app_transaction','app_transaction_http_service_rt','webhook','recover','【应用{{service_name}}服务HTTP慢事务异常恢复】','【服务HTTP慢事务异常恢复】\n\n项目: {{project_name}}\n\n应用: {{application_name}}\n\n服务: {{runtime_name}} - {{service_name}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','{\"trigger_duration\":\"time:ms\"}','1.0','2021-05-28 11:55:06','2021-05-28 11:55:07',0),(5379,'MySQL SLAVE DELAY ALERT','custom_addon','slave_dly_alert','dingding','alert','【MySQL {{window}}M 聚合时间内 SLAVE 延迟 {{slave_seconds_behind_master_max}}s】\n','【MySQL {{window}}M 聚合时间内 SLAVE 延迟 {{slave_seconds_behind_master_max}}s】\n\n集群: {{cluster_name}}\n\nmysql: {{server_id}}\n\n延迟时间： {{slave_seconds_behind_master_max}}\n\n时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','{\"limit_value\":\"fraction:1\",\"usage_percent_avg\":\"percent:1\"}','1.0','2021-05-28 11:55:06','2021-05-28 11:55:07',0),(5380,'MySQL SLAVE SYNC ALERT','custom_addon','slave_sync_alert','dingding','alert','【MySQL SLAVE 同步异常】\n','【MySQL SLAVE 同步异常】\n\n集群: {{cluster_name}}\n\nmysql: {{server_id}}\n\nSlave_IO_Running: {{slave_slave_io_running_value}}\n\nSlave_SQL_Running: {{slave_slave_sql_running_value}}\n\n时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','{\"limit_value\":\"fraction:1\",\"usage_percent_avg\":\"percent:1\"}','1.0','2021-05-28 11:55:06','2021-05-28 11:55:07',0),(5381,'平台中间件cassandra GC次数异常','dice_addon','dice_addon_cassandra_gc_count','dingding','alert','【平台中间件cassandra GC次数告警】\n','【平台中间件cassandra GC次数告警】\n\n中间件: {{addon_id}}\n\n老年代GC次数: {{CollectionCount_win_value}}\n\n集群: {{cluster_name}}\n\n机器: {{node_host}}\n\n时间: {{timestamp}}\n\n[查看详情]({{display_url}})\n\n[查看记录]({{record_url}})\n','','1.0','2021-05-28 11:55:06','2021-05-28 11:55:07',0),(5382,'平台中间件cassandra GC次数异常','dice_addon','dice_addon_cassandra_gc_count','ticket','alert','【平台中间件cassandra GC次数告警】\n','【平台中间件cassandra GC次数告警】\n\n中间件: {{addon_id}}\n\n老年代GC次数: {{CollectionCount_win_value}}\n\n集群: {{cluster_name}}\n\n机器: {{node_host}}\n\n时间: {{timestamp}}\n\n[查看详情]({{display_url}})\n\n[查看记录]({{record_url}})\n','','1.0','2021-05-28 11:55:06','2021-05-28 11:55:07',0),(5383,'平台中间件cassandra GC次数异常','dice_addon','dice_addon_cassandra_gc_count','email','alert','【平台中间件cassandra GC次数告警】\n','【平台中间件cassandra GC次数告警】\n\n中间件: {{addon_id}}\n\n老年代GC次数: {{CollectionCount_win_value}}\n\n集群: {{cluster_name}}\n\n机器: {{node_host}}\n\n时间: {{timestamp}}\n\n[查看详情]({{display_url}})\n\n[查看记录]({{record_url}})\n','','1.0','2021-05-28 11:55:06','2021-05-28 11:55:07',0),(5384,'平台中间件cassandra GC次数异常','dice_addon','dice_addon_cassandra_gc_count','mbox','alert','【平台中间件cassandra GC次数告警】\n','【平台中间件cassandra GC次数告警】\n\n中间件: {{addon_id}}\n\n老年代GC次数: {{CollectionCount_win_value}}\n\n集群: {{cluster_name}}\n\n机器: {{node_host}}\n\n时间: {{timestamp}}\n\n[查看详情]({{display_url}})\n\n[查看记录]({{record_url}})\n','','1.0','2021-05-28 11:55:06','2021-05-28 11:55:07',0),(5385,'平台中间件cassandra GC次数异常','dice_addon','dice_addon_cassandra_gc_count','webhook','alert','【平台中间件cassandra GC次数告警】\n','【平台中间件cassandra GC次数告警】\n\n中间件: {{addon_id}}\n\n老年代GC次数: {{CollectionCount_win_value}}\n\n集群: {{cluster_name}}\n\n机器: {{node_host}}\n\n时间: {{timestamp}}\n\n[查看详情]({{display_url}})\n\n[查看记录]({{record_url}})\n','','1.0','2021-05-28 11:55:06','2021-05-28 11:55:07',0),(5386,'平台中间件cassandra GC次数异常','dice_addon','dice_addon_cassandra_gc_count','dingding','recover','【平台中间件cassandra GC次数恢复】\n','【平台中间件cassandra GC次数恢复】\n\n中间件: {{addon_id}}\n\n老年代GC次数: {{CollectionCount_win_value}}\n\n集群: {{cluster_name}}\n\n机器: {{node_host}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','{\"trigger_duration\":\"time:ms\"}','1.0','2021-05-28 11:55:06','2021-05-28 11:55:07',0),(5387,'平台中间件cassandra GC次数异常','dice_addon','dice_addon_cassandra_gc_count','ticket','recover','【平台中间件cassandra GC次数恢复】\n','【平台中间件cassandra GC次数恢复】\n\n中间件: {{addon_id}}\n\n老年代GC次数: {{CollectionCount_win_value}}\n\n集群: {{cluster_name}}\n\n机器: {{node_host}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','{\"trigger_duration\":\"time:ms\"}','1.0','2021-05-28 11:55:06','2021-05-28 11:55:07',0),(5388,'平台中间件cassandra GC次数异常','dice_addon','dice_addon_cassandra_gc_count','email','recover','【平台中间件cassandra GC次数恢复】\n','【平台中间件cassandra GC次数恢复】\n\n中间件: {{addon_id}}\n\n老年代GC次数: {{CollectionCount_win_value}}\n\n集群: {{cluster_name}}\n\n机器: {{node_host}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','{\"trigger_duration\":\"time:ms\"}','1.0','2021-05-28 11:55:06','2021-05-28 11:55:07',0),(5389,'平台中间件cassandra GC次数异常','dice_addon','dice_addon_cassandra_gc_count','mbox','recover','【平台中间件cassandra GC次数恢复】\n','【平台中间件cassandra GC次数恢复】\n\n中间件: {{addon_id}}\n\n老年代GC次数: {{CollectionCount_win_value}}\n\n集群: {{cluster_name}}\n\n机器: {{node_host}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','{\"trigger_duration\":\"time:ms\"}','1.0','2021-05-28 11:55:06','2021-05-28 11:55:07',0),(5390,'平台中间件cassandra GC次数异常','dice_addon','dice_addon_cassandra_gc_count','webhook','recover','【平台中间件cassandra GC次数恢复】\n','【平台中间件cassandra GC次数恢复】\n\n中间件: {{addon_id}}\n\n老年代GC次数: {{CollectionCount_win_value}}\n\n集群: {{cluster_name}}\n\n机器: {{node_host}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','{\"trigger_duration\":\"time:ms\"}','1.0','2021-05-28 11:55:06','2021-05-28 11:55:07',0),(5391,'平台中间件cassandra GC耗时异常','dice_addon','dice_addon_cassandra_gc_time','dingding','alert','【平台中间件cassandra GC耗时告警】\n','【平台中间件cassandra GC耗时告警】\n\n中间件: {{addon_id}}\n\n老年代GC耗时: {{CollectionTime_win_value}}\n\n集群: {{cluster_name}}\n\n机器: {{node_host}}\n\n时间: {{timestamp}}\n\n[查看详情]({{display_url}})\n\n[查看记录]({{record_url}})\n','{\"CollectionTime_win_value\":\"time:ms\"}','1.0','2021-05-28 11:55:06','2021-05-28 11:55:07',0),(5392,'平台中间件cassandra GC耗时异常','dice_addon','dice_addon_cassandra_gc_time','ticket','alert','【平台中间件cassandra GC耗时告警】\n','【平台中间件cassandra GC耗时告警】\n\n中间件: {{addon_id}}\n\n老年代GC耗时: {{CollectionTime_win_value}}\n\n集群: {{cluster_name}}\n\n机器: {{node_host}}\n\n时间: {{timestamp}}\n\n[查看详情]({{display_url}})\n\n[查看记录]({{record_url}})\n','{\"CollectionTime_win_value\":\"time:ms\"}','1.0','2021-05-28 11:55:06','2021-05-28 11:55:07',0),(5393,'平台中间件cassandra GC耗时异常','dice_addon','dice_addon_cassandra_gc_time','email','alert','【平台中间件cassandra GC耗时告警】\n','【平台中间件cassandra GC耗时告警】\n\n中间件: {{addon_id}}\n\n老年代GC耗时: {{CollectionTime_win_value}}\n\n集群: {{cluster_name}}\n\n机器: {{node_host}}\n\n时间: {{timestamp}}\n\n[查看详情]({{display_url}})\n\n[查看记录]({{record_url}})\n','{\"CollectionTime_win_value\":\"time:ms\"}','1.0','2021-05-28 11:55:06','2021-05-28 11:55:07',0),(5394,'平台中间件cassandra GC耗时异常','dice_addon','dice_addon_cassandra_gc_time','mbox','alert','【平台中间件cassandra GC耗时告警】\n','【平台中间件cassandra GC耗时告警】\n\n中间件: {{addon_id}}\n\n老年代GC耗时: {{CollectionTime_win_value}}\n\n集群: {{cluster_name}}\n\n机器: {{node_host}}\n\n时间: {{timestamp}}\n\n[查看详情]({{display_url}})\n\n[查看记录]({{record_url}})\n','{\"CollectionTime_win_value\":\"time:ms\"}','1.0','2021-05-28 11:55:06','2021-05-28 11:55:07',0),(5395,'平台中间件cassandra GC耗时异常','dice_addon','dice_addon_cassandra_gc_time','webhook','alert','【平台中间件cassandra GC耗时告警】\n','【平台中间件cassandra GC耗时告警】\n\n中间件: {{addon_id}}\n\n老年代GC耗时: {{CollectionTime_win_value}}\n\n集群: {{cluster_name}}\n\n机器: {{node_host}}\n\n时间: {{timestamp}}\n\n[查看详情]({{display_url}})\n\n[查看记录]({{record_url}})\n','{\"CollectionTime_win_value\":\"time:ms\"}','1.0','2021-05-28 11:55:06','2021-05-28 11:55:07',0),(5396,'平台中间件cassandra GC耗时异常','dice_addon','dice_addon_cassandra_gc_time','dingding','recover','【平台中间件cassandra GC耗时恢复】\n','【平台中间件cassandra GC耗时恢复】\n\n中间件: {{addon_id}}\n\n老年代GC耗时: {{CollectionTime_win_value}}\n\n集群: {{cluster_name}}\n\n机器: {{node_host}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','{\"CollectionTime_win_value\":\"time:ms\",\"trigger_duration\":\"time:ms\"}','1.0','2021-05-28 11:55:06','2021-05-28 11:55:07',0),(5397,'平台中间件cassandra GC耗时异常','dice_addon','dice_addon_cassandra_gc_time','ticket','recover','【平台中间件cassandra GC耗时恢复】\n','【平台中间件cassandra GC耗时恢复】\n\n中间件: {{addon_id}}\n\n老年代GC耗时: {{CollectionTime_win_value}}\n\n集群: {{cluster_name}}\n\n机器: {{node_host}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','{\"CollectionTime_win_value\":\"time:ms\",\"trigger_duration\":\"time:ms\"}','1.0','2021-05-28 11:55:06','2021-05-28 11:55:07',0),(5398,'平台中间件cassandra GC耗时异常','dice_addon','dice_addon_cassandra_gc_time','email','recover','【平台中间件cassandra GC耗时恢复】\n','【平台中间件cassandra GC耗时恢复】\n\n中间件: {{addon_id}}\n\n老年代GC耗时: {{CollectionTime_win_value}}\n\n集群: {{cluster_name}}\n\n机器: {{node_host}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','{\"CollectionTime_win_value\":\"time:ms\",\"trigger_duration\":\"time:ms\"}','1.0','2021-05-28 11:55:06','2021-05-28 11:55:07',0),(5399,'平台中间件cassandra GC耗时异常','dice_addon','dice_addon_cassandra_gc_time','mbox','recover','【平台中间件cassandra GC耗时恢复】\n','【平台中间件cassandra GC耗时恢复】\n\n中间件: {{addon_id}}\n\n老年代GC耗时: {{CollectionTime_win_value}}\n\n集群: {{cluster_name}}\n\n机器: {{node_host}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','{\"CollectionTime_win_value\":\"time:ms\",\"trigger_duration\":\"time:ms\"}','1.0','2021-05-28 11:55:06','2021-05-28 11:55:07',0),(5400,'平台中间件cassandra GC耗时异常','dice_addon','dice_addon_cassandra_gc_time','webhook','recover','【平台中间件cassandra GC耗时恢复】\n','【平台中间件cassandra GC耗时恢复】\n\n中间件: {{addon_id}}\n\n老年代GC耗时: {{CollectionTime_win_value}}\n\n集群: {{cluster_name}}\n\n机器: {{node_host}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','{\"CollectionTime_win_value\":\"time:ms\",\"trigger_duration\":\"time:ms\"}','1.0','2021-05-28 11:55:06','2021-05-28 11:55:07',0),(5401,'平台中间件实例CPU异常','dice_addon','dice_addon_container_cpu','dingding','alert','【平台中间件{{addon_id}} CPU使用率告警】\n','【平台中间件CPU使用率告警】\n\n中间件: {{addon_id}}\n\n使用率: {{cpu_usage_percent_avg}}\n\n限制: {{cpu_limit_value}}核\n\n分配: {{cpu_allocation_value}}核\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n容器ID: {{container_id}}\n\n时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','{\"cpu_allocation_value\":\"fraction:2\",\"cpu_limit_value\":\"fraction:2\",\"cpu_usage_percent_avg\":\"percent:2\"}','1.0','2021-05-28 11:55:06','2021-05-28 11:55:07',0),(5402,'平台中间件实例CPU异常','dice_addon','dice_addon_container_cpu','ticket','alert','【平台中间件{{addon_id}} CPU使用率告警】\n','【平台中间件CPU使用率告警】\n\n中间件: {{addon_id}}\n\n使用率: {{cpu_usage_percent_avg}}\n\n限制: {{cpu_limit_value}}核\n\n分配: {{cpu_allocation_value}}核\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n容器ID: {{container_id}}\n\n时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','{\"cpu_allocation_value\":\"fraction:2\",\"cpu_limit_value\":\"fraction:2\",\"cpu_usage_percent_avg\":\"percent:2\"}','1.0','2021-05-28 11:55:06','2021-05-28 11:55:07',0),(5403,'平台中间件实例CPU异常','dice_addon','dice_addon_container_cpu','email','alert','【平台中间件{{addon_id}} CPU使用率告警】\n','【平台中间件CPU使用率告警】\n\n中间件: {{addon_id}}\n\n使用率: {{cpu_usage_percent_avg}}\n\n限制: {{cpu_limit_value}}核\n\n分配: {{cpu_allocation_value}}核\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n容器ID: {{container_id}}\n\n时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','{\"cpu_allocation_value\":\"fraction:2\",\"cpu_limit_value\":\"fraction:2\",\"cpu_usage_percent_avg\":\"percent:2\"}','1.0','2021-05-28 11:55:06','2021-05-28 11:55:07',0),(5404,'平台中间件实例CPU异常','dice_addon','dice_addon_container_cpu','mbox','alert','【平台中间件{{addon_id}} CPU使用率告警】\n','【平台中间件CPU使用率告警】\n\n中间件: {{addon_id}}\n\n使用率: {{cpu_usage_percent_avg}}\n\n限制: {{cpu_limit_value}}核\n\n分配: {{cpu_allocation_value}}核\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n容器ID: {{container_id}}\n\n时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','{\"cpu_allocation_value\":\"fraction:2\",\"cpu_limit_value\":\"fraction:2\",\"cpu_usage_percent_avg\":\"percent:2\"}','1.0','2021-05-28 11:55:06','2021-05-28 11:55:07',0),(5405,'平台中间件实例CPU异常','dice_addon','dice_addon_container_cpu','webhook','alert','【平台中间件{{addon_id}} CPU使用率告警】\n','【平台中间件CPU使用率告警】\n\n中间件: {{addon_id}}\n\n使用率: {{cpu_usage_percent_avg}}\n\n限制: {{cpu_limit_value}}核\n\n分配: {{cpu_allocation_value}}核\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n容器ID: {{container_id}}\n\n时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','{\"cpu_allocation_value\":\"fraction:2\",\"cpu_limit_value\":\"fraction:2\",\"cpu_usage_percent_avg\":\"percent:2\"}','1.0','2021-05-28 11:55:06','2021-05-28 11:55:07',0),(5406,'平台中间件实例CPU异常','dice_addon','dice_addon_container_cpu','dingding','recover','【平台中间件{{addon_id}} CPU使用率恢复】\n','【平台中间件CPU使用率恢复】\n\n中间件: {{addon_id}}\n\n使用率: {{cpu_usage_percent_avg}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n容器ID: {{container_id}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','{\"cpu_usage_percent_avg\":\"percent:2\",\"trigger_duration\":\"time:ms\"}','1.0','2021-05-28 11:55:06','2021-05-28 11:55:07',0),(5407,'平台中间件实例CPU异常','dice_addon','dice_addon_container_cpu','ticket','recover','【平台中间件{{addon_id}} CPU使用率恢复】\n','【平台中间件CPU使用率恢复】\n\n中间件: {{addon_id}}\n\n使用率: {{cpu_usage_percent_avg}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n容器ID: {{container_id}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','{\"cpu_usage_percent_avg\":\"percent:2\",\"trigger_duration\":\"time:ms\"}','1.0','2021-05-28 11:55:06','2021-05-28 11:55:07',0),(5408,'平台中间件实例CPU异常','dice_addon','dice_addon_container_cpu','email','recover','【平台中间件{{addon_id}} CPU使用率恢复】\n','【平台中间件CPU使用率恢复】\n\n中间件: {{addon_id}}\n\n使用率: {{cpu_usage_percent_avg}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n容器ID: {{container_id}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','{\"cpu_usage_percent_avg\":\"percent:2\",\"trigger_duration\":\"time:ms\"}','1.0','2021-05-28 11:55:06','2021-05-28 11:55:07',0),(5409,'平台中间件实例CPU异常','dice_addon','dice_addon_container_cpu','mbox','recover','【平台中间件{{addon_id}} CPU使用率恢复】\n','【平台中间件CPU使用率恢复】\n\n中间件: {{addon_id}}\n\n使用率: {{cpu_usage_percent_avg}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n容器ID: {{container_id}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','{\"cpu_usage_percent_avg\":\"percent:2\",\"trigger_duration\":\"time:ms\"}','1.0','2021-05-28 11:55:06','2021-05-28 11:55:07',0),(5410,'平台中间件实例CPU异常','dice_addon','dice_addon_container_cpu','webhook','recover','【平台中间件{{addon_id}} CPU使用率恢复】\n','【平台中间件CPU使用率恢复】\n\n中间件: {{addon_id}}\n\n使用率: {{cpu_usage_percent_avg}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n容器ID: {{container_id}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','{\"cpu_usage_percent_avg\":\"percent:2\",\"trigger_duration\":\"time:ms\"}','1.0','2021-05-28 11:55:06','2021-05-28 11:55:07',0),(5411,'平台中间件异常退出','dice_addon','dice_addon_container_exit','dingding','alert','【平台中间件{{addon_id}}异常退出告警】\n','【平台中间件异常退出告警】\n\n中间件: {{addon_id}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n启动时间: {{started_at_value}}\n\n退出时间: {{finished_at_value}}\n\n退出原因: {{terminated_reason_value}}\n\n时间: {{timestamp}}\n\n[查看详情]({{display_url}})\n\n[查看记录]({{record_url}})\n','{\"finished_at_value\":\"date\",\"started_at_value\":\"date\"}','1.0','2021-05-28 11:55:06','2021-05-28 11:55:07',0),(5412,'平台中间件异常退出','dice_addon','dice_addon_container_exit','ticket','alert','【平台中间件{{addon_id}}异常退出告警】\n','【平台中间件异常退出告警】\n\n中间件: {{addon_id}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n启动时间: {{started_at_value}}\n\n退出时间: {{finished_at_value}}\n\n退出原因: {{terminated_reason_value}}\n\n时间: {{timestamp}}\n\n[查看详情]({{display_url}})\n\n[查看记录]({{record_url}})\n','{\"finished_at_value\":\"date\",\"started_at_value\":\"date\"}','1.0','2021-05-28 11:55:06','2021-05-28 11:55:07',0),(5413,'平台中间件异常退出','dice_addon','dice_addon_container_exit','email','alert','【平台中间件{{addon_id}}异常退出告警】\n','【平台中间件异常退出告警】\n\n中间件: {{addon_id}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n启动时间: {{started_at_value}}\n\n退出时间: {{finished_at_value}}\n\n退出原因: {{terminated_reason_value}}\n\n时间: {{timestamp}}\n\n[查看详情]({{display_url}})\n\n[查看记录]({{record_url}})\n','{\"finished_at_value\":\"date\",\"started_at_value\":\"date\"}','1.0','2021-05-28 11:55:06','2021-05-28 11:55:07',0),(5414,'平台中间件异常退出','dice_addon','dice_addon_container_exit','mbox','alert','【平台中间件{{addon_id}}异常退出告警】\n','【平台中间件异常退出告警】\n\n中间件: {{addon_id}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n启动时间: {{started_at_value}}\n\n退出时间: {{finished_at_value}}\n\n退出原因: {{terminated_reason_value}}\n\n时间: {{timestamp}}\n\n[查看详情]({{display_url}})\n\n[查看记录]({{record_url}})\n','{\"finished_at_value\":\"date\",\"started_at_value\":\"date\"}','1.0','2021-05-28 11:55:06','2021-05-28 11:55:07',0),(5415,'平台中间件异常退出','dice_addon','dice_addon_container_exit','webhook','alert','【平台中间件{{addon_id}}异常退出告警】\n','【平台中间件异常退出告警】\n\n中间件: {{addon_id}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n启动时间: {{started_at_value}}\n\n退出时间: {{finished_at_value}}\n\n退出原因: {{terminated_reason_value}}\n\n时间: {{timestamp}}\n\n[查看详情]({{display_url}})\n\n[查看记录]({{record_url}})\n','{\"finished_at_value\":\"date\",\"started_at_value\":\"date\"}','1.0','2021-05-28 11:55:06','2021-05-28 11:55:07',0),(5416,'平台中间件异常退出','dice_addon','dice_addon_container_exit','dingding','recover','【平台中间件{{addon_id}}异常退出恢复】\n','【平台中间件异常退出恢复】\n\n中间件: {{addon_id}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','{\"trigger_duration\":\"time:ms\"}','1.0','2021-05-28 11:55:06','2021-05-28 11:55:07',0),(5417,'平台中间件异常退出','dice_addon','dice_addon_container_exit','ticket','recover','【平台中间件{{addon_id}}异常退出恢复】\n','【平台中间件异常退出恢复】\n\n中间件: {{addon_id}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','{\"trigger_duration\":\"time:ms\"}','1.0','2021-05-28 11:55:06','2021-05-28 11:55:07',0),(5418,'平台中间件异常退出','dice_addon','dice_addon_container_exit','email','recover','【平台中间件{{addon_id}}异常退出恢复】\n','【平台中间件异常退出恢复】\n\n中间件: {{addon_id}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','{\"trigger_duration\":\"time:ms\"}','1.0','2021-05-28 11:55:06','2021-05-28 11:55:07',0),(5419,'平台中间件异常退出','dice_addon','dice_addon_container_exit','mbox','recover','【平台中间件{{addon_id}}异常退出恢复】\n','【平台中间件异常退出恢复】\n\n中间件: {{addon_id}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','{\"trigger_duration\":\"time:ms\"}','1.0','2021-05-28 11:55:06','2021-05-28 11:55:07',0),(5420,'平台中间件异常退出','dice_addon','dice_addon_container_exit','webhook','recover','【平台中间件{{addon_id}}异常退出恢复】\n','【平台中间件异常退出恢复】\n\n中间件: {{addon_id}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','{\"trigger_duration\":\"time:ms\"}','1.0','2021-05-28 11:55:06','2021-05-28 11:55:07',0),(5421,'平台中间件实例内存异常','dice_addon','dice_addon_container_mem','dingding','alert','【平台中间件{{addon_id}}内存使用率告警】\n','【平台中间件内存使用率告警】\n\n中间件: {{addon_id}}\n\n使用率: {{mem_usage_percent_avg}}\n\n使用: {{mem_usage_value}}\n\n限制: {{mem_limit_value}}\n\n分配: {{mem_allocation_value}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n容器ID: {{container_id}}\n\n时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','{\"mem_allocation_value\":\"size:byte\",\"mem_limit_value\":\"size:byte\",\"mem_usage_percent_avg\":\"percent:2\",\"mem_usage_value\":\"size:byte\"}','1.0','2021-05-28 11:55:06','2021-05-28 11:55:07',0),(5422,'平台中间件实例内存异常','dice_addon','dice_addon_container_mem','ticket','alert','【平台中间件{{addon_id}}内存使用率告警】\n','【平台中间件内存使用率告警】\n\n中间件: {{addon_id}}\n\n使用率: {{mem_usage_percent_avg}}\n\n使用: {{mem_usage_value}}\n\n限制: {{mem_limit_value}}\n\n分配: {{mem_allocation_value}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n容器ID: {{container_id}}\n\n时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','{\"mem_allocation_value\":\"size:byte\",\"mem_limit_value\":\"size:byte\",\"mem_usage_percent_avg\":\"percent:2\",\"mem_usage_value\":\"size:byte\"}','1.0','2021-05-28 11:55:06','2021-05-28 11:55:07',0),(5423,'平台中间件实例内存异常','dice_addon','dice_addon_container_mem','email','alert','【平台中间件{{addon_id}}内存使用率告警】\n','【平台中间件内存使用率告警】\n\n中间件: {{addon_id}}\n\n使用率: {{mem_usage_percent_avg}}\n\n使用: {{mem_usage_value}}\n\n限制: {{mem_limit_value}}\n\n分配: {{mem_allocation_value}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n容器ID: {{container_id}}\n\n时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','{\"mem_allocation_value\":\"size:byte\",\"mem_limit_value\":\"size:byte\",\"mem_usage_percent_avg\":\"percent:2\",\"mem_usage_value\":\"size:byte\"}','1.0','2021-05-28 11:55:06','2021-05-28 11:55:07',0),(5424,'平台中间件实例内存异常','dice_addon','dice_addon_container_mem','mbox','alert','【平台中间件{{addon_id}}内存使用率告警】\n','【平台中间件内存使用率告警】\n\n中间件: {{addon_id}}\n\n使用率: {{mem_usage_percent_avg}}\n\n使用: {{mem_usage_value}}\n\n限制: {{mem_limit_value}}\n\n分配: {{mem_allocation_value}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n容器ID: {{container_id}}\n\n时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','{\"mem_allocation_value\":\"size:byte\",\"mem_limit_value\":\"size:byte\",\"mem_usage_percent_avg\":\"percent:2\",\"mem_usage_value\":\"size:byte\"}','1.0','2021-05-28 11:55:06','2021-05-28 11:55:07',0),(5425,'平台中间件实例内存异常','dice_addon','dice_addon_container_mem','webhook','alert','【平台中间件{{addon_id}}内存使用率告警】\n','【平台中间件内存使用率告警】\n\n中间件: {{addon_id}}\n\n使用率: {{mem_usage_percent_avg}}\n\n使用: {{mem_usage_value}}\n\n限制: {{mem_limit_value}}\n\n分配: {{mem_allocation_value}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n容器ID: {{container_id}}\n\n时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','{\"mem_allocation_value\":\"size:byte\",\"mem_limit_value\":\"size:byte\",\"mem_usage_percent_avg\":\"percent:2\",\"mem_usage_value\":\"size:byte\"}','1.0','2021-05-28 11:55:06','2021-05-28 11:55:07',0),(5426,'平台中间件实例内存异常','dice_addon','dice_addon_container_mem','dingding','recover','【平台中间件{{addon_id}}内存使用率恢复】\n','【平台中间件内存使用率恢复】\n\n中间件: {{addon_id}}\n\n使用率: {{mem_usage_percent_avg}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n容器ID: {{container_id}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','{\"mem_usage_percent_avg\":\"percent:2\",\"trigger_duration\":\"time:ms\"}','1.0','2021-05-28 11:55:06','2021-05-28 11:55:07',0),(5427,'平台中间件实例内存异常','dice_addon','dice_addon_container_mem','ticket','recover','【平台中间件{{addon_id}}内存使用率恢复】\n','【平台中间件内存使用率恢复】\n\n中间件: {{addon_id}}\n\n使用率: {{mem_usage_percent_avg}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n容器ID: {{container_id}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','{\"mem_usage_percent_avg\":\"percent:2\",\"trigger_duration\":\"time:ms\"}','1.0','2021-05-28 11:55:06','2021-05-28 11:55:07',0),(5428,'平台中间件实例内存异常','dice_addon','dice_addon_container_mem','email','recover','【平台中间件{{addon_id}}内存使用率恢复】\n','【平台中间件内存使用率恢复】\n\n中间件: {{addon_id}}\n\n使用率: {{mem_usage_percent_avg}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n容器ID: {{container_id}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','{\"mem_usage_percent_avg\":\"percent:2\",\"trigger_duration\":\"time:ms\"}','1.0','2021-05-28 11:55:06','2021-05-28 11:55:07',0),(5429,'平台中间件实例内存异常','dice_addon','dice_addon_container_mem','mbox','recover','【平台中间件{{addon_id}}内存使用率恢复】\n','【平台中间件内存使用率恢复】\n\n中间件: {{addon_id}}\n\n使用率: {{mem_usage_percent_avg}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n容器ID: {{container_id}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','{\"mem_usage_percent_avg\":\"percent:2\",\"trigger_duration\":\"time:ms\"}','1.0','2021-05-28 11:55:06','2021-05-28 11:55:07',0),(5430,'平台中间件实例内存异常','dice_addon','dice_addon_container_mem','webhook','recover','【平台中间件{{addon_id}}内存使用率恢复】\n','【平台中间件内存使用率恢复】\n\n中间件: {{addon_id}}\n\n使用率: {{mem_usage_percent_avg}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n容器ID: {{container_id}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','{\"mem_usage_percent_avg\":\"percent:2\",\"trigger_duration\":\"time:ms\"}','1.0','2021-05-28 11:55:06','2021-05-28 11:55:07',0),(5431,'平台中间件实例Ready状态异常','dice_addon','dice_addon_container_ready','dingding','alert','【平台中间件{{addon_id}} Ready状态异常告警】\n','【平台中间件Ready状态异常告警】\n\n中间件: {{addon_id}}\n\n未就绪实例: {{not_ready_value}}\n\n已就绪实例: {{ready_value}}\n\n集群: {{cluster_name}}\n\n时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','','1.0','2021-05-28 11:55:06','2021-05-28 11:55:07',0),(5432,'平台中间件实例Ready状态异常','dice_addon','dice_addon_container_ready','ticket','alert','【平台中间件{{addon_id}} Ready状态异常告警】\n','【平台中间件Ready状态异常告警】\n\n中间件: {{addon_id}}\n\n未就绪实例: {{not_ready_value}}\n\n已就绪实例: {{ready_value}}\n\n集群: {{cluster_name}}\n\n时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','','1.0','2021-05-28 11:55:06','2021-05-28 11:55:07',0),(5433,'平台中间件实例Ready状态异常','dice_addon','dice_addon_container_ready','email','alert','【平台中间件{{addon_id}} Ready状态异常告警】\n','【平台中间件Ready状态异常告警】\n\n中间件: {{addon_id}}\n\n未就绪实例: {{not_ready_value}}\n\n已就绪实例: {{ready_value}}\n\n集群: {{cluster_name}}\n\n时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','','1.0','2021-05-28 11:55:06','2021-05-28 11:55:07',0),(5434,'平台中间件实例Ready状态异常','dice_addon','dice_addon_container_ready','mbox','alert','【平台中间件{{addon_id}} Ready状态异常告警】\n','【平台中间件Ready状态异常告警】\n\n中间件: {{addon_id}}\n\n未就绪实例: {{not_ready_value}}\n\n已就绪实例: {{ready_value}}\n\n集群: {{cluster_name}}\n\n时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','','1.0','2021-05-28 11:55:06','2021-05-28 11:55:07',0),(5435,'平台中间件实例Ready状态异常','dice_addon','dice_addon_container_ready','webhook','alert','【平台中间件{{addon_id}} Ready状态异常告警】\n','【平台中间件Ready状态异常告警】\n\n中间件: {{addon_id}}\n\n未就绪实例: {{not_ready_value}}\n\n已就绪实例: {{ready_value}}\n\n集群: {{cluster_name}}\n\n时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','','1.0','2021-05-28 11:55:06','2021-05-28 11:55:07',0),(5436,'平台中间件实例Ready状态异常','dice_addon','dice_addon_container_ready','dingding','recover','【平台中间件{{addon_id}} Ready状态异常恢复】\n','【平台中间件Ready状态异常恢复】\n\n中间件: {{addon_id}}\n\n已绪数实例: {{ready_value}}\n\n集群: {{cluster_name}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','{\"trigger_duration\":\"time:ms\"}','1.0','2021-05-28 11:55:06','2021-05-28 11:55:07',0),(5437,'平台中间件实例Ready状态异常','dice_addon','dice_addon_container_ready','ticket','recover','【平台中间件{{addon_id}} Ready状态异常恢复】\n','【平台中间件Ready状态异常恢复】\n\n中间件: {{addon_id}}\n\n已绪数实例: {{ready_value}}\n\n集群: {{cluster_name}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','{\"trigger_duration\":\"time:ms\"}','1.0','2021-05-28 11:55:06','2021-05-28 11:55:07',0),(5438,'平台中间件实例Ready状态异常','dice_addon','dice_addon_container_ready','email','recover','【平台中间件{{addon_id}} Ready状态异常恢复】\n','【平台中间件Ready状态异常恢复】\n\n中间件: {{addon_id}}\n\n已绪数实例: {{ready_value}}\n\n集群: {{cluster_name}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','{\"trigger_duration\":\"time:ms\"}','1.0','2021-05-28 11:55:06','2021-05-28 11:55:07',0),(5439,'平台中间件实例Ready状态异常','dice_addon','dice_addon_container_ready','mbox','recover','【平台中间件{{addon_id}} Ready状态异常恢复】\n','【平台中间件Ready状态异常恢复】\n\n中间件: {{addon_id}}\n\n已绪数实例: {{ready_value}}\n\n集群: {{cluster_name}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','{\"trigger_duration\":\"time:ms\"}','1.0','2021-05-28 11:55:06','2021-05-28 11:55:07',0),(5440,'平台中间件实例Ready状态异常','dice_addon','dice_addon_container_ready','webhook','recover','【平台中间件{{addon_id}} Ready状态异常恢复】\n','【平台中间件Ready状态异常恢复】\n\n中间件: {{addon_id}}\n\n已绪数实例: {{ready_value}}\n\n集群: {{cluster_name}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','{\"trigger_duration\":\"time:ms\"}','1.0','2021-05-28 11:55:06','2021-05-28 11:55:07',0),(5441,'平台中间件elasticsearch GC次数异常','dice_addon','dice_addon_elasticsearch_gc_count','dingding','alert','【平台中间件elasticsearch GC次数告警】\n','【平台中间件elasticsearch GC次数告警】\n\n中间件: {{addon_id}}\n\n老年代GC次数: {{gc_collectors_old_collection_count_win_value}}\n\n集群: {{cluster_name}}\n\n机器: {{node_host}}\n\n时间: {{timestamp}}\n\n[查看详情]({{display_url}})\n\n[查看记录]({{record_url}})\n','','1.0','2021-05-28 11:55:06','2021-05-28 11:55:07',0),(5442,'平台中间件elasticsearch GC次数异常','dice_addon','dice_addon_elasticsearch_gc_count','ticket','alert','【平台中间件elasticsearch GC次数告警】\n','【平台中间件elasticsearch GC次数告警】\n\n中间件: {{addon_id}}\n\n老年代GC次数: {{gc_collectors_old_collection_count_win_value}}\n\n集群: {{cluster_name}}\n\n机器: {{node_host}}\n\n时间: {{timestamp}}\n\n[查看详情]({{display_url}})\n\n[查看记录]({{record_url}})\n','','1.0','2021-05-28 11:55:06','2021-05-28 11:55:07',0),(5443,'平台中间件elasticsearch GC次数异常','dice_addon','dice_addon_elasticsearch_gc_count','email','alert','【平台中间件elasticsearch GC次数告警】\n','【平台中间件elasticsearch GC次数告警】\n\n中间件: {{addon_id}}\n\n老年代GC次数: {{gc_collectors_old_collection_count_win_value}}\n\n集群: {{cluster_name}}\n\n机器: {{node_host}}\n\n时间: {{timestamp}}\n\n[查看详情]({{display_url}})\n\n[查看记录]({{record_url}})\n','','1.0','2021-05-28 11:55:06','2021-05-28 11:55:07',0),(5444,'平台中间件elasticsearch GC次数异常','dice_addon','dice_addon_elasticsearch_gc_count','mbox','alert','【平台中间件elasticsearch GC次数告警】\n','【平台中间件elasticsearch GC次数告警】\n\n中间件: {{addon_id}}\n\n老年代GC次数: {{gc_collectors_old_collection_count_win_value}}\n\n集群: {{cluster_name}}\n\n机器: {{node_host}}\n\n时间: {{timestamp}}\n\n[查看详情]({{display_url}})\n\n[查看记录]({{record_url}})\n','','1.0','2021-05-28 11:55:06','2021-05-28 11:55:07',0),(5445,'平台中间件elasticsearch GC次数异常','dice_addon','dice_addon_elasticsearch_gc_count','webhook','alert','【平台中间件elasticsearch GC次数告警】\n','【平台中间件elasticsearch GC次数告警】\n\n中间件: {{addon_id}}\n\n老年代GC次数: {{gc_collectors_old_collection_count_win_value}}\n\n集群: {{cluster_name}}\n\n机器: {{node_host}}\n\n时间: {{timestamp}}\n\n[查看详情]({{display_url}})\n\n[查看记录]({{record_url}})\n','','1.0','2021-05-28 11:55:06','2021-05-28 11:55:07',0),(5446,'平台中间件elasticsearch GC次数异常','dice_addon','dice_addon_elasticsearch_gc_count','dingding','recover','【平台中间件elasticsearch GC次数恢复】\n','【平台中间件elasticsearch GC次数恢复】\n\n中间件: {{addon_id}}\n\n老年代GC次数: {{gc_collectors_old_collection_count_win_value}}\n\n集群: {{cluster_name}}\n\n机器: {{node_host}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','{\"trigger_duration\":\"time:ms\"}','1.0','2021-05-28 11:55:06','2021-05-28 11:55:07',0),(5447,'平台中间件elasticsearch GC次数异常','dice_addon','dice_addon_elasticsearch_gc_count','ticket','recover','【平台中间件elasticsearch GC次数恢复】\n','【平台中间件elasticsearch GC次数恢复】\n\n中间件: {{addon_id}}\n\n老年代GC次数: {{gc_collectors_old_collection_count_win_value}}\n\n集群: {{cluster_name}}\n\n机器: {{node_host}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','{\"trigger_duration\":\"time:ms\"}','1.0','2021-05-28 11:55:06','2021-05-28 11:55:07',0),(5448,'平台中间件elasticsearch GC次数异常','dice_addon','dice_addon_elasticsearch_gc_count','email','recover','【平台中间件elasticsearch GC次数恢复】\n','【平台中间件elasticsearch GC次数恢复】\n\n中间件: {{addon_id}}\n\n老年代GC次数: {{gc_collectors_old_collection_count_win_value}}\n\n集群: {{cluster_name}}\n\n机器: {{node_host}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','{\"trigger_duration\":\"time:ms\"}','1.0','2021-05-28 11:55:06','2021-05-28 11:55:07',0),(5449,'平台中间件elasticsearch GC次数异常','dice_addon','dice_addon_elasticsearch_gc_count','mbox','recover','【平台中间件elasticsearch GC次数恢复】\n','【平台中间件elasticsearch GC次数恢复】\n\n中间件: {{addon_id}}\n\n老年代GC次数: {{gc_collectors_old_collection_count_win_value}}\n\n集群: {{cluster_name}}\n\n机器: {{node_host}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','{\"trigger_duration\":\"time:ms\"}','1.0','2021-05-28 11:55:06','2021-05-28 11:55:07',0),(5450,'平台中间件elasticsearch GC次数异常','dice_addon','dice_addon_elasticsearch_gc_count','webhook','recover','【平台中间件elasticsearch GC次数恢复】\n','【平台中间件elasticsearch GC次数恢复】\n\n中间件: {{addon_id}}\n\n老年代GC次数: {{gc_collectors_old_collection_count_win_value}}\n\n集群: {{cluster_name}}\n\n机器: {{node_host}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','{\"trigger_duration\":\"time:ms\"}','1.0','2021-05-28 11:55:06','2021-05-28 11:55:07',0),(5451,'平台中间件elasticsearch GC耗时异常','dice_addon','dice_addon_elasticsearch_gc_time','dingding','alert','【平台中间件elasticsearch GC耗时告警】\n','【平台中间件elasticsearch GC耗时告警】\n\n中间件: {{addon_id}}\n\n老年代GC耗时: {{gc_collectors_old_collection_time_in_millis_win_value}}\n\n集群: {{cluster_name}}\n\n机器: {{node_name}}\n\n时间: {{timestamp}}\n\n[查看详情]({{display_url}})\n\n[查看记录]({{record_url}})\n','{\"gc_collectors_old_collection_time_in_millis_win_value\":\"time:ms\"}','1.0','2021-05-28 11:55:06','2021-05-28 11:55:07',0),(5452,'平台中间件elasticsearch GC耗时异常','dice_addon','dice_addon_elasticsearch_gc_time','ticket','alert','【平台中间件elasticsearch GC耗时告警】\n','【平台中间件elasticsearch GC耗时告警】\n\n中间件: {{addon_id}}\n\n老年代GC耗时: {{gc_collectors_old_collection_time_in_millis_win_value}}\n\n集群: {{cluster_name}}\n\n机器: {{node_name}}\n\n时间: {{timestamp}}\n\n[查看详情]({{display_url}})\n\n[查看记录]({{record_url}})\n','{\"gc_collectors_old_collection_time_in_millis_win_value\":\"time:ms\"}','1.0','2021-05-28 11:55:06','2021-05-28 11:55:07',0),(5453,'平台中间件elasticsearch GC耗时异常','dice_addon','dice_addon_elasticsearch_gc_time','email','alert','【平台中间件elasticsearch GC耗时告警】\n','【平台中间件elasticsearch GC耗时告警】\n\n中间件: {{addon_id}}\n\n老年代GC耗时: {{gc_collectors_old_collection_time_in_millis_win_value}}\n\n集群: {{cluster_name}}\n\n机器: {{node_name}}\n\n时间: {{timestamp}}\n\n[查看详情]({{display_url}})\n\n[查看记录]({{record_url}})\n','{\"gc_collectors_old_collection_time_in_millis_win_value\":\"time:ms\"}','1.0','2021-05-28 11:55:06','2021-05-28 11:55:07',0),(5454,'平台中间件elasticsearch GC耗时异常','dice_addon','dice_addon_elasticsearch_gc_time','mbox','alert','【平台中间件elasticsearch GC耗时告警】\n','【平台中间件elasticsearch GC耗时告警】\n\n中间件: {{addon_id}}\n\n老年代GC耗时: {{gc_collectors_old_collection_time_in_millis_win_value}}\n\n集群: {{cluster_name}}\n\n机器: {{node_name}}\n\n时间: {{timestamp}}\n\n[查看详情]({{display_url}})\n\n[查看记录]({{record_url}})\n','{\"gc_collectors_old_collection_time_in_millis_win_value\":\"time:ms\"}','1.0','2021-05-28 11:55:06','2021-05-28 11:55:07',0),(5455,'平台中间件elasticsearch GC耗时异常','dice_addon','dice_addon_elasticsearch_gc_time','webhook','alert','【平台中间件elasticsearch GC耗时告警】\n','【平台中间件elasticsearch GC耗时告警】\n\n中间件: {{addon_id}}\n\n老年代GC耗时: {{gc_collectors_old_collection_time_in_millis_win_value}}\n\n集群: {{cluster_name}}\n\n机器: {{node_name}}\n\n时间: {{timestamp}}\n\n[查看详情]({{display_url}})\n\n[查看记录]({{record_url}})\n','{\"gc_collectors_old_collection_time_in_millis_win_value\":\"time:ms\"}','1.0','2021-05-28 11:55:06','2021-05-28 11:55:07',0),(5456,'平台中间件elasticsearch GC耗时异常','dice_addon','dice_addon_elasticsearch_gc_time','dingding','recover','【平台中间件elasticsearch GC耗时恢复】\n','【平台中间件elasticsearch GC耗时恢复】\n\n中间件: {{addon_id}}\n\n老年代GC耗时: {{gc_collectors_old_collection_time_in_millis_win_value}}\n\n集群: {{cluster_name}}\n\n机器: {{node_name}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','{\"gc_collectors_old_collection_time_in_millis_win_value\":\"time:ms\",\"trigger_duration\":\"time:ms\"}','1.0','2021-05-28 11:55:06','2021-05-28 11:55:07',0),(5457,'平台中间件elasticsearch GC耗时异常','dice_addon','dice_addon_elasticsearch_gc_time','ticket','recover','【平台中间件elasticsearch GC耗时恢复】\n','【平台中间件elasticsearch GC耗时恢复】\n\n中间件: {{addon_id}}\n\n老年代GC耗时: {{gc_collectors_old_collection_time_in_millis_win_value}}\n\n集群: {{cluster_name}}\n\n机器: {{node_name}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','{\"gc_collectors_old_collection_time_in_millis_win_value\":\"time:ms\",\"trigger_duration\":\"time:ms\"}','1.0','2021-05-28 11:55:06','2021-05-28 11:55:07',0),(5458,'平台中间件elasticsearch GC耗时异常','dice_addon','dice_addon_elasticsearch_gc_time','email','recover','【平台中间件elasticsearch GC耗时恢复】\n','【平台中间件elasticsearch GC耗时恢复】\n\n中间件: {{addon_id}}\n\n老年代GC耗时: {{gc_collectors_old_collection_time_in_millis_win_value}}\n\n集群: {{cluster_name}}\n\n机器: {{node_name}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','{\"gc_collectors_old_collection_time_in_millis_win_value\":\"time:ms\",\"trigger_duration\":\"time:ms\"}','1.0','2021-05-28 11:55:06','2021-05-28 11:55:07',0),(5459,'平台中间件elasticsearch GC耗时异常','dice_addon','dice_addon_elasticsearch_gc_time','mbox','recover','【平台中间件elasticsearch GC耗时恢复】\n','【平台中间件elasticsearch GC耗时恢复】\n\n中间件: {{addon_id}}\n\n老年代GC耗时: {{gc_collectors_old_collection_time_in_millis_win_value}}\n\n集群: {{cluster_name}}\n\n机器: {{node_name}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','{\"gc_collectors_old_collection_time_in_millis_win_value\":\"time:ms\",\"trigger_duration\":\"time:ms\"}','1.0','2021-05-28 11:55:06','2021-05-28 11:55:07',0),(5460,'平台中间件elasticsearch GC耗时异常','dice_addon','dice_addon_elasticsearch_gc_time','webhook','recover','【平台中间件elasticsearch GC耗时恢复】\n','【平台中间件elasticsearch GC耗时恢复】\n\n中间件: {{addon_id}}\n\n老年代GC耗时: {{gc_collectors_old_collection_time_in_millis_win_value}}\n\n集群: {{cluster_name}}\n\n机器: {{node_name}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','{\"gc_collectors_old_collection_time_in_millis_win_value\":\"time:ms\",\"trigger_duration\":\"time:ms\"}','1.0','2021-05-28 11:55:06','2021-05-28 11:55:07',0),(5461,'平台中间件Kafka GC次数异常','dice_addon','dice_addon_kafka_gc_count','dingding','alert','【平台中间件Kafka GC次数告警】\n','【平台中间件Kafka GC次数告警】\n\n中间件: {{addon_id}}\n\n老年代GC次数: {{CollectionCount_win_value}}\n\n集群: {{cluster_name}}\n\n集群: {{node_host}}\n\n时间: {{timestamp}}\n\n[查看详情]({{display_url}})\n\n[查看记录]({{record_url}})\n','','1.0','2021-05-28 11:55:06','2021-05-28 11:55:07',0),(5462,'平台中间件Kafka GC次数异常','dice_addon','dice_addon_kafka_gc_count','ticket','alert','【平台中间件Kafka GC次数告警】\n','【平台中间件Kafka GC次数告警】\n\n中间件: {{addon_id}}\n\n老年代GC次数: {{CollectionCount_win_value}}\n\n集群: {{cluster_name}}\n\n集群: {{node_host}}\n\n时间: {{timestamp}}\n\n[查看详情]({{display_url}})\n\n[查看记录]({{record_url}})\n','','1.0','2021-05-28 11:55:06','2021-05-28 11:55:07',0),(5463,'平台中间件Kafka GC次数异常','dice_addon','dice_addon_kafka_gc_count','email','alert','【平台中间件Kafka GC次数告警】\n','【平台中间件Kafka GC次数告警】\n\n中间件: {{addon_id}}\n\n老年代GC次数: {{CollectionCount_win_value}}\n\n集群: {{cluster_name}}\n\n集群: {{node_host}}\n\n时间: {{timestamp}}\n\n[查看详情]({{display_url}})\n\n[查看记录]({{record_url}})\n','','1.0','2021-05-28 11:55:06','2021-05-28 11:55:07',0),(5464,'平台中间件Kafka GC次数异常','dice_addon','dice_addon_kafka_gc_count','mbox','alert','【平台中间件Kafka GC次数告警】\n','【平台中间件Kafka GC次数告警】\n\n中间件: {{addon_id}}\n\n老年代GC次数: {{CollectionCount_win_value}}\n\n集群: {{cluster_name}}\n\n集群: {{node_host}}\n\n时间: {{timestamp}}\n\n[查看详情]({{display_url}})\n\n[查看记录]({{record_url}})\n','','1.0','2021-05-28 11:55:06','2021-05-28 11:55:07',0),(5465,'平台中间件Kafka GC次数异常','dice_addon','dice_addon_kafka_gc_count','webhook','alert','【平台中间件Kafka GC次数告警】\n','【平台中间件Kafka GC次数告警】\n\n中间件: {{addon_id}}\n\n老年代GC次数: {{CollectionCount_win_value}}\n\n集群: {{cluster_name}}\n\n集群: {{node_host}}\n\n时间: {{timestamp}}\n\n[查看详情]({{display_url}})\n\n[查看记录]({{record_url}})\n','','1.0','2021-05-28 11:55:06','2021-05-28 11:55:07',0),(5466,'平台中间件Kafka GC次数异常','dice_addon','dice_addon_kafka_gc_count','dingding','recover','【平台中间件Kafka GC次数恢复】\n','【平台中间件Kafka GC次数恢复】\n\n中间件: {{addon_id}}\n\n老年代GC次数: {{CollectionCount_win_value}}\n\n集群: {{cluster_name}}\n\n机器: {{node_host}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','{\"trigger_duration\":\"time:ms\"}','1.0','2021-05-28 11:55:06','2021-05-28 11:55:07',0),(5467,'平台中间件Kafka GC次数异常','dice_addon','dice_addon_kafka_gc_count','ticket','recover','【平台中间件Kafka GC次数恢复】\n','【平台中间件Kafka GC次数恢复】\n\n中间件: {{addon_id}}\n\n老年代GC次数: {{CollectionCount_win_value}}\n\n集群: {{cluster_name}}\n\n机器: {{node_host}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','{\"trigger_duration\":\"time:ms\"}','1.0','2021-05-28 11:55:06','2021-05-28 11:55:07',0),(5468,'平台中间件Kafka GC次数异常','dice_addon','dice_addon_kafka_gc_count','email','recover','【平台中间件Kafka GC次数恢复】\n','【平台中间件Kafka GC次数恢复】\n\n中间件: {{addon_id}}\n\n老年代GC次数: {{CollectionCount_win_value}}\n\n集群: {{cluster_name}}\n\n机器: {{node_host}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','{\"trigger_duration\":\"time:ms\"}','1.0','2021-05-28 11:55:06','2021-05-28 11:55:07',0),(5469,'平台中间件Kafka GC次数异常','dice_addon','dice_addon_kafka_gc_count','mbox','recover','【平台中间件Kafka GC次数恢复】\n','【平台中间件Kafka GC次数恢复】\n\n中间件: {{addon_id}}\n\n老年代GC次数: {{CollectionCount_win_value}}\n\n集群: {{cluster_name}}\n\n机器: {{node_host}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','{\"trigger_duration\":\"time:ms\"}','1.0','2021-05-28 11:55:06','2021-05-28 11:55:07',0),(5470,'平台中间件Kafka GC次数异常','dice_addon','dice_addon_kafka_gc_count','webhook','recover','【平台中间件Kafka GC次数恢复】\n','【平台中间件Kafka GC次数恢复】\n\n中间件: {{addon_id}}\n\n老年代GC次数: {{CollectionCount_win_value}}\n\n集群: {{cluster_name}}\n\n机器: {{node_host}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','{\"trigger_duration\":\"time:ms\"}','1.0','2021-05-28 11:55:06','2021-05-28 11:55:07',0),(5471,'平台中间件kafka GC耗时异常','dice_addon','dice_addon_kafka_gc_time','dingding','alert','【平台中间件kafka GC耗时告警】\n','【平台中间件kafka GC耗时告警】\n\n中间件: {{addon_id}}\n\n老年代GC耗时: {{CollectionTime_win_value}}\n\n集群: {{cluster_name}}\n\n机器: {{node_host}}\n\n时间: {{timestamp}}\n\n[查看详情]({{display_url}})\n\n[查看记录]({{record_url}})\n','{\"CollectionTime_win_value\":\"time:ms\"}','1.0','2021-05-28 11:55:06','2021-05-28 11:55:07',0),(5472,'平台中间件kafka GC耗时异常','dice_addon','dice_addon_kafka_gc_time','ticket','alert','【平台中间件kafka GC耗时告警】\n','【平台中间件kafka GC耗时告警】\n\n中间件: {{addon_id}}\n\n老年代GC耗时: {{CollectionTime_win_value}}\n\n集群: {{cluster_name}}\n\n机器: {{node_host}}\n\n时间: {{timestamp}}\n\n[查看详情]({{display_url}})\n\n[查看记录]({{record_url}})\n','{\"CollectionTime_win_value\":\"time:ms\"}','1.0','2021-05-28 11:55:06','2021-05-28 11:55:07',0),(5473,'平台中间件kafka GC耗时异常','dice_addon','dice_addon_kafka_gc_time','email','alert','【平台中间件kafka GC耗时告警】\n','【平台中间件kafka GC耗时告警】\n\n中间件: {{addon_id}}\n\n老年代GC耗时: {{CollectionTime_win_value}}\n\n集群: {{cluster_name}}\n\n机器: {{node_host}}\n\n时间: {{timestamp}}\n\n[查看详情]({{display_url}})\n\n[查看记录]({{record_url}})\n','{\"CollectionTime_win_value\":\"time:ms\"}','1.0','2021-05-28 11:55:06','2021-05-28 11:55:07',0),(5474,'平台中间件kafka GC耗时异常','dice_addon','dice_addon_kafka_gc_time','mbox','alert','【平台中间件kafka GC耗时告警】\n','【平台中间件kafka GC耗时告警】\n\n中间件: {{addon_id}}\n\n老年代GC耗时: {{CollectionTime_win_value}}\n\n集群: {{cluster_name}}\n\n机器: {{node_host}}\n\n时间: {{timestamp}}\n\n[查看详情]({{display_url}})\n\n[查看记录]({{record_url}})\n','{\"CollectionTime_win_value\":\"time:ms\"}','1.0','2021-05-28 11:55:06','2021-05-28 11:55:07',0),(5475,'平台中间件kafka GC耗时异常','dice_addon','dice_addon_kafka_gc_time','webhook','alert','【平台中间件kafka GC耗时告警】\n','【平台中间件kafka GC耗时告警】\n\n中间件: {{addon_id}}\n\n老年代GC耗时: {{CollectionTime_win_value}}\n\n集群: {{cluster_name}}\n\n机器: {{node_host}}\n\n时间: {{timestamp}}\n\n[查看详情]({{display_url}})\n\n[查看记录]({{record_url}})\n','{\"CollectionTime_win_value\":\"time:ms\"}','1.0','2021-05-28 11:55:06','2021-05-28 11:55:07',0),(5476,'平台中间件kafka GC耗时异常','dice_addon','dice_addon_kafka_gc_time','dingding','recover','【平台中间件kafka GC耗时恢复】\n','【平台中间件kafka GC耗时恢复】\n\n中间件: {{addon_id}}\n\n老年代GC耗时: {{CollectionTime_win_value}}\n\n集群: {{cluster_name}}\n\n机器: {{node_host}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','{\"CollectionTime_win_value\":\"time:ms\",\"trigger_duration\":\"time:ms\"}','1.0','2021-05-28 11:55:06','2021-05-28 11:55:07',0),(5477,'平台中间件kafka GC耗时异常','dice_addon','dice_addon_kafka_gc_time','ticket','recover','【平台中间件kafka GC耗时恢复】\n','【平台中间件kafka GC耗时恢复】\n\n中间件: {{addon_id}}\n\n老年代GC耗时: {{CollectionTime_win_value}}\n\n集群: {{cluster_name}}\n\n机器: {{node_host}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','{\"CollectionTime_win_value\":\"time:ms\",\"trigger_duration\":\"time:ms\"}','1.0','2021-05-28 11:55:06','2021-05-28 11:55:07',0),(5478,'平台中间件kafka GC耗时异常','dice_addon','dice_addon_kafka_gc_time','email','recover','【平台中间件kafka GC耗时恢复】\n','【平台中间件kafka GC耗时恢复】\n\n中间件: {{addon_id}}\n\n老年代GC耗时: {{CollectionTime_win_value}}\n\n集群: {{cluster_name}}\n\n机器: {{node_host}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','{\"CollectionTime_win_value\":\"time:ms\",\"trigger_duration\":\"time:ms\"}','1.0','2021-05-28 11:55:06','2021-05-28 11:55:07',0),(5479,'平台中间件kafka GC耗时异常','dice_addon','dice_addon_kafka_gc_time','mbox','recover','【平台中间件kafka GC耗时恢复】\n','【平台中间件kafka GC耗时恢复】\n\n中间件: {{addon_id}}\n\n老年代GC耗时: {{CollectionTime_win_value}}\n\n集群: {{cluster_name}}\n\n机器: {{node_host}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','{\"CollectionTime_win_value\":\"time:ms\",\"trigger_duration\":\"time:ms\"}','1.0','2021-05-28 11:55:06','2021-05-28 11:55:07',0),(5480,'平台中间件kafka GC耗时异常','dice_addon','dice_addon_kafka_gc_time','webhook','recover','【平台中间件kafka GC耗时恢复】\n','【平台中间件kafka GC耗时恢复】\n\n中间件: {{addon_id}}\n\n老年代GC耗时: {{CollectionTime_win_value}}\n\n集群: {{cluster_name}}\n\n机器: {{node_host}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','{\"CollectionTime_win_value\":\"time:ms\",\"trigger_duration\":\"time:ms\"}','1.0','2021-05-28 11:55:06','2021-05-28 11:55:07',0),(5481,'平台中间件kafka消费堆积','dice_addon','dice_addon_kafka_lag','dingding','alert','【平台中间件kafka消费堆积告警】\n','【平台中间件kafka消费堆积告警】\n\n中间件: {{addon_id}}\n\n消费者组: {{group}}\n\nTopic: {{topic}}\n\n当前消息堆积: {{lag_avg}}\n\n消费速度: {{consume_rate_per_sec_avg}} /s\n\n生产速度: {{produce_rate_per_sec_avg}} /s\n\n集群: {{cluster_name}}\n\n时间: {{timestamp}}\n\n[查看详情]({{display_url}})\n\n[查看记录]({{record_url}})\n','','1.0','2021-05-28 11:55:06','2021-05-28 11:55:07',0),(5482,'平台中间件kafka消费堆积','dice_addon','dice_addon_kafka_lag','ticket','alert','【平台中间件kafka消费堆积告警】\n','【平台中间件kafka消费堆积告警】\n\n中间件: {{addon_id}}\n\n消费者组: {{group}}\n\nTopic: {{topic}}\n\n当前消息堆积: {{lag_avg}}\n\n消费速度: {{consume_rate_per_sec_avg}} /s\n\n生产速度: {{produce_rate_per_sec_avg}} /s\n\n集群: {{cluster_name}}\n\n时间: {{timestamp}}\n\n[查看详情]({{display_url}})\n\n[查看记录]({{record_url}})\n','','1.0','2021-05-28 11:55:06','2021-05-28 11:55:07',0),(5483,'平台中间件kafka消费堆积','dice_addon','dice_addon_kafka_lag','email','alert','【平台中间件kafka消费堆积告警】\n','【平台中间件kafka消费堆积告警】\n\n中间件: {{addon_id}}\n\n消费者组: {{group}}\n\nTopic: {{topic}}\n\n当前消息堆积: {{lag_avg}}\n\n消费速度: {{consume_rate_per_sec_avg}} /s\n\n生产速度: {{produce_rate_per_sec_avg}} /s\n\n集群: {{cluster_name}}\n\n时间: {{timestamp}}\n\n[查看详情]({{display_url}})\n\n[查看记录]({{record_url}})\n','','1.0','2021-05-28 11:55:06','2021-05-28 11:55:07',0),(5484,'平台中间件kafka消费堆积','dice_addon','dice_addon_kafka_lag','mbox','alert','【平台中间件kafka消费堆积告警】\n','【平台中间件kafka消费堆积告警】\n\n中间件: {{addon_id}}\n\n消费者组: {{group}}\n\nTopic: {{topic}}\n\n当前消息堆积: {{lag_avg}}\n\n消费速度: {{consume_rate_per_sec_avg}} /s\n\n生产速度: {{produce_rate_per_sec_avg}} /s\n\n集群: {{cluster_name}}\n\n时间: {{timestamp}}\n\n[查看详情]({{display_url}})\n\n[查看记录]({{record_url}})\n','','1.0','2021-05-28 11:55:06','2021-05-28 11:55:07',0),(5485,'平台中间件kafka消费堆积','dice_addon','dice_addon_kafka_lag','webhook','alert','【平台中间件kafka消费堆积告警】\n','【平台中间件kafka消费堆积告警】\n\n中间件: {{addon_id}}\n\n消费者组: {{group}}\n\nTopic: {{topic}}\n\n当前消息堆积: {{lag_avg}}\n\n消费速度: {{consume_rate_per_sec_avg}} /s\n\n生产速度: {{produce_rate_per_sec_avg}} /s\n\n集群: {{cluster_name}}\n\n时间: {{timestamp}}\n\n[查看详情]({{display_url}})\n\n[查看记录]({{record_url}})\n','','1.0','2021-05-28 11:55:06','2021-05-28 11:55:07',0),(5486,'平台中间件kafka消费堆积','dice_addon','dice_addon_kafka_lag','dingding','recover','【平台中间件kafka消费堆积恢复】\n','【平台中间件kafka消费堆积恢复】\n\n中间件: {{addon_id}}\n\n消费者组: {{group}}\n\nTopic: {{topic}}\n\n当前消息堆积: {{lag_avg}}\n\n集群: {{cluster_name}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','{\"trigger_duration\":\"time:ms\"}','1.0','2021-05-28 11:55:06','2021-05-28 11:55:07',0),(5487,'平台中间件kafka消费堆积','dice_addon','dice_addon_kafka_lag','ticket','recover','【平台中间件kafka消费堆积恢复】\n','【平台中间件kafka消费堆积恢复】\n\n中间件: {{addon_id}}\n\n消费者组: {{group}}\n\nTopic: {{topic}}\n\n当前消息堆积: {{lag_avg}}\n\n集群: {{cluster_name}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','{\"trigger_duration\":\"time:ms\"}','1.0','2021-05-28 11:55:06','2021-05-28 11:55:07',0),(5488,'平台中间件kafka消费堆积','dice_addon','dice_addon_kafka_lag','email','recover','【平台中间件kafka消费堆积恢复】\n','【平台中间件kafka消费堆积恢复】\n\n中间件: {{addon_id}}\n\n消费者组: {{group}}\n\nTopic: {{topic}}\n\n当前消息堆积: {{lag_avg}}\n\n集群: {{cluster_name}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','{\"trigger_duration\":\"time:ms\"}','1.0','2021-05-28 11:55:06','2021-05-28 11:55:07',0),(5489,'平台中间件kafka消费堆积','dice_addon','dice_addon_kafka_lag','mbox','recover','【平台中间件kafka消费堆积恢复】\n','【平台中间件kafka消费堆积恢复】\n\n中间件: {{addon_id}}\n\n消费者组: {{group}}\n\nTopic: {{topic}}\n\n当前消息堆积: {{lag_avg}}\n\n集群: {{cluster_name}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','{\"trigger_duration\":\"time:ms\"}','1.0','2021-05-28 11:55:06','2021-05-28 11:55:07',0),(5490,'平台中间件kafka消费堆积','dice_addon','dice_addon_kafka_lag','webhook','recover','【平台中间件kafka消费堆积恢复】\n','【平台中间件kafka消费堆积恢复】\n\n中间件: {{addon_id}}\n\n消费者组: {{group}}\n\nTopic: {{topic}}\n\n当前消息堆积: {{lag_avg}}\n\n集群: {{cluster_name}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','{\"trigger_duration\":\"time:ms\"}','1.0','2021-05-28 11:55:06','2021-05-28 11:55:07',0),(5491,'平台组件实例CPU异常','dice_component','dice_component_container_cpu','dingding','alert','【平台组件{{component_name}} CPU使用率告警】\n','【平台组件CPU使用率告警】\n\n组件: {{component_name}}\n\n使用率: {{cpu_usage_percent_avg}}\n\n限制: {{cpu_limit_value}}核\n\n分配: {{cpu_allocation_value}}核\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n容器ID: {{container_id}}\n\n时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','{\"cpu_allocation_value\":\"fraction:2\",\"cpu_limit_value\":\"fraction:2\",\"cpu_usage_percent_avg\":\"percent:2\"}','1.0','2021-05-28 11:55:06','2021-05-28 11:55:07',0),(5492,'平台组件实例CPU异常','dice_component','dice_component_container_cpu','ticket','alert','【平台组件{{component_name}} CPU使用率告警】\n','【平台组件CPU使用率告警】\n\n组件: {{component_name}}\n\n使用率: {{cpu_usage_percent_avg}}\n\n限制: {{cpu_limit_value}}核\n\n分配: {{cpu_allocation_value}}核\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n容器ID: {{container_id}}\n\n时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','{\"cpu_allocation_value\":\"fraction:2\",\"cpu_limit_value\":\"fraction:2\",\"cpu_usage_percent_avg\":\"percent:2\"}','1.0','2021-05-28 11:55:06','2021-05-28 11:55:07',0),(5493,'平台组件实例CPU异常','dice_component','dice_component_container_cpu','email','alert','【平台组件{{component_name}} CPU使用率告警】\n','【平台组件CPU使用率告警】\n\n组件: {{component_name}}\n\n使用率: {{cpu_usage_percent_avg}}\n\n限制: {{cpu_limit_value}}核\n\n分配: {{cpu_allocation_value}}核\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n容器ID: {{container_id}}\n\n时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','{\"cpu_allocation_value\":\"fraction:2\",\"cpu_limit_value\":\"fraction:2\",\"cpu_usage_percent_avg\":\"percent:2\"}','1.0','2021-05-28 11:55:06','2021-05-28 11:55:07',0),(5494,'平台组件实例CPU异常','dice_component','dice_component_container_cpu','mbox','alert','【平台组件{{component_name}} CPU使用率告警】\n','【平台组件CPU使用率告警】\n\n组件: {{component_name}}\n\n使用率: {{cpu_usage_percent_avg}}\n\n限制: {{cpu_limit_value}}核\n\n分配: {{cpu_allocation_value}}核\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n容器ID: {{container_id}}\n\n时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','{\"cpu_allocation_value\":\"fraction:2\",\"cpu_limit_value\":\"fraction:2\",\"cpu_usage_percent_avg\":\"percent:2\"}','1.0','2021-05-28 11:55:06','2021-05-28 11:55:07',0),(5495,'平台组件实例CPU异常','dice_component','dice_component_container_cpu','webhook','alert','【平台组件{{component_name}} CPU使用率告警】\n','【平台组件CPU使用率告警】\n\n组件: {{component_name}}\n\n使用率: {{cpu_usage_percent_avg}}\n\n限制: {{cpu_limit_value}}核\n\n分配: {{cpu_allocation_value}}核\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n容器ID: {{container_id}}\n\n时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','{\"cpu_allocation_value\":\"fraction:2\",\"cpu_limit_value\":\"fraction:2\",\"cpu_usage_percent_avg\":\"percent:2\"}','1.0','2021-05-28 11:55:06','2021-05-28 11:55:07',0),(5496,'平台组件实例CPU异常','dice_component','dice_component_container_cpu','dingding','recover','【平台组件{{component_name}} CPU使用率恢复】\n','【平台组件CPU使用率恢复】\n\n组件: {{component_name}}\n\n使用率: {{cpu_usage_percent_avg}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n容器ID: {{container_id}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','{\"cpu_usage_percent_avg\":\"percent:2\",\"trigger_duration\":\"time:ms\"}','1.0','2021-05-28 11:55:06','2021-05-28 11:55:07',0),(5497,'平台组件实例CPU异常','dice_component','dice_component_container_cpu','ticket','recover','【平台组件{{component_name}} CPU使用率恢复】\n','【平台组件CPU使用率恢复】\n\n组件: {{component_name}}\n\n使用率: {{cpu_usage_percent_avg}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n容器ID: {{container_id}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','{\"cpu_usage_percent_avg\":\"percent:2\",\"trigger_duration\":\"time:ms\"}','1.0','2021-05-28 11:55:06','2021-05-28 11:55:07',0),(5498,'平台组件实例CPU异常','dice_component','dice_component_container_cpu','email','recover','【平台组件{{component_name}} CPU使用率恢复】\n','【平台组件CPU使用率恢复】\n\n组件: {{component_name}}\n\n使用率: {{cpu_usage_percent_avg}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n容器ID: {{container_id}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','{\"cpu_usage_percent_avg\":\"percent:2\",\"trigger_duration\":\"time:ms\"}','1.0','2021-05-28 11:55:06','2021-05-28 11:55:07',0),(5499,'平台组件实例CPU异常','dice_component','dice_component_container_cpu','mbox','recover','【平台组件{{component_name}} CPU使用率恢复】\n','【平台组件CPU使用率恢复】\n\n组件: {{component_name}}\n\n使用率: {{cpu_usage_percent_avg}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n容器ID: {{container_id}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','{\"cpu_usage_percent_avg\":\"percent:2\",\"trigger_duration\":\"time:ms\"}','1.0','2021-05-28 11:55:06','2021-05-28 11:55:07',0),(5500,'平台组件实例CPU异常','dice_component','dice_component_container_cpu','webhook','recover','【平台组件{{component_name}} CPU使用率恢复】\n','【平台组件CPU使用率恢复】\n\n组件: {{component_name}}\n\n使用率: {{cpu_usage_percent_avg}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n容器ID: {{container_id}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','{\"cpu_usage_percent_avg\":\"percent:2\",\"trigger_duration\":\"time:ms\"}','1.0','2021-05-28 11:55:06','2021-05-28 11:55:07',0),(5501,'平台组件异常退出','dice_component','dice_component_container_exit','dingding','alert','【平台组件{{component_name}}异常退出告警】\n','【平台组件异常退出告警】\n\n组件: {{component_name}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n启动时间: {{started_at_value}}\n\n退出时间: {{finished_at_value}}\n\n退出原因: {{terminated_reason_value}}\n\n时间: {{timestamp}}\n\n[查看详情]({{display_url}})\n\n[查看记录]({{record_url}})\n','{\"finished_at_value\":\"date\",\"started_at_value\":\"date\"}','1.0','2021-05-28 11:55:06','2021-05-28 11:55:07',0),(5502,'平台组件异常退出','dice_component','dice_component_container_exit','ticket','alert','【平台组件{{component_name}}异常退出告警】\n','【平台组件异常退出告警】\n\n组件: {{component_name}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n启动时间: {{started_at_value}}\n\n退出时间: {{finished_at_value}}\n\n退出原因: {{terminated_reason_value}}\n\n时间: {{timestamp}}\n\n[查看详情]({{display_url}})\n\n[查看记录]({{record_url}})\n','{\"finished_at_value\":\"date\",\"started_at_value\":\"date\"}','1.0','2021-05-28 11:55:06','2021-05-28 11:55:07',0),(5503,'平台组件异常退出','dice_component','dice_component_container_exit','email','alert','【平台组件{{component_name}}异常退出告警】\n','【平台组件异常退出告警】\n\n组件: {{component_name}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n启动时间: {{started_at_value}}\n\n退出时间: {{finished_at_value}}\n\n退出原因: {{terminated_reason_value}}\n\n时间: {{timestamp}}\n\n[查看详情]({{display_url}})\n\n[查看记录]({{record_url}})\n','{\"finished_at_value\":\"date\",\"started_at_value\":\"date\"}','1.0','2021-05-28 11:55:06','2021-05-28 11:55:07',0),(5504,'平台组件异常退出','dice_component','dice_component_container_exit','mbox','alert','【平台组件{{component_name}}异常退出告警】\n','【平台组件异常退出告警】\n\n组件: {{component_name}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n启动时间: {{started_at_value}}\n\n退出时间: {{finished_at_value}}\n\n退出原因: {{terminated_reason_value}}\n\n时间: {{timestamp}}\n\n[查看详情]({{display_url}})\n\n[查看记录]({{record_url}})\n','{\"finished_at_value\":\"date\",\"started_at_value\":\"date\"}','1.0','2021-05-28 11:55:06','2021-05-28 11:55:07',0),(5505,'平台组件异常退出','dice_component','dice_component_container_exit','webhook','alert','【平台组件{{component_name}}异常退出告警】\n','【平台组件异常退出告警】\n\n组件: {{component_name}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n启动时间: {{started_at_value}}\n\n退出时间: {{finished_at_value}}\n\n退出原因: {{terminated_reason_value}}\n\n时间: {{timestamp}}\n\n[查看详情]({{display_url}})\n\n[查看记录]({{record_url}})\n','{\"finished_at_value\":\"date\",\"started_at_value\":\"date\"}','1.0','2021-05-28 11:55:06','2021-05-28 11:55:07',0),(5506,'平台组件异常退出','dice_component','dice_component_container_exit','dingding','recover','【平台组件{{component_name}}异常退出恢复】\n','【平台组件异常退出恢复】\n\n组件: {{component_name}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','{\"trigger_duration\":\"time:ms\"}','1.0','2021-05-28 11:55:06','2021-05-28 11:55:07',0),(5507,'平台组件异常退出','dice_component','dice_component_container_exit','ticket','recover','【平台组件{{component_name}}异常退出恢复】\n','【平台组件异常退出恢复】\n\n组件: {{component_name}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','{\"trigger_duration\":\"time:ms\"}','1.0','2021-05-28 11:55:06','2021-05-28 11:55:07',0),(5508,'平台组件异常退出','dice_component','dice_component_container_exit','email','recover','【平台组件{{component_name}}异常退出恢复】\n','【平台组件异常退出恢复】\n\n组件: {{component_name}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','{\"trigger_duration\":\"time:ms\"}','1.0','2021-05-28 11:55:06','2021-05-28 11:55:07',0),(5509,'平台组件异常退出','dice_component','dice_component_container_exit','mbox','recover','【平台组件{{component_name}}异常退出恢复】\n','【平台组件异常退出恢复】\n\n组件: {{component_name}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','{\"trigger_duration\":\"time:ms\"}','1.0','2021-05-28 11:55:06','2021-05-28 11:55:07',0),(5510,'平台组件异常退出','dice_component','dice_component_container_exit','webhook','recover','【平台组件{{component_name}}异常退出恢复】\n','【平台组件异常退出恢复】\n\n组件: {{component_name}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','{\"trigger_duration\":\"time:ms\"}','1.0','2021-05-28 11:55:06','2021-05-28 11:55:07',0),(5511,'平台组件实例内存异常','dice_component','dice_component_container_mem','dingding','alert','【平台组件{{component_name}}内存使用率告警】\n','【平台组件内存使用率告警】\n\n组件: {{component_name}}\n\n使用率: {{mem_usage_percent_avg}}\n\n使用: {{mem_usage_value}}\n\n限制: {{mem_limit_value}}\n\n分配: {{mem_allocation_value}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n容器ID: {{container_id}}\n\n时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','{\"mem_allocation_value\":\"size:byte\",\"mem_limit_value\":\"size:byte\",\"mem_usage_percent_avg\":\"percent:2\",\"mem_usage_value\":\"size:byte\"}','1.0','2021-05-28 11:55:06','2021-05-28 11:55:07',0),(5512,'平台组件实例内存异常','dice_component','dice_component_container_mem','ticket','alert','【平台组件{{component_name}}内存使用率告警】\n','【平台组件内存使用率告警】\n\n组件: {{component_name}}\n\n使用率: {{mem_usage_percent_avg}}\n\n使用: {{mem_usage_value}}\n\n限制: {{mem_limit_value}}\n\n分配: {{mem_allocation_value}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n容器ID: {{container_id}}\n\n时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','{\"mem_allocation_value\":\"size:byte\",\"mem_limit_value\":\"size:byte\",\"mem_usage_percent_avg\":\"percent:2\",\"mem_usage_value\":\"size:byte\"}','1.0','2021-05-28 11:55:06','2021-05-28 11:55:07',0),(5513,'平台组件实例内存异常','dice_component','dice_component_container_mem','email','alert','【平台组件{{component_name}}内存使用率告警】\n','【平台组件内存使用率告警】\n\n组件: {{component_name}}\n\n使用率: {{mem_usage_percent_avg}}\n\n使用: {{mem_usage_value}}\n\n限制: {{mem_limit_value}}\n\n分配: {{mem_allocation_value}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n容器ID: {{container_id}}\n\n时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','{\"mem_allocation_value\":\"size:byte\",\"mem_limit_value\":\"size:byte\",\"mem_usage_percent_avg\":\"percent:2\",\"mem_usage_value\":\"size:byte\"}','1.0','2021-05-28 11:55:06','2021-05-28 11:55:07',0),(5514,'平台组件实例内存异常','dice_component','dice_component_container_mem','mbox','alert','【平台组件{{component_name}}内存使用率告警】\n','【平台组件内存使用率告警】\n\n组件: {{component_name}}\n\n使用率: {{mem_usage_percent_avg}}\n\n使用: {{mem_usage_value}}\n\n限制: {{mem_limit_value}}\n\n分配: {{mem_allocation_value}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n容器ID: {{container_id}}\n\n时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','{\"mem_allocation_value\":\"size:byte\",\"mem_limit_value\":\"size:byte\",\"mem_usage_percent_avg\":\"percent:2\",\"mem_usage_value\":\"size:byte\"}','1.0','2021-05-28 11:55:06','2021-05-28 11:55:07',0),(5515,'平台组件实例内存异常','dice_component','dice_component_container_mem','webhook','alert','【平台组件{{component_name}}内存使用率告警】\n','【平台组件内存使用率告警】\n\n组件: {{component_name}}\n\n使用率: {{mem_usage_percent_avg}}\n\n使用: {{mem_usage_value}}\n\n限制: {{mem_limit_value}}\n\n分配: {{mem_allocation_value}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n容器ID: {{container_id}}\n\n时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','{\"mem_allocation_value\":\"size:byte\",\"mem_limit_value\":\"size:byte\",\"mem_usage_percent_avg\":\"percent:2\",\"mem_usage_value\":\"size:byte\"}','1.0','2021-05-28 11:55:06','2021-05-28 11:55:07',0),(5516,'平台组件实例内存异常','dice_component','dice_component_container_mem','dingding','recover','【平台组件{{component_name}}内存使用率恢复】\n','【平台组件内存使用率恢复】\n\n组件: {{component_name}}\n\n使用率: {{mem_usage_percent_avg}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n容器ID: {{container_id}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','{\"trigger_duration\":\"time:ms\",\"usage_percent_avg\":\"percent:2\"}','1.0','2021-05-28 11:55:06','2021-05-28 11:55:07',0),(5517,'平台组件实例内存异常','dice_component','dice_component_container_mem','ticket','recover','【平台组件{{component_name}}内存使用率恢复】\n','【平台组件内存使用率恢复】\n\n组件: {{component_name}}\n\n使用率: {{mem_usage_percent_avg}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n容器ID: {{container_id}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','{\"trigger_duration\":\"time:ms\",\"usage_percent_avg\":\"percent:2\"}','1.0','2021-05-28 11:55:06','2021-05-28 11:55:07',0),(5518,'平台组件实例内存异常','dice_component','dice_component_container_mem','email','recover','【平台组件{{component_name}}内存使用率恢复】\n','【平台组件内存使用率恢复】\n\n组件: {{component_name}}\n\n使用率: {{mem_usage_percent_avg}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n容器ID: {{container_id}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','{\"trigger_duration\":\"time:ms\",\"usage_percent_avg\":\"percent:2\"}','1.0','2021-05-28 11:55:06','2021-05-28 11:55:07',0),(5519,'平台组件实例内存异常','dice_component','dice_component_container_mem','mbox','recover','【平台组件{{component_name}}内存使用率恢复】\n','【平台组件内存使用率恢复】\n\n组件: {{component_name}}\n\n使用率: {{mem_usage_percent_avg}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n容器ID: {{container_id}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','{\"trigger_duration\":\"time:ms\",\"usage_percent_avg\":\"percent:2\"}','1.0','2021-05-28 11:55:06','2021-05-28 11:55:07',0),(5520,'平台组件实例内存异常','dice_component','dice_component_container_mem','webhook','recover','【平台组件{{component_name}}内存使用率恢复】\n','【平台组件内存使用率恢复】\n\n组件: {{component_name}}\n\n使用率: {{mem_usage_percent_avg}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n容器ID: {{container_id}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','{\"trigger_duration\":\"time:ms\",\"usage_percent_avg\":\"percent:2\"}','1.0','2021-05-28 11:55:06','2021-05-28 11:55:07',0),(5521,'平台组件实例Ready状态异常','dice_component','dice_component_container_ready','dingding','alert','【平台组件{{resource_name_value}} Ready状态异常告警】\n','【平台组件Ready状态异常告警】\n\n组件: {{resource_name_value}}\n\n未就绪实例: {{not_ready_value}}\n\n已就绪实例: {{ready_value}}\n\n集群: {{cluster_name}}\n\n时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','','1.0','2021-05-28 11:55:06','2021-05-28 11:55:07',0),(5522,'平台组件实例Ready状态异常','dice_component','dice_component_container_ready','ticket','alert','【平台组件{{resource_name_value}} Ready状态异常告警】\n','【平台组件Ready状态异常告警】\n\n组件: {{resource_name_value}}\n\n未就绪实例: {{not_ready_value}}\n\n已就绪实例: {{ready_value}}\n\n集群: {{cluster_name}}\n\n时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','','1.0','2021-05-28 11:55:06','2021-05-28 11:55:07',0),(5523,'平台组件实例Ready状态异常','dice_component','dice_component_container_ready','email','alert','【平台组件{{resource_name_value}} Ready状态异常告警】\n','【平台组件Ready状态异常告警】\n\n组件: {{resource_name_value}}\n\n未就绪实例: {{not_ready_value}}\n\n已就绪实例: {{ready_value}}\n\n集群: {{cluster_name}}\n\n时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','','1.0','2021-05-28 11:55:06','2021-05-28 11:55:07',0),(5524,'平台组件实例Ready状态异常','dice_component','dice_component_container_ready','mbox','alert','【平台组件{{resource_name_value}} Ready状态异常告警】\n','【平台组件Ready状态异常告警】\n\n组件: {{resource_name_value}}\n\n未就绪实例: {{not_ready_value}}\n\n已就绪实例: {{ready_value}}\n\n集群: {{cluster_name}}\n\n时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','','1.0','2021-05-28 11:55:06','2021-05-28 11:55:07',0),(5525,'平台组件实例Ready状态异常','dice_component','dice_component_container_ready','webhook','alert','【平台组件{{resource_name_value}} Ready状态异常告警】\n','【平台组件Ready状态异常告警】\n\n组件: {{resource_name_value}}\n\n未就绪实例: {{not_ready_value}}\n\n已就绪实例: {{ready_value}}\n\n集群: {{cluster_name}}\n\n时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','','1.0','2021-05-28 11:55:06','2021-05-28 11:55:07',0),(5526,'平台组件实例Ready状态异常','dice_component','dice_component_container_ready','dingding','recover','【平台组件{{resource_name_value}} Ready状态异常恢复】\n','【平台组件Ready状态异常恢复】\n\n组件: {{resource_name_value}}\n\n已绪数实例: {{ready_value}}\n\n集群: {{cluster_name}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','{\"trigger_duration\":\"time:ms\"}','1.0','2021-05-28 11:55:06','2021-05-28 11:55:07',0),(5527,'平台组件实例Ready状态异常','dice_component','dice_component_container_ready','ticket','recover','【平台组件{{resource_name_value}} Ready状态异常恢复】\n','【平台组件Ready状态异常恢复】\n\n组件: {{resource_name_value}}\n\n已绪数实例: {{ready_value}}\n\n集群: {{cluster_name}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','{\"trigger_duration\":\"time:ms\"}','1.0','2021-05-28 11:55:06','2021-05-28 11:55:07',0),(5528,'平台组件实例Ready状态异常','dice_component','dice_component_container_ready','email','recover','【平台组件{{resource_name_value}} Ready状态异常恢复】\n','【平台组件Ready状态异常恢复】\n\n组件: {{resource_name_value}}\n\n已绪数实例: {{ready_value}}\n\n集群: {{cluster_name}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','{\"trigger_duration\":\"time:ms\"}','1.0','2021-05-28 11:55:06','2021-05-28 11:55:07',0),(5529,'平台组件实例Ready状态异常','dice_component','dice_component_container_ready','mbox','recover','【平台组件{{resource_name_value}} Ready状态异常恢复】\n','【平台组件Ready状态异常恢复】\n\n组件: {{resource_name_value}}\n\n已绪数实例: {{ready_value}}\n\n集群: {{cluster_name}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','{\"trigger_duration\":\"time:ms\"}','1.0','2021-05-28 11:55:06','2021-05-28 11:55:07',0),(5530,'平台组件实例Ready状态异常','dice_component','dice_component_container_ready','webhook','recover','【平台组件{{resource_name_value}} Ready状态异常恢复】\n','【平台组件Ready状态异常恢复】\n\n组件: {{resource_name_value}}\n\n已绪数实例: {{ready_value}}\n\n集群: {{cluster_name}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','{\"trigger_duration\":\"time:ms\"}','1.0','2021-05-28 11:55:06','2021-05-28 11:55:07',0),(5531,'平台组件Flink任务checkpoint延迟异常告警','dice_component','dice_component_flink_checkpoint_duration','dingding','alert','【平台组件Flink任务checkpoint延迟异常告警】\n','【平台组件Flink任务checkpoint延迟异常告警】\n\n延迟: {{lastCheckpointDuration_value}}ms\n\n任务ID： {{job_id}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','{}','1.0','2021-05-28 11:55:06','2021-05-28 11:55:07',0),(5532,'平台组件Flink任务checkpoint延迟异常告警','dice_component','dice_component_flink_checkpoint_duration','ticket','alert','【平台组件Flink任务checkpoint延迟异常告警】\n','【平台组件Flink任务checkpoint延迟异常告警】\n\n延迟: {{lastCheckpointDuration_value}}ms\n\n任务ID： {{job_id}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','{}','1.0','2021-05-28 11:55:06','2021-05-28 11:55:07',0),(5533,'平台组件Flink任务checkpoint延迟异常告警','dice_component','dice_component_flink_checkpoint_duration','email','alert','【平台组件Flink任务checkpoint延迟异常告警】\n','【平台组件Flink任务checkpoint延迟异常告警】\n\n延迟: {{lastCheckpointDuration_value}}ms\n\n任务ID： {{job_id}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','{}','1.0','2021-05-28 11:55:06','2021-05-28 11:55:07',0),(5534,'平台组件Flink任务checkpoint延迟异常告警','dice_component','dice_component_flink_checkpoint_duration','mbox','alert','【平台组件Flink任务checkpoint延迟异常告警】\n','【平台组件Flink任务checkpoint延迟异常告警】\n\n延迟: {{lastCheckpointDuration_value}}ms\n\n任务ID： {{job_id}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','{}','1.0','2021-05-28 11:55:06','2021-05-28 11:55:07',0),(5535,'平台组件Flink任务checkpoint延迟异常告警','dice_component','dice_component_flink_checkpoint_duration','webhook','alert','【平台组件Flink任务checkpoint延迟异常告警】\n','【平台组件Flink任务checkpoint延迟异常告警】\n\n延迟: {{lastCheckpointDuration_value}}ms\n\n任务ID： {{job_id}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','{}','1.0','2021-05-28 11:55:06','2021-05-28 11:55:07',0),(5536,'平台组件Flink吞吐量异常告警','dice_component','dice_component_flink_throughput','dingding','alert','【平台组件Flink吞吐量异常告警】\n','【平台组件Flink吞吐量异常告警】\n\noperator每秒输出量: {{numRecordsOutPerSecond_count_value}}\n\n任务ID： {{job_id}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','{}','1.0','2021-05-28 11:55:06','2021-05-28 11:55:07',0),(5537,'平台组件Flink吞吐量异常告警','dice_component','dice_component_flink_throughput','ticket','alert','【平台组件Flink吞吐量异常告警】\n','【平台组件Flink吞吐量异常告警】\n\noperator每秒输出量: {{numRecordsOutPerSecond_count_value}}\n\n任务ID： {{job_id}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','{}','1.0','2021-05-28 11:55:06','2021-05-28 11:55:07',0),(5538,'平台组件Flink吞吐量异常告警','dice_component','dice_component_flink_throughput','email','alert','【平台组件Flink吞吐量异常告警】\n','【平台组件Flink吞吐量异常告警】\n\noperator每秒输出量: {{numRecordsOutPerSecond_count_value}}\n\n任务ID： {{job_id}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','{}','1.0','2021-05-28 11:55:06','2021-05-28 11:55:07',0),(5539,'平台组件Flink吞吐量异常告警','dice_component','dice_component_flink_throughput','mbox','alert','【平台组件Flink吞吐量异常告警】\n','【平台组件Flink吞吐量异常告警】\n\noperator每秒输出量: {{numRecordsOutPerSecond_count_value}}\n\n任务ID： {{job_id}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','{}','1.0','2021-05-28 11:55:06','2021-05-28 11:55:07',0),(5540,'平台组件Flink吞吐量异常告警','dice_component','dice_component_flink_throughput','webhook','alert','【平台组件Flink吞吐量异常告警】\n','【平台组件Flink吞吐量异常告警】\n\noperator每秒输出量: {{numRecordsOutPerSecond_count_value}}\n\n任务ID： {{job_id}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','{}','1.0','2021-05-28 11:55:06','2021-05-28 11:55:07',0),(5541,'平台组件网盘不可用告警','dice_component','dice_component_gfs_status','dingding','alert','【平台组件网盘疑似不可用告警】\n','【平台组件网盘疑似不可用告警】\n\n组件: {{component_name}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','{}','1.0','2021-05-28 11:55:06','2021-05-28 11:55:07',0),(5542,'平台组件网盘不可用告警','dice_component','dice_component_gfs_status','ticket','alert','【平台组件网盘疑似不可用告警】\n','【平台组件网盘疑似不可用告警】\n\n组件: {{component_name}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','{}','1.0','2021-05-28 11:55:06','2021-05-28 11:55:07',0),(5543,'平台组件网盘不可用告警','dice_component','dice_component_gfs_status','email','alert','【平台组件网盘疑似不可用告警】\n','【平台组件网盘疑似不可用告警】\n\n组件: {{component_name}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','{}','1.0','2021-05-28 11:55:06','2021-05-28 11:55:07',0),(5544,'平台组件网盘不可用告警','dice_component','dice_component_gfs_status','mbox','alert','【平台组件网盘疑似不可用告警】\n','【平台组件网盘疑似不可用告警】\n\n组件: {{component_name}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','{}','1.0','2021-05-28 11:55:06','2021-05-28 11:55:07',0),(5545,'平台组件网盘不可用告警','dice_component','dice_component_gfs_status','webhook','alert','【平台组件网盘疑似不可用告警】\n','【平台组件网盘疑似不可用告警】\n\n组件: {{component_name}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','{}','1.0','2021-05-28 11:55:06','2021-05-28 11:55:07',0),(5546,'【事件】LOG_STORE保护器状态变化','dice_component','dice_component_log_protector','dingding','alert','【【事件】LOG_STORE保护器状态变化】\n','【【事件】LOG_STORE保护器状态变化】\n\n集群: {{cluster_name}}\n\n之前状态: {{pre_level}}\n\n当前状态: {{cur_level}}\n\n时间: {{timestamp}}\n\n[查看记录]({{record_url}})','{}','1.0','2021-05-28 11:55:06','2021-05-28 11:55:07',0),(5547,'【事件】LOG_STORE保护器状态变化','dice_component','dice_component_log_protector','ticket','alert','【【事件】LOG_STORE保护器状态变化】\n','【【事件】LOG_STORE保护器状态变化】\n\n集群: {{cluster_name}}\n\n之前状态: {{pre_level}}\n\n当前状态: {{cur_level}}\n\n时间: {{timestamp}}\n\n[查看记录]({{record_url}})','{}','1.0','2021-05-28 11:55:06','2021-05-28 11:55:07',0),(5548,'【事件】LOG_STORE保护器状态变化','dice_component','dice_component_log_protector','email','alert','【【事件】LOG_STORE保护器状态变化】\n','【【事件】LOG_STORE保护器状态变化】\n\n集群: {{cluster_name}}\n\n之前状态: {{pre_level}}\n\n当前状态: {{cur_level}}\n\n时间: {{timestamp}}\n\n[查看记录]({{record_url}})','{}','1.0','2021-05-28 11:55:06','2021-05-28 11:55:07',0),(5549,'【事件】LOG_STORE保护器状态变化','dice_component','dice_component_log_protector','mbox','alert','【【事件】LOG_STORE保护器状态变化】\n','【【事件】LOG_STORE保护器状态变化】\n\n集群: {{cluster_name}}\n\n之前状态: {{pre_level}}\n\n当前状态: {{cur_level}}\n\n时间: {{timestamp}}\n\n[查看记录]({{record_url}})','{}','1.0','2021-05-28 11:55:06','2021-05-28 11:55:07',0),(5550,'【事件】LOG_STORE保护器状态变化','dice_component','dice_component_log_protector','webhook','alert','【【事件】LOG_STORE保护器状态变化】\n','【【事件】LOG_STORE保护器状态变化】\n\n集群: {{cluster_name}}\n\n之前状态: {{pre_level}}\n\n当前状态: {{cur_level}}\n\n时间: {{timestamp}}\n\n[查看记录]({{record_url}})','{}','1.0','2021-05-28 11:55:06','2021-05-28 11:55:07',0),(5551,'kubernetes组件实例CPU异常','kubernetes','kubernetes_instance_cpu','dingding','alert','【{{cluster_name}}集群kubernetes组件{{pod_name}} CPU使用率告警】\n','【kubernetes组件CPU使用率告警】\n\nPod: {{pod_name}}\n\n使用率: {{cpu_usage_percent_avg}}\n\n限制: {{cpu_limit_value}}核\n\n分配: {{cpu_allocation_value}}核\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n容器ID: {{container_id}}\n\n时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','{\"cpu_allocation_value\":\"fraction:2\",\"cpu_limit_value\":\"fraction:2\",\"cpu_usage_percent_avg\":\"percent:2\"}','1.0','2021-05-28 11:55:06','2021-05-28 11:55:07',0),(5552,'kubernetes组件实例CPU异常','kubernetes','kubernetes_instance_cpu','ticket','alert','【{{cluster_name}}集群kubernetes组件{{pod_name}} CPU使用率告警】\n','【kubernetes组件CPU使用率告警】\n\nPod: {{pod_name}}\n\n使用率: {{cpu_usage_percent_avg}}\n\n限制: {{cpu_limit_value}}核\n\n分配: {{cpu_allocation_value}}核\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n容器ID: {{container_id}}\n\n时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','{\"cpu_allocation_value\":\"fraction:2\",\"cpu_limit_value\":\"fraction:2\",\"cpu_usage_percent_avg\":\"percent:2\"}','1.0','2021-05-28 11:55:06','2021-05-28 11:55:07',0),(5553,'kubernetes组件实例CPU异常','kubernetes','kubernetes_instance_cpu','email','alert','【{{cluster_name}}集群kubernetes组件{{pod_name}} CPU使用率告警】\n','【kubernetes组件CPU使用率告警】\n\nPod: {{pod_name}}\n\n使用率: {{cpu_usage_percent_avg}}\n\n限制: {{cpu_limit_value}}核\n\n分配: {{cpu_allocation_value}}核\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n容器ID: {{container_id}}\n\n时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','{\"cpu_allocation_value\":\"fraction:2\",\"cpu_limit_value\":\"fraction:2\",\"cpu_usage_percent_avg\":\"percent:2\"}','1.0','2021-05-28 11:55:06','2021-05-28 11:55:07',0),(5554,'kubernetes组件实例CPU异常','kubernetes','kubernetes_instance_cpu','mbox','alert','【{{cluster_name}}集群kubernetes组件{{pod_name}} CPU使用率告警】\n','【kubernetes组件CPU使用率告警】\n\nPod: {{pod_name}}\n\n使用率: {{cpu_usage_percent_avg}}\n\n限制: {{cpu_limit_value}}核\n\n分配: {{cpu_allocation_value}}核\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n容器ID: {{container_id}}\n\n时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','{\"cpu_allocation_value\":\"fraction:2\",\"cpu_limit_value\":\"fraction:2\",\"cpu_usage_percent_avg\":\"percent:2\"}','1.0','2021-05-28 11:55:06','2021-05-28 11:55:07',0),(5555,'kubernetes组件实例CPU异常','kubernetes','kubernetes_instance_cpu','webhook','alert','【{{cluster_name}}集群kubernetes组件{{pod_name}} CPU使用率告警】\n','【kubernetes组件CPU使用率告警】\n\nPod: {{pod_name}}\n\n使用率: {{cpu_usage_percent_avg}}\n\n限制: {{cpu_limit_value}}核\n\n分配: {{cpu_allocation_value}}核\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n容器ID: {{container_id}}\n\n时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','{\"cpu_allocation_value\":\"fraction:2\",\"cpu_limit_value\":\"fraction:2\",\"cpu_usage_percent_avg\":\"percent:2\"}','1.0','2021-05-28 11:55:06','2021-05-28 11:55:07',0),(5556,'kubernetes组件实例CPU异常','kubernetes','kubernetes_instance_cpu','dingding','recover','【{{cluster_name}}集群kubernetes组件{{pod_name}} CPU使用率恢复】\n','【kubernetes组件CPU使用率恢复】\n\nPod: {{pod_name}}\n\n使用率: {{cpu_usage_percent_avg}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n容器ID: {{container_id}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','{\"cpu_usage_percent_avg\":\"percent:2\",\"trigger_duration\":\"time:ms\"}','1.0','2021-05-28 11:55:06','2021-05-28 11:55:07',0),(5557,'kubernetes组件实例CPU异常','kubernetes','kubernetes_instance_cpu','ticket','recover','【{{cluster_name}}集群kubernetes组件{{pod_name}} CPU使用率恢复】\n','【kubernetes组件CPU使用率恢复】\n\nPod: {{pod_name}}\n\n使用率: {{cpu_usage_percent_avg}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n容器ID: {{container_id}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','{\"cpu_usage_percent_avg\":\"percent:2\",\"trigger_duration\":\"time:ms\"}','1.0','2021-05-28 11:55:06','2021-05-28 11:55:07',0),(5558,'kubernetes组件实例CPU异常','kubernetes','kubernetes_instance_cpu','email','recover','【{{cluster_name}}集群kubernetes组件{{pod_name}} CPU使用率恢复】\n','【kubernetes组件CPU使用率恢复】\n\nPod: {{pod_name}}\n\n使用率: {{cpu_usage_percent_avg}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n容器ID: {{container_id}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','{\"cpu_usage_percent_avg\":\"percent:2\",\"trigger_duration\":\"time:ms\"}','1.0','2021-05-28 11:55:06','2021-05-28 11:55:07',0),(5559,'kubernetes组件实例CPU异常','kubernetes','kubernetes_instance_cpu','mbox','recover','【{{cluster_name}}集群kubernetes组件{{pod_name}} CPU使用率恢复】\n','【kubernetes组件CPU使用率恢复】\n\nPod: {{pod_name}}\n\n使用率: {{cpu_usage_percent_avg}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n容器ID: {{container_id}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','{\"cpu_usage_percent_avg\":\"percent:2\",\"trigger_duration\":\"time:ms\"}','1.0','2021-05-28 11:55:06','2021-05-28 11:55:07',0),(5560,'kubernetes组件实例CPU异常','kubernetes','kubernetes_instance_cpu','webhook','recover','【{{cluster_name}}集群kubernetes组件{{pod_name}} CPU使用率恢复】\n','【kubernetes组件CPU使用率恢复】\n\nPod: {{pod_name}}\n\n使用率: {{cpu_usage_percent_avg}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n容器ID: {{container_id}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','{\"cpu_usage_percent_avg\":\"percent:2\",\"trigger_duration\":\"time:ms\"}','1.0','2021-05-28 11:55:06','2021-05-28 11:55:07',0),(5561,'kubernetes组件异常退出','kubernetes','kubernetes_instance_exit','dingding','alert','【{{cluster_name}}集群kubernetes组件{{pod_name}}异常退出告警】\n','【kubernetes组件异常退出告警】\n\n组件: {{pod_name}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n启动时间: {{started_at_value}}\n\n退出时间: {{finished_at_value}}\n\n退出原因: {{terminated_reason_value}}\n\n时间: {{timestamp}}\n\n[查看详情]({{display_url}})\n\n[查看记录]({{record_url}})\n','{\"finished_at_value\":\"date\",\"started_at_value\":\"date\"}','1.0','2021-05-28 11:55:06','2021-05-28 11:55:07',0),(5562,'kubernetes组件异常退出','kubernetes','kubernetes_instance_exit','ticket','alert','【{{cluster_name}}集群kubernetes组件{{pod_name}}异常退出告警】\n','【kubernetes组件异常退出告警】\n\n组件: {{pod_name}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n启动时间: {{started_at_value}}\n\n退出时间: {{finished_at_value}}\n\n退出原因: {{terminated_reason_value}}\n\n时间: {{timestamp}}\n\n[查看详情]({{display_url}})\n\n[查看记录]({{record_url}})\n','{\"finished_at_value\":\"date\",\"started_at_value\":\"date\"}','1.0','2021-05-28 11:55:06','2021-05-28 11:55:07',0),(5563,'kubernetes组件异常退出','kubernetes','kubernetes_instance_exit','email','alert','【{{cluster_name}}集群kubernetes组件{{pod_name}}异常退出告警】\n','【kubernetes组件异常退出告警】\n\n组件: {{pod_name}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n启动时间: {{started_at_value}}\n\n退出时间: {{finished_at_value}}\n\n退出原因: {{terminated_reason_value}}\n\n时间: {{timestamp}}\n\n[查看详情]({{display_url}})\n\n[查看记录]({{record_url}})\n','{\"finished_at_value\":\"date\",\"started_at_value\":\"date\"}','1.0','2021-05-28 11:55:06','2021-05-28 11:55:07',0),(5564,'kubernetes组件异常退出','kubernetes','kubernetes_instance_exit','mbox','alert','【{{cluster_name}}集群kubernetes组件{{pod_name}}异常退出告警】\n','【kubernetes组件异常退出告警】\n\n组件: {{pod_name}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n启动时间: {{started_at_value}}\n\n退出时间: {{finished_at_value}}\n\n退出原因: {{terminated_reason_value}}\n\n时间: {{timestamp}}\n\n[查看详情]({{display_url}})\n\n[查看记录]({{record_url}})\n','{\"finished_at_value\":\"date\",\"started_at_value\":\"date\"}','1.0','2021-05-28 11:55:06','2021-05-28 11:55:07',0),(5565,'kubernetes组件异常退出','kubernetes','kubernetes_instance_exit','webhook','alert','【{{cluster_name}}集群kubernetes组件{{pod_name}}异常退出告警】\n','【kubernetes组件异常退出告警】\n\n组件: {{pod_name}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n启动时间: {{started_at_value}}\n\n退出时间: {{finished_at_value}}\n\n退出原因: {{terminated_reason_value}}\n\n时间: {{timestamp}}\n\n[查看详情]({{display_url}})\n\n[查看记录]({{record_url}})\n','{\"finished_at_value\":\"date\",\"started_at_value\":\"date\"}','1.0','2021-05-28 11:55:06','2021-05-28 11:55:07',0),(5566,'kubernetes组件异常退出','kubernetes','kubernetes_instance_exit','dingding','recover','【{{cluster_name}}集群kubernetes组件{{pod_name}}异常退出恢复】\n','【kubernetes组件异常退出恢复】\n\n组件: {{pod_name}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','{\"trigger_duration\":\"time:ms\"}','1.0','2021-05-28 11:55:06','2021-05-28 11:55:07',0),(5567,'kubernetes组件异常退出','kubernetes','kubernetes_instance_exit','ticket','recover','【{{cluster_name}}集群kubernetes组件{{pod_name}}异常退出恢复】\n','【kubernetes组件异常退出恢复】\n\n组件: {{pod_name}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','{\"trigger_duration\":\"time:ms\"}','1.0','2021-05-28 11:55:06','2021-05-28 11:55:07',0),(5568,'kubernetes组件异常退出','kubernetes','kubernetes_instance_exit','email','recover','【{{cluster_name}}集群kubernetes组件{{pod_name}}异常退出恢复】\n','【kubernetes组件异常退出恢复】\n\n组件: {{pod_name}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','{\"trigger_duration\":\"time:ms\"}','1.0','2021-05-28 11:55:06','2021-05-28 11:55:07',0),(5569,'kubernetes组件异常退出','kubernetes','kubernetes_instance_exit','mbox','recover','【{{cluster_name}}集群kubernetes组件{{pod_name}}异常退出恢复】\n','【kubernetes组件异常退出恢复】\n\n组件: {{pod_name}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','{\"trigger_duration\":\"time:ms\"}','1.0','2021-05-28 11:55:06','2021-05-28 11:55:07',0),(5570,'kubernetes组件异常退出','kubernetes','kubernetes_instance_exit','webhook','recover','【{{cluster_name}}集群kubernetes组件{{pod_name}}异常退出恢复】\n','【kubernetes组件异常退出恢复】\n\n组件: {{pod_name}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','{\"trigger_duration\":\"time:ms\"}','1.0','2021-05-28 11:55:06','2021-05-28 11:55:07',0),(5571,'kubernetes组件实例内存异常','kubernetes','kubernetes_instance_mem','dingding','alert','【{{cluster_name}}集群kubernetes组件{{pod_name}}内存使用率告警】\n','【kubernetes组件内存使用率告警】\n\nPod: {{pod_name}}\n\n使用率: {{mem_usage_percent_avg}}\n\n使用: {{mem_usage_value}}\n\n限制: {{mem_limit_value}}\n\n分配: {{mem_allocation_value}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n容器ID: {{container_id}}\n\n时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','{\"mem_allocation_value\":\"size:byte\",\"mem_limit_value\":\"size:byte\",\"mem_usage_percent_avg\":\"percent:2\",\"mem_usage_value\":\"size:byte\"}','1.0','2021-05-28 11:55:06','2021-05-28 11:55:07',0),(5572,'kubernetes组件实例内存异常','kubernetes','kubernetes_instance_mem','ticket','alert','【{{cluster_name}}集群kubernetes组件{{pod_name}}内存使用率告警】\n','【kubernetes组件内存使用率告警】\n\nPod: {{pod_name}}\n\n使用率: {{mem_usage_percent_avg}}\n\n使用: {{mem_usage_value}}\n\n限制: {{mem_limit_value}}\n\n分配: {{mem_allocation_value}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n容器ID: {{container_id}}\n\n时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','{\"mem_allocation_value\":\"size:byte\",\"mem_limit_value\":\"size:byte\",\"mem_usage_percent_avg\":\"percent:2\",\"mem_usage_value\":\"size:byte\"}','1.0','2021-05-28 11:55:06','2021-05-28 11:55:07',0),(5573,'kubernetes组件实例内存异常','kubernetes','kubernetes_instance_mem','email','alert','【{{cluster_name}}集群kubernetes组件{{pod_name}}内存使用率告警】\n','【kubernetes组件内存使用率告警】\n\nPod: {{pod_name}}\n\n使用率: {{mem_usage_percent_avg}}\n\n使用: {{mem_usage_value}}\n\n限制: {{mem_limit_value}}\n\n分配: {{mem_allocation_value}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n容器ID: {{container_id}}\n\n时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','{\"mem_allocation_value\":\"size:byte\",\"mem_limit_value\":\"size:byte\",\"mem_usage_percent_avg\":\"percent:2\",\"mem_usage_value\":\"size:byte\"}','1.0','2021-05-28 11:55:06','2021-05-28 11:55:07',0),(5574,'kubernetes组件实例内存异常','kubernetes','kubernetes_instance_mem','mbox','alert','【{{cluster_name}}集群kubernetes组件{{pod_name}}内存使用率告警】\n','【kubernetes组件内存使用率告警】\n\nPod: {{pod_name}}\n\n使用率: {{mem_usage_percent_avg}}\n\n使用: {{mem_usage_value}}\n\n限制: {{mem_limit_value}}\n\n分配: {{mem_allocation_value}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n容器ID: {{container_id}}\n\n时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','{\"mem_allocation_value\":\"size:byte\",\"mem_limit_value\":\"size:byte\",\"mem_usage_percent_avg\":\"percent:2\",\"mem_usage_value\":\"size:byte\"}','1.0','2021-05-28 11:55:06','2021-05-28 11:55:07',0),(5575,'kubernetes组件实例内存异常','kubernetes','kubernetes_instance_mem','webhook','alert','【{{cluster_name}}集群kubernetes组件{{pod_name}}内存使用率告警】\n','【kubernetes组件内存使用率告警】\n\nPod: {{pod_name}}\n\n使用率: {{mem_usage_percent_avg}}\n\n使用: {{mem_usage_value}}\n\n限制: {{mem_limit_value}}\n\n分配: {{mem_allocation_value}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n容器ID: {{container_id}}\n\n时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','{\"mem_allocation_value\":\"size:byte\",\"mem_limit_value\":\"size:byte\",\"mem_usage_percent_avg\":\"percent:2\",\"mem_usage_value\":\"size:byte\"}','1.0','2021-05-28 11:55:06','2021-05-28 11:55:07',0),(5576,'kubernetes组件实例内存异常','kubernetes','kubernetes_instance_mem','dingding','recover','【{{cluster_name}}集群kubernetes组件{{pod_name}}内存使用率恢复】\n','【kubernetes组件内存使用率恢复】\n\nPod: {{pod_name}}\n\n使用率: {{mem_usage_percent_avg}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n容器ID: {{container_id}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','{\"mem_usage_percent_avg\":\"percent:2\",\"trigger_duration\":\"time:ms\"}','1.0','2021-05-28 11:55:06','2021-05-28 11:55:07',0),(5577,'kubernetes组件实例内存异常','kubernetes','kubernetes_instance_mem','ticket','recover','【{{cluster_name}}集群kubernetes组件{{pod_name}}内存使用率恢复】\n','【kubernetes组件内存使用率恢复】\n\nPod: {{pod_name}}\n\n使用率: {{mem_usage_percent_avg}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n容器ID: {{container_id}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','{\"mem_usage_percent_avg\":\"percent:2\",\"trigger_duration\":\"time:ms\"}','1.0','2021-05-28 11:55:06','2021-05-28 11:55:07',0),(5578,'kubernetes组件实例内存异常','kubernetes','kubernetes_instance_mem','email','recover','【{{cluster_name}}集群kubernetes组件{{pod_name}}内存使用率恢复】\n','【kubernetes组件内存使用率恢复】\n\nPod: {{pod_name}}\n\n使用率: {{mem_usage_percent_avg}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n容器ID: {{container_id}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','{\"mem_usage_percent_avg\":\"percent:2\",\"trigger_duration\":\"time:ms\"}','1.0','2021-05-28 11:55:06','2021-05-28 11:55:07',0),(5579,'kubernetes组件实例内存异常','kubernetes','kubernetes_instance_mem','mbox','recover','【{{cluster_name}}集群kubernetes组件{{pod_name}}内存使用率恢复】\n','【kubernetes组件内存使用率恢复】\n\nPod: {{pod_name}}\n\n使用率: {{mem_usage_percent_avg}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n容器ID: {{container_id}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','{\"mem_usage_percent_avg\":\"percent:2\",\"trigger_duration\":\"time:ms\"}','1.0','2021-05-28 11:55:06','2021-05-28 11:55:07',0),(5580,'kubernetes组件实例内存异常','kubernetes','kubernetes_instance_mem','webhook','recover','【{{cluster_name}}集群kubernetes组件{{pod_name}}内存使用率恢复】\n','【kubernetes组件内存使用率恢复】\n\nPod: {{pod_name}}\n\n使用率: {{mem_usage_percent_avg}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n容器ID: {{container_id}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','{\"mem_usage_percent_avg\":\"percent:2\",\"trigger_duration\":\"time:ms\"}','1.0','2021-05-28 11:55:06','2021-05-28 11:55:07',0),(5581,'kubernetes组件实例Ready状态异常','kubernetes','kubernetes_instance_ready','dingding','alert','【{{cluster_name}}集群kubernetes组件{{resource_name_value}} Ready状态告警】\n','【kubernetes组件Ready状态告警】\n\n组件: {{resource_name_value}}\n\n未就绪实例: {{not_ready_value}}\n\n已就绪实例: {{ready_value}}\n\n集群: {{cluster_name}}\n\n时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','','1.0','2021-05-28 11:55:06','2021-05-28 11:55:07',0),(5582,'kubernetes组件实例Ready状态异常','kubernetes','kubernetes_instance_ready','ticket','alert','【{{cluster_name}}集群kubernetes组件{{resource_name_value}} Ready状态告警】\n','【kubernetes组件Ready状态告警】\n\n组件: {{resource_name_value}}\n\n未就绪实例: {{not_ready_value}}\n\n已就绪实例: {{ready_value}}\n\n集群: {{cluster_name}}\n\n时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','','1.0','2021-05-28 11:55:06','2021-05-28 11:55:07',0),(5583,'kubernetes组件实例Ready状态异常','kubernetes','kubernetes_instance_ready','email','alert','【{{cluster_name}}集群kubernetes组件{{resource_name_value}} Ready状态告警】\n','【kubernetes组件Ready状态告警】\n\n组件: {{resource_name_value}}\n\n未就绪实例: {{not_ready_value}}\n\n已就绪实例: {{ready_value}}\n\n集群: {{cluster_name}}\n\n时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','','1.0','2021-05-28 11:55:06','2021-05-28 11:55:07',0),(5584,'kubernetes组件实例Ready状态异常','kubernetes','kubernetes_instance_ready','mbox','alert','【{{cluster_name}}集群kubernetes组件{{resource_name_value}} Ready状态告警】\n','【kubernetes组件Ready状态告警】\n\n组件: {{resource_name_value}}\n\n未就绪实例: {{not_ready_value}}\n\n已就绪实例: {{ready_value}}\n\n集群: {{cluster_name}}\n\n时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','','1.0','2021-05-28 11:55:06','2021-05-28 11:55:07',0),(5585,'kubernetes组件实例Ready状态异常','kubernetes','kubernetes_instance_ready','webhook','alert','【{{cluster_name}}集群kubernetes组件{{resource_name_value}} Ready状态告警】\n','【kubernetes组件Ready状态告警】\n\n组件: {{resource_name_value}}\n\n未就绪实例: {{not_ready_value}}\n\n已就绪实例: {{ready_value}}\n\n集群: {{cluster_name}}\n\n时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','','1.0','2021-05-28 11:55:06','2021-05-28 11:55:07',0),(5586,'kubernetes组件实例Ready状态异常','kubernetes','kubernetes_instance_ready','dingding','recover','【{{cluster_name}}集群kubernetes组件{{resource_name_value}} Ready状态恢复】\n','【kubernetes组件Ready状态恢复】\n\n组件: {{resource_name_value}}\n\n集群: {{cluster_name}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','{\"trigger_duration\":\"time:ms\"}','1.0','2021-05-28 11:55:06','2021-05-28 11:55:07',0),(5587,'kubernetes组件实例Ready状态异常','kubernetes','kubernetes_instance_ready','ticket','recover','【{{cluster_name}}集群kubernetes组件{{resource_name_value}} Ready状态恢复】\n','【kubernetes组件Ready状态恢复】\n\n组件: {{resource_name_value}}\n\n集群: {{cluster_name}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','{\"trigger_duration\":\"time:ms\"}','1.0','2021-05-28 11:55:06','2021-05-28 11:55:07',0),(5588,'kubernetes组件实例Ready状态异常','kubernetes','kubernetes_instance_ready','email','recover','【{{cluster_name}}集群kubernetes组件{{resource_name_value}} Ready状态恢复】\n','【kubernetes组件Ready状态恢复】\n\n组件: {{resource_name_value}}\n\n集群: {{cluster_name}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','{\"trigger_duration\":\"time:ms\"}','1.0','2021-05-28 11:55:06','2021-05-28 11:55:07',0),(5589,'kubernetes组件实例Ready状态异常','kubernetes','kubernetes_instance_ready','mbox','recover','【{{cluster_name}}集群kubernetes组件{{resource_name_value}} Ready状态恢复】\n','【kubernetes组件Ready状态恢复】\n\n组件: {{resource_name_value}}\n\n集群: {{cluster_name}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','{\"trigger_duration\":\"time:ms\"}','1.0','2021-05-28 11:55:06','2021-05-28 11:55:07',0),(5590,'kubernetes组件实例Ready状态异常','kubernetes','kubernetes_instance_ready','webhook','recover','【{{cluster_name}}集群kubernetes组件{{resource_name_value}} Ready状态恢复】\n','【kubernetes组件Ready状态恢复】\n\n组件: {{resource_name_value}}\n\n集群: {{cluster_name}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','{\"trigger_duration\":\"time:ms\"}','1.0','2021-05-28 11:55:06','2021-05-28 11:55:07',0),(5591,'kubernetes节点异常','kubernetes','kubernetes_node','dingding','alert','【{{cluster_name}}集群kubernetes节点{{node_name}}节点异常告警】\n','【kubernetes节点状态异常告警】\n\n集群: {{cluster_name}}\n\n机器: {{node_name}}\n\n已分配Pod数: {{allocatable_pods_value}}\n\n最大Pod数: {{capacity_pods_value}}\n\n已分配CPU核数: {{allocatable_cpu_cores_value}}\n\n最大CPU核数: {{capacity_cpu_cores_value}}\n\n已分配内存: {{allocatable_memory_bytes_value}}\n\n最大内存: {{capacity_memory_bytes_value}}\n\n时间: {{timestamp}}\n','{\"allocatable_memory_bytes_value\":\"size:byte\",\"capacity_memory_bytes_value\":\"size:byte\"}','1.0','2021-05-28 11:55:06','2021-05-28 11:55:07',0),(5592,'kubernetes节点异常','kubernetes','kubernetes_node','ticket','alert','【{{cluster_name}}集群kubernetes节点{{node_name}}节点异常告警】\n','【kubernetes节点状态异常告警】\n\n集群: {{cluster_name}}\n\n机器: {{node_name}}\n\n已分配Pod数: {{allocatable_pods_value}}\n\n最大Pod数: {{capacity_pods_value}}\n\n已分配CPU核数: {{allocatable_cpu_cores_value}}\n\n最大CPU核数: {{capacity_cpu_cores_value}}\n\n已分配内存: {{allocatable_memory_bytes_value}}\n\n最大内存: {{capacity_memory_bytes_value}}\n\n时间: {{timestamp}}\n','{\"allocatable_memory_bytes_value\":\"size:byte\",\"capacity_memory_bytes_value\":\"size:byte\"}','1.0','2021-05-28 11:55:06','2021-05-28 11:55:07',0),(5593,'kubernetes节点异常','kubernetes','kubernetes_node','email','alert','【{{cluster_name}}集群kubernetes节点{{node_name}}节点异常告警】\n','【kubernetes节点状态异常告警】\n\n集群: {{cluster_name}}\n\n机器: {{node_name}}\n\n已分配Pod数: {{allocatable_pods_value}}\n\n最大Pod数: {{capacity_pods_value}}\n\n已分配CPU核数: {{allocatable_cpu_cores_value}}\n\n最大CPU核数: {{capacity_cpu_cores_value}}\n\n已分配内存: {{allocatable_memory_bytes_value}}\n\n最大内存: {{capacity_memory_bytes_value}}\n\n时间: {{timestamp}}\n','{\"allocatable_memory_bytes_value\":\"size:byte\",\"capacity_memory_bytes_value\":\"size:byte\"}','1.0','2021-05-28 11:55:06','2021-05-28 11:55:07',0),(5594,'kubernetes节点异常','kubernetes','kubernetes_node','mbox','alert','【{{cluster_name}}集群kubernetes节点{{node_name}}节点异常告警】\n','【kubernetes节点状态异常告警】\n\n集群: {{cluster_name}}\n\n机器: {{node_name}}\n\n已分配Pod数: {{allocatable_pods_value}}\n\n最大Pod数: {{capacity_pods_value}}\n\n已分配CPU核数: {{allocatable_cpu_cores_value}}\n\n最大CPU核数: {{capacity_cpu_cores_value}}\n\n已分配内存: {{allocatable_memory_bytes_value}}\n\n最大内存: {{capacity_memory_bytes_value}}\n\n时间: {{timestamp}}\n','{\"allocatable_memory_bytes_value\":\"size:byte\",\"capacity_memory_bytes_value\":\"size:byte\"}','1.0','2021-05-28 11:55:06','2021-05-28 11:55:07',0),(5595,'kubernetes节点异常','kubernetes','kubernetes_node','webhook','alert','【{{cluster_name}}集群kubernetes节点{{node_name}}节点异常告警】\n','【kubernetes节点状态异常告警】\n\n集群: {{cluster_name}}\n\n机器: {{node_name}}\n\n已分配Pod数: {{allocatable_pods_value}}\n\n最大Pod数: {{capacity_pods_value}}\n\n已分配CPU核数: {{allocatable_cpu_cores_value}}\n\n最大CPU核数: {{capacity_cpu_cores_value}}\n\n已分配内存: {{allocatable_memory_bytes_value}}\n\n最大内存: {{capacity_memory_bytes_value}}\n\n时间: {{timestamp}}\n','{\"allocatable_memory_bytes_value\":\"size:byte\",\"capacity_memory_bytes_value\":\"size:byte\"}','1.0','2021-05-28 11:55:06','2021-05-28 11:55:07',0),(5596,'kubernetes节点异常','kubernetes','kubernetes_node','dingding','recover','【{{cluster_name}}集群kubernetes节点{{node_name}}节点异常恢复】\n','【kubernetes节点状态异常恢复】\n\n集群: {{cluster_name}}\n\n机器: {{node_name}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n','{\"trigger_duration\":\"time:ms\"}','1.0','2021-05-28 11:55:06','2021-05-28 11:55:07',0),(5597,'kubernetes节点异常','kubernetes','kubernetes_node','ticket','recover','【{{cluster_name}}集群kubernetes节点{{node_name}}节点异常恢复】\n','【kubernetes节点状态异常恢复】\n\n集群: {{cluster_name}}\n\n机器: {{node_name}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n','{\"trigger_duration\":\"time:ms\"}','1.0','2021-05-28 11:55:06','2021-05-28 11:55:07',0),(5598,'kubernetes节点异常','kubernetes','kubernetes_node','email','recover','【{{cluster_name}}集群kubernetes节点{{node_name}}节点异常恢复】\n','【kubernetes节点状态异常恢复】\n\n集群: {{cluster_name}}\n\n机器: {{node_name}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n','{\"trigger_duration\":\"time:ms\"}','1.0','2021-05-28 11:55:06','2021-05-28 11:55:07',0),(5599,'kubernetes节点异常','kubernetes','kubernetes_node','mbox','recover','【{{cluster_name}}集群kubernetes节点{{node_name}}节点异常恢复】\n','【kubernetes节点状态异常恢复】\n\n集群: {{cluster_name}}\n\n机器: {{node_name}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n','{\"trigger_duration\":\"time:ms\"}','1.0','2021-05-28 11:55:06','2021-05-28 11:55:07',0),(5600,'kubernetes节点异常','kubernetes','kubernetes_node','webhook','recover','【{{cluster_name}}集群kubernetes节点{{node_name}}节点异常恢复】\n','【kubernetes节点状态异常恢复】\n\n集群: {{cluster_name}}\n\n机器: {{node_name}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n','{\"trigger_duration\":\"time:ms\"}','1.0','2021-05-28 11:55:06','2021-05-28 11:55:07',0),(5601,'机器时钟一致性异常告警','machine','machine_cluster_clock','dingding','alert','【{{cluster_name}}集群机器{{host_ip}} 时钟一致性异常告警】','【机器时钟一致性异常告警】\n\n时钟偏移绝对值: {{elapsed_abs_avg}}\n\n发送时间戳(ms): {{send_timestamp}}\n\n接收时间戳(ms): {{receive_timestamp}}\n\n源机器: {{source_host_ip}}\n\n目标机器: {{host_ip}}\n\n集群: {{cluster_name}}\n\n时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','{\"elapsed_abs_avg\":\"time:ms\"}','1.0','2021-05-28 11:55:06','2021-05-28 11:55:07',0),(5602,'机器时钟一致性异常告警','machine','machine_cluster_clock','ticket','alert','【{{cluster_name}}集群机器{{host_ip}} 时钟一致性异常告警】','【机器时钟一致性异常告警】\n\n时钟偏移绝对值: {{elapsed_abs_avg}}\n\n发送时间戳(ms): {{send_timestamp}}\n\n接收时间戳(ms): {{receive_timestamp}}\n\n源机器: {{source_host_ip}}\n\n目标机器: {{host_ip}}\n\n集群: {{cluster_name}}\n\n时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','{\"elapsed_abs_avg\":\"time:ms\"}','1.0','2021-05-28 11:55:06','2021-05-28 11:55:07',0),(5603,'机器时钟一致性异常告警','machine','machine_cluster_clock','email','alert','【{{cluster_name}}集群机器{{host_ip}} 时钟一致性异常告警】','【机器时钟一致性异常告警】\n\n时钟偏移绝对值: {{elapsed_abs_avg}}\n\n发送时间戳(ms): {{send_timestamp}}\n\n接收时间戳(ms): {{receive_timestamp}}\n\n源机器: {{source_host_ip}}\n\n目标机器: {{host_ip}}\n\n集群: {{cluster_name}}\n\n时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','{\"elapsed_abs_avg\":\"time:ms\"}','1.0','2021-05-28 11:55:06','2021-05-28 11:55:07',0),(5604,'机器时钟一致性异常告警','machine','machine_cluster_clock','mbox','alert','【{{cluster_name}}集群机器{{host_ip}} 时钟一致性异常告警】','【机器时钟一致性异常告警】\n\n时钟偏移绝对值: {{elapsed_abs_avg}}\n\n发送时间戳(ms): {{send_timestamp}}\n\n接收时间戳(ms): {{receive_timestamp}}\n\n源机器: {{source_host_ip}}\n\n目标机器: {{host_ip}}\n\n集群: {{cluster_name}}\n\n时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','{\"elapsed_abs_avg\":\"time:ms\"}','1.0','2021-05-28 11:55:06','2021-05-28 11:55:07',0),(5605,'机器时钟一致性异常告警','machine','machine_cluster_clock','webhook','alert','【{{cluster_name}}集群机器{{host_ip}} 时钟一致性异常告警】','【机器时钟一致性异常告警】\n\n时钟偏移绝对值: {{elapsed_abs_avg}}\n\n发送时间戳(ms): {{send_timestamp}}\n\n接收时间戳(ms): {{receive_timestamp}}\n\n源机器: {{source_host_ip}}\n\n目标机器: {{host_ip}}\n\n集群: {{cluster_name}}\n\n时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','{\"elapsed_abs_avg\":\"time:ms\"}','1.0','2021-05-28 11:55:06','2021-05-28 11:55:07',0),(5606,'时钟一致性异常恢复','machine','machine_cluster_clock','dingding','recover','【{{cluster_name}}集群机器{{host_ip}} 时钟一致性异常恢复】','【机器时钟一致性异常恢复】\n\n时钟偏移绝对值: {{elapsed_abs_avg}}\n\n源机器: {{source_host_ip}}\n\n目标机器: {{host_ip}}\n\n集群: {{cluster_name}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','{\"elapsed_abs_avg\":\"time:ms\",\"trigger_duration\":\"time:ms\"}','1.0','2021-05-28 11:55:06','2021-05-28 11:55:07',0),(5607,'时钟一致性异常恢复','machine','machine_cluster_clock','ticket','recover','【{{cluster_name}}集群机器{{host_ip}} 时钟一致性异常恢复】','【机器时钟一致性异常恢复】\n\n时钟偏移绝对值: {{elapsed_abs_avg}}\n\n源机器: {{source_host_ip}}\n\n目标机器: {{host_ip}}\n\n集群: {{cluster_name}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','{\"elapsed_abs_avg\":\"time:ms\",\"trigger_duration\":\"time:ms\"}','1.0','2021-05-28 11:55:06','2021-05-28 11:55:07',0),(5608,'时钟一致性异常恢复','machine','machine_cluster_clock','email','recover','【{{cluster_name}}集群机器{{host_ip}} 时钟一致性异常恢复】','【机器时钟一致性异常恢复】\n\n时钟偏移绝对值: {{elapsed_abs_avg}}\n\n源机器: {{source_host_ip}}\n\n目标机器: {{host_ip}}\n\n集群: {{cluster_name}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','{\"elapsed_abs_avg\":\"time:ms\",\"trigger_duration\":\"time:ms\"}','1.0','2021-05-28 11:55:06','2021-05-28 11:55:07',0),(5609,'时钟一致性异常恢复','machine','machine_cluster_clock','mbox','recover','【{{cluster_name}}集群机器{{host_ip}} 时钟一致性异常恢复】','【机器时钟一致性异常恢复】\n\n时钟偏移绝对值: {{elapsed_abs_avg}}\n\n源机器: {{source_host_ip}}\n\n目标机器: {{host_ip}}\n\n集群: {{cluster_name}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','{\"elapsed_abs_avg\":\"time:ms\",\"trigger_duration\":\"time:ms\"}','1.0','2021-05-28 11:55:06','2021-05-28 11:55:07',0),(5610,'时钟一致性异常恢复','machine','machine_cluster_clock','webhook','recover','【{{cluster_name}}集群机器{{host_ip}} 时钟一致性异常恢复】','【机器时钟一致性异常恢复】\n\n时钟偏移绝对值: {{elapsed_abs_avg}}\n\n源机器: {{source_host_ip}}\n\n目标机器: {{host_ip}}\n\n集群: {{cluster_name}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','{\"elapsed_abs_avg\":\"time:ms\",\"trigger_duration\":\"time:ms\"}','1.0','2021-05-28 11:55:06','2021-05-28 11:55:07',0),(5611,'机器CPU异常告警','machine','machine_cpu','dingding','alert','【{{cluster_name}}集群机器{{host_ip}} CPU使用率异常告警】','【机器CPU使用率异常告警】\n\nCPU平均使用率: {{cpu_usage_active_avg}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n时间: {{timestamp}}\n\n[查看详情]({{display_url}})\n\n[查看记录]({{record_url}})\n','{\"cpu_usage_active_avg\":\"percent:2\"}','1.0','2021-05-28 11:55:06','2021-05-28 11:55:07',0),(5612,'机器CPU异常告警','machine','machine_cpu','ticket','alert','【{{cluster_name}}集群机器{{host_ip}} CPU使用率异常告警】','【机器CPU使用率异常告警】\n\nCPU平均使用率: {{cpu_usage_active_avg}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n时间: {{timestamp}}\n\n[查看详情]({{display_url}})\n\n[查看记录]({{record_url}})\n','{\"cpu_usage_active_avg\":\"percent:2\"}','1.0','2021-05-28 11:55:06','2021-05-28 11:55:07',0),(5613,'机器CPU异常告警','machine','machine_cpu','email','alert','【{{cluster_name}}集群机器{{host_ip}} CPU使用率异常告警】','【机器CPU使用率异常告警】\n\nCPU平均使用率: {{cpu_usage_active_avg}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n时间: {{timestamp}}\n\n[查看详情]({{display_url}})\n\n[查看记录]({{record_url}})\n','{\"cpu_usage_active_avg\":\"percent:2\"}','1.0','2021-05-28 11:55:06','2021-05-28 11:55:07',0),(5614,'机器CPU异常告警','machine','machine_cpu','mbox','alert','【{{cluster_name}}集群机器{{host_ip}} CPU使用率异常告警】','【机器CPU使用率异常告警】\n\nCPU平均使用率: {{cpu_usage_active_avg}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n时间: {{timestamp}}\n\n[查看详情]({{display_url}})\n\n[查看记录]({{record_url}})\n','{\"cpu_usage_active_avg\":\"percent:2\"}','1.0','2021-05-28 11:55:06','2021-05-28 11:55:07',0),(5615,'机器CPU异常告警','machine','machine_cpu','webhook','alert','【{{cluster_name}}集群机器{{host_ip}} CPU使用率异常告警】','【机器CPU使用率异常告警】\n\nCPU平均使用率: {{cpu_usage_active_avg}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n时间: {{timestamp}}\n\n[查看详情]({{display_url}})\n\n[查看记录]({{record_url}})\n','{\"cpu_usage_active_avg\":\"percent:2\"}','1.0','2021-05-28 11:55:06','2021-05-28 11:55:07',0),(5616,'机器CPU异常恢复','machine','machine_cpu','dingding','recover','【{{cluster_name}}集群机器{{host_ip}} CPU使用率异常恢复】','【机器CPU使用率异常恢复】\n\nCPU平均使用率: {{cpu_usage_active_avg}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','{\"trigger_duration\":\"time:ms\",\"usage_active_avg\":\"percent:2\"}','1.0','2021-05-28 11:55:06','2021-05-28 11:55:07',0),(5617,'机器CPU异常恢复','machine','machine_cpu','ticket','recover','【{{cluster_name}}集群机器{{host_ip}} CPU使用率异常恢复】','【机器CPU使用率异常恢复】\n\nCPU平均使用率: {{cpu_usage_active_avg}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','{\"trigger_duration\":\"time:ms\",\"usage_active_avg\":\"percent:2\"}','1.0','2021-05-28 11:55:06','2021-05-28 11:55:07',0),(5618,'机器CPU异常恢复','machine','machine_cpu','email','recover','【{{cluster_name}}集群机器{{host_ip}} CPU使用率异常恢复】','【机器CPU使用率异常恢复】\n\nCPU平均使用率: {{cpu_usage_active_avg}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','{\"trigger_duration\":\"time:ms\",\"usage_active_avg\":\"percent:2\"}','1.0','2021-05-28 11:55:06','2021-05-28 11:55:07',0),(5619,'机器CPU异常恢复','machine','machine_cpu','mbox','recover','【{{cluster_name}}集群机器{{host_ip}} CPU使用率异常恢复】','【机器CPU使用率异常恢复】\n\nCPU平均使用率: {{cpu_usage_active_avg}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','{\"trigger_duration\":\"time:ms\",\"usage_active_avg\":\"percent:2\"}','1.0','2021-05-28 11:55:06','2021-05-28 11:55:07',0),(5620,'机器CPU异常恢复','machine','machine_cpu','webhook','recover','【{{cluster_name}}集群机器{{host_ip}} CPU使用率异常恢复】','【机器CPU使用率异常恢复】\n\nCPU平均使用率: {{cpu_usage_active_avg}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','{\"trigger_duration\":\"time:ms\",\"usage_active_avg\":\"percent:2\"}','1.0','2021-05-28 11:55:06','2021-05-28 11:55:07',0),(5621,'磁盘容量异常告警','machine','machine_disk','dingding','alert','【{{cluster_name}}集群机器{{host_ip}}磁盘使用率异常告警】','【磁盘使用率异常告警】\n\n使用率: {{used_percent_value}}\n\n容量: {{total_value}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n设备: {{device}}\n\n时间: {{timestamp}}\n\n[查看详情]({{display_url}})\n\n[查看记录]({{record_url}})\n','{\"total_value\":\"size:byte\",\"used_percent_value\":\"percent:2\"}','1.0','2021-05-28 11:55:06','2021-05-28 11:55:07',0),(5622,'磁盘容量异常告警','machine','machine_disk','ticket','alert','【{{cluster_name}}集群机器{{host_ip}}磁盘使用率异常告警】','【磁盘使用率异常告警】\n\n使用率: {{used_percent_value}}\n\n容量: {{total_value}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n设备: {{device}}\n\n时间: {{timestamp}}\n\n[查看详情]({{display_url}})\n\n[查看记录]({{record_url}})\n','{\"total_value\":\"size:byte\",\"used_percent_value\":\"percent:2\"}','1.0','2021-05-28 11:55:06','2021-05-28 11:55:07',0),(5623,'磁盘容量异常告警','machine','machine_disk','email','alert','【{{cluster_name}}集群机器{{host_ip}}磁盘使用率异常告警】','【磁盘使用率异常告警】\n\n使用率: {{used_percent_value}}\n\n容量: {{total_value}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n设备: {{device}}\n\n时间: {{timestamp}}\n\n[查看详情]({{display_url}})\n\n[查看记录]({{record_url}})\n','{\"total_value\":\"size:byte\",\"used_percent_value\":\"percent:2\"}','1.0','2021-05-28 11:55:06','2021-05-28 11:55:07',0),(5624,'磁盘容量异常告警','machine','machine_disk','mbox','alert','【{{cluster_name}}集群机器{{host_ip}}磁盘使用率异常告警】','【磁盘使用率异常告警】\n\n使用率: {{used_percent_value}}\n\n容量: {{total_value}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n设备: {{device}}\n\n时间: {{timestamp}}\n\n[查看详情]({{display_url}})\n\n[查看记录]({{record_url}})\n','{\"total_value\":\"size:byte\",\"used_percent_value\":\"percent:2\"}','1.0','2021-05-28 11:55:06','2021-05-28 11:55:07',0),(5625,'磁盘容量异常告警','machine','machine_disk','webhook','alert','【{{cluster_name}}集群机器{{host_ip}}磁盘使用率异常告警】','【磁盘使用率异常告警】\n\n使用率: {{used_percent_value}}\n\n容量: {{total_value}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n设备: {{device}}\n\n时间: {{timestamp}}\n\n[查看详情]({{display_url}})\n\n[查看记录]({{record_url}})\n','{\"total_value\":\"size:byte\",\"used_percent_value\":\"percent:2\"}','1.0','2021-05-28 11:55:06','2021-05-28 11:55:07',0),(5626,'磁盘容量异常恢复','machine','machine_disk','dingding','recover','【{{cluster_name}}集群机器{{host_ip}}磁盘使用率异常恢复】','【磁盘使用率异常恢复】\n\n使用率: {{used_percent_value}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n设备: {{device}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','{\"trigger_duration\":\"time:ms\",\"used_percent_value\":\"percent:2\"}','1.0','2021-05-28 11:55:06','2021-05-28 11:55:07',0),(5627,'磁盘容量异常恢复','machine','machine_disk','ticket','recover','【{{cluster_name}}集群机器{{host_ip}}磁盘使用率异常恢复】','【磁盘使用率异常恢复】\n\n使用率: {{used_percent_value}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n设备: {{device}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','{\"trigger_duration\":\"time:ms\",\"used_percent_value\":\"percent:2\"}','1.0','2021-05-28 11:55:06','2021-05-28 11:55:07',0),(5628,'磁盘容量异常恢复','machine','machine_disk','email','recover','【{{cluster_name}}集群机器{{host_ip}}磁盘使用率异常恢复】','【磁盘使用率异常恢复】\n\n使用率: {{used_percent_value}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n设备: {{device}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','{\"trigger_duration\":\"time:ms\",\"used_percent_value\":\"percent:2\"}','1.0','2021-05-28 11:55:06','2021-05-28 11:55:07',0),(5629,'磁盘容量异常恢复','machine','machine_disk','mbox','recover','【{{cluster_name}}集群机器{{host_ip}}磁盘使用率异常恢复】','【磁盘使用率异常恢复】\n\n使用率: {{used_percent_value}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n设备: {{device}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','{\"trigger_duration\":\"time:ms\",\"used_percent_value\":\"percent:2\"}','1.0','2021-05-28 11:55:06','2021-05-28 11:55:07',0),(5630,'磁盘容量异常恢复','machine','machine_disk','webhook','recover','【{{cluster_name}}集群机器{{host_ip}}磁盘使用率异常恢复】','【磁盘使用率异常恢复】\n\n使用率: {{used_percent_value}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n设备: {{device}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','{\"trigger_duration\":\"time:ms\",\"used_percent_value\":\"percent:2\"}','1.0','2021-05-28 11:55:06','2021-05-28 11:55:07',0),(5631,'磁盘Inode异常告警','machine','machine_disk_inode','dingding','alert','【{{cluster_name}}集群机器{{host_ip}}磁盘Inode异常告警】','【磁盘Inode异常告警】\n\n使用率: {{inode_used_percent_value}}\n\n容量: {{inodes_total_value}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n设备: {{device}}\n\n时间: {{timestamp}}\n\n[查看详情]({{display_url}})\n\n[查看记录]({{record_url}})\n','{\"inode_used_percent_value\":\"percent:2\",\"inodes_total_value\":\"size:byte\"}','1.0','2021-05-28 11:55:06','2021-05-28 11:55:07',0),(5632,'磁盘Inode异常告警','machine','machine_disk_inode','ticket','alert','【{{cluster_name}}集群机器{{host_ip}}磁盘Inode异常告警】','【磁盘Inode异常告警】\n\n使用率: {{inode_used_percent_value}}\n\n容量: {{inodes_total_value}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n设备: {{device}}\n\n时间: {{timestamp}}\n\n[查看详情]({{display_url}})\n\n[查看记录]({{record_url}})\n','{\"inode_used_percent_value\":\"percent:2\",\"inodes_total_value\":\"size:byte\"}','1.0','2021-05-28 11:55:06','2021-05-28 11:55:07',0),(5633,'磁盘Inode异常告警','machine','machine_disk_inode','email','alert','【{{cluster_name}}集群机器{{host_ip}}磁盘Inode异常告警】','【磁盘Inode异常告警】\n\n使用率: {{inode_used_percent_value}}\n\n容量: {{inodes_total_value}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n设备: {{device}}\n\n时间: {{timestamp}}\n\n[查看详情]({{display_url}})\n\n[查看记录]({{record_url}})\n','{\"inode_used_percent_value\":\"percent:2\",\"inodes_total_value\":\"size:byte\"}','1.0','2021-05-28 11:55:06','2021-05-28 11:55:07',0),(5634,'磁盘Inode异常告警','machine','machine_disk_inode','mbox','alert','【{{cluster_name}}集群机器{{host_ip}}磁盘Inode异常告警】','【磁盘Inode异常告警】\n\n使用率: {{inode_used_percent_value}}\n\n容量: {{inodes_total_value}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n设备: {{device}}\n\n时间: {{timestamp}}\n\n[查看详情]({{display_url}})\n\n[查看记录]({{record_url}})\n','{\"inode_used_percent_value\":\"percent:2\",\"inodes_total_value\":\"size:byte\"}','1.0','2021-05-28 11:55:06','2021-05-28 11:55:07',0),(5635,'磁盘Inode异常告警','machine','machine_disk_inode','webhook','alert','【{{cluster_name}}集群机器{{host_ip}}磁盘Inode异常告警】','【磁盘Inode异常告警】\n\n使用率: {{inode_used_percent_value}}\n\n容量: {{inodes_total_value}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n设备: {{device}}\n\n时间: {{timestamp}}\n\n[查看详情]({{display_url}})\n\n[查看记录]({{record_url}})\n','{\"inode_used_percent_value\":\"percent:2\",\"inodes_total_value\":\"size:byte\"}','1.0','2021-05-28 11:55:06','2021-05-28 11:55:07',0),(5636,'磁盘Inode异常恢复','machine','machine_disk_inode','dingding','recover','【{{cluster_name}}集群机器{{host_ip}}磁盘Inode异常恢复】','【磁盘Inode异常恢复】\n\n使用率: {{inode_used_percent_value}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n设备: {{device}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','{\"inode_used_percent_value\":\"percent:2\",\"trigger_duration\":\"time:ms\"}','1.0','2021-05-28 11:55:06','2021-05-28 11:55:07',0),(5637,'磁盘Inode异常恢复','machine','machine_disk_inode','ticket','recover','【{{cluster_name}}集群机器{{host_ip}}磁盘Inode异常恢复】','【磁盘Inode异常恢复】\n\n使用率: {{inode_used_percent_value}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n设备: {{device}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','{\"inode_used_percent_value\":\"percent:2\",\"trigger_duration\":\"time:ms\"}','1.0','2021-05-28 11:55:06','2021-05-28 11:55:07',0),(5638,'磁盘Inode异常恢复','machine','machine_disk_inode','email','recover','【{{cluster_name}}集群机器{{host_ip}}磁盘Inode异常恢复】','【磁盘Inode异常恢复】\n\n使用率: {{inode_used_percent_value}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n设备: {{device}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','{\"inode_used_percent_value\":\"percent:2\",\"trigger_duration\":\"time:ms\"}','1.0','2021-05-28 11:55:06','2021-05-28 11:55:07',0),(5639,'磁盘Inode异常恢复','machine','machine_disk_inode','mbox','recover','【{{cluster_name}}集群机器{{host_ip}}磁盘Inode异常恢复】','【磁盘Inode异常恢复】\n\n使用率: {{inode_used_percent_value}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n设备: {{device}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','{\"inode_used_percent_value\":\"percent:2\",\"trigger_duration\":\"time:ms\"}','1.0','2021-05-28 11:55:06','2021-05-28 11:55:07',0),(5640,'磁盘Inode异常恢复','machine','machine_disk_inode','webhook','recover','【{{cluster_name}}集群机器{{host_ip}}磁盘Inode异常恢复】','【磁盘Inode异常恢复】\n\n使用率: {{inode_used_percent_value}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n设备: {{device}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','{\"inode_used_percent_value\":\"percent:2\",\"trigger_duration\":\"time:ms\"}','1.0','2021-05-28 11:55:06','2021-05-28 11:55:07',0),(5641,'磁盘IO异常告警','machine','machine_disk_util','dingding','alert','【{{cluster_name}}集群机器{{host_ip}}磁盘IO操作百分比异常告警】','【磁盘IO操作百分比异常告警】\n\nIO操作百分比: {{pct_util_p75}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','{\"pct_util_p75\":\"percent:2\"}','1.0','2021-05-28 11:55:06','2021-05-28 11:55:07',0),(5642,'磁盘IO异常告警','machine','machine_disk_util','ticket','alert','【{{cluster_name}}集群机器{{host_ip}}磁盘IO操作百分比异常告警】','【磁盘IO操作百分比异常告警】\n\nIO操作百分比: {{pct_util_p75}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','{\"pct_util_p75\":\"percent:2\"}','1.0','2021-05-28 11:55:06','2021-05-28 11:55:07',0),(5643,'磁盘IO异常告警','machine','machine_disk_util','email','alert','【{{cluster_name}}集群机器{{host_ip}}磁盘IO操作百分比异常告警】','【磁盘IO操作百分比异常告警】\n\nIO操作百分比: {{pct_util_p75}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','{\"pct_util_p75\":\"percent:2\"}','1.0','2021-05-28 11:55:06','2021-05-28 11:55:07',0),(5644,'磁盘IO异常告警','machine','machine_disk_util','mbox','alert','【{{cluster_name}}集群机器{{host_ip}}磁盘IO操作百分比异常告警】','【磁盘IO操作百分比异常告警】\n\nIO操作百分比: {{pct_util_p75}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','{\"pct_util_p75\":\"percent:2\"}','1.0','2021-05-28 11:55:06','2021-05-28 11:55:07',0),(5645,'磁盘IO异常告警','machine','machine_disk_util','webhook','alert','【{{cluster_name}}集群机器{{host_ip}}磁盘IO操作百分比异常告警】','【磁盘IO操作百分比异常告警】\n\nIO操作百分比: {{pct_util_p75}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','{\"pct_util_p75\":\"percent:2\"}','1.0','2021-05-28 11:55:06','2021-05-28 11:55:07',0),(5646,'磁盘IO异常恢复','machine','machine_disk_util','dingding','recover','【{{cluster_name}}集群机器{{host_ip}}磁盘IO操作百分比异常恢复】','【磁盘IO操作百分比异常恢复】\n\nIO操作百分比: {{pct_util_p75}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','{\"pct_util_p75\":\"percent:2\",\"trigger_duration\":\"time:ms\"}','1.0','2021-05-28 11:55:06','2021-05-28 11:55:07',0),(5647,'磁盘IO异常恢复','machine','machine_disk_util','ticket','recover','【{{cluster_name}}集群机器{{host_ip}}磁盘IO操作百分比异常恢复】','【磁盘IO操作百分比异常恢复】\n\nIO操作百分比: {{pct_util_p75}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','{\"pct_util_p75\":\"percent:2\",\"trigger_duration\":\"time:ms\"}','1.0','2021-05-28 11:55:06','2021-05-28 11:55:07',0),(5648,'磁盘IO异常恢复','machine','machine_disk_util','email','recover','【{{cluster_name}}集群机器{{host_ip}}磁盘IO操作百分比异常恢复】','【磁盘IO操作百分比异常恢复】\n\nIO操作百分比: {{pct_util_p75}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','{\"pct_util_p75\":\"percent:2\",\"trigger_duration\":\"time:ms\"}','1.0','2021-05-28 11:55:06','2021-05-28 11:55:07',0),(5649,'磁盘IO异常恢复','machine','machine_disk_util','mbox','recover','【{{cluster_name}}集群机器{{host_ip}}磁盘IO操作百分比异常恢复】','【磁盘IO操作百分比异常恢复】\n\nIO操作百分比: {{pct_util_p75}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','{\"pct_util_p75\":\"percent:2\",\"trigger_duration\":\"time:ms\"}','1.0','2021-05-28 11:55:06','2021-05-28 11:55:07',0),(5650,'磁盘IO异常恢复','machine','machine_disk_util','webhook','recover','【{{cluster_name}}集群机器{{host_ip}}磁盘IO操作百分比异常恢复】','【磁盘IO操作百分比异常恢复】\n\nIO操作百分比: {{pct_util_p75}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','{\"pct_util_p75\":\"percent:2\",\"trigger_duration\":\"time:ms\"}','1.0','2021-05-28 11:55:06','2021-05-28 11:55:07',0),(5651,'机器负载异常告警','machine','machine_load5','dingding','alert','【{{cluster_name}}集群机器{{host_ip}}负载异常告警】','【机器负载异常告警】\n\nLoad5: {{load5_avg}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n时间: {{timestamp}}\n\n[查看详情]({{display_url}})\n\n[查看记录]({{record_url}})\n','','1.0','2021-05-28 11:55:06','2021-05-28 11:55:07',0),(5652,'机器负载异常告警','machine','machine_load5','ticket','alert','【{{cluster_name}}集群机器{{host_ip}}负载异常告警】','【机器负载异常告警】\n\nLoad5: {{load5_avg}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n时间: {{timestamp}}\n\n[查看详情]({{display_url}})\n\n[查看记录]({{record_url}})\n','','1.0','2021-05-28 11:55:06','2021-05-28 11:55:07',0),(5653,'机器负载异常告警','machine','machine_load5','email','alert','【{{cluster_name}}集群机器{{host_ip}}负载异常告警】','【机器负载异常告警】\n\nLoad5: {{load5_avg}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n时间: {{timestamp}}\n\n[查看详情]({{display_url}})\n\n[查看记录]({{record_url}})\n','','1.0','2021-05-28 11:55:06','2021-05-28 11:55:07',0),(5654,'机器负载异常告警','machine','machine_load5','mbox','alert','【{{cluster_name}}集群机器{{host_ip}}负载异常告警】','【机器负载异常告警】\n\nLoad5: {{load5_avg}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n时间: {{timestamp}}\n\n[查看详情]({{display_url}})\n\n[查看记录]({{record_url}})\n','','1.0','2021-05-28 11:55:06','2021-05-28 11:55:07',0),(5655,'机器负载异常告警','machine','machine_load5','webhook','alert','【{{cluster_name}}集群机器{{host_ip}}负载异常告警】','【机器负载异常告警】\n\nLoad5: {{load5_avg}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n时间: {{timestamp}}\n\n[查看详情]({{display_url}})\n\n[查看记录]({{record_url}})\n','','1.0','2021-05-28 11:55:06','2021-05-28 11:55:07',0),(5656,'机器负载异常恢复','machine','machine_load5','dingding','recover','【{{cluster_name}}集群机器{{host_ip}}负载异常恢复】','【机器负载异常恢复】\n\nLoad5: {{load5_avg}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','{\"trigger_duration\":\"time:ms\"}','1.0','2021-05-28 11:55:06','2021-05-28 11:55:07',0),(5657,'机器负载异常恢复','machine','machine_load5','ticket','recover','【{{cluster_name}}集群机器{{host_ip}}负载异常恢复】','【机器负载异常恢复】\n\nLoad5: {{load5_avg}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','{\"trigger_duration\":\"time:ms\"}','1.0','2021-05-28 11:55:06','2021-05-28 11:55:07',0),(5658,'机器负载异常恢复','machine','machine_load5','email','recover','【{{cluster_name}}集群机器{{host_ip}}负载异常恢复】','【机器负载异常恢复】\n\nLoad5: {{load5_avg}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','{\"trigger_duration\":\"time:ms\"}','1.0','2021-05-28 11:55:06','2021-05-28 11:55:07',0),(5659,'机器负载异常恢复','machine','machine_load5','mbox','recover','【{{cluster_name}}集群机器{{host_ip}}负载异常恢复】','【机器负载异常恢复】\n\nLoad5: {{load5_avg}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','{\"trigger_duration\":\"time:ms\"}','1.0','2021-05-28 11:55:06','2021-05-28 11:55:07',0),(5660,'机器负载异常恢复','machine','machine_load5','webhook','recover','【{{cluster_name}}集群机器{{host_ip}}负载异常恢复】','【机器负载异常恢复】\n\nLoad5: {{load5_avg}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','{\"trigger_duration\":\"time:ms\"}','1.0','2021-05-28 11:55:06','2021-05-28 11:55:07',0),(5661,'网盘容量异常告警','machine','machine_netdisk','dingding','alert','【{{cluster_name}}集群网盘使用率异常告警】','【网盘使用率异常告警】\n\n使用率: {{used_percent_value}}\n\n容量: {{total_value}}\n\n集群: {{cluster_name}}\n\n时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','{\"total_value\":\"size:byte\",\"used_percent_value\":\"percent:2\"}','1.0','2021-05-28 11:55:06','2021-05-28 11:55:07',0),(5662,'网盘容量异常告警','machine','machine_netdisk','ticket','alert','【{{cluster_name}}集群网盘使用率异常告警】','【网盘使用率异常告警】\n\n使用率: {{used_percent_value}}\n\n容量: {{total_value}}\n\n集群: {{cluster_name}}\n\n时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','{\"total_value\":\"size:byte\",\"used_percent_value\":\"percent:2\"}','1.0','2021-05-28 11:55:06','2021-05-28 11:55:07',0),(5663,'网盘容量异常告警','machine','machine_netdisk','email','alert','【{{cluster_name}}集群网盘使用率异常告警】','【网盘使用率异常告警】\n\n使用率: {{used_percent_value}}\n\n容量: {{total_value}}\n\n集群: {{cluster_name}}\n\n时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','{\"total_value\":\"size:byte\",\"used_percent_value\":\"percent:2\"}','1.0','2021-05-28 11:55:06','2021-05-28 11:55:07',0),(5664,'网盘容量异常告警','machine','machine_netdisk','mbox','alert','【{{cluster_name}}集群网盘使用率异常告警】','【网盘使用率异常告警】\n\n使用率: {{used_percent_value}}\n\n容量: {{total_value}}\n\n集群: {{cluster_name}}\n\n时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','{\"total_value\":\"size:byte\",\"used_percent_value\":\"percent:2\"}','1.0','2021-05-28 11:55:06','2021-05-28 11:55:07',0),(5665,'网盘容量异常告警','machine','machine_netdisk','webhook','alert','【{{cluster_name}}集群网盘使用率异常告警】','【网盘使用率异常告警】\n\n使用率: {{used_percent_value}}\n\n容量: {{total_value}}\n\n集群: {{cluster_name}}\n\n时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','{\"total_value\":\"size:byte\",\"used_percent_value\":\"percent:2\"}','1.0','2021-05-28 11:55:06','2021-05-28 11:55:07',0),(5666,'网盘容量异常恢复','machine','machine_netdisk','dingding','recover','【{{cluster_name}}集群网盘使用率异常恢复】','【网盘使用率异常恢复】\n\n使用率: {{used_percent_value}}\n\n集群: {{cluster_name}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','{\"trigger_duration\":\"time:ms\",\"used_percent_value\":\"percent:2\"}','1.0','2021-05-28 11:55:06','2021-05-28 11:55:07',0),(5667,'网盘容量异常恢复','machine','machine_netdisk','ticket','recover','【{{cluster_name}}集群网盘使用率异常恢复】','【网盘使用率异常恢复】\n\n使用率: {{used_percent_value}}\n\n集群: {{cluster_name}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','{\"trigger_duration\":\"time:ms\",\"used_percent_value\":\"percent:2\"}','1.0','2021-05-28 11:55:06','2021-05-28 11:55:07',0),(5668,'网盘容量异常恢复','machine','machine_netdisk','email','recover','【{{cluster_name}}集群网盘使用率异常恢复】','【网盘使用率异常恢复】\n\n使用率: {{used_percent_value}}\n\n集群: {{cluster_name}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','{\"trigger_duration\":\"time:ms\",\"used_percent_value\":\"percent:2\"}','1.0','2021-05-28 11:55:06','2021-05-28 11:55:07',0),(5669,'网盘容量异常恢复','machine','machine_netdisk','mbox','recover','【{{cluster_name}}集群网盘使用率异常恢复】','【网盘使用率异常恢复】\n\n使用率: {{used_percent_value}}\n\n集群: {{cluster_name}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','{\"trigger_duration\":\"time:ms\",\"used_percent_value\":\"percent:2\"}','1.0','2021-05-28 11:55:06','2021-05-28 11:55:07',0),(5670,'网盘容量异常恢复','machine','machine_netdisk','webhook','recover','【{{cluster_name}}集群网盘使用率异常恢复】','【网盘使用率异常恢复】\n\n使用率: {{used_percent_value}}\n\n集群: {{cluster_name}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','{\"trigger_duration\":\"time:ms\",\"used_percent_value\":\"percent:2\"}','1.0','2021-05-28 11:55:06','2021-05-28 11:55:07',0),(5671,'网盘容量使用量异常告警','machine','machine_netdisk_used','dingding','alert','【{{cluster_name}}集群网盘使用率异常告警】','【网盘使用异常告警】\n\n使用: {{used}}GB\n\n容量: {{total}}GB\n\n集群: {{cluster_name}}\n\n时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','{}','1.0','2021-05-28 11:55:06','2021-05-28 11:55:07',0),(5672,'网盘容量使用量异常告警','machine','machine_netdisk_used','ticket','alert','【{{cluster_name}}集群网盘使用率异常告警】','【网盘使用异常告警】\n\n使用: {{used}}GB\n\n容量: {{total}}GB\n\n集群: {{cluster_name}}\n\n时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','{}','1.0','2021-05-28 11:55:06','2021-05-28 11:55:07',0),(5673,'网盘容量使用量异常告警','machine','machine_netdisk_used','email','alert','【{{cluster_name}}集群网盘使用率异常告警】','【网盘使用异常告警】\n\n使用: {{used}}GB\n\n容量: {{total}}GB\n\n集群: {{cluster_name}}\n\n时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','{}','1.0','2021-05-28 11:55:06','2021-05-28 11:55:07',0),(5674,'网盘容量使用量异常告警','machine','machine_netdisk_used','mbox','alert','【{{cluster_name}}集群网盘使用率异常告警】','【网盘使用异常告警】\n\n使用: {{used}}GB\n\n容量: {{total}}GB\n\n集群: {{cluster_name}}\n\n时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','{}','1.0','2021-05-28 11:55:06','2021-05-28 11:55:07',0),(5675,'网盘容量使用量异常告警','machine','machine_netdisk_used','webhook','alert','【{{cluster_name}}集群网盘使用率异常告警】','【网盘使用异常告警】\n\n使用: {{used}}GB\n\n容量: {{total}}GB\n\n集群: {{cluster_name}}\n\n时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','{}','1.0','2021-05-28 11:55:06','2021-05-28 11:55:07',0),(5676,'网盘容量异常恢复','machine','machine_netdisk_used','dingding','recover','【{{cluster_name}}集群网盘使用率异常恢复】','【网盘使用率异常恢复】\n\n使用: {{used}}GB\n\n集群: {{cluster_name}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','{\"trigger_duration\":\"time:ms\"}','1.0','2021-05-28 11:55:06','2021-05-28 11:55:07',0),(5677,'网盘容量异常恢复','machine','machine_netdisk_used','ticket','recover','【{{cluster_name}}集群网盘使用率异常恢复】','【网盘使用率异常恢复】\n\n使用: {{used}}GB\n\n集群: {{cluster_name}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','{\"trigger_duration\":\"time:ms\"}','1.0','2021-05-28 11:55:06','2021-05-28 11:55:07',0),(5678,'网盘容量异常恢复','machine','machine_netdisk_used','email','recover','【{{cluster_name}}集群网盘使用率异常恢复】','【网盘使用率异常恢复】\n\n使用: {{used}}GB\n\n集群: {{cluster_name}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','{\"trigger_duration\":\"time:ms\"}','1.0','2021-05-28 11:55:06','2021-05-28 11:55:07',0),(5679,'网盘容量异常恢复','machine','machine_netdisk_used','mbox','recover','【{{cluster_name}}集群网盘使用率异常恢复】','【网盘使用率异常恢复】\n\n使用: {{used}}GB\n\n集群: {{cluster_name}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','{\"trigger_duration\":\"time:ms\"}','1.0','2021-05-28 11:55:06','2021-05-28 11:55:07',0),(5680,'网盘容量异常恢复','machine','machine_netdisk_used','webhook','recover','【{{cluster_name}}集群网盘使用率异常恢复】','【网盘使用率异常恢复】\n\n使用: {{used}}GB\n\n集群: {{cluster_name}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','{\"trigger_duration\":\"time:ms\"}','1.0','2021-05-28 11:55:06','2021-05-28 11:55:07',0),(5681,'宕机告警','machine','machine_status','dingding','alert','【{{cluster_name}}集群机器{{host_ip}}宕机告警】','【宕机告警】\n\n机器{{window}}分钟内无消息, 疑似发生宕机\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n最近活跃时间: {{last_timestamp_value}}\n\n时间: {{timestamp}}\n\n[查看详情]({{display_url}})\n\n[查看记录]({{record_url}})\n','{\"last_timestamp_value\":\"date\"}','1.0','2021-05-28 11:55:06','2021-05-28 11:55:07',0),(5682,'宕机告警','machine','machine_status','ticket','alert','【{{cluster_name}}集群机器{{host_ip}}宕机告警】','【宕机告警】\n\n机器{{window}}分钟内无消息, 疑似发生宕机\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n最近活跃时间: {{last_timestamp_value}}\n\n时间: {{timestamp}}\n\n[查看详情]({{display_url}})\n\n[查看记录]({{record_url}})\n','{\"last_timestamp_value\":\"date\"}','1.0','2021-05-28 11:55:06','2021-05-28 11:55:07',0),(5683,'宕机告警','machine','machine_status','email','alert','【{{cluster_name}}集群机器{{host_ip}}宕机告警】','【宕机告警】\n\n机器{{window}}分钟内无消息, 疑似发生宕机\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n最近活跃时间: {{last_timestamp_value}}\n\n时间: {{timestamp}}\n\n[查看详情]({{display_url}})\n\n[查看记录]({{record_url}})\n','{\"last_timestamp_value\":\"date\"}','1.0','2021-05-28 11:55:06','2021-05-28 11:55:07',0),(5684,'宕机告警','machine','machine_status','mbox','alert','【{{cluster_name}}集群机器{{host_ip}}宕机告警】','【宕机告警】\n\n机器{{window}}分钟内无消息, 疑似发生宕机\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n最近活跃时间: {{last_timestamp_value}}\n\n时间: {{timestamp}}\n\n[查看详情]({{display_url}})\n\n[查看记录]({{record_url}})\n','{\"last_timestamp_value\":\"date\"}','1.0','2021-05-28 11:55:06','2021-05-28 11:55:07',0),(5685,'宕机告警','machine','machine_status','webhook','alert','【{{cluster_name}}集群机器{{host_ip}}宕机告警】','【宕机告警】\n\n机器{{window}}分钟内无消息, 疑似发生宕机\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n最近活跃时间: {{last_timestamp_value}}\n\n时间: {{timestamp}}\n\n[查看详情]({{display_url}})\n\n[查看记录]({{record_url}})\n','{\"last_timestamp_value\":\"date\"}','1.0','2021-05-28 11:55:06','2021-05-28 11:55:07',0),(5686,'宕机恢复','machine','machine_status','dingding','recover','【{{cluster_name}}集群机器{{host_ip}}宕机恢复】','【宕机恢复】\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','{\"trigger_duration\":\"time:ms\"}','1.0','2021-05-28 11:55:06','2021-05-28 11:55:07',0),(5687,'宕机恢复','machine','machine_status','ticket','recover','【{{cluster_name}}集群机器{{host_ip}}宕机恢复】','【宕机恢复】\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','{\"trigger_duration\":\"time:ms\"}','1.0','2021-05-28 11:55:06','2021-05-28 11:55:07',0),(5688,'宕机恢复','machine','machine_status','email','recover','【{{cluster_name}}集群机器{{host_ip}}宕机恢复】','【宕机恢复】\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','{\"trigger_duration\":\"time:ms\"}','1.0','2021-05-28 11:55:06','2021-05-28 11:55:07',0),(5689,'宕机恢复','machine','machine_status','mbox','recover','【{{cluster_name}}集群机器{{host_ip}}宕机恢复】','【宕机恢复】\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','{\"trigger_duration\":\"time:ms\"}','1.0','2021-05-28 11:55:06','2021-05-28 11:55:07',0),(5690,'宕机恢复','machine','machine_status','webhook','recover','【{{cluster_name}}集群机器{{host_ip}}宕机恢复】','【宕机恢复】\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','{\"trigger_duration\":\"time:ms\"}','1.0','2021-05-28 11:55:06','2021-05-28 11:55:07',0),(5691,'API网关实例CPU使用率异常','micro_service','api_gateway_cpu','dingding','alert','【API网关实例CPU使用率告警】\n','【API网关实例CPU使用率异常告警】\n\n组件: {{addon_type}}\n\n实例: {{pod_namespace}} - {{pod_name}}\n\nCPU平均使用率: {{cpu_usage_percent_avg}}\n\nCPU限制: {{cpu_limit_value}}核\n\nCPU分配: {{cpu_allocation_value}}核\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','{\"container_id\":\"string:6\",\"cpu_allocation_value\":\"fraction:1\",\"cpu_limit_value\":\"fraction:1\",\"cpu_usage_percent_avg\":\"percent:1\"}','1.0','2021-05-28 11:55:06','2021-05-28 11:55:07',0),(5692,'API网关实例CPU使用率异常','micro_service','api_gateway_cpu','ticket','alert','【API网关实例CPU使用率告警】\n','【API网关实例CPU使用率异常告警】\n\n组件: {{addon_type}}\n\n实例: {{pod_namespace}} - {{pod_name}}\n\nCPU平均使用率: {{cpu_usage_percent_avg}}\n\nCPU限制: {{cpu_limit_value}}核\n\nCPU分配: {{cpu_allocation_value}}核\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','{\"container_id\":\"string:6\",\"cpu_allocation_value\":\"fraction:1\",\"cpu_limit_value\":\"fraction:1\",\"cpu_usage_percent_avg\":\"percent:1\"}','1.0','2021-05-28 11:55:06','2021-05-28 11:55:07',0),(5693,'API网关实例CPU使用率异常','micro_service','api_gateway_cpu','email','alert','【API网关实例CPU使用率告警】\n','【API网关实例CPU使用率异常告警】\n\n组件: {{addon_type}}\n\n实例: {{pod_namespace}} - {{pod_name}}\n\nCPU平均使用率: {{cpu_usage_percent_avg}}\n\nCPU限制: {{cpu_limit_value}}核\n\nCPU分配: {{cpu_allocation_value}}核\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','{\"container_id\":\"string:6\",\"cpu_allocation_value\":\"fraction:1\",\"cpu_limit_value\":\"fraction:1\",\"cpu_usage_percent_avg\":\"percent:1\"}','1.0','2021-05-28 11:55:06','2021-05-28 11:55:07',0),(5694,'API网关实例CPU使用率异常','micro_service','api_gateway_cpu','mbox','alert','【API网关实例CPU使用率告警】\n','【API网关实例CPU使用率异常告警】\n\n组件: {{addon_type}}\n\n实例: {{pod_namespace}} - {{pod_name}}\n\nCPU平均使用率: {{cpu_usage_percent_avg}}\n\nCPU限制: {{cpu_limit_value}}核\n\nCPU分配: {{cpu_allocation_value}}核\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','{\"container_id\":\"string:6\",\"cpu_allocation_value\":\"fraction:1\",\"cpu_limit_value\":\"fraction:1\",\"cpu_usage_percent_avg\":\"percent:1\"}','1.0','2021-05-28 11:55:06','2021-05-28 11:55:07',0),(5695,'API网关实例CPU使用率异常','micro_service','api_gateway_cpu','webhook','alert','【API网关实例CPU使用率告警】\n','【API网关实例CPU使用率异常告警】\n\n组件: {{addon_type}}\n\n实例: {{pod_namespace}} - {{pod_name}}\n\nCPU平均使用率: {{cpu_usage_percent_avg}}\n\nCPU限制: {{cpu_limit_value}}核\n\nCPU分配: {{cpu_allocation_value}}核\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','{\"container_id\":\"string:6\",\"cpu_allocation_value\":\"fraction:1\",\"cpu_limit_value\":\"fraction:1\",\"cpu_usage_percent_avg\":\"percent:1\"}','1.0','2021-05-28 11:55:06','2021-05-28 11:55:07',0),(5696,'API网关实例内存使用率异常','micro_service','api_gateway_mem','dingding','alert','【API网关实例内存使用率告警】\n','【API网关实例内存使用率异常告警】\n\n组件: {{addon_type}}\n\n实例: {{pod_namespace}} - {{pod_name}}\n\n内存使用率: {{mem_usage_percent_avg}}\n\n内存使用: {{mem_usage_value}}\n\n内存限制: {{mem_limit_value}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','{\"container_id\":\"string:6\",\"mem_limit_value\":\"size:byte\",\"mem_usage_percent_avg\":\"percent:1\",\"mem_usage_value\":\"size:byte\"}','1.0','2021-05-28 11:55:06','2021-05-28 11:55:07',0),(5697,'API网关实例内存使用率异常','micro_service','api_gateway_mem','ticket','alert','【API网关实例内存使用率告警】\n','【API网关实例内存使用率异常告警】\n\n组件: {{addon_type}}\n\n实例: {{pod_namespace}} - {{pod_name}}\n\n内存使用率: {{mem_usage_percent_avg}}\n\n内存使用: {{mem_usage_value}}\n\n内存限制: {{mem_limit_value}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','{\"container_id\":\"string:6\",\"mem_limit_value\":\"size:byte\",\"mem_usage_percent_avg\":\"percent:1\",\"mem_usage_value\":\"size:byte\"}','1.0','2021-05-28 11:55:06','2021-05-28 11:55:07',0),(5698,'API网关实例内存使用率异常','micro_service','api_gateway_mem','email','alert','【API网关实例内存使用率告警】\n','【API网关实例内存使用率异常告警】\n\n组件: {{addon_type}}\n\n实例: {{pod_namespace}} - {{pod_name}}\n\n内存使用率: {{mem_usage_percent_avg}}\n\n内存使用: {{mem_usage_value}}\n\n内存限制: {{mem_limit_value}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','{\"container_id\":\"string:6\",\"mem_limit_value\":\"size:byte\",\"mem_usage_percent_avg\":\"percent:1\",\"mem_usage_value\":\"size:byte\"}','1.0','2021-05-28 11:55:06','2021-05-28 11:55:07',0),(5699,'API网关实例内存使用率异常','micro_service','api_gateway_mem','mbox','alert','【API网关实例内存使用率告警】\n','【API网关实例内存使用率异常告警】\n\n组件: {{addon_type}}\n\n实例: {{pod_namespace}} - {{pod_name}}\n\n内存使用率: {{mem_usage_percent_avg}}\n\n内存使用: {{mem_usage_value}}\n\n内存限制: {{mem_limit_value}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','{\"container_id\":\"string:6\",\"mem_limit_value\":\"size:byte\",\"mem_usage_percent_avg\":\"percent:1\",\"mem_usage_value\":\"size:byte\"}','1.0','2021-05-28 11:55:06','2021-05-28 11:55:07',0),(5700,'API网关实例内存使用率异常','micro_service','api_gateway_mem','webhook','alert','【API网关实例内存使用率告警】\n','【API网关实例内存使用率异常告警】\n\n组件: {{addon_type}}\n\n实例: {{pod_namespace}} - {{pod_name}}\n\n内存使用率: {{mem_usage_percent_avg}}\n\n内存使用: {{mem_usage_value}}\n\n内存限制: {{mem_limit_value}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','{\"container_id\":\"string:6\",\"mem_limit_value\":\"size:byte\",\"mem_usage_percent_avg\":\"percent:1\",\"mem_usage_value\":\"size:byte\"}','1.0','2021-05-28 11:55:06','2021-05-28 11:55:07',0),(5701,'注册中心实例CPU使用率异常','micro_service','register_center_cpu','dingding','alert','【注册中心实例CPU使用率告警】\n','【注册中心实例CPU使用率异常告警】\n\n组件: {{addon_type}}\n\n实例: {{pod_namespace}} - {{pod_name}}\n\nCPU平均使用率: {{cpu_usage_percent_avg}}\n\nCPU限制: {{cpu_limit_value}}核\n\nCPU分配: {{cpu_allocation_value}}核\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','{\"container_id\":\"string:6\",\"cpu_allocation_value\":\"fraction:1\",\"cpu_limit_value\":\"fraction:1\",\"cpu_usage_percent_avg\":\"percent:1\"}','1.0','2021-05-28 11:55:06','2021-05-28 11:55:07',0),(5702,'注册中心实例CPU使用率异常','micro_service','register_center_cpu','ticket','alert','【注册中心实例CPU使用率告警】\n','【注册中心实例CPU使用率异常告警】\n\n组件: {{addon_type}}\n\n实例: {{pod_namespace}} - {{pod_name}}\n\nCPU平均使用率: {{cpu_usage_percent_avg}}\n\nCPU限制: {{cpu_limit_value}}核\n\nCPU分配: {{cpu_allocation_value}}核\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','{\"container_id\":\"string:6\",\"cpu_allocation_value\":\"fraction:1\",\"cpu_limit_value\":\"fraction:1\",\"cpu_usage_percent_avg\":\"percent:1\"}','1.0','2021-05-28 11:55:06','2021-05-28 11:55:07',0),(5703,'注册中心实例CPU使用率异常','micro_service','register_center_cpu','email','alert','【注册中心实例CPU使用率告警】\n','【注册中心实例CPU使用率异常告警】\n\n组件: {{addon_type}}\n\n实例: {{pod_namespace}} - {{pod_name}}\n\nCPU平均使用率: {{cpu_usage_percent_avg}}\n\nCPU限制: {{cpu_limit_value}}核\n\nCPU分配: {{cpu_allocation_value}}核\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','{\"container_id\":\"string:6\",\"cpu_allocation_value\":\"fraction:1\",\"cpu_limit_value\":\"fraction:1\",\"cpu_usage_percent_avg\":\"percent:1\"}','1.0','2021-05-28 11:55:06','2021-05-28 11:55:07',0),(5704,'注册中心实例CPU使用率异常','micro_service','register_center_cpu','mbox','alert','【注册中心实例CPU使用率告警】\n','【注册中心实例CPU使用率异常告警】\n\n组件: {{addon_type}}\n\n实例: {{pod_namespace}} - {{pod_name}}\n\nCPU平均使用率: {{cpu_usage_percent_avg}}\n\nCPU限制: {{cpu_limit_value}}核\n\nCPU分配: {{cpu_allocation_value}}核\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','{\"container_id\":\"string:6\",\"cpu_allocation_value\":\"fraction:1\",\"cpu_limit_value\":\"fraction:1\",\"cpu_usage_percent_avg\":\"percent:1\"}','1.0','2021-05-28 11:55:06','2021-05-28 11:55:07',0),(5705,'注册中心实例CPU使用率异常','micro_service','register_center_cpu','webhook','alert','【注册中心实例CPU使用率告警】\n','【注册中心实例CPU使用率异常告警】\n\n组件: {{addon_type}}\n\n实例: {{pod_namespace}} - {{pod_name}}\n\nCPU平均使用率: {{cpu_usage_percent_avg}}\n\nCPU限制: {{cpu_limit_value}}核\n\nCPU分配: {{cpu_allocation_value}}核\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','{\"container_id\":\"string:6\",\"cpu_allocation_value\":\"fraction:1\",\"cpu_limit_value\":\"fraction:1\",\"cpu_usage_percent_avg\":\"percent:1\"}','1.0','2021-05-28 11:55:06','2021-05-28 11:55:07',0),(5706,'注册中心实例内存使用率异常','micro_service','register_center_mem','dingding','alert','【注册中心实例内存使用率告警】\n','【注册中心实例内存使用率异常告警】\n\n组件: {{addon_type}}\n\n实例: {{pod_namespace}} - {{pod_name}}\n\n内存使用率: {{mem_usage_percent_avg}}\n\n内存使用: {{mem_usage_value}}\n\n内存限制: {{mem_limit_value}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','{\"container_id\":\"string:6\",\"mem_limit_value\":\"size:byte\",\"mem_usage_percent_avg\":\"percent:1\",\"mem_usage_value\":\"size:byte\"}','1.0','2021-05-28 11:55:06','2021-05-28 11:55:07',0),(5707,'注册中心实例内存使用率异常','micro_service','register_center_mem','ticket','alert','【注册中心实例内存使用率告警】\n','【注册中心实例内存使用率异常告警】\n\n组件: {{addon_type}}\n\n实例: {{pod_namespace}} - {{pod_name}}\n\n内存使用率: {{mem_usage_percent_avg}}\n\n内存使用: {{mem_usage_value}}\n\n内存限制: {{mem_limit_value}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','{\"container_id\":\"string:6\",\"mem_limit_value\":\"size:byte\",\"mem_usage_percent_avg\":\"percent:1\",\"mem_usage_value\":\"size:byte\"}','1.0','2021-05-28 11:55:06','2021-05-28 11:55:07',0),(5708,'注册中心实例内存使用率异常','micro_service','register_center_mem','email','alert','【注册中心实例内存使用率告警】\n','【注册中心实例内存使用率异常告警】\n\n组件: {{addon_type}}\n\n实例: {{pod_namespace}} - {{pod_name}}\n\n内存使用率: {{mem_usage_percent_avg}}\n\n内存使用: {{mem_usage_value}}\n\n内存限制: {{mem_limit_value}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','{\"container_id\":\"string:6\",\"mem_limit_value\":\"size:byte\",\"mem_usage_percent_avg\":\"percent:1\",\"mem_usage_value\":\"size:byte\"}','1.0','2021-05-28 11:55:06','2021-05-28 11:55:07',0),(5709,'注册中心实例内存使用率异常','micro_service','register_center_mem','mbox','alert','【注册中心实例内存使用率告警】\n','【注册中心实例内存使用率异常告警】\n\n组件: {{addon_type}}\n\n实例: {{pod_namespace}} - {{pod_name}}\n\n内存使用率: {{mem_usage_percent_avg}}\n\n内存使用: {{mem_usage_value}}\n\n内存限制: {{mem_limit_value}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','{\"container_id\":\"string:6\",\"mem_limit_value\":\"size:byte\",\"mem_usage_percent_avg\":\"percent:1\",\"mem_usage_value\":\"size:byte\"}','1.0','2021-05-28 11:55:06','2021-05-28 11:55:07',0),(5710,'注册中心实例内存使用率异常','micro_service','register_center_mem','webhook','alert','【注册中心实例内存使用率告警】\n','【注册中心实例内存使用率异常告警】\n\n组件: {{addon_type}}\n\n实例: {{pod_namespace}} - {{pod_name}}\n\n内存使用率: {{mem_usage_percent_avg}}\n\n内存使用: {{mem_usage_value}}\n\n内存限制: {{mem_limit_value}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','{\"container_id\":\"string:6\",\"mem_limit_value\":\"size:byte\",\"mem_usage_percent_avg\":\"percent:1\",\"mem_usage_value\":\"size:byte\"}','1.0','2021-05-28 11:55:06','2021-05-28 11:55:07',0),(5711,'服务熔断通知告警','micro_service','sidecar_circuit_breaker','dingding','alert','【{{application_name}}应用{{service_name}}服务发生熔断告警】\n','【服务熔断告警】\n\n服务发生熔断 !\n\n项目: {{project_name}}\n\n环境: {{workspace}}\n\n应用: {{application_name}}\n\n服务: {{runtime_name}} / {{service_name}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','','1.0','2021-05-28 11:55:06','2021-05-28 11:55:07',0),(5712,'服务熔断通知告警','micro_service','sidecar_circuit_breaker','ticket','alert','【{{application_name}}应用{{service_name}}服务发生熔断告警】\n','【服务熔断告警】\n\n服务发生熔断 !\n\n项目: {{project_name}}\n\n环境: {{workspace}}\n\n应用: {{application_name}}\n\n服务: {{runtime_name}} / {{service_name}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','','1.0','2021-05-28 11:55:06','2021-05-28 11:55:07',0),(5713,'服务熔断通知告警','micro_service','sidecar_circuit_breaker','email','alert','【{{application_name}}应用{{service_name}}服务发生熔断告警】\n','【服务熔断告警】\n\n服务发生熔断 !\n\n项目: {{project_name}}\n\n环境: {{workspace}}\n\n应用: {{application_name}}\n\n服务: {{runtime_name}} / {{service_name}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','','1.0','2021-05-28 11:55:06','2021-05-28 11:55:07',0),(5714,'服务熔断通知告警','micro_service','sidecar_circuit_breaker','mbox','alert','【{{application_name}}应用{{service_name}}服务发生熔断告警】\n','【服务熔断告警】\n\n服务发生熔断 !\n\n项目: {{project_name}}\n\n环境: {{workspace}}\n\n应用: {{application_name}}\n\n服务: {{runtime_name}} / {{service_name}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','','1.0','2021-05-28 11:55:06','2021-05-28 11:55:07',0),(5715,'服务熔断通知告警','micro_service','sidecar_circuit_breaker','webhook','alert','【{{application_name}}应用{{service_name}}服务发生熔断告警】\n','【服务熔断告警】\n\n服务发生熔断 !\n\n项目: {{project_name}}\n\n环境: {{workspace}}\n\n应用: {{application_name}}\n\n服务: {{runtime_name}} / {{service_name}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','','1.0','2021-05-28 11:55:06','2021-05-28 11:55:07',0),(5716,'ElasticSearch实例CPU使用率异常告警','addon','addon_elasticsearch_cpu','dingding','alert','【ElasticSearch实例CPU使用率告警】\n','【ElasticSearch实例CPU使用率异常告警】\n\n组件: {{addon_type}}\n\n实例: {{pod_namespace}} - {{pod_name}}\n\nCPU平均使用率: {{cpu_usage_percent_avg}}\n\nCPU限制: {{cpu_limit_value}}核\n\nCPU分配: {{cpu_allocation_value}}核\n\n集群 / 机器: {{cluster_name}} / {{host_ip}}\n\n容器ID: {{container_id}}\n\n机器: {{host_ip}}\n\n时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','{\"container_id\":\"string:6\",\"cpu_usage_percent_avg\":\"percent:1\",\"limit_value\":\"fraction:1\"}','1.0','2021-05-28 11:55:07','2021-05-28 11:55:07',0),(5717,'ElasticSearch实例CPU使用率异常告警','addon','addon_elasticsearch_cpu','ticket','alert','【ElasticSearch实例CPU使用率告警】\n','【ElasticSearch实例CPU使用率异常告警】\n\n组件: {{addon_type}}\n\n实例: {{pod_namespace}} - {{pod_name}}\n\nCPU平均使用率: {{cpu_usage_percent_avg}}\n\nCPU限制: {{cpu_limit_value}}核\n\nCPU分配: {{cpu_allocation_value}}核\n\n集群 / 机器: {{cluster_name}} / {{host_ip}}\n\n容器ID: {{container_id}}\n\n机器: {{host_ip}}\n\n时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','{\"container_id\":\"string:6\",\"cpu_usage_percent_avg\":\"percent:1\",\"limit_value\":\"fraction:1\"}','1.0','2021-05-28 11:55:07','2021-05-28 11:55:07',0),(5718,'ElasticSearch实例CPU使用率异常告警','addon','addon_elasticsearch_cpu','email','alert','【ElasticSearch实例CPU使用率告警】\n','【ElasticSearch实例CPU使用率异常告警】\n\n组件: {{addon_type}}\n\n实例: {{pod_namespace}} - {{pod_name}}\n\nCPU平均使用率: {{cpu_usage_percent_avg}}\n\nCPU限制: {{cpu_limit_value}}核\n\nCPU分配: {{cpu_allocation_value}}核\n\n集群 / 机器: {{cluster_name}} / {{host_ip}}\n\n容器ID: {{container_id}}\n\n机器: {{host_ip}}\n\n时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','{\"container_id\":\"string:6\",\"cpu_usage_percent_avg\":\"percent:1\",\"limit_value\":\"fraction:1\"}','1.0','2021-05-28 11:55:07','2021-05-28 11:55:07',0),(5719,'ElasticSearch实例CPU使用率异常告警','addon','addon_elasticsearch_cpu','mbox','alert','【ElasticSearch实例CPU使用率告警】\n','【ElasticSearch实例CPU使用率异常告警】\n\n组件: {{addon_type}}\n\n实例: {{pod_namespace}} - {{pod_name}}\n\nCPU平均使用率: {{cpu_usage_percent_avg}}\n\nCPU限制: {{cpu_limit_value}}核\n\nCPU分配: {{cpu_allocation_value}}核\n\n集群 / 机器: {{cluster_name}} / {{host_ip}}\n\n容器ID: {{container_id}}\n\n机器: {{host_ip}}\n\n时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','{\"container_id\":\"string:6\",\"cpu_usage_percent_avg\":\"percent:1\",\"limit_value\":\"fraction:1\"}','1.0','2021-05-28 11:55:07','2021-05-28 11:55:07',0),(5720,'ElasticSearch实例CPU使用率异常告警','addon','addon_elasticsearch_cpu','webhook','alert','【ElasticSearch实例CPU使用率告警】\n','【ElasticSearch实例CPU使用率异常告警】\n\n组件: {{addon_type}}\n\n实例: {{pod_namespace}} - {{pod_name}}\n\nCPU平均使用率: {{cpu_usage_percent_avg}}\n\nCPU限制: {{cpu_limit_value}}核\n\nCPU分配: {{cpu_allocation_value}}核\n\n集群 / 机器: {{cluster_name}} / {{host_ip}}\n\n容器ID: {{container_id}}\n\n机器: {{host_ip}}\n\n时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','{\"container_id\":\"string:6\",\"cpu_usage_percent_avg\":\"percent:1\",\"limit_value\":\"fraction:1\"}','1.0','2021-05-28 11:55:07','2021-05-28 11:55:07',0),(5721,'Elasticsearch实例内存使用率异常告警','addon','addon_elasticsearch_mem','dingding','alert','【Elasticsearch实例内存使用率告警】\n','【Elasticsearch实例内存使用率告警】\n\n组件: {{addon_type}}\n\n实例ID: {{addon_id}}\n\n实例: {{pod_namespace}} - {{pod_name}}\n\n平均使用率: {{mem_usage_percent_avg}}\n\n集群 / 机器: {{cluster_name}} / {{host_ip}}\n\n容器ID: {{container_id}}\n\n机器: {{host_ip}}\n\n时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','{\"container_id\":\"string:6\",\"mem_limit_value\":\"fraction:1\",\"mem_usage_percent_avg\":\"percent:1\"}','1.0','2021-05-28 11:55:07','2021-05-28 11:55:07',0),(5722,'Elasticsearch实例内存使用率异常告警','addon','addon_elasticsearch_mem','ticket','alert','【Elasticsearch实例内存使用率告警】\n','【Elasticsearch实例内存使用率告警】\n\n组件: {{addon_type}}\n\n实例ID: {{addon_id}}\n\n实例: {{pod_namespace}} - {{pod_name}}\n\n平均使用率: {{mem_usage_percent_avg}}\n\n集群 / 机器: {{cluster_name}} / {{host_ip}}\n\n容器ID: {{container_id}}\n\n机器: {{host_ip}}\n\n时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','{\"container_id\":\"string:6\",\"mem_limit_value\":\"fraction:1\",\"mem_usage_percent_avg\":\"percent:1\"}','1.0','2021-05-28 11:55:07','2021-05-28 11:55:07',0),(5723,'Elasticsearch实例内存使用率异常告警','addon','addon_elasticsearch_mem','email','alert','【Elasticsearch实例内存使用率告警】\n','【Elasticsearch实例内存使用率告警】\n\n组件: {{addon_type}}\n\n实例ID: {{addon_id}}\n\n实例: {{pod_namespace}} - {{pod_name}}\n\n平均使用率: {{mem_usage_percent_avg}}\n\n集群 / 机器: {{cluster_name}} / {{host_ip}}\n\n容器ID: {{container_id}}\n\n机器: {{host_ip}}\n\n时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','{\"container_id\":\"string:6\",\"mem_limit_value\":\"fraction:1\",\"mem_usage_percent_avg\":\"percent:1\"}','1.0','2021-05-28 11:55:07','2021-05-28 11:55:07',0),(5724,'Elasticsearch实例内存使用率异常告警','addon','addon_elasticsearch_mem','mbox','alert','【Elasticsearch实例内存使用率告警】\n','【Elasticsearch实例内存使用率告警】\n\n组件: {{addon_type}}\n\n实例ID: {{addon_id}}\n\n实例: {{pod_namespace}} - {{pod_name}}\n\n平均使用率: {{mem_usage_percent_avg}}\n\n集群 / 机器: {{cluster_name}} / {{host_ip}}\n\n容器ID: {{container_id}}\n\n机器: {{host_ip}}\n\n时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','{\"container_id\":\"string:6\",\"mem_limit_value\":\"fraction:1\",\"mem_usage_percent_avg\":\"percent:1\"}','1.0','2021-05-28 11:55:07','2021-05-28 11:55:07',0),(5725,'Elasticsearch实例内存使用率异常告警','addon','addon_elasticsearch_mem','webhook','alert','【Elasticsearch实例内存使用率告警】\n','【Elasticsearch实例内存使用率告警】\n\n组件: {{addon_type}}\n\n实例ID: {{addon_id}}\n\n实例: {{pod_namespace}} - {{pod_name}}\n\n平均使用率: {{mem_usage_percent_avg}}\n\n集群 / 机器: {{cluster_name}} / {{host_ip}}\n\n容器ID: {{container_id}}\n\n机器: {{host_ip}}\n\n时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','{\"container_id\":\"string:6\",\"mem_limit_value\":\"fraction:1\",\"mem_usage_percent_avg\":\"percent:1\"}','1.0','2021-05-28 11:55:07','2021-05-28 11:55:07',0),(5726,'MySQL实例CPU使用率异常告警','addon','addon_mysql_cpu','dingding','alert','【MySQL实例CPU使用率告警】\n','【MySQL实例CPU使用率异常告警】\n\n组件: {{addon_type}}\n\n实例: {{pod_namespace}} - {{pod_name}}\n\nCPU平均使用率: {{cpu_usage_percent_avg}}\n\nCPU限制: {{cpu_limit_value}}核\n\nCPU分配: {{cpu_allocation_value}}核\n\n集群 / 机器: {{cluster_name}} / {{host_ip}}\n\n容器ID: {{container_id}}\n\n机器: {{host_ip}}\n\n时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','{\"container_id\":\"string:6\",\"cpu_limit_value\":\"fraction:1\",\"cpu_usage_percent_avg\":\"percent:1\"}','1.0','2021-05-28 11:55:07','2021-05-28 11:55:07',0),(5727,'MySQL实例CPU使用率异常告警','addon','addon_mysql_cpu','ticket','alert','【MySQL实例CPU使用率告警】\n','【MySQL实例CPU使用率异常告警】\n\n组件: {{addon_type}}\n\n实例: {{pod_namespace}} - {{pod_name}}\n\nCPU平均使用率: {{cpu_usage_percent_avg}}\n\nCPU限制: {{cpu_limit_value}}核\n\nCPU分配: {{cpu_allocation_value}}核\n\n集群 / 机器: {{cluster_name}} / {{host_ip}}\n\n容器ID: {{container_id}}\n\n机器: {{host_ip}}\n\n时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','{\"container_id\":\"string:6\",\"cpu_limit_value\":\"fraction:1\",\"cpu_usage_percent_avg\":\"percent:1\"}','1.0','2021-05-28 11:55:07','2021-05-28 11:55:07',0),(5728,'MySQL实例CPU使用率异常告警','addon','addon_mysql_cpu','email','alert','【MySQL实例CPU使用率告警】\n','【MySQL实例CPU使用率异常告警】\n\n组件: {{addon_type}}\n\n实例: {{pod_namespace}} - {{pod_name}}\n\nCPU平均使用率: {{cpu_usage_percent_avg}}\n\nCPU限制: {{cpu_limit_value}}核\n\nCPU分配: {{cpu_allocation_value}}核\n\n集群 / 机器: {{cluster_name}} / {{host_ip}}\n\n容器ID: {{container_id}}\n\n机器: {{host_ip}}\n\n时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','{\"container_id\":\"string:6\",\"cpu_limit_value\":\"fraction:1\",\"cpu_usage_percent_avg\":\"percent:1\"}','1.0','2021-05-28 11:55:07','2021-05-28 11:55:07',0),(5729,'MySQL实例CPU使用率异常告警','addon','addon_mysql_cpu','mbox','alert','【MySQL实例CPU使用率告警】\n','【MySQL实例CPU使用率异常告警】\n\n组件: {{addon_type}}\n\n实例: {{pod_namespace}} - {{pod_name}}\n\nCPU平均使用率: {{cpu_usage_percent_avg}}\n\nCPU限制: {{cpu_limit_value}}核\n\nCPU分配: {{cpu_allocation_value}}核\n\n集群 / 机器: {{cluster_name}} / {{host_ip}}\n\n容器ID: {{container_id}}\n\n机器: {{host_ip}}\n\n时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','{\"container_id\":\"string:6\",\"cpu_limit_value\":\"fraction:1\",\"cpu_usage_percent_avg\":\"percent:1\"}','1.0','2021-05-28 11:55:07','2021-05-28 11:55:07',0),(5730,'MySQL实例CPU使用率异常告警','addon','addon_mysql_cpu','webhook','alert','【MySQL实例CPU使用率告警】\n','【MySQL实例CPU使用率异常告警】\n\n组件: {{addon_type}}\n\n实例: {{pod_namespace}} - {{pod_name}}\n\nCPU平均使用率: {{cpu_usage_percent_avg}}\n\nCPU限制: {{cpu_limit_value}}核\n\nCPU分配: {{cpu_allocation_value}}核\n\n集群 / 机器: {{cluster_name}} / {{host_ip}}\n\n容器ID: {{container_id}}\n\n机器: {{host_ip}}\n\n时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','{\"container_id\":\"string:6\",\"cpu_limit_value\":\"fraction:1\",\"cpu_usage_percent_avg\":\"percent:1\"}','1.0','2021-05-28 11:55:07','2021-05-28 11:55:07',0),(5731,'MySQL实例内存使用率异常告警','addon','addon_mysql_mem','dingding','alert','【MySQL实例内存使用率告警】\n','【MySQL实例内存使用率告警】\n\n组件: {{addon_type}}\n\n实例ID: {{addon_id}}\n\n实例: {{pod_namespace}} - {{pod_name}}\n\n平均使用率: {{mem_usage_percent_avg}}\n\n集群 / 机器: {{cluster_name}} / {{host_ip}}\n\n容器ID: {{container_id}}\n\n机器: {{host_ip}}\n\n时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','{\"container_id\":\"string:6\",\"mem_limit_value\":\"fraction:1\",\"mem_usage_percent_avg\":\"percent:1\"}','1.0','2021-05-28 11:55:07','2021-05-28 11:55:07',0),(5732,'MySQL实例内存使用率异常告警','addon','addon_mysql_mem','ticket','alert','【MySQL实例内存使用率告警】\n','【MySQL实例内存使用率告警】\n\n组件: {{addon_type}}\n\n实例ID: {{addon_id}}\n\n实例: {{pod_namespace}} - {{pod_name}}\n\n平均使用率: {{mem_usage_percent_avg}}\n\n集群 / 机器: {{cluster_name}} / {{host_ip}}\n\n容器ID: {{container_id}}\n\n机器: {{host_ip}}\n\n时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','{\"container_id\":\"string:6\",\"mem_limit_value\":\"fraction:1\",\"mem_usage_percent_avg\":\"percent:1\"}','1.0','2021-05-28 11:55:07','2021-05-28 11:55:07',0),(5733,'MySQL实例内存使用率异常告警','addon','addon_mysql_mem','email','alert','【MySQL实例内存使用率告警】\n','【MySQL实例内存使用率告警】\n\n组件: {{addon_type}}\n\n实例ID: {{addon_id}}\n\n实例: {{pod_namespace}} - {{pod_name}}\n\n平均使用率: {{mem_usage_percent_avg}}\n\n集群 / 机器: {{cluster_name}} / {{host_ip}}\n\n容器ID: {{container_id}}\n\n机器: {{host_ip}}\n\n时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','{\"container_id\":\"string:6\",\"mem_limit_value\":\"fraction:1\",\"mem_usage_percent_avg\":\"percent:1\"}','1.0','2021-05-28 11:55:07','2021-05-28 11:55:07',0),(5734,'MySQL实例内存使用率异常告警','addon','addon_mysql_mem','mbox','alert','【MySQL实例内存使用率告警】\n','【MySQL实例内存使用率告警】\n\n组件: {{addon_type}}\n\n实例ID: {{addon_id}}\n\n实例: {{pod_namespace}} - {{pod_name}}\n\n平均使用率: {{mem_usage_percent_avg}}\n\n集群 / 机器: {{cluster_name}} / {{host_ip}}\n\n容器ID: {{container_id}}\n\n机器: {{host_ip}}\n\n时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','{\"container_id\":\"string:6\",\"mem_limit_value\":\"fraction:1\",\"mem_usage_percent_avg\":\"percent:1\"}','1.0','2021-05-28 11:55:07','2021-05-28 11:55:07',0),(5735,'MySQL实例内存使用率异常告警','addon','addon_mysql_mem','webhook','alert','【MySQL实例内存使用率告警】\n','【MySQL实例内存使用率告警】\n\n组件: {{addon_type}}\n\n实例ID: {{addon_id}}\n\n实例: {{pod_namespace}} - {{pod_name}}\n\n平均使用率: {{mem_usage_percent_avg}}\n\n集群 / 机器: {{cluster_name}} / {{host_ip}}\n\n容器ID: {{container_id}}\n\n机器: {{host_ip}}\n\n时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','{\"container_id\":\"string:6\",\"mem_limit_value\":\"fraction:1\",\"mem_usage_percent_avg\":\"percent:1\"}','1.0','2021-05-28 11:55:07','2021-05-28 11:55:07',0),(5736,'MySQL实例主从同步异常告警','addon','addon_mysql_slave_status','dingding','alert','【MySQL实例主从同步异常】\n','【MySQL实例主从同步异常】\n\n组件: \"mysql\"\n\n实例ID: {{addon_id}}\n\n从节点IO异常状态: {{slave_slave_io_running_value}}\n\n从节点连接异常状态: {{slave_slave_sql_running_value}}\n\n集群 / 机器: {{cluster_name}} / {{host_ip}}\n\n机器: {{host_ip}}\n\n时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','{\"limit_value\":\"fraction:1\",\"usage_percent_avg\":\"percent:1\"}','1.0','2021-05-28 11:55:07','2021-05-28 11:55:07',0),(5737,'MySQL实例主从同步异常告警','addon','addon_mysql_slave_status','ticket','alert','【MySQL实例主从同步异常】\n','【MySQL实例主从同步异常】\n\n组件: \"mysql\"\n\n实例ID: {{addon_id}}\n\n从节点IO异常状态: {{slave_slave_io_running_value}}\n\n从节点连接异常状态: {{slave_slave_sql_running_value}}\n\n集群 / 机器: {{cluster_name}} / {{host_ip}}\n\n机器: {{host_ip}}\n\n时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','{\"limit_value\":\"fraction:1\",\"usage_percent_avg\":\"percent:1\"}','1.0','2021-05-28 11:55:07','2021-05-28 11:55:07',0),(5738,'MySQL实例主从同步异常告警','addon','addon_mysql_slave_status','email','alert','【MySQL实例主从同步异常】\n','【MySQL实例主从同步异常】\n\n组件: \"mysql\"\n\n实例ID: {{addon_id}}\n\n从节点IO异常状态: {{slave_slave_io_running_value}}\n\n从节点连接异常状态: {{slave_slave_sql_running_value}}\n\n集群 / 机器: {{cluster_name}} / {{host_ip}}\n\n机器: {{host_ip}}\n\n时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','{\"limit_value\":\"fraction:1\",\"usage_percent_avg\":\"percent:1\"}','1.0','2021-05-28 11:55:07','2021-05-28 11:55:07',0),(5739,'MySQL实例主从同步异常告警','addon','addon_mysql_slave_status','mbox','alert','【MySQL实例主从同步异常】\n','【MySQL实例主从同步异常】\n\n组件: \"mysql\"\n\n实例ID: {{addon_id}}\n\n从节点IO异常状态: {{slave_slave_io_running_value}}\n\n从节点连接异常状态: {{slave_slave_sql_running_value}}\n\n集群 / 机器: {{cluster_name}} / {{host_ip}}\n\n机器: {{host_ip}}\n\n时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','{\"limit_value\":\"fraction:1\",\"usage_percent_avg\":\"percent:1\"}','1.0','2021-05-28 11:55:07','2021-05-28 11:55:07',0),(5740,'MySQL实例主从同步异常告警','addon','addon_mysql_slave_status','webhook','alert','【MySQL实例主从同步异常】\n','【MySQL实例主从同步异常】\n\n组件: \"mysql\"\n\n实例ID: {{addon_id}}\n\n从节点IO异常状态: {{slave_slave_io_running_value}}\n\n从节点连接异常状态: {{slave_slave_sql_running_value}}\n\n集群 / 机器: {{cluster_name}} / {{host_ip}}\n\n机器: {{host_ip}}\n\n时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','{\"limit_value\":\"fraction:1\",\"usage_percent_avg\":\"percent:1\"}','1.0','2021-05-28 11:55:07','2021-05-28 11:55:07',0),(5741,'redis实例内存使用率异常告警','addon','addon_redis_mem','dingding','alert','【redis实例内存使用率异常告警】\n','【redis实例内存使用率异常告警】\n\n组件: {{addon_type}}\n\n实例ID: {{addon_id}}\n\n实例: {{pod_namespace}} - {{pod_name}}\n\n平均使用率: {{mem_usage_percent_avg}}\n\n集群 / 机器: {{cluster_name}} / {{host_ip}}\n\n容器ID: {{container_id}}\n\n机器: {{host_ip}}\n\n时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','{\"container_id\":\"string:6\",\"mem_limit_value\":\"fraction:1\",\"mem_usage_percent_avg\":\"percent:1\"}','1.0','2021-05-28 11:55:07','2021-05-28 11:55:07',0),(5742,'redis实例内存使用率异常告警','addon','addon_redis_mem','ticket','alert','【redis实例内存使用率异常告警】\n','【redis实例内存使用率异常告警】\n\n组件: {{addon_type}}\n\n实例ID: {{addon_id}}\n\n实例: {{pod_namespace}} - {{pod_name}}\n\n平均使用率: {{mem_usage_percent_avg}}\n\n集群 / 机器: {{cluster_name}} / {{host_ip}}\n\n容器ID: {{container_id}}\n\n机器: {{host_ip}}\n\n时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','{\"container_id\":\"string:6\",\"mem_limit_value\":\"fraction:1\",\"mem_usage_percent_avg\":\"percent:1\"}','1.0','2021-05-28 11:55:07','2021-05-28 11:55:07',0),(5743,'redis实例内存使用率异常告警','addon','addon_redis_mem','email','alert','【redis实例内存使用率异常告警】\n','【redis实例内存使用率异常告警】\n\n组件: {{addon_type}}\n\n实例ID: {{addon_id}}\n\n实例: {{pod_namespace}} - {{pod_name}}\n\n平均使用率: {{mem_usage_percent_avg}}\n\n集群 / 机器: {{cluster_name}} / {{host_ip}}\n\n容器ID: {{container_id}}\n\n机器: {{host_ip}}\n\n时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','{\"container_id\":\"string:6\",\"mem_limit_value\":\"fraction:1\",\"mem_usage_percent_avg\":\"percent:1\"}','1.0','2021-05-28 11:55:07','2021-05-28 11:55:07',0),(5744,'redis实例内存使用率异常告警','addon','addon_redis_mem','mbox','alert','【redis实例内存使用率异常告警】\n','【redis实例内存使用率异常告警】\n\n组件: {{addon_type}}\n\n实例ID: {{addon_id}}\n\n实例: {{pod_namespace}} - {{pod_name}}\n\n平均使用率: {{mem_usage_percent_avg}}\n\n集群 / 机器: {{cluster_name}} / {{host_ip}}\n\n容器ID: {{container_id}}\n\n机器: {{host_ip}}\n\n时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','{\"container_id\":\"string:6\",\"mem_limit_value\":\"fraction:1\",\"mem_usage_percent_avg\":\"percent:1\"}','1.0','2021-05-28 11:55:07','2021-05-28 11:55:07',0),(5745,'redis实例内存使用率异常告警','addon','addon_redis_mem','webhook','alert','【redis实例内存使用率异常告警】\n','【redis实例内存使用率异常告警】\n\n组件: {{addon_type}}\n\n实例ID: {{addon_id}}\n\n实例: {{pod_namespace}} - {{pod_name}}\n\n平均使用率: {{mem_usage_percent_avg}}\n\n集群 / 机器: {{cluster_name}} / {{host_ip}}\n\n容器ID: {{container_id}}\n\n机器: {{host_ip}}\n\n时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','{\"container_id\":\"string:6\",\"mem_limit_value\":\"fraction:1\",\"mem_usage_percent_avg\":\"percent:1\"}','1.0','2021-05-28 11:55:07','2021-05-28 11:55:07',0),(5746,'Ajax接口访问性能告警','app_browser','app_browser_ajax_req','dingding','alert','【Ajax接口 ({{req_path}}) 访问性能告警】\n','【Ajax接口访问性能告警】\n\n事件: {{req_path}} Ajax接口慢响应\n\n时间: {{timestamp}}\n\n域名: {{host}}\n\n平均响应时间: {{tt_avg}} ms\n\n[查看详情]({{display_url}})\n\n[查看记录]({{record_url}})','{\"tt\":\"time:s\"}','1.0','2021-05-28 11:55:07','2021-05-28 11:55:07',0),(5747,'Ajax接口访问性能告警','app_browser','app_browser_ajax_req','ticket','alert','【Ajax接口 ({{req_path}}) 访问性能告警】\n','【Ajax接口访问性能告警】\n\n事件: {{req_path}} Ajax接口慢响应\n\n时间: {{timestamp}}\n\n域名: {{host}}\n\n平均响应时间: {{tt_avg}} ms\n\n[查看详情]({{display_url}})\n\n[查看记录]({{record_url}})','{\"tt\":\"time:s\"}','1.0','2021-05-28 11:55:07','2021-05-28 11:55:07',0),(5748,'Ajax接口访问性能告警','app_browser','app_browser_ajax_req','email','alert','【Ajax接口 ({{req_path}}) 访问性能告警】\n','【Ajax接口访问性能告警】\n\n事件: {{req_path}} Ajax接口慢响应\n\n时间: {{timestamp}}\n\n域名: {{host}}\n\n平均响应时间: {{tt_avg}} ms\n\n[查看详情]({{display_url}})\n\n[查看记录]({{record_url}})','{\"tt\":\"time:s\"}','1.0','2021-05-28 11:55:07','2021-05-28 11:55:07',0),(5749,'Ajax接口访问性能告警','app_browser','app_browser_ajax_req','mbox','alert','【Ajax接口 ({{req_path}}) 访问性能告警】\n','【Ajax接口访问性能告警】\n\n事件: {{req_path}} Ajax接口慢响应\n\n时间: {{timestamp}}\n\n域名: {{host}}\n\n平均响应时间: {{tt_avg}} ms\n\n[查看详情]({{display_url}})\n\n[查看记录]({{record_url}})','{\"tt\":\"time:s\"}','1.0','2021-05-28 11:55:07','2021-05-28 11:55:07',0),(5750,'Ajax接口访问性能告警','app_browser','app_browser_ajax_req','webhook','alert','【Ajax接口 ({{req_path}}) 访问性能告警】\n','【Ajax接口访问性能告警】\n\n事件: {{req_path}} Ajax接口慢响应\n\n时间: {{timestamp}}\n\n域名: {{host}}\n\n平均响应时间: {{tt_avg}} ms\n\n[查看详情]({{display_url}})\n\n[查看记录]({{record_url}})','{\"tt\":\"time:s\"}','1.0','2021-05-28 11:55:07','2021-05-28 11:55:07',0),(5751,'用户体验告警','app_browser','app_browser_apdex','dingding','alert','【({{doc_path}}) 接口用户体验告警】\n','【用户体验告警】\n\n事件: 访问时间过长\n\n时间: {{timestamp}}\n\n域名: {{host}}\n\n页面: {{doc_path}}\n\n平均响应时间: {{plt_avg}} ms\n\n[查看详情]({{display_url}})\n\n[查看记录]({{record_url}})','{\"plt\":\"time:s\"}','1.0','2021-05-28 11:55:07','2021-05-28 11:55:07',0),(5752,'用户体验告警','app_browser','app_browser_apdex','ticket','alert','【({{doc_path}}) 接口用户体验告警】\n','【用户体验告警】\n\n事件: 访问时间过长\n\n时间: {{timestamp}}\n\n域名: {{host}}\n\n页面: {{doc_path}}\n\n平均响应时间: {{plt_avg}} ms\n\n[查看详情]({{display_url}})\n\n[查看记录]({{record_url}})','{\"plt\":\"time:s\"}','1.0','2021-05-28 11:55:07','2021-05-28 11:55:07',0),(5753,'用户体验告警','app_browser','app_browser_apdex','email','alert','【({{doc_path}}) 接口用户体验告警】\n','【用户体验告警】\n\n事件: 访问时间过长\n\n时间: {{timestamp}}\n\n域名: {{host}}\n\n页面: {{doc_path}}\n\n平均响应时间: {{plt_avg}} ms\n\n[查看详情]({{display_url}})\n\n[查看记录]({{record_url}})','{\"plt\":\"time:s\"}','1.0','2021-05-28 11:55:07','2021-05-28 11:55:07',0),(5754,'用户体验告警','app_browser','app_browser_apdex','mbox','alert','【({{doc_path}}) 接口用户体验告警】\n','【用户体验告警】\n\n事件: 访问时间过长\n\n时间: {{timestamp}}\n\n域名: {{host}}\n\n页面: {{doc_path}}\n\n平均响应时间: {{plt_avg}} ms\n\n[查看详情]({{display_url}})\n\n[查看记录]({{record_url}})','{\"plt\":\"time:s\"}','1.0','2021-05-28 11:55:07','2021-05-28 11:55:07',0),(5755,'用户体验告警','app_browser','app_browser_apdex','webhook','alert','【({{doc_path}}) 接口用户体验告警】\n','【用户体验告警】\n\n事件: 访问时间过长\n\n时间: {{timestamp}}\n\n域名: {{host}}\n\n页面: {{doc_path}}\n\n平均响应时间: {{plt_avg}} ms\n\n[查看详情]({{display_url}})\n\n[查看记录]({{record_url}})','{\"plt\":\"time:s\"}','1.0','2021-05-28 11:55:07','2021-05-28 11:55:07',0),(5756,'域名访问性能告警','app_browser','app_browser_host_req','dingding','alert','【({{host}}) 域名访问性能告警】\n','【域名访问性能告警】\n\n事件: ({{host}}) 域名慢响应\n\n时间: {{timestamp}}\n\n域名: {{host}}\n\n平均响应时间: {{plt_avg}} ms\n\n[查看详情]({{display_url}})\n\n[查看记录]({{record_url}})','{\"plt\":\"time:s\"}','1.0','2021-05-28 11:55:07','2021-05-28 11:55:07',0),(5757,'域名访问性能告警','app_browser','app_browser_host_req','ticket','alert','【({{host}}) 域名访问性能告警】\n','【域名访问性能告警】\n\n事件: ({{host}}) 域名慢响应\n\n时间: {{timestamp}}\n\n域名: {{host}}\n\n平均响应时间: {{plt_avg}} ms\n\n[查看详情]({{display_url}})\n\n[查看记录]({{record_url}})','{\"plt\":\"time:s\"}','1.0','2021-05-28 11:55:07','2021-05-28 11:55:07',0),(5758,'域名访问性能告警','app_browser','app_browser_host_req','email','alert','【({{host}}) 域名访问性能告警】\n','【域名访问性能告警】\n\n事件: ({{host}}) 域名慢响应\n\n时间: {{timestamp}}\n\n域名: {{host}}\n\n平均响应时间: {{plt_avg}} ms\n\n[查看详情]({{display_url}})\n\n[查看记录]({{record_url}})','{\"plt\":\"time:s\"}','1.0','2021-05-28 11:55:07','2021-05-28 11:55:07',0),(5759,'域名访问性能告警','app_browser','app_browser_host_req','mbox','alert','【({{host}}) 域名访问性能告警】\n','【域名访问性能告警】\n\n事件: ({{host}}) 域名慢响应\n\n时间: {{timestamp}}\n\n域名: {{host}}\n\n平均响应时间: {{plt_avg}} ms\n\n[查看详情]({{display_url}})\n\n[查看记录]({{record_url}})','{\"plt\":\"time:s\"}','1.0','2021-05-28 11:55:07','2021-05-28 11:55:07',0),(5760,'域名访问性能告警','app_browser','app_browser_host_req','webhook','alert','【({{host}}) 域名访问性能告警】\n','【域名访问性能告警】\n\n事件: ({{host}}) 域名慢响应\n\n时间: {{timestamp}}\n\n域名: {{host}}\n\n平均响应时间: {{plt_avg}} ms\n\n[查看详情]({{display_url}})\n\n[查看记录]({{record_url}})','{\"plt\":\"time:s\"}','1.0','2021-05-28 11:55:07','2021-05-28 11:55:07',0),(5761,'页面访问性能告警','app_browser','app_browser_page_req','dingding','alert','【页面 ({{doc_path}}) 访问性能告警】\n','【页面访问性能告警】\n\n事件: {{doc_path}} 页面慢响应\n\n域名: {{host}}\n\n页面: {{doc_path}}\n\n页面平均响应时间: {{plt_avg}} ms\n\n时间: {{timestamp}}\n\n[查看详情]({{display_url}})\n\n[查看记录]({{record_url}})','{\"plt\":\"time:s\"}','1.0','2021-05-28 11:55:07','2021-05-28 11:55:07',0),(5762,'页面访问性能告警','app_browser','app_browser_page_req','ticket','alert','【页面 ({{doc_path}}) 访问性能告警】\n','【页面访问性能告警】\n\n事件: {{doc_path}} 页面慢响应\n\n域名: {{host}}\n\n页面: {{doc_path}}\n\n页面平均响应时间: {{plt_avg}} ms\n\n时间: {{timestamp}}\n\n[查看详情]({{display_url}})\n\n[查看记录]({{record_url}})','{\"plt\":\"time:s\"}','1.0','2021-05-28 11:55:07','2021-05-28 11:55:07',0),(5763,'页面访问性能告警','app_browser','app_browser_page_req','email','alert','【页面 ({{doc_path}}) 访问性能告警】\n','【页面访问性能告警】\n\n事件: {{doc_path}} 页面慢响应\n\n域名: {{host}}\n\n页面: {{doc_path}}\n\n页面平均响应时间: {{plt_avg}} ms\n\n时间: {{timestamp}}\n\n[查看详情]({{display_url}})\n\n[查看记录]({{record_url}})','{\"plt\":\"time:s\"}','1.0','2021-05-28 11:55:07','2021-05-28 11:55:07',0),(5764,'页面访问性能告警','app_browser','app_browser_page_req','mbox','alert','【页面 ({{doc_path}}) 访问性能告警】\n','【页面访问性能告警】\n\n事件: {{doc_path}} 页面慢响应\n\n域名: {{host}}\n\n页面: {{doc_path}}\n\n页面平均响应时间: {{plt_avg}} ms\n\n时间: {{timestamp}}\n\n[查看详情]({{display_url}})\n\n[查看记录]({{record_url}})','{\"plt\":\"time:s\"}','1.0','2021-05-28 11:55:07','2021-05-28 11:55:07',0),(5765,'页面访问性能告警','app_browser','app_browser_page_req','webhook','alert','【页面 ({{doc_path}}) 访问性能告警】\n','【页面访问性能告警】\n\n事件: {{doc_path}} 页面慢响应\n\n域名: {{host}}\n\n页面: {{doc_path}}\n\n页面平均响应时间: {{plt_avg}} ms\n\n时间: {{timestamp}}\n\n[查看详情]({{display_url}})\n\n[查看记录]({{record_url}})','{\"plt\":\"time:s\"}','1.0','2021-05-28 11:55:07','2021-05-28 11:55:07',0),(5766,'脚本错误告警','app_browser','app_browser_script_error','dingding','alert','【页面 ({{doc_path}}) 脚本错误告警】','【脚本错误告警】\n\n事件: {{window}} 分钟内，脚本错误次数: {{count_sum}}\n\n访问域名：{{host}}\n\n访问页面：{{doc_path}}\n\n时间: {{timestamp}}\n\n[查看详情]({{display_url}})\n\n[查看记录]({{record_url}})\n','{\"count\":\"string\"}','1.0','2021-05-28 11:55:07','2021-05-28 11:55:07',0),(5767,'脚本错误告警','app_browser','app_browser_script_error','ticket','alert','【页面 ({{doc_path}}) 脚本错误告警】','【脚本错误告警】\n\n事件: {{window}} 分钟内，脚本错误次数: {{count_sum}}\n\n访问域名：{{host}}\n\n访问页面：{{doc_path}}\n\n时间: {{timestamp}}\n\n[查看详情]({{display_url}})\n\n[查看记录]({{record_url}})\n','{\"count\":\"string\"}','1.0','2021-05-28 11:55:07','2021-05-28 11:55:07',0),(5768,'脚本错误告警','app_browser','app_browser_script_error','email','alert','【页面 ({{doc_path}}) 脚本错误告警】','【脚本错误告警】\n\n事件: {{window}} 分钟内，脚本错误次数: {{count_sum}}\n\n访问域名：{{host}}\n\n访问页面：{{doc_path}}\n\n时间: {{timestamp}}\n\n[查看详情]({{display_url}})\n\n[查看记录]({{record_url}})\n','{\"count\":\"string\"}','1.0','2021-05-28 11:55:07','2021-05-28 11:55:07',0),(5769,'脚本错误告警','app_browser','app_browser_script_error','mbox','alert','【页面 ({{doc_path}}) 脚本错误告警】','【脚本错误告警】\n\n事件: {{window}} 分钟内，脚本错误次数: {{count_sum}}\n\n访问域名：{{host}}\n\n访问页面：{{doc_path}}\n\n时间: {{timestamp}}\n\n[查看详情]({{display_url}})\n\n[查看记录]({{record_url}})\n','{\"count\":\"string\"}','1.0','2021-05-28 11:55:07','2021-05-28 11:55:07',0),(5770,'脚本错误告警','app_browser','app_browser_script_error','webhook','alert','【页面 ({{doc_path}}) 脚本错误告警】','【脚本错误告警】\n\n事件: {{window}} 分钟内，脚本错误次数: {{count_sum}}\n\n访问域名：{{host}}\n\n访问页面：{{doc_path}}\n\n时间: {{timestamp}}\n\n[查看详情]({{display_url}})\n\n[查看记录]({{record_url}})\n','{\"count\":\"string\"}','1.0','2021-05-28 11:55:07','2021-05-28 11:55:07',0),(5771,'应用异常','app_exception','app_exception_count','dingding','alert','【{{application_name}}应用{{service_name}}服务异常告警】\n','【应用异常告警】\n\n项目: {{project_name}}\n\n应用: {{application_name}}\n\n服务: {{runtime_name}} - {{service_name}}\n\n实例: {{instance_id}}\n\n类: {{class}}\n\n方法: {{method}}\n\n行数: {{line}}\n\n错误: {{type}}\n\n事件: {{window}}分钟内出现 {{count_sum}} 次\n\n时间: {{timestamp}}\n\n[查看详情]({{display_url}})\n\n[查看记录]({{record_url}})\n','','1.0','2021-05-28 11:55:07','2021-05-28 11:55:07',0),(5772,'应用异常','app_exception','app_exception_count','ticket','alert','【{{application_name}}应用{{service_name}}服务异常告警】\n','【应用异常告警】\n\n项目: {{project_name}}\n\n应用: {{application_name}}\n\n服务: {{runtime_name}} - {{service_name}}\n\n实例: {{instance_id}}\n\n类: {{class}}\n\n方法: {{method}}\n\n行数: {{line}}\n\n错误: {{type}}\n\n事件: {{window}}分钟内出现 {{count_sum}} 次\n\n时间: {{timestamp}}\n\n[查看详情]({{display_url}})\n\n[查看记录]({{record_url}})\n','','1.0','2021-05-28 11:55:07','2021-05-28 11:55:07',0),(5773,'应用异常','app_exception','app_exception_count','email','alert','【{{application_name}}应用{{service_name}}服务异常告警】\n','【应用异常告警】\n\n项目: {{project_name}}\n\n应用: {{application_name}}\n\n服务: {{runtime_name}} - {{service_name}}\n\n实例: {{instance_id}}\n\n类: {{class}}\n\n方法: {{method}}\n\n行数: {{line}}\n\n错误: {{type}}\n\n事件: {{window}}分钟内出现 {{count_sum}} 次\n\n时间: {{timestamp}}\n\n[查看详情]({{display_url}})\n\n[查看记录]({{record_url}})\n','','1.0','2021-05-28 11:55:07','2021-05-28 11:55:07',0),(5774,'应用异常','app_exception','app_exception_count','mbox','alert','【{{application_name}}应用{{service_name}}服务异常告警】\n','【应用异常告警】\n\n项目: {{project_name}}\n\n应用: {{application_name}}\n\n服务: {{runtime_name}} - {{service_name}}\n\n实例: {{instance_id}}\n\n类: {{class}}\n\n方法: {{method}}\n\n行数: {{line}}\n\n错误: {{type}}\n\n事件: {{window}}分钟内出现 {{count_sum}} 次\n\n时间: {{timestamp}}\n\n[查看详情]({{display_url}})\n\n[查看记录]({{record_url}})\n','','1.0','2021-05-28 11:55:07','2021-05-28 11:55:07',0),(5775,'应用异常','app_exception','app_exception_count','webhook','alert','【{{application_name}}应用{{service_name}}服务异常告警】\n','【应用异常告警】\n\n项目: {{project_name}}\n\n应用: {{application_name}}\n\n服务: {{runtime_name}} - {{service_name}}\n\n实例: {{instance_id}}\n\n类: {{class}}\n\n方法: {{method}}\n\n行数: {{line}}\n\n错误: {{type}}\n\n事件: {{window}}分钟内出现 {{count_sum}} 次\n\n时间: {{timestamp}}\n\n[查看详情]({{display_url}})\n\n[查看记录]({{record_url}})\n','','1.0','2021-05-28 11:55:07','2021-05-28 11:55:07',0),(5776,'应用异常','app_exception','app_exception_count','dingding','recover','【{{application_name}}应用{{service_name}}服务异常恢复】\n','【应用异常恢复】\n\n项目: {{project_name}}\n\n应用: {{application_name}}\n\n服务: {{runtime_name}} - {{service_name}}\n\n实例: {{instance_id}}\n\n类: {{class}}\n\n方法: {{method}}\n\n行数: {{line}}\n\n错误: {{type}}\n\n持续时间: {{trigger_duration_min}}\n\n恢复时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','','1.0','2021-05-28 11:55:07','2021-05-28 11:55:07',0),(5777,'应用异常','app_exception','app_exception_count','ticket','recover','【{{application_name}}应用{{service_name}}服务异常恢复】\n','【应用异常恢复】\n\n项目: {{project_name}}\n\n应用: {{application_name}}\n\n服务: {{runtime_name}} - {{service_name}}\n\n实例: {{instance_id}}\n\n类: {{class}}\n\n方法: {{method}}\n\n行数: {{line}}\n\n错误: {{type}}\n\n持续时间: {{trigger_duration_min}}\n\n恢复时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','','1.0','2021-05-28 11:55:07','2021-05-28 11:55:07',0),(5778,'应用异常','app_exception','app_exception_count','email','recover','【{{application_name}}应用{{service_name}}服务异常恢复】\n','【应用异常恢复】\n\n项目: {{project_name}}\n\n应用: {{application_name}}\n\n服务: {{runtime_name}} - {{service_name}}\n\n实例: {{instance_id}}\n\n类: {{class}}\n\n方法: {{method}}\n\n行数: {{line}}\n\n错误: {{type}}\n\n持续时间: {{trigger_duration_min}}\n\n恢复时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','','1.0','2021-05-28 11:55:07','2021-05-28 11:55:07',0),(5779,'应用异常','app_exception','app_exception_count','mbox','recover','【{{application_name}}应用{{service_name}}服务异常恢复】\n','【应用异常恢复】\n\n项目: {{project_name}}\n\n应用: {{application_name}}\n\n服务: {{runtime_name}} - {{service_name}}\n\n实例: {{instance_id}}\n\n类: {{class}}\n\n方法: {{method}}\n\n行数: {{line}}\n\n错误: {{type}}\n\n持续时间: {{trigger_duration_min}}\n\n恢复时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','','1.0','2021-05-28 11:55:07','2021-05-28 11:55:07',0),(5780,'应用异常','app_exception','app_exception_count','webhook','recover','【{{application_name}}应用{{service_name}}服务异常恢复】\n','【应用异常恢复】\n\n项目: {{project_name}}\n\n应用: {{application_name}}\n\n服务: {{runtime_name}} - {{service_name}}\n\n实例: {{instance_id}}\n\n类: {{class}}\n\n方法: {{method}}\n\n行数: {{line}}\n\n错误: {{type}}\n\n持续时间: {{trigger_duration_min}}\n\n恢复时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','','1.0','2021-05-28 11:55:07','2021-05-28 11:55:07',0),(5781,'应用实例CPU使用率异常','app_resource','app_resource_container_cpu','dingding','alert','【{{application_name}}应用{{service_name}}服务实例CPU使用率告警】\n','【应用实例CPU使用率异常告警】\n\n项目: {{project_name}}\n\n应用: {{application_name}}\n\n服务实例: {{runtime_name}} - {{service_name}}.{{container_id}}\n\nCPU平均使用率: {{cpu_usage_percent_avg}}\n\nCPU限制: {{cpu_limit_value}}核\n\n机器: {{host_ip}}\n\n时间: {{timestamp}}\n\n[查看详情]({{display_url}})\n\n[查看记录]({{record_url}})\n','{\"container_id\":\"string:6\",\"cpu_limit_value\":\"fraction:1\",\"cpu_usage_percent_avg\":\"percent:1\"}','1.0','2021-05-28 11:55:07','2021-05-28 11:55:07',0),(5782,'应用实例CPU使用率异常','app_resource','app_resource_container_cpu','ticket','alert','【{{application_name}}应用{{service_name}}服务实例CPU使用率告警】\n','【应用实例CPU使用率异常告警】\n\n项目: {{project_name}}\n\n应用: {{application_name}}\n\n服务实例: {{runtime_name}} - {{service_name}}.{{container_id}}\n\nCPU平均使用率: {{cpu_usage_percent_avg}}\n\nCPU限制: {{cpu_limit_value}}核\n\n机器: {{host_ip}}\n\n时间: {{timestamp}}\n\n[查看详情]({{display_url}})\n\n[查看记录]({{record_url}})\n','{\"container_id\":\"string:6\",\"cpu_limit_value\":\"fraction:1\",\"cpu_usage_percent_avg\":\"percent:1\"}','1.0','2021-05-28 11:55:07','2021-05-28 11:55:07',0),(5783,'应用实例CPU使用率异常','app_resource','app_resource_container_cpu','email','alert','【{{application_name}}应用{{service_name}}服务实例CPU使用率告警】\n','【应用实例CPU使用率异常告警】\n\n项目: {{project_name}}\n\n应用: {{application_name}}\n\n服务实例: {{runtime_name}} - {{service_name}}.{{container_id}}\n\nCPU平均使用率: {{cpu_usage_percent_avg}}\n\nCPU限制: {{cpu_limit_value}}核\n\n机器: {{host_ip}}\n\n时间: {{timestamp}}\n\n[查看详情]({{display_url}})\n\n[查看记录]({{record_url}})\n','{\"container_id\":\"string:6\",\"cpu_limit_value\":\"fraction:1\",\"cpu_usage_percent_avg\":\"percent:1\"}','1.0','2021-05-28 11:55:07','2021-05-28 11:55:07',0),(5784,'应用实例CPU使用率异常','app_resource','app_resource_container_cpu','mbox','alert','【{{application_name}}应用{{service_name}}服务实例CPU使用率告警】\n','【应用实例CPU使用率异常告警】\n\n项目: {{project_name}}\n\n应用: {{application_name}}\n\n服务实例: {{runtime_name}} - {{service_name}}.{{container_id}}\n\nCPU平均使用率: {{cpu_usage_percent_avg}}\n\nCPU限制: {{cpu_limit_value}}核\n\n机器: {{host_ip}}\n\n时间: {{timestamp}}\n\n[查看详情]({{display_url}})\n\n[查看记录]({{record_url}})\n','{\"container_id\":\"string:6\",\"cpu_limit_value\":\"fraction:1\",\"cpu_usage_percent_avg\":\"percent:1\"}','1.0','2021-05-28 11:55:07','2021-05-28 11:55:07',0),(5785,'应用实例CPU使用率异常','app_resource','app_resource_container_cpu','webhook','alert','【{{application_name}}应用{{service_name}}服务实例CPU使用率告警】\n','【应用实例CPU使用率异常告警】\n\n项目: {{project_name}}\n\n应用: {{application_name}}\n\n服务实例: {{runtime_name}} - {{service_name}}.{{container_id}}\n\nCPU平均使用率: {{cpu_usage_percent_avg}}\n\nCPU限制: {{cpu_limit_value}}核\n\n机器: {{host_ip}}\n\n时间: {{timestamp}}\n\n[查看详情]({{display_url}})\n\n[查看记录]({{record_url}})\n','{\"container_id\":\"string:6\",\"cpu_limit_value\":\"fraction:1\",\"cpu_usage_percent_avg\":\"percent:1\"}','1.0','2021-05-28 11:55:07','2021-05-28 11:55:07',0),(5786,'应用实例CPU使用率恢复','app_resource','app_resource_container_cpu','dingding','recover','【{{application_name}}应用{{service_name}}服务实例CPU使用率恢复】\n','【应用实例CPU使用率恢复】\n\n项目: {{project_name}}\n\n应用: {{application_name}}\n\n服务实例: {{runtime_name}} - {{service_name}}.{{container_id}}\n\n平均使用率: {{cpu_usage_percent_avg}}\n\n机器: {{host_ip}}\n\n容器ID: {{container_id}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','{\"container_id\":\"string:6\",\"cpu_usage_percent_avg\":\"percent:1\",\"trigger_duration\":\"time:ms\"}','1.0','2021-05-28 11:55:07','2021-05-28 11:55:07',0),(5787,'应用实例CPU使用率恢复','app_resource','app_resource_container_cpu','ticket','recover','【{{application_name}}应用{{service_name}}服务实例CPU使用率恢复】\n','【应用实例CPU使用率恢复】\n\n项目: {{project_name}}\n\n应用: {{application_name}}\n\n服务实例: {{runtime_name}} - {{service_name}}.{{container_id}}\n\n平均使用率: {{cpu_usage_percent_avg}}\n\n机器: {{host_ip}}\n\n容器ID: {{container_id}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','{\"container_id\":\"string:6\",\"cpu_usage_percent_avg\":\"percent:1\",\"trigger_duration\":\"time:ms\"}','1.0','2021-05-28 11:55:07','2021-05-28 11:55:07',0),(5788,'应用实例CPU使用率恢复','app_resource','app_resource_container_cpu','email','recover','【{{application_name}}应用{{service_name}}服务实例CPU使用率恢复】\n','【应用实例CPU使用率恢复】\n\n项目: {{project_name}}\n\n应用: {{application_name}}\n\n服务实例: {{runtime_name}} - {{service_name}}.{{container_id}}\n\n平均使用率: {{cpu_usage_percent_avg}}\n\n机器: {{host_ip}}\n\n容器ID: {{container_id}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','{\"container_id\":\"string:6\",\"cpu_usage_percent_avg\":\"percent:1\",\"trigger_duration\":\"time:ms\"}','1.0','2021-05-28 11:55:07','2021-05-28 11:55:07',0),(5789,'应用实例CPU使用率恢复','app_resource','app_resource_container_cpu','mbox','recover','【{{application_name}}应用{{service_name}}服务实例CPU使用率恢复】\n','【应用实例CPU使用率恢复】\n\n项目: {{project_name}}\n\n应用: {{application_name}}\n\n服务实例: {{runtime_name}} - {{service_name}}.{{container_id}}\n\n平均使用率: {{cpu_usage_percent_avg}}\n\n机器: {{host_ip}}\n\n容器ID: {{container_id}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','{\"container_id\":\"string:6\",\"cpu_usage_percent_avg\":\"percent:1\",\"trigger_duration\":\"time:ms\"}','1.0','2021-05-28 11:55:07','2021-05-28 11:55:07',0),(5790,'应用实例CPU使用率恢复','app_resource','app_resource_container_cpu','webhook','recover','【{{application_name}}应用{{service_name}}服务实例CPU使用率恢复】\n','【应用实例CPU使用率恢复】\n\n项目: {{project_name}}\n\n应用: {{application_name}}\n\n服务实例: {{runtime_name}} - {{service_name}}.{{container_id}}\n\n平均使用率: {{cpu_usage_percent_avg}}\n\n机器: {{host_ip}}\n\n容器ID: {{container_id}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','{\"container_id\":\"string:6\",\"cpu_usage_percent_avg\":\"percent:1\",\"trigger_duration\":\"time:ms\"}','1.0','2021-05-28 11:55:07','2021-05-28 11:55:07',0),(5791,'应用实例内存使用率异常','app_resource','app_resource_container_mem','dingding','alert','【{{application_name}}应用{{service_name}}服务内存使用率异常告警】\n','【应用实例内存使用率异常告警】\n\n项目: {{project_name}}\n\n应用: {{application_name}}\n\n服务实例: {{runtime_name}} - {{service_name}}.{{container_id}}\n\n内存使用率: {{mem_usage_percent_avg}}\n\n内存使用: {{mem_usage_value}}\n\n内存限制: {{mem_limit_value}}\n\n机器: {{host_ip}}\n\n时间: {{timestamp}}\n\n[查看详情]({{display_url}})\n\n[查看记录]({{record_url}})\n','{\"container_id\":\"string:6\",\"mem_limit_value\":\"size:byte\",\"mem_usage_percent_avg\":\"percent:1\",\"mem_usage_value\":\"size:byte\"}','1.0','2021-05-28 11:55:07','2021-05-28 11:55:07',0),(5792,'应用实例内存使用率异常','app_resource','app_resource_container_mem','ticket','alert','【{{application_name}}应用{{service_name}}服务内存使用率异常告警】\n','【应用实例内存使用率异常告警】\n\n项目: {{project_name}}\n\n应用: {{application_name}}\n\n服务实例: {{runtime_name}} - {{service_name}}.{{container_id}}\n\n内存使用率: {{mem_usage_percent_avg}}\n\n内存使用: {{mem_usage_value}}\n\n内存限制: {{mem_limit_value}}\n\n机器: {{host_ip}}\n\n时间: {{timestamp}}\n\n[查看详情]({{display_url}})\n\n[查看记录]({{record_url}})\n','{\"container_id\":\"string:6\",\"mem_limit_value\":\"size:byte\",\"mem_usage_percent_avg\":\"percent:1\",\"mem_usage_value\":\"size:byte\"}','1.0','2021-05-28 11:55:07','2021-05-28 11:55:07',0),(5793,'应用实例内存使用率异常','app_resource','app_resource_container_mem','email','alert','【{{application_name}}应用{{service_name}}服务内存使用率异常告警】\n','【应用实例内存使用率异常告警】\n\n项目: {{project_name}}\n\n应用: {{application_name}}\n\n服务实例: {{runtime_name}} - {{service_name}}.{{container_id}}\n\n内存使用率: {{mem_usage_percent_avg}}\n\n内存使用: {{mem_usage_value}}\n\n内存限制: {{mem_limit_value}}\n\n机器: {{host_ip}}\n\n时间: {{timestamp}}\n\n[查看详情]({{display_url}})\n\n[查看记录]({{record_url}})\n','{\"container_id\":\"string:6\",\"mem_limit_value\":\"size:byte\",\"mem_usage_percent_avg\":\"percent:1\",\"mem_usage_value\":\"size:byte\"}','1.0','2021-05-28 11:55:07','2021-05-28 11:55:07',0),(5794,'应用实例内存使用率异常','app_resource','app_resource_container_mem','mbox','alert','【{{application_name}}应用{{service_name}}服务内存使用率异常告警】\n','【应用实例内存使用率异常告警】\n\n项目: {{project_name}}\n\n应用: {{application_name}}\n\n服务实例: {{runtime_name}} - {{service_name}}.{{container_id}}\n\n内存使用率: {{mem_usage_percent_avg}}\n\n内存使用: {{mem_usage_value}}\n\n内存限制: {{mem_limit_value}}\n\n机器: {{host_ip}}\n\n时间: {{timestamp}}\n\n[查看详情]({{display_url}})\n\n[查看记录]({{record_url}})\n','{\"container_id\":\"string:6\",\"mem_limit_value\":\"size:byte\",\"mem_usage_percent_avg\":\"percent:1\",\"mem_usage_value\":\"size:byte\"}','1.0','2021-05-28 11:55:07','2021-05-28 11:55:07',0),(5795,'应用实例内存使用率异常','app_resource','app_resource_container_mem','webhook','alert','【{{application_name}}应用{{service_name}}服务内存使用率异常告警】\n','【应用实例内存使用率异常告警】\n\n项目: {{project_name}}\n\n应用: {{application_name}}\n\n服务实例: {{runtime_name}} - {{service_name}}.{{container_id}}\n\n内存使用率: {{mem_usage_percent_avg}}\n\n内存使用: {{mem_usage_value}}\n\n内存限制: {{mem_limit_value}}\n\n机器: {{host_ip}}\n\n时间: {{timestamp}}\n\n[查看详情]({{display_url}})\n\n[查看记录]({{record_url}})\n','{\"container_id\":\"string:6\",\"mem_limit_value\":\"size:byte\",\"mem_usage_percent_avg\":\"percent:1\",\"mem_usage_value\":\"size:byte\"}','1.0','2021-05-28 11:55:07','2021-05-28 11:55:07',0),(5796,'应用实例内存异常','app_resource','app_resource_container_mem','dingding','recover','【{{application_name}}应用{{service_name}}服务内存使用率异常恢复】\n','【应用实例内存使用率异常恢复】\n\n项目: {{project_name}}\n\n应用: {{application_name}}\n\n服务实例: {{runtime_name}} - {{service_name}}.{{container_id}}\n\n内存使用率: {{mem_usage_percent_avg}}\n\n内存使用: {{mem_usage_value}}\n\n内存限制: {{mem_limit_value}}\n\n机器: {{host_ip}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','{\"container_id\":\"string:6\",\"mem_usage_percent_avg\":\"percent:1\",\"trigger_duration\":\"time:ms\"}','1.0','2021-05-28 11:55:07','2021-05-28 11:55:07',0),(5797,'应用实例内存异常','app_resource','app_resource_container_mem','ticket','recover','【{{application_name}}应用{{service_name}}服务内存使用率异常恢复】\n','【应用实例内存使用率异常恢复】\n\n项目: {{project_name}}\n\n应用: {{application_name}}\n\n服务实例: {{runtime_name}} - {{service_name}}.{{container_id}}\n\n内存使用率: {{mem_usage_percent_avg}}\n\n内存使用: {{mem_usage_value}}\n\n内存限制: {{mem_limit_value}}\n\n机器: {{host_ip}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','{\"container_id\":\"string:6\",\"mem_usage_percent_avg\":\"percent:1\",\"trigger_duration\":\"time:ms\"}','1.0','2021-05-28 11:55:07','2021-05-28 11:55:07',0),(5798,'应用实例内存异常','app_resource','app_resource_container_mem','email','recover','【{{application_name}}应用{{service_name}}服务内存使用率异常恢复】\n','【应用实例内存使用率异常恢复】\n\n项目: {{project_name}}\n\n应用: {{application_name}}\n\n服务实例: {{runtime_name}} - {{service_name}}.{{container_id}}\n\n内存使用率: {{mem_usage_percent_avg}}\n\n内存使用: {{mem_usage_value}}\n\n内存限制: {{mem_limit_value}}\n\n机器: {{host_ip}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','{\"container_id\":\"string:6\",\"mem_usage_percent_avg\":\"percent:1\",\"trigger_duration\":\"time:ms\"}','1.0','2021-05-28 11:55:07','2021-05-28 11:55:07',0),(5799,'应用实例内存异常','app_resource','app_resource_container_mem','mbox','recover','【{{application_name}}应用{{service_name}}服务内存使用率异常恢复】\n','【应用实例内存使用率异常恢复】\n\n项目: {{project_name}}\n\n应用: {{application_name}}\n\n服务实例: {{runtime_name}} - {{service_name}}.{{container_id}}\n\n内存使用率: {{mem_usage_percent_avg}}\n\n内存使用: {{mem_usage_value}}\n\n内存限制: {{mem_limit_value}}\n\n机器: {{host_ip}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','{\"container_id\":\"string:6\",\"mem_usage_percent_avg\":\"percent:1\",\"trigger_duration\":\"time:ms\"}','1.0','2021-05-28 11:55:07','2021-05-28 11:55:07',0),(5800,'应用实例内存异常','app_resource','app_resource_container_mem','webhook','recover','【{{application_name}}应用{{service_name}}服务内存使用率异常恢复】\n','【应用实例内存使用率异常恢复】\n\n项目: {{project_name}}\n\n应用: {{application_name}}\n\n服务实例: {{runtime_name}} - {{service_name}}.{{container_id}}\n\n内存使用率: {{mem_usage_percent_avg}}\n\n内存使用: {{mem_usage_value}}\n\n内存限制: {{mem_limit_value}}\n\n机器: {{host_ip}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','{\"container_id\":\"string:6\",\"mem_usage_percent_avg\":\"percent:1\",\"trigger_duration\":\"time:ms\"}','1.0','2021-05-28 11:55:07','2021-05-28 11:55:07',0),(5801,'应用实例OOM告警','app_resource','app_resource_container_oom','dingding','alert','【{{application_name}}应用{{service_name}}服务实例OOM告警】\n','【应用实例OOM告警】\n\n项目: {{project_name}}\n\n应用: {{application_name}}\n\n服务实例: {{runtime_name}} - {{service_name}}.{{container_id}}\n\n事件: 服务实例发生OOM\n\n机器: {{host_ip}}\n\n时间: {{timestamp}}\n\n[查看详情]({{display_url}})\n\n[查看记录]({{record_url}})\n','{\"container_id\":\"string:6\"}','1.0','2021-05-28 11:55:07','2021-05-28 11:55:07',0),(5802,'应用实例OOM告警','app_resource','app_resource_container_oom','ticket','alert','【{{application_name}}应用{{service_name}}服务实例OOM告警】\n','【应用实例OOM告警】\n\n项目: {{project_name}}\n\n应用: {{application_name}}\n\n服务实例: {{runtime_name}} - {{service_name}}.{{container_id}}\n\n事件: 服务实例发生OOM\n\n机器: {{host_ip}}\n\n时间: {{timestamp}}\n\n[查看详情]({{display_url}})\n\n[查看记录]({{record_url}})\n','{\"container_id\":\"string:6\"}','1.0','2021-05-28 11:55:07','2021-05-28 11:55:07',0),(5803,'应用实例OOM告警','app_resource','app_resource_container_oom','email','alert','【{{application_name}}应用{{service_name}}服务实例OOM告警】\n','【应用实例OOM告警】\n\n项目: {{project_name}}\n\n应用: {{application_name}}\n\n服务实例: {{runtime_name}} - {{service_name}}.{{container_id}}\n\n事件: 服务实例发生OOM\n\n机器: {{host_ip}}\n\n时间: {{timestamp}}\n\n[查看详情]({{display_url}})\n\n[查看记录]({{record_url}})\n','{\"container_id\":\"string:6\"}','1.0','2021-05-28 11:55:07','2021-05-28 11:55:07',0),(5804,'应用实例OOM告警','app_resource','app_resource_container_oom','mbox','alert','【{{application_name}}应用{{service_name}}服务实例OOM告警】\n','【应用实例OOM告警】\n\n项目: {{project_name}}\n\n应用: {{application_name}}\n\n服务实例: {{runtime_name}} - {{service_name}}.{{container_id}}\n\n事件: 服务实例发生OOM\n\n机器: {{host_ip}}\n\n时间: {{timestamp}}\n\n[查看详情]({{display_url}})\n\n[查看记录]({{record_url}})\n','{\"container_id\":\"string:6\"}','1.0','2021-05-28 11:55:07','2021-05-28 11:55:07',0),(5805,'应用实例OOM告警','app_resource','app_resource_container_oom','webhook','alert','【{{application_name}}应用{{service_name}}服务实例OOM告警】\n','【应用实例OOM告警】\n\n项目: {{project_name}}\n\n应用: {{application_name}}\n\n服务实例: {{runtime_name}} - {{service_name}}.{{container_id}}\n\n事件: 服务实例发生OOM\n\n机器: {{host_ip}}\n\n时间: {{timestamp}}\n\n[查看详情]({{display_url}})\n\n[查看记录]({{record_url}})\n','{\"container_id\":\"string:6\"}','1.0','2021-05-28 11:55:07','2021-05-28 11:55:07',0),(5806,'应用JVM GC次数异常','app_resource','app_resource_jvm_gc_count','dingding','alert','【{{application_name}}应用{{service_name}}服务JVM GC次数异常告警】\n','【应用JVM GC次数异常告警】\n\n实例GC次数太多 !\n\n项目: {{project_name}}\n\n应用: {{application_name}}\n\n服务: {{runtime_name}} / {{service_name}}\n\n老年代GC次数: {{count_sum}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n时间: {{timestamp}}\n\n[查看详情]({{display_url}})\n\n[查看记录]({{record_url}})\n','','1.0','2021-05-28 11:55:07','2021-05-28 11:55:07',0),(5807,'应用JVM GC次数异常','app_resource','app_resource_jvm_gc_count','ticket','alert','【{{application_name}}应用{{service_name}}服务JVM GC次数异常告警】\n','【应用JVM GC次数异常告警】\n\n实例GC次数太多 !\n\n项目: {{project_name}}\n\n应用: {{application_name}}\n\n服务: {{runtime_name}} / {{service_name}}\n\n老年代GC次数: {{count_sum}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n时间: {{timestamp}}\n\n[查看详情]({{display_url}})\n\n[查看记录]({{record_url}})\n','','1.0','2021-05-28 11:55:07','2021-05-28 11:55:07',0),(5808,'应用JVM GC次数异常','app_resource','app_resource_jvm_gc_count','email','alert','【{{application_name}}应用{{service_name}}服务JVM GC次数异常告警】\n','【应用JVM GC次数异常告警】\n\n实例GC次数太多 !\n\n项目: {{project_name}}\n\n应用: {{application_name}}\n\n服务: {{runtime_name}} / {{service_name}}\n\n老年代GC次数: {{count_sum}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n时间: {{timestamp}}\n\n[查看详情]({{display_url}})\n\n[查看记录]({{record_url}})\n','','1.0','2021-05-28 11:55:07','2021-05-28 11:55:07',0),(5809,'应用JVM GC次数异常','app_resource','app_resource_jvm_gc_count','mbox','alert','【{{application_name}}应用{{service_name}}服务JVM GC次数异常告警】\n','【应用JVM GC次数异常告警】\n\n实例GC次数太多 !\n\n项目: {{project_name}}\n\n应用: {{application_name}}\n\n服务: {{runtime_name}} / {{service_name}}\n\n老年代GC次数: {{count_sum}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n时间: {{timestamp}}\n\n[查看详情]({{display_url}})\n\n[查看记录]({{record_url}})\n','','1.0','2021-05-28 11:55:07','2021-05-28 11:55:07',0),(5810,'应用JVM GC次数异常','app_resource','app_resource_jvm_gc_count','webhook','alert','【{{application_name}}应用{{service_name}}服务JVM GC次数异常告警】\n','【应用JVM GC次数异常告警】\n\n实例GC次数太多 !\n\n项目: {{project_name}}\n\n应用: {{application_name}}\n\n服务: {{runtime_name}} / {{service_name}}\n\n老年代GC次数: {{count_sum}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n时间: {{timestamp}}\n\n[查看详情]({{display_url}})\n\n[查看记录]({{record_url}})\n','','1.0','2021-05-28 11:55:07','2021-05-28 11:55:07',0),(5811,'应用JVM GC次数异常','app_resource','app_resource_jvm_gc_count','dingding','recover','【{{application_name}}应用{{service_name}}服务JVM GC次数异常恢复】\n','【应用JVM GC次数异常恢复】\n\n实例GC次数已恢复正常值 .\n\n项目: {{project_name}}\n\n应用: {{application_name}}\n\n服务: {{runtime_name}} / {{service_name}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n持续时间: {{trigger_duration_min}}\n\n恢复时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','','1.0','2021-05-28 11:55:07','2021-05-28 11:55:07',0),(5812,'应用JVM GC次数异常','app_resource','app_resource_jvm_gc_count','ticket','recover','【{{application_name}}应用{{service_name}}服务JVM GC次数异常恢复】\n','【应用JVM GC次数异常恢复】\n\n实例GC次数已恢复正常值 .\n\n项目: {{project_name}}\n\n应用: {{application_name}}\n\n服务: {{runtime_name}} / {{service_name}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n持续时间: {{trigger_duration_min}}\n\n恢复时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','','1.0','2021-05-28 11:55:07','2021-05-28 11:55:07',0),(5813,'应用JVM GC次数异常','app_resource','app_resource_jvm_gc_count','email','recover','【{{application_name}}应用{{service_name}}服务JVM GC次数异常恢复】\n','【应用JVM GC次数异常恢复】\n\n实例GC次数已恢复正常值 .\n\n项目: {{project_name}}\n\n应用: {{application_name}}\n\n服务: {{runtime_name}} / {{service_name}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n持续时间: {{trigger_duration_min}}\n\n恢复时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','','1.0','2021-05-28 11:55:07','2021-05-28 11:55:07',0),(5814,'应用JVM GC次数异常','app_resource','app_resource_jvm_gc_count','mbox','recover','【{{application_name}}应用{{service_name}}服务JVM GC次数异常恢复】\n','【应用JVM GC次数异常恢复】\n\n实例GC次数已恢复正常值 .\n\n项目: {{project_name}}\n\n应用: {{application_name}}\n\n服务: {{runtime_name}} / {{service_name}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n持续时间: {{trigger_duration_min}}\n\n恢复时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','','1.0','2021-05-28 11:55:07','2021-05-28 11:55:07',0),(5815,'应用JVM GC次数异常','app_resource','app_resource_jvm_gc_count','webhook','recover','【{{application_name}}应用{{service_name}}服务JVM GC次数异常恢复】\n','【应用JVM GC次数异常恢复】\n\n实例GC次数已恢复正常值 .\n\n项目: {{project_name}}\n\n应用: {{application_name}}\n\n服务: {{runtime_name}} / {{service_name}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n持续时间: {{trigger_duration_min}}\n\n恢复时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','','1.0','2021-05-28 11:55:07','2021-05-28 11:55:07',0),(5816,'应用JVM GC耗时异常','app_resource','app_resource_jvm_gc_time','dingding','alert','【{{application_name}}应用{{service_name}}服务JVM GC耗时异常告警】\n','【应用JVM GC耗时异常告警】\n\n实例GC耗时过长 !\n\n项目: {{project_name}}\n\n应用: {{application_name}}\n\n服务: {{runtime_name}} / {{service_name}}\n\n老年代GC耗时: 总耗时{{time_sum}}，最长一次耗时{{time_value}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n时间: {{timestamp}}\n\n[查看详情]({{display_url}})\n\n[查看记录]({{record_url}})\n','{\"time_sum\":\"time:ms\",\"time_value\":\"time:ms\"}','1.0','2021-05-28 11:55:07','2021-05-28 11:55:07',0),(5817,'应用JVM GC耗时异常','app_resource','app_resource_jvm_gc_time','ticket','alert','【{{application_name}}应用{{service_name}}服务JVM GC耗时异常告警】\n','【应用JVM GC耗时异常告警】\n\n实例GC耗时过长 !\n\n项目: {{project_name}}\n\n应用: {{application_name}}\n\n服务: {{runtime_name}} / {{service_name}}\n\n老年代GC耗时: 总耗时{{time_sum}}，最长一次耗时{{time_value}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n时间: {{timestamp}}\n\n[查看详情]({{display_url}})\n\n[查看记录]({{record_url}})\n','{\"time_sum\":\"time:ms\",\"time_value\":\"time:ms\"}','1.0','2021-05-28 11:55:07','2021-05-28 11:55:07',0),(5818,'应用JVM GC耗时异常','app_resource','app_resource_jvm_gc_time','email','alert','【{{application_name}}应用{{service_name}}服务JVM GC耗时异常告警】\n','【应用JVM GC耗时异常告警】\n\n实例GC耗时过长 !\n\n项目: {{project_name}}\n\n应用: {{application_name}}\n\n服务: {{runtime_name}} / {{service_name}}\n\n老年代GC耗时: 总耗时{{time_sum}}，最长一次耗时{{time_value}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n时间: {{timestamp}}\n\n[查看详情]({{display_url}})\n\n[查看记录]({{record_url}})\n','{\"time_sum\":\"time:ms\",\"time_value\":\"time:ms\"}','1.0','2021-05-28 11:55:07','2021-05-28 11:55:07',0),(5819,'应用JVM GC耗时异常','app_resource','app_resource_jvm_gc_time','mbox','alert','【{{application_name}}应用{{service_name}}服务JVM GC耗时异常告警】\n','【应用JVM GC耗时异常告警】\n\n实例GC耗时过长 !\n\n项目: {{project_name}}\n\n应用: {{application_name}}\n\n服务: {{runtime_name}} / {{service_name}}\n\n老年代GC耗时: 总耗时{{time_sum}}，最长一次耗时{{time_value}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n时间: {{timestamp}}\n\n[查看详情]({{display_url}})\n\n[查看记录]({{record_url}})\n','{\"time_sum\":\"time:ms\",\"time_value\":\"time:ms\"}','1.0','2021-05-28 11:55:07','2021-05-28 11:55:07',0),(5820,'应用JVM GC耗时异常','app_resource','app_resource_jvm_gc_time','webhook','alert','【{{application_name}}应用{{service_name}}服务JVM GC耗时异常告警】\n','【应用JVM GC耗时异常告警】\n\n实例GC耗时过长 !\n\n项目: {{project_name}}\n\n应用: {{application_name}}\n\n服务: {{runtime_name}} / {{service_name}}\n\n老年代GC耗时: 总耗时{{time_sum}}，最长一次耗时{{time_value}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n时间: {{timestamp}}\n\n[查看详情]({{display_url}})\n\n[查看记录]({{record_url}})\n','{\"time_sum\":\"time:ms\",\"time_value\":\"time:ms\"}','1.0','2021-05-28 11:55:07','2021-05-28 11:55:07',0),(5821,'应用JVM GC耗时异常','app_resource','app_resource_jvm_gc_time','dingding','recover','【{{application_name}}应用{{service_name}}服务JVM GC耗时异常恢复】\n','【应用JVM GC耗时异常恢复】\n\n实例GC耗时已恢复正常值 .\n\n项目: {{project_name}}\n\n应用: {{application_name}}\n\n服务: {{runtime_name}} / {{service_name}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n持续时间: {{trigger_duration_min}}\n\n恢复时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','','1.0','2021-05-28 11:55:07','2021-05-28 11:55:07',0),(5822,'应用JVM GC耗时异常','app_resource','app_resource_jvm_gc_time','ticket','recover','【{{application_name}}应用{{service_name}}服务JVM GC耗时异常恢复】\n','【应用JVM GC耗时异常恢复】\n\n实例GC耗时已恢复正常值 .\n\n项目: {{project_name}}\n\n应用: {{application_name}}\n\n服务: {{runtime_name}} / {{service_name}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n持续时间: {{trigger_duration_min}}\n\n恢复时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','','1.0','2021-05-28 11:55:07','2021-05-28 11:55:07',0),(5823,'应用JVM GC耗时异常','app_resource','app_resource_jvm_gc_time','email','recover','【{{application_name}}应用{{service_name}}服务JVM GC耗时异常恢复】\n','【应用JVM GC耗时异常恢复】\n\n实例GC耗时已恢复正常值 .\n\n项目: {{project_name}}\n\n应用: {{application_name}}\n\n服务: {{runtime_name}} / {{service_name}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n持续时间: {{trigger_duration_min}}\n\n恢复时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','','1.0','2021-05-28 11:55:07','2021-05-28 11:55:07',0),(5824,'应用JVM GC耗时异常','app_resource','app_resource_jvm_gc_time','mbox','recover','【{{application_name}}应用{{service_name}}服务JVM GC耗时异常恢复】\n','【应用JVM GC耗时异常恢复】\n\n实例GC耗时已恢复正常值 .\n\n项目: {{project_name}}\n\n应用: {{application_name}}\n\n服务: {{runtime_name}} / {{service_name}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n持续时间: {{trigger_duration_min}}\n\n恢复时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','','1.0','2021-05-28 11:55:07','2021-05-28 11:55:07',0),(5825,'应用JVM GC耗时异常','app_resource','app_resource_jvm_gc_time','webhook','recover','【{{application_name}}应用{{service_name}}服务JVM GC耗时异常恢复】\n','【应用JVM GC耗时异常恢复】\n\n实例GC耗时已恢复正常值 .\n\n项目: {{project_name}}\n\n应用: {{application_name}}\n\n服务: {{runtime_name}} / {{service_name}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n持续时间: {{trigger_duration_min}}\n\n恢复时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','','1.0','2021-05-28 11:55:07','2021-05-28 11:55:07',0),(5826,'JVM堆内存使用异常告警','app_resource','app_resource_jvm_heap','dingding','alert','【{{application_name}}应用{{service_name}}服务JVM堆内存使用异常告警】','【JVM堆内存使用异常告警】\n\n实例JVM堆内存使用过高 ！\n\n项目: {{project_name}}\n\n应用: {{application_name}}\n\n服务: {{runtime_name}} / {{service_name}}\n\n实例: {{instance_id}}\n\n堆内存使用率: {{usage_percent_avg}}\n\n已使用: {{used_value}}\n\n最大使用: {{max_value}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n时间: {{timestamp}}\n\n[查看详情]({{display_url}})\n\n[查看记录]({{record_url}})\n','{\"max_value\":\"size:byte\",\"usage_percent_avg\":\"percent\",\"used_value\":\"size:byte\"}','1.0','2021-05-28 11:55:07','2021-05-28 11:55:07',0),(5827,'JVM堆内存使用异常告警','app_resource','app_resource_jvm_heap','ticket','alert','【{{application_name}}应用{{service_name}}服务JVM堆内存使用异常告警】','【JVM堆内存使用异常告警】\n\n实例JVM堆内存使用过高 ！\n\n项目: {{project_name}}\n\n应用: {{application_name}}\n\n服务: {{runtime_name}} / {{service_name}}\n\n实例: {{instance_id}}\n\n堆内存使用率: {{usage_percent_avg}}\n\n已使用: {{used_value}}\n\n最大使用: {{max_value}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n时间: {{timestamp}}\n\n[查看详情]({{display_url}})\n\n[查看记录]({{record_url}})\n','{\"max_value\":\"size:byte\",\"usage_percent_avg\":\"percent\",\"used_value\":\"size:byte\"}','1.0','2021-05-28 11:55:07','2021-05-28 11:55:07',0),(5828,'JVM堆内存使用异常告警','app_resource','app_resource_jvm_heap','email','alert','【{{application_name}}应用{{service_name}}服务JVM堆内存使用异常告警】','【JVM堆内存使用异常告警】\n\n实例JVM堆内存使用过高 ！\n\n项目: {{project_name}}\n\n应用: {{application_name}}\n\n服务: {{runtime_name}} / {{service_name}}\n\n实例: {{instance_id}}\n\n堆内存使用率: {{usage_percent_avg}}\n\n已使用: {{used_value}}\n\n最大使用: {{max_value}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n时间: {{timestamp}}\n\n[查看详情]({{display_url}})\n\n[查看记录]({{record_url}})\n','{\"max_value\":\"size:byte\",\"usage_percent_avg\":\"percent\",\"used_value\":\"size:byte\"}','1.0','2021-05-28 11:55:07','2021-05-28 11:55:07',0),(5829,'JVM堆内存使用异常告警','app_resource','app_resource_jvm_heap','mbox','alert','【{{application_name}}应用{{service_name}}服务JVM堆内存使用异常告警】','【JVM堆内存使用异常告警】\n\n实例JVM堆内存使用过高 ！\n\n项目: {{project_name}}\n\n应用: {{application_name}}\n\n服务: {{runtime_name}} / {{service_name}}\n\n实例: {{instance_id}}\n\n堆内存使用率: {{usage_percent_avg}}\n\n已使用: {{used_value}}\n\n最大使用: {{max_value}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n时间: {{timestamp}}\n\n[查看详情]({{display_url}})\n\n[查看记录]({{record_url}})\n','{\"max_value\":\"size:byte\",\"usage_percent_avg\":\"percent\",\"used_value\":\"size:byte\"}','1.0','2021-05-28 11:55:07','2021-05-28 11:55:07',0),(5830,'JVM堆内存使用异常告警','app_resource','app_resource_jvm_heap','webhook','alert','【{{application_name}}应用{{service_name}}服务JVM堆内存使用异常告警】','【JVM堆内存使用异常告警】\n\n实例JVM堆内存使用过高 ！\n\n项目: {{project_name}}\n\n应用: {{application_name}}\n\n服务: {{runtime_name}} / {{service_name}}\n\n实例: {{instance_id}}\n\n堆内存使用率: {{usage_percent_avg}}\n\n已使用: {{used_value}}\n\n最大使用: {{max_value}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n时间: {{timestamp}}\n\n[查看详情]({{display_url}})\n\n[查看记录]({{record_url}})\n','{\"max_value\":\"size:byte\",\"usage_percent_avg\":\"percent\",\"used_value\":\"size:byte\"}','1.0','2021-05-28 11:55:07','2021-05-28 11:55:07',0),(5831,'JVM堆内存使用异常恢复','app_resource','app_resource_jvm_heap','dingding','recover','【{{application_name}}应用{{service_name}}服务JVM堆内存使用异常恢复】','【JVM堆内存使用异常恢复】\n\n实例JVM堆内存已恢复恢复正常使用状态 .\n\n项目: {{project_name}}\n\n应用: {{application_name}}\n\n服务: {{runtime_name}} / {{service_name}}\n\n实例: {{instance_id}}\n\n堆内存使用率: {{usage_percent_avg}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n持续时间: {{trigger_duration_min}}\n\n恢复时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','{\"usage_percent_avg\":\"percent\"}','1.0','2021-05-28 11:55:07','2021-05-28 11:55:07',0),(5832,'JVM堆内存使用异常恢复','app_resource','app_resource_jvm_heap','ticket','recover','【{{application_name}}应用{{service_name}}服务JVM堆内存使用异常恢复】','【JVM堆内存使用异常恢复】\n\n实例JVM堆内存已恢复恢复正常使用状态 .\n\n项目: {{project_name}}\n\n应用: {{application_name}}\n\n服务: {{runtime_name}} / {{service_name}}\n\n实例: {{instance_id}}\n\n堆内存使用率: {{usage_percent_avg}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n持续时间: {{trigger_duration_min}}\n\n恢复时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','{\"usage_percent_avg\":\"percent\"}','1.0','2021-05-28 11:55:07','2021-05-28 11:55:07',0),(5833,'JVM堆内存使用异常恢复','app_resource','app_resource_jvm_heap','email','recover','【{{application_name}}应用{{service_name}}服务JVM堆内存使用异常恢复】','【JVM堆内存使用异常恢复】\n\n实例JVM堆内存已恢复恢复正常使用状态 .\n\n项目: {{project_name}}\n\n应用: {{application_name}}\n\n服务: {{runtime_name}} / {{service_name}}\n\n实例: {{instance_id}}\n\n堆内存使用率: {{usage_percent_avg}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n持续时间: {{trigger_duration_min}}\n\n恢复时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','{\"usage_percent_avg\":\"percent\"}','1.0','2021-05-28 11:55:07','2021-05-28 11:55:07',0),(5834,'JVM堆内存使用异常恢复','app_resource','app_resource_jvm_heap','mbox','recover','【{{application_name}}应用{{service_name}}服务JVM堆内存使用异常恢复】','【JVM堆内存使用异常恢复】\n\n实例JVM堆内存已恢复恢复正常使用状态 .\n\n项目: {{project_name}}\n\n应用: {{application_name}}\n\n服务: {{runtime_name}} / {{service_name}}\n\n实例: {{instance_id}}\n\n堆内存使用率: {{usage_percent_avg}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n持续时间: {{trigger_duration_min}}\n\n恢复时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','{\"usage_percent_avg\":\"percent\"}','1.0','2021-05-28 11:55:07','2021-05-28 11:55:07',0),(5835,'JVM堆内存使用异常恢复','app_resource','app_resource_jvm_heap','webhook','recover','【{{application_name}}应用{{service_name}}服务JVM堆内存使用异常恢复】','【JVM堆内存使用异常恢复】\n\n实例JVM堆内存已恢复恢复正常使用状态 .\n\n项目: {{project_name}}\n\n应用: {{application_name}}\n\n服务: {{runtime_name}} / {{service_name}}\n\n实例: {{instance_id}}\n\n堆内存使用率: {{usage_percent_avg}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n持续时间: {{trigger_duration_min}}\n\n恢复时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','{\"usage_percent_avg\":\"percent\"}','1.0','2021-05-28 11:55:07','2021-05-28 11:55:07',0),(5836,'应用NodeJS堆内存使用异常告警','app_resource','app_resource_nodejs_heap','dingding','alert','【{{application_name}}应用{{service_name}}服务NodeJS堆内存使用异常告警】','【应用NodeJS堆内存使用异常告警】\n\n实例NodeJS堆内存使用过高 ！\n\n项目: {{project_name}}\n\n应用: {{application_name}}\n\n服务: {{runtime_name}} / {{service_name}}\n\n实例: {{instance_id}}\n\n堆内存使用率: {{usage_percent_avg}}\n\n已使用: {{heap_used_value}}\n\n常驻内存: {{rss_value}}\n\n最大使用: {{max_value}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n时间: {{timestamp}}\n\n[查看详情]({{display_url}})\n\n[查看记录]({{record_url}})\n','{\"heap_used_value\":\"size:byte\",\"max_value\":\"size:byte\",\"rss_value\":\"size:byte\",\"usage_percent_avg\":\"percent\"}','1.0','2021-05-28 11:55:07','2021-05-28 11:55:07',0),(5837,'应用NodeJS堆内存使用异常告警','app_resource','app_resource_nodejs_heap','ticket','alert','【{{application_name}}应用{{service_name}}服务NodeJS堆内存使用异常告警】','【应用NodeJS堆内存使用异常告警】\n\n实例NodeJS堆内存使用过高 ！\n\n项目: {{project_name}}\n\n应用: {{application_name}}\n\n服务: {{runtime_name}} / {{service_name}}\n\n实例: {{instance_id}}\n\n堆内存使用率: {{usage_percent_avg}}\n\n已使用: {{heap_used_value}}\n\n常驻内存: {{rss_value}}\n\n最大使用: {{max_value}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n时间: {{timestamp}}\n\n[查看详情]({{display_url}})\n\n[查看记录]({{record_url}})\n','{\"heap_used_value\":\"size:byte\",\"max_value\":\"size:byte\",\"rss_value\":\"size:byte\",\"usage_percent_avg\":\"percent\"}','1.0','2021-05-28 11:55:07','2021-05-28 11:55:07',0),(5838,'应用NodeJS堆内存使用异常告警','app_resource','app_resource_nodejs_heap','email','alert','【{{application_name}}应用{{service_name}}服务NodeJS堆内存使用异常告警】','【应用NodeJS堆内存使用异常告警】\n\n实例NodeJS堆内存使用过高 ！\n\n项目: {{project_name}}\n\n应用: {{application_name}}\n\n服务: {{runtime_name}} / {{service_name}}\n\n实例: {{instance_id}}\n\n堆内存使用率: {{usage_percent_avg}}\n\n已使用: {{heap_used_value}}\n\n常驻内存: {{rss_value}}\n\n最大使用: {{max_value}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n时间: {{timestamp}}\n\n[查看详情]({{display_url}})\n\n[查看记录]({{record_url}})\n','{\"heap_used_value\":\"size:byte\",\"max_value\":\"size:byte\",\"rss_value\":\"size:byte\",\"usage_percent_avg\":\"percent\"}','1.0','2021-05-28 11:55:07','2021-05-28 11:55:07',0),(5839,'应用NodeJS堆内存使用异常告警','app_resource','app_resource_nodejs_heap','mbox','alert','【{{application_name}}应用{{service_name}}服务NodeJS堆内存使用异常告警】','【应用NodeJS堆内存使用异常告警】\n\n实例NodeJS堆内存使用过高 ！\n\n项目: {{project_name}}\n\n应用: {{application_name}}\n\n服务: {{runtime_name}} / {{service_name}}\n\n实例: {{instance_id}}\n\n堆内存使用率: {{usage_percent_avg}}\n\n已使用: {{heap_used_value}}\n\n常驻内存: {{rss_value}}\n\n最大使用: {{max_value}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n时间: {{timestamp}}\n\n[查看详情]({{display_url}})\n\n[查看记录]({{record_url}})\n','{\"heap_used_value\":\"size:byte\",\"max_value\":\"size:byte\",\"rss_value\":\"size:byte\",\"usage_percent_avg\":\"percent\"}','1.0','2021-05-28 11:55:07','2021-05-28 11:55:07',0),(5840,'应用NodeJS堆内存使用异常告警','app_resource','app_resource_nodejs_heap','webhook','alert','【{{application_name}}应用{{service_name}}服务NodeJS堆内存使用异常告警】','【应用NodeJS堆内存使用异常告警】\n\n实例NodeJS堆内存使用过高 ！\n\n项目: {{project_name}}\n\n应用: {{application_name}}\n\n服务: {{runtime_name}} / {{service_name}}\n\n实例: {{instance_id}}\n\n堆内存使用率: {{usage_percent_avg}}\n\n已使用: {{heap_used_value}}\n\n常驻内存: {{rss_value}}\n\n最大使用: {{max_value}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n时间: {{timestamp}}\n\n[查看详情]({{display_url}})\n\n[查看记录]({{record_url}})\n','{\"heap_used_value\":\"size:byte\",\"max_value\":\"size:byte\",\"rss_value\":\"size:byte\",\"usage_percent_avg\":\"percent\"}','1.0','2021-05-28 11:55:07','2021-05-28 11:55:07',0),(5841,'应用NodeJS堆内存使用异常恢复','app_resource','app_resource_nodejs_heap','dingding','recover','【{{application_name}}应用{{service_name}}服务NodeJS堆内存使用异常恢复】','【应用NodeJS堆内存使用异常恢复】\n\nNodeJS堆内存已恢复恢复正常状态 .\n\n项目: {{project_name}}\n\n应用: {{application_name}}\n\n服务: {{runtime_name}} / {{service_name}}\n\n实例: {{instance_id}}\n\n堆内存使用率: {{usage_percent_avg}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n持续时间: {{trigger_duration_min}}\n\n恢复时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','{\"usage_percent_avg\":\"percent\"}','1.0','2021-05-28 11:55:07','2021-05-28 11:55:07',0),(5842,'应用NodeJS堆内存使用异常恢复','app_resource','app_resource_nodejs_heap','ticket','recover','【{{application_name}}应用{{service_name}}服务NodeJS堆内存使用异常恢复】','【应用NodeJS堆内存使用异常恢复】\n\nNodeJS堆内存已恢复恢复正常状态 .\n\n项目: {{project_name}}\n\n应用: {{application_name}}\n\n服务: {{runtime_name}} / {{service_name}}\n\n实例: {{instance_id}}\n\n堆内存使用率: {{usage_percent_avg}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n持续时间: {{trigger_duration_min}}\n\n恢复时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','{\"usage_percent_avg\":\"percent\"}','1.0','2021-05-28 11:55:07','2021-05-28 11:55:07',0),(5843,'应用NodeJS堆内存使用异常恢复','app_resource','app_resource_nodejs_heap','email','recover','【{{application_name}}应用{{service_name}}服务NodeJS堆内存使用异常恢复】','【应用NodeJS堆内存使用异常恢复】\n\nNodeJS堆内存已恢复恢复正常状态 .\n\n项目: {{project_name}}\n\n应用: {{application_name}}\n\n服务: {{runtime_name}} / {{service_name}}\n\n实例: {{instance_id}}\n\n堆内存使用率: {{usage_percent_avg}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n持续时间: {{trigger_duration_min}}\n\n恢复时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','{\"usage_percent_avg\":\"percent\"}','1.0','2021-05-28 11:55:07','2021-05-28 11:55:07',0),(5844,'应用NodeJS堆内存使用异常恢复','app_resource','app_resource_nodejs_heap','mbox','recover','【{{application_name}}应用{{service_name}}服务NodeJS堆内存使用异常恢复】','【应用NodeJS堆内存使用异常恢复】\n\nNodeJS堆内存已恢复恢复正常状态 .\n\n项目: {{project_name}}\n\n应用: {{application_name}}\n\n服务: {{runtime_name}} / {{service_name}}\n\n实例: {{instance_id}}\n\n堆内存使用率: {{usage_percent_avg}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n持续时间: {{trigger_duration_min}}\n\n恢复时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','{\"usage_percent_avg\":\"percent\"}','1.0','2021-05-28 11:55:07','2021-05-28 11:55:07',0),(5845,'应用NodeJS堆内存使用异常恢复','app_resource','app_resource_nodejs_heap','webhook','recover','【{{application_name}}应用{{service_name}}服务NodeJS堆内存使用异常恢复】','【应用NodeJS堆内存使用异常恢复】\n\nNodeJS堆内存已恢复恢复正常状态 .\n\n项目: {{project_name}}\n\n应用: {{application_name}}\n\n服务: {{runtime_name}} / {{service_name}}\n\n实例: {{instance_id}}\n\n堆内存使用率: {{usage_percent_avg}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n持续时间: {{trigger_duration_min}}\n\n恢复时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','{\"usage_percent_avg\":\"percent\"}','1.0','2021-05-28 11:55:07','2021-05-28 11:55:07',0),(5846,' 页面内容改变','app_status','app_status_browser','dingding','alert','【{{project_name}}项目{{status_metric_name}}页面内容改变告警】\n','【页面内容改变告警】\n\n项目: {{project_name}}\n\n环境: {{workspace}}\n\n事件：[{{status_metric_name}}]({{url}})页面内容和基准点对比不一致\n\n时间: {{timestamp}}\n\n[查看详情]({{display_url}})\n\n[查看记录]({{record_url}})\n','','1.0','2021-05-28 11:55:07','2021-05-28 11:55:07',0),(5847,' 页面内容改变','app_status','app_status_browser','ticket','alert','【{{project_name}}项目{{status_metric_name}}页面内容改变告警】\n','【页面内容改变告警】\n\n项目: {{project_name}}\n\n环境: {{workspace}}\n\n事件：[{{status_metric_name}}]({{url}})页面内容和基准点对比不一致\n\n时间: {{timestamp}}\n\n[查看详情]({{display_url}})\n\n[查看记录]({{record_url}})\n','','1.0','2021-05-28 11:55:07','2021-05-28 11:55:07',0),(5848,' 页面内容改变','app_status','app_status_browser','email','alert','【{{project_name}}项目{{status_metric_name}}页面内容改变告警】\n','【页面内容改变告警】\n\n项目: {{project_name}}\n\n环境: {{workspace}}\n\n事件：[{{status_metric_name}}]({{url}})页面内容和基准点对比不一致\n\n时间: {{timestamp}}\n\n[查看详情]({{display_url}})\n\n[查看记录]({{record_url}})\n','','1.0','2021-05-28 11:55:07','2021-05-28 11:55:07',0),(5849,' 页面内容改变','app_status','app_status_browser','mbox','alert','【{{project_name}}项目{{status_metric_name}}页面内容改变告警】\n','【页面内容改变告警】\n\n项目: {{project_name}}\n\n环境: {{workspace}}\n\n事件：[{{status_metric_name}}]({{url}})页面内容和基准点对比不一致\n\n时间: {{timestamp}}\n\n[查看详情]({{display_url}})\n\n[查看记录]({{record_url}})\n','','1.0','2021-05-28 11:55:07','2021-05-28 11:55:07',0),(5850,' 页面内容改变','app_status','app_status_browser','webhook','alert','【{{project_name}}项目{{status_metric_name}}页面内容改变告警】\n','【页面内容改变告警】\n\n项目: {{project_name}}\n\n环境: {{workspace}}\n\n事件：[{{status_metric_name}}]({{url}})页面内容和基准点对比不一致\n\n时间: {{timestamp}}\n\n[查看详情]({{display_url}})\n\n[查看记录]({{record_url}})\n','','1.0','2021-05-28 11:55:07','2021-05-28 11:55:07',0),(5851,' 业务请求状态异常','app_status','app_status_browser','dingding','recover','【{{project_name}}项目{{status_metric_name}}页面内容改变恢复】\n','【页面内容改变恢复】\n\n[{{status_metric_name}}]({{url}}) 页面内容改变 .\n\n项目: {{project_name}}\n\n环境: {{workspace}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','{\"trigger_duration\":\"time:ms\"}','1.0','2021-05-28 11:55:07','2021-05-28 11:55:07',0),(5852,' 业务请求状态异常','app_status','app_status_browser','ticket','recover','【{{project_name}}项目{{status_metric_name}}页面内容改变恢复】\n','【页面内容改变恢复】\n\n[{{status_metric_name}}]({{url}}) 页面内容改变 .\n\n项目: {{project_name}}\n\n环境: {{workspace}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','{\"trigger_duration\":\"time:ms\"}','1.0','2021-05-28 11:55:07','2021-05-28 11:55:07',0),(5853,' 业务请求状态异常','app_status','app_status_browser','email','recover','【{{project_name}}项目{{status_metric_name}}页面内容改变恢复】\n','【页面内容改变恢复】\n\n[{{status_metric_name}}]({{url}}) 页面内容改变 .\n\n项目: {{project_name}}\n\n环境: {{workspace}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','{\"trigger_duration\":\"time:ms\"}','1.0','2021-05-28 11:55:07','2021-05-28 11:55:07',0),(5854,' 业务请求状态异常','app_status','app_status_browser','mbox','recover','【{{project_name}}项目{{status_metric_name}}页面内容改变恢复】\n','【页面内容改变恢复】\n\n[{{status_metric_name}}]({{url}}) 页面内容改变 .\n\n项目: {{project_name}}\n\n环境: {{workspace}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','{\"trigger_duration\":\"time:ms\"}','1.0','2021-05-28 11:55:07','2021-05-28 11:55:07',0),(5855,' 业务请求状态异常','app_status','app_status_browser','webhook','recover','【{{project_name}}项目{{status_metric_name}}页面内容改变恢复】\n','【页面内容改变恢复】\n\n[{{status_metric_name}}]({{url}}) 页面内容改变 .\n\n项目: {{project_name}}\n\n环境: {{workspace}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','{\"trigger_duration\":\"time:ms\"}','1.0','2021-05-28 11:55:07','2021-05-28 11:55:07',0),(5856,' 主动监控HTTP状态异常','app_status','app_status_code','dingding','alert','【{{project_name}}项目{{status_metric_name}}指标HTTP状态异常告警】\n','【主动监控HTTP状态异常】\n\n项目: {{project_name}}\n\n环境: {{workspace}}\n\n事件: [{{status_metric_name}}]({{url}}) 指标状态异常\n\n响应状态码: {{code_min}}\n\n时间: {{timestamp}}\n\n[查看详情]({{display_url}})\n\n[查看记录]({{record_url}})\n','','1.0','2021-05-28 11:55:07','2021-05-28 11:55:07',0),(5857,' 主动监控HTTP状态异常','app_status','app_status_code','ticket','alert','【{{project_name}}项目{{status_metric_name}}指标HTTP状态异常告警】\n','【主动监控HTTP状态异常】\n\n项目: {{project_name}}\n\n环境: {{workspace}}\n\n事件: [{{status_metric_name}}]({{url}}) 指标状态异常\n\n响应状态码: {{code_min}}\n\n时间: {{timestamp}}\n\n[查看详情]({{display_url}})\n\n[查看记录]({{record_url}})\n','','1.0','2021-05-28 11:55:07','2021-05-28 11:55:07',0),(5858,' 主动监控HTTP状态异常','app_status','app_status_code','email','alert','【{{project_name}}项目{{status_metric_name}}指标HTTP状态异常告警】\n','【主动监控HTTP状态异常】\n\n项目: {{project_name}}\n\n环境: {{workspace}}\n\n事件: [{{status_metric_name}}]({{url}}) 指标状态异常\n\n响应状态码: {{code_min}}\n\n时间: {{timestamp}}\n\n[查看详情]({{display_url}})\n\n[查看记录]({{record_url}})\n','','1.0','2021-05-28 11:55:07','2021-05-28 11:55:07',0),(5859,' 主动监控HTTP状态异常','app_status','app_status_code','mbox','alert','【{{project_name}}项目{{status_metric_name}}指标HTTP状态异常告警】\n','【主动监控HTTP状态异常】\n\n项目: {{project_name}}\n\n环境: {{workspace}}\n\n事件: [{{status_metric_name}}]({{url}}) 指标状态异常\n\n响应状态码: {{code_min}}\n\n时间: {{timestamp}}\n\n[查看详情]({{display_url}})\n\n[查看记录]({{record_url}})\n','','1.0','2021-05-28 11:55:07','2021-05-28 11:55:07',0),(5860,' 主动监控HTTP状态异常','app_status','app_status_code','webhook','alert','【{{project_name}}项目{{status_metric_name}}指标HTTP状态异常告警】\n','【主动监控HTTP状态异常】\n\n项目: {{project_name}}\n\n环境: {{workspace}}\n\n事件: [{{status_metric_name}}]({{url}}) 指标状态异常\n\n响应状态码: {{code_min}}\n\n时间: {{timestamp}}\n\n[查看详情]({{display_url}})\n\n[查看记录]({{record_url}})\n','','1.0','2021-05-28 11:55:07','2021-05-28 11:55:07',0),(5861,'主动监控HTTP状态恢复','app_status','app_status_code','dingding','recover','【{{project_name}}项目{{status_metric_name}}指标HTTP状态恢复】\n','【主动监控HTTP状态恢复】\n\n项目: {{project_name}}\n\n环境: {{workspace}}\n\n事件: [{{status_metric_name}}]({{url}}) 指标状态恢复\n\n响应状态码: {{code_min}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','{\"trigger_duration\":\"time:ms\"}','1.0','2021-05-28 11:55:07','2021-05-28 11:55:07',0),(5862,'主动监控HTTP状态恢复','app_status','app_status_code','ticket','recover','【{{project_name}}项目{{status_metric_name}}指标HTTP状态恢复】\n','【主动监控HTTP状态恢复】\n\n项目: {{project_name}}\n\n环境: {{workspace}}\n\n事件: [{{status_metric_name}}]({{url}}) 指标状态恢复\n\n响应状态码: {{code_min}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','{\"trigger_duration\":\"time:ms\"}','1.0','2021-05-28 11:55:07','2021-05-28 11:55:07',0),(5863,'主动监控HTTP状态恢复','app_status','app_status_code','email','recover','【{{project_name}}项目{{status_metric_name}}指标HTTP状态恢复】\n','【主动监控HTTP状态恢复】\n\n项目: {{project_name}}\n\n环境: {{workspace}}\n\n事件: [{{status_metric_name}}]({{url}}) 指标状态恢复\n\n响应状态码: {{code_min}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','{\"trigger_duration\":\"time:ms\"}','1.0','2021-05-28 11:55:07','2021-05-28 11:55:07',0),(5864,'主动监控HTTP状态恢复','app_status','app_status_code','mbox','recover','【{{project_name}}项目{{status_metric_name}}指标HTTP状态恢复】\n','【主动监控HTTP状态恢复】\n\n项目: {{project_name}}\n\n环境: {{workspace}}\n\n事件: [{{status_metric_name}}]({{url}}) 指标状态恢复\n\n响应状态码: {{code_min}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','{\"trigger_duration\":\"time:ms\"}','1.0','2021-05-28 11:55:07','2021-05-28 11:55:07',0),(5865,'主动监控HTTP状态恢复','app_status','app_status_code','webhook','recover','【{{project_name}}项目{{status_metric_name}}指标HTTP状态恢复】\n','【主动监控HTTP状态恢复】\n\n项目: {{project_name}}\n\n环境: {{workspace}}\n\n事件: [{{status_metric_name}}]({{url}}) 指标状态恢复\n\n响应状态码: {{code_min}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','{\"trigger_duration\":\"time:ms\"}','1.0','2021-05-28 11:55:07','2021-05-28 11:55:07',0),(5866,'服务接口HTTP错误率异常','app_transaction','app_transaction_http_path_error','dingding','alert','【{{service_name}}服务接口HTTP错误率异常告警】','【服务接口HTTP错误率异常告警】\n\n项目: {{project_name}}\n\n应用: {{application_name}}\n\n服务: {{runtime_name}} - {{service_name}}\n\n接口: {{http_method}} {{http_url}}\n\n事件: {{ window }}分钟内HTTP错误率{{ error_percent_value }} 错误请求次数{{ error_count_sum }} 总请求次数{{ elapsed_count_sum }}\n\n时间: {{timestamp}}\n\n[查看详情]({{display_url}})\n\n[查看记录]({{record_url}})\n','{\"error_percent_value\":\"percent\"}','1.0','2021-05-28 11:55:07','2021-05-28 11:55:07',0),(5867,'服务接口HTTP错误率异常','app_transaction','app_transaction_http_path_error','ticket','alert','【{{service_name}}服务接口HTTP错误率异常告警】','【服务接口HTTP错误率异常告警】\n\n项目: {{project_name}}\n\n应用: {{application_name}}\n\n服务: {{runtime_name}} - {{service_name}}\n\n接口: {{http_method}} {{http_url}}\n\n事件: {{ window }}分钟内HTTP错误率{{ error_percent_value }} 错误请求次数{{ error_count_sum }} 总请求次数{{ elapsed_count_sum }}\n\n时间: {{timestamp}}\n\n[查看详情]({{display_url}})\n\n[查看记录]({{record_url}})\n','{\"error_percent_value\":\"percent\"}','1.0','2021-05-28 11:55:07','2021-05-28 11:55:07',0),(5868,'服务接口HTTP错误率异常','app_transaction','app_transaction_http_path_error','email','alert','【{{service_name}}服务接口HTTP错误率异常告警】','【服务接口HTTP错误率异常告警】\n\n项目: {{project_name}}\n\n应用: {{application_name}}\n\n服务: {{runtime_name}} - {{service_name}}\n\n接口: {{http_method}} {{http_url}}\n\n事件: {{ window }}分钟内HTTP错误率{{ error_percent_value }} 错误请求次数{{ error_count_sum }} 总请求次数{{ elapsed_count_sum }}\n\n时间: {{timestamp}}\n\n[查看详情]({{display_url}})\n\n[查看记录]({{record_url}})\n','{\"error_percent_value\":\"percent\"}','1.0','2021-05-28 11:55:07','2021-05-28 11:55:07',0),(5869,'服务接口HTTP错误率异常','app_transaction','app_transaction_http_path_error','mbox','alert','【{{service_name}}服务接口HTTP错误率异常告警】','【服务接口HTTP错误率异常告警】\n\n项目: {{project_name}}\n\n应用: {{application_name}}\n\n服务: {{runtime_name}} - {{service_name}}\n\n接口: {{http_method}} {{http_url}}\n\n事件: {{ window }}分钟内HTTP错误率{{ error_percent_value }} 错误请求次数{{ error_count_sum }} 总请求次数{{ elapsed_count_sum }}\n\n时间: {{timestamp}}\n\n[查看详情]({{display_url}})\n\n[查看记录]({{record_url}})\n','{\"error_percent_value\":\"percent\"}','1.0','2021-05-28 11:55:07','2021-05-28 11:55:07',0),(5870,'服务接口HTTP错误率异常','app_transaction','app_transaction_http_path_error','webhook','alert','【{{service_name}}服务接口HTTP错误率异常告警】','【服务接口HTTP错误率异常告警】\n\n项目: {{project_name}}\n\n应用: {{application_name}}\n\n服务: {{runtime_name}} - {{service_name}}\n\n接口: {{http_method}} {{http_url}}\n\n事件: {{ window }}分钟内HTTP错误率{{ error_percent_value }} 错误请求次数{{ error_count_sum }} 总请求次数{{ elapsed_count_sum }}\n\n时间: {{timestamp}}\n\n[查看详情]({{display_url}})\n\n[查看记录]({{record_url}})\n','{\"error_percent_value\":\"percent\"}','1.0','2021-05-28 11:55:07','2021-05-28 11:55:07',0),(5871,'服务接口HTTP错误率恢复','app_transaction','app_transaction_http_path_error','dingding','recover','【{{service_name}}服务接口HTTP错误率异常恢复】','【服务接口HTTP错误率异常恢复】\n\n项目: {{project_name}}\n\n应用: {{application_name}}\n\n服务: {{runtime_name}} - {{service_name}}\n\n接口: {{http_method}} {{http_url}}\n\n持续时间: {{trigger_duration_min}}\n\n恢复时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','{\"trigger_duration\":\"time:ms\"}','1.0','2021-05-28 11:55:07','2021-05-28 11:55:07',0),(5872,'服务接口HTTP错误率恢复','app_transaction','app_transaction_http_path_error','ticket','recover','【{{service_name}}服务接口HTTP错误率异常恢复】','【服务接口HTTP错误率异常恢复】\n\n项目: {{project_name}}\n\n应用: {{application_name}}\n\n服务: {{runtime_name}} - {{service_name}}\n\n接口: {{http_method}} {{http_url}}\n\n持续时间: {{trigger_duration_min}}\n\n恢复时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','{\"trigger_duration\":\"time:ms\"}','1.0','2021-05-28 11:55:07','2021-05-28 11:55:07',0),(5873,'服务接口HTTP错误率恢复','app_transaction','app_transaction_http_path_error','email','recover','【{{service_name}}服务接口HTTP错误率异常恢复】','【服务接口HTTP错误率异常恢复】\n\n项目: {{project_name}}\n\n应用: {{application_name}}\n\n服务: {{runtime_name}} - {{service_name}}\n\n接口: {{http_method}} {{http_url}}\n\n持续时间: {{trigger_duration_min}}\n\n恢复时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','{\"trigger_duration\":\"time:ms\"}','1.0','2021-05-28 11:55:07','2021-05-28 11:55:07',0),(5874,'服务接口HTTP错误率恢复','app_transaction','app_transaction_http_path_error','mbox','recover','【{{service_name}}服务接口HTTP错误率异常恢复】','【服务接口HTTP错误率异常恢复】\n\n项目: {{project_name}}\n\n应用: {{application_name}}\n\n服务: {{runtime_name}} - {{service_name}}\n\n接口: {{http_method}} {{http_url}}\n\n持续时间: {{trigger_duration_min}}\n\n恢复时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','{\"trigger_duration\":\"time:ms\"}','1.0','2021-05-28 11:55:07','2021-05-28 11:55:07',0),(5875,'服务接口HTTP错误率恢复','app_transaction','app_transaction_http_path_error','webhook','recover','【{{service_name}}服务接口HTTP错误率异常恢复】','【服务接口HTTP错误率异常恢复】\n\n项目: {{project_name}}\n\n应用: {{application_name}}\n\n服务: {{runtime_name}} - {{service_name}}\n\n接口: {{http_method}} {{http_url}}\n\n持续时间: {{trigger_duration_min}}\n\n恢复时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','{\"trigger_duration\":\"time:ms\"}','1.0','2021-05-28 11:55:07','2021-05-28 11:55:07',0),(5876,'服务接口HTTP慢事务异常','app_transaction','app_transaction_http_path_rt','dingding','alert','【{{service_name}}服务接口HTTP慢事务异常告警】','【服务接口HTTP慢事务异常告警】\n\n项目: {{project_name}}\n\n应用: {{application_name}}\n\n服务: {{runtime_name}} - {{service_name}}\n\n接口: {{http_method}} {{http_url}}\n\n事件: {{window}}分钟内平均响应时间{{elapsed_avg_value}} 请求次数{{elapsed_count_sum}}\n\n时间: {{timestamp}}\n\n[查看详情]({{display_url}})\n\n[查看记录]({{record_url}})\n','{\"elapsed_avg_value\":\"time:ms\",\"elapsed_sum\":\"time:ms\"}','1.0','2021-05-28 11:55:07','2021-05-28 11:55:07',0),(5877,'服务接口HTTP慢事务异常','app_transaction','app_transaction_http_path_rt','ticket','alert','【{{service_name}}服务接口HTTP慢事务异常告警】','【服务接口HTTP慢事务异常告警】\n\n项目: {{project_name}}\n\n应用: {{application_name}}\n\n服务: {{runtime_name}} - {{service_name}}\n\n接口: {{http_method}} {{http_url}}\n\n事件: {{window}}分钟内平均响应时间{{elapsed_avg_value}} 请求次数{{elapsed_count_sum}}\n\n时间: {{timestamp}}\n\n[查看详情]({{display_url}})\n\n[查看记录]({{record_url}})\n','{\"elapsed_avg_value\":\"time:ms\",\"elapsed_sum\":\"time:ms\"}','1.0','2021-05-28 11:55:07','2021-05-28 11:55:07',0),(5878,'服务接口HTTP慢事务异常','app_transaction','app_transaction_http_path_rt','email','alert','【{{service_name}}服务接口HTTP慢事务异常告警】','【服务接口HTTP慢事务异常告警】\n\n项目: {{project_name}}\n\n应用: {{application_name}}\n\n服务: {{runtime_name}} - {{service_name}}\n\n接口: {{http_method}} {{http_url}}\n\n事件: {{window}}分钟内平均响应时间{{elapsed_avg_value}} 请求次数{{elapsed_count_sum}}\n\n时间: {{timestamp}}\n\n[查看详情]({{display_url}})\n\n[查看记录]({{record_url}})\n','{\"elapsed_avg_value\":\"time:ms\",\"elapsed_sum\":\"time:ms\"}','1.0','2021-05-28 11:55:07','2021-05-28 11:55:07',0),(5879,'服务接口HTTP慢事务异常','app_transaction','app_transaction_http_path_rt','mbox','alert','【{{service_name}}服务接口HTTP慢事务异常告警】','【服务接口HTTP慢事务异常告警】\n\n项目: {{project_name}}\n\n应用: {{application_name}}\n\n服务: {{runtime_name}} - {{service_name}}\n\n接口: {{http_method}} {{http_url}}\n\n事件: {{window}}分钟内平均响应时间{{elapsed_avg_value}} 请求次数{{elapsed_count_sum}}\n\n时间: {{timestamp}}\n\n[查看详情]({{display_url}})\n\n[查看记录]({{record_url}})\n','{\"elapsed_avg_value\":\"time:ms\",\"elapsed_sum\":\"time:ms\"}','1.0','2021-05-28 11:55:07','2021-05-28 11:55:07',0),(5880,'服务接口HTTP慢事务异常','app_transaction','app_transaction_http_path_rt','webhook','alert','【{{service_name}}服务接口HTTP慢事务异常告警】','【服务接口HTTP慢事务异常告警】\n\n项目: {{project_name}}\n\n应用: {{application_name}}\n\n服务: {{runtime_name}} - {{service_name}}\n\n接口: {{http_method}} {{http_url}}\n\n事件: {{window}}分钟内平均响应时间{{elapsed_avg_value}} 请求次数{{elapsed_count_sum}}\n\n时间: {{timestamp}}\n\n[查看详情]({{display_url}})\n\n[查看记录]({{record_url}})\n','{\"elapsed_avg_value\":\"time:ms\",\"elapsed_sum\":\"time:ms\"}','1.0','2021-05-28 11:55:07','2021-05-28 11:55:07',0),(5881,'服务接口HTTP慢事务恢复','app_transaction','app_transaction_http_path_rt','dingding','recover','【{{service_name}}服务接口HTTP慢事务恢复】','【服务接口HTTP慢事务恢复】\n\n项目: {{project_name}}\n\n应用: {{application_name}}\n\n服务: {{runtime_name}} - {{service_name}}\n\n接口: {{http_method}} {{http_url}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','{\"trigger_duration\":\"time:ms\"}','1.0','2021-05-28 11:55:07','2021-05-28 11:55:07',0),(5882,'服务接口HTTP慢事务恢复','app_transaction','app_transaction_http_path_rt','ticket','recover','【{{service_name}}服务接口HTTP慢事务恢复】','【服务接口HTTP慢事务恢复】\n\n项目: {{project_name}}\n\n应用: {{application_name}}\n\n服务: {{runtime_name}} - {{service_name}}\n\n接口: {{http_method}} {{http_url}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','{\"trigger_duration\":\"time:ms\"}','1.0','2021-05-28 11:55:07','2021-05-28 11:55:07',0),(5883,'服务接口HTTP慢事务恢复','app_transaction','app_transaction_http_path_rt','email','recover','【{{service_name}}服务接口HTTP慢事务恢复】','【服务接口HTTP慢事务恢复】\n\n项目: {{project_name}}\n\n应用: {{application_name}}\n\n服务: {{runtime_name}} - {{service_name}}\n\n接口: {{http_method}} {{http_url}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','{\"trigger_duration\":\"time:ms\"}','1.0','2021-05-28 11:55:07','2021-05-28 11:55:07',0),(5884,'服务接口HTTP慢事务恢复','app_transaction','app_transaction_http_path_rt','mbox','recover','【{{service_name}}服务接口HTTP慢事务恢复】','【服务接口HTTP慢事务恢复】\n\n项目: {{project_name}}\n\n应用: {{application_name}}\n\n服务: {{runtime_name}} - {{service_name}}\n\n接口: {{http_method}} {{http_url}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','{\"trigger_duration\":\"time:ms\"}','1.0','2021-05-28 11:55:07','2021-05-28 11:55:07',0),(5885,'服务接口HTTP慢事务恢复','app_transaction','app_transaction_http_path_rt','webhook','recover','【{{service_name}}服务接口HTTP慢事务恢复】','【服务接口HTTP慢事务恢复】\n\n项目: {{project_name}}\n\n应用: {{application_name}}\n\n服务: {{runtime_name}} - {{service_name}}\n\n接口: {{http_method}} {{http_url}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','{\"trigger_duration\":\"time:ms\"}','1.0','2021-05-28 11:55:07','2021-05-28 11:55:07',0),(5886,'服务HTTP错误率异常','app_transaction','app_transaction_http_service_error','dingding','alert','【{{service_name}}服务HTTP错误率异常告警】','【服务HTTP错误率异常告警】\n\n项目: {{project_name}}\n\n应用: {{application_name}}\n\n服务: {{runtime_name}} - {{service_name}}\n\n事件: {{ window }}分钟内HTTP错误率{{ error_percent_value }} 错误请求次数{{ error_count_sum }} 总请求次数{{ elapsed_count_sum }}\n\n时间: {{timestamp}}\n\n[查看详情]({{display_url}})\n\n[查看记录]({{record_url}})\n','{\"error_percent_value\":\"percent\"}','1.0','2021-05-28 11:55:07','2021-05-28 11:55:07',0),(5887,'服务HTTP错误率异常','app_transaction','app_transaction_http_service_error','ticket','alert','【{{service_name}}服务HTTP错误率异常告警】','【服务HTTP错误率异常告警】\n\n项目: {{project_name}}\n\n应用: {{application_name}}\n\n服务: {{runtime_name}} - {{service_name}}\n\n事件: {{ window }}分钟内HTTP错误率{{ error_percent_value }} 错误请求次数{{ error_count_sum }} 总请求次数{{ elapsed_count_sum }}\n\n时间: {{timestamp}}\n\n[查看详情]({{display_url}})\n\n[查看记录]({{record_url}})\n','{\"error_percent_value\":\"percent\"}','1.0','2021-05-28 11:55:07','2021-05-28 11:55:07',0),(5888,'服务HTTP错误率异常','app_transaction','app_transaction_http_service_error','email','alert','【{{service_name}}服务HTTP错误率异常告警】','【服务HTTP错误率异常告警】\n\n项目: {{project_name}}\n\n应用: {{application_name}}\n\n服务: {{runtime_name}} - {{service_name}}\n\n事件: {{ window }}分钟内HTTP错误率{{ error_percent_value }} 错误请求次数{{ error_count_sum }} 总请求次数{{ elapsed_count_sum }}\n\n时间: {{timestamp}}\n\n[查看详情]({{display_url}})\n\n[查看记录]({{record_url}})\n','{\"error_percent_value\":\"percent\"}','1.0','2021-05-28 11:55:07','2021-05-28 11:55:07',0),(5889,'服务HTTP错误率异常','app_transaction','app_transaction_http_service_error','mbox','alert','【{{service_name}}服务HTTP错误率异常告警】','【服务HTTP错误率异常告警】\n\n项目: {{project_name}}\n\n应用: {{application_name}}\n\n服务: {{runtime_name}} - {{service_name}}\n\n事件: {{ window }}分钟内HTTP错误率{{ error_percent_value }} 错误请求次数{{ error_count_sum }} 总请求次数{{ elapsed_count_sum }}\n\n时间: {{timestamp}}\n\n[查看详情]({{display_url}})\n\n[查看记录]({{record_url}})\n','{\"error_percent_value\":\"percent\"}','1.0','2021-05-28 11:55:07','2021-05-28 11:55:07',0),(5890,'服务HTTP错误率异常','app_transaction','app_transaction_http_service_error','webhook','alert','【{{service_name}}服务HTTP错误率异常告警】','【服务HTTP错误率异常告警】\n\n项目: {{project_name}}\n\n应用: {{application_name}}\n\n服务: {{runtime_name}} - {{service_name}}\n\n事件: {{ window }}分钟内HTTP错误率{{ error_percent_value }} 错误请求次数{{ error_count_sum }} 总请求次数{{ elapsed_count_sum }}\n\n时间: {{timestamp}}\n\n[查看详情]({{display_url}})\n\n[查看记录]({{record_url}})\n','{\"error_percent_value\":\"percent\"}','1.0','2021-05-28 11:55:07','2021-05-28 11:55:07',0),(5891,'服务HTTP错误率恢复','app_transaction','app_transaction_http_service_error','dingding','recover','【{{service_name}}服务HTTP错误率恢复】','【服务HTTP错误率异常恢复】\n\n项目: {{project_name}}\n\n应用: {{application_name}}\n\n服务: {{runtime_name}} - {{service_name}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','{\"trigger_duration\":\"time:ms\"}','1.0','2021-05-28 11:55:07','2021-05-28 11:55:07',0),(5892,'服务HTTP错误率恢复','app_transaction','app_transaction_http_service_error','ticket','recover','【{{service_name}}服务HTTP错误率恢复】','【服务HTTP错误率异常恢复】\n\n项目: {{project_name}}\n\n应用: {{application_name}}\n\n服务: {{runtime_name}} - {{service_name}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','{\"trigger_duration\":\"time:ms\"}','1.0','2021-05-28 11:55:07','2021-05-28 11:55:07',0),(5893,'服务HTTP错误率恢复','app_transaction','app_transaction_http_service_error','email','recover','【{{service_name}}服务HTTP错误率恢复】','【服务HTTP错误率异常恢复】\n\n项目: {{project_name}}\n\n应用: {{application_name}}\n\n服务: {{runtime_name}} - {{service_name}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','{\"trigger_duration\":\"time:ms\"}','1.0','2021-05-28 11:55:07','2021-05-28 11:55:07',0),(5894,'服务HTTP错误率恢复','app_transaction','app_transaction_http_service_error','mbox','recover','【{{service_name}}服务HTTP错误率恢复】','【服务HTTP错误率异常恢复】\n\n项目: {{project_name}}\n\n应用: {{application_name}}\n\n服务: {{runtime_name}} - {{service_name}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','{\"trigger_duration\":\"time:ms\"}','1.0','2021-05-28 11:55:07','2021-05-28 11:55:07',0),(5895,'服务HTTP错误率恢复','app_transaction','app_transaction_http_service_error','webhook','recover','【{{service_name}}服务HTTP错误率恢复】','【服务HTTP错误率异常恢复】\n\n项目: {{project_name}}\n\n应用: {{application_name}}\n\n服务: {{runtime_name}} - {{service_name}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','{\"trigger_duration\":\"time:ms\"}','1.0','2021-05-28 11:55:07','2021-05-28 11:55:07',0),(5896,'服务HTTP慢事务异常','app_transaction','app_transaction_http_service_rt','dingding','alert','【应用{{service_name}}服务HTTP慢事务异常告警】','【服务HTTP慢事务异常告警】\n\n项目: {{project_name}}\n\n应用: {{application_name}}\n\n服务: {{runtime_name}} - {{service_name}}\n\n事件: {{window}}分钟内HTTP事务平均响应时间{{elapsed_avg_value}} 请求次数{{elapsed_count_sum}}\n\n时间: {{timestamp}}\n\n[查看详情]({{display_url}})\n\n[查看记录]({{record_url}})\n','{\"elapsed_avg_value\":\"time:ms\",\"elapsed_sum\":\"time:ms\"}','1.0','2021-05-28 11:55:07','2021-05-28 11:55:07',0),(5897,'服务HTTP慢事务异常','app_transaction','app_transaction_http_service_rt','ticket','alert','【应用{{service_name}}服务HTTP慢事务异常告警】','【服务HTTP慢事务异常告警】\n\n项目: {{project_name}}\n\n应用: {{application_name}}\n\n服务: {{runtime_name}} - {{service_name}}\n\n事件: {{window}}分钟内HTTP事务平均响应时间{{elapsed_avg_value}} 请求次数{{elapsed_count_sum}}\n\n时间: {{timestamp}}\n\n[查看详情]({{display_url}})\n\n[查看记录]({{record_url}})\n','{\"elapsed_avg_value\":\"time:ms\",\"elapsed_sum\":\"time:ms\"}','1.0','2021-05-28 11:55:07','2021-05-28 11:55:07',0),(5898,'服务HTTP慢事务异常','app_transaction','app_transaction_http_service_rt','email','alert','【应用{{service_name}}服务HTTP慢事务异常告警】','【服务HTTP慢事务异常告警】\n\n项目: {{project_name}}\n\n应用: {{application_name}}\n\n服务: {{runtime_name}} - {{service_name}}\n\n事件: {{window}}分钟内HTTP事务平均响应时间{{elapsed_avg_value}} 请求次数{{elapsed_count_sum}}\n\n时间: {{timestamp}}\n\n[查看详情]({{display_url}})\n\n[查看记录]({{record_url}})\n','{\"elapsed_avg_value\":\"time:ms\",\"elapsed_sum\":\"time:ms\"}','1.0','2021-05-28 11:55:07','2021-05-28 11:55:07',0),(5899,'服务HTTP慢事务异常','app_transaction','app_transaction_http_service_rt','mbox','alert','【应用{{service_name}}服务HTTP慢事务异常告警】','【服务HTTP慢事务异常告警】\n\n项目: {{project_name}}\n\n应用: {{application_name}}\n\n服务: {{runtime_name}} - {{service_name}}\n\n事件: {{window}}分钟内HTTP事务平均响应时间{{elapsed_avg_value}} 请求次数{{elapsed_count_sum}}\n\n时间: {{timestamp}}\n\n[查看详情]({{display_url}})\n\n[查看记录]({{record_url}})\n','{\"elapsed_avg_value\":\"time:ms\",\"elapsed_sum\":\"time:ms\"}','1.0','2021-05-28 11:55:07','2021-05-28 11:55:07',0),(5900,'服务HTTP慢事务异常','app_transaction','app_transaction_http_service_rt','webhook','alert','【应用{{service_name}}服务HTTP慢事务异常告警】','【服务HTTP慢事务异常告警】\n\n项目: {{project_name}}\n\n应用: {{application_name}}\n\n服务: {{runtime_name}} - {{service_name}}\n\n事件: {{window}}分钟内HTTP事务平均响应时间{{elapsed_avg_value}} 请求次数{{elapsed_count_sum}}\n\n时间: {{timestamp}}\n\n[查看详情]({{display_url}})\n\n[查看记录]({{record_url}})\n','{\"elapsed_avg_value\":\"time:ms\",\"elapsed_sum\":\"time:ms\"}','1.0','2021-05-28 11:55:07','2021-05-28 11:55:07',0),(5901,'服务HTTP慢事务异常恢复','app_transaction','app_transaction_http_service_rt','dingding','recover','【应用{{service_name}}服务HTTP慢事务异常恢复】','【服务HTTP慢事务异常恢复】\n\n项目: {{project_name}}\n\n应用: {{application_name}}\n\n服务: {{runtime_name}} - {{service_name}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','{\"trigger_duration\":\"time:ms\"}','1.0','2021-05-28 11:55:07','2021-05-28 11:55:07',0),(5902,'服务HTTP慢事务异常恢复','app_transaction','app_transaction_http_service_rt','ticket','recover','【应用{{service_name}}服务HTTP慢事务异常恢复】','【服务HTTP慢事务异常恢复】\n\n项目: {{project_name}}\n\n应用: {{application_name}}\n\n服务: {{runtime_name}} - {{service_name}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','{\"trigger_duration\":\"time:ms\"}','1.0','2021-05-28 11:55:07','2021-05-28 11:55:07',0),(5903,'服务HTTP慢事务异常恢复','app_transaction','app_transaction_http_service_rt','email','recover','【应用{{service_name}}服务HTTP慢事务异常恢复】','【服务HTTP慢事务异常恢复】\n\n项目: {{project_name}}\n\n应用: {{application_name}}\n\n服务: {{runtime_name}} - {{service_name}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','{\"trigger_duration\":\"time:ms\"}','1.0','2021-05-28 11:55:07','2021-05-28 11:55:07',0),(5904,'服务HTTP慢事务异常恢复','app_transaction','app_transaction_http_service_rt','mbox','recover','【应用{{service_name}}服务HTTP慢事务异常恢复】','【服务HTTP慢事务异常恢复】\n\n项目: {{project_name}}\n\n应用: {{application_name}}\n\n服务: {{runtime_name}} - {{service_name}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','{\"trigger_duration\":\"time:ms\"}','1.0','2021-05-28 11:55:07','2021-05-28 11:55:07',0),(5905,'服务HTTP慢事务异常恢复','app_transaction','app_transaction_http_service_rt','webhook','recover','【应用{{service_name}}服务HTTP慢事务异常恢复】','【服务HTTP慢事务异常恢复】\n\n项目: {{project_name}}\n\n应用: {{application_name}}\n\n服务: {{runtime_name}} - {{service_name}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','{\"trigger_duration\":\"time:ms\"}','1.0','2021-05-28 11:55:07','2021-05-28 11:55:07',0),(5906,'MySQL SLAVE DELAY ALERT','custom_addon','slave_dly_alert','dingding','alert','【MySQL {{window}}M 聚合时间内 SLAVE 延迟 {{slave_seconds_behind_master_max}}s】\n','【MySQL {{window}}M 聚合时间内 SLAVE 延迟 {{slave_seconds_behind_master_max}}s】\n\n集群: {{cluster_name}}\n\nmysql: {{server_id}}\n\n延迟时间： {{slave_seconds_behind_master_max}}\n\n时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','{\"limit_value\":\"fraction:1\",\"usage_percent_avg\":\"percent:1\"}','1.0','2021-05-28 11:55:07','2021-05-28 11:55:07',0),(5907,'MySQL SLAVE SYNC ALERT','custom_addon','slave_sync_alert','dingding','alert','【MySQL SLAVE 同步异常】\n','【MySQL SLAVE 同步异常】\n\n集群: {{cluster_name}}\n\nmysql: {{server_id}}\n\nSlave_IO_Running: {{slave_slave_io_running_value}}\n\nSlave_SQL_Running: {{slave_slave_sql_running_value}}\n\n时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','{\"limit_value\":\"fraction:1\",\"usage_percent_avg\":\"percent:1\"}','1.0','2021-05-28 11:55:07','2021-05-28 11:55:07',0),(5908,'平台中间件cassandra GC次数异常','dice_addon','dice_addon_cassandra_gc_count','dingding','alert','【平台中间件cassandra GC次数告警】\n','【平台中间件cassandra GC次数告警】\n\n中间件: {{addon_id}}\n\n老年代GC次数: {{CollectionCount_win_value}}\n\n集群: {{cluster_name}}\n\n机器: {{node_host}}\n\n时间: {{timestamp}}\n\n[查看详情]({{display_url}})\n\n[查看记录]({{record_url}})\n','','1.0','2021-05-28 11:55:07','2021-05-28 11:55:07',0),(5909,'平台中间件cassandra GC次数异常','dice_addon','dice_addon_cassandra_gc_count','ticket','alert','【平台中间件cassandra GC次数告警】\n','【平台中间件cassandra GC次数告警】\n\n中间件: {{addon_id}}\n\n老年代GC次数: {{CollectionCount_win_value}}\n\n集群: {{cluster_name}}\n\n机器: {{node_host}}\n\n时间: {{timestamp}}\n\n[查看详情]({{display_url}})\n\n[查看记录]({{record_url}})\n','','1.0','2021-05-28 11:55:07','2021-05-28 11:55:07',0),(5910,'平台中间件cassandra GC次数异常','dice_addon','dice_addon_cassandra_gc_count','email','alert','【平台中间件cassandra GC次数告警】\n','【平台中间件cassandra GC次数告警】\n\n中间件: {{addon_id}}\n\n老年代GC次数: {{CollectionCount_win_value}}\n\n集群: {{cluster_name}}\n\n机器: {{node_host}}\n\n时间: {{timestamp}}\n\n[查看详情]({{display_url}})\n\n[查看记录]({{record_url}})\n','','1.0','2021-05-28 11:55:07','2021-05-28 11:55:07',0),(5911,'平台中间件cassandra GC次数异常','dice_addon','dice_addon_cassandra_gc_count','mbox','alert','【平台中间件cassandra GC次数告警】\n','【平台中间件cassandra GC次数告警】\n\n中间件: {{addon_id}}\n\n老年代GC次数: {{CollectionCount_win_value}}\n\n集群: {{cluster_name}}\n\n机器: {{node_host}}\n\n时间: {{timestamp}}\n\n[查看详情]({{display_url}})\n\n[查看记录]({{record_url}})\n','','1.0','2021-05-28 11:55:07','2021-05-28 11:55:07',0),(5912,'平台中间件cassandra GC次数异常','dice_addon','dice_addon_cassandra_gc_count','webhook','alert','【平台中间件cassandra GC次数告警】\n','【平台中间件cassandra GC次数告警】\n\n中间件: {{addon_id}}\n\n老年代GC次数: {{CollectionCount_win_value}}\n\n集群: {{cluster_name}}\n\n机器: {{node_host}}\n\n时间: {{timestamp}}\n\n[查看详情]({{display_url}})\n\n[查看记录]({{record_url}})\n','','1.0','2021-05-28 11:55:07','2021-05-28 11:55:07',0),(5913,'平台中间件cassandra GC次数异常','dice_addon','dice_addon_cassandra_gc_count','dingding','recover','【平台中间件cassandra GC次数恢复】\n','【平台中间件cassandra GC次数恢复】\n\n中间件: {{addon_id}}\n\n老年代GC次数: {{CollectionCount_win_value}}\n\n集群: {{cluster_name}}\n\n机器: {{node_host}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','{\"trigger_duration\":\"time:ms\"}','1.0','2021-05-28 11:55:07','2021-05-28 11:55:07',0),(5914,'平台中间件cassandra GC次数异常','dice_addon','dice_addon_cassandra_gc_count','ticket','recover','【平台中间件cassandra GC次数恢复】\n','【平台中间件cassandra GC次数恢复】\n\n中间件: {{addon_id}}\n\n老年代GC次数: {{CollectionCount_win_value}}\n\n集群: {{cluster_name}}\n\n机器: {{node_host}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','{\"trigger_duration\":\"time:ms\"}','1.0','2021-05-28 11:55:07','2021-05-28 11:55:07',0),(5915,'平台中间件cassandra GC次数异常','dice_addon','dice_addon_cassandra_gc_count','email','recover','【平台中间件cassandra GC次数恢复】\n','【平台中间件cassandra GC次数恢复】\n\n中间件: {{addon_id}}\n\n老年代GC次数: {{CollectionCount_win_value}}\n\n集群: {{cluster_name}}\n\n机器: {{node_host}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','{\"trigger_duration\":\"time:ms\"}','1.0','2021-05-28 11:55:07','2021-05-28 11:55:07',0),(5916,'平台中间件cassandra GC次数异常','dice_addon','dice_addon_cassandra_gc_count','mbox','recover','【平台中间件cassandra GC次数恢复】\n','【平台中间件cassandra GC次数恢复】\n\n中间件: {{addon_id}}\n\n老年代GC次数: {{CollectionCount_win_value}}\n\n集群: {{cluster_name}}\n\n机器: {{node_host}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','{\"trigger_duration\":\"time:ms\"}','1.0','2021-05-28 11:55:07','2021-05-28 11:55:07',0),(5917,'平台中间件cassandra GC次数异常','dice_addon','dice_addon_cassandra_gc_count','webhook','recover','【平台中间件cassandra GC次数恢复】\n','【平台中间件cassandra GC次数恢复】\n\n中间件: {{addon_id}}\n\n老年代GC次数: {{CollectionCount_win_value}}\n\n集群: {{cluster_name}}\n\n机器: {{node_host}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','{\"trigger_duration\":\"time:ms\"}','1.0','2021-05-28 11:55:07','2021-05-28 11:55:07',0),(5918,'平台中间件cassandra GC耗时异常','dice_addon','dice_addon_cassandra_gc_time','dingding','alert','【平台中间件cassandra GC耗时告警】\n','【平台中间件cassandra GC耗时告警】\n\n中间件: {{addon_id}}\n\n老年代GC耗时: {{CollectionTime_win_value}}\n\n集群: {{cluster_name}}\n\n机器: {{node_host}}\n\n时间: {{timestamp}}\n\n[查看详情]({{display_url}})\n\n[查看记录]({{record_url}})\n','{\"CollectionTime_win_value\":\"time:ms\"}','1.0','2021-05-28 11:55:07','2021-05-28 11:55:07',0),(5919,'平台中间件cassandra GC耗时异常','dice_addon','dice_addon_cassandra_gc_time','ticket','alert','【平台中间件cassandra GC耗时告警】\n','【平台中间件cassandra GC耗时告警】\n\n中间件: {{addon_id}}\n\n老年代GC耗时: {{CollectionTime_win_value}}\n\n集群: {{cluster_name}}\n\n机器: {{node_host}}\n\n时间: {{timestamp}}\n\n[查看详情]({{display_url}})\n\n[查看记录]({{record_url}})\n','{\"CollectionTime_win_value\":\"time:ms\"}','1.0','2021-05-28 11:55:07','2021-05-28 11:55:07',0),(5920,'平台中间件cassandra GC耗时异常','dice_addon','dice_addon_cassandra_gc_time','email','alert','【平台中间件cassandra GC耗时告警】\n','【平台中间件cassandra GC耗时告警】\n\n中间件: {{addon_id}}\n\n老年代GC耗时: {{CollectionTime_win_value}}\n\n集群: {{cluster_name}}\n\n机器: {{node_host}}\n\n时间: {{timestamp}}\n\n[查看详情]({{display_url}})\n\n[查看记录]({{record_url}})\n','{\"CollectionTime_win_value\":\"time:ms\"}','1.0','2021-05-28 11:55:07','2021-05-28 11:55:07',0),(5921,'平台中间件cassandra GC耗时异常','dice_addon','dice_addon_cassandra_gc_time','mbox','alert','【平台中间件cassandra GC耗时告警】\n','【平台中间件cassandra GC耗时告警】\n\n中间件: {{addon_id}}\n\n老年代GC耗时: {{CollectionTime_win_value}}\n\n集群: {{cluster_name}}\n\n机器: {{node_host}}\n\n时间: {{timestamp}}\n\n[查看详情]({{display_url}})\n\n[查看记录]({{record_url}})\n','{\"CollectionTime_win_value\":\"time:ms\"}','1.0','2021-05-28 11:55:07','2021-05-28 11:55:07',0),(5922,'平台中间件cassandra GC耗时异常','dice_addon','dice_addon_cassandra_gc_time','webhook','alert','【平台中间件cassandra GC耗时告警】\n','【平台中间件cassandra GC耗时告警】\n\n中间件: {{addon_id}}\n\n老年代GC耗时: {{CollectionTime_win_value}}\n\n集群: {{cluster_name}}\n\n机器: {{node_host}}\n\n时间: {{timestamp}}\n\n[查看详情]({{display_url}})\n\n[查看记录]({{record_url}})\n','{\"CollectionTime_win_value\":\"time:ms\"}','1.0','2021-05-28 11:55:07','2021-05-28 11:55:07',0),(5923,'平台中间件cassandra GC耗时异常','dice_addon','dice_addon_cassandra_gc_time','dingding','recover','【平台中间件cassandra GC耗时恢复】\n','【平台中间件cassandra GC耗时恢复】\n\n中间件: {{addon_id}}\n\n老年代GC耗时: {{CollectionTime_win_value}}\n\n集群: {{cluster_name}}\n\n机器: {{node_host}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','{\"CollectionTime_win_value\":\"time:ms\",\"trigger_duration\":\"time:ms\"}','1.0','2021-05-28 11:55:07','2021-05-28 11:55:07',0),(5924,'平台中间件cassandra GC耗时异常','dice_addon','dice_addon_cassandra_gc_time','ticket','recover','【平台中间件cassandra GC耗时恢复】\n','【平台中间件cassandra GC耗时恢复】\n\n中间件: {{addon_id}}\n\n老年代GC耗时: {{CollectionTime_win_value}}\n\n集群: {{cluster_name}}\n\n机器: {{node_host}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','{\"CollectionTime_win_value\":\"time:ms\",\"trigger_duration\":\"time:ms\"}','1.0','2021-05-28 11:55:07','2021-05-28 11:55:07',0),(5925,'平台中间件cassandra GC耗时异常','dice_addon','dice_addon_cassandra_gc_time','email','recover','【平台中间件cassandra GC耗时恢复】\n','【平台中间件cassandra GC耗时恢复】\n\n中间件: {{addon_id}}\n\n老年代GC耗时: {{CollectionTime_win_value}}\n\n集群: {{cluster_name}}\n\n机器: {{node_host}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','{\"CollectionTime_win_value\":\"time:ms\",\"trigger_duration\":\"time:ms\"}','1.0','2021-05-28 11:55:07','2021-05-28 11:55:07',0),(5926,'平台中间件cassandra GC耗时异常','dice_addon','dice_addon_cassandra_gc_time','mbox','recover','【平台中间件cassandra GC耗时恢复】\n','【平台中间件cassandra GC耗时恢复】\n\n中间件: {{addon_id}}\n\n老年代GC耗时: {{CollectionTime_win_value}}\n\n集群: {{cluster_name}}\n\n机器: {{node_host}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','{\"CollectionTime_win_value\":\"time:ms\",\"trigger_duration\":\"time:ms\"}','1.0','2021-05-28 11:55:07','2021-05-28 11:55:07',0),(5927,'平台中间件cassandra GC耗时异常','dice_addon','dice_addon_cassandra_gc_time','webhook','recover','【平台中间件cassandra GC耗时恢复】\n','【平台中间件cassandra GC耗时恢复】\n\n中间件: {{addon_id}}\n\n老年代GC耗时: {{CollectionTime_win_value}}\n\n集群: {{cluster_name}}\n\n机器: {{node_host}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','{\"CollectionTime_win_value\":\"time:ms\",\"trigger_duration\":\"time:ms\"}','1.0','2021-05-28 11:55:07','2021-05-28 11:55:07',0),(5928,'平台中间件实例CPU异常','dice_addon','dice_addon_container_cpu','dingding','alert','【平台中间件{{addon_id}} CPU使用率告警】\n','【平台中间件CPU使用率告警】\n\n中间件: {{addon_id}}\n\n使用率: {{cpu_usage_percent_avg}}\n\n限制: {{cpu_limit_value}}核\n\n分配: {{cpu_allocation_value}}核\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n容器ID: {{container_id}}\n\n时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','{\"cpu_allocation_value\":\"fraction:2\",\"cpu_limit_value\":\"fraction:2\",\"cpu_usage_percent_avg\":\"percent:2\"}','1.0','2021-05-28 11:55:07','2021-05-28 11:55:07',0),(5929,'平台中间件实例CPU异常','dice_addon','dice_addon_container_cpu','ticket','alert','【平台中间件{{addon_id}} CPU使用率告警】\n','【平台中间件CPU使用率告警】\n\n中间件: {{addon_id}}\n\n使用率: {{cpu_usage_percent_avg}}\n\n限制: {{cpu_limit_value}}核\n\n分配: {{cpu_allocation_value}}核\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n容器ID: {{container_id}}\n\n时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','{\"cpu_allocation_value\":\"fraction:2\",\"cpu_limit_value\":\"fraction:2\",\"cpu_usage_percent_avg\":\"percent:2\"}','1.0','2021-05-28 11:55:07','2021-05-28 11:55:07',0),(5930,'平台中间件实例CPU异常','dice_addon','dice_addon_container_cpu','email','alert','【平台中间件{{addon_id}} CPU使用率告警】\n','【平台中间件CPU使用率告警】\n\n中间件: {{addon_id}}\n\n使用率: {{cpu_usage_percent_avg}}\n\n限制: {{cpu_limit_value}}核\n\n分配: {{cpu_allocation_value}}核\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n容器ID: {{container_id}}\n\n时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','{\"cpu_allocation_value\":\"fraction:2\",\"cpu_limit_value\":\"fraction:2\",\"cpu_usage_percent_avg\":\"percent:2\"}','1.0','2021-05-28 11:55:07','2021-05-28 11:55:07',0),(5931,'平台中间件实例CPU异常','dice_addon','dice_addon_container_cpu','mbox','alert','【平台中间件{{addon_id}} CPU使用率告警】\n','【平台中间件CPU使用率告警】\n\n中间件: {{addon_id}}\n\n使用率: {{cpu_usage_percent_avg}}\n\n限制: {{cpu_limit_value}}核\n\n分配: {{cpu_allocation_value}}核\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n容器ID: {{container_id}}\n\n时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','{\"cpu_allocation_value\":\"fraction:2\",\"cpu_limit_value\":\"fraction:2\",\"cpu_usage_percent_avg\":\"percent:2\"}','1.0','2021-05-28 11:55:07','2021-05-28 11:55:07',0),(5932,'平台中间件实例CPU异常','dice_addon','dice_addon_container_cpu','webhook','alert','【平台中间件{{addon_id}} CPU使用率告警】\n','【平台中间件CPU使用率告警】\n\n中间件: {{addon_id}}\n\n使用率: {{cpu_usage_percent_avg}}\n\n限制: {{cpu_limit_value}}核\n\n分配: {{cpu_allocation_value}}核\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n容器ID: {{container_id}}\n\n时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','{\"cpu_allocation_value\":\"fraction:2\",\"cpu_limit_value\":\"fraction:2\",\"cpu_usage_percent_avg\":\"percent:2\"}','1.0','2021-05-28 11:55:07','2021-05-28 11:55:07',0),(5933,'平台中间件实例CPU异常','dice_addon','dice_addon_container_cpu','dingding','recover','【平台中间件{{addon_id}} CPU使用率恢复】\n','【平台中间件CPU使用率恢复】\n\n中间件: {{addon_id}}\n\n使用率: {{cpu_usage_percent_avg}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n容器ID: {{container_id}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','{\"cpu_usage_percent_avg\":\"percent:2\",\"trigger_duration\":\"time:ms\"}','1.0','2021-05-28 11:55:07','2021-05-28 11:55:07',0),(5934,'平台中间件实例CPU异常','dice_addon','dice_addon_container_cpu','ticket','recover','【平台中间件{{addon_id}} CPU使用率恢复】\n','【平台中间件CPU使用率恢复】\n\n中间件: {{addon_id}}\n\n使用率: {{cpu_usage_percent_avg}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n容器ID: {{container_id}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','{\"cpu_usage_percent_avg\":\"percent:2\",\"trigger_duration\":\"time:ms\"}','1.0','2021-05-28 11:55:07','2021-05-28 11:55:07',0),(5935,'平台中间件实例CPU异常','dice_addon','dice_addon_container_cpu','email','recover','【平台中间件{{addon_id}} CPU使用率恢复】\n','【平台中间件CPU使用率恢复】\n\n中间件: {{addon_id}}\n\n使用率: {{cpu_usage_percent_avg}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n容器ID: {{container_id}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','{\"cpu_usage_percent_avg\":\"percent:2\",\"trigger_duration\":\"time:ms\"}','1.0','2021-05-28 11:55:07','2021-05-28 11:55:07',0),(5936,'平台中间件实例CPU异常','dice_addon','dice_addon_container_cpu','mbox','recover','【平台中间件{{addon_id}} CPU使用率恢复】\n','【平台中间件CPU使用率恢复】\n\n中间件: {{addon_id}}\n\n使用率: {{cpu_usage_percent_avg}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n容器ID: {{container_id}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','{\"cpu_usage_percent_avg\":\"percent:2\",\"trigger_duration\":\"time:ms\"}','1.0','2021-05-28 11:55:07','2021-05-28 11:55:07',0),(5937,'平台中间件实例CPU异常','dice_addon','dice_addon_container_cpu','webhook','recover','【平台中间件{{addon_id}} CPU使用率恢复】\n','【平台中间件CPU使用率恢复】\n\n中间件: {{addon_id}}\n\n使用率: {{cpu_usage_percent_avg}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n容器ID: {{container_id}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','{\"cpu_usage_percent_avg\":\"percent:2\",\"trigger_duration\":\"time:ms\"}','1.0','2021-05-28 11:55:07','2021-05-28 11:55:07',0),(5938,'平台中间件异常退出','dice_addon','dice_addon_container_exit','dingding','alert','【平台中间件{{addon_id}}异常退出告警】\n','【平台中间件异常退出告警】\n\n中间件: {{addon_id}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n启动时间: {{started_at_value}}\n\n退出时间: {{finished_at_value}}\n\n退出原因: {{terminated_reason_value}}\n\n时间: {{timestamp}}\n\n[查看详情]({{display_url}})\n\n[查看记录]({{record_url}})\n','{\"finished_at_value\":\"date\",\"started_at_value\":\"date\"}','1.0','2021-05-28 11:55:07','2021-05-28 11:55:07',0),(5939,'平台中间件异常退出','dice_addon','dice_addon_container_exit','ticket','alert','【平台中间件{{addon_id}}异常退出告警】\n','【平台中间件异常退出告警】\n\n中间件: {{addon_id}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n启动时间: {{started_at_value}}\n\n退出时间: {{finished_at_value}}\n\n退出原因: {{terminated_reason_value}}\n\n时间: {{timestamp}}\n\n[查看详情]({{display_url}})\n\n[查看记录]({{record_url}})\n','{\"finished_at_value\":\"date\",\"started_at_value\":\"date\"}','1.0','2021-05-28 11:55:07','2021-05-28 11:55:07',0),(5940,'平台中间件异常退出','dice_addon','dice_addon_container_exit','email','alert','【平台中间件{{addon_id}}异常退出告警】\n','【平台中间件异常退出告警】\n\n中间件: {{addon_id}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n启动时间: {{started_at_value}}\n\n退出时间: {{finished_at_value}}\n\n退出原因: {{terminated_reason_value}}\n\n时间: {{timestamp}}\n\n[查看详情]({{display_url}})\n\n[查看记录]({{record_url}})\n','{\"finished_at_value\":\"date\",\"started_at_value\":\"date\"}','1.0','2021-05-28 11:55:07','2021-05-28 11:55:07',0),(5941,'平台中间件异常退出','dice_addon','dice_addon_container_exit','mbox','alert','【平台中间件{{addon_id}}异常退出告警】\n','【平台中间件异常退出告警】\n\n中间件: {{addon_id}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n启动时间: {{started_at_value}}\n\n退出时间: {{finished_at_value}}\n\n退出原因: {{terminated_reason_value}}\n\n时间: {{timestamp}}\n\n[查看详情]({{display_url}})\n\n[查看记录]({{record_url}})\n','{\"finished_at_value\":\"date\",\"started_at_value\":\"date\"}','1.0','2021-05-28 11:55:07','2021-05-28 11:55:07',0),(5942,'平台中间件异常退出','dice_addon','dice_addon_container_exit','webhook','alert','【平台中间件{{addon_id}}异常退出告警】\n','【平台中间件异常退出告警】\n\n中间件: {{addon_id}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n启动时间: {{started_at_value}}\n\n退出时间: {{finished_at_value}}\n\n退出原因: {{terminated_reason_value}}\n\n时间: {{timestamp}}\n\n[查看详情]({{display_url}})\n\n[查看记录]({{record_url}})\n','{\"finished_at_value\":\"date\",\"started_at_value\":\"date\"}','1.0','2021-05-28 11:55:07','2021-05-28 11:55:07',0),(5943,'平台中间件异常退出','dice_addon','dice_addon_container_exit','dingding','recover','【平台中间件{{addon_id}}异常退出恢复】\n','【平台中间件异常退出恢复】\n\n中间件: {{addon_id}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','{\"trigger_duration\":\"time:ms\"}','1.0','2021-05-28 11:55:07','2021-05-28 11:55:07',0),(5944,'平台中间件异常退出','dice_addon','dice_addon_container_exit','ticket','recover','【平台中间件{{addon_id}}异常退出恢复】\n','【平台中间件异常退出恢复】\n\n中间件: {{addon_id}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','{\"trigger_duration\":\"time:ms\"}','1.0','2021-05-28 11:55:07','2021-05-28 11:55:07',0),(5945,'平台中间件异常退出','dice_addon','dice_addon_container_exit','email','recover','【平台中间件{{addon_id}}异常退出恢复】\n','【平台中间件异常退出恢复】\n\n中间件: {{addon_id}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','{\"trigger_duration\":\"time:ms\"}','1.0','2021-05-28 11:55:07','2021-05-28 11:55:07',0),(5946,'平台中间件异常退出','dice_addon','dice_addon_container_exit','mbox','recover','【平台中间件{{addon_id}}异常退出恢复】\n','【平台中间件异常退出恢复】\n\n中间件: {{addon_id}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','{\"trigger_duration\":\"time:ms\"}','1.0','2021-05-28 11:55:07','2021-05-28 11:55:07',0),(5947,'平台中间件异常退出','dice_addon','dice_addon_container_exit','webhook','recover','【平台中间件{{addon_id}}异常退出恢复】\n','【平台中间件异常退出恢复】\n\n中间件: {{addon_id}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','{\"trigger_duration\":\"time:ms\"}','1.0','2021-05-28 11:55:07','2021-05-28 11:55:07',0),(5948,'平台中间件实例内存异常','dice_addon','dice_addon_container_mem','dingding','alert','【平台中间件{{addon_id}}内存使用率告警】\n','【平台中间件内存使用率告警】\n\n中间件: {{addon_id}}\n\n使用率: {{mem_usage_percent_avg}}\n\n使用: {{mem_usage_value}}\n\n限制: {{mem_limit_value}}\n\n分配: {{mem_allocation_value}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n容器ID: {{container_id}}\n\n时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','{\"mem_allocation_value\":\"size:byte\",\"mem_limit_value\":\"size:byte\",\"mem_usage_percent_avg\":\"percent:2\",\"mem_usage_value\":\"size:byte\"}','1.0','2021-05-28 11:55:07','2021-05-28 11:55:07',0),(5949,'平台中间件实例内存异常','dice_addon','dice_addon_container_mem','ticket','alert','【平台中间件{{addon_id}}内存使用率告警】\n','【平台中间件内存使用率告警】\n\n中间件: {{addon_id}}\n\n使用率: {{mem_usage_percent_avg}}\n\n使用: {{mem_usage_value}}\n\n限制: {{mem_limit_value}}\n\n分配: {{mem_allocation_value}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n容器ID: {{container_id}}\n\n时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','{\"mem_allocation_value\":\"size:byte\",\"mem_limit_value\":\"size:byte\",\"mem_usage_percent_avg\":\"percent:2\",\"mem_usage_value\":\"size:byte\"}','1.0','2021-05-28 11:55:07','2021-05-28 11:55:07',0),(5950,'平台中间件实例内存异常','dice_addon','dice_addon_container_mem','email','alert','【平台中间件{{addon_id}}内存使用率告警】\n','【平台中间件内存使用率告警】\n\n中间件: {{addon_id}}\n\n使用率: {{mem_usage_percent_avg}}\n\n使用: {{mem_usage_value}}\n\n限制: {{mem_limit_value}}\n\n分配: {{mem_allocation_value}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n容器ID: {{container_id}}\n\n时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','{\"mem_allocation_value\":\"size:byte\",\"mem_limit_value\":\"size:byte\",\"mem_usage_percent_avg\":\"percent:2\",\"mem_usage_value\":\"size:byte\"}','1.0','2021-05-28 11:55:07','2021-05-28 11:55:07',0),(5951,'平台中间件实例内存异常','dice_addon','dice_addon_container_mem','mbox','alert','【平台中间件{{addon_id}}内存使用率告警】\n','【平台中间件内存使用率告警】\n\n中间件: {{addon_id}}\n\n使用率: {{mem_usage_percent_avg}}\n\n使用: {{mem_usage_value}}\n\n限制: {{mem_limit_value}}\n\n分配: {{mem_allocation_value}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n容器ID: {{container_id}}\n\n时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','{\"mem_allocation_value\":\"size:byte\",\"mem_limit_value\":\"size:byte\",\"mem_usage_percent_avg\":\"percent:2\",\"mem_usage_value\":\"size:byte\"}','1.0','2021-05-28 11:55:07','2021-05-28 11:55:07',0),(5952,'平台中间件实例内存异常','dice_addon','dice_addon_container_mem','webhook','alert','【平台中间件{{addon_id}}内存使用率告警】\n','【平台中间件内存使用率告警】\n\n中间件: {{addon_id}}\n\n使用率: {{mem_usage_percent_avg}}\n\n使用: {{mem_usage_value}}\n\n限制: {{mem_limit_value}}\n\n分配: {{mem_allocation_value}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n容器ID: {{container_id}}\n\n时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','{\"mem_allocation_value\":\"size:byte\",\"mem_limit_value\":\"size:byte\",\"mem_usage_percent_avg\":\"percent:2\",\"mem_usage_value\":\"size:byte\"}','1.0','2021-05-28 11:55:07','2021-05-28 11:55:07',0),(5953,'平台中间件实例内存异常','dice_addon','dice_addon_container_mem','dingding','recover','【平台中间件{{addon_id}}内存使用率恢复】\n','【平台中间件内存使用率恢复】\n\n中间件: {{addon_id}}\n\n使用率: {{mem_usage_percent_avg}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n容器ID: {{container_id}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','{\"mem_usage_percent_avg\":\"percent:2\",\"trigger_duration\":\"time:ms\"}','1.0','2021-05-28 11:55:07','2021-05-28 11:55:07',0),(5954,'平台中间件实例内存异常','dice_addon','dice_addon_container_mem','ticket','recover','【平台中间件{{addon_id}}内存使用率恢复】\n','【平台中间件内存使用率恢复】\n\n中间件: {{addon_id}}\n\n使用率: {{mem_usage_percent_avg}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n容器ID: {{container_id}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','{\"mem_usage_percent_avg\":\"percent:2\",\"trigger_duration\":\"time:ms\"}','1.0','2021-05-28 11:55:07','2021-05-28 11:55:07',0),(5955,'平台中间件实例内存异常','dice_addon','dice_addon_container_mem','email','recover','【平台中间件{{addon_id}}内存使用率恢复】\n','【平台中间件内存使用率恢复】\n\n中间件: {{addon_id}}\n\n使用率: {{mem_usage_percent_avg}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n容器ID: {{container_id}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','{\"mem_usage_percent_avg\":\"percent:2\",\"trigger_duration\":\"time:ms\"}','1.0','2021-05-28 11:55:07','2021-05-28 11:55:07',0),(5956,'平台中间件实例内存异常','dice_addon','dice_addon_container_mem','mbox','recover','【平台中间件{{addon_id}}内存使用率恢复】\n','【平台中间件内存使用率恢复】\n\n中间件: {{addon_id}}\n\n使用率: {{mem_usage_percent_avg}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n容器ID: {{container_id}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','{\"mem_usage_percent_avg\":\"percent:2\",\"trigger_duration\":\"time:ms\"}','1.0','2021-05-28 11:55:07','2021-05-28 11:55:07',0),(5957,'平台中间件实例内存异常','dice_addon','dice_addon_container_mem','webhook','recover','【平台中间件{{addon_id}}内存使用率恢复】\n','【平台中间件内存使用率恢复】\n\n中间件: {{addon_id}}\n\n使用率: {{mem_usage_percent_avg}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n容器ID: {{container_id}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','{\"mem_usage_percent_avg\":\"percent:2\",\"trigger_duration\":\"time:ms\"}','1.0','2021-05-28 11:55:07','2021-05-28 11:55:07',0),(5958,'平台中间件实例Ready状态异常','dice_addon','dice_addon_container_ready','dingding','alert','【平台中间件{{addon_id}} Ready状态异常告警】\n','【平台中间件Ready状态异常告警】\n\n中间件: {{addon_id}}\n\n未就绪实例: {{not_ready_value}}\n\n已就绪实例: {{ready_value}}\n\n集群: {{cluster_name}}\n\n时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','','1.0','2021-05-28 11:55:07','2021-05-28 11:55:07',0),(5959,'平台中间件实例Ready状态异常','dice_addon','dice_addon_container_ready','ticket','alert','【平台中间件{{addon_id}} Ready状态异常告警】\n','【平台中间件Ready状态异常告警】\n\n中间件: {{addon_id}}\n\n未就绪实例: {{not_ready_value}}\n\n已就绪实例: {{ready_value}}\n\n集群: {{cluster_name}}\n\n时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','','1.0','2021-05-28 11:55:07','2021-05-28 11:55:07',0),(5960,'平台中间件实例Ready状态异常','dice_addon','dice_addon_container_ready','email','alert','【平台中间件{{addon_id}} Ready状态异常告警】\n','【平台中间件Ready状态异常告警】\n\n中间件: {{addon_id}}\n\n未就绪实例: {{not_ready_value}}\n\n已就绪实例: {{ready_value}}\n\n集群: {{cluster_name}}\n\n时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','','1.0','2021-05-28 11:55:07','2021-05-28 11:55:07',0),(5961,'平台中间件实例Ready状态异常','dice_addon','dice_addon_container_ready','mbox','alert','【平台中间件{{addon_id}} Ready状态异常告警】\n','【平台中间件Ready状态异常告警】\n\n中间件: {{addon_id}}\n\n未就绪实例: {{not_ready_value}}\n\n已就绪实例: {{ready_value}}\n\n集群: {{cluster_name}}\n\n时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','','1.0','2021-05-28 11:55:07','2021-05-28 11:55:07',0),(5962,'平台中间件实例Ready状态异常','dice_addon','dice_addon_container_ready','webhook','alert','【平台中间件{{addon_id}} Ready状态异常告警】\n','【平台中间件Ready状态异常告警】\n\n中间件: {{addon_id}}\n\n未就绪实例: {{not_ready_value}}\n\n已就绪实例: {{ready_value}}\n\n集群: {{cluster_name}}\n\n时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','','1.0','2021-05-28 11:55:07','2021-05-28 11:55:07',0),(5963,'平台中间件实例Ready状态异常','dice_addon','dice_addon_container_ready','dingding','recover','【平台中间件{{addon_id}} Ready状态异常恢复】\n','【平台中间件Ready状态异常恢复】\n\n中间件: {{addon_id}}\n\n已绪数实例: {{ready_value}}\n\n集群: {{cluster_name}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','{\"trigger_duration\":\"time:ms\"}','1.0','2021-05-28 11:55:07','2021-05-28 11:55:07',0),(5964,'平台中间件实例Ready状态异常','dice_addon','dice_addon_container_ready','ticket','recover','【平台中间件{{addon_id}} Ready状态异常恢复】\n','【平台中间件Ready状态异常恢复】\n\n中间件: {{addon_id}}\n\n已绪数实例: {{ready_value}}\n\n集群: {{cluster_name}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','{\"trigger_duration\":\"time:ms\"}','1.0','2021-05-28 11:55:07','2021-05-28 11:55:07',0),(5965,'平台中间件实例Ready状态异常','dice_addon','dice_addon_container_ready','email','recover','【平台中间件{{addon_id}} Ready状态异常恢复】\n','【平台中间件Ready状态异常恢复】\n\n中间件: {{addon_id}}\n\n已绪数实例: {{ready_value}}\n\n集群: {{cluster_name}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','{\"trigger_duration\":\"time:ms\"}','1.0','2021-05-28 11:55:07','2021-05-28 11:55:07',0),(5966,'平台中间件实例Ready状态异常','dice_addon','dice_addon_container_ready','mbox','recover','【平台中间件{{addon_id}} Ready状态异常恢复】\n','【平台中间件Ready状态异常恢复】\n\n中间件: {{addon_id}}\n\n已绪数实例: {{ready_value}}\n\n集群: {{cluster_name}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','{\"trigger_duration\":\"time:ms\"}','1.0','2021-05-28 11:55:07','2021-05-28 11:55:07',0),(5967,'平台中间件实例Ready状态异常','dice_addon','dice_addon_container_ready','webhook','recover','【平台中间件{{addon_id}} Ready状态异常恢复】\n','【平台中间件Ready状态异常恢复】\n\n中间件: {{addon_id}}\n\n已绪数实例: {{ready_value}}\n\n集群: {{cluster_name}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','{\"trigger_duration\":\"time:ms\"}','1.0','2021-05-28 11:55:07','2021-05-28 11:55:07',0),(5968,'平台中间件elasticsearch GC次数异常','dice_addon','dice_addon_elasticsearch_gc_count','dingding','alert','【平台中间件elasticsearch GC次数告警】\n','【平台中间件elasticsearch GC次数告警】\n\n中间件: {{addon_id}}\n\n老年代GC次数: {{gc_collectors_old_collection_count_win_value}}\n\n集群: {{cluster_name}}\n\n机器: {{node_host}}\n\n时间: {{timestamp}}\n\n[查看详情]({{display_url}})\n\n[查看记录]({{record_url}})\n','','1.0','2021-05-28 11:55:07','2021-05-28 11:55:07',0),(5969,'平台中间件elasticsearch GC次数异常','dice_addon','dice_addon_elasticsearch_gc_count','ticket','alert','【平台中间件elasticsearch GC次数告警】\n','【平台中间件elasticsearch GC次数告警】\n\n中间件: {{addon_id}}\n\n老年代GC次数: {{gc_collectors_old_collection_count_win_value}}\n\n集群: {{cluster_name}}\n\n机器: {{node_host}}\n\n时间: {{timestamp}}\n\n[查看详情]({{display_url}})\n\n[查看记录]({{record_url}})\n','','1.0','2021-05-28 11:55:07','2021-05-28 11:55:07',0),(5970,'平台中间件elasticsearch GC次数异常','dice_addon','dice_addon_elasticsearch_gc_count','email','alert','【平台中间件elasticsearch GC次数告警】\n','【平台中间件elasticsearch GC次数告警】\n\n中间件: {{addon_id}}\n\n老年代GC次数: {{gc_collectors_old_collection_count_win_value}}\n\n集群: {{cluster_name}}\n\n机器: {{node_host}}\n\n时间: {{timestamp}}\n\n[查看详情]({{display_url}})\n\n[查看记录]({{record_url}})\n','','1.0','2021-05-28 11:55:07','2021-05-28 11:55:07',0),(5971,'平台中间件elasticsearch GC次数异常','dice_addon','dice_addon_elasticsearch_gc_count','mbox','alert','【平台中间件elasticsearch GC次数告警】\n','【平台中间件elasticsearch GC次数告警】\n\n中间件: {{addon_id}}\n\n老年代GC次数: {{gc_collectors_old_collection_count_win_value}}\n\n集群: {{cluster_name}}\n\n机器: {{node_host}}\n\n时间: {{timestamp}}\n\n[查看详情]({{display_url}})\n\n[查看记录]({{record_url}})\n','','1.0','2021-05-28 11:55:07','2021-05-28 11:55:07',0),(5972,'平台中间件elasticsearch GC次数异常','dice_addon','dice_addon_elasticsearch_gc_count','webhook','alert','【平台中间件elasticsearch GC次数告警】\n','【平台中间件elasticsearch GC次数告警】\n\n中间件: {{addon_id}}\n\n老年代GC次数: {{gc_collectors_old_collection_count_win_value}}\n\n集群: {{cluster_name}}\n\n机器: {{node_host}}\n\n时间: {{timestamp}}\n\n[查看详情]({{display_url}})\n\n[查看记录]({{record_url}})\n','','1.0','2021-05-28 11:55:07','2021-05-28 11:55:07',0),(5973,'平台中间件elasticsearch GC次数异常','dice_addon','dice_addon_elasticsearch_gc_count','dingding','recover','【平台中间件elasticsearch GC次数恢复】\n','【平台中间件elasticsearch GC次数恢复】\n\n中间件: {{addon_id}}\n\n老年代GC次数: {{gc_collectors_old_collection_count_win_value}}\n\n集群: {{cluster_name}}\n\n机器: {{node_host}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','{\"trigger_duration\":\"time:ms\"}','1.0','2021-05-28 11:55:07','2021-05-28 11:55:07',0),(5974,'平台中间件elasticsearch GC次数异常','dice_addon','dice_addon_elasticsearch_gc_count','ticket','recover','【平台中间件elasticsearch GC次数恢复】\n','【平台中间件elasticsearch GC次数恢复】\n\n中间件: {{addon_id}}\n\n老年代GC次数: {{gc_collectors_old_collection_count_win_value}}\n\n集群: {{cluster_name}}\n\n机器: {{node_host}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','{\"trigger_duration\":\"time:ms\"}','1.0','2021-05-28 11:55:07','2021-05-28 11:55:07',0),(5975,'平台中间件elasticsearch GC次数异常','dice_addon','dice_addon_elasticsearch_gc_count','email','recover','【平台中间件elasticsearch GC次数恢复】\n','【平台中间件elasticsearch GC次数恢复】\n\n中间件: {{addon_id}}\n\n老年代GC次数: {{gc_collectors_old_collection_count_win_value}}\n\n集群: {{cluster_name}}\n\n机器: {{node_host}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','{\"trigger_duration\":\"time:ms\"}','1.0','2021-05-28 11:55:07','2021-05-28 11:55:07',0),(5976,'平台中间件elasticsearch GC次数异常','dice_addon','dice_addon_elasticsearch_gc_count','mbox','recover','【平台中间件elasticsearch GC次数恢复】\n','【平台中间件elasticsearch GC次数恢复】\n\n中间件: {{addon_id}}\n\n老年代GC次数: {{gc_collectors_old_collection_count_win_value}}\n\n集群: {{cluster_name}}\n\n机器: {{node_host}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','{\"trigger_duration\":\"time:ms\"}','1.0','2021-05-28 11:55:07','2021-05-28 11:55:07',0),(5977,'平台中间件elasticsearch GC次数异常','dice_addon','dice_addon_elasticsearch_gc_count','webhook','recover','【平台中间件elasticsearch GC次数恢复】\n','【平台中间件elasticsearch GC次数恢复】\n\n中间件: {{addon_id}}\n\n老年代GC次数: {{gc_collectors_old_collection_count_win_value}}\n\n集群: {{cluster_name}}\n\n机器: {{node_host}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','{\"trigger_duration\":\"time:ms\"}','1.0','2021-05-28 11:55:07','2021-05-28 11:55:07',0),(5978,'平台中间件elasticsearch GC耗时异常','dice_addon','dice_addon_elasticsearch_gc_time','dingding','alert','【平台中间件elasticsearch GC耗时告警】\n','【平台中间件elasticsearch GC耗时告警】\n\n中间件: {{addon_id}}\n\n老年代GC耗时: {{gc_collectors_old_collection_time_in_millis_win_value}}\n\n集群: {{cluster_name}}\n\n机器: {{node_name}}\n\n时间: {{timestamp}}\n\n[查看详情]({{display_url}})\n\n[查看记录]({{record_url}})\n','{\"gc_collectors_old_collection_time_in_millis_win_value\":\"time:ms\"}','1.0','2021-05-28 11:55:07','2021-05-28 11:55:07',0),(5979,'平台中间件elasticsearch GC耗时异常','dice_addon','dice_addon_elasticsearch_gc_time','ticket','alert','【平台中间件elasticsearch GC耗时告警】\n','【平台中间件elasticsearch GC耗时告警】\n\n中间件: {{addon_id}}\n\n老年代GC耗时: {{gc_collectors_old_collection_time_in_millis_win_value}}\n\n集群: {{cluster_name}}\n\n机器: {{node_name}}\n\n时间: {{timestamp}}\n\n[查看详情]({{display_url}})\n\n[查看记录]({{record_url}})\n','{\"gc_collectors_old_collection_time_in_millis_win_value\":\"time:ms\"}','1.0','2021-05-28 11:55:07','2021-05-28 11:55:07',0),(5980,'平台中间件elasticsearch GC耗时异常','dice_addon','dice_addon_elasticsearch_gc_time','email','alert','【平台中间件elasticsearch GC耗时告警】\n','【平台中间件elasticsearch GC耗时告警】\n\n中间件: {{addon_id}}\n\n老年代GC耗时: {{gc_collectors_old_collection_time_in_millis_win_value}}\n\n集群: {{cluster_name}}\n\n机器: {{node_name}}\n\n时间: {{timestamp}}\n\n[查看详情]({{display_url}})\n\n[查看记录]({{record_url}})\n','{\"gc_collectors_old_collection_time_in_millis_win_value\":\"time:ms\"}','1.0','2021-05-28 11:55:07','2021-05-28 11:55:07',0),(5981,'平台中间件elasticsearch GC耗时异常','dice_addon','dice_addon_elasticsearch_gc_time','mbox','alert','【平台中间件elasticsearch GC耗时告警】\n','【平台中间件elasticsearch GC耗时告警】\n\n中间件: {{addon_id}}\n\n老年代GC耗时: {{gc_collectors_old_collection_time_in_millis_win_value}}\n\n集群: {{cluster_name}}\n\n机器: {{node_name}}\n\n时间: {{timestamp}}\n\n[查看详情]({{display_url}})\n\n[查看记录]({{record_url}})\n','{\"gc_collectors_old_collection_time_in_millis_win_value\":\"time:ms\"}','1.0','2021-05-28 11:55:07','2021-05-28 11:55:07',0),(5982,'平台中间件elasticsearch GC耗时异常','dice_addon','dice_addon_elasticsearch_gc_time','webhook','alert','【平台中间件elasticsearch GC耗时告警】\n','【平台中间件elasticsearch GC耗时告警】\n\n中间件: {{addon_id}}\n\n老年代GC耗时: {{gc_collectors_old_collection_time_in_millis_win_value}}\n\n集群: {{cluster_name}}\n\n机器: {{node_name}}\n\n时间: {{timestamp}}\n\n[查看详情]({{display_url}})\n\n[查看记录]({{record_url}})\n','{\"gc_collectors_old_collection_time_in_millis_win_value\":\"time:ms\"}','1.0','2021-05-28 11:55:07','2021-05-28 11:55:07',0),(5983,'平台中间件elasticsearch GC耗时异常','dice_addon','dice_addon_elasticsearch_gc_time','dingding','recover','【平台中间件elasticsearch GC耗时恢复】\n','【平台中间件elasticsearch GC耗时恢复】\n\n中间件: {{addon_id}}\n\n老年代GC耗时: {{gc_collectors_old_collection_time_in_millis_win_value}}\n\n集群: {{cluster_name}}\n\n机器: {{node_name}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','{\"gc_collectors_old_collection_time_in_millis_win_value\":\"time:ms\",\"trigger_duration\":\"time:ms\"}','1.0','2021-05-28 11:55:07','2021-05-28 11:55:07',0),(5984,'平台中间件elasticsearch GC耗时异常','dice_addon','dice_addon_elasticsearch_gc_time','ticket','recover','【平台中间件elasticsearch GC耗时恢复】\n','【平台中间件elasticsearch GC耗时恢复】\n\n中间件: {{addon_id}}\n\n老年代GC耗时: {{gc_collectors_old_collection_time_in_millis_win_value}}\n\n集群: {{cluster_name}}\n\n机器: {{node_name}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','{\"gc_collectors_old_collection_time_in_millis_win_value\":\"time:ms\",\"trigger_duration\":\"time:ms\"}','1.0','2021-05-28 11:55:07','2021-05-28 11:55:07',0),(5985,'平台中间件elasticsearch GC耗时异常','dice_addon','dice_addon_elasticsearch_gc_time','email','recover','【平台中间件elasticsearch GC耗时恢复】\n','【平台中间件elasticsearch GC耗时恢复】\n\n中间件: {{addon_id}}\n\n老年代GC耗时: {{gc_collectors_old_collection_time_in_millis_win_value}}\n\n集群: {{cluster_name}}\n\n机器: {{node_name}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','{\"gc_collectors_old_collection_time_in_millis_win_value\":\"time:ms\",\"trigger_duration\":\"time:ms\"}','1.0','2021-05-28 11:55:07','2021-05-28 11:55:07',0),(5986,'平台中间件elasticsearch GC耗时异常','dice_addon','dice_addon_elasticsearch_gc_time','mbox','recover','【平台中间件elasticsearch GC耗时恢复】\n','【平台中间件elasticsearch GC耗时恢复】\n\n中间件: {{addon_id}}\n\n老年代GC耗时: {{gc_collectors_old_collection_time_in_millis_win_value}}\n\n集群: {{cluster_name}}\n\n机器: {{node_name}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','{\"gc_collectors_old_collection_time_in_millis_win_value\":\"time:ms\",\"trigger_duration\":\"time:ms\"}','1.0','2021-05-28 11:55:07','2021-05-28 11:55:07',0),(5987,'平台中间件elasticsearch GC耗时异常','dice_addon','dice_addon_elasticsearch_gc_time','webhook','recover','【平台中间件elasticsearch GC耗时恢复】\n','【平台中间件elasticsearch GC耗时恢复】\n\n中间件: {{addon_id}}\n\n老年代GC耗时: {{gc_collectors_old_collection_time_in_millis_win_value}}\n\n集群: {{cluster_name}}\n\n机器: {{node_name}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','{\"gc_collectors_old_collection_time_in_millis_win_value\":\"time:ms\",\"trigger_duration\":\"time:ms\"}','1.0','2021-05-28 11:55:07','2021-05-28 11:55:07',0),(5988,'平台中间件Kafka GC次数异常','dice_addon','dice_addon_kafka_gc_count','dingding','alert','【平台中间件Kafka GC次数告警】\n','【平台中间件Kafka GC次数告警】\n\n中间件: {{addon_id}}\n\n老年代GC次数: {{CollectionCount_win_value}}\n\n集群: {{cluster_name}}\n\n集群: {{node_host}}\n\n时间: {{timestamp}}\n\n[查看详情]({{display_url}})\n\n[查看记录]({{record_url}})\n','','1.0','2021-05-28 11:55:07','2021-05-28 11:55:07',0),(5989,'平台中间件Kafka GC次数异常','dice_addon','dice_addon_kafka_gc_count','ticket','alert','【平台中间件Kafka GC次数告警】\n','【平台中间件Kafka GC次数告警】\n\n中间件: {{addon_id}}\n\n老年代GC次数: {{CollectionCount_win_value}}\n\n集群: {{cluster_name}}\n\n集群: {{node_host}}\n\n时间: {{timestamp}}\n\n[查看详情]({{display_url}})\n\n[查看记录]({{record_url}})\n','','1.0','2021-05-28 11:55:07','2021-05-28 11:55:07',0),(5990,'平台中间件Kafka GC次数异常','dice_addon','dice_addon_kafka_gc_count','email','alert','【平台中间件Kafka GC次数告警】\n','【平台中间件Kafka GC次数告警】\n\n中间件: {{addon_id}}\n\n老年代GC次数: {{CollectionCount_win_value}}\n\n集群: {{cluster_name}}\n\n集群: {{node_host}}\n\n时间: {{timestamp}}\n\n[查看详情]({{display_url}})\n\n[查看记录]({{record_url}})\n','','1.0','2021-05-28 11:55:07','2021-05-28 11:55:07',0),(5991,'平台中间件Kafka GC次数异常','dice_addon','dice_addon_kafka_gc_count','mbox','alert','【平台中间件Kafka GC次数告警】\n','【平台中间件Kafka GC次数告警】\n\n中间件: {{addon_id}}\n\n老年代GC次数: {{CollectionCount_win_value}}\n\n集群: {{cluster_name}}\n\n集群: {{node_host}}\n\n时间: {{timestamp}}\n\n[查看详情]({{display_url}})\n\n[查看记录]({{record_url}})\n','','1.0','2021-05-28 11:55:07','2021-05-28 11:55:07',0),(5992,'平台中间件Kafka GC次数异常','dice_addon','dice_addon_kafka_gc_count','webhook','alert','【平台中间件Kafka GC次数告警】\n','【平台中间件Kafka GC次数告警】\n\n中间件: {{addon_id}}\n\n老年代GC次数: {{CollectionCount_win_value}}\n\n集群: {{cluster_name}}\n\n集群: {{node_host}}\n\n时间: {{timestamp}}\n\n[查看详情]({{display_url}})\n\n[查看记录]({{record_url}})\n','','1.0','2021-05-28 11:55:07','2021-05-28 11:55:07',0),(5993,'平台中间件Kafka GC次数异常','dice_addon','dice_addon_kafka_gc_count','dingding','recover','【平台中间件Kafka GC次数恢复】\n','【平台中间件Kafka GC次数恢复】\n\n中间件: {{addon_id}}\n\n老年代GC次数: {{CollectionCount_win_value}}\n\n集群: {{cluster_name}}\n\n机器: {{node_host}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','{\"trigger_duration\":\"time:ms\"}','1.0','2021-05-28 11:55:07','2021-05-28 11:55:07',0),(5994,'平台中间件Kafka GC次数异常','dice_addon','dice_addon_kafka_gc_count','ticket','recover','【平台中间件Kafka GC次数恢复】\n','【平台中间件Kafka GC次数恢复】\n\n中间件: {{addon_id}}\n\n老年代GC次数: {{CollectionCount_win_value}}\n\n集群: {{cluster_name}}\n\n机器: {{node_host}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','{\"trigger_duration\":\"time:ms\"}','1.0','2021-05-28 11:55:07','2021-05-28 11:55:07',0),(5995,'平台中间件Kafka GC次数异常','dice_addon','dice_addon_kafka_gc_count','email','recover','【平台中间件Kafka GC次数恢复】\n','【平台中间件Kafka GC次数恢复】\n\n中间件: {{addon_id}}\n\n老年代GC次数: {{CollectionCount_win_value}}\n\n集群: {{cluster_name}}\n\n机器: {{node_host}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','{\"trigger_duration\":\"time:ms\"}','1.0','2021-05-28 11:55:07','2021-05-28 11:55:07',0),(5996,'平台中间件Kafka GC次数异常','dice_addon','dice_addon_kafka_gc_count','mbox','recover','【平台中间件Kafka GC次数恢复】\n','【平台中间件Kafka GC次数恢复】\n\n中间件: {{addon_id}}\n\n老年代GC次数: {{CollectionCount_win_value}}\n\n集群: {{cluster_name}}\n\n机器: {{node_host}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','{\"trigger_duration\":\"time:ms\"}','1.0','2021-05-28 11:55:07','2021-05-28 11:55:07',0),(5997,'平台中间件Kafka GC次数异常','dice_addon','dice_addon_kafka_gc_count','webhook','recover','【平台中间件Kafka GC次数恢复】\n','【平台中间件Kafka GC次数恢复】\n\n中间件: {{addon_id}}\n\n老年代GC次数: {{CollectionCount_win_value}}\n\n集群: {{cluster_name}}\n\n机器: {{node_host}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','{\"trigger_duration\":\"time:ms\"}','1.0','2021-05-28 11:55:07','2021-05-28 11:55:07',0),(5998,'平台中间件kafka GC耗时异常','dice_addon','dice_addon_kafka_gc_time','dingding','alert','【平台中间件kafka GC耗时告警】\n','【平台中间件kafka GC耗时告警】\n\n中间件: {{addon_id}}\n\n老年代GC耗时: {{CollectionTime_win_value}}\n\n集群: {{cluster_name}}\n\n机器: {{node_host}}\n\n时间: {{timestamp}}\n\n[查看详情]({{display_url}})\n\n[查看记录]({{record_url}})\n','{\"CollectionTime_win_value\":\"time:ms\"}','1.0','2021-05-28 11:55:07','2021-05-28 11:55:07',0),(5999,'平台中间件kafka GC耗时异常','dice_addon','dice_addon_kafka_gc_time','ticket','alert','【平台中间件kafka GC耗时告警】\n','【平台中间件kafka GC耗时告警】\n\n中间件: {{addon_id}}\n\n老年代GC耗时: {{CollectionTime_win_value}}\n\n集群: {{cluster_name}}\n\n机器: {{node_host}}\n\n时间: {{timestamp}}\n\n[查看详情]({{display_url}})\n\n[查看记录]({{record_url}})\n','{\"CollectionTime_win_value\":\"time:ms\"}','1.0','2021-05-28 11:55:07','2021-05-28 11:55:07',0),(6000,'平台中间件kafka GC耗时异常','dice_addon','dice_addon_kafka_gc_time','email','alert','【平台中间件kafka GC耗时告警】\n','【平台中间件kafka GC耗时告警】\n\n中间件: {{addon_id}}\n\n老年代GC耗时: {{CollectionTime_win_value}}\n\n集群: {{cluster_name}}\n\n机器: {{node_host}}\n\n时间: {{timestamp}}\n\n[查看详情]({{display_url}})\n\n[查看记录]({{record_url}})\n','{\"CollectionTime_win_value\":\"time:ms\"}','1.0','2021-05-28 11:55:07','2021-05-28 11:55:07',0),(6001,'平台中间件kafka GC耗时异常','dice_addon','dice_addon_kafka_gc_time','mbox','alert','【平台中间件kafka GC耗时告警】\n','【平台中间件kafka GC耗时告警】\n\n中间件: {{addon_id}}\n\n老年代GC耗时: {{CollectionTime_win_value}}\n\n集群: {{cluster_name}}\n\n机器: {{node_host}}\n\n时间: {{timestamp}}\n\n[查看详情]({{display_url}})\n\n[查看记录]({{record_url}})\n','{\"CollectionTime_win_value\":\"time:ms\"}','1.0','2021-05-28 11:55:07','2021-05-28 11:55:07',0),(6002,'平台中间件kafka GC耗时异常','dice_addon','dice_addon_kafka_gc_time','webhook','alert','【平台中间件kafka GC耗时告警】\n','【平台中间件kafka GC耗时告警】\n\n中间件: {{addon_id}}\n\n老年代GC耗时: {{CollectionTime_win_value}}\n\n集群: {{cluster_name}}\n\n机器: {{node_host}}\n\n时间: {{timestamp}}\n\n[查看详情]({{display_url}})\n\n[查看记录]({{record_url}})\n','{\"CollectionTime_win_value\":\"time:ms\"}','1.0','2021-05-28 11:55:07','2021-05-28 11:55:07',0),(6003,'平台中间件kafka GC耗时异常','dice_addon','dice_addon_kafka_gc_time','dingding','recover','【平台中间件kafka GC耗时恢复】\n','【平台中间件kafka GC耗时恢复】\n\n中间件: {{addon_id}}\n\n老年代GC耗时: {{CollectionTime_win_value}}\n\n集群: {{cluster_name}}\n\n机器: {{node_host}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','{\"CollectionTime_win_value\":\"time:ms\",\"trigger_duration\":\"time:ms\"}','1.0','2021-05-28 11:55:07','2021-05-28 11:55:07',0),(6004,'平台中间件kafka GC耗时异常','dice_addon','dice_addon_kafka_gc_time','ticket','recover','【平台中间件kafka GC耗时恢复】\n','【平台中间件kafka GC耗时恢复】\n\n中间件: {{addon_id}}\n\n老年代GC耗时: {{CollectionTime_win_value}}\n\n集群: {{cluster_name}}\n\n机器: {{node_host}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','{\"CollectionTime_win_value\":\"time:ms\",\"trigger_duration\":\"time:ms\"}','1.0','2021-05-28 11:55:07','2021-05-28 11:55:07',0),(6005,'平台中间件kafka GC耗时异常','dice_addon','dice_addon_kafka_gc_time','email','recover','【平台中间件kafka GC耗时恢复】\n','【平台中间件kafka GC耗时恢复】\n\n中间件: {{addon_id}}\n\n老年代GC耗时: {{CollectionTime_win_value}}\n\n集群: {{cluster_name}}\n\n机器: {{node_host}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','{\"CollectionTime_win_value\":\"time:ms\",\"trigger_duration\":\"time:ms\"}','1.0','2021-05-28 11:55:07','2021-05-28 11:55:07',0),(6006,'平台中间件kafka GC耗时异常','dice_addon','dice_addon_kafka_gc_time','mbox','recover','【平台中间件kafka GC耗时恢复】\n','【平台中间件kafka GC耗时恢复】\n\n中间件: {{addon_id}}\n\n老年代GC耗时: {{CollectionTime_win_value}}\n\n集群: {{cluster_name}}\n\n机器: {{node_host}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','{\"CollectionTime_win_value\":\"time:ms\",\"trigger_duration\":\"time:ms\"}','1.0','2021-05-28 11:55:07','2021-05-28 11:55:07',0),(6007,'平台中间件kafka GC耗时异常','dice_addon','dice_addon_kafka_gc_time','webhook','recover','【平台中间件kafka GC耗时恢复】\n','【平台中间件kafka GC耗时恢复】\n\n中间件: {{addon_id}}\n\n老年代GC耗时: {{CollectionTime_win_value}}\n\n集群: {{cluster_name}}\n\n机器: {{node_host}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','{\"CollectionTime_win_value\":\"time:ms\",\"trigger_duration\":\"time:ms\"}','1.0','2021-05-28 11:55:07','2021-05-28 11:55:07',0),(6008,'平台中间件kafka消费堆积','dice_addon','dice_addon_kafka_lag','dingding','alert','【平台中间件kafka消费堆积告警】\n','【平台中间件kafka消费堆积告警】\n\n中间件: {{addon_id}}\n\n消费者组: {{group}}\n\nTopic: {{topic}}\n\n当前消息堆积: {{lag_avg}}\n\n消费速度: {{consume_rate_per_sec_avg}} /s\n\n生产速度: {{produce_rate_per_sec_avg}} /s\n\n集群: {{cluster_name}}\n\n时间: {{timestamp}}\n\n[查看详情]({{display_url}})\n\n[查看记录]({{record_url}})\n','','1.0','2021-05-28 11:55:07','2021-05-28 11:55:07',0),(6009,'平台中间件kafka消费堆积','dice_addon','dice_addon_kafka_lag','ticket','alert','【平台中间件kafka消费堆积告警】\n','【平台中间件kafka消费堆积告警】\n\n中间件: {{addon_id}}\n\n消费者组: {{group}}\n\nTopic: {{topic}}\n\n当前消息堆积: {{lag_avg}}\n\n消费速度: {{consume_rate_per_sec_avg}} /s\n\n生产速度: {{produce_rate_per_sec_avg}} /s\n\n集群: {{cluster_name}}\n\n时间: {{timestamp}}\n\n[查看详情]({{display_url}})\n\n[查看记录]({{record_url}})\n','','1.0','2021-05-28 11:55:07','2021-05-28 11:55:07',0),(6010,'平台中间件kafka消费堆积','dice_addon','dice_addon_kafka_lag','email','alert','【平台中间件kafka消费堆积告警】\n','【平台中间件kafka消费堆积告警】\n\n中间件: {{addon_id}}\n\n消费者组: {{group}}\n\nTopic: {{topic}}\n\n当前消息堆积: {{lag_avg}}\n\n消费速度: {{consume_rate_per_sec_avg}} /s\n\n生产速度: {{produce_rate_per_sec_avg}} /s\n\n集群: {{cluster_name}}\n\n时间: {{timestamp}}\n\n[查看详情]({{display_url}})\n\n[查看记录]({{record_url}})\n','','1.0','2021-05-28 11:55:07','2021-05-28 11:55:07',0),(6011,'平台中间件kafka消费堆积','dice_addon','dice_addon_kafka_lag','mbox','alert','【平台中间件kafka消费堆积告警】\n','【平台中间件kafka消费堆积告警】\n\n中间件: {{addon_id}}\n\n消费者组: {{group}}\n\nTopic: {{topic}}\n\n当前消息堆积: {{lag_avg}}\n\n消费速度: {{consume_rate_per_sec_avg}} /s\n\n生产速度: {{produce_rate_per_sec_avg}} /s\n\n集群: {{cluster_name}}\n\n时间: {{timestamp}}\n\n[查看详情]({{display_url}})\n\n[查看记录]({{record_url}})\n','','1.0','2021-05-28 11:55:07','2021-05-28 11:55:07',0),(6012,'平台中间件kafka消费堆积','dice_addon','dice_addon_kafka_lag','webhook','alert','【平台中间件kafka消费堆积告警】\n','【平台中间件kafka消费堆积告警】\n\n中间件: {{addon_id}}\n\n消费者组: {{group}}\n\nTopic: {{topic}}\n\n当前消息堆积: {{lag_avg}}\n\n消费速度: {{consume_rate_per_sec_avg}} /s\n\n生产速度: {{produce_rate_per_sec_avg}} /s\n\n集群: {{cluster_name}}\n\n时间: {{timestamp}}\n\n[查看详情]({{display_url}})\n\n[查看记录]({{record_url}})\n','','1.0','2021-05-28 11:55:07','2021-05-28 11:55:07',0),(6013,'平台中间件kafka消费堆积','dice_addon','dice_addon_kafka_lag','dingding','recover','【平台中间件kafka消费堆积恢复】\n','【平台中间件kafka消费堆积恢复】\n\n中间件: {{addon_id}}\n\n消费者组: {{group}}\n\nTopic: {{topic}}\n\n当前消息堆积: {{lag_avg}}\n\n集群: {{cluster_name}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','{\"trigger_duration\":\"time:ms\"}','1.0','2021-05-28 11:55:07','2021-05-28 11:55:07',0),(6014,'平台中间件kafka消费堆积','dice_addon','dice_addon_kafka_lag','ticket','recover','【平台中间件kafka消费堆积恢复】\n','【平台中间件kafka消费堆积恢复】\n\n中间件: {{addon_id}}\n\n消费者组: {{group}}\n\nTopic: {{topic}}\n\n当前消息堆积: {{lag_avg}}\n\n集群: {{cluster_name}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','{\"trigger_duration\":\"time:ms\"}','1.0','2021-05-28 11:55:07','2021-05-28 11:55:07',0),(6015,'平台中间件kafka消费堆积','dice_addon','dice_addon_kafka_lag','email','recover','【平台中间件kafka消费堆积恢复】\n','【平台中间件kafka消费堆积恢复】\n\n中间件: {{addon_id}}\n\n消费者组: {{group}}\n\nTopic: {{topic}}\n\n当前消息堆积: {{lag_avg}}\n\n集群: {{cluster_name}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','{\"trigger_duration\":\"time:ms\"}','1.0','2021-05-28 11:55:07','2021-05-28 11:55:07',0),(6016,'平台中间件kafka消费堆积','dice_addon','dice_addon_kafka_lag','mbox','recover','【平台中间件kafka消费堆积恢复】\n','【平台中间件kafka消费堆积恢复】\n\n中间件: {{addon_id}}\n\n消费者组: {{group}}\n\nTopic: {{topic}}\n\n当前消息堆积: {{lag_avg}}\n\n集群: {{cluster_name}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','{\"trigger_duration\":\"time:ms\"}','1.0','2021-05-28 11:55:07','2021-05-28 11:55:07',0),(6017,'平台中间件kafka消费堆积','dice_addon','dice_addon_kafka_lag','webhook','recover','【平台中间件kafka消费堆积恢复】\n','【平台中间件kafka消费堆积恢复】\n\n中间件: {{addon_id}}\n\n消费者组: {{group}}\n\nTopic: {{topic}}\n\n当前消息堆积: {{lag_avg}}\n\n集群: {{cluster_name}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','{\"trigger_duration\":\"time:ms\"}','1.0','2021-05-28 11:55:07','2021-05-28 11:55:07',0),(6018,'平台组件实例CPU异常','dice_component','dice_component_container_cpu','dingding','alert','【平台组件{{component_name}} CPU使用率告警】\n','【平台组件CPU使用率告警】\n\n组件: {{component_name}}\n\n使用率: {{cpu_usage_percent_avg}}\n\n限制: {{cpu_limit_value}}核\n\n分配: {{cpu_allocation_value}}核\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n容器ID: {{container_id}}\n\n时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','{\"cpu_allocation_value\":\"fraction:2\",\"cpu_limit_value\":\"fraction:2\",\"cpu_usage_percent_avg\":\"percent:2\"}','1.0','2021-05-28 11:55:07','2021-05-28 11:55:07',0),(6019,'平台组件实例CPU异常','dice_component','dice_component_container_cpu','ticket','alert','【平台组件{{component_name}} CPU使用率告警】\n','【平台组件CPU使用率告警】\n\n组件: {{component_name}}\n\n使用率: {{cpu_usage_percent_avg}}\n\n限制: {{cpu_limit_value}}核\n\n分配: {{cpu_allocation_value}}核\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n容器ID: {{container_id}}\n\n时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','{\"cpu_allocation_value\":\"fraction:2\",\"cpu_limit_value\":\"fraction:2\",\"cpu_usage_percent_avg\":\"percent:2\"}','1.0','2021-05-28 11:55:07','2021-05-28 11:55:07',0),(6020,'平台组件实例CPU异常','dice_component','dice_component_container_cpu','email','alert','【平台组件{{component_name}} CPU使用率告警】\n','【平台组件CPU使用率告警】\n\n组件: {{component_name}}\n\n使用率: {{cpu_usage_percent_avg}}\n\n限制: {{cpu_limit_value}}核\n\n分配: {{cpu_allocation_value}}核\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n容器ID: {{container_id}}\n\n时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','{\"cpu_allocation_value\":\"fraction:2\",\"cpu_limit_value\":\"fraction:2\",\"cpu_usage_percent_avg\":\"percent:2\"}','1.0','2021-05-28 11:55:07','2021-05-28 11:55:07',0),(6021,'平台组件实例CPU异常','dice_component','dice_component_container_cpu','mbox','alert','【平台组件{{component_name}} CPU使用率告警】\n','【平台组件CPU使用率告警】\n\n组件: {{component_name}}\n\n使用率: {{cpu_usage_percent_avg}}\n\n限制: {{cpu_limit_value}}核\n\n分配: {{cpu_allocation_value}}核\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n容器ID: {{container_id}}\n\n时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','{\"cpu_allocation_value\":\"fraction:2\",\"cpu_limit_value\":\"fraction:2\",\"cpu_usage_percent_avg\":\"percent:2\"}','1.0','2021-05-28 11:55:07','2021-05-28 11:55:07',0),(6022,'平台组件实例CPU异常','dice_component','dice_component_container_cpu','webhook','alert','【平台组件{{component_name}} CPU使用率告警】\n','【平台组件CPU使用率告警】\n\n组件: {{component_name}}\n\n使用率: {{cpu_usage_percent_avg}}\n\n限制: {{cpu_limit_value}}核\n\n分配: {{cpu_allocation_value}}核\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n容器ID: {{container_id}}\n\n时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','{\"cpu_allocation_value\":\"fraction:2\",\"cpu_limit_value\":\"fraction:2\",\"cpu_usage_percent_avg\":\"percent:2\"}','1.0','2021-05-28 11:55:07','2021-05-28 11:55:07',0),(6023,'平台组件实例CPU异常','dice_component','dice_component_container_cpu','dingding','recover','【平台组件{{component_name}} CPU使用率恢复】\n','【平台组件CPU使用率恢复】\n\n组件: {{component_name}}\n\n使用率: {{cpu_usage_percent_avg}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n容器ID: {{container_id}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','{\"cpu_usage_percent_avg\":\"percent:2\",\"trigger_duration\":\"time:ms\"}','1.0','2021-05-28 11:55:07','2021-05-28 11:55:07',0),(6024,'平台组件实例CPU异常','dice_component','dice_component_container_cpu','ticket','recover','【平台组件{{component_name}} CPU使用率恢复】\n','【平台组件CPU使用率恢复】\n\n组件: {{component_name}}\n\n使用率: {{cpu_usage_percent_avg}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n容器ID: {{container_id}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','{\"cpu_usage_percent_avg\":\"percent:2\",\"trigger_duration\":\"time:ms\"}','1.0','2021-05-28 11:55:07','2021-05-28 11:55:07',0),(6025,'平台组件实例CPU异常','dice_component','dice_component_container_cpu','email','recover','【平台组件{{component_name}} CPU使用率恢复】\n','【平台组件CPU使用率恢复】\n\n组件: {{component_name}}\n\n使用率: {{cpu_usage_percent_avg}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n容器ID: {{container_id}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','{\"cpu_usage_percent_avg\":\"percent:2\",\"trigger_duration\":\"time:ms\"}','1.0','2021-05-28 11:55:07','2021-05-28 11:55:07',0),(6026,'平台组件实例CPU异常','dice_component','dice_component_container_cpu','mbox','recover','【平台组件{{component_name}} CPU使用率恢复】\n','【平台组件CPU使用率恢复】\n\n组件: {{component_name}}\n\n使用率: {{cpu_usage_percent_avg}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n容器ID: {{container_id}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','{\"cpu_usage_percent_avg\":\"percent:2\",\"trigger_duration\":\"time:ms\"}','1.0','2021-05-28 11:55:07','2021-05-28 11:55:07',0),(6027,'平台组件实例CPU异常','dice_component','dice_component_container_cpu','webhook','recover','【平台组件{{component_name}} CPU使用率恢复】\n','【平台组件CPU使用率恢复】\n\n组件: {{component_name}}\n\n使用率: {{cpu_usage_percent_avg}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n容器ID: {{container_id}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','{\"cpu_usage_percent_avg\":\"percent:2\",\"trigger_duration\":\"time:ms\"}','1.0','2021-05-28 11:55:07','2021-05-28 11:55:07',0),(6028,'平台组件异常退出','dice_component','dice_component_container_exit','dingding','alert','【平台组件{{component_name}}异常退出告警】\n','【平台组件异常退出告警】\n\n组件: {{component_name}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n启动时间: {{started_at_value}}\n\n退出时间: {{finished_at_value}}\n\n退出原因: {{terminated_reason_value}}\n\n时间: {{timestamp}}\n\n[查看详情]({{display_url}})\n\n[查看记录]({{record_url}})\n','{\"finished_at_value\":\"date\",\"started_at_value\":\"date\"}','1.0','2021-05-28 11:55:07','2021-05-28 11:55:07',0),(6029,'平台组件异常退出','dice_component','dice_component_container_exit','ticket','alert','【平台组件{{component_name}}异常退出告警】\n','【平台组件异常退出告警】\n\n组件: {{component_name}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n启动时间: {{started_at_value}}\n\n退出时间: {{finished_at_value}}\n\n退出原因: {{terminated_reason_value}}\n\n时间: {{timestamp}}\n\n[查看详情]({{display_url}})\n\n[查看记录]({{record_url}})\n','{\"finished_at_value\":\"date\",\"started_at_value\":\"date\"}','1.0','2021-05-28 11:55:07','2021-05-28 11:55:07',0),(6030,'平台组件异常退出','dice_component','dice_component_container_exit','email','alert','【平台组件{{component_name}}异常退出告警】\n','【平台组件异常退出告警】\n\n组件: {{component_name}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n启动时间: {{started_at_value}}\n\n退出时间: {{finished_at_value}}\n\n退出原因: {{terminated_reason_value}}\n\n时间: {{timestamp}}\n\n[查看详情]({{display_url}})\n\n[查看记录]({{record_url}})\n','{\"finished_at_value\":\"date\",\"started_at_value\":\"date\"}','1.0','2021-05-28 11:55:07','2021-05-28 11:55:07',0),(6031,'平台组件异常退出','dice_component','dice_component_container_exit','mbox','alert','【平台组件{{component_name}}异常退出告警】\n','【平台组件异常退出告警】\n\n组件: {{component_name}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n启动时间: {{started_at_value}}\n\n退出时间: {{finished_at_value}}\n\n退出原因: {{terminated_reason_value}}\n\n时间: {{timestamp}}\n\n[查看详情]({{display_url}})\n\n[查看记录]({{record_url}})\n','{\"finished_at_value\":\"date\",\"started_at_value\":\"date\"}','1.0','2021-05-28 11:55:07','2021-05-28 11:55:07',0),(6032,'平台组件异常退出','dice_component','dice_component_container_exit','webhook','alert','【平台组件{{component_name}}异常退出告警】\n','【平台组件异常退出告警】\n\n组件: {{component_name}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n启动时间: {{started_at_value}}\n\n退出时间: {{finished_at_value}}\n\n退出原因: {{terminated_reason_value}}\n\n时间: {{timestamp}}\n\n[查看详情]({{display_url}})\n\n[查看记录]({{record_url}})\n','{\"finished_at_value\":\"date\",\"started_at_value\":\"date\"}','1.0','2021-05-28 11:55:07','2021-05-28 11:55:07',0),(6033,'平台组件异常退出','dice_component','dice_component_container_exit','dingding','recover','【平台组件{{component_name}}异常退出恢复】\n','【平台组件异常退出恢复】\n\n组件: {{component_name}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','{\"trigger_duration\":\"time:ms\"}','1.0','2021-05-28 11:55:07','2021-05-28 11:55:07',0),(6034,'平台组件异常退出','dice_component','dice_component_container_exit','ticket','recover','【平台组件{{component_name}}异常退出恢复】\n','【平台组件异常退出恢复】\n\n组件: {{component_name}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','{\"trigger_duration\":\"time:ms\"}','1.0','2021-05-28 11:55:07','2021-05-28 11:55:07',0),(6035,'平台组件异常退出','dice_component','dice_component_container_exit','email','recover','【平台组件{{component_name}}异常退出恢复】\n','【平台组件异常退出恢复】\n\n组件: {{component_name}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','{\"trigger_duration\":\"time:ms\"}','1.0','2021-05-28 11:55:07','2021-05-28 11:55:07',0),(6036,'平台组件异常退出','dice_component','dice_component_container_exit','mbox','recover','【平台组件{{component_name}}异常退出恢复】\n','【平台组件异常退出恢复】\n\n组件: {{component_name}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','{\"trigger_duration\":\"time:ms\"}','1.0','2021-05-28 11:55:07','2021-05-28 11:55:07',0),(6037,'平台组件异常退出','dice_component','dice_component_container_exit','webhook','recover','【平台组件{{component_name}}异常退出恢复】\n','【平台组件异常退出恢复】\n\n组件: {{component_name}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','{\"trigger_duration\":\"time:ms\"}','1.0','2021-05-28 11:55:07','2021-05-28 11:55:07',0),(6038,'平台组件实例内存异常','dice_component','dice_component_container_mem','dingding','alert','【平台组件{{component_name}}内存使用率告警】\n','【平台组件内存使用率告警】\n\n组件: {{component_name}}\n\n使用率: {{mem_usage_percent_avg}}\n\n使用: {{mem_usage_value}}\n\n限制: {{mem_limit_value}}\n\n分配: {{mem_allocation_value}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n容器ID: {{container_id}}\n\n时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','{\"mem_allocation_value\":\"size:byte\",\"mem_limit_value\":\"size:byte\",\"mem_usage_percent_avg\":\"percent:2\",\"mem_usage_value\":\"size:byte\"}','1.0','2021-05-28 11:55:07','2021-05-28 11:55:07',0),(6039,'平台组件实例内存异常','dice_component','dice_component_container_mem','ticket','alert','【平台组件{{component_name}}内存使用率告警】\n','【平台组件内存使用率告警】\n\n组件: {{component_name}}\n\n使用率: {{mem_usage_percent_avg}}\n\n使用: {{mem_usage_value}}\n\n限制: {{mem_limit_value}}\n\n分配: {{mem_allocation_value}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n容器ID: {{container_id}}\n\n时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','{\"mem_allocation_value\":\"size:byte\",\"mem_limit_value\":\"size:byte\",\"mem_usage_percent_avg\":\"percent:2\",\"mem_usage_value\":\"size:byte\"}','1.0','2021-05-28 11:55:07','2021-05-28 11:55:07',0),(6040,'平台组件实例内存异常','dice_component','dice_component_container_mem','email','alert','【平台组件{{component_name}}内存使用率告警】\n','【平台组件内存使用率告警】\n\n组件: {{component_name}}\n\n使用率: {{mem_usage_percent_avg}}\n\n使用: {{mem_usage_value}}\n\n限制: {{mem_limit_value}}\n\n分配: {{mem_allocation_value}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n容器ID: {{container_id}}\n\n时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','{\"mem_allocation_value\":\"size:byte\",\"mem_limit_value\":\"size:byte\",\"mem_usage_percent_avg\":\"percent:2\",\"mem_usage_value\":\"size:byte\"}','1.0','2021-05-28 11:55:07','2021-05-28 11:55:07',0),(6041,'平台组件实例内存异常','dice_component','dice_component_container_mem','mbox','alert','【平台组件{{component_name}}内存使用率告警】\n','【平台组件内存使用率告警】\n\n组件: {{component_name}}\n\n使用率: {{mem_usage_percent_avg}}\n\n使用: {{mem_usage_value}}\n\n限制: {{mem_limit_value}}\n\n分配: {{mem_allocation_value}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n容器ID: {{container_id}}\n\n时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','{\"mem_allocation_value\":\"size:byte\",\"mem_limit_value\":\"size:byte\",\"mem_usage_percent_avg\":\"percent:2\",\"mem_usage_value\":\"size:byte\"}','1.0','2021-05-28 11:55:07','2021-05-28 11:55:07',0),(6042,'平台组件实例内存异常','dice_component','dice_component_container_mem','webhook','alert','【平台组件{{component_name}}内存使用率告警】\n','【平台组件内存使用率告警】\n\n组件: {{component_name}}\n\n使用率: {{mem_usage_percent_avg}}\n\n使用: {{mem_usage_value}}\n\n限制: {{mem_limit_value}}\n\n分配: {{mem_allocation_value}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n容器ID: {{container_id}}\n\n时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','{\"mem_allocation_value\":\"size:byte\",\"mem_limit_value\":\"size:byte\",\"mem_usage_percent_avg\":\"percent:2\",\"mem_usage_value\":\"size:byte\"}','1.0','2021-05-28 11:55:07','2021-05-28 11:55:07',0),(6043,'平台组件实例内存异常','dice_component','dice_component_container_mem','dingding','recover','【平台组件{{component_name}}内存使用率恢复】\n','【平台组件内存使用率恢复】\n\n组件: {{component_name}}\n\n使用率: {{mem_usage_percent_avg}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n容器ID: {{container_id}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','{\"trigger_duration\":\"time:ms\",\"usage_percent_avg\":\"percent:2\"}','1.0','2021-05-28 11:55:07','2021-05-28 11:55:07',0),(6044,'平台组件实例内存异常','dice_component','dice_component_container_mem','ticket','recover','【平台组件{{component_name}}内存使用率恢复】\n','【平台组件内存使用率恢复】\n\n组件: {{component_name}}\n\n使用率: {{mem_usage_percent_avg}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n容器ID: {{container_id}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','{\"trigger_duration\":\"time:ms\",\"usage_percent_avg\":\"percent:2\"}','1.0','2021-05-28 11:55:07','2021-05-28 11:55:07',0),(6045,'平台组件实例内存异常','dice_component','dice_component_container_mem','email','recover','【平台组件{{component_name}}内存使用率恢复】\n','【平台组件内存使用率恢复】\n\n组件: {{component_name}}\n\n使用率: {{mem_usage_percent_avg}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n容器ID: {{container_id}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','{\"trigger_duration\":\"time:ms\",\"usage_percent_avg\":\"percent:2\"}','1.0','2021-05-28 11:55:07','2021-05-28 11:55:07',0),(6046,'平台组件实例内存异常','dice_component','dice_component_container_mem','mbox','recover','【平台组件{{component_name}}内存使用率恢复】\n','【平台组件内存使用率恢复】\n\n组件: {{component_name}}\n\n使用率: {{mem_usage_percent_avg}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n容器ID: {{container_id}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','{\"trigger_duration\":\"time:ms\",\"usage_percent_avg\":\"percent:2\"}','1.0','2021-05-28 11:55:07','2021-05-28 11:55:07',0),(6047,'平台组件实例内存异常','dice_component','dice_component_container_mem','webhook','recover','【平台组件{{component_name}}内存使用率恢复】\n','【平台组件内存使用率恢复】\n\n组件: {{component_name}}\n\n使用率: {{mem_usage_percent_avg}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n容器ID: {{container_id}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','{\"trigger_duration\":\"time:ms\",\"usage_percent_avg\":\"percent:2\"}','1.0','2021-05-28 11:55:07','2021-05-28 11:55:07',0),(6048,'平台组件实例Ready状态异常','dice_component','dice_component_container_ready','dingding','alert','【平台组件{{resource_name_value}} Ready状态异常告警】\n','【平台组件Ready状态异常告警】\n\n组件: {{resource_name_value}}\n\n未就绪实例: {{not_ready_value}}\n\n已就绪实例: {{ready_value}}\n\n集群: {{cluster_name}}\n\n时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','','1.0','2021-05-28 11:55:07','2021-05-28 11:55:07',0),(6049,'平台组件实例Ready状态异常','dice_component','dice_component_container_ready','ticket','alert','【平台组件{{resource_name_value}} Ready状态异常告警】\n','【平台组件Ready状态异常告警】\n\n组件: {{resource_name_value}}\n\n未就绪实例: {{not_ready_value}}\n\n已就绪实例: {{ready_value}}\n\n集群: {{cluster_name}}\n\n时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','','1.0','2021-05-28 11:55:07','2021-05-28 11:55:07',0),(6050,'平台组件实例Ready状态异常','dice_component','dice_component_container_ready','email','alert','【平台组件{{resource_name_value}} Ready状态异常告警】\n','【平台组件Ready状态异常告警】\n\n组件: {{resource_name_value}}\n\n未就绪实例: {{not_ready_value}}\n\n已就绪实例: {{ready_value}}\n\n集群: {{cluster_name}}\n\n时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','','1.0','2021-05-28 11:55:07','2021-05-28 11:55:07',0),(6051,'平台组件实例Ready状态异常','dice_component','dice_component_container_ready','mbox','alert','【平台组件{{resource_name_value}} Ready状态异常告警】\n','【平台组件Ready状态异常告警】\n\n组件: {{resource_name_value}}\n\n未就绪实例: {{not_ready_value}}\n\n已就绪实例: {{ready_value}}\n\n集群: {{cluster_name}}\n\n时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','','1.0','2021-05-28 11:55:07','2021-05-28 11:55:07',0),(6052,'平台组件实例Ready状态异常','dice_component','dice_component_container_ready','webhook','alert','【平台组件{{resource_name_value}} Ready状态异常告警】\n','【平台组件Ready状态异常告警】\n\n组件: {{resource_name_value}}\n\n未就绪实例: {{not_ready_value}}\n\n已就绪实例: {{ready_value}}\n\n集群: {{cluster_name}}\n\n时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','','1.0','2021-05-28 11:55:07','2021-05-28 11:55:07',0),(6053,'平台组件实例Ready状态异常','dice_component','dice_component_container_ready','dingding','recover','【平台组件{{resource_name_value}} Ready状态异常恢复】\n','【平台组件Ready状态异常恢复】\n\n组件: {{resource_name_value}}\n\n已绪数实例: {{ready_value}}\n\n集群: {{cluster_name}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','{\"trigger_duration\":\"time:ms\"}','1.0','2021-05-28 11:55:07','2021-05-28 11:55:07',0),(6054,'平台组件实例Ready状态异常','dice_component','dice_component_container_ready','ticket','recover','【平台组件{{resource_name_value}} Ready状态异常恢复】\n','【平台组件Ready状态异常恢复】\n\n组件: {{resource_name_value}}\n\n已绪数实例: {{ready_value}}\n\n集群: {{cluster_name}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','{\"trigger_duration\":\"time:ms\"}','1.0','2021-05-28 11:55:07','2021-05-28 11:55:07',0),(6055,'平台组件实例Ready状态异常','dice_component','dice_component_container_ready','email','recover','【平台组件{{resource_name_value}} Ready状态异常恢复】\n','【平台组件Ready状态异常恢复】\n\n组件: {{resource_name_value}}\n\n已绪数实例: {{ready_value}}\n\n集群: {{cluster_name}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','{\"trigger_duration\":\"time:ms\"}','1.0','2021-05-28 11:55:07','2021-05-28 11:55:07',0),(6056,'平台组件实例Ready状态异常','dice_component','dice_component_container_ready','mbox','recover','【平台组件{{resource_name_value}} Ready状态异常恢复】\n','【平台组件Ready状态异常恢复】\n\n组件: {{resource_name_value}}\n\n已绪数实例: {{ready_value}}\n\n集群: {{cluster_name}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','{\"trigger_duration\":\"time:ms\"}','1.0','2021-05-28 11:55:07','2021-05-28 11:55:07',0),(6057,'平台组件实例Ready状态异常','dice_component','dice_component_container_ready','webhook','recover','【平台组件{{resource_name_value}} Ready状态异常恢复】\n','【平台组件Ready状态异常恢复】\n\n组件: {{resource_name_value}}\n\n已绪数实例: {{ready_value}}\n\n集群: {{cluster_name}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','{\"trigger_duration\":\"time:ms\"}','1.0','2021-05-28 11:55:07','2021-05-28 11:55:07',0),(6058,'平台组件Flink任务checkpoint延迟异常告警','dice_component','dice_component_flink_checkpoint_duration','dingding','alert','【平台组件Flink任务checkpoint延迟异常告警】\n','【平台组件Flink任务checkpoint延迟异常告警】\n\n延迟: {{lastCheckpointDuration_value}}ms\n\n任务ID： {{job_id}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','{}','1.0','2021-05-28 11:55:07','2021-05-28 11:55:07',0),(6059,'平台组件Flink任务checkpoint延迟异常告警','dice_component','dice_component_flink_checkpoint_duration','ticket','alert','【平台组件Flink任务checkpoint延迟异常告警】\n','【平台组件Flink任务checkpoint延迟异常告警】\n\n延迟: {{lastCheckpointDuration_value}}ms\n\n任务ID： {{job_id}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','{}','1.0','2021-05-28 11:55:07','2021-05-28 11:55:07',0),(6060,'平台组件Flink任务checkpoint延迟异常告警','dice_component','dice_component_flink_checkpoint_duration','email','alert','【平台组件Flink任务checkpoint延迟异常告警】\n','【平台组件Flink任务checkpoint延迟异常告警】\n\n延迟: {{lastCheckpointDuration_value}}ms\n\n任务ID： {{job_id}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','{}','1.0','2021-05-28 11:55:07','2021-05-28 11:55:07',0),(6061,'平台组件Flink任务checkpoint延迟异常告警','dice_component','dice_component_flink_checkpoint_duration','mbox','alert','【平台组件Flink任务checkpoint延迟异常告警】\n','【平台组件Flink任务checkpoint延迟异常告警】\n\n延迟: {{lastCheckpointDuration_value}}ms\n\n任务ID： {{job_id}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','{}','1.0','2021-05-28 11:55:07','2021-05-28 11:55:07',0),(6062,'平台组件Flink任务checkpoint延迟异常告警','dice_component','dice_component_flink_checkpoint_duration','webhook','alert','【平台组件Flink任务checkpoint延迟异常告警】\n','【平台组件Flink任务checkpoint延迟异常告警】\n\n延迟: {{lastCheckpointDuration_value}}ms\n\n任务ID： {{job_id}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','{}','1.0','2021-05-28 11:55:07','2021-05-28 11:55:07',0),(6063,'平台组件Flink吞吐量异常告警','dice_component','dice_component_flink_throughput','dingding','alert','【平台组件Flink吞吐量异常告警】\n','【平台组件Flink吞吐量异常告警】\n\noperator每秒输出量: {{numRecordsOutPerSecond_count_value}}\n\n任务ID： {{job_id}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','{}','1.0','2021-05-28 11:55:07','2021-05-28 11:55:07',0),(6064,'平台组件Flink吞吐量异常告警','dice_component','dice_component_flink_throughput','ticket','alert','【平台组件Flink吞吐量异常告警】\n','【平台组件Flink吞吐量异常告警】\n\noperator每秒输出量: {{numRecordsOutPerSecond_count_value}}\n\n任务ID： {{job_id}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','{}','1.0','2021-05-28 11:55:07','2021-05-28 11:55:07',0),(6065,'平台组件Flink吞吐量异常告警','dice_component','dice_component_flink_throughput','email','alert','【平台组件Flink吞吐量异常告警】\n','【平台组件Flink吞吐量异常告警】\n\noperator每秒输出量: {{numRecordsOutPerSecond_count_value}}\n\n任务ID： {{job_id}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','{}','1.0','2021-05-28 11:55:07','2021-05-28 11:55:07',0),(6066,'平台组件Flink吞吐量异常告警','dice_component','dice_component_flink_throughput','mbox','alert','【平台组件Flink吞吐量异常告警】\n','【平台组件Flink吞吐量异常告警】\n\noperator每秒输出量: {{numRecordsOutPerSecond_count_value}}\n\n任务ID： {{job_id}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','{}','1.0','2021-05-28 11:55:07','2021-05-28 11:55:07',0),(6067,'平台组件Flink吞吐量异常告警','dice_component','dice_component_flink_throughput','webhook','alert','【平台组件Flink吞吐量异常告警】\n','【平台组件Flink吞吐量异常告警】\n\noperator每秒输出量: {{numRecordsOutPerSecond_count_value}}\n\n任务ID： {{job_id}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','{}','1.0','2021-05-28 11:55:07','2021-05-28 11:55:07',0),(6068,'平台组件网盘不可用告警','dice_component','dice_component_gfs_status','dingding','alert','【平台组件网盘疑似不可用告警】\n','【平台组件网盘疑似不可用告警】\n\n组件: {{component_name}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','{}','1.0','2021-05-28 11:55:07','2021-05-28 11:55:07',0),(6069,'平台组件网盘不可用告警','dice_component','dice_component_gfs_status','ticket','alert','【平台组件网盘疑似不可用告警】\n','【平台组件网盘疑似不可用告警】\n\n组件: {{component_name}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','{}','1.0','2021-05-28 11:55:07','2021-05-28 11:55:07',0),(6070,'平台组件网盘不可用告警','dice_component','dice_component_gfs_status','email','alert','【平台组件网盘疑似不可用告警】\n','【平台组件网盘疑似不可用告警】\n\n组件: {{component_name}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','{}','1.0','2021-05-28 11:55:07','2021-05-28 11:55:07',0),(6071,'平台组件网盘不可用告警','dice_component','dice_component_gfs_status','mbox','alert','【平台组件网盘疑似不可用告警】\n','【平台组件网盘疑似不可用告警】\n\n组件: {{component_name}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','{}','1.0','2021-05-28 11:55:07','2021-05-28 11:55:07',0),(6072,'平台组件网盘不可用告警','dice_component','dice_component_gfs_status','webhook','alert','【平台组件网盘疑似不可用告警】\n','【平台组件网盘疑似不可用告警】\n\n组件: {{component_name}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','{}','1.0','2021-05-28 11:55:07','2021-05-28 11:55:07',0),(6073,'【事件】LOG_STORE保护器状态变化','dice_component','dice_component_log_protector','dingding','alert','【【事件】LOG_STORE保护器状态变化】\n','【【事件】LOG_STORE保护器状态变化】\n\n集群: {{cluster_name}}\n\n之前状态: {{pre_level}}\n\n当前状态: {{cur_level}}\n\n时间: {{timestamp}}\n\n[查看记录]({{record_url}})','{}','1.0','2021-05-28 11:55:07','2021-05-28 11:55:07',0),(6074,'【事件】LOG_STORE保护器状态变化','dice_component','dice_component_log_protector','ticket','alert','【【事件】LOG_STORE保护器状态变化】\n','【【事件】LOG_STORE保护器状态变化】\n\n集群: {{cluster_name}}\n\n之前状态: {{pre_level}}\n\n当前状态: {{cur_level}}\n\n时间: {{timestamp}}\n\n[查看记录]({{record_url}})','{}','1.0','2021-05-28 11:55:07','2021-05-28 11:55:07',0),(6075,'【事件】LOG_STORE保护器状态变化','dice_component','dice_component_log_protector','email','alert','【【事件】LOG_STORE保护器状态变化】\n','【【事件】LOG_STORE保护器状态变化】\n\n集群: {{cluster_name}}\n\n之前状态: {{pre_level}}\n\n当前状态: {{cur_level}}\n\n时间: {{timestamp}}\n\n[查看记录]({{record_url}})','{}','1.0','2021-05-28 11:55:07','2021-05-28 11:55:07',0),(6076,'【事件】LOG_STORE保护器状态变化','dice_component','dice_component_log_protector','mbox','alert','【【事件】LOG_STORE保护器状态变化】\n','【【事件】LOG_STORE保护器状态变化】\n\n集群: {{cluster_name}}\n\n之前状态: {{pre_level}}\n\n当前状态: {{cur_level}}\n\n时间: {{timestamp}}\n\n[查看记录]({{record_url}})','{}','1.0','2021-05-28 11:55:07','2021-05-28 11:55:07',0),(6077,'【事件】LOG_STORE保护器状态变化','dice_component','dice_component_log_protector','webhook','alert','【【事件】LOG_STORE保护器状态变化】\n','【【事件】LOG_STORE保护器状态变化】\n\n集群: {{cluster_name}}\n\n之前状态: {{pre_level}}\n\n当前状态: {{cur_level}}\n\n时间: {{timestamp}}\n\n[查看记录]({{record_url}})','{}','1.0','2021-05-28 11:55:07','2021-05-28 11:55:07',0),(6078,'kubernetes组件实例CPU异常','kubernetes','kubernetes_instance_cpu','dingding','alert','【{{cluster_name}}集群kubernetes组件{{pod_name}} CPU使用率告警】\n','【kubernetes组件CPU使用率告警】\n\nPod: {{pod_name}}\n\n使用率: {{cpu_usage_percent_avg}}\n\n限制: {{cpu_limit_value}}核\n\n分配: {{cpu_allocation_value}}核\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n容器ID: {{container_id}}\n\n时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','{\"cpu_allocation_value\":\"fraction:2\",\"cpu_limit_value\":\"fraction:2\",\"cpu_usage_percent_avg\":\"percent:2\"}','1.0','2021-05-28 11:55:07','2021-05-28 11:55:07',0),(6079,'kubernetes组件实例CPU异常','kubernetes','kubernetes_instance_cpu','ticket','alert','【{{cluster_name}}集群kubernetes组件{{pod_name}} CPU使用率告警】\n','【kubernetes组件CPU使用率告警】\n\nPod: {{pod_name}}\n\n使用率: {{cpu_usage_percent_avg}}\n\n限制: {{cpu_limit_value}}核\n\n分配: {{cpu_allocation_value}}核\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n容器ID: {{container_id}}\n\n时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','{\"cpu_allocation_value\":\"fraction:2\",\"cpu_limit_value\":\"fraction:2\",\"cpu_usage_percent_avg\":\"percent:2\"}','1.0','2021-05-28 11:55:07','2021-05-28 11:55:07',0),(6080,'kubernetes组件实例CPU异常','kubernetes','kubernetes_instance_cpu','email','alert','【{{cluster_name}}集群kubernetes组件{{pod_name}} CPU使用率告警】\n','【kubernetes组件CPU使用率告警】\n\nPod: {{pod_name}}\n\n使用率: {{cpu_usage_percent_avg}}\n\n限制: {{cpu_limit_value}}核\n\n分配: {{cpu_allocation_value}}核\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n容器ID: {{container_id}}\n\n时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','{\"cpu_allocation_value\":\"fraction:2\",\"cpu_limit_value\":\"fraction:2\",\"cpu_usage_percent_avg\":\"percent:2\"}','1.0','2021-05-28 11:55:07','2021-05-28 11:55:07',0),(6081,'kubernetes组件实例CPU异常','kubernetes','kubernetes_instance_cpu','mbox','alert','【{{cluster_name}}集群kubernetes组件{{pod_name}} CPU使用率告警】\n','【kubernetes组件CPU使用率告警】\n\nPod: {{pod_name}}\n\n使用率: {{cpu_usage_percent_avg}}\n\n限制: {{cpu_limit_value}}核\n\n分配: {{cpu_allocation_value}}核\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n容器ID: {{container_id}}\n\n时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','{\"cpu_allocation_value\":\"fraction:2\",\"cpu_limit_value\":\"fraction:2\",\"cpu_usage_percent_avg\":\"percent:2\"}','1.0','2021-05-28 11:55:07','2021-05-28 11:55:07',0),(6082,'kubernetes组件实例CPU异常','kubernetes','kubernetes_instance_cpu','webhook','alert','【{{cluster_name}}集群kubernetes组件{{pod_name}} CPU使用率告警】\n','【kubernetes组件CPU使用率告警】\n\nPod: {{pod_name}}\n\n使用率: {{cpu_usage_percent_avg}}\n\n限制: {{cpu_limit_value}}核\n\n分配: {{cpu_allocation_value}}核\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n容器ID: {{container_id}}\n\n时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','{\"cpu_allocation_value\":\"fraction:2\",\"cpu_limit_value\":\"fraction:2\",\"cpu_usage_percent_avg\":\"percent:2\"}','1.0','2021-05-28 11:55:07','2021-05-28 11:55:07',0),(6083,'kubernetes组件实例CPU异常','kubernetes','kubernetes_instance_cpu','dingding','recover','【{{cluster_name}}集群kubernetes组件{{pod_name}} CPU使用率恢复】\n','【kubernetes组件CPU使用率恢复】\n\nPod: {{pod_name}}\n\n使用率: {{cpu_usage_percent_avg}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n容器ID: {{container_id}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','{\"cpu_usage_percent_avg\":\"percent:2\",\"trigger_duration\":\"time:ms\"}','1.0','2021-05-28 11:55:07','2021-05-28 11:55:07',0),(6084,'kubernetes组件实例CPU异常','kubernetes','kubernetes_instance_cpu','ticket','recover','【{{cluster_name}}集群kubernetes组件{{pod_name}} CPU使用率恢复】\n','【kubernetes组件CPU使用率恢复】\n\nPod: {{pod_name}}\n\n使用率: {{cpu_usage_percent_avg}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n容器ID: {{container_id}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','{\"cpu_usage_percent_avg\":\"percent:2\",\"trigger_duration\":\"time:ms\"}','1.0','2021-05-28 11:55:07','2021-05-28 11:55:07',0),(6085,'kubernetes组件实例CPU异常','kubernetes','kubernetes_instance_cpu','email','recover','【{{cluster_name}}集群kubernetes组件{{pod_name}} CPU使用率恢复】\n','【kubernetes组件CPU使用率恢复】\n\nPod: {{pod_name}}\n\n使用率: {{cpu_usage_percent_avg}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n容器ID: {{container_id}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','{\"cpu_usage_percent_avg\":\"percent:2\",\"trigger_duration\":\"time:ms\"}','1.0','2021-05-28 11:55:07','2021-05-28 11:55:07',0),(6086,'kubernetes组件实例CPU异常','kubernetes','kubernetes_instance_cpu','mbox','recover','【{{cluster_name}}集群kubernetes组件{{pod_name}} CPU使用率恢复】\n','【kubernetes组件CPU使用率恢复】\n\nPod: {{pod_name}}\n\n使用率: {{cpu_usage_percent_avg}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n容器ID: {{container_id}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','{\"cpu_usage_percent_avg\":\"percent:2\",\"trigger_duration\":\"time:ms\"}','1.0','2021-05-28 11:55:07','2021-05-28 11:55:07',0),(6087,'kubernetes组件实例CPU异常','kubernetes','kubernetes_instance_cpu','webhook','recover','【{{cluster_name}}集群kubernetes组件{{pod_name}} CPU使用率恢复】\n','【kubernetes组件CPU使用率恢复】\n\nPod: {{pod_name}}\n\n使用率: {{cpu_usage_percent_avg}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n容器ID: {{container_id}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','{\"cpu_usage_percent_avg\":\"percent:2\",\"trigger_duration\":\"time:ms\"}','1.0','2021-05-28 11:55:07','2021-05-28 11:55:07',0),(6088,'kubernetes组件异常退出','kubernetes','kubernetes_instance_exit','dingding','alert','【{{cluster_name}}集群kubernetes组件{{pod_name}}异常退出告警】\n','【kubernetes组件异常退出告警】\n\n组件: {{pod_name}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n启动时间: {{started_at_value}}\n\n退出时间: {{finished_at_value}}\n\n退出原因: {{terminated_reason_value}}\n\n时间: {{timestamp}}\n\n[查看详情]({{display_url}})\n\n[查看记录]({{record_url}})\n','{\"finished_at_value\":\"date\",\"started_at_value\":\"date\"}','1.0','2021-05-28 11:55:07','2021-05-28 11:55:07',0),(6089,'kubernetes组件异常退出','kubernetes','kubernetes_instance_exit','ticket','alert','【{{cluster_name}}集群kubernetes组件{{pod_name}}异常退出告警】\n','【kubernetes组件异常退出告警】\n\n组件: {{pod_name}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n启动时间: {{started_at_value}}\n\n退出时间: {{finished_at_value}}\n\n退出原因: {{terminated_reason_value}}\n\n时间: {{timestamp}}\n\n[查看详情]({{display_url}})\n\n[查看记录]({{record_url}})\n','{\"finished_at_value\":\"date\",\"started_at_value\":\"date\"}','1.0','2021-05-28 11:55:07','2021-05-28 11:55:07',0),(6090,'kubernetes组件异常退出','kubernetes','kubernetes_instance_exit','email','alert','【{{cluster_name}}集群kubernetes组件{{pod_name}}异常退出告警】\n','【kubernetes组件异常退出告警】\n\n组件: {{pod_name}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n启动时间: {{started_at_value}}\n\n退出时间: {{finished_at_value}}\n\n退出原因: {{terminated_reason_value}}\n\n时间: {{timestamp}}\n\n[查看详情]({{display_url}})\n\n[查看记录]({{record_url}})\n','{\"finished_at_value\":\"date\",\"started_at_value\":\"date\"}','1.0','2021-05-28 11:55:07','2021-05-28 11:55:07',0),(6091,'kubernetes组件异常退出','kubernetes','kubernetes_instance_exit','mbox','alert','【{{cluster_name}}集群kubernetes组件{{pod_name}}异常退出告警】\n','【kubernetes组件异常退出告警】\n\n组件: {{pod_name}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n启动时间: {{started_at_value}}\n\n退出时间: {{finished_at_value}}\n\n退出原因: {{terminated_reason_value}}\n\n时间: {{timestamp}}\n\n[查看详情]({{display_url}})\n\n[查看记录]({{record_url}})\n','{\"finished_at_value\":\"date\",\"started_at_value\":\"date\"}','1.0','2021-05-28 11:55:07','2021-05-28 11:55:07',0),(6092,'kubernetes组件异常退出','kubernetes','kubernetes_instance_exit','webhook','alert','【{{cluster_name}}集群kubernetes组件{{pod_name}}异常退出告警】\n','【kubernetes组件异常退出告警】\n\n组件: {{pod_name}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n启动时间: {{started_at_value}}\n\n退出时间: {{finished_at_value}}\n\n退出原因: {{terminated_reason_value}}\n\n时间: {{timestamp}}\n\n[查看详情]({{display_url}})\n\n[查看记录]({{record_url}})\n','{\"finished_at_value\":\"date\",\"started_at_value\":\"date\"}','1.0','2021-05-28 11:55:07','2021-05-28 11:55:07',0),(6093,'kubernetes组件异常退出','kubernetes','kubernetes_instance_exit','dingding','recover','【{{cluster_name}}集群kubernetes组件{{pod_name}}异常退出恢复】\n','【kubernetes组件异常退出恢复】\n\n组件: {{pod_name}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','{\"trigger_duration\":\"time:ms\"}','1.0','2021-05-28 11:55:07','2021-05-28 11:55:07',0),(6094,'kubernetes组件异常退出','kubernetes','kubernetes_instance_exit','ticket','recover','【{{cluster_name}}集群kubernetes组件{{pod_name}}异常退出恢复】\n','【kubernetes组件异常退出恢复】\n\n组件: {{pod_name}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','{\"trigger_duration\":\"time:ms\"}','1.0','2021-05-28 11:55:07','2021-05-28 11:55:07',0),(6095,'kubernetes组件异常退出','kubernetes','kubernetes_instance_exit','email','recover','【{{cluster_name}}集群kubernetes组件{{pod_name}}异常退出恢复】\n','【kubernetes组件异常退出恢复】\n\n组件: {{pod_name}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','{\"trigger_duration\":\"time:ms\"}','1.0','2021-05-28 11:55:07','2021-05-28 11:55:07',0),(6096,'kubernetes组件异常退出','kubernetes','kubernetes_instance_exit','mbox','recover','【{{cluster_name}}集群kubernetes组件{{pod_name}}异常退出恢复】\n','【kubernetes组件异常退出恢复】\n\n组件: {{pod_name}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','{\"trigger_duration\":\"time:ms\"}','1.0','2021-05-28 11:55:07','2021-05-28 11:55:07',0),(6097,'kubernetes组件异常退出','kubernetes','kubernetes_instance_exit','webhook','recover','【{{cluster_name}}集群kubernetes组件{{pod_name}}异常退出恢复】\n','【kubernetes组件异常退出恢复】\n\n组件: {{pod_name}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','{\"trigger_duration\":\"time:ms\"}','1.0','2021-05-28 11:55:07','2021-05-28 11:55:07',0),(6098,'kubernetes组件实例内存异常','kubernetes','kubernetes_instance_mem','dingding','alert','【{{cluster_name}}集群kubernetes组件{{pod_name}}内存使用率告警】\n','【kubernetes组件内存使用率告警】\n\nPod: {{pod_name}}\n\n使用率: {{mem_usage_percent_avg}}\n\n使用: {{mem_usage_value}}\n\n限制: {{mem_limit_value}}\n\n分配: {{mem_allocation_value}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n容器ID: {{container_id}}\n\n时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','{\"mem_allocation_value\":\"size:byte\",\"mem_limit_value\":\"size:byte\",\"mem_usage_percent_avg\":\"percent:2\",\"mem_usage_value\":\"size:byte\"}','1.0','2021-05-28 11:55:07','2021-05-28 11:55:07',0),(6099,'kubernetes组件实例内存异常','kubernetes','kubernetes_instance_mem','ticket','alert','【{{cluster_name}}集群kubernetes组件{{pod_name}}内存使用率告警】\n','【kubernetes组件内存使用率告警】\n\nPod: {{pod_name}}\n\n使用率: {{mem_usage_percent_avg}}\n\n使用: {{mem_usage_value}}\n\n限制: {{mem_limit_value}}\n\n分配: {{mem_allocation_value}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n容器ID: {{container_id}}\n\n时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','{\"mem_allocation_value\":\"size:byte\",\"mem_limit_value\":\"size:byte\",\"mem_usage_percent_avg\":\"percent:2\",\"mem_usage_value\":\"size:byte\"}','1.0','2021-05-28 11:55:07','2021-05-28 11:55:07',0),(6100,'kubernetes组件实例内存异常','kubernetes','kubernetes_instance_mem','email','alert','【{{cluster_name}}集群kubernetes组件{{pod_name}}内存使用率告警】\n','【kubernetes组件内存使用率告警】\n\nPod: {{pod_name}}\n\n使用率: {{mem_usage_percent_avg}}\n\n使用: {{mem_usage_value}}\n\n限制: {{mem_limit_value}}\n\n分配: {{mem_allocation_value}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n容器ID: {{container_id}}\n\n时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','{\"mem_allocation_value\":\"size:byte\",\"mem_limit_value\":\"size:byte\",\"mem_usage_percent_avg\":\"percent:2\",\"mem_usage_value\":\"size:byte\"}','1.0','2021-05-28 11:55:07','2021-05-28 11:55:07',0),(6101,'kubernetes组件实例内存异常','kubernetes','kubernetes_instance_mem','mbox','alert','【{{cluster_name}}集群kubernetes组件{{pod_name}}内存使用率告警】\n','【kubernetes组件内存使用率告警】\n\nPod: {{pod_name}}\n\n使用率: {{mem_usage_percent_avg}}\n\n使用: {{mem_usage_value}}\n\n限制: {{mem_limit_value}}\n\n分配: {{mem_allocation_value}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n容器ID: {{container_id}}\n\n时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','{\"mem_allocation_value\":\"size:byte\",\"mem_limit_value\":\"size:byte\",\"mem_usage_percent_avg\":\"percent:2\",\"mem_usage_value\":\"size:byte\"}','1.0','2021-05-28 11:55:07','2021-05-28 11:55:07',0),(6102,'kubernetes组件实例内存异常','kubernetes','kubernetes_instance_mem','webhook','alert','【{{cluster_name}}集群kubernetes组件{{pod_name}}内存使用率告警】\n','【kubernetes组件内存使用率告警】\n\nPod: {{pod_name}}\n\n使用率: {{mem_usage_percent_avg}}\n\n使用: {{mem_usage_value}}\n\n限制: {{mem_limit_value}}\n\n分配: {{mem_allocation_value}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n容器ID: {{container_id}}\n\n时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','{\"mem_allocation_value\":\"size:byte\",\"mem_limit_value\":\"size:byte\",\"mem_usage_percent_avg\":\"percent:2\",\"mem_usage_value\":\"size:byte\"}','1.0','2021-05-28 11:55:07','2021-05-28 11:55:07',0),(6103,'kubernetes组件实例内存异常','kubernetes','kubernetes_instance_mem','dingding','recover','【{{cluster_name}}集群kubernetes组件{{pod_name}}内存使用率恢复】\n','【kubernetes组件内存使用率恢复】\n\nPod: {{pod_name}}\n\n使用率: {{mem_usage_percent_avg}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n容器ID: {{container_id}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','{\"mem_usage_percent_avg\":\"percent:2\",\"trigger_duration\":\"time:ms\"}','1.0','2021-05-28 11:55:07','2021-05-28 11:55:07',0),(6104,'kubernetes组件实例内存异常','kubernetes','kubernetes_instance_mem','ticket','recover','【{{cluster_name}}集群kubernetes组件{{pod_name}}内存使用率恢复】\n','【kubernetes组件内存使用率恢复】\n\nPod: {{pod_name}}\n\n使用率: {{mem_usage_percent_avg}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n容器ID: {{container_id}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','{\"mem_usage_percent_avg\":\"percent:2\",\"trigger_duration\":\"time:ms\"}','1.0','2021-05-28 11:55:07','2021-05-28 11:55:07',0),(6105,'kubernetes组件实例内存异常','kubernetes','kubernetes_instance_mem','email','recover','【{{cluster_name}}集群kubernetes组件{{pod_name}}内存使用率恢复】\n','【kubernetes组件内存使用率恢复】\n\nPod: {{pod_name}}\n\n使用率: {{mem_usage_percent_avg}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n容器ID: {{container_id}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','{\"mem_usage_percent_avg\":\"percent:2\",\"trigger_duration\":\"time:ms\"}','1.0','2021-05-28 11:55:07','2021-05-28 11:55:07',0),(6106,'kubernetes组件实例内存异常','kubernetes','kubernetes_instance_mem','mbox','recover','【{{cluster_name}}集群kubernetes组件{{pod_name}}内存使用率恢复】\n','【kubernetes组件内存使用率恢复】\n\nPod: {{pod_name}}\n\n使用率: {{mem_usage_percent_avg}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n容器ID: {{container_id}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','{\"mem_usage_percent_avg\":\"percent:2\",\"trigger_duration\":\"time:ms\"}','1.0','2021-05-28 11:55:07','2021-05-28 11:55:07',0),(6107,'kubernetes组件实例内存异常','kubernetes','kubernetes_instance_mem','webhook','recover','【{{cluster_name}}集群kubernetes组件{{pod_name}}内存使用率恢复】\n','【kubernetes组件内存使用率恢复】\n\nPod: {{pod_name}}\n\n使用率: {{mem_usage_percent_avg}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n容器ID: {{container_id}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','{\"mem_usage_percent_avg\":\"percent:2\",\"trigger_duration\":\"time:ms\"}','1.0','2021-05-28 11:55:07','2021-05-28 11:55:07',0),(6108,'kubernetes组件实例Ready状态异常','kubernetes','kubernetes_instance_ready','dingding','alert','【{{cluster_name}}集群kubernetes组件{{resource_name_value}} Ready状态告警】\n','【kubernetes组件Ready状态告警】\n\n组件: {{resource_name_value}}\n\n未就绪实例: {{not_ready_value}}\n\n已就绪实例: {{ready_value}}\n\n集群: {{cluster_name}}\n\n时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','','1.0','2021-05-28 11:55:07','2021-05-28 11:55:07',0),(6109,'kubernetes组件实例Ready状态异常','kubernetes','kubernetes_instance_ready','ticket','alert','【{{cluster_name}}集群kubernetes组件{{resource_name_value}} Ready状态告警】\n','【kubernetes组件Ready状态告警】\n\n组件: {{resource_name_value}}\n\n未就绪实例: {{not_ready_value}}\n\n已就绪实例: {{ready_value}}\n\n集群: {{cluster_name}}\n\n时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','','1.0','2021-05-28 11:55:07','2021-05-28 11:55:07',0),(6110,'kubernetes组件实例Ready状态异常','kubernetes','kubernetes_instance_ready','email','alert','【{{cluster_name}}集群kubernetes组件{{resource_name_value}} Ready状态告警】\n','【kubernetes组件Ready状态告警】\n\n组件: {{resource_name_value}}\n\n未就绪实例: {{not_ready_value}}\n\n已就绪实例: {{ready_value}}\n\n集群: {{cluster_name}}\n\n时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','','1.0','2021-05-28 11:55:07','2021-05-28 11:55:07',0),(6111,'kubernetes组件实例Ready状态异常','kubernetes','kubernetes_instance_ready','mbox','alert','【{{cluster_name}}集群kubernetes组件{{resource_name_value}} Ready状态告警】\n','【kubernetes组件Ready状态告警】\n\n组件: {{resource_name_value}}\n\n未就绪实例: {{not_ready_value}}\n\n已就绪实例: {{ready_value}}\n\n集群: {{cluster_name}}\n\n时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','','1.0','2021-05-28 11:55:07','2021-05-28 11:55:07',0),(6112,'kubernetes组件实例Ready状态异常','kubernetes','kubernetes_instance_ready','webhook','alert','【{{cluster_name}}集群kubernetes组件{{resource_name_value}} Ready状态告警】\n','【kubernetes组件Ready状态告警】\n\n组件: {{resource_name_value}}\n\n未就绪实例: {{not_ready_value}}\n\n已就绪实例: {{ready_value}}\n\n集群: {{cluster_name}}\n\n时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','','1.0','2021-05-28 11:55:07','2021-05-28 11:55:07',0),(6113,'kubernetes组件实例Ready状态异常','kubernetes','kubernetes_instance_ready','dingding','recover','【{{cluster_name}}集群kubernetes组件{{resource_name_value}} Ready状态恢复】\n','【kubernetes组件Ready状态恢复】\n\n组件: {{resource_name_value}}\n\n集群: {{cluster_name}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','{\"trigger_duration\":\"time:ms\"}','1.0','2021-05-28 11:55:07','2021-05-28 11:55:07',0),(6114,'kubernetes组件实例Ready状态异常','kubernetes','kubernetes_instance_ready','ticket','recover','【{{cluster_name}}集群kubernetes组件{{resource_name_value}} Ready状态恢复】\n','【kubernetes组件Ready状态恢复】\n\n组件: {{resource_name_value}}\n\n集群: {{cluster_name}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','{\"trigger_duration\":\"time:ms\"}','1.0','2021-05-28 11:55:07','2021-05-28 11:55:07',0),(6115,'kubernetes组件实例Ready状态异常','kubernetes','kubernetes_instance_ready','email','recover','【{{cluster_name}}集群kubernetes组件{{resource_name_value}} Ready状态恢复】\n','【kubernetes组件Ready状态恢复】\n\n组件: {{resource_name_value}}\n\n集群: {{cluster_name}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','{\"trigger_duration\":\"time:ms\"}','1.0','2021-05-28 11:55:07','2021-05-28 11:55:07',0),(6116,'kubernetes组件实例Ready状态异常','kubernetes','kubernetes_instance_ready','mbox','recover','【{{cluster_name}}集群kubernetes组件{{resource_name_value}} Ready状态恢复】\n','【kubernetes组件Ready状态恢复】\n\n组件: {{resource_name_value}}\n\n集群: {{cluster_name}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','{\"trigger_duration\":\"time:ms\"}','1.0','2021-05-28 11:55:07','2021-05-28 11:55:07',0),(6117,'kubernetes组件实例Ready状态异常','kubernetes','kubernetes_instance_ready','webhook','recover','【{{cluster_name}}集群kubernetes组件{{resource_name_value}} Ready状态恢复】\n','【kubernetes组件Ready状态恢复】\n\n组件: {{resource_name_value}}\n\n集群: {{cluster_name}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','{\"trigger_duration\":\"time:ms\"}','1.0','2021-05-28 11:55:07','2021-05-28 11:55:07',0),(6118,'kubernetes节点异常','kubernetes','kubernetes_node','dingding','alert','【{{cluster_name}}集群kubernetes节点{{node_name}}节点异常告警】\n','【kubernetes节点状态异常告警】\n\n集群: {{cluster_name}}\n\n机器: {{node_name}}\n\n可分配Pod数: {{allocatable_pods_value}}\n\n最大Pod数: {{capacity_pods_value}}\n\n可分配CPU核数: {{allocatable_cpu_cores_value}}\n\n最大CPU核数: {{capacity_cpu_cores_value}}\n\n可分配内存: {{allocatable_memory_bytes_value}}\n\n最大内存: {{capacity_memory_bytes_value}}\n\n时间: {{timestamp}}\n','{\"allocatable_memory_bytes_value\":\"size:byte\",\"capacity_memory_bytes_value\":\"size:byte\"}','1.0','2021-05-28 11:55:07','2021-05-28 11:55:07',0),(6119,'kubernetes节点异常','kubernetes','kubernetes_node','ticket','alert','【{{cluster_name}}集群kubernetes节点{{node_name}}节点异常告警】\n','【kubernetes节点状态异常告警】\n\n集群: {{cluster_name}}\n\n机器: {{node_name}}\n\n可分配Pod数: {{allocatable_pods_value}}\n\n最大Pod数: {{capacity_pods_value}}\n\n可分配CPU核数: {{allocatable_cpu_cores_value}}\n\n最大CPU核数: {{capacity_cpu_cores_value}}\n\n可分配内存: {{allocatable_memory_bytes_value}}\n\n最大内存: {{capacity_memory_bytes_value}}\n\n时间: {{timestamp}}\n','{\"allocatable_memory_bytes_value\":\"size:byte\",\"capacity_memory_bytes_value\":\"size:byte\"}','1.0','2021-05-28 11:55:07','2021-05-28 11:55:07',0),(6120,'kubernetes节点异常','kubernetes','kubernetes_node','email','alert','【{{cluster_name}}集群kubernetes节点{{node_name}}节点异常告警】\n','【kubernetes节点状态异常告警】\n\n集群: {{cluster_name}}\n\n机器: {{node_name}}\n\n可分配Pod数: {{allocatable_pods_value}}\n\n最大Pod数: {{capacity_pods_value}}\n\n可分配CPU核数: {{allocatable_cpu_cores_value}}\n\n最大CPU核数: {{capacity_cpu_cores_value}}\n\n可分配内存: {{allocatable_memory_bytes_value}}\n\n最大内存: {{capacity_memory_bytes_value}}\n\n时间: {{timestamp}}\n','{\"allocatable_memory_bytes_value\":\"size:byte\",\"capacity_memory_bytes_value\":\"size:byte\"}','1.0','2021-05-28 11:55:07','2021-05-28 11:55:07',0),(6121,'kubernetes节点异常','kubernetes','kubernetes_node','mbox','alert','【{{cluster_name}}集群kubernetes节点{{node_name}}节点异常告警】\n','【kubernetes节点状态异常告警】\n\n集群: {{cluster_name}}\n\n机器: {{node_name}}\n\n可分配Pod数: {{allocatable_pods_value}}\n\n最大Pod数: {{capacity_pods_value}}\n\n可分配CPU核数: {{allocatable_cpu_cores_value}}\n\n最大CPU核数: {{capacity_cpu_cores_value}}\n\n可分配内存: {{allocatable_memory_bytes_value}}\n\n最大内存: {{capacity_memory_bytes_value}}\n\n时间: {{timestamp}}\n','{\"allocatable_memory_bytes_value\":\"size:byte\",\"capacity_memory_bytes_value\":\"size:byte\"}','1.0','2021-05-28 11:55:07','2021-05-28 11:55:07',0),(6122,'kubernetes节点异常','kubernetes','kubernetes_node','webhook','alert','【{{cluster_name}}集群kubernetes节点{{node_name}}节点异常告警】\n','【kubernetes节点状态异常告警】\n\n集群: {{cluster_name}}\n\n机器: {{node_name}}\n\n可分配Pod数: {{allocatable_pods_value}}\n\n最大Pod数: {{capacity_pods_value}}\n\n可分配CPU核数: {{allocatable_cpu_cores_value}}\n\n最大CPU核数: {{capacity_cpu_cores_value}}\n\n可分配内存: {{allocatable_memory_bytes_value}}\n\n最大内存: {{capacity_memory_bytes_value}}\n\n时间: {{timestamp}}\n','{\"allocatable_memory_bytes_value\":\"size:byte\",\"capacity_memory_bytes_value\":\"size:byte\"}','1.0','2021-05-28 11:55:07','2021-05-28 11:55:07',0),(6123,'kubernetes节点异常','kubernetes','kubernetes_node','dingding','recover','【{{cluster_name}}集群kubernetes节点{{node_name}}节点异常恢复】\n','【kubernetes节点状态异常恢复】\n\n集群: {{cluster_name}}\n\n机器: {{node_name}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n','{\"trigger_duration\":\"time:ms\"}','1.0','2021-05-28 11:55:07','2021-05-28 11:55:07',0),(6124,'kubernetes节点异常','kubernetes','kubernetes_node','ticket','recover','【{{cluster_name}}集群kubernetes节点{{node_name}}节点异常恢复】\n','【kubernetes节点状态异常恢复】\n\n集群: {{cluster_name}}\n\n机器: {{node_name}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n','{\"trigger_duration\":\"time:ms\"}','1.0','2021-05-28 11:55:07','2021-05-28 11:55:07',0),(6125,'kubernetes节点异常','kubernetes','kubernetes_node','email','recover','【{{cluster_name}}集群kubernetes节点{{node_name}}节点异常恢复】\n','【kubernetes节点状态异常恢复】\n\n集群: {{cluster_name}}\n\n机器: {{node_name}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n','{\"trigger_duration\":\"time:ms\"}','1.0','2021-05-28 11:55:07','2021-05-28 11:55:07',0),(6126,'kubernetes节点异常','kubernetes','kubernetes_node','mbox','recover','【{{cluster_name}}集群kubernetes节点{{node_name}}节点异常恢复】\n','【kubernetes节点状态异常恢复】\n\n集群: {{cluster_name}}\n\n机器: {{node_name}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n','{\"trigger_duration\":\"time:ms\"}','1.0','2021-05-28 11:55:07','2021-05-28 11:55:07',0),(6127,'kubernetes节点异常','kubernetes','kubernetes_node','webhook','recover','【{{cluster_name}}集群kubernetes节点{{node_name}}节点异常恢复】\n','【kubernetes节点状态异常恢复】\n\n集群: {{cluster_name}}\n\n机器: {{node_name}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n','{\"trigger_duration\":\"time:ms\"}','1.0','2021-05-28 11:55:07','2021-05-28 11:55:07',0),(6128,'机器时钟一致性异常告警','machine','machine_cluster_clock','dingding','alert','【{{cluster_name}}集群机器{{host_ip}} 时钟一致性异常告警】','【机器时钟一致性异常告警】\n\n时钟偏移绝对值: {{elapsed_abs_avg}}\n\n发送时间戳(ms): {{send_timestamp}}\n\n接收时间戳(ms): {{receive_timestamp}}\n\n源机器: {{source_host_ip}}\n\n目标机器: {{host_ip}}\n\n集群: {{cluster_name}}\n\n时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','{\"elapsed_abs_avg\":\"time:ms\"}','1.0','2021-05-28 11:55:07','2021-05-28 11:55:07',0),(6129,'机器时钟一致性异常告警','machine','machine_cluster_clock','ticket','alert','【{{cluster_name}}集群机器{{host_ip}} 时钟一致性异常告警】','【机器时钟一致性异常告警】\n\n时钟偏移绝对值: {{elapsed_abs_avg}}\n\n发送时间戳(ms): {{send_timestamp}}\n\n接收时间戳(ms): {{receive_timestamp}}\n\n源机器: {{source_host_ip}}\n\n目标机器: {{host_ip}}\n\n集群: {{cluster_name}}\n\n时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','{\"elapsed_abs_avg\":\"time:ms\"}','1.0','2021-05-28 11:55:07','2021-05-28 11:55:07',0),(6130,'机器时钟一致性异常告警','machine','machine_cluster_clock','email','alert','【{{cluster_name}}集群机器{{host_ip}} 时钟一致性异常告警】','【机器时钟一致性异常告警】\n\n时钟偏移绝对值: {{elapsed_abs_avg}}\n\n发送时间戳(ms): {{send_timestamp}}\n\n接收时间戳(ms): {{receive_timestamp}}\n\n源机器: {{source_host_ip}}\n\n目标机器: {{host_ip}}\n\n集群: {{cluster_name}}\n\n时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','{\"elapsed_abs_avg\":\"time:ms\"}','1.0','2021-05-28 11:55:07','2021-05-28 11:55:07',0),(6131,'机器时钟一致性异常告警','machine','machine_cluster_clock','mbox','alert','【{{cluster_name}}集群机器{{host_ip}} 时钟一致性异常告警】','【机器时钟一致性异常告警】\n\n时钟偏移绝对值: {{elapsed_abs_avg}}\n\n发送时间戳(ms): {{send_timestamp}}\n\n接收时间戳(ms): {{receive_timestamp}}\n\n源机器: {{source_host_ip}}\n\n目标机器: {{host_ip}}\n\n集群: {{cluster_name}}\n\n时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','{\"elapsed_abs_avg\":\"time:ms\"}','1.0','2021-05-28 11:55:07','2021-05-28 11:55:07',0),(6132,'机器时钟一致性异常告警','machine','machine_cluster_clock','webhook','alert','【{{cluster_name}}集群机器{{host_ip}} 时钟一致性异常告警】','【机器时钟一致性异常告警】\n\n时钟偏移绝对值: {{elapsed_abs_avg}}\n\n发送时间戳(ms): {{send_timestamp}}\n\n接收时间戳(ms): {{receive_timestamp}}\n\n源机器: {{source_host_ip}}\n\n目标机器: {{host_ip}}\n\n集群: {{cluster_name}}\n\n时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','{\"elapsed_abs_avg\":\"time:ms\"}','1.0','2021-05-28 11:55:07','2021-05-28 11:55:07',0),(6133,'时钟一致性异常恢复','machine','machine_cluster_clock','dingding','recover','【{{cluster_name}}集群机器{{host_ip}} 时钟一致性异常恢复】','【机器时钟一致性异常恢复】\n\n时钟偏移绝对值: {{elapsed_abs_avg}}\n\n源机器: {{source_host_ip}}\n\n目标机器: {{host_ip}}\n\n集群: {{cluster_name}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','{\"elapsed_abs_avg\":\"time:ms\",\"trigger_duration\":\"time:ms\"}','1.0','2021-05-28 11:55:07','2021-05-28 11:55:07',0),(6134,'时钟一致性异常恢复','machine','machine_cluster_clock','ticket','recover','【{{cluster_name}}集群机器{{host_ip}} 时钟一致性异常恢复】','【机器时钟一致性异常恢复】\n\n时钟偏移绝对值: {{elapsed_abs_avg}}\n\n源机器: {{source_host_ip}}\n\n目标机器: {{host_ip}}\n\n集群: {{cluster_name}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','{\"elapsed_abs_avg\":\"time:ms\",\"trigger_duration\":\"time:ms\"}','1.0','2021-05-28 11:55:07','2021-05-28 11:55:07',0),(6135,'时钟一致性异常恢复','machine','machine_cluster_clock','email','recover','【{{cluster_name}}集群机器{{host_ip}} 时钟一致性异常恢复】','【机器时钟一致性异常恢复】\n\n时钟偏移绝对值: {{elapsed_abs_avg}}\n\n源机器: {{source_host_ip}}\n\n目标机器: {{host_ip}}\n\n集群: {{cluster_name}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','{\"elapsed_abs_avg\":\"time:ms\",\"trigger_duration\":\"time:ms\"}','1.0','2021-05-28 11:55:07','2021-05-28 11:55:07',0),(6136,'时钟一致性异常恢复','machine','machine_cluster_clock','mbox','recover','【{{cluster_name}}集群机器{{host_ip}} 时钟一致性异常恢复】','【机器时钟一致性异常恢复】\n\n时钟偏移绝对值: {{elapsed_abs_avg}}\n\n源机器: {{source_host_ip}}\n\n目标机器: {{host_ip}}\n\n集群: {{cluster_name}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','{\"elapsed_abs_avg\":\"time:ms\",\"trigger_duration\":\"time:ms\"}','1.0','2021-05-28 11:55:07','2021-05-28 11:55:07',0),(6137,'时钟一致性异常恢复','machine','machine_cluster_clock','webhook','recover','【{{cluster_name}}集群机器{{host_ip}} 时钟一致性异常恢复】','【机器时钟一致性异常恢复】\n\n时钟偏移绝对值: {{elapsed_abs_avg}}\n\n源机器: {{source_host_ip}}\n\n目标机器: {{host_ip}}\n\n集群: {{cluster_name}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','{\"elapsed_abs_avg\":\"time:ms\",\"trigger_duration\":\"time:ms\"}','1.0','2021-05-28 11:55:07','2021-05-28 11:55:07',0),(6138,'机器CPU异常告警','machine','machine_cpu','dingding','alert','【{{cluster_name}}集群机器{{host_ip}} CPU使用率异常告警】','【机器CPU使用率异常告警】\n\nCPU平均使用率: {{cpu_usage_active_avg}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n时间: {{timestamp}}\n\n[查看详情]({{display_url}})\n\n[查看记录]({{record_url}})\n','{\"cpu_usage_active_avg\":\"percent:2\"}','1.0','2021-05-28 11:55:07','2021-05-28 11:55:07',0),(6139,'机器CPU异常告警','machine','machine_cpu','ticket','alert','【{{cluster_name}}集群机器{{host_ip}} CPU使用率异常告警】','【机器CPU使用率异常告警】\n\nCPU平均使用率: {{cpu_usage_active_avg}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n时间: {{timestamp}}\n\n[查看详情]({{display_url}})\n\n[查看记录]({{record_url}})\n','{\"cpu_usage_active_avg\":\"percent:2\"}','1.0','2021-05-28 11:55:07','2021-05-28 11:55:07',0),(6140,'机器CPU异常告警','machine','machine_cpu','email','alert','【{{cluster_name}}集群机器{{host_ip}} CPU使用率异常告警】','【机器CPU使用率异常告警】\n\nCPU平均使用率: {{cpu_usage_active_avg}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n时间: {{timestamp}}\n\n[查看详情]({{display_url}})\n\n[查看记录]({{record_url}})\n','{\"cpu_usage_active_avg\":\"percent:2\"}','1.0','2021-05-28 11:55:07','2021-05-28 11:55:07',0),(6141,'机器CPU异常告警','machine','machine_cpu','mbox','alert','【{{cluster_name}}集群机器{{host_ip}} CPU使用率异常告警】','【机器CPU使用率异常告警】\n\nCPU平均使用率: {{cpu_usage_active_avg}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n时间: {{timestamp}}\n\n[查看详情]({{display_url}})\n\n[查看记录]({{record_url}})\n','{\"cpu_usage_active_avg\":\"percent:2\"}','1.0','2021-05-28 11:55:07','2021-05-28 11:55:07',0),(6142,'机器CPU异常告警','machine','machine_cpu','webhook','alert','【{{cluster_name}}集群机器{{host_ip}} CPU使用率异常告警】','【机器CPU使用率异常告警】\n\nCPU平均使用率: {{cpu_usage_active_avg}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n时间: {{timestamp}}\n\n[查看详情]({{display_url}})\n\n[查看记录]({{record_url}})\n','{\"cpu_usage_active_avg\":\"percent:2\"}','1.0','2021-05-28 11:55:07','2021-05-28 11:55:07',0),(6143,'机器CPU异常恢复','machine','machine_cpu','dingding','recover','【{{cluster_name}}集群机器{{host_ip}} CPU使用率异常恢复】','【机器CPU使用率异常恢复】\n\nCPU平均使用率: {{cpu_usage_active_avg}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','{\"trigger_duration\":\"time:ms\",\"usage_active_avg\":\"percent:2\"}','1.0','2021-05-28 11:55:07','2021-05-28 11:55:07',0),(6144,'机器CPU异常恢复','machine','machine_cpu','ticket','recover','【{{cluster_name}}集群机器{{host_ip}} CPU使用率异常恢复】','【机器CPU使用率异常恢复】\n\nCPU平均使用率: {{cpu_usage_active_avg}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','{\"trigger_duration\":\"time:ms\",\"usage_active_avg\":\"percent:2\"}','1.0','2021-05-28 11:55:07','2021-05-28 11:55:07',0),(6145,'机器CPU异常恢复','machine','machine_cpu','email','recover','【{{cluster_name}}集群机器{{host_ip}} CPU使用率异常恢复】','【机器CPU使用率异常恢复】\n\nCPU平均使用率: {{cpu_usage_active_avg}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','{\"trigger_duration\":\"time:ms\",\"usage_active_avg\":\"percent:2\"}','1.0','2021-05-28 11:55:07','2021-05-28 11:55:07',0),(6146,'机器CPU异常恢复','machine','machine_cpu','mbox','recover','【{{cluster_name}}集群机器{{host_ip}} CPU使用率异常恢复】','【机器CPU使用率异常恢复】\n\nCPU平均使用率: {{cpu_usage_active_avg}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','{\"trigger_duration\":\"time:ms\",\"usage_active_avg\":\"percent:2\"}','1.0','2021-05-28 11:55:07','2021-05-28 11:55:07',0),(6147,'机器CPU异常恢复','machine','machine_cpu','webhook','recover','【{{cluster_name}}集群机器{{host_ip}} CPU使用率异常恢复】','【机器CPU使用率异常恢复】\n\nCPU平均使用率: {{cpu_usage_active_avg}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','{\"trigger_duration\":\"time:ms\",\"usage_active_avg\":\"percent:2\"}','1.0','2021-05-28 11:55:07','2021-05-28 11:55:07',0),(6148,'磁盘容量异常告警','machine','machine_disk','dingding','alert','【{{cluster_name}}集群机器{{host_ip}}磁盘使用率异常告警】','【磁盘使用率异常告警】\n\n使用率: {{used_percent_value}}\n\n容量: {{total_value}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n设备: {{device}}\n\n时间: {{timestamp}}\n\n[查看详情]({{display_url}})\n\n[查看记录]({{record_url}})\n','{\"total_value\":\"size:byte\",\"used_percent_value\":\"percent:2\"}','1.0','2021-05-28 11:55:07','2021-05-28 11:55:07',0),(6149,'磁盘容量异常告警','machine','machine_disk','ticket','alert','【{{cluster_name}}集群机器{{host_ip}}磁盘使用率异常告警】','【磁盘使用率异常告警】\n\n使用率: {{used_percent_value}}\n\n容量: {{total_value}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n设备: {{device}}\n\n时间: {{timestamp}}\n\n[查看详情]({{display_url}})\n\n[查看记录]({{record_url}})\n','{\"total_value\":\"size:byte\",\"used_percent_value\":\"percent:2\"}','1.0','2021-05-28 11:55:07','2021-05-28 11:55:07',0),(6150,'磁盘容量异常告警','machine','machine_disk','email','alert','【{{cluster_name}}集群机器{{host_ip}}磁盘使用率异常告警】','【磁盘使用率异常告警】\n\n使用率: {{used_percent_value}}\n\n容量: {{total_value}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n设备: {{device}}\n\n时间: {{timestamp}}\n\n[查看详情]({{display_url}})\n\n[查看记录]({{record_url}})\n','{\"total_value\":\"size:byte\",\"used_percent_value\":\"percent:2\"}','1.0','2021-05-28 11:55:07','2021-05-28 11:55:07',0),(6151,'磁盘容量异常告警','machine','machine_disk','mbox','alert','【{{cluster_name}}集群机器{{host_ip}}磁盘使用率异常告警】','【磁盘使用率异常告警】\n\n使用率: {{used_percent_value}}\n\n容量: {{total_value}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n设备: {{device}}\n\n时间: {{timestamp}}\n\n[查看详情]({{display_url}})\n\n[查看记录]({{record_url}})\n','{\"total_value\":\"size:byte\",\"used_percent_value\":\"percent:2\"}','1.0','2021-05-28 11:55:07','2021-05-28 11:55:07',0),(6152,'磁盘容量异常告警','machine','machine_disk','webhook','alert','【{{cluster_name}}集群机器{{host_ip}}磁盘使用率异常告警】','【磁盘使用率异常告警】\n\n使用率: {{used_percent_value}}\n\n容量: {{total_value}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n设备: {{device}}\n\n时间: {{timestamp}}\n\n[查看详情]({{display_url}})\n\n[查看记录]({{record_url}})\n','{\"total_value\":\"size:byte\",\"used_percent_value\":\"percent:2\"}','1.0','2021-05-28 11:55:07','2021-05-28 11:55:07',0),(6153,'磁盘容量异常恢复','machine','machine_disk','dingding','recover','【{{cluster_name}}集群机器{{host_ip}}磁盘使用率异常恢复】','【磁盘使用率异常恢复】\n\n使用率: {{used_percent_value}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n设备: {{device}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','{\"trigger_duration\":\"time:ms\",\"used_percent_value\":\"percent:2\"}','1.0','2021-05-28 11:55:07','2021-05-28 11:55:07',0),(6154,'磁盘容量异常恢复','machine','machine_disk','ticket','recover','【{{cluster_name}}集群机器{{host_ip}}磁盘使用率异常恢复】','【磁盘使用率异常恢复】\n\n使用率: {{used_percent_value}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n设备: {{device}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','{\"trigger_duration\":\"time:ms\",\"used_percent_value\":\"percent:2\"}','1.0','2021-05-28 11:55:07','2021-05-28 11:55:07',0),(6155,'磁盘容量异常恢复','machine','machine_disk','email','recover','【{{cluster_name}}集群机器{{host_ip}}磁盘使用率异常恢复】','【磁盘使用率异常恢复】\n\n使用率: {{used_percent_value}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n设备: {{device}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','{\"trigger_duration\":\"time:ms\",\"used_percent_value\":\"percent:2\"}','1.0','2021-05-28 11:55:07','2021-05-28 11:55:07',0),(6156,'磁盘容量异常恢复','machine','machine_disk','mbox','recover','【{{cluster_name}}集群机器{{host_ip}}磁盘使用率异常恢复】','【磁盘使用率异常恢复】\n\n使用率: {{used_percent_value}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n设备: {{device}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','{\"trigger_duration\":\"time:ms\",\"used_percent_value\":\"percent:2\"}','1.0','2021-05-28 11:55:07','2021-05-28 11:55:07',0),(6157,'磁盘容量异常恢复','machine','machine_disk','webhook','recover','【{{cluster_name}}集群机器{{host_ip}}磁盘使用率异常恢复】','【磁盘使用率异常恢复】\n\n使用率: {{used_percent_value}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n设备: {{device}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','{\"trigger_duration\":\"time:ms\",\"used_percent_value\":\"percent:2\"}','1.0','2021-05-28 11:55:07','2021-05-28 11:55:07',0),(6158,'磁盘Inode异常告警','machine','machine_disk_inode','dingding','alert','【{{cluster_name}}集群机器{{host_ip}}磁盘Inode异常告警】','【磁盘Inode异常告警】\n\n使用率: {{inode_used_percent_value}}\n\n容量: {{inodes_total_value}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n设备: {{device}}\n\n时间: {{timestamp}}\n\n[查看详情]({{display_url}})\n\n[查看记录]({{record_url}})\n','{\"inode_used_percent_value\":\"percent:2\",\"inodes_total_value\":\"size:byte\"}','1.0','2021-05-28 11:55:07','2021-05-28 11:55:07',0),(6159,'磁盘Inode异常告警','machine','machine_disk_inode','ticket','alert','【{{cluster_name}}集群机器{{host_ip}}磁盘Inode异常告警】','【磁盘Inode异常告警】\n\n使用率: {{inode_used_percent_value}}\n\n容量: {{inodes_total_value}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n设备: {{device}}\n\n时间: {{timestamp}}\n\n[查看详情]({{display_url}})\n\n[查看记录]({{record_url}})\n','{\"inode_used_percent_value\":\"percent:2\",\"inodes_total_value\":\"size:byte\"}','1.0','2021-05-28 11:55:07','2021-05-28 11:55:07',0),(6160,'磁盘Inode异常告警','machine','machine_disk_inode','email','alert','【{{cluster_name}}集群机器{{host_ip}}磁盘Inode异常告警】','【磁盘Inode异常告警】\n\n使用率: {{inode_used_percent_value}}\n\n容量: {{inodes_total_value}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n设备: {{device}}\n\n时间: {{timestamp}}\n\n[查看详情]({{display_url}})\n\n[查看记录]({{record_url}})\n','{\"inode_used_percent_value\":\"percent:2\",\"inodes_total_value\":\"size:byte\"}','1.0','2021-05-28 11:55:07','2021-05-28 11:55:07',0),(6161,'磁盘Inode异常告警','machine','machine_disk_inode','mbox','alert','【{{cluster_name}}集群机器{{host_ip}}磁盘Inode异常告警】','【磁盘Inode异常告警】\n\n使用率: {{inode_used_percent_value}}\n\n容量: {{inodes_total_value}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n设备: {{device}}\n\n时间: {{timestamp}}\n\n[查看详情]({{display_url}})\n\n[查看记录]({{record_url}})\n','{\"inode_used_percent_value\":\"percent:2\",\"inodes_total_value\":\"size:byte\"}','1.0','2021-05-28 11:55:07','2021-05-28 11:55:07',0),(6162,'磁盘Inode异常告警','machine','machine_disk_inode','webhook','alert','【{{cluster_name}}集群机器{{host_ip}}磁盘Inode异常告警】','【磁盘Inode异常告警】\n\n使用率: {{inode_used_percent_value}}\n\n容量: {{inodes_total_value}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n设备: {{device}}\n\n时间: {{timestamp}}\n\n[查看详情]({{display_url}})\n\n[查看记录]({{record_url}})\n','{\"inode_used_percent_value\":\"percent:2\",\"inodes_total_value\":\"size:byte\"}','1.0','2021-05-28 11:55:07','2021-05-28 11:55:07',0),(6163,'磁盘Inode异常恢复','machine','machine_disk_inode','dingding','recover','【{{cluster_name}}集群机器{{host_ip}}磁盘Inode异常恢复】','【磁盘Inode异常恢复】\n\n使用率: {{inode_used_percent_value}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n设备: {{device}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','{\"inode_used_percent_value\":\"percent:2\",\"trigger_duration\":\"time:ms\"}','1.0','2021-05-28 11:55:07','2021-05-28 11:55:07',0),(6164,'磁盘Inode异常恢复','machine','machine_disk_inode','ticket','recover','【{{cluster_name}}集群机器{{host_ip}}磁盘Inode异常恢复】','【磁盘Inode异常恢复】\n\n使用率: {{inode_used_percent_value}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n设备: {{device}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','{\"inode_used_percent_value\":\"percent:2\",\"trigger_duration\":\"time:ms\"}','1.0','2021-05-28 11:55:07','2021-05-28 11:55:07',0),(6165,'磁盘Inode异常恢复','machine','machine_disk_inode','email','recover','【{{cluster_name}}集群机器{{host_ip}}磁盘Inode异常恢复】','【磁盘Inode异常恢复】\n\n使用率: {{inode_used_percent_value}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n设备: {{device}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','{\"inode_used_percent_value\":\"percent:2\",\"trigger_duration\":\"time:ms\"}','1.0','2021-05-28 11:55:07','2021-05-28 11:55:07',0),(6166,'磁盘Inode异常恢复','machine','machine_disk_inode','mbox','recover','【{{cluster_name}}集群机器{{host_ip}}磁盘Inode异常恢复】','【磁盘Inode异常恢复】\n\n使用率: {{inode_used_percent_value}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n设备: {{device}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','{\"inode_used_percent_value\":\"percent:2\",\"trigger_duration\":\"time:ms\"}','1.0','2021-05-28 11:55:07','2021-05-28 11:55:07',0),(6167,'磁盘Inode异常恢复','machine','machine_disk_inode','webhook','recover','【{{cluster_name}}集群机器{{host_ip}}磁盘Inode异常恢复】','【磁盘Inode异常恢复】\n\n使用率: {{inode_used_percent_value}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n设备: {{device}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','{\"inode_used_percent_value\":\"percent:2\",\"trigger_duration\":\"time:ms\"}','1.0','2021-05-28 11:55:07','2021-05-28 11:55:07',0),(6168,'磁盘IO异常告警','machine','machine_disk_util','dingding','alert','【{{cluster_name}}集群机器{{host_ip}}磁盘IO操作百分比异常告警】','【磁盘IO操作百分比异常告警】\n\nIO操作百分比: {{pct_util_p75}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','{\"pct_util_p75\":\"percent:2\"}','1.0','2021-05-28 11:55:07','2021-05-28 11:55:07',0),(6169,'磁盘IO异常告警','machine','machine_disk_util','ticket','alert','【{{cluster_name}}集群机器{{host_ip}}磁盘IO操作百分比异常告警】','【磁盘IO操作百分比异常告警】\n\nIO操作百分比: {{pct_util_p75}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','{\"pct_util_p75\":\"percent:2\"}','1.0','2021-05-28 11:55:07','2021-05-28 11:55:07',0),(6170,'磁盘IO异常告警','machine','machine_disk_util','email','alert','【{{cluster_name}}集群机器{{host_ip}}磁盘IO操作百分比异常告警】','【磁盘IO操作百分比异常告警】\n\nIO操作百分比: {{pct_util_p75}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','{\"pct_util_p75\":\"percent:2\"}','1.0','2021-05-28 11:55:07','2021-05-28 11:55:07',0),(6171,'磁盘IO异常告警','machine','machine_disk_util','mbox','alert','【{{cluster_name}}集群机器{{host_ip}}磁盘IO操作百分比异常告警】','【磁盘IO操作百分比异常告警】\n\nIO操作百分比: {{pct_util_p75}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','{\"pct_util_p75\":\"percent:2\"}','1.0','2021-05-28 11:55:07','2021-05-28 11:55:07',0),(6172,'磁盘IO异常告警','machine','machine_disk_util','webhook','alert','【{{cluster_name}}集群机器{{host_ip}}磁盘IO操作百分比异常告警】','【磁盘IO操作百分比异常告警】\n\nIO操作百分比: {{pct_util_p75}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','{\"pct_util_p75\":\"percent:2\"}','1.0','2021-05-28 11:55:07','2021-05-28 11:55:07',0),(6173,'磁盘IO异常恢复','machine','machine_disk_util','dingding','recover','【{{cluster_name}}集群机器{{host_ip}}磁盘IO操作百分比异常恢复】','【磁盘IO操作百分比异常恢复】\n\nIO操作百分比: {{pct_util_p75}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','{\"pct_util_p75\":\"percent:2\",\"trigger_duration\":\"time:ms\"}','1.0','2021-05-28 11:55:07','2021-05-28 11:55:07',0),(6174,'磁盘IO异常恢复','machine','machine_disk_util','ticket','recover','【{{cluster_name}}集群机器{{host_ip}}磁盘IO操作百分比异常恢复】','【磁盘IO操作百分比异常恢复】\n\nIO操作百分比: {{pct_util_p75}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','{\"pct_util_p75\":\"percent:2\",\"trigger_duration\":\"time:ms\"}','1.0','2021-05-28 11:55:07','2021-05-28 11:55:07',0),(6175,'磁盘IO异常恢复','machine','machine_disk_util','email','recover','【{{cluster_name}}集群机器{{host_ip}}磁盘IO操作百分比异常恢复】','【磁盘IO操作百分比异常恢复】\n\nIO操作百分比: {{pct_util_p75}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','{\"pct_util_p75\":\"percent:2\",\"trigger_duration\":\"time:ms\"}','1.0','2021-05-28 11:55:07','2021-05-28 11:55:07',0),(6176,'磁盘IO异常恢复','machine','machine_disk_util','mbox','recover','【{{cluster_name}}集群机器{{host_ip}}磁盘IO操作百分比异常恢复】','【磁盘IO操作百分比异常恢复】\n\nIO操作百分比: {{pct_util_p75}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','{\"pct_util_p75\":\"percent:2\",\"trigger_duration\":\"time:ms\"}','1.0','2021-05-28 11:55:07','2021-05-28 11:55:07',0),(6177,'磁盘IO异常恢复','machine','machine_disk_util','webhook','recover','【{{cluster_name}}集群机器{{host_ip}}磁盘IO操作百分比异常恢复】','【磁盘IO操作百分比异常恢复】\n\nIO操作百分比: {{pct_util_p75}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','{\"pct_util_p75\":\"percent:2\",\"trigger_duration\":\"time:ms\"}','1.0','2021-05-28 11:55:07','2021-05-28 11:55:07',0),(6178,'机器负载异常告警','machine','machine_load5','dingding','alert','【{{cluster_name}}集群机器{{host_ip}}负载异常告警】','【机器负载异常告警】\n\nLoad5: {{load5_avg}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n时间: {{timestamp}}\n\n[查看详情]({{display_url}})\n\n[查看记录]({{record_url}})\n','','1.0','2021-05-28 11:55:07','2021-05-28 11:55:07',0),(6179,'机器负载异常告警','machine','machine_load5','ticket','alert','【{{cluster_name}}集群机器{{host_ip}}负载异常告警】','【机器负载异常告警】\n\nLoad5: {{load5_avg}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n时间: {{timestamp}}\n\n[查看详情]({{display_url}})\n\n[查看记录]({{record_url}})\n','','1.0','2021-05-28 11:55:07','2021-05-28 11:55:07',0),(6180,'机器负载异常告警','machine','machine_load5','email','alert','【{{cluster_name}}集群机器{{host_ip}}负载异常告警】','【机器负载异常告警】\n\nLoad5: {{load5_avg}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n时间: {{timestamp}}\n\n[查看详情]({{display_url}})\n\n[查看记录]({{record_url}})\n','','1.0','2021-05-28 11:55:07','2021-05-28 11:55:07',0),(6181,'机器负载异常告警','machine','machine_load5','mbox','alert','【{{cluster_name}}集群机器{{host_ip}}负载异常告警】','【机器负载异常告警】\n\nLoad5: {{load5_avg}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n时间: {{timestamp}}\n\n[查看详情]({{display_url}})\n\n[查看记录]({{record_url}})\n','','1.0','2021-05-28 11:55:07','2021-05-28 11:55:07',0),(6182,'机器负载异常告警','machine','machine_load5','webhook','alert','【{{cluster_name}}集群机器{{host_ip}}负载异常告警】','【机器负载异常告警】\n\nLoad5: {{load5_avg}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n时间: {{timestamp}}\n\n[查看详情]({{display_url}})\n\n[查看记录]({{record_url}})\n','','1.0','2021-05-28 11:55:07','2021-05-28 11:55:07',0),(6183,'机器负载异常恢复','machine','machine_load5','dingding','recover','【{{cluster_name}}集群机器{{host_ip}}负载异常恢复】','【机器负载异常恢复】\n\nLoad5: {{load5_avg}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','{\"trigger_duration\":\"time:ms\"}','1.0','2021-05-28 11:55:07','2021-05-28 11:55:07',0),(6184,'机器负载异常恢复','machine','machine_load5','ticket','recover','【{{cluster_name}}集群机器{{host_ip}}负载异常恢复】','【机器负载异常恢复】\n\nLoad5: {{load5_avg}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','{\"trigger_duration\":\"time:ms\"}','1.0','2021-05-28 11:55:07','2021-05-28 11:55:07',0),(6185,'机器负载异常恢复','machine','machine_load5','email','recover','【{{cluster_name}}集群机器{{host_ip}}负载异常恢复】','【机器负载异常恢复】\n\nLoad5: {{load5_avg}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','{\"trigger_duration\":\"time:ms\"}','1.0','2021-05-28 11:55:07','2021-05-28 11:55:07',0),(6186,'机器负载异常恢复','machine','machine_load5','mbox','recover','【{{cluster_name}}集群机器{{host_ip}}负载异常恢复】','【机器负载异常恢复】\n\nLoad5: {{load5_avg}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','{\"trigger_duration\":\"time:ms\"}','1.0','2021-05-28 11:55:07','2021-05-28 11:55:07',0),(6187,'机器负载异常恢复','machine','machine_load5','webhook','recover','【{{cluster_name}}集群机器{{host_ip}}负载异常恢复】','【机器负载异常恢复】\n\nLoad5: {{load5_avg}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','{\"trigger_duration\":\"time:ms\"}','1.0','2021-05-28 11:55:07','2021-05-28 11:55:07',0),(6188,'网盘容量异常告警','machine','machine_netdisk','dingding','alert','【{{cluster_name}}集群网盘使用率异常告警】','【网盘使用率异常告警】\n\n使用率: {{used_percent_value}}\n\n容量: {{total_value}}\n\n集群: {{cluster_name}}\n\n时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','{\"total_value\":\"size:byte\",\"used_percent_value\":\"percent:2\"}','1.0','2021-05-28 11:55:07','2021-05-28 11:55:07',0),(6189,'网盘容量异常告警','machine','machine_netdisk','ticket','alert','【{{cluster_name}}集群网盘使用率异常告警】','【网盘使用率异常告警】\n\n使用率: {{used_percent_value}}\n\n容量: {{total_value}}\n\n集群: {{cluster_name}}\n\n时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','{\"total_value\":\"size:byte\",\"used_percent_value\":\"percent:2\"}','1.0','2021-05-28 11:55:07','2021-05-28 11:55:07',0),(6190,'网盘容量异常告警','machine','machine_netdisk','email','alert','【{{cluster_name}}集群网盘使用率异常告警】','【网盘使用率异常告警】\n\n使用率: {{used_percent_value}}\n\n容量: {{total_value}}\n\n集群: {{cluster_name}}\n\n时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','{\"total_value\":\"size:byte\",\"used_percent_value\":\"percent:2\"}','1.0','2021-05-28 11:55:07','2021-05-28 11:55:07',0),(6191,'网盘容量异常告警','machine','machine_netdisk','mbox','alert','【{{cluster_name}}集群网盘使用率异常告警】','【网盘使用率异常告警】\n\n使用率: {{used_percent_value}}\n\n容量: {{total_value}}\n\n集群: {{cluster_name}}\n\n时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','{\"total_value\":\"size:byte\",\"used_percent_value\":\"percent:2\"}','1.0','2021-05-28 11:55:07','2021-05-28 11:55:07',0),(6192,'网盘容量异常告警','machine','machine_netdisk','webhook','alert','【{{cluster_name}}集群网盘使用率异常告警】','【网盘使用率异常告警】\n\n使用率: {{used_percent_value}}\n\n容量: {{total_value}}\n\n集群: {{cluster_name}}\n\n时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','{\"total_value\":\"size:byte\",\"used_percent_value\":\"percent:2\"}','1.0','2021-05-28 11:55:07','2021-05-28 11:55:07',0),(6193,'网盘容量异常恢复','machine','machine_netdisk','dingding','recover','【{{cluster_name}}集群网盘使用率异常恢复】','【网盘使用率异常恢复】\n\n使用率: {{used_percent_value}}\n\n集群: {{cluster_name}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','{\"trigger_duration\":\"time:ms\",\"used_percent_value\":\"percent:2\"}','1.0','2021-05-28 11:55:07','2021-05-28 11:55:07',0),(6194,'网盘容量异常恢复','machine','machine_netdisk','ticket','recover','【{{cluster_name}}集群网盘使用率异常恢复】','【网盘使用率异常恢复】\n\n使用率: {{used_percent_value}}\n\n集群: {{cluster_name}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','{\"trigger_duration\":\"time:ms\",\"used_percent_value\":\"percent:2\"}','1.0','2021-05-28 11:55:07','2021-05-28 11:55:07',0),(6195,'网盘容量异常恢复','machine','machine_netdisk','email','recover','【{{cluster_name}}集群网盘使用率异常恢复】','【网盘使用率异常恢复】\n\n使用率: {{used_percent_value}}\n\n集群: {{cluster_name}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','{\"trigger_duration\":\"time:ms\",\"used_percent_value\":\"percent:2\"}','1.0','2021-05-28 11:55:07','2021-05-28 11:55:07',0),(6196,'网盘容量异常恢复','machine','machine_netdisk','mbox','recover','【{{cluster_name}}集群网盘使用率异常恢复】','【网盘使用率异常恢复】\n\n使用率: {{used_percent_value}}\n\n集群: {{cluster_name}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','{\"trigger_duration\":\"time:ms\",\"used_percent_value\":\"percent:2\"}','1.0','2021-05-28 11:55:07','2021-05-28 11:55:07',0),(6197,'网盘容量异常恢复','machine','machine_netdisk','webhook','recover','【{{cluster_name}}集群网盘使用率异常恢复】','【网盘使用率异常恢复】\n\n使用率: {{used_percent_value}}\n\n集群: {{cluster_name}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','{\"trigger_duration\":\"time:ms\",\"used_percent_value\":\"percent:2\"}','1.0','2021-05-28 11:55:07','2021-05-28 11:55:07',0),(6198,'网盘容量使用量异常告警','machine','machine_netdisk_used','dingding','alert','【{{cluster_name}}集群网盘使用率异常告警】','【网盘使用异常告警】\n\n使用: {{used}}GB\n\n容量: {{total}}GB\n\n集群: {{cluster_name}}\n\n时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','{}','1.0','2021-05-28 11:55:07','2021-05-28 11:55:07',0),(6199,'网盘容量使用量异常告警','machine','machine_netdisk_used','ticket','alert','【{{cluster_name}}集群网盘使用率异常告警】','【网盘使用异常告警】\n\n使用: {{used}}GB\n\n容量: {{total}}GB\n\n集群: {{cluster_name}}\n\n时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','{}','1.0','2021-05-28 11:55:07','2021-05-28 11:55:07',0),(6200,'网盘容量使用量异常告警','machine','machine_netdisk_used','email','alert','【{{cluster_name}}集群网盘使用率异常告警】','【网盘使用异常告警】\n\n使用: {{used}}GB\n\n容量: {{total}}GB\n\n集群: {{cluster_name}}\n\n时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','{}','1.0','2021-05-28 11:55:07','2021-05-28 11:55:07',0),(6201,'网盘容量使用量异常告警','machine','machine_netdisk_used','mbox','alert','【{{cluster_name}}集群网盘使用率异常告警】','【网盘使用异常告警】\n\n使用: {{used}}GB\n\n容量: {{total}}GB\n\n集群: {{cluster_name}}\n\n时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','{}','1.0','2021-05-28 11:55:07','2021-05-28 11:55:07',0),(6202,'网盘容量使用量异常告警','machine','machine_netdisk_used','webhook','alert','【{{cluster_name}}集群网盘使用率异常告警】','【网盘使用异常告警】\n\n使用: {{used}}GB\n\n容量: {{total}}GB\n\n集群: {{cluster_name}}\n\n时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','{}','1.0','2021-05-28 11:55:07','2021-05-28 11:55:07',0),(6203,'网盘容量异常恢复','machine','machine_netdisk_used','dingding','recover','【{{cluster_name}}集群网盘使用率异常恢复】','【网盘使用率异常恢复】\n\n使用: {{used}}GB\n\n集群: {{cluster_name}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','{\"trigger_duration\":\"time:ms\"}','1.0','2021-05-28 11:55:07','2021-05-28 11:55:07',0),(6204,'网盘容量异常恢复','machine','machine_netdisk_used','ticket','recover','【{{cluster_name}}集群网盘使用率异常恢复】','【网盘使用率异常恢复】\n\n使用: {{used}}GB\n\n集群: {{cluster_name}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','{\"trigger_duration\":\"time:ms\"}','1.0','2021-05-28 11:55:07','2021-05-28 11:55:07',0),(6205,'网盘容量异常恢复','machine','machine_netdisk_used','email','recover','【{{cluster_name}}集群网盘使用率异常恢复】','【网盘使用率异常恢复】\n\n使用: {{used}}GB\n\n集群: {{cluster_name}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','{\"trigger_duration\":\"time:ms\"}','1.0','2021-05-28 11:55:07','2021-05-28 11:55:07',0),(6206,'网盘容量异常恢复','machine','machine_netdisk_used','mbox','recover','【{{cluster_name}}集群网盘使用率异常恢复】','【网盘使用率异常恢复】\n\n使用: {{used}}GB\n\n集群: {{cluster_name}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','{\"trigger_duration\":\"time:ms\"}','1.0','2021-05-28 11:55:07','2021-05-28 11:55:07',0),(6207,'网盘容量异常恢复','machine','machine_netdisk_used','webhook','recover','【{{cluster_name}}集群网盘使用率异常恢复】','【网盘使用率异常恢复】\n\n使用: {{used}}GB\n\n集群: {{cluster_name}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','{\"trigger_duration\":\"time:ms\"}','1.0','2021-05-28 11:55:07','2021-05-28 11:55:07',0),(6208,'宕机告警','machine','machine_status','dingding','alert','【{{cluster_name}}集群机器{{host_ip}}宕机告警】','【宕机告警】\n\n机器{{window}}分钟内无消息, 疑似发生宕机\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n最近活跃时间: {{last_timestamp_value}}\n\n时间: {{timestamp}}\n\n[查看详情]({{display_url}})\n\n[查看记录]({{record_url}})\n','{\"last_timestamp_value\":\"date\"}','1.0','2021-05-28 11:55:07','2021-05-28 11:55:07',0),(6209,'宕机告警','machine','machine_status','ticket','alert','【{{cluster_name}}集群机器{{host_ip}}宕机告警】','【宕机告警】\n\n机器{{window}}分钟内无消息, 疑似发生宕机\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n最近活跃时间: {{last_timestamp_value}}\n\n时间: {{timestamp}}\n\n[查看详情]({{display_url}})\n\n[查看记录]({{record_url}})\n','{\"last_timestamp_value\":\"date\"}','1.0','2021-05-28 11:55:07','2021-05-28 11:55:07',0),(6210,'宕机告警','machine','machine_status','email','alert','【{{cluster_name}}集群机器{{host_ip}}宕机告警】','【宕机告警】\n\n机器{{window}}分钟内无消息, 疑似发生宕机\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n最近活跃时间: {{last_timestamp_value}}\n\n时间: {{timestamp}}\n\n[查看详情]({{display_url}})\n\n[查看记录]({{record_url}})\n','{\"last_timestamp_value\":\"date\"}','1.0','2021-05-28 11:55:07','2021-05-28 11:55:07',0),(6211,'宕机告警','machine','machine_status','mbox','alert','【{{cluster_name}}集群机器{{host_ip}}宕机告警】','【宕机告警】\n\n机器{{window}}分钟内无消息, 疑似发生宕机\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n最近活跃时间: {{last_timestamp_value}}\n\n时间: {{timestamp}}\n\n[查看详情]({{display_url}})\n\n[查看记录]({{record_url}})\n','{\"last_timestamp_value\":\"date\"}','1.0','2021-05-28 11:55:07','2021-05-28 11:55:07',0),(6212,'宕机告警','machine','machine_status','webhook','alert','【{{cluster_name}}集群机器{{host_ip}}宕机告警】','【宕机告警】\n\n机器{{window}}分钟内无消息, 疑似发生宕机\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n最近活跃时间: {{last_timestamp_value}}\n\n时间: {{timestamp}}\n\n[查看详情]({{display_url}})\n\n[查看记录]({{record_url}})\n','{\"last_timestamp_value\":\"date\"}','1.0','2021-05-28 11:55:07','2021-05-28 11:55:07',0),(6213,'宕机恢复','machine','machine_status','dingding','recover','【{{cluster_name}}集群机器{{host_ip}}宕机恢复】','【宕机恢复】\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','{\"trigger_duration\":\"time:ms\"}','1.0','2021-05-28 11:55:07','2021-05-28 11:55:07',0),(6214,'宕机恢复','machine','machine_status','ticket','recover','【{{cluster_name}}集群机器{{host_ip}}宕机恢复】','【宕机恢复】\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','{\"trigger_duration\":\"time:ms\"}','1.0','2021-05-28 11:55:07','2021-05-28 11:55:07',0),(6215,'宕机恢复','machine','machine_status','email','recover','【{{cluster_name}}集群机器{{host_ip}}宕机恢复】','【宕机恢复】\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','{\"trigger_duration\":\"time:ms\"}','1.0','2021-05-28 11:55:07','2021-05-28 11:55:07',0),(6216,'宕机恢复','machine','machine_status','mbox','recover','【{{cluster_name}}集群机器{{host_ip}}宕机恢复】','【宕机恢复】\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','{\"trigger_duration\":\"time:ms\"}','1.0','2021-05-28 11:55:07','2021-05-28 11:55:07',0),(6217,'宕机恢复','machine','machine_status','webhook','recover','【{{cluster_name}}集群机器{{host_ip}}宕机恢复】','【宕机恢复】\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','{\"trigger_duration\":\"time:ms\"}','1.0','2021-05-28 11:55:07','2021-05-28 11:55:07',0),(6218,'API网关实例CPU使用率异常','micro_service','api_gateway_cpu','dingding','alert','【API网关实例CPU使用率告警】\n','【API网关实例CPU使用率异常告警】\n\n组件: {{addon_type}}\n\n实例: {{pod_namespace}} - {{pod_name}}\n\nCPU平均使用率: {{cpu_usage_percent_avg}}\n\nCPU限制: {{cpu_limit_value}}核\n\nCPU分配: {{cpu_allocation_value}}核\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','{\"container_id\":\"string:6\",\"cpu_allocation_value\":\"fraction:1\",\"cpu_limit_value\":\"fraction:1\",\"cpu_usage_percent_avg\":\"percent:1\"}','1.0','2021-05-28 11:55:07','2021-05-28 11:55:07',0),(6219,'API网关实例CPU使用率异常','micro_service','api_gateway_cpu','ticket','alert','【API网关实例CPU使用率告警】\n','【API网关实例CPU使用率异常告警】\n\n组件: {{addon_type}}\n\n实例: {{pod_namespace}} - {{pod_name}}\n\nCPU平均使用率: {{cpu_usage_percent_avg}}\n\nCPU限制: {{cpu_limit_value}}核\n\nCPU分配: {{cpu_allocation_value}}核\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','{\"container_id\":\"string:6\",\"cpu_allocation_value\":\"fraction:1\",\"cpu_limit_value\":\"fraction:1\",\"cpu_usage_percent_avg\":\"percent:1\"}','1.0','2021-05-28 11:55:07','2021-05-28 11:55:07',0),(6220,'API网关实例CPU使用率异常','micro_service','api_gateway_cpu','email','alert','【API网关实例CPU使用率告警】\n','【API网关实例CPU使用率异常告警】\n\n组件: {{addon_type}}\n\n实例: {{pod_namespace}} - {{pod_name}}\n\nCPU平均使用率: {{cpu_usage_percent_avg}}\n\nCPU限制: {{cpu_limit_value}}核\n\nCPU分配: {{cpu_allocation_value}}核\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','{\"container_id\":\"string:6\",\"cpu_allocation_value\":\"fraction:1\",\"cpu_limit_value\":\"fraction:1\",\"cpu_usage_percent_avg\":\"percent:1\"}','1.0','2021-05-28 11:55:07','2021-05-28 11:55:07',0),(6221,'API网关实例CPU使用率异常','micro_service','api_gateway_cpu','mbox','alert','【API网关实例CPU使用率告警】\n','【API网关实例CPU使用率异常告警】\n\n组件: {{addon_type}}\n\n实例: {{pod_namespace}} - {{pod_name}}\n\nCPU平均使用率: {{cpu_usage_percent_avg}}\n\nCPU限制: {{cpu_limit_value}}核\n\nCPU分配: {{cpu_allocation_value}}核\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','{\"container_id\":\"string:6\",\"cpu_allocation_value\":\"fraction:1\",\"cpu_limit_value\":\"fraction:1\",\"cpu_usage_percent_avg\":\"percent:1\"}','1.0','2021-05-28 11:55:07','2021-05-28 11:55:07',0),(6222,'API网关实例CPU使用率异常','micro_service','api_gateway_cpu','webhook','alert','【API网关实例CPU使用率告警】\n','【API网关实例CPU使用率异常告警】\n\n组件: {{addon_type}}\n\n实例: {{pod_namespace}} - {{pod_name}}\n\nCPU平均使用率: {{cpu_usage_percent_avg}}\n\nCPU限制: {{cpu_limit_value}}核\n\nCPU分配: {{cpu_allocation_value}}核\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','{\"container_id\":\"string:6\",\"cpu_allocation_value\":\"fraction:1\",\"cpu_limit_value\":\"fraction:1\",\"cpu_usage_percent_avg\":\"percent:1\"}','1.0','2021-05-28 11:55:07','2021-05-28 11:55:07',0),(6223,'API网关实例内存使用率异常','micro_service','api_gateway_mem','dingding','alert','【API网关实例内存使用率告警】\n','【API网关实例内存使用率异常告警】\n\n组件: {{addon_type}}\n\n实例: {{pod_namespace}} - {{pod_name}}\n\n内存使用率: {{mem_usage_percent_avg}}\n\n内存使用: {{mem_usage_value}}\n\n内存限制: {{mem_limit_value}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','{\"container_id\":\"string:6\",\"mem_limit_value\":\"size:byte\",\"mem_usage_percent_avg\":\"percent:1\",\"mem_usage_value\":\"size:byte\"}','1.0','2021-05-28 11:55:07','2021-05-28 11:55:07',0),(6224,'API网关实例内存使用率异常','micro_service','api_gateway_mem','ticket','alert','【API网关实例内存使用率告警】\n','【API网关实例内存使用率异常告警】\n\n组件: {{addon_type}}\n\n实例: {{pod_namespace}} - {{pod_name}}\n\n内存使用率: {{mem_usage_percent_avg}}\n\n内存使用: {{mem_usage_value}}\n\n内存限制: {{mem_limit_value}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','{\"container_id\":\"string:6\",\"mem_limit_value\":\"size:byte\",\"mem_usage_percent_avg\":\"percent:1\",\"mem_usage_value\":\"size:byte\"}','1.0','2021-05-28 11:55:07','2021-05-28 11:55:07',0),(6225,'API网关实例内存使用率异常','micro_service','api_gateway_mem','email','alert','【API网关实例内存使用率告警】\n','【API网关实例内存使用率异常告警】\n\n组件: {{addon_type}}\n\n实例: {{pod_namespace}} - {{pod_name}}\n\n内存使用率: {{mem_usage_percent_avg}}\n\n内存使用: {{mem_usage_value}}\n\n内存限制: {{mem_limit_value}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','{\"container_id\":\"string:6\",\"mem_limit_value\":\"size:byte\",\"mem_usage_percent_avg\":\"percent:1\",\"mem_usage_value\":\"size:byte\"}','1.0','2021-05-28 11:55:07','2021-05-28 11:55:07',0),(6226,'API网关实例内存使用率异常','micro_service','api_gateway_mem','mbox','alert','【API网关实例内存使用率告警】\n','【API网关实例内存使用率异常告警】\n\n组件: {{addon_type}}\n\n实例: {{pod_namespace}} - {{pod_name}}\n\n内存使用率: {{mem_usage_percent_avg}}\n\n内存使用: {{mem_usage_value}}\n\n内存限制: {{mem_limit_value}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','{\"container_id\":\"string:6\",\"mem_limit_value\":\"size:byte\",\"mem_usage_percent_avg\":\"percent:1\",\"mem_usage_value\":\"size:byte\"}','1.0','2021-05-28 11:55:07','2021-05-28 11:55:07',0),(6227,'API网关实例内存使用率异常','micro_service','api_gateway_mem','webhook','alert','【API网关实例内存使用率告警】\n','【API网关实例内存使用率异常告警】\n\n组件: {{addon_type}}\n\n实例: {{pod_namespace}} - {{pod_name}}\n\n内存使用率: {{mem_usage_percent_avg}}\n\n内存使用: {{mem_usage_value}}\n\n内存限制: {{mem_limit_value}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','{\"container_id\":\"string:6\",\"mem_limit_value\":\"size:byte\",\"mem_usage_percent_avg\":\"percent:1\",\"mem_usage_value\":\"size:byte\"}','1.0','2021-05-28 11:55:07','2021-05-28 11:55:07',0),(6228,'注册中心实例CPU使用率异常','micro_service','register_center_cpu','dingding','alert','【注册中心实例CPU使用率告警】\n','【注册中心实例CPU使用率异常告警】\n\n组件: {{addon_type}}\n\n实例: {{pod_namespace}} - {{pod_name}}\n\nCPU平均使用率: {{cpu_usage_percent_avg}}\n\nCPU限制: {{cpu_limit_value}}核\n\nCPU分配: {{cpu_allocation_value}}核\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','{\"container_id\":\"string:6\",\"cpu_allocation_value\":\"fraction:1\",\"cpu_limit_value\":\"fraction:1\",\"cpu_usage_percent_avg\":\"percent:1\"}','1.0','2021-05-28 11:55:07','2021-05-28 11:55:07',0),(6229,'注册中心实例CPU使用率异常','micro_service','register_center_cpu','ticket','alert','【注册中心实例CPU使用率告警】\n','【注册中心实例CPU使用率异常告警】\n\n组件: {{addon_type}}\n\n实例: {{pod_namespace}} - {{pod_name}}\n\nCPU平均使用率: {{cpu_usage_percent_avg}}\n\nCPU限制: {{cpu_limit_value}}核\n\nCPU分配: {{cpu_allocation_value}}核\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','{\"container_id\":\"string:6\",\"cpu_allocation_value\":\"fraction:1\",\"cpu_limit_value\":\"fraction:1\",\"cpu_usage_percent_avg\":\"percent:1\"}','1.0','2021-05-28 11:55:07','2021-05-28 11:55:07',0),(6230,'注册中心实例CPU使用率异常','micro_service','register_center_cpu','email','alert','【注册中心实例CPU使用率告警】\n','【注册中心实例CPU使用率异常告警】\n\n组件: {{addon_type}}\n\n实例: {{pod_namespace}} - {{pod_name}}\n\nCPU平均使用率: {{cpu_usage_percent_avg}}\n\nCPU限制: {{cpu_limit_value}}核\n\nCPU分配: {{cpu_allocation_value}}核\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','{\"container_id\":\"string:6\",\"cpu_allocation_value\":\"fraction:1\",\"cpu_limit_value\":\"fraction:1\",\"cpu_usage_percent_avg\":\"percent:1\"}','1.0','2021-05-28 11:55:07','2021-05-28 11:55:07',0),(6231,'注册中心实例CPU使用率异常','micro_service','register_center_cpu','mbox','alert','【注册中心实例CPU使用率告警】\n','【注册中心实例CPU使用率异常告警】\n\n组件: {{addon_type}}\n\n实例: {{pod_namespace}} - {{pod_name}}\n\nCPU平均使用率: {{cpu_usage_percent_avg}}\n\nCPU限制: {{cpu_limit_value}}核\n\nCPU分配: {{cpu_allocation_value}}核\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','{\"container_id\":\"string:6\",\"cpu_allocation_value\":\"fraction:1\",\"cpu_limit_value\":\"fraction:1\",\"cpu_usage_percent_avg\":\"percent:1\"}','1.0','2021-05-28 11:55:07','2021-05-28 11:55:07',0),(6232,'注册中心实例CPU使用率异常','micro_service','register_center_cpu','webhook','alert','【注册中心实例CPU使用率告警】\n','【注册中心实例CPU使用率异常告警】\n\n组件: {{addon_type}}\n\n实例: {{pod_namespace}} - {{pod_name}}\n\nCPU平均使用率: {{cpu_usage_percent_avg}}\n\nCPU限制: {{cpu_limit_value}}核\n\nCPU分配: {{cpu_allocation_value}}核\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','{\"container_id\":\"string:6\",\"cpu_allocation_value\":\"fraction:1\",\"cpu_limit_value\":\"fraction:1\",\"cpu_usage_percent_avg\":\"percent:1\"}','1.0','2021-05-28 11:55:07','2021-05-28 11:55:07',0),(6233,'注册中心实例内存使用率异常','micro_service','register_center_mem','dingding','alert','【注册中心实例内存使用率告警】\n','【注册中心实例内存使用率异常告警】\n\n组件: {{addon_type}}\n\n实例: {{pod_namespace}} - {{pod_name}}\n\n内存使用率: {{mem_usage_percent_avg}}\n\n内存使用: {{mem_usage_value}}\n\n内存限制: {{mem_limit_value}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','{\"container_id\":\"string:6\",\"mem_limit_value\":\"size:byte\",\"mem_usage_percent_avg\":\"percent:1\",\"mem_usage_value\":\"size:byte\"}','1.0','2021-05-28 11:55:07','2021-05-28 11:55:07',0),(6234,'注册中心实例内存使用率异常','micro_service','register_center_mem','ticket','alert','【注册中心实例内存使用率告警】\n','【注册中心实例内存使用率异常告警】\n\n组件: {{addon_type}}\n\n实例: {{pod_namespace}} - {{pod_name}}\n\n内存使用率: {{mem_usage_percent_avg}}\n\n内存使用: {{mem_usage_value}}\n\n内存限制: {{mem_limit_value}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','{\"container_id\":\"string:6\",\"mem_limit_value\":\"size:byte\",\"mem_usage_percent_avg\":\"percent:1\",\"mem_usage_value\":\"size:byte\"}','1.0','2021-05-28 11:55:07','2021-05-28 11:55:07',0),(6235,'注册中心实例内存使用率异常','micro_service','register_center_mem','email','alert','【注册中心实例内存使用率告警】\n','【注册中心实例内存使用率异常告警】\n\n组件: {{addon_type}}\n\n实例: {{pod_namespace}} - {{pod_name}}\n\n内存使用率: {{mem_usage_percent_avg}}\n\n内存使用: {{mem_usage_value}}\n\n内存限制: {{mem_limit_value}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','{\"container_id\":\"string:6\",\"mem_limit_value\":\"size:byte\",\"mem_usage_percent_avg\":\"percent:1\",\"mem_usage_value\":\"size:byte\"}','1.0','2021-05-28 11:55:07','2021-05-28 11:55:07',0),(6236,'注册中心实例内存使用率异常','micro_service','register_center_mem','mbox','alert','【注册中心实例内存使用率告警】\n','【注册中心实例内存使用率异常告警】\n\n组件: {{addon_type}}\n\n实例: {{pod_namespace}} - {{pod_name}}\n\n内存使用率: {{mem_usage_percent_avg}}\n\n内存使用: {{mem_usage_value}}\n\n内存限制: {{mem_limit_value}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','{\"container_id\":\"string:6\",\"mem_limit_value\":\"size:byte\",\"mem_usage_percent_avg\":\"percent:1\",\"mem_usage_value\":\"size:byte\"}','1.0','2021-05-28 11:55:07','2021-05-28 11:55:07',0),(6237,'注册中心实例内存使用率异常','micro_service','register_center_mem','webhook','alert','【注册中心实例内存使用率告警】\n','【注册中心实例内存使用率异常告警】\n\n组件: {{addon_type}}\n\n实例: {{pod_namespace}} - {{pod_name}}\n\n内存使用率: {{mem_usage_percent_avg}}\n\n内存使用: {{mem_usage_value}}\n\n内存限制: {{mem_limit_value}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','{\"container_id\":\"string:6\",\"mem_limit_value\":\"size:byte\",\"mem_usage_percent_avg\":\"percent:1\",\"mem_usage_value\":\"size:byte\"}','1.0','2021-05-28 11:55:07','2021-05-28 11:55:07',0),(6238,'服务熔断通知告警','micro_service','sidecar_circuit_breaker','dingding','alert','【{{application_name}}应用{{service_name}}服务发生熔断告警】\n','【服务熔断告警】\n\n服务发生熔断 !\n\n项目: {{project_name}}\n\n环境: {{workspace}}\n\n应用: {{application_name}}\n\n服务: {{runtime_name}} / {{service_name}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','','1.0','2021-05-28 11:55:07','2021-05-28 11:55:07',0),(6239,'服务熔断通知告警','micro_service','sidecar_circuit_breaker','ticket','alert','【{{application_name}}应用{{service_name}}服务发生熔断告警】\n','【服务熔断告警】\n\n服务发生熔断 !\n\n项目: {{project_name}}\n\n环境: {{workspace}}\n\n应用: {{application_name}}\n\n服务: {{runtime_name}} / {{service_name}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','','1.0','2021-05-28 11:55:07','2021-05-28 11:55:07',0),(6240,'服务熔断通知告警','micro_service','sidecar_circuit_breaker','email','alert','【{{application_name}}应用{{service_name}}服务发生熔断告警】\n','【服务熔断告警】\n\n服务发生熔断 !\n\n项目: {{project_name}}\n\n环境: {{workspace}}\n\n应用: {{application_name}}\n\n服务: {{runtime_name}} / {{service_name}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','','1.0','2021-05-28 11:55:07','2021-05-28 11:55:07',0),(6241,'服务熔断通知告警','micro_service','sidecar_circuit_breaker','mbox','alert','【{{application_name}}应用{{service_name}}服务发生熔断告警】\n','【服务熔断告警】\n\n服务发生熔断 !\n\n项目: {{project_name}}\n\n环境: {{workspace}}\n\n应用: {{application_name}}\n\n服务: {{runtime_name}} / {{service_name}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','','1.0','2021-05-28 11:55:07','2021-05-28 11:55:07',0),(6242,'服务熔断通知告警','micro_service','sidecar_circuit_breaker','webhook','alert','【{{application_name}}应用{{service_name}}服务发生熔断告警】\n','【服务熔断告警】\n\n服务发生熔断 !\n\n项目: {{project_name}}\n\n环境: {{workspace}}\n\n应用: {{application_name}}\n\n服务: {{runtime_name}} / {{service_name}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','','1.0','2021-05-28 11:55:07','2021-05-28 11:55:07',0),(6243,'ElasticSearch实例CPU使用率异常告警','addon','addon_elasticsearch_cpu','dingding','alert','【ElasticSearch实例CPU使用率告警】\n','【ElasticSearch实例CPU使用率异常告警】\n\n组件: {{addon_type}}\n\n实例: {{pod_namespace}} - {{pod_name}}\n\nCPU平均使用率: {{cpu_usage_percent_avg}}\n\nCPU限制: {{cpu_limit_value}}核\n\nCPU分配: {{cpu_allocation_value}}核\n\n集群 / 机器: {{cluster_name}} / {{host_ip}}\n\n容器ID: {{container_id}}\n\n机器: {{host_ip}}\n\n时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','{\"container_id\":\"string:6\",\"cpu_usage_percent_avg\":\"percent:1\",\"limit_value\":\"fraction:1\"}','1.0','2021-05-28 11:55:07','2021-05-28 11:55:07',1),(6244,'ElasticSearch实例CPU使用率异常告警','addon','addon_elasticsearch_cpu','ticket','alert','【ElasticSearch实例CPU使用率告警】\n','【ElasticSearch实例CPU使用率异常告警】\n\n组件: {{addon_type}}\n\n实例: {{pod_namespace}} - {{pod_name}}\n\nCPU平均使用率: {{cpu_usage_percent_avg}}\n\nCPU限制: {{cpu_limit_value}}核\n\nCPU分配: {{cpu_allocation_value}}核\n\n集群 / 机器: {{cluster_name}} / {{host_ip}}\n\n容器ID: {{container_id}}\n\n机器: {{host_ip}}\n\n时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','{\"container_id\":\"string:6\",\"cpu_usage_percent_avg\":\"percent:1\",\"limit_value\":\"fraction:1\"}','1.0','2021-05-28 11:55:07','2021-05-28 11:55:07',1),(6245,'ElasticSearch实例CPU使用率异常告警','addon','addon_elasticsearch_cpu','email','alert','【ElasticSearch实例CPU使用率告警】\n','【ElasticSearch实例CPU使用率异常告警】\n\n组件: {{addon_type}}\n\n实例: {{pod_namespace}} - {{pod_name}}\n\nCPU平均使用率: {{cpu_usage_percent_avg}}\n\nCPU限制: {{cpu_limit_value}}核\n\nCPU分配: {{cpu_allocation_value}}核\n\n集群 / 机器: {{cluster_name}} / {{host_ip}}\n\n容器ID: {{container_id}}\n\n机器: {{host_ip}}\n\n时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','{\"container_id\":\"string:6\",\"cpu_usage_percent_avg\":\"percent:1\",\"limit_value\":\"fraction:1\"}','1.0','2021-05-28 11:55:07','2021-05-28 11:55:07',1),(6246,'ElasticSearch实例CPU使用率异常告警','addon','addon_elasticsearch_cpu','mbox','alert','【ElasticSearch实例CPU使用率告警】\n','【ElasticSearch实例CPU使用率异常告警】\n\n组件: {{addon_type}}\n\n实例: {{pod_namespace}} - {{pod_name}}\n\nCPU平均使用率: {{cpu_usage_percent_avg}}\n\nCPU限制: {{cpu_limit_value}}核\n\nCPU分配: {{cpu_allocation_value}}核\n\n集群 / 机器: {{cluster_name}} / {{host_ip}}\n\n容器ID: {{container_id}}\n\n机器: {{host_ip}}\n\n时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','{\"container_id\":\"string:6\",\"cpu_usage_percent_avg\":\"percent:1\",\"limit_value\":\"fraction:1\"}','1.0','2021-05-28 11:55:07','2021-05-28 11:55:07',1),(6247,'ElasticSearch实例CPU使用率异常告警','addon','addon_elasticsearch_cpu','webhook','alert','【ElasticSearch实例CPU使用率告警】\n','【ElasticSearch实例CPU使用率异常告警】\n\n组件: {{addon_type}}\n\n实例: {{pod_namespace}} - {{pod_name}}\n\nCPU平均使用率: {{cpu_usage_percent_avg}}\n\nCPU限制: {{cpu_limit_value}}核\n\nCPU分配: {{cpu_allocation_value}}核\n\n集群 / 机器: {{cluster_name}} / {{host_ip}}\n\n容器ID: {{container_id}}\n\n机器: {{host_ip}}\n\n时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','{\"container_id\":\"string:6\",\"cpu_usage_percent_avg\":\"percent:1\",\"limit_value\":\"fraction:1\"}','1.0','2021-05-28 11:55:07','2021-05-28 11:55:07',1),(6248,'Elasticsearch实例内存使用率异常告警','addon','addon_elasticsearch_mem','dingding','alert','【Elasticsearch实例内存使用率告警】\n','【Elasticsearch实例内存使用率告警】\n\n组件: {{addon_type}}\n\n实例ID: {{addon_id}}\n\n实例: {{pod_namespace}} - {{pod_name}}\n\n平均使用率: {{mem_usage_percent_avg}}\n\n集群 / 机器: {{cluster_name}} / {{host_ip}}\n\n容器ID: {{container_id}}\n\n机器: {{host_ip}}\n\n时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','{\"container_id\":\"string:6\",\"mem_limit_value\":\"fraction:1\",\"mem_usage_percent_avg\":\"percent:1\"}','1.0','2021-05-28 11:55:07','2021-05-28 11:55:07',1),(6249,'Elasticsearch实例内存使用率异常告警','addon','addon_elasticsearch_mem','ticket','alert','【Elasticsearch实例内存使用率告警】\n','【Elasticsearch实例内存使用率告警】\n\n组件: {{addon_type}}\n\n实例ID: {{addon_id}}\n\n实例: {{pod_namespace}} - {{pod_name}}\n\n平均使用率: {{mem_usage_percent_avg}}\n\n集群 / 机器: {{cluster_name}} / {{host_ip}}\n\n容器ID: {{container_id}}\n\n机器: {{host_ip}}\n\n时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','{\"container_id\":\"string:6\",\"mem_limit_value\":\"fraction:1\",\"mem_usage_percent_avg\":\"percent:1\"}','1.0','2021-05-28 11:55:07','2021-05-28 11:55:07',1),(6250,'Elasticsearch实例内存使用率异常告警','addon','addon_elasticsearch_mem','email','alert','【Elasticsearch实例内存使用率告警】\n','【Elasticsearch实例内存使用率告警】\n\n组件: {{addon_type}}\n\n实例ID: {{addon_id}}\n\n实例: {{pod_namespace}} - {{pod_name}}\n\n平均使用率: {{mem_usage_percent_avg}}\n\n集群 / 机器: {{cluster_name}} / {{host_ip}}\n\n容器ID: {{container_id}}\n\n机器: {{host_ip}}\n\n时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','{\"container_id\":\"string:6\",\"mem_limit_value\":\"fraction:1\",\"mem_usage_percent_avg\":\"percent:1\"}','1.0','2021-05-28 11:55:07','2021-05-28 11:55:07',1),(6251,'Elasticsearch实例内存使用率异常告警','addon','addon_elasticsearch_mem','mbox','alert','【Elasticsearch实例内存使用率告警】\n','【Elasticsearch实例内存使用率告警】\n\n组件: {{addon_type}}\n\n实例ID: {{addon_id}}\n\n实例: {{pod_namespace}} - {{pod_name}}\n\n平均使用率: {{mem_usage_percent_avg}}\n\n集群 / 机器: {{cluster_name}} / {{host_ip}}\n\n容器ID: {{container_id}}\n\n机器: {{host_ip}}\n\n时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','{\"container_id\":\"string:6\",\"mem_limit_value\":\"fraction:1\",\"mem_usage_percent_avg\":\"percent:1\"}','1.0','2021-05-28 11:55:07','2021-05-28 11:55:07',1),(6252,'Elasticsearch实例内存使用率异常告警','addon','addon_elasticsearch_mem','webhook','alert','【Elasticsearch实例内存使用率告警】\n','【Elasticsearch实例内存使用率告警】\n\n组件: {{addon_type}}\n\n实例ID: {{addon_id}}\n\n实例: {{pod_namespace}} - {{pod_name}}\n\n平均使用率: {{mem_usage_percent_avg}}\n\n集群 / 机器: {{cluster_name}} / {{host_ip}}\n\n容器ID: {{container_id}}\n\n机器: {{host_ip}}\n\n时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','{\"container_id\":\"string:6\",\"mem_limit_value\":\"fraction:1\",\"mem_usage_percent_avg\":\"percent:1\"}','1.0','2021-05-28 11:55:07','2021-05-28 11:55:07',1),(6253,'MySQL实例CPU使用率异常告警','addon','addon_mysql_cpu','dingding','alert','【MySQL实例CPU使用率告警】\n','【MySQL实例CPU使用率异常告警】\n\n组件: {{addon_type}}\n\n实例: {{pod_namespace}} - {{pod_name}}\n\nCPU平均使用率: {{cpu_usage_percent_avg}}\n\nCPU限制: {{cpu_limit_value}}核\n\nCPU分配: {{cpu_allocation_value}}核\n\n集群 / 机器: {{cluster_name}} / {{host_ip}}\n\n容器ID: {{container_id}}\n\n机器: {{host_ip}}\n\n时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','{\"container_id\":\"string:6\",\"cpu_limit_value\":\"fraction:1\",\"cpu_usage_percent_avg\":\"percent:1\"}','1.0','2021-05-28 11:55:07','2021-05-28 11:55:07',1),(6254,'MySQL实例CPU使用率异常告警','addon','addon_mysql_cpu','ticket','alert','【MySQL实例CPU使用率告警】\n','【MySQL实例CPU使用率异常告警】\n\n组件: {{addon_type}}\n\n实例: {{pod_namespace}} - {{pod_name}}\n\nCPU平均使用率: {{cpu_usage_percent_avg}}\n\nCPU限制: {{cpu_limit_value}}核\n\nCPU分配: {{cpu_allocation_value}}核\n\n集群 / 机器: {{cluster_name}} / {{host_ip}}\n\n容器ID: {{container_id}}\n\n机器: {{host_ip}}\n\n时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','{\"container_id\":\"string:6\",\"cpu_limit_value\":\"fraction:1\",\"cpu_usage_percent_avg\":\"percent:1\"}','1.0','2021-05-28 11:55:07','2021-05-28 11:55:07',1),(6255,'MySQL实例CPU使用率异常告警','addon','addon_mysql_cpu','email','alert','【MySQL实例CPU使用率告警】\n','【MySQL实例CPU使用率异常告警】\n\n组件: {{addon_type}}\n\n实例: {{pod_namespace}} - {{pod_name}}\n\nCPU平均使用率: {{cpu_usage_percent_avg}}\n\nCPU限制: {{cpu_limit_value}}核\n\nCPU分配: {{cpu_allocation_value}}核\n\n集群 / 机器: {{cluster_name}} / {{host_ip}}\n\n容器ID: {{container_id}}\n\n机器: {{host_ip}}\n\n时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','{\"container_id\":\"string:6\",\"cpu_limit_value\":\"fraction:1\",\"cpu_usage_percent_avg\":\"percent:1\"}','1.0','2021-05-28 11:55:07','2021-05-28 11:55:07',1),(6256,'MySQL实例CPU使用率异常告警','addon','addon_mysql_cpu','mbox','alert','【MySQL实例CPU使用率告警】\n','【MySQL实例CPU使用率异常告警】\n\n组件: {{addon_type}}\n\n实例: {{pod_namespace}} - {{pod_name}}\n\nCPU平均使用率: {{cpu_usage_percent_avg}}\n\nCPU限制: {{cpu_limit_value}}核\n\nCPU分配: {{cpu_allocation_value}}核\n\n集群 / 机器: {{cluster_name}} / {{host_ip}}\n\n容器ID: {{container_id}}\n\n机器: {{host_ip}}\n\n时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','{\"container_id\":\"string:6\",\"cpu_limit_value\":\"fraction:1\",\"cpu_usage_percent_avg\":\"percent:1\"}','1.0','2021-05-28 11:55:07','2021-05-28 11:55:07',1),(6257,'MySQL实例CPU使用率异常告警','addon','addon_mysql_cpu','webhook','alert','【MySQL实例CPU使用率告警】\n','【MySQL实例CPU使用率异常告警】\n\n组件: {{addon_type}}\n\n实例: {{pod_namespace}} - {{pod_name}}\n\nCPU平均使用率: {{cpu_usage_percent_avg}}\n\nCPU限制: {{cpu_limit_value}}核\n\nCPU分配: {{cpu_allocation_value}}核\n\n集群 / 机器: {{cluster_name}} / {{host_ip}}\n\n容器ID: {{container_id}}\n\n机器: {{host_ip}}\n\n时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','{\"container_id\":\"string:6\",\"cpu_limit_value\":\"fraction:1\",\"cpu_usage_percent_avg\":\"percent:1\"}','1.0','2021-05-28 11:55:07','2021-05-28 11:55:07',1),(6258,'MySQL实例内存使用率异常告警','addon','addon_mysql_mem','dingding','alert','【MySQL实例内存使用率告警】\n','【MySQL实例内存使用率告警】\n\n组件: {{addon_type}}\n\n实例ID: {{addon_id}}\n\n实例: {{pod_namespace}} - {{pod_name}}\n\n平均使用率: {{mem_usage_percent_avg}}\n\n集群 / 机器: {{cluster_name}} / {{host_ip}}\n\n容器ID: {{container_id}}\n\n机器: {{host_ip}}\n\n时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','{\"container_id\":\"string:6\",\"mem_limit_value\":\"fraction:1\",\"mem_usage_percent_avg\":\"percent:1\"}','1.0','2021-05-28 11:55:07','2021-05-28 11:55:07',1),(6259,'MySQL实例内存使用率异常告警','addon','addon_mysql_mem','ticket','alert','【MySQL实例内存使用率告警】\n','【MySQL实例内存使用率告警】\n\n组件: {{addon_type}}\n\n实例ID: {{addon_id}}\n\n实例: {{pod_namespace}} - {{pod_name}}\n\n平均使用率: {{mem_usage_percent_avg}}\n\n集群 / 机器: {{cluster_name}} / {{host_ip}}\n\n容器ID: {{container_id}}\n\n机器: {{host_ip}}\n\n时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','{\"container_id\":\"string:6\",\"mem_limit_value\":\"fraction:1\",\"mem_usage_percent_avg\":\"percent:1\"}','1.0','2021-05-28 11:55:07','2021-05-28 11:55:07',1),(6260,'MySQL实例内存使用率异常告警','addon','addon_mysql_mem','email','alert','【MySQL实例内存使用率告警】\n','【MySQL实例内存使用率告警】\n\n组件: {{addon_type}}\n\n实例ID: {{addon_id}}\n\n实例: {{pod_namespace}} - {{pod_name}}\n\n平均使用率: {{mem_usage_percent_avg}}\n\n集群 / 机器: {{cluster_name}} / {{host_ip}}\n\n容器ID: {{container_id}}\n\n机器: {{host_ip}}\n\n时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','{\"container_id\":\"string:6\",\"mem_limit_value\":\"fraction:1\",\"mem_usage_percent_avg\":\"percent:1\"}','1.0','2021-05-28 11:55:07','2021-05-28 11:55:07',1),(6261,'MySQL实例内存使用率异常告警','addon','addon_mysql_mem','mbox','alert','【MySQL实例内存使用率告警】\n','【MySQL实例内存使用率告警】\n\n组件: {{addon_type}}\n\n实例ID: {{addon_id}}\n\n实例: {{pod_namespace}} - {{pod_name}}\n\n平均使用率: {{mem_usage_percent_avg}}\n\n集群 / 机器: {{cluster_name}} / {{host_ip}}\n\n容器ID: {{container_id}}\n\n机器: {{host_ip}}\n\n时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','{\"container_id\":\"string:6\",\"mem_limit_value\":\"fraction:1\",\"mem_usage_percent_avg\":\"percent:1\"}','1.0','2021-05-28 11:55:07','2021-05-28 11:55:07',1),(6262,'MySQL实例内存使用率异常告警','addon','addon_mysql_mem','webhook','alert','【MySQL实例内存使用率告警】\n','【MySQL实例内存使用率告警】\n\n组件: {{addon_type}}\n\n实例ID: {{addon_id}}\n\n实例: {{pod_namespace}} - {{pod_name}}\n\n平均使用率: {{mem_usage_percent_avg}}\n\n集群 / 机器: {{cluster_name}} / {{host_ip}}\n\n容器ID: {{container_id}}\n\n机器: {{host_ip}}\n\n时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','{\"container_id\":\"string:6\",\"mem_limit_value\":\"fraction:1\",\"mem_usage_percent_avg\":\"percent:1\"}','1.0','2021-05-28 11:55:07','2021-05-28 11:55:07',1),(6263,'MySQL实例主从同步异常告警','addon','addon_mysql_slave_status','dingding','alert','【MySQL实例主从同步异常】\n','【MySQL实例主从同步异常】\n\n组件: \"mysql\"\n\n实例ID: {{addon_id}}\n\n从节点IO异常状态: {{slave_slave_io_running_value}}\n\n从节点连接异常状态: {{slave_slave_sql_running_value}}\n\n集群 / 机器: {{cluster_name}} / {{host_ip}}\n\n机器: {{host_ip}}\n\n时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','{\"limit_value\":\"fraction:1\",\"usage_percent_avg\":\"percent:1\"}','1.0','2021-05-28 11:55:07','2021-05-28 11:55:07',1),(6264,'MySQL实例主从同步异常告警','addon','addon_mysql_slave_status','ticket','alert','【MySQL实例主从同步异常】\n','【MySQL实例主从同步异常】\n\n组件: \"mysql\"\n\n实例ID: {{addon_id}}\n\n从节点IO异常状态: {{slave_slave_io_running_value}}\n\n从节点连接异常状态: {{slave_slave_sql_running_value}}\n\n集群 / 机器: {{cluster_name}} / {{host_ip}}\n\n机器: {{host_ip}}\n\n时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','{\"limit_value\":\"fraction:1\",\"usage_percent_avg\":\"percent:1\"}','1.0','2021-05-28 11:55:07','2021-05-28 11:55:07',1),(6265,'MySQL实例主从同步异常告警','addon','addon_mysql_slave_status','email','alert','【MySQL实例主从同步异常】\n','【MySQL实例主从同步异常】\n\n组件: \"mysql\"\n\n实例ID: {{addon_id}}\n\n从节点IO异常状态: {{slave_slave_io_running_value}}\n\n从节点连接异常状态: {{slave_slave_sql_running_value}}\n\n集群 / 机器: {{cluster_name}} / {{host_ip}}\n\n机器: {{host_ip}}\n\n时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','{\"limit_value\":\"fraction:1\",\"usage_percent_avg\":\"percent:1\"}','1.0','2021-05-28 11:55:07','2021-05-28 11:55:07',1),(6266,'MySQL实例主从同步异常告警','addon','addon_mysql_slave_status','mbox','alert','【MySQL实例主从同步异常】\n','【MySQL实例主从同步异常】\n\n组件: \"mysql\"\n\n实例ID: {{addon_id}}\n\n从节点IO异常状态: {{slave_slave_io_running_value}}\n\n从节点连接异常状态: {{slave_slave_sql_running_value}}\n\n集群 / 机器: {{cluster_name}} / {{host_ip}}\n\n机器: {{host_ip}}\n\n时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','{\"limit_value\":\"fraction:1\",\"usage_percent_avg\":\"percent:1\"}','1.0','2021-05-28 11:55:07','2021-05-28 11:55:07',1),(6267,'MySQL实例主从同步异常告警','addon','addon_mysql_slave_status','webhook','alert','【MySQL实例主从同步异常】\n','【MySQL实例主从同步异常】\n\n组件: \"mysql\"\n\n实例ID: {{addon_id}}\n\n从节点IO异常状态: {{slave_slave_io_running_value}}\n\n从节点连接异常状态: {{slave_slave_sql_running_value}}\n\n集群 / 机器: {{cluster_name}} / {{host_ip}}\n\n机器: {{host_ip}}\n\n时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','{\"limit_value\":\"fraction:1\",\"usage_percent_avg\":\"percent:1\"}','1.0','2021-05-28 11:55:07','2021-05-28 11:55:07',1),(6268,'redis实例内存使用率异常告警','addon','addon_redis_mem','dingding','alert','【redis实例内存使用率异常告警】\n','【redis实例内存使用率异常告警】\n\n组件: {{addon_type}}\n\n实例ID: {{addon_id}}\n\n实例: {{pod_namespace}} - {{pod_name}}\n\n平均使用率: {{mem_usage_percent_avg}}\n\n集群 / 机器: {{cluster_name}} / {{host_ip}}\n\n容器ID: {{container_id}}\n\n机器: {{host_ip}}\n\n时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','{\"container_id\":\"string:6\",\"mem_limit_value\":\"fraction:1\",\"mem_usage_percent_avg\":\"percent:1\"}','1.0','2021-05-28 11:55:07','2021-05-28 11:55:07',1);

INSERT INTO `sp_alert_notify_template` (`id`, `name`, `alert_type`, `alert_index`, `target`, `trigger`, `title`, `template`, `formats`, `version`, `create_time`, `update_time`, `enable`) VALUES (6269,'redis实例内存使用率异常告警','addon','addon_redis_mem','ticket','alert','【redis实例内存使用率异常告警】\n','【redis实例内存使用率异常告警】\n\n组件: {{addon_type}}\n\n实例ID: {{addon_id}}\n\n实例: {{pod_namespace}} - {{pod_name}}\n\n平均使用率: {{mem_usage_percent_avg}}\n\n集群 / 机器: {{cluster_name}} / {{host_ip}}\n\n容器ID: {{container_id}}\n\n机器: {{host_ip}}\n\n时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','{\"container_id\":\"string:6\",\"mem_limit_value\":\"fraction:1\",\"mem_usage_percent_avg\":\"percent:1\"}','1.0','2021-05-28 11:55:07','2021-05-28 11:55:07',1),(6270,'redis实例内存使用率异常告警','addon','addon_redis_mem','email','alert','【redis实例内存使用率异常告警】\n','【redis实例内存使用率异常告警】\n\n组件: {{addon_type}}\n\n实例ID: {{addon_id}}\n\n实例: {{pod_namespace}} - {{pod_name}}\n\n平均使用率: {{mem_usage_percent_avg}}\n\n集群 / 机器: {{cluster_name}} / {{host_ip}}\n\n容器ID: {{container_id}}\n\n机器: {{host_ip}}\n\n时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','{\"container_id\":\"string:6\",\"mem_limit_value\":\"fraction:1\",\"mem_usage_percent_avg\":\"percent:1\"}','1.0','2021-05-28 11:55:07','2021-05-28 11:55:07',1),(6271,'redis实例内存使用率异常告警','addon','addon_redis_mem','mbox','alert','【redis实例内存使用率异常告警】\n','【redis实例内存使用率异常告警】\n\n组件: {{addon_type}}\n\n实例ID: {{addon_id}}\n\n实例: {{pod_namespace}} - {{pod_name}}\n\n平均使用率: {{mem_usage_percent_avg}}\n\n集群 / 机器: {{cluster_name}} / {{host_ip}}\n\n容器ID: {{container_id}}\n\n机器: {{host_ip}}\n\n时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','{\"container_id\":\"string:6\",\"mem_limit_value\":\"fraction:1\",\"mem_usage_percent_avg\":\"percent:1\"}','1.0','2021-05-28 11:55:07','2021-05-28 11:55:07',1),(6272,'redis实例内存使用率异常告警','addon','addon_redis_mem','webhook','alert','【redis实例内存使用率异常告警】\n','【redis实例内存使用率异常告警】\n\n组件: {{addon_type}}\n\n实例ID: {{addon_id}}\n\n实例: {{pod_namespace}} - {{pod_name}}\n\n平均使用率: {{mem_usage_percent_avg}}\n\n集群 / 机器: {{cluster_name}} / {{host_ip}}\n\n容器ID: {{container_id}}\n\n机器: {{host_ip}}\n\n时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','{\"container_id\":\"string:6\",\"mem_limit_value\":\"fraction:1\",\"mem_usage_percent_avg\":\"percent:1\"}','1.0','2021-05-28 11:55:07','2021-05-28 11:55:07',1),(6273,'Ajax接口访问性能告警','app_browser','app_browser_ajax_req','dingding','alert','【Ajax接口 ({{req_path}}) 访问性能告警】\n','【Ajax接口访问性能告警】\n\n事件: {{req_path}} Ajax接口慢响应\n\n时间: {{timestamp}}\n\n域名: {{host}}\n\n平均响应时间: {{tt_avg}} ms\n\n[查看详情]({{display_url}})\n\n[查看记录]({{record_url}})','{\"tt\":\"time:s\"}','1.0','2021-05-28 11:55:07','2021-05-28 11:55:07',1),(6274,'Ajax接口访问性能告警','app_browser','app_browser_ajax_req','ticket','alert','【Ajax接口 ({{req_path}}) 访问性能告警】\n','【Ajax接口访问性能告警】\n\n事件: {{req_path}} Ajax接口慢响应\n\n时间: {{timestamp}}\n\n域名: {{host}}\n\n平均响应时间: {{tt_avg}} ms\n\n[查看详情]({{display_url}})\n\n[查看记录]({{record_url}})','{\"tt\":\"time:s\"}','1.0','2021-05-28 11:55:07','2021-05-28 11:55:07',1),(6275,'Ajax接口访问性能告警','app_browser','app_browser_ajax_req','email','alert','【Ajax接口 ({{req_path}}) 访问性能告警】\n','【Ajax接口访问性能告警】\n\n事件: {{req_path}} Ajax接口慢响应\n\n时间: {{timestamp}}\n\n域名: {{host}}\n\n平均响应时间: {{tt_avg}} ms\n\n[查看详情]({{display_url}})\n\n[查看记录]({{record_url}})','{\"tt\":\"time:s\"}','1.0','2021-05-28 11:55:07','2021-05-28 11:55:07',1),(6276,'Ajax接口访问性能告警','app_browser','app_browser_ajax_req','mbox','alert','【Ajax接口 ({{req_path}}) 访问性能告警】\n','【Ajax接口访问性能告警】\n\n事件: {{req_path}} Ajax接口慢响应\n\n时间: {{timestamp}}\n\n域名: {{host}}\n\n平均响应时间: {{tt_avg}} ms\n\n[查看详情]({{display_url}})\n\n[查看记录]({{record_url}})','{\"tt\":\"time:s\"}','1.0','2021-05-28 11:55:07','2021-05-28 11:55:07',1),(6277,'Ajax接口访问性能告警','app_browser','app_browser_ajax_req','webhook','alert','【Ajax接口 ({{req_path}}) 访问性能告警】\n','【Ajax接口访问性能告警】\n\n事件: {{req_path}} Ajax接口慢响应\n\n时间: {{timestamp}}\n\n域名: {{host}}\n\n平均响应时间: {{tt_avg}} ms\n\n[查看详情]({{display_url}})\n\n[查看记录]({{record_url}})','{\"tt\":\"time:s\"}','1.0','2021-05-28 11:55:07','2021-05-28 11:55:07',1),(6278,'用户体验告警','app_browser','app_browser_apdex','dingding','alert','【({{doc_path}}) 接口用户体验告警】\n','【用户体验告警】\n\n事件: 访问时间过长\n\n时间: {{timestamp}}\n\n域名: {{host}}\n\n页面: {{doc_path}}\n\n平均响应时间: {{plt_avg}} ms\n\n[查看详情]({{display_url}})\n\n[查看记录]({{record_url}})','{\"plt\":\"time:s\"}','1.0','2021-05-28 11:55:07','2021-05-28 11:55:07',1),(6279,'用户体验告警','app_browser','app_browser_apdex','ticket','alert','【({{doc_path}}) 接口用户体验告警】\n','【用户体验告警】\n\n事件: 访问时间过长\n\n时间: {{timestamp}}\n\n域名: {{host}}\n\n页面: {{doc_path}}\n\n平均响应时间: {{plt_avg}} ms\n\n[查看详情]({{display_url}})\n\n[查看记录]({{record_url}})','{\"plt\":\"time:s\"}','1.0','2021-05-28 11:55:07','2021-05-28 11:55:07',1),(6280,'用户体验告警','app_browser','app_browser_apdex','email','alert','【({{doc_path}}) 接口用户体验告警】\n','【用户体验告警】\n\n事件: 访问时间过长\n\n时间: {{timestamp}}\n\n域名: {{host}}\n\n页面: {{doc_path}}\n\n平均响应时间: {{plt_avg}} ms\n\n[查看详情]({{display_url}})\n\n[查看记录]({{record_url}})','{\"plt\":\"time:s\"}','1.0','2021-05-28 11:55:07','2021-05-28 11:55:07',1),(6281,'用户体验告警','app_browser','app_browser_apdex','mbox','alert','【({{doc_path}}) 接口用户体验告警】\n','【用户体验告警】\n\n事件: 访问时间过长\n\n时间: {{timestamp}}\n\n域名: {{host}}\n\n页面: {{doc_path}}\n\n平均响应时间: {{plt_avg}} ms\n\n[查看详情]({{display_url}})\n\n[查看记录]({{record_url}})','{\"plt\":\"time:s\"}','1.0','2021-05-28 11:55:07','2021-05-28 11:55:07',1),(6282,'用户体验告警','app_browser','app_browser_apdex','webhook','alert','【({{doc_path}}) 接口用户体验告警】\n','【用户体验告警】\n\n事件: 访问时间过长\n\n时间: {{timestamp}}\n\n域名: {{host}}\n\n页面: {{doc_path}}\n\n平均响应时间: {{plt_avg}} ms\n\n[查看详情]({{display_url}})\n\n[查看记录]({{record_url}})','{\"plt\":\"time:s\"}','1.0','2021-05-28 11:55:07','2021-05-28 11:55:07',1),(6283,'域名访问性能告警','app_browser','app_browser_host_req','dingding','alert','【({{host}}) 域名访问性能告警】\n','【域名访问性能告警】\n\n事件: ({{host}}) 域名慢响应\n\n时间: {{timestamp}}\n\n域名: {{host}}\n\n平均响应时间: {{plt_avg}} ms\n\n[查看详情]({{display_url}})\n\n[查看记录]({{record_url}})','{\"plt\":\"time:s\"}','1.0','2021-05-28 11:55:07','2021-05-28 11:55:07',1),(6284,'域名访问性能告警','app_browser','app_browser_host_req','ticket','alert','【({{host}}) 域名访问性能告警】\n','【域名访问性能告警】\n\n事件: ({{host}}) 域名慢响应\n\n时间: {{timestamp}}\n\n域名: {{host}}\n\n平均响应时间: {{plt_avg}} ms\n\n[查看详情]({{display_url}})\n\n[查看记录]({{record_url}})','{\"plt\":\"time:s\"}','1.0','2021-05-28 11:55:07','2021-05-28 11:55:07',1),(6285,'域名访问性能告警','app_browser','app_browser_host_req','email','alert','【({{host}}) 域名访问性能告警】\n','【域名访问性能告警】\n\n事件: ({{host}}) 域名慢响应\n\n时间: {{timestamp}}\n\n域名: {{host}}\n\n平均响应时间: {{plt_avg}} ms\n\n[查看详情]({{display_url}})\n\n[查看记录]({{record_url}})','{\"plt\":\"time:s\"}','1.0','2021-05-28 11:55:07','2021-05-28 11:55:07',1),(6286,'域名访问性能告警','app_browser','app_browser_host_req','mbox','alert','【({{host}}) 域名访问性能告警】\n','【域名访问性能告警】\n\n事件: ({{host}}) 域名慢响应\n\n时间: {{timestamp}}\n\n域名: {{host}}\n\n平均响应时间: {{plt_avg}} ms\n\n[查看详情]({{display_url}})\n\n[查看记录]({{record_url}})','{\"plt\":\"time:s\"}','1.0','2021-05-28 11:55:07','2021-05-28 11:55:07',1),(6287,'域名访问性能告警','app_browser','app_browser_host_req','webhook','alert','【({{host}}) 域名访问性能告警】\n','【域名访问性能告警】\n\n事件: ({{host}}) 域名慢响应\n\n时间: {{timestamp}}\n\n域名: {{host}}\n\n平均响应时间: {{plt_avg}} ms\n\n[查看详情]({{display_url}})\n\n[查看记录]({{record_url}})','{\"plt\":\"time:s\"}','1.0','2021-05-28 11:55:07','2021-05-28 11:55:07',1),(6288,'页面访问性能告警','app_browser','app_browser_page_req','dingding','alert','【页面 ({{doc_path}}) 访问性能告警】\n','【页面访问性能告警】\n\n事件: {{doc_path}} 页面慢响应\n\n域名: {{host}}\n\n页面: {{doc_path}}\n\n页面平均响应时间: {{plt_avg}} ms\n\n时间: {{timestamp}}\n\n[查看详情]({{display_url}})\n\n[查看记录]({{record_url}})','{\"plt\":\"time:s\"}','1.0','2021-05-28 11:55:07','2021-05-28 11:55:07',1),(6289,'页面访问性能告警','app_browser','app_browser_page_req','ticket','alert','【页面 ({{doc_path}}) 访问性能告警】\n','【页面访问性能告警】\n\n事件: {{doc_path}} 页面慢响应\n\n域名: {{host}}\n\n页面: {{doc_path}}\n\n页面平均响应时间: {{plt_avg}} ms\n\n时间: {{timestamp}}\n\n[查看详情]({{display_url}})\n\n[查看记录]({{record_url}})','{\"plt\":\"time:s\"}','1.0','2021-05-28 11:55:07','2021-05-28 11:55:07',1),(6290,'页面访问性能告警','app_browser','app_browser_page_req','email','alert','【页面 ({{doc_path}}) 访问性能告警】\n','【页面访问性能告警】\n\n事件: {{doc_path}} 页面慢响应\n\n域名: {{host}}\n\n页面: {{doc_path}}\n\n页面平均响应时间: {{plt_avg}} ms\n\n时间: {{timestamp}}\n\n[查看详情]({{display_url}})\n\n[查看记录]({{record_url}})','{\"plt\":\"time:s\"}','1.0','2021-05-28 11:55:07','2021-05-28 11:55:07',1),(6291,'页面访问性能告警','app_browser','app_browser_page_req','mbox','alert','【页面 ({{doc_path}}) 访问性能告警】\n','【页面访问性能告警】\n\n事件: {{doc_path}} 页面慢响应\n\n域名: {{host}}\n\n页面: {{doc_path}}\n\n页面平均响应时间: {{plt_avg}} ms\n\n时间: {{timestamp}}\n\n[查看详情]({{display_url}})\n\n[查看记录]({{record_url}})','{\"plt\":\"time:s\"}','1.0','2021-05-28 11:55:07','2021-05-28 11:55:07',1),(6292,'页面访问性能告警','app_browser','app_browser_page_req','webhook','alert','【页面 ({{doc_path}}) 访问性能告警】\n','【页面访问性能告警】\n\n事件: {{doc_path}} 页面慢响应\n\n域名: {{host}}\n\n页面: {{doc_path}}\n\n页面平均响应时间: {{plt_avg}} ms\n\n时间: {{timestamp}}\n\n[查看详情]({{display_url}})\n\n[查看记录]({{record_url}})','{\"plt\":\"time:s\"}','1.0','2021-05-28 11:55:07','2021-05-28 11:55:07',1),(6293,'脚本错误告警','app_browser','app_browser_script_error','dingding','alert','【页面 ({{doc_path}}) 脚本错误告警】','【脚本错误告警】\n\n事件: {{window}} 分钟内，脚本错误次数: {{count_sum}}\n\n访问域名：{{host}}\n\n访问页面：{{doc_path}}\n\n时间: {{timestamp}}\n\n[查看详情]({{display_url}})\n\n[查看记录]({{record_url}})\n','{\"count\":\"string\"}','1.0','2021-05-28 11:55:07','2021-05-28 11:55:07',1),(6294,'脚本错误告警','app_browser','app_browser_script_error','ticket','alert','【页面 ({{doc_path}}) 脚本错误告警】','【脚本错误告警】\n\n事件: {{window}} 分钟内，脚本错误次数: {{count_sum}}\n\n访问域名：{{host}}\n\n访问页面：{{doc_path}}\n\n时间: {{timestamp}}\n\n[查看详情]({{display_url}})\n\n[查看记录]({{record_url}})\n','{\"count\":\"string\"}','1.0','2021-05-28 11:55:07','2021-05-28 11:55:07',1),(6295,'脚本错误告警','app_browser','app_browser_script_error','email','alert','【页面 ({{doc_path}}) 脚本错误告警】','【脚本错误告警】\n\n事件: {{window}} 分钟内，脚本错误次数: {{count_sum}}\n\n访问域名：{{host}}\n\n访问页面：{{doc_path}}\n\n时间: {{timestamp}}\n\n[查看详情]({{display_url}})\n\n[查看记录]({{record_url}})\n','{\"count\":\"string\"}','1.0','2021-05-28 11:55:07','2021-05-28 11:55:07',1),(6296,'脚本错误告警','app_browser','app_browser_script_error','mbox','alert','【页面 ({{doc_path}}) 脚本错误告警】','【脚本错误告警】\n\n事件: {{window}} 分钟内，脚本错误次数: {{count_sum}}\n\n访问域名：{{host}}\n\n访问页面：{{doc_path}}\n\n时间: {{timestamp}}\n\n[查看详情]({{display_url}})\n\n[查看记录]({{record_url}})\n','{\"count\":\"string\"}','1.0','2021-05-28 11:55:07','2021-05-28 11:55:07',1),(6297,'脚本错误告警','app_browser','app_browser_script_error','webhook','alert','【页面 ({{doc_path}}) 脚本错误告警】','【脚本错误告警】\n\n事件: {{window}} 分钟内，脚本错误次数: {{count_sum}}\n\n访问域名：{{host}}\n\n访问页面：{{doc_path}}\n\n时间: {{timestamp}}\n\n[查看详情]({{display_url}})\n\n[查看记录]({{record_url}})\n','{\"count\":\"string\"}','1.0','2021-05-28 11:55:07','2021-05-28 11:55:07',1),(6298,'应用异常','app_exception','app_exception_count','dingding','alert','【{{application_name}}应用{{service_name}}服务异常告警】\n','【应用异常告警】\n\n项目: {{project_name}}\n\n应用: {{application_name}}\n\n服务: {{runtime_name}} - {{service_name}}\n\n实例: {{instance_id}}\n\n类: {{class}}\n\n方法: {{method}}\n\n行数: {{line}}\n\n错误: {{type}}\n\n事件: {{window}}分钟内出现 {{count_sum}} 次\n\n时间: {{timestamp}}\n\n[查看详情]({{display_url}})\n\n[查看记录]({{record_url}})\n','','1.0','2021-05-28 11:55:07','2021-05-28 11:55:07',1),(6299,'应用异常','app_exception','app_exception_count','ticket','alert','【{{application_name}}应用{{service_name}}服务异常告警】\n','【应用异常告警】\n\n项目: {{project_name}}\n\n应用: {{application_name}}\n\n服务: {{runtime_name}} - {{service_name}}\n\n实例: {{instance_id}}\n\n类: {{class}}\n\n方法: {{method}}\n\n行数: {{line}}\n\n错误: {{type}}\n\n事件: {{window}}分钟内出现 {{count_sum}} 次\n\n时间: {{timestamp}}\n\n[查看详情]({{display_url}})\n\n[查看记录]({{record_url}})\n','','1.0','2021-05-28 11:55:07','2021-05-28 11:55:07',1),(6300,'应用异常','app_exception','app_exception_count','email','alert','【{{application_name}}应用{{service_name}}服务异常告警】\n','【应用异常告警】\n\n项目: {{project_name}}\n\n应用: {{application_name}}\n\n服务: {{runtime_name}} - {{service_name}}\n\n实例: {{instance_id}}\n\n类: {{class}}\n\n方法: {{method}}\n\n行数: {{line}}\n\n错误: {{type}}\n\n事件: {{window}}分钟内出现 {{count_sum}} 次\n\n时间: {{timestamp}}\n\n[查看详情]({{display_url}})\n\n[查看记录]({{record_url}})\n','','1.0','2021-05-28 11:55:07','2021-05-28 11:55:07',1),(6301,'应用异常','app_exception','app_exception_count','mbox','alert','【{{application_name}}应用{{service_name}}服务异常告警】\n','【应用异常告警】\n\n项目: {{project_name}}\n\n应用: {{application_name}}\n\n服务: {{runtime_name}} - {{service_name}}\n\n实例: {{instance_id}}\n\n类: {{class}}\n\n方法: {{method}}\n\n行数: {{line}}\n\n错误: {{type}}\n\n事件: {{window}}分钟内出现 {{count_sum}} 次\n\n时间: {{timestamp}}\n\n[查看详情]({{display_url}})\n\n[查看记录]({{record_url}})\n','','1.0','2021-05-28 11:55:07','2021-05-28 11:55:07',1),(6302,'应用异常','app_exception','app_exception_count','webhook','alert','【{{application_name}}应用{{service_name}}服务异常告警】\n','【应用异常告警】\n\n项目: {{project_name}}\n\n应用: {{application_name}}\n\n服务: {{runtime_name}} - {{service_name}}\n\n实例: {{instance_id}}\n\n类: {{class}}\n\n方法: {{method}}\n\n行数: {{line}}\n\n错误: {{type}}\n\n事件: {{window}}分钟内出现 {{count_sum}} 次\n\n时间: {{timestamp}}\n\n[查看详情]({{display_url}})\n\n[查看记录]({{record_url}})\n','','1.0','2021-05-28 11:55:07','2021-05-28 11:55:07',1),(6303,'应用异常','app_exception','app_exception_count','dingding','recover','【{{application_name}}应用{{service_name}}服务异常恢复】\n','【应用异常恢复】\n\n项目: {{project_name}}\n\n应用: {{application_name}}\n\n服务: {{runtime_name}} - {{service_name}}\n\n实例: {{instance_id}}\n\n类: {{class}}\n\n方法: {{method}}\n\n行数: {{line}}\n\n错误: {{type}}\n\n持续时间: {{trigger_duration_min}}\n\n恢复时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','','1.0','2021-05-28 11:55:07','2021-05-28 11:55:07',1),(6304,'应用异常','app_exception','app_exception_count','ticket','recover','【{{application_name}}应用{{service_name}}服务异常恢复】\n','【应用异常恢复】\n\n项目: {{project_name}}\n\n应用: {{application_name}}\n\n服务: {{runtime_name}} - {{service_name}}\n\n实例: {{instance_id}}\n\n类: {{class}}\n\n方法: {{method}}\n\n行数: {{line}}\n\n错误: {{type}}\n\n持续时间: {{trigger_duration_min}}\n\n恢复时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','','1.0','2021-05-28 11:55:07','2021-05-28 11:55:07',1),(6305,'应用异常','app_exception','app_exception_count','email','recover','【{{application_name}}应用{{service_name}}服务异常恢复】\n','【应用异常恢复】\n\n项目: {{project_name}}\n\n应用: {{application_name}}\n\n服务: {{runtime_name}} - {{service_name}}\n\n实例: {{instance_id}}\n\n类: {{class}}\n\n方法: {{method}}\n\n行数: {{line}}\n\n错误: {{type}}\n\n持续时间: {{trigger_duration_min}}\n\n恢复时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','','1.0','2021-05-28 11:55:07','2021-05-28 11:55:07',1),(6306,'应用异常','app_exception','app_exception_count','mbox','recover','【{{application_name}}应用{{service_name}}服务异常恢复】\n','【应用异常恢复】\n\n项目: {{project_name}}\n\n应用: {{application_name}}\n\n服务: {{runtime_name}} - {{service_name}}\n\n实例: {{instance_id}}\n\n类: {{class}}\n\n方法: {{method}}\n\n行数: {{line}}\n\n错误: {{type}}\n\n持续时间: {{trigger_duration_min}}\n\n恢复时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','','1.0','2021-05-28 11:55:07','2021-05-28 11:55:07',1),(6307,'应用异常','app_exception','app_exception_count','webhook','recover','【{{application_name}}应用{{service_name}}服务异常恢复】\n','【应用异常恢复】\n\n项目: {{project_name}}\n\n应用: {{application_name}}\n\n服务: {{runtime_name}} - {{service_name}}\n\n实例: {{instance_id}}\n\n类: {{class}}\n\n方法: {{method}}\n\n行数: {{line}}\n\n错误: {{type}}\n\n持续时间: {{trigger_duration_min}}\n\n恢复时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','','1.0','2021-05-28 11:55:07','2021-05-28 11:55:07',1),(6308,'应用实例CPU使用率异常','app_resource','app_resource_container_cpu','dingding','alert','【{{application_name}}应用{{service_name}}服务实例CPU使用率告警】\n','【应用实例CPU使用率异常告警】\n\n项目: {{project_name}}\n\n应用: {{application_name}}\n\n服务实例: {{runtime_name}} - {{service_name}}.{{container_id}}\n\nCPU平均使用率: {{cpu_usage_percent_avg}}\n\nCPU限制: {{cpu_limit_value}}核\n\n机器: {{host_ip}}\n\n时间: {{timestamp}}\n\n[查看详情]({{display_url}})\n\n[查看记录]({{record_url}})\n','{\"container_id\":\"string:6\",\"cpu_limit_value\":\"fraction:1\",\"cpu_usage_percent_avg\":\"percent:1\"}','1.0','2021-05-28 11:55:07','2021-05-28 11:55:07',1),(6309,'应用实例CPU使用率异常','app_resource','app_resource_container_cpu','ticket','alert','【{{application_name}}应用{{service_name}}服务实例CPU使用率告警】\n','【应用实例CPU使用率异常告警】\n\n项目: {{project_name}}\n\n应用: {{application_name}}\n\n服务实例: {{runtime_name}} - {{service_name}}.{{container_id}}\n\nCPU平均使用率: {{cpu_usage_percent_avg}}\n\nCPU限制: {{cpu_limit_value}}核\n\n机器: {{host_ip}}\n\n时间: {{timestamp}}\n\n[查看详情]({{display_url}})\n\n[查看记录]({{record_url}})\n','{\"container_id\":\"string:6\",\"cpu_limit_value\":\"fraction:1\",\"cpu_usage_percent_avg\":\"percent:1\"}','1.0','2021-05-28 11:55:07','2021-05-28 11:55:07',1),(6310,'应用实例CPU使用率异常','app_resource','app_resource_container_cpu','email','alert','【{{application_name}}应用{{service_name}}服务实例CPU使用率告警】\n','【应用实例CPU使用率异常告警】\n\n项目: {{project_name}}\n\n应用: {{application_name}}\n\n服务实例: {{runtime_name}} - {{service_name}}.{{container_id}}\n\nCPU平均使用率: {{cpu_usage_percent_avg}}\n\nCPU限制: {{cpu_limit_value}}核\n\n机器: {{host_ip}}\n\n时间: {{timestamp}}\n\n[查看详情]({{display_url}})\n\n[查看记录]({{record_url}})\n','{\"container_id\":\"string:6\",\"cpu_limit_value\":\"fraction:1\",\"cpu_usage_percent_avg\":\"percent:1\"}','1.0','2021-05-28 11:55:07','2021-05-28 11:55:07',1),(6311,'应用实例CPU使用率异常','app_resource','app_resource_container_cpu','mbox','alert','【{{application_name}}应用{{service_name}}服务实例CPU使用率告警】\n','【应用实例CPU使用率异常告警】\n\n项目: {{project_name}}\n\n应用: {{application_name}}\n\n服务实例: {{runtime_name}} - {{service_name}}.{{container_id}}\n\nCPU平均使用率: {{cpu_usage_percent_avg}}\n\nCPU限制: {{cpu_limit_value}}核\n\n机器: {{host_ip}}\n\n时间: {{timestamp}}\n\n[查看详情]({{display_url}})\n\n[查看记录]({{record_url}})\n','{\"container_id\":\"string:6\",\"cpu_limit_value\":\"fraction:1\",\"cpu_usage_percent_avg\":\"percent:1\"}','1.0','2021-05-28 11:55:07','2021-05-28 11:55:07',1),(6312,'应用实例CPU使用率异常','app_resource','app_resource_container_cpu','webhook','alert','【{{application_name}}应用{{service_name}}服务实例CPU使用率告警】\n','【应用实例CPU使用率异常告警】\n\n项目: {{project_name}}\n\n应用: {{application_name}}\n\n服务实例: {{runtime_name}} - {{service_name}}.{{container_id}}\n\nCPU平均使用率: {{cpu_usage_percent_avg}}\n\nCPU限制: {{cpu_limit_value}}核\n\n机器: {{host_ip}}\n\n时间: {{timestamp}}\n\n[查看详情]({{display_url}})\n\n[查看记录]({{record_url}})\n','{\"container_id\":\"string:6\",\"cpu_limit_value\":\"fraction:1\",\"cpu_usage_percent_avg\":\"percent:1\"}','1.0','2021-05-28 11:55:07','2021-05-28 11:55:07',1),(6313,'应用实例CPU使用率恢复','app_resource','app_resource_container_cpu','dingding','recover','【{{application_name}}应用{{service_name}}服务实例CPU使用率恢复】\n','【应用实例CPU使用率恢复】\n\n项目: {{project_name}}\n\n应用: {{application_name}}\n\n服务实例: {{runtime_name}} - {{service_name}}.{{container_id}}\n\n平均使用率: {{cpu_usage_percent_avg}}\n\n机器: {{host_ip}}\n\n容器ID: {{container_id}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','{\"container_id\":\"string:6\",\"cpu_usage_percent_avg\":\"percent:1\",\"trigger_duration\":\"time:ms\"}','1.0','2021-05-28 11:55:07','2021-05-28 11:55:07',1),(6314,'应用实例CPU使用率恢复','app_resource','app_resource_container_cpu','ticket','recover','【{{application_name}}应用{{service_name}}服务实例CPU使用率恢复】\n','【应用实例CPU使用率恢复】\n\n项目: {{project_name}}\n\n应用: {{application_name}}\n\n服务实例: {{runtime_name}} - {{service_name}}.{{container_id}}\n\n平均使用率: {{cpu_usage_percent_avg}}\n\n机器: {{host_ip}}\n\n容器ID: {{container_id}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','{\"container_id\":\"string:6\",\"cpu_usage_percent_avg\":\"percent:1\",\"trigger_duration\":\"time:ms\"}','1.0','2021-05-28 11:55:07','2021-05-28 11:55:07',1),(6315,'应用实例CPU使用率恢复','app_resource','app_resource_container_cpu','email','recover','【{{application_name}}应用{{service_name}}服务实例CPU使用率恢复】\n','【应用实例CPU使用率恢复】\n\n项目: {{project_name}}\n\n应用: {{application_name}}\n\n服务实例: {{runtime_name}} - {{service_name}}.{{container_id}}\n\n平均使用率: {{cpu_usage_percent_avg}}\n\n机器: {{host_ip}}\n\n容器ID: {{container_id}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','{\"container_id\":\"string:6\",\"cpu_usage_percent_avg\":\"percent:1\",\"trigger_duration\":\"time:ms\"}','1.0','2021-05-28 11:55:07','2021-05-28 11:55:07',1),(6316,'应用实例CPU使用率恢复','app_resource','app_resource_container_cpu','mbox','recover','【{{application_name}}应用{{service_name}}服务实例CPU使用率恢复】\n','【应用实例CPU使用率恢复】\n\n项目: {{project_name}}\n\n应用: {{application_name}}\n\n服务实例: {{runtime_name}} - {{service_name}}.{{container_id}}\n\n平均使用率: {{cpu_usage_percent_avg}}\n\n机器: {{host_ip}}\n\n容器ID: {{container_id}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','{\"container_id\":\"string:6\",\"cpu_usage_percent_avg\":\"percent:1\",\"trigger_duration\":\"time:ms\"}','1.0','2021-05-28 11:55:07','2021-05-28 11:55:07',1),(6317,'应用实例CPU使用率恢复','app_resource','app_resource_container_cpu','webhook','recover','【{{application_name}}应用{{service_name}}服务实例CPU使用率恢复】\n','【应用实例CPU使用率恢复】\n\n项目: {{project_name}}\n\n应用: {{application_name}}\n\n服务实例: {{runtime_name}} - {{service_name}}.{{container_id}}\n\n平均使用率: {{cpu_usage_percent_avg}}\n\n机器: {{host_ip}}\n\n容器ID: {{container_id}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','{\"container_id\":\"string:6\",\"cpu_usage_percent_avg\":\"percent:1\",\"trigger_duration\":\"time:ms\"}','1.0','2021-05-28 11:55:07','2021-05-28 11:55:07',1),(6318,'应用实例内存使用率异常','app_resource','app_resource_container_mem','dingding','alert','【{{application_name}}应用{{service_name}}服务内存使用率异常告警】\n','【应用实例内存使用率异常告警】\n\n项目: {{project_name}}\n\n应用: {{application_name}}\n\n服务实例: {{runtime_name}} - {{service_name}}.{{container_id}}\n\n内存使用率: {{mem_usage_percent_avg}}\n\n内存使用: {{mem_usage_value}}\n\n内存限制: {{mem_limit_value}}\n\n机器: {{host_ip}}\n\n时间: {{timestamp}}\n\n[查看详情]({{display_url}})\n\n[查看记录]({{record_url}})\n','{\"container_id\":\"string:6\",\"mem_limit_value\":\"size:byte\",\"mem_usage_percent_avg\":\"percent:1\",\"mem_usage_value\":\"size:byte\"}','1.0','2021-05-28 11:55:07','2021-05-28 11:55:07',1),(6319,'应用实例内存使用率异常','app_resource','app_resource_container_mem','ticket','alert','【{{application_name}}应用{{service_name}}服务内存使用率异常告警】\n','【应用实例内存使用率异常告警】\n\n项目: {{project_name}}\n\n应用: {{application_name}}\n\n服务实例: {{runtime_name}} - {{service_name}}.{{container_id}}\n\n内存使用率: {{mem_usage_percent_avg}}\n\n内存使用: {{mem_usage_value}}\n\n内存限制: {{mem_limit_value}}\n\n机器: {{host_ip}}\n\n时间: {{timestamp}}\n\n[查看详情]({{display_url}})\n\n[查看记录]({{record_url}})\n','{\"container_id\":\"string:6\",\"mem_limit_value\":\"size:byte\",\"mem_usage_percent_avg\":\"percent:1\",\"mem_usage_value\":\"size:byte\"}','1.0','2021-05-28 11:55:07','2021-05-28 11:55:07',1),(6320,'应用实例内存使用率异常','app_resource','app_resource_container_mem','email','alert','【{{application_name}}应用{{service_name}}服务内存使用率异常告警】\n','【应用实例内存使用率异常告警】\n\n项目: {{project_name}}\n\n应用: {{application_name}}\n\n服务实例: {{runtime_name}} - {{service_name}}.{{container_id}}\n\n内存使用率: {{mem_usage_percent_avg}}\n\n内存使用: {{mem_usage_value}}\n\n内存限制: {{mem_limit_value}}\n\n机器: {{host_ip}}\n\n时间: {{timestamp}}\n\n[查看详情]({{display_url}})\n\n[查看记录]({{record_url}})\n','{\"container_id\":\"string:6\",\"mem_limit_value\":\"size:byte\",\"mem_usage_percent_avg\":\"percent:1\",\"mem_usage_value\":\"size:byte\"}','1.0','2021-05-28 11:55:07','2021-05-28 11:55:07',1),(6321,'应用实例内存使用率异常','app_resource','app_resource_container_mem','mbox','alert','【{{application_name}}应用{{service_name}}服务内存使用率异常告警】\n','【应用实例内存使用率异常告警】\n\n项目: {{project_name}}\n\n应用: {{application_name}}\n\n服务实例: {{runtime_name}} - {{service_name}}.{{container_id}}\n\n内存使用率: {{mem_usage_percent_avg}}\n\n内存使用: {{mem_usage_value}}\n\n内存限制: {{mem_limit_value}}\n\n机器: {{host_ip}}\n\n时间: {{timestamp}}\n\n[查看详情]({{display_url}})\n\n[查看记录]({{record_url}})\n','{\"container_id\":\"string:6\",\"mem_limit_value\":\"size:byte\",\"mem_usage_percent_avg\":\"percent:1\",\"mem_usage_value\":\"size:byte\"}','1.0','2021-05-28 11:55:07','2021-05-28 11:55:07',1),(6322,'应用实例内存使用率异常','app_resource','app_resource_container_mem','webhook','alert','【{{application_name}}应用{{service_name}}服务内存使用率异常告警】\n','【应用实例内存使用率异常告警】\n\n项目: {{project_name}}\n\n应用: {{application_name}}\n\n服务实例: {{runtime_name}} - {{service_name}}.{{container_id}}\n\n内存使用率: {{mem_usage_percent_avg}}\n\n内存使用: {{mem_usage_value}}\n\n内存限制: {{mem_limit_value}}\n\n机器: {{host_ip}}\n\n时间: {{timestamp}}\n\n[查看详情]({{display_url}})\n\n[查看记录]({{record_url}})\n','{\"container_id\":\"string:6\",\"mem_limit_value\":\"size:byte\",\"mem_usage_percent_avg\":\"percent:1\",\"mem_usage_value\":\"size:byte\"}','1.0','2021-05-28 11:55:07','2021-05-28 11:55:07',1),(6323,'应用实例内存异常','app_resource','app_resource_container_mem','dingding','recover','【{{application_name}}应用{{service_name}}服务内存使用率异常恢复】\n','【应用实例内存使用率异常恢复】\n\n项目: {{project_name}}\n\n应用: {{application_name}}\n\n服务实例: {{runtime_name}} - {{service_name}}.{{container_id}}\n\n内存使用率: {{mem_usage_percent_avg}}\n\n内存使用: {{mem_usage_value}}\n\n内存限制: {{mem_limit_value}}\n\n机器: {{host_ip}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','{\"container_id\":\"string:6\",\"mem_usage_percent_avg\":\"percent:1\",\"trigger_duration\":\"time:ms\"}','1.0','2021-05-28 11:55:07','2021-05-28 11:55:07',1),(6324,'应用实例内存异常','app_resource','app_resource_container_mem','ticket','recover','【{{application_name}}应用{{service_name}}服务内存使用率异常恢复】\n','【应用实例内存使用率异常恢复】\n\n项目: {{project_name}}\n\n应用: {{application_name}}\n\n服务实例: {{runtime_name}} - {{service_name}}.{{container_id}}\n\n内存使用率: {{mem_usage_percent_avg}}\n\n内存使用: {{mem_usage_value}}\n\n内存限制: {{mem_limit_value}}\n\n机器: {{host_ip}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','{\"container_id\":\"string:6\",\"mem_usage_percent_avg\":\"percent:1\",\"trigger_duration\":\"time:ms\"}','1.0','2021-05-28 11:55:07','2021-05-28 11:55:07',1),(6325,'应用实例内存异常','app_resource','app_resource_container_mem','email','recover','【{{application_name}}应用{{service_name}}服务内存使用率异常恢复】\n','【应用实例内存使用率异常恢复】\n\n项目: {{project_name}}\n\n应用: {{application_name}}\n\n服务实例: {{runtime_name}} - {{service_name}}.{{container_id}}\n\n内存使用率: {{mem_usage_percent_avg}}\n\n内存使用: {{mem_usage_value}}\n\n内存限制: {{mem_limit_value}}\n\n机器: {{host_ip}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','{\"container_id\":\"string:6\",\"mem_usage_percent_avg\":\"percent:1\",\"trigger_duration\":\"time:ms\"}','1.0','2021-05-28 11:55:07','2021-05-28 11:55:07',1),(6326,'应用实例内存异常','app_resource','app_resource_container_mem','mbox','recover','【{{application_name}}应用{{service_name}}服务内存使用率异常恢复】\n','【应用实例内存使用率异常恢复】\n\n项目: {{project_name}}\n\n应用: {{application_name}}\n\n服务实例: {{runtime_name}} - {{service_name}}.{{container_id}}\n\n内存使用率: {{mem_usage_percent_avg}}\n\n内存使用: {{mem_usage_value}}\n\n内存限制: {{mem_limit_value}}\n\n机器: {{host_ip}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','{\"container_id\":\"string:6\",\"mem_usage_percent_avg\":\"percent:1\",\"trigger_duration\":\"time:ms\"}','1.0','2021-05-28 11:55:07','2021-05-28 11:55:07',1),(6327,'应用实例内存异常','app_resource','app_resource_container_mem','webhook','recover','【{{application_name}}应用{{service_name}}服务内存使用率异常恢复】\n','【应用实例内存使用率异常恢复】\n\n项目: {{project_name}}\n\n应用: {{application_name}}\n\n服务实例: {{runtime_name}} - {{service_name}}.{{container_id}}\n\n内存使用率: {{mem_usage_percent_avg}}\n\n内存使用: {{mem_usage_value}}\n\n内存限制: {{mem_limit_value}}\n\n机器: {{host_ip}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','{\"container_id\":\"string:6\",\"mem_usage_percent_avg\":\"percent:1\",\"trigger_duration\":\"time:ms\"}','1.0','2021-05-28 11:55:07','2021-05-28 11:55:07',1),(6328,'应用实例OOM告警','app_resource','app_resource_container_oom','dingding','alert','【{{application_name}}应用{{service_name}}服务实例OOM告警】\n','【应用实例OOM告警】\n\n项目: {{project_name}}\n\n应用: {{application_name}}\n\n服务实例: {{runtime_name}} - {{service_name}}.{{container_id}}\n\n事件: 服务实例发生OOM\n\n机器: {{host_ip}}\n\n时间: {{timestamp}}\n\n[查看详情]({{display_url}})\n\n[查看记录]({{record_url}})\n','{\"container_id\":\"string:6\"}','1.0','2021-05-28 11:55:07','2021-05-28 11:55:07',1),(6329,'应用实例OOM告警','app_resource','app_resource_container_oom','ticket','alert','【{{application_name}}应用{{service_name}}服务实例OOM告警】\n','【应用实例OOM告警】\n\n项目: {{project_name}}\n\n应用: {{application_name}}\n\n服务实例: {{runtime_name}} - {{service_name}}.{{container_id}}\n\n事件: 服务实例发生OOM\n\n机器: {{host_ip}}\n\n时间: {{timestamp}}\n\n[查看详情]({{display_url}})\n\n[查看记录]({{record_url}})\n','{\"container_id\":\"string:6\"}','1.0','2021-05-28 11:55:07','2021-05-28 11:55:07',1),(6330,'应用实例OOM告警','app_resource','app_resource_container_oom','email','alert','【{{application_name}}应用{{service_name}}服务实例OOM告警】\n','【应用实例OOM告警】\n\n项目: {{project_name}}\n\n应用: {{application_name}}\n\n服务实例: {{runtime_name}} - {{service_name}}.{{container_id}}\n\n事件: 服务实例发生OOM\n\n机器: {{host_ip}}\n\n时间: {{timestamp}}\n\n[查看详情]({{display_url}})\n\n[查看记录]({{record_url}})\n','{\"container_id\":\"string:6\"}','1.0','2021-05-28 11:55:07','2021-05-28 11:55:07',1),(6331,'应用实例OOM告警','app_resource','app_resource_container_oom','mbox','alert','【{{application_name}}应用{{service_name}}服务实例OOM告警】\n','【应用实例OOM告警】\n\n项目: {{project_name}}\n\n应用: {{application_name}}\n\n服务实例: {{runtime_name}} - {{service_name}}.{{container_id}}\n\n事件: 服务实例发生OOM\n\n机器: {{host_ip}}\n\n时间: {{timestamp}}\n\n[查看详情]({{display_url}})\n\n[查看记录]({{record_url}})\n','{\"container_id\":\"string:6\"}','1.0','2021-05-28 11:55:07','2021-05-28 11:55:07',1),(6332,'应用实例OOM告警','app_resource','app_resource_container_oom','webhook','alert','【{{application_name}}应用{{service_name}}服务实例OOM告警】\n','【应用实例OOM告警】\n\n项目: {{project_name}}\n\n应用: {{application_name}}\n\n服务实例: {{runtime_name}} - {{service_name}}.{{container_id}}\n\n事件: 服务实例发生OOM\n\n机器: {{host_ip}}\n\n时间: {{timestamp}}\n\n[查看详情]({{display_url}})\n\n[查看记录]({{record_url}})\n','{\"container_id\":\"string:6\"}','1.0','2021-05-28 11:55:07','2021-05-28 11:55:07',1),(6333,'应用JVM GC次数异常','app_resource','app_resource_jvm_gc_count','dingding','alert','【{{application_name}}应用{{service_name}}服务JVM GC次数异常告警】\n','【应用JVM GC次数异常告警】\n\n实例GC次数太多 !\n\n项目: {{project_name}}\n\n应用: {{application_name}}\n\n服务: {{runtime_name}} / {{service_name}}\n\n老年代GC次数: {{count_sum}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n时间: {{timestamp}}\n\n[查看详情]({{display_url}})\n\n[查看记录]({{record_url}})\n','','1.0','2021-05-28 11:55:07','2021-05-28 11:55:07',1),(6334,'应用JVM GC次数异常','app_resource','app_resource_jvm_gc_count','ticket','alert','【{{application_name}}应用{{service_name}}服务JVM GC次数异常告警】\n','【应用JVM GC次数异常告警】\n\n实例GC次数太多 !\n\n项目: {{project_name}}\n\n应用: {{application_name}}\n\n服务: {{runtime_name}} / {{service_name}}\n\n老年代GC次数: {{count_sum}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n时间: {{timestamp}}\n\n[查看详情]({{display_url}})\n\n[查看记录]({{record_url}})\n','','1.0','2021-05-28 11:55:07','2021-05-28 11:55:07',1),(6335,'应用JVM GC次数异常','app_resource','app_resource_jvm_gc_count','email','alert','【{{application_name}}应用{{service_name}}服务JVM GC次数异常告警】\n','【应用JVM GC次数异常告警】\n\n实例GC次数太多 !\n\n项目: {{project_name}}\n\n应用: {{application_name}}\n\n服务: {{runtime_name}} / {{service_name}}\n\n老年代GC次数: {{count_sum}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n时间: {{timestamp}}\n\n[查看详情]({{display_url}})\n\n[查看记录]({{record_url}})\n','','1.0','2021-05-28 11:55:07','2021-05-28 11:55:07',1),(6336,'应用JVM GC次数异常','app_resource','app_resource_jvm_gc_count','mbox','alert','【{{application_name}}应用{{service_name}}服务JVM GC次数异常告警】\n','【应用JVM GC次数异常告警】\n\n实例GC次数太多 !\n\n项目: {{project_name}}\n\n应用: {{application_name}}\n\n服务: {{runtime_name}} / {{service_name}}\n\n老年代GC次数: {{count_sum}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n时间: {{timestamp}}\n\n[查看详情]({{display_url}})\n\n[查看记录]({{record_url}})\n','','1.0','2021-05-28 11:55:07','2021-05-28 11:55:07',1),(6337,'应用JVM GC次数异常','app_resource','app_resource_jvm_gc_count','webhook','alert','【{{application_name}}应用{{service_name}}服务JVM GC次数异常告警】\n','【应用JVM GC次数异常告警】\n\n实例GC次数太多 !\n\n项目: {{project_name}}\n\n应用: {{application_name}}\n\n服务: {{runtime_name}} / {{service_name}}\n\n老年代GC次数: {{count_sum}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n时间: {{timestamp}}\n\n[查看详情]({{display_url}})\n\n[查看记录]({{record_url}})\n','','1.0','2021-05-28 11:55:07','2021-05-28 11:55:07',1),(6338,'应用JVM GC次数异常','app_resource','app_resource_jvm_gc_count','dingding','recover','【{{application_name}}应用{{service_name}}服务JVM GC次数异常恢复】\n','【应用JVM GC次数异常恢复】\n\n实例GC次数已恢复正常值 .\n\n项目: {{project_name}}\n\n应用: {{application_name}}\n\n服务: {{runtime_name}} / {{service_name}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n持续时间: {{trigger_duration_min}}\n\n恢复时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','','1.0','2021-05-28 11:55:07','2021-05-28 11:55:07',1),(6339,'应用JVM GC次数异常','app_resource','app_resource_jvm_gc_count','ticket','recover','【{{application_name}}应用{{service_name}}服务JVM GC次数异常恢复】\n','【应用JVM GC次数异常恢复】\n\n实例GC次数已恢复正常值 .\n\n项目: {{project_name}}\n\n应用: {{application_name}}\n\n服务: {{runtime_name}} / {{service_name}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n持续时间: {{trigger_duration_min}}\n\n恢复时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','','1.0','2021-05-28 11:55:07','2021-05-28 11:55:07',1),(6340,'应用JVM GC次数异常','app_resource','app_resource_jvm_gc_count','email','recover','【{{application_name}}应用{{service_name}}服务JVM GC次数异常恢复】\n','【应用JVM GC次数异常恢复】\n\n实例GC次数已恢复正常值 .\n\n项目: {{project_name}}\n\n应用: {{application_name}}\n\n服务: {{runtime_name}} / {{service_name}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n持续时间: {{trigger_duration_min}}\n\n恢复时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','','1.0','2021-05-28 11:55:07','2021-05-28 11:55:07',1),(6341,'应用JVM GC次数异常','app_resource','app_resource_jvm_gc_count','mbox','recover','【{{application_name}}应用{{service_name}}服务JVM GC次数异常恢复】\n','【应用JVM GC次数异常恢复】\n\n实例GC次数已恢复正常值 .\n\n项目: {{project_name}}\n\n应用: {{application_name}}\n\n服务: {{runtime_name}} / {{service_name}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n持续时间: {{trigger_duration_min}}\n\n恢复时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','','1.0','2021-05-28 11:55:07','2021-05-28 11:55:07',1),(6342,'应用JVM GC次数异常','app_resource','app_resource_jvm_gc_count','webhook','recover','【{{application_name}}应用{{service_name}}服务JVM GC次数异常恢复】\n','【应用JVM GC次数异常恢复】\n\n实例GC次数已恢复正常值 .\n\n项目: {{project_name}}\n\n应用: {{application_name}}\n\n服务: {{runtime_name}} / {{service_name}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n持续时间: {{trigger_duration_min}}\n\n恢复时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','','1.0','2021-05-28 11:55:07','2021-05-28 11:55:07',1),(6343,'应用JVM GC耗时异常','app_resource','app_resource_jvm_gc_time','dingding','alert','【{{application_name}}应用{{service_name}}服务JVM GC耗时异常告警】\n','【应用JVM GC耗时异常告警】\n\n实例GC耗时过长 !\n\n项目: {{project_name}}\n\n应用: {{application_name}}\n\n服务: {{runtime_name}} / {{service_name}}\n\n老年代GC耗时: 总耗时{{time_sum}}，最长一次耗时{{time_value}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n时间: {{timestamp}}\n\n[查看详情]({{display_url}})\n\n[查看记录]({{record_url}})\n','{\"time_sum\":\"time:ms\",\"time_value\":\"time:ms\"}','1.0','2021-05-28 11:55:07','2021-05-28 11:55:07',1),(6344,'应用JVM GC耗时异常','app_resource','app_resource_jvm_gc_time','ticket','alert','【{{application_name}}应用{{service_name}}服务JVM GC耗时异常告警】\n','【应用JVM GC耗时异常告警】\n\n实例GC耗时过长 !\n\n项目: {{project_name}}\n\n应用: {{application_name}}\n\n服务: {{runtime_name}} / {{service_name}}\n\n老年代GC耗时: 总耗时{{time_sum}}，最长一次耗时{{time_value}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n时间: {{timestamp}}\n\n[查看详情]({{display_url}})\n\n[查看记录]({{record_url}})\n','{\"time_sum\":\"time:ms\",\"time_value\":\"time:ms\"}','1.0','2021-05-28 11:55:07','2021-05-28 11:55:07',1),(6345,'应用JVM GC耗时异常','app_resource','app_resource_jvm_gc_time','email','alert','【{{application_name}}应用{{service_name}}服务JVM GC耗时异常告警】\n','【应用JVM GC耗时异常告警】\n\n实例GC耗时过长 !\n\n项目: {{project_name}}\n\n应用: {{application_name}}\n\n服务: {{runtime_name}} / {{service_name}}\n\n老年代GC耗时: 总耗时{{time_sum}}，最长一次耗时{{time_value}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n时间: {{timestamp}}\n\n[查看详情]({{display_url}})\n\n[查看记录]({{record_url}})\n','{\"time_sum\":\"time:ms\",\"time_value\":\"time:ms\"}','1.0','2021-05-28 11:55:07','2021-05-28 11:55:07',1),(6346,'应用JVM GC耗时异常','app_resource','app_resource_jvm_gc_time','mbox','alert','【{{application_name}}应用{{service_name}}服务JVM GC耗时异常告警】\n','【应用JVM GC耗时异常告警】\n\n实例GC耗时过长 !\n\n项目: {{project_name}}\n\n应用: {{application_name}}\n\n服务: {{runtime_name}} / {{service_name}}\n\n老年代GC耗时: 总耗时{{time_sum}}，最长一次耗时{{time_value}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n时间: {{timestamp}}\n\n[查看详情]({{display_url}})\n\n[查看记录]({{record_url}})\n','{\"time_sum\":\"time:ms\",\"time_value\":\"time:ms\"}','1.0','2021-05-28 11:55:07','2021-05-28 11:55:07',1),(6347,'应用JVM GC耗时异常','app_resource','app_resource_jvm_gc_time','webhook','alert','【{{application_name}}应用{{service_name}}服务JVM GC耗时异常告警】\n','【应用JVM GC耗时异常告警】\n\n实例GC耗时过长 !\n\n项目: {{project_name}}\n\n应用: {{application_name}}\n\n服务: {{runtime_name}} / {{service_name}}\n\n老年代GC耗时: 总耗时{{time_sum}}，最长一次耗时{{time_value}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n时间: {{timestamp}}\n\n[查看详情]({{display_url}})\n\n[查看记录]({{record_url}})\n','{\"time_sum\":\"time:ms\",\"time_value\":\"time:ms\"}','1.0','2021-05-28 11:55:07','2021-05-28 11:55:07',1),(6348,'应用JVM GC耗时异常','app_resource','app_resource_jvm_gc_time','dingding','recover','【{{application_name}}应用{{service_name}}服务JVM GC耗时异常恢复】\n','【应用JVM GC耗时异常恢复】\n\n实例GC耗时已恢复正常值 .\n\n项目: {{project_name}}\n\n应用: {{application_name}}\n\n服务: {{runtime_name}} / {{service_name}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n持续时间: {{trigger_duration_min}}\n\n恢复时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','','1.0','2021-05-28 11:55:07','2021-05-28 11:55:07',1),(6349,'应用JVM GC耗时异常','app_resource','app_resource_jvm_gc_time','ticket','recover','【{{application_name}}应用{{service_name}}服务JVM GC耗时异常恢复】\n','【应用JVM GC耗时异常恢复】\n\n实例GC耗时已恢复正常值 .\n\n项目: {{project_name}}\n\n应用: {{application_name}}\n\n服务: {{runtime_name}} / {{service_name}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n持续时间: {{trigger_duration_min}}\n\n恢复时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','','1.0','2021-05-28 11:55:07','2021-05-28 11:55:07',1),(6350,'应用JVM GC耗时异常','app_resource','app_resource_jvm_gc_time','email','recover','【{{application_name}}应用{{service_name}}服务JVM GC耗时异常恢复】\n','【应用JVM GC耗时异常恢复】\n\n实例GC耗时已恢复正常值 .\n\n项目: {{project_name}}\n\n应用: {{application_name}}\n\n服务: {{runtime_name}} / {{service_name}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n持续时间: {{trigger_duration_min}}\n\n恢复时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','','1.0','2021-05-28 11:55:07','2021-05-28 11:55:07',1),(6351,'应用JVM GC耗时异常','app_resource','app_resource_jvm_gc_time','mbox','recover','【{{application_name}}应用{{service_name}}服务JVM GC耗时异常恢复】\n','【应用JVM GC耗时异常恢复】\n\n实例GC耗时已恢复正常值 .\n\n项目: {{project_name}}\n\n应用: {{application_name}}\n\n服务: {{runtime_name}} / {{service_name}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n持续时间: {{trigger_duration_min}}\n\n恢复时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','','1.0','2021-05-28 11:55:07','2021-05-28 11:55:07',1),(6352,'应用JVM GC耗时异常','app_resource','app_resource_jvm_gc_time','webhook','recover','【{{application_name}}应用{{service_name}}服务JVM GC耗时异常恢复】\n','【应用JVM GC耗时异常恢复】\n\n实例GC耗时已恢复正常值 .\n\n项目: {{project_name}}\n\n应用: {{application_name}}\n\n服务: {{runtime_name}} / {{service_name}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n持续时间: {{trigger_duration_min}}\n\n恢复时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','','1.0','2021-05-28 11:55:07','2021-05-28 11:55:07',1),(6353,'JVM堆内存使用异常告警','app_resource','app_resource_jvm_heap','dingding','alert','【{{application_name}}应用{{service_name}}服务JVM堆内存使用异常告警】','【JVM堆内存使用异常告警】\n\n实例JVM堆内存使用过高 ！\n\n项目: {{project_name}}\n\n应用: {{application_name}}\n\n服务: {{runtime_name}} / {{service_name}}\n\n实例: {{instance_id}}\n\n堆内存使用率: {{usage_percent_avg}}\n\n已使用: {{used_value}}\n\n最大使用: {{max_value}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n时间: {{timestamp}}\n\n[查看详情]({{display_url}})\n\n[查看记录]({{record_url}})\n','{\"max_value\":\"size:byte\",\"usage_percent_avg\":\"percent\",\"used_value\":\"size:byte\"}','1.0','2021-05-28 11:55:07','2021-05-28 11:55:07',1),(6354,'JVM堆内存使用异常告警','app_resource','app_resource_jvm_heap','ticket','alert','【{{application_name}}应用{{service_name}}服务JVM堆内存使用异常告警】','【JVM堆内存使用异常告警】\n\n实例JVM堆内存使用过高 ！\n\n项目: {{project_name}}\n\n应用: {{application_name}}\n\n服务: {{runtime_name}} / {{service_name}}\n\n实例: {{instance_id}}\n\n堆内存使用率: {{usage_percent_avg}}\n\n已使用: {{used_value}}\n\n最大使用: {{max_value}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n时间: {{timestamp}}\n\n[查看详情]({{display_url}})\n\n[查看记录]({{record_url}})\n','{\"max_value\":\"size:byte\",\"usage_percent_avg\":\"percent\",\"used_value\":\"size:byte\"}','1.0','2021-05-28 11:55:07','2021-05-28 11:55:07',1),(6355,'JVM堆内存使用异常告警','app_resource','app_resource_jvm_heap','email','alert','【{{application_name}}应用{{service_name}}服务JVM堆内存使用异常告警】','【JVM堆内存使用异常告警】\n\n实例JVM堆内存使用过高 ！\n\n项目: {{project_name}}\n\n应用: {{application_name}}\n\n服务: {{runtime_name}} / {{service_name}}\n\n实例: {{instance_id}}\n\n堆内存使用率: {{usage_percent_avg}}\n\n已使用: {{used_value}}\n\n最大使用: {{max_value}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n时间: {{timestamp}}\n\n[查看详情]({{display_url}})\n\n[查看记录]({{record_url}})\n','{\"max_value\":\"size:byte\",\"usage_percent_avg\":\"percent\",\"used_value\":\"size:byte\"}','1.0','2021-05-28 11:55:07','2021-05-28 11:55:07',1),(6356,'JVM堆内存使用异常告警','app_resource','app_resource_jvm_heap','mbox','alert','【{{application_name}}应用{{service_name}}服务JVM堆内存使用异常告警】','【JVM堆内存使用异常告警】\n\n实例JVM堆内存使用过高 ！\n\n项目: {{project_name}}\n\n应用: {{application_name}}\n\n服务: {{runtime_name}} / {{service_name}}\n\n实例: {{instance_id}}\n\n堆内存使用率: {{usage_percent_avg}}\n\n已使用: {{used_value}}\n\n最大使用: {{max_value}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n时间: {{timestamp}}\n\n[查看详情]({{display_url}})\n\n[查看记录]({{record_url}})\n','{\"max_value\":\"size:byte\",\"usage_percent_avg\":\"percent\",\"used_value\":\"size:byte\"}','1.0','2021-05-28 11:55:07','2021-05-28 11:55:07',1),(6357,'JVM堆内存使用异常告警','app_resource','app_resource_jvm_heap','webhook','alert','【{{application_name}}应用{{service_name}}服务JVM堆内存使用异常告警】','【JVM堆内存使用异常告警】\n\n实例JVM堆内存使用过高 ！\n\n项目: {{project_name}}\n\n应用: {{application_name}}\n\n服务: {{runtime_name}} / {{service_name}}\n\n实例: {{instance_id}}\n\n堆内存使用率: {{usage_percent_avg}}\n\n已使用: {{used_value}}\n\n最大使用: {{max_value}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n时间: {{timestamp}}\n\n[查看详情]({{display_url}})\n\n[查看记录]({{record_url}})\n','{\"max_value\":\"size:byte\",\"usage_percent_avg\":\"percent\",\"used_value\":\"size:byte\"}','1.0','2021-05-28 11:55:07','2021-05-28 11:55:07',1),(6358,'JVM堆内存使用异常恢复','app_resource','app_resource_jvm_heap','dingding','recover','【{{application_name}}应用{{service_name}}服务JVM堆内存使用异常恢复】','【JVM堆内存使用异常恢复】\n\n实例JVM堆内存已恢复恢复正常使用状态 .\n\n项目: {{project_name}}\n\n应用: {{application_name}}\n\n服务: {{runtime_name}} / {{service_name}}\n\n实例: {{instance_id}}\n\n堆内存使用率: {{usage_percent_avg}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n持续时间: {{trigger_duration_min}}\n\n恢复时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','{\"usage_percent_avg\":\"percent\"}','1.0','2021-05-28 11:55:07','2021-05-28 11:55:07',1),(6359,'JVM堆内存使用异常恢复','app_resource','app_resource_jvm_heap','ticket','recover','【{{application_name}}应用{{service_name}}服务JVM堆内存使用异常恢复】','【JVM堆内存使用异常恢复】\n\n实例JVM堆内存已恢复恢复正常使用状态 .\n\n项目: {{project_name}}\n\n应用: {{application_name}}\n\n服务: {{runtime_name}} / {{service_name}}\n\n实例: {{instance_id}}\n\n堆内存使用率: {{usage_percent_avg}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n持续时间: {{trigger_duration_min}}\n\n恢复时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','{\"usage_percent_avg\":\"percent\"}','1.0','2021-05-28 11:55:07','2021-05-28 11:55:07',1),(6360,'JVM堆内存使用异常恢复','app_resource','app_resource_jvm_heap','email','recover','【{{application_name}}应用{{service_name}}服务JVM堆内存使用异常恢复】','【JVM堆内存使用异常恢复】\n\n实例JVM堆内存已恢复恢复正常使用状态 .\n\n项目: {{project_name}}\n\n应用: {{application_name}}\n\n服务: {{runtime_name}} / {{service_name}}\n\n实例: {{instance_id}}\n\n堆内存使用率: {{usage_percent_avg}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n持续时间: {{trigger_duration_min}}\n\n恢复时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','{\"usage_percent_avg\":\"percent\"}','1.0','2021-05-28 11:55:07','2021-05-28 11:55:07',1),(6361,'JVM堆内存使用异常恢复','app_resource','app_resource_jvm_heap','mbox','recover','【{{application_name}}应用{{service_name}}服务JVM堆内存使用异常恢复】','【JVM堆内存使用异常恢复】\n\n实例JVM堆内存已恢复恢复正常使用状态 .\n\n项目: {{project_name}}\n\n应用: {{application_name}}\n\n服务: {{runtime_name}} / {{service_name}}\n\n实例: {{instance_id}}\n\n堆内存使用率: {{usage_percent_avg}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n持续时间: {{trigger_duration_min}}\n\n恢复时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','{\"usage_percent_avg\":\"percent\"}','1.0','2021-05-28 11:55:07','2021-05-28 11:55:07',1),(6362,'JVM堆内存使用异常恢复','app_resource','app_resource_jvm_heap','webhook','recover','【{{application_name}}应用{{service_name}}服务JVM堆内存使用异常恢复】','【JVM堆内存使用异常恢复】\n\n实例JVM堆内存已恢复恢复正常使用状态 .\n\n项目: {{project_name}}\n\n应用: {{application_name}}\n\n服务: {{runtime_name}} / {{service_name}}\n\n实例: {{instance_id}}\n\n堆内存使用率: {{usage_percent_avg}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n持续时间: {{trigger_duration_min}}\n\n恢复时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','{\"usage_percent_avg\":\"percent\"}','1.0','2021-05-28 11:55:07','2021-05-28 11:55:07',1),(6363,'应用NodeJS堆内存使用异常告警','app_resource','app_resource_nodejs_heap','dingding','alert','【{{application_name}}应用{{service_name}}服务NodeJS堆内存使用异常告警】','【应用NodeJS堆内存使用异常告警】\n\n实例NodeJS堆内存使用过高 ！\n\n项目: {{project_name}}\n\n应用: {{application_name}}\n\n服务: {{runtime_name}} / {{service_name}}\n\n实例: {{instance_id}}\n\n堆内存使用率: {{usage_percent_avg}}\n\n已使用: {{heap_used_value}}\n\n常驻内存: {{rss_value}}\n\n最大使用: {{max_value}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n时间: {{timestamp}}\n\n[查看详情]({{display_url}})\n\n[查看记录]({{record_url}})\n','{\"heap_used_value\":\"size:byte\",\"max_value\":\"size:byte\",\"rss_value\":\"size:byte\",\"usage_percent_avg\":\"percent\"}','1.0','2021-05-28 11:55:07','2021-05-28 11:55:07',1),(6364,'应用NodeJS堆内存使用异常告警','app_resource','app_resource_nodejs_heap','ticket','alert','【{{application_name}}应用{{service_name}}服务NodeJS堆内存使用异常告警】','【应用NodeJS堆内存使用异常告警】\n\n实例NodeJS堆内存使用过高 ！\n\n项目: {{project_name}}\n\n应用: {{application_name}}\n\n服务: {{runtime_name}} / {{service_name}}\n\n实例: {{instance_id}}\n\n堆内存使用率: {{usage_percent_avg}}\n\n已使用: {{heap_used_value}}\n\n常驻内存: {{rss_value}}\n\n最大使用: {{max_value}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n时间: {{timestamp}}\n\n[查看详情]({{display_url}})\n\n[查看记录]({{record_url}})\n','{\"heap_used_value\":\"size:byte\",\"max_value\":\"size:byte\",\"rss_value\":\"size:byte\",\"usage_percent_avg\":\"percent\"}','1.0','2021-05-28 11:55:07','2021-05-28 11:55:07',1),(6365,'应用NodeJS堆内存使用异常告警','app_resource','app_resource_nodejs_heap','email','alert','【{{application_name}}应用{{service_name}}服务NodeJS堆内存使用异常告警】','【应用NodeJS堆内存使用异常告警】\n\n实例NodeJS堆内存使用过高 ！\n\n项目: {{project_name}}\n\n应用: {{application_name}}\n\n服务: {{runtime_name}} / {{service_name}}\n\n实例: {{instance_id}}\n\n堆内存使用率: {{usage_percent_avg}}\n\n已使用: {{heap_used_value}}\n\n常驻内存: {{rss_value}}\n\n最大使用: {{max_value}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n时间: {{timestamp}}\n\n[查看详情]({{display_url}})\n\n[查看记录]({{record_url}})\n','{\"heap_used_value\":\"size:byte\",\"max_value\":\"size:byte\",\"rss_value\":\"size:byte\",\"usage_percent_avg\":\"percent\"}','1.0','2021-05-28 11:55:07','2021-05-28 11:55:07',1),(6366,'应用NodeJS堆内存使用异常告警','app_resource','app_resource_nodejs_heap','mbox','alert','【{{application_name}}应用{{service_name}}服务NodeJS堆内存使用异常告警】','【应用NodeJS堆内存使用异常告警】\n\n实例NodeJS堆内存使用过高 ！\n\n项目: {{project_name}}\n\n应用: {{application_name}}\n\n服务: {{runtime_name}} / {{service_name}}\n\n实例: {{instance_id}}\n\n堆内存使用率: {{usage_percent_avg}}\n\n已使用: {{heap_used_value}}\n\n常驻内存: {{rss_value}}\n\n最大使用: {{max_value}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n时间: {{timestamp}}\n\n[查看详情]({{display_url}})\n\n[查看记录]({{record_url}})\n','{\"heap_used_value\":\"size:byte\",\"max_value\":\"size:byte\",\"rss_value\":\"size:byte\",\"usage_percent_avg\":\"percent\"}','1.0','2021-05-28 11:55:07','2021-05-28 11:55:07',1),(6367,'应用NodeJS堆内存使用异常告警','app_resource','app_resource_nodejs_heap','webhook','alert','【{{application_name}}应用{{service_name}}服务NodeJS堆内存使用异常告警】','【应用NodeJS堆内存使用异常告警】\n\n实例NodeJS堆内存使用过高 ！\n\n项目: {{project_name}}\n\n应用: {{application_name}}\n\n服务: {{runtime_name}} / {{service_name}}\n\n实例: {{instance_id}}\n\n堆内存使用率: {{usage_percent_avg}}\n\n已使用: {{heap_used_value}}\n\n常驻内存: {{rss_value}}\n\n最大使用: {{max_value}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n时间: {{timestamp}}\n\n[查看详情]({{display_url}})\n\n[查看记录]({{record_url}})\n','{\"heap_used_value\":\"size:byte\",\"max_value\":\"size:byte\",\"rss_value\":\"size:byte\",\"usage_percent_avg\":\"percent\"}','1.0','2021-05-28 11:55:07','2021-05-28 11:55:07',1),(6368,'应用NodeJS堆内存使用异常恢复','app_resource','app_resource_nodejs_heap','dingding','recover','【{{application_name}}应用{{service_name}}服务NodeJS堆内存使用异常恢复】','【应用NodeJS堆内存使用异常恢复】\n\nNodeJS堆内存已恢复恢复正常状态 .\n\n项目: {{project_name}}\n\n应用: {{application_name}}\n\n服务: {{runtime_name}} / {{service_name}}\n\n实例: {{instance_id}}\n\n堆内存使用率: {{usage_percent_avg}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n持续时间: {{trigger_duration_min}}\n\n恢复时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','{\"usage_percent_avg\":\"percent\"}','1.0','2021-05-28 11:55:07','2021-05-28 11:55:07',1),(6369,'应用NodeJS堆内存使用异常恢复','app_resource','app_resource_nodejs_heap','ticket','recover','【{{application_name}}应用{{service_name}}服务NodeJS堆内存使用异常恢复】','【应用NodeJS堆内存使用异常恢复】\n\nNodeJS堆内存已恢复恢复正常状态 .\n\n项目: {{project_name}}\n\n应用: {{application_name}}\n\n服务: {{runtime_name}} / {{service_name}}\n\n实例: {{instance_id}}\n\n堆内存使用率: {{usage_percent_avg}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n持续时间: {{trigger_duration_min}}\n\n恢复时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','{\"usage_percent_avg\":\"percent\"}','1.0','2021-05-28 11:55:07','2021-05-28 11:55:07',1),(6370,'应用NodeJS堆内存使用异常恢复','app_resource','app_resource_nodejs_heap','email','recover','【{{application_name}}应用{{service_name}}服务NodeJS堆内存使用异常恢复】','【应用NodeJS堆内存使用异常恢复】\n\nNodeJS堆内存已恢复恢复正常状态 .\n\n项目: {{project_name}}\n\n应用: {{application_name}}\n\n服务: {{runtime_name}} / {{service_name}}\n\n实例: {{instance_id}}\n\n堆内存使用率: {{usage_percent_avg}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n持续时间: {{trigger_duration_min}}\n\n恢复时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','{\"usage_percent_avg\":\"percent\"}','1.0','2021-05-28 11:55:07','2021-05-28 11:55:07',1),(6371,'应用NodeJS堆内存使用异常恢复','app_resource','app_resource_nodejs_heap','mbox','recover','【{{application_name}}应用{{service_name}}服务NodeJS堆内存使用异常恢复】','【应用NodeJS堆内存使用异常恢复】\n\nNodeJS堆内存已恢复恢复正常状态 .\n\n项目: {{project_name}}\n\n应用: {{application_name}}\n\n服务: {{runtime_name}} / {{service_name}}\n\n实例: {{instance_id}}\n\n堆内存使用率: {{usage_percent_avg}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n持续时间: {{trigger_duration_min}}\n\n恢复时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','{\"usage_percent_avg\":\"percent\"}','1.0','2021-05-28 11:55:07','2021-05-28 11:55:07',1),(6372,'应用NodeJS堆内存使用异常恢复','app_resource','app_resource_nodejs_heap','webhook','recover','【{{application_name}}应用{{service_name}}服务NodeJS堆内存使用异常恢复】','【应用NodeJS堆内存使用异常恢复】\n\nNodeJS堆内存已恢复恢复正常状态 .\n\n项目: {{project_name}}\n\n应用: {{application_name}}\n\n服务: {{runtime_name}} / {{service_name}}\n\n实例: {{instance_id}}\n\n堆内存使用率: {{usage_percent_avg}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n持续时间: {{trigger_duration_min}}\n\n恢复时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','{\"usage_percent_avg\":\"percent\"}','1.0','2021-05-28 11:55:07','2021-05-28 11:55:07',1),(6373,' 页面内容改变','app_status','app_status_browser','dingding','alert','【{{project_name}}项目{{status_metric_name}}页面内容改变告警】\n','【页面内容改变告警】\n\n项目: {{project_name}}\n\n环境: {{workspace}}\n\n事件：[{{status_metric_name}}]({{url}})页面内容和基准点对比不一致\n\n时间: {{timestamp}}\n\n[查看详情]({{display_url}})\n\n[查看记录]({{record_url}})\n','','1.0','2021-05-28 11:55:07','2021-05-28 11:55:07',1),(6374,' 页面内容改变','app_status','app_status_browser','ticket','alert','【{{project_name}}项目{{status_metric_name}}页面内容改变告警】\n','【页面内容改变告警】\n\n项目: {{project_name}}\n\n环境: {{workspace}}\n\n事件：[{{status_metric_name}}]({{url}})页面内容和基准点对比不一致\n\n时间: {{timestamp}}\n\n[查看详情]({{display_url}})\n\n[查看记录]({{record_url}})\n','','1.0','2021-05-28 11:55:07','2021-05-28 11:55:07',1),(6375,' 页面内容改变','app_status','app_status_browser','email','alert','【{{project_name}}项目{{status_metric_name}}页面内容改变告警】\n','【页面内容改变告警】\n\n项目: {{project_name}}\n\n环境: {{workspace}}\n\n事件：[{{status_metric_name}}]({{url}})页面内容和基准点对比不一致\n\n时间: {{timestamp}}\n\n[查看详情]({{display_url}})\n\n[查看记录]({{record_url}})\n','','1.0','2021-05-28 11:55:07','2021-05-28 11:55:07',1),(6376,' 页面内容改变','app_status','app_status_browser','mbox','alert','【{{project_name}}项目{{status_metric_name}}页面内容改变告警】\n','【页面内容改变告警】\n\n项目: {{project_name}}\n\n环境: {{workspace}}\n\n事件：[{{status_metric_name}}]({{url}})页面内容和基准点对比不一致\n\n时间: {{timestamp}}\n\n[查看详情]({{display_url}})\n\n[查看记录]({{record_url}})\n','','1.0','2021-05-28 11:55:07','2021-05-28 11:55:07',1),(6377,' 页面内容改变','app_status','app_status_browser','webhook','alert','【{{project_name}}项目{{status_metric_name}}页面内容改变告警】\n','【页面内容改变告警】\n\n项目: {{project_name}}\n\n环境: {{workspace}}\n\n事件：[{{status_metric_name}}]({{url}})页面内容和基准点对比不一致\n\n时间: {{timestamp}}\n\n[查看详情]({{display_url}})\n\n[查看记录]({{record_url}})\n','','1.0','2021-05-28 11:55:07','2021-05-28 11:55:07',1),(6378,' 业务请求状态异常','app_status','app_status_browser','dingding','recover','【{{project_name}}项目{{status_metric_name}}页面内容改变恢复】\n','【页面内容改变恢复】\n\n[{{status_metric_name}}]({{url}}) 页面内容改变 .\n\n项目: {{project_name}}\n\n环境: {{workspace}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','{\"trigger_duration\":\"time:ms\"}','1.0','2021-05-28 11:55:07','2021-05-28 11:55:07',1),(6379,' 业务请求状态异常','app_status','app_status_browser','ticket','recover','【{{project_name}}项目{{status_metric_name}}页面内容改变恢复】\n','【页面内容改变恢复】\n\n[{{status_metric_name}}]({{url}}) 页面内容改变 .\n\n项目: {{project_name}}\n\n环境: {{workspace}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','{\"trigger_duration\":\"time:ms\"}','1.0','2021-05-28 11:55:07','2021-05-28 11:55:07',1),(6380,' 业务请求状态异常','app_status','app_status_browser','email','recover','【{{project_name}}项目{{status_metric_name}}页面内容改变恢复】\n','【页面内容改变恢复】\n\n[{{status_metric_name}}]({{url}}) 页面内容改变 .\n\n项目: {{project_name}}\n\n环境: {{workspace}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','{\"trigger_duration\":\"time:ms\"}','1.0','2021-05-28 11:55:07','2021-05-28 11:55:07',1),(6381,' 业务请求状态异常','app_status','app_status_browser','mbox','recover','【{{project_name}}项目{{status_metric_name}}页面内容改变恢复】\n','【页面内容改变恢复】\n\n[{{status_metric_name}}]({{url}}) 页面内容改变 .\n\n项目: {{project_name}}\n\n环境: {{workspace}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','{\"trigger_duration\":\"time:ms\"}','1.0','2021-05-28 11:55:07','2021-05-28 11:55:07',1),(6382,' 业务请求状态异常','app_status','app_status_browser','webhook','recover','【{{project_name}}项目{{status_metric_name}}页面内容改变恢复】\n','【页面内容改变恢复】\n\n[{{status_metric_name}}]({{url}}) 页面内容改变 .\n\n项目: {{project_name}}\n\n环境: {{workspace}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','{\"trigger_duration\":\"time:ms\"}','1.0','2021-05-28 11:55:07','2021-05-28 11:55:07',1),(6383,' 主动监控HTTP状态异常','app_status','app_status_code','dingding','alert','【{{project_name}}项目{{status_metric_name}}指标HTTP状态异常告警】\n','【主动监控HTTP状态异常】\n\n项目: {{project_name}}\n\n环境: {{workspace}}\n\n事件: [{{status_metric_name}}]({{url}}) 指标状态异常\n\n响应状态码: {{code_min}}\n\n时间: {{timestamp}}\n\n[查看详情]({{display_url}})\n\n[查看记录]({{record_url}})\n','','1.0','2021-05-28 11:55:07','2021-05-28 11:55:07',1),(6384,' 主动监控HTTP状态异常','app_status','app_status_code','ticket','alert','【{{project_name}}项目{{status_metric_name}}指标HTTP状态异常告警】\n','【主动监控HTTP状态异常】\n\n项目: {{project_name}}\n\n环境: {{workspace}}\n\n事件: [{{status_metric_name}}]({{url}}) 指标状态异常\n\n响应状态码: {{code_min}}\n\n时间: {{timestamp}}\n\n[查看详情]({{display_url}})\n\n[查看记录]({{record_url}})\n','','1.0','2021-05-28 11:55:07','2021-05-28 11:55:07',1),(6385,' 主动监控HTTP状态异常','app_status','app_status_code','email','alert','【{{project_name}}项目{{status_metric_name}}指标HTTP状态异常告警】\n','【主动监控HTTP状态异常】\n\n项目: {{project_name}}\n\n环境: {{workspace}}\n\n事件: [{{status_metric_name}}]({{url}}) 指标状态异常\n\n响应状态码: {{code_min}}\n\n时间: {{timestamp}}\n\n[查看详情]({{display_url}})\n\n[查看记录]({{record_url}})\n','','1.0','2021-05-28 11:55:07','2021-05-28 11:55:07',1),(6386,' 主动监控HTTP状态异常','app_status','app_status_code','mbox','alert','【{{project_name}}项目{{status_metric_name}}指标HTTP状态异常告警】\n','【主动监控HTTP状态异常】\n\n项目: {{project_name}}\n\n环境: {{workspace}}\n\n事件: [{{status_metric_name}}]({{url}}) 指标状态异常\n\n响应状态码: {{code_min}}\n\n时间: {{timestamp}}\n\n[查看详情]({{display_url}})\n\n[查看记录]({{record_url}})\n','','1.0','2021-05-28 11:55:07','2021-05-28 11:55:07',1),(6387,' 主动监控HTTP状态异常','app_status','app_status_code','webhook','alert','【{{project_name}}项目{{status_metric_name}}指标HTTP状态异常告警】\n','【主动监控HTTP状态异常】\n\n项目: {{project_name}}\n\n环境: {{workspace}}\n\n事件: [{{status_metric_name}}]({{url}}) 指标状态异常\n\n响应状态码: {{code_min}}\n\n时间: {{timestamp}}\n\n[查看详情]({{display_url}})\n\n[查看记录]({{record_url}})\n','','1.0','2021-05-28 11:55:07','2021-05-28 11:55:07',1),(6388,'主动监控HTTP状态恢复','app_status','app_status_code','dingding','recover','【{{project_name}}项目{{status_metric_name}}指标HTTP状态恢复】\n','【主动监控HTTP状态恢复】\n\n项目: {{project_name}}\n\n环境: {{workspace}}\n\n事件: [{{status_metric_name}}]({{url}}) 指标状态恢复\n\n响应状态码: {{code_min}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','{\"trigger_duration\":\"time:ms\"}','1.0','2021-05-28 11:55:07','2021-05-28 11:55:07',1),(6389,'主动监控HTTP状态恢复','app_status','app_status_code','ticket','recover','【{{project_name}}项目{{status_metric_name}}指标HTTP状态恢复】\n','【主动监控HTTP状态恢复】\n\n项目: {{project_name}}\n\n环境: {{workspace}}\n\n事件: [{{status_metric_name}}]({{url}}) 指标状态恢复\n\n响应状态码: {{code_min}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','{\"trigger_duration\":\"time:ms\"}','1.0','2021-05-28 11:55:07','2021-05-28 11:55:07',1),(6390,'主动监控HTTP状态恢复','app_status','app_status_code','email','recover','【{{project_name}}项目{{status_metric_name}}指标HTTP状态恢复】\n','【主动监控HTTP状态恢复】\n\n项目: {{project_name}}\n\n环境: {{workspace}}\n\n事件: [{{status_metric_name}}]({{url}}) 指标状态恢复\n\n响应状态码: {{code_min}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','{\"trigger_duration\":\"time:ms\"}','1.0','2021-05-28 11:55:07','2021-05-28 11:55:07',1),(6391,'主动监控HTTP状态恢复','app_status','app_status_code','mbox','recover','【{{project_name}}项目{{status_metric_name}}指标HTTP状态恢复】\n','【主动监控HTTP状态恢复】\n\n项目: {{project_name}}\n\n环境: {{workspace}}\n\n事件: [{{status_metric_name}}]({{url}}) 指标状态恢复\n\n响应状态码: {{code_min}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','{\"trigger_duration\":\"time:ms\"}','1.0','2021-05-28 11:55:07','2021-05-28 11:55:07',1),(6392,'主动监控HTTP状态恢复','app_status','app_status_code','webhook','recover','【{{project_name}}项目{{status_metric_name}}指标HTTP状态恢复】\n','【主动监控HTTP状态恢复】\n\n项目: {{project_name}}\n\n环境: {{workspace}}\n\n事件: [{{status_metric_name}}]({{url}}) 指标状态恢复\n\n响应状态码: {{code_min}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','{\"trigger_duration\":\"time:ms\"}','1.0','2021-05-28 11:55:07','2021-05-28 11:55:07',1),(6393,'服务接口HTTP错误率异常','app_transaction','app_transaction_http_path_error','dingding','alert','【{{service_name}}服务接口HTTP错误率异常告警】','【服务接口HTTP错误率异常告警】\n\n项目: {{project_name}}\n\n应用: {{application_name}}\n\n服务: {{runtime_name}} - {{service_name}}\n\n接口: {{http_method}} {{http_url}}\n\n事件: {{ window }}分钟内HTTP错误率{{ error_percent_value }} 错误请求次数{{ error_count_sum }} 总请求次数{{ elapsed_count_sum }}\n\n时间: {{timestamp}}\n\n[查看详情]({{display_url}})\n\n[查看记录]({{record_url}})\n','{\"error_percent_value\":\"percent\"}','1.0','2021-05-28 11:55:07','2021-05-28 11:55:07',1),(6394,'服务接口HTTP错误率异常','app_transaction','app_transaction_http_path_error','ticket','alert','【{{service_name}}服务接口HTTP错误率异常告警】','【服务接口HTTP错误率异常告警】\n\n项目: {{project_name}}\n\n应用: {{application_name}}\n\n服务: {{runtime_name}} - {{service_name}}\n\n接口: {{http_method}} {{http_url}}\n\n事件: {{ window }}分钟内HTTP错误率{{ error_percent_value }} 错误请求次数{{ error_count_sum }} 总请求次数{{ elapsed_count_sum }}\n\n时间: {{timestamp}}\n\n[查看详情]({{display_url}})\n\n[查看记录]({{record_url}})\n','{\"error_percent_value\":\"percent\"}','1.0','2021-05-28 11:55:07','2021-05-28 11:55:07',1),(6395,'服务接口HTTP错误率异常','app_transaction','app_transaction_http_path_error','email','alert','【{{service_name}}服务接口HTTP错误率异常告警】','【服务接口HTTP错误率异常告警】\n\n项目: {{project_name}}\n\n应用: {{application_name}}\n\n服务: {{runtime_name}} - {{service_name}}\n\n接口: {{http_method}} {{http_url}}\n\n事件: {{ window }}分钟内HTTP错误率{{ error_percent_value }} 错误请求次数{{ error_count_sum }} 总请求次数{{ elapsed_count_sum }}\n\n时间: {{timestamp}}\n\n[查看详情]({{display_url}})\n\n[查看记录]({{record_url}})\n','{\"error_percent_value\":\"percent\"}','1.0','2021-05-28 11:55:07','2021-05-28 11:55:07',1),(6396,'服务接口HTTP错误率异常','app_transaction','app_transaction_http_path_error','mbox','alert','【{{service_name}}服务接口HTTP错误率异常告警】','【服务接口HTTP错误率异常告警】\n\n项目: {{project_name}}\n\n应用: {{application_name}}\n\n服务: {{runtime_name}} - {{service_name}}\n\n接口: {{http_method}} {{http_url}}\n\n事件: {{ window }}分钟内HTTP错误率{{ error_percent_value }} 错误请求次数{{ error_count_sum }} 总请求次数{{ elapsed_count_sum }}\n\n时间: {{timestamp}}\n\n[查看详情]({{display_url}})\n\n[查看记录]({{record_url}})\n','{\"error_percent_value\":\"percent\"}','1.0','2021-05-28 11:55:07','2021-05-28 11:55:07',1),(6397,'服务接口HTTP错误率异常','app_transaction','app_transaction_http_path_error','webhook','alert','【{{service_name}}服务接口HTTP错误率异常告警】','【服务接口HTTP错误率异常告警】\n\n项目: {{project_name}}\n\n应用: {{application_name}}\n\n服务: {{runtime_name}} - {{service_name}}\n\n接口: {{http_method}} {{http_url}}\n\n事件: {{ window }}分钟内HTTP错误率{{ error_percent_value }} 错误请求次数{{ error_count_sum }} 总请求次数{{ elapsed_count_sum }}\n\n时间: {{timestamp}}\n\n[查看详情]({{display_url}})\n\n[查看记录]({{record_url}})\n','{\"error_percent_value\":\"percent\"}','1.0','2021-05-28 11:55:07','2021-05-28 11:55:07',1),(6398,'服务接口HTTP错误率恢复','app_transaction','app_transaction_http_path_error','dingding','recover','【{{service_name}}服务接口HTTP错误率异常恢复】','【服务接口HTTP错误率异常恢复】\n\n项目: {{project_name}}\n\n应用: {{application_name}}\n\n服务: {{runtime_name}} - {{service_name}}\n\n接口: {{http_method}} {{http_url}}\n\n持续时间: {{trigger_duration_min}}\n\n恢复时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','{\"trigger_duration\":\"time:ms\"}','1.0','2021-05-28 11:55:07','2021-05-28 11:55:07',1),(6399,'服务接口HTTP错误率恢复','app_transaction','app_transaction_http_path_error','ticket','recover','【{{service_name}}服务接口HTTP错误率异常恢复】','【服务接口HTTP错误率异常恢复】\n\n项目: {{project_name}}\n\n应用: {{application_name}}\n\n服务: {{runtime_name}} - {{service_name}}\n\n接口: {{http_method}} {{http_url}}\n\n持续时间: {{trigger_duration_min}}\n\n恢复时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','{\"trigger_duration\":\"time:ms\"}','1.0','2021-05-28 11:55:07','2021-05-28 11:55:07',1),(6400,'服务接口HTTP错误率恢复','app_transaction','app_transaction_http_path_error','email','recover','【{{service_name}}服务接口HTTP错误率异常恢复】','【服务接口HTTP错误率异常恢复】\n\n项目: {{project_name}}\n\n应用: {{application_name}}\n\n服务: {{runtime_name}} - {{service_name}}\n\n接口: {{http_method}} {{http_url}}\n\n持续时间: {{trigger_duration_min}}\n\n恢复时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','{\"trigger_duration\":\"time:ms\"}','1.0','2021-05-28 11:55:07','2021-05-28 11:55:07',1),(6401,'服务接口HTTP错误率恢复','app_transaction','app_transaction_http_path_error','mbox','recover','【{{service_name}}服务接口HTTP错误率异常恢复】','【服务接口HTTP错误率异常恢复】\n\n项目: {{project_name}}\n\n应用: {{application_name}}\n\n服务: {{runtime_name}} - {{service_name}}\n\n接口: {{http_method}} {{http_url}}\n\n持续时间: {{trigger_duration_min}}\n\n恢复时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','{\"trigger_duration\":\"time:ms\"}','1.0','2021-05-28 11:55:07','2021-05-28 11:55:07',1),(6402,'服务接口HTTP错误率恢复','app_transaction','app_transaction_http_path_error','webhook','recover','【{{service_name}}服务接口HTTP错误率异常恢复】','【服务接口HTTP错误率异常恢复】\n\n项目: {{project_name}}\n\n应用: {{application_name}}\n\n服务: {{runtime_name}} - {{service_name}}\n\n接口: {{http_method}} {{http_url}}\n\n持续时间: {{trigger_duration_min}}\n\n恢复时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','{\"trigger_duration\":\"time:ms\"}','1.0','2021-05-28 11:55:07','2021-05-28 11:55:07',1),(6403,'服务接口HTTP慢事务异常','app_transaction','app_transaction_http_path_rt','dingding','alert','【{{service_name}}服务接口HTTP慢事务异常告警】','【服务接口HTTP慢事务异常告警】\n\n项目: {{project_name}}\n\n应用: {{application_name}}\n\n服务: {{runtime_name}} - {{service_name}}\n\n接口: {{http_method}} {{http_url}}\n\n事件: {{window}}分钟内平均响应时间{{elapsed_avg_value}} 请求次数{{elapsed_count_sum}}\n\n时间: {{timestamp}}\n\n[查看详情]({{display_url}})\n\n[查看记录]({{record_url}})\n','{\"elapsed_avg_value\":\"time:ms\",\"elapsed_sum\":\"time:ms\"}','1.0','2021-05-28 11:55:07','2021-05-28 11:55:07',1),(6404,'服务接口HTTP慢事务异常','app_transaction','app_transaction_http_path_rt','ticket','alert','【{{service_name}}服务接口HTTP慢事务异常告警】','【服务接口HTTP慢事务异常告警】\n\n项目: {{project_name}}\n\n应用: {{application_name}}\n\n服务: {{runtime_name}} - {{service_name}}\n\n接口: {{http_method}} {{http_url}}\n\n事件: {{window}}分钟内平均响应时间{{elapsed_avg_value}} 请求次数{{elapsed_count_sum}}\n\n时间: {{timestamp}}\n\n[查看详情]({{display_url}})\n\n[查看记录]({{record_url}})\n','{\"elapsed_avg_value\":\"time:ms\",\"elapsed_sum\":\"time:ms\"}','1.0','2021-05-28 11:55:07','2021-05-28 11:55:07',1),(6405,'服务接口HTTP慢事务异常','app_transaction','app_transaction_http_path_rt','email','alert','【{{service_name}}服务接口HTTP慢事务异常告警】','【服务接口HTTP慢事务异常告警】\n\n项目: {{project_name}}\n\n应用: {{application_name}}\n\n服务: {{runtime_name}} - {{service_name}}\n\n接口: {{http_method}} {{http_url}}\n\n事件: {{window}}分钟内平均响应时间{{elapsed_avg_value}} 请求次数{{elapsed_count_sum}}\n\n时间: {{timestamp}}\n\n[查看详情]({{display_url}})\n\n[查看记录]({{record_url}})\n','{\"elapsed_avg_value\":\"time:ms\",\"elapsed_sum\":\"time:ms\"}','1.0','2021-05-28 11:55:07','2021-05-28 11:55:07',1),(6406,'服务接口HTTP慢事务异常','app_transaction','app_transaction_http_path_rt','mbox','alert','【{{service_name}}服务接口HTTP慢事务异常告警】','【服务接口HTTP慢事务异常告警】\n\n项目: {{project_name}}\n\n应用: {{application_name}}\n\n服务: {{runtime_name}} - {{service_name}}\n\n接口: {{http_method}} {{http_url}}\n\n事件: {{window}}分钟内平均响应时间{{elapsed_avg_value}} 请求次数{{elapsed_count_sum}}\n\n时间: {{timestamp}}\n\n[查看详情]({{display_url}})\n\n[查看记录]({{record_url}})\n','{\"elapsed_avg_value\":\"time:ms\",\"elapsed_sum\":\"time:ms\"}','1.0','2021-05-28 11:55:07','2021-05-28 11:55:07',1),(6407,'服务接口HTTP慢事务异常','app_transaction','app_transaction_http_path_rt','webhook','alert','【{{service_name}}服务接口HTTP慢事务异常告警】','【服务接口HTTP慢事务异常告警】\n\n项目: {{project_name}}\n\n应用: {{application_name}}\n\n服务: {{runtime_name}} - {{service_name}}\n\n接口: {{http_method}} {{http_url}}\n\n事件: {{window}}分钟内平均响应时间{{elapsed_avg_value}} 请求次数{{elapsed_count_sum}}\n\n时间: {{timestamp}}\n\n[查看详情]({{display_url}})\n\n[查看记录]({{record_url}})\n','{\"elapsed_avg_value\":\"time:ms\",\"elapsed_sum\":\"time:ms\"}','1.0','2021-05-28 11:55:07','2021-05-28 11:55:07',1),(6408,'服务接口HTTP慢事务恢复','app_transaction','app_transaction_http_path_rt','dingding','recover','【{{service_name}}服务接口HTTP慢事务恢复】','【服务接口HTTP慢事务恢复】\n\n项目: {{project_name}}\n\n应用: {{application_name}}\n\n服务: {{runtime_name}} - {{service_name}}\n\n接口: {{http_method}} {{http_url}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','{\"trigger_duration\":\"time:ms\"}','1.0','2021-05-28 11:55:07','2021-05-28 11:55:07',1),(6409,'服务接口HTTP慢事务恢复','app_transaction','app_transaction_http_path_rt','ticket','recover','【{{service_name}}服务接口HTTP慢事务恢复】','【服务接口HTTP慢事务恢复】\n\n项目: {{project_name}}\n\n应用: {{application_name}}\n\n服务: {{runtime_name}} - {{service_name}}\n\n接口: {{http_method}} {{http_url}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','{\"trigger_duration\":\"time:ms\"}','1.0','2021-05-28 11:55:07','2021-05-28 11:55:07',1),(6410,'服务接口HTTP慢事务恢复','app_transaction','app_transaction_http_path_rt','email','recover','【{{service_name}}服务接口HTTP慢事务恢复】','【服务接口HTTP慢事务恢复】\n\n项目: {{project_name}}\n\n应用: {{application_name}}\n\n服务: {{runtime_name}} - {{service_name}}\n\n接口: {{http_method}} {{http_url}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','{\"trigger_duration\":\"time:ms\"}','1.0','2021-05-28 11:55:07','2021-05-28 11:55:07',1),(6411,'服务接口HTTP慢事务恢复','app_transaction','app_transaction_http_path_rt','mbox','recover','【{{service_name}}服务接口HTTP慢事务恢复】','【服务接口HTTP慢事务恢复】\n\n项目: {{project_name}}\n\n应用: {{application_name}}\n\n服务: {{runtime_name}} - {{service_name}}\n\n接口: {{http_method}} {{http_url}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','{\"trigger_duration\":\"time:ms\"}','1.0','2021-05-28 11:55:07','2021-05-28 11:55:07',1),(6412,'服务接口HTTP慢事务恢复','app_transaction','app_transaction_http_path_rt','webhook','recover','【{{service_name}}服务接口HTTP慢事务恢复】','【服务接口HTTP慢事务恢复】\n\n项目: {{project_name}}\n\n应用: {{application_name}}\n\n服务: {{runtime_name}} - {{service_name}}\n\n接口: {{http_method}} {{http_url}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','{\"trigger_duration\":\"time:ms\"}','1.0','2021-05-28 11:55:07','2021-05-28 11:55:07',1),(6413,'服务HTTP错误率异常','app_transaction','app_transaction_http_service_error','dingding','alert','【{{service_name}}服务HTTP错误率异常告警】','【服务HTTP错误率异常告警】\n\n项目: {{project_name}}\n\n应用: {{application_name}}\n\n服务: {{runtime_name}} - {{service_name}}\n\n事件: {{ window }}分钟内HTTP错误率{{ error_percent_value }} 错误请求次数{{ error_count_sum }} 总请求次数{{ elapsed_count_sum }}\n\n时间: {{timestamp}}\n\n[查看详情]({{display_url}})\n\n[查看记录]({{record_url}})\n','{\"error_percent_value\":\"percent\"}','1.0','2021-05-28 11:55:07','2021-05-28 11:55:07',1),(6414,'服务HTTP错误率异常','app_transaction','app_transaction_http_service_error','ticket','alert','【{{service_name}}服务HTTP错误率异常告警】','【服务HTTP错误率异常告警】\n\n项目: {{project_name}}\n\n应用: {{application_name}}\n\n服务: {{runtime_name}} - {{service_name}}\n\n事件: {{ window }}分钟内HTTP错误率{{ error_percent_value }} 错误请求次数{{ error_count_sum }} 总请求次数{{ elapsed_count_sum }}\n\n时间: {{timestamp}}\n\n[查看详情]({{display_url}})\n\n[查看记录]({{record_url}})\n','{\"error_percent_value\":\"percent\"}','1.0','2021-05-28 11:55:07','2021-05-28 11:55:07',1),(6415,'服务HTTP错误率异常','app_transaction','app_transaction_http_service_error','email','alert','【{{service_name}}服务HTTP错误率异常告警】','【服务HTTP错误率异常告警】\n\n项目: {{project_name}}\n\n应用: {{application_name}}\n\n服务: {{runtime_name}} - {{service_name}}\n\n事件: {{ window }}分钟内HTTP错误率{{ error_percent_value }} 错误请求次数{{ error_count_sum }} 总请求次数{{ elapsed_count_sum }}\n\n时间: {{timestamp}}\n\n[查看详情]({{display_url}})\n\n[查看记录]({{record_url}})\n','{\"error_percent_value\":\"percent\"}','1.0','2021-05-28 11:55:07','2021-05-28 11:55:07',1),(6416,'服务HTTP错误率异常','app_transaction','app_transaction_http_service_error','mbox','alert','【{{service_name}}服务HTTP错误率异常告警】','【服务HTTP错误率异常告警】\n\n项目: {{project_name}}\n\n应用: {{application_name}}\n\n服务: {{runtime_name}} - {{service_name}}\n\n事件: {{ window }}分钟内HTTP错误率{{ error_percent_value }} 错误请求次数{{ error_count_sum }} 总请求次数{{ elapsed_count_sum }}\n\n时间: {{timestamp}}\n\n[查看详情]({{display_url}})\n\n[查看记录]({{record_url}})\n','{\"error_percent_value\":\"percent\"}','1.0','2021-05-28 11:55:07','2021-05-28 11:55:07',1),(6417,'服务HTTP错误率异常','app_transaction','app_transaction_http_service_error','webhook','alert','【{{service_name}}服务HTTP错误率异常告警】','【服务HTTP错误率异常告警】\n\n项目: {{project_name}}\n\n应用: {{application_name}}\n\n服务: {{runtime_name}} - {{service_name}}\n\n事件: {{ window }}分钟内HTTP错误率{{ error_percent_value }} 错误请求次数{{ error_count_sum }} 总请求次数{{ elapsed_count_sum }}\n\n时间: {{timestamp}}\n\n[查看详情]({{display_url}})\n\n[查看记录]({{record_url}})\n','{\"error_percent_value\":\"percent\"}','1.0','2021-05-28 11:55:07','2021-05-28 11:55:07',1),(6418,'服务HTTP错误率恢复','app_transaction','app_transaction_http_service_error','dingding','recover','【{{service_name}}服务HTTP错误率恢复】','【服务HTTP错误率异常恢复】\n\n项目: {{project_name}}\n\n应用: {{application_name}}\n\n服务: {{runtime_name}} - {{service_name}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','{\"trigger_duration\":\"time:ms\"}','1.0','2021-05-28 11:55:07','2021-05-28 11:55:07',1),(6419,'服务HTTP错误率恢复','app_transaction','app_transaction_http_service_error','ticket','recover','【{{service_name}}服务HTTP错误率恢复】','【服务HTTP错误率异常恢复】\n\n项目: {{project_name}}\n\n应用: {{application_name}}\n\n服务: {{runtime_name}} - {{service_name}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','{\"trigger_duration\":\"time:ms\"}','1.0','2021-05-28 11:55:07','2021-05-28 11:55:07',1),(6420,'服务HTTP错误率恢复','app_transaction','app_transaction_http_service_error','email','recover','【{{service_name}}服务HTTP错误率恢复】','【服务HTTP错误率异常恢复】\n\n项目: {{project_name}}\n\n应用: {{application_name}}\n\n服务: {{runtime_name}} - {{service_name}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','{\"trigger_duration\":\"time:ms\"}','1.0','2021-05-28 11:55:07','2021-05-28 11:55:07',1),(6421,'服务HTTP错误率恢复','app_transaction','app_transaction_http_service_error','mbox','recover','【{{service_name}}服务HTTP错误率恢复】','【服务HTTP错误率异常恢复】\n\n项目: {{project_name}}\n\n应用: {{application_name}}\n\n服务: {{runtime_name}} - {{service_name}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','{\"trigger_duration\":\"time:ms\"}','1.0','2021-05-28 11:55:07','2021-05-28 11:55:07',1),(6422,'服务HTTP错误率恢复','app_transaction','app_transaction_http_service_error','webhook','recover','【{{service_name}}服务HTTP错误率恢复】','【服务HTTP错误率异常恢复】\n\n项目: {{project_name}}\n\n应用: {{application_name}}\n\n服务: {{runtime_name}} - {{service_name}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','{\"trigger_duration\":\"time:ms\"}','1.0','2021-05-28 11:55:07','2021-05-28 11:55:07',1),(6423,'服务HTTP慢事务异常','app_transaction','app_transaction_http_service_rt','dingding','alert','【应用{{service_name}}服务HTTP慢事务异常告警】','【服务HTTP慢事务异常告警】\n\n项目: {{project_name}}\n\n应用: {{application_name}}\n\n服务: {{runtime_name}} - {{service_name}}\n\n事件: {{window}}分钟内HTTP事务平均响应时间{{elapsed_avg_value}} 请求次数{{elapsed_count_sum}}\n\n时间: {{timestamp}}\n\n[查看详情]({{display_url}})\n\n[查看记录]({{record_url}})\n','{\"elapsed_avg_value\":\"time:ms\",\"elapsed_sum\":\"time:ms\"}','1.0','2021-05-28 11:55:07','2021-05-28 11:55:07',1),(6424,'服务HTTP慢事务异常','app_transaction','app_transaction_http_service_rt','ticket','alert','【应用{{service_name}}服务HTTP慢事务异常告警】','【服务HTTP慢事务异常告警】\n\n项目: {{project_name}}\n\n应用: {{application_name}}\n\n服务: {{runtime_name}} - {{service_name}}\n\n事件: {{window}}分钟内HTTP事务平均响应时间{{elapsed_avg_value}} 请求次数{{elapsed_count_sum}}\n\n时间: {{timestamp}}\n\n[查看详情]({{display_url}})\n\n[查看记录]({{record_url}})\n','{\"elapsed_avg_value\":\"time:ms\",\"elapsed_sum\":\"time:ms\"}','1.0','2021-05-28 11:55:07','2021-05-28 11:55:07',1),(6425,'服务HTTP慢事务异常','app_transaction','app_transaction_http_service_rt','email','alert','【应用{{service_name}}服务HTTP慢事务异常告警】','【服务HTTP慢事务异常告警】\n\n项目: {{project_name}}\n\n应用: {{application_name}}\n\n服务: {{runtime_name}} - {{service_name}}\n\n事件: {{window}}分钟内HTTP事务平均响应时间{{elapsed_avg_value}} 请求次数{{elapsed_count_sum}}\n\n时间: {{timestamp}}\n\n[查看详情]({{display_url}})\n\n[查看记录]({{record_url}})\n','{\"elapsed_avg_value\":\"time:ms\",\"elapsed_sum\":\"time:ms\"}','1.0','2021-05-28 11:55:07','2021-05-28 11:55:07',1),(6426,'服务HTTP慢事务异常','app_transaction','app_transaction_http_service_rt','mbox','alert','【应用{{service_name}}服务HTTP慢事务异常告警】','【服务HTTP慢事务异常告警】\n\n项目: {{project_name}}\n\n应用: {{application_name}}\n\n服务: {{runtime_name}} - {{service_name}}\n\n事件: {{window}}分钟内HTTP事务平均响应时间{{elapsed_avg_value}} 请求次数{{elapsed_count_sum}}\n\n时间: {{timestamp}}\n\n[查看详情]({{display_url}})\n\n[查看记录]({{record_url}})\n','{\"elapsed_avg_value\":\"time:ms\",\"elapsed_sum\":\"time:ms\"}','1.0','2021-05-28 11:55:07','2021-05-28 11:55:07',1),(6427,'服务HTTP慢事务异常','app_transaction','app_transaction_http_service_rt','webhook','alert','【应用{{service_name}}服务HTTP慢事务异常告警】','【服务HTTP慢事务异常告警】\n\n项目: {{project_name}}\n\n应用: {{application_name}}\n\n服务: {{runtime_name}} - {{service_name}}\n\n事件: {{window}}分钟内HTTP事务平均响应时间{{elapsed_avg_value}} 请求次数{{elapsed_count_sum}}\n\n时间: {{timestamp}}\n\n[查看详情]({{display_url}})\n\n[查看记录]({{record_url}})\n','{\"elapsed_avg_value\":\"time:ms\",\"elapsed_sum\":\"time:ms\"}','1.0','2021-05-28 11:55:07','2021-05-28 11:55:07',1),(6428,'服务HTTP慢事务异常恢复','app_transaction','app_transaction_http_service_rt','dingding','recover','【应用{{service_name}}服务HTTP慢事务异常恢复】','【服务HTTP慢事务异常恢复】\n\n项目: {{project_name}}\n\n应用: {{application_name}}\n\n服务: {{runtime_name}} - {{service_name}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','{\"trigger_duration\":\"time:ms\"}','1.0','2021-05-28 11:55:07','2021-05-28 11:55:07',1),(6429,'服务HTTP慢事务异常恢复','app_transaction','app_transaction_http_service_rt','ticket','recover','【应用{{service_name}}服务HTTP慢事务异常恢复】','【服务HTTP慢事务异常恢复】\n\n项目: {{project_name}}\n\n应用: {{application_name}}\n\n服务: {{runtime_name}} - {{service_name}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','{\"trigger_duration\":\"time:ms\"}','1.0','2021-05-28 11:55:07','2021-05-28 11:55:07',1),(6430,'服务HTTP慢事务异常恢复','app_transaction','app_transaction_http_service_rt','email','recover','【应用{{service_name}}服务HTTP慢事务异常恢复】','【服务HTTP慢事务异常恢复】\n\n项目: {{project_name}}\n\n应用: {{application_name}}\n\n服务: {{runtime_name}} - {{service_name}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','{\"trigger_duration\":\"time:ms\"}','1.0','2021-05-28 11:55:07','2021-05-28 11:55:07',1),(6431,'服务HTTP慢事务异常恢复','app_transaction','app_transaction_http_service_rt','mbox','recover','【应用{{service_name}}服务HTTP慢事务异常恢复】','【服务HTTP慢事务异常恢复】\n\n项目: {{project_name}}\n\n应用: {{application_name}}\n\n服务: {{runtime_name}} - {{service_name}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','{\"trigger_duration\":\"time:ms\"}','1.0','2021-05-28 11:55:07','2021-05-28 11:55:07',1),(6432,'服务HTTP慢事务异常恢复','app_transaction','app_transaction_http_service_rt','webhook','recover','【应用{{service_name}}服务HTTP慢事务异常恢复】','【服务HTTP慢事务异常恢复】\n\n项目: {{project_name}}\n\n应用: {{application_name}}\n\n服务: {{runtime_name}} - {{service_name}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','{\"trigger_duration\":\"time:ms\"}','1.0','2021-05-28 11:55:07','2021-05-28 11:55:07',1),(6433,'MySQL SLAVE DELAY ALERT','custom_addon','slave_dly_alert','dingding','alert','【MySQL {{window}}M 聚合时间内 SLAVE 延迟 {{slave_seconds_behind_master_max}}s】\n','【MySQL {{window}}M 聚合时间内 SLAVE 延迟 {{slave_seconds_behind_master_max}}s】\n\n集群: {{cluster_name}}\n\nmysql: {{server_id}}\n\n延迟时间： {{slave_seconds_behind_master_max}}\n\n时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','{\"limit_value\":\"fraction:1\",\"usage_percent_avg\":\"percent:1\"}','1.0','2021-05-28 11:55:07','2021-05-28 11:55:07',1),(6434,'MySQL SLAVE SYNC ALERT','custom_addon','slave_sync_alert','dingding','alert','【MySQL SLAVE 同步异常】\n','【MySQL SLAVE 同步异常】\n\n集群: {{cluster_name}}\n\nmysql: {{server_id}}\n\nSlave_IO_Running: {{slave_slave_io_running_value}}\n\nSlave_SQL_Running: {{slave_slave_sql_running_value}}\n\n时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','{\"limit_value\":\"fraction:1\",\"usage_percent_avg\":\"percent:1\"}','1.0','2021-05-28 11:55:07','2021-05-28 11:55:07',1),(6435,'平台中间件cassandra GC次数异常','dice_addon','dice_addon_cassandra_gc_count','dingding','alert','【平台中间件cassandra GC次数告警】\n','【平台中间件cassandra GC次数告警】\n\n中间件: {{addon_id}}\n\n老年代GC次数: {{CollectionCount_win_value}}\n\n集群: {{cluster_name}}\n\n机器: {{node_host}}\n\n时间: {{timestamp}}\n\n[查看详情]({{display_url}})\n\n[查看记录]({{record_url}})\n','','1.0','2021-05-28 11:55:07','2021-05-28 11:55:07',1),(6436,'平台中间件cassandra GC次数异常','dice_addon','dice_addon_cassandra_gc_count','ticket','alert','【平台中间件cassandra GC次数告警】\n','【平台中间件cassandra GC次数告警】\n\n中间件: {{addon_id}}\n\n老年代GC次数: {{CollectionCount_win_value}}\n\n集群: {{cluster_name}}\n\n机器: {{node_host}}\n\n时间: {{timestamp}}\n\n[查看详情]({{display_url}})\n\n[查看记录]({{record_url}})\n','','1.0','2021-05-28 11:55:07','2021-05-28 11:55:07',1),(6437,'平台中间件cassandra GC次数异常','dice_addon','dice_addon_cassandra_gc_count','email','alert','【平台中间件cassandra GC次数告警】\n','【平台中间件cassandra GC次数告警】\n\n中间件: {{addon_id}}\n\n老年代GC次数: {{CollectionCount_win_value}}\n\n集群: {{cluster_name}}\n\n机器: {{node_host}}\n\n时间: {{timestamp}}\n\n[查看详情]({{display_url}})\n\n[查看记录]({{record_url}})\n','','1.0','2021-05-28 11:55:07','2021-05-28 11:55:07',1),(6438,'平台中间件cassandra GC次数异常','dice_addon','dice_addon_cassandra_gc_count','mbox','alert','【平台中间件cassandra GC次数告警】\n','【平台中间件cassandra GC次数告警】\n\n中间件: {{addon_id}}\n\n老年代GC次数: {{CollectionCount_win_value}}\n\n集群: {{cluster_name}}\n\n机器: {{node_host}}\n\n时间: {{timestamp}}\n\n[查看详情]({{display_url}})\n\n[查看记录]({{record_url}})\n','','1.0','2021-05-28 11:55:07','2021-05-28 11:55:07',1),(6439,'平台中间件cassandra GC次数异常','dice_addon','dice_addon_cassandra_gc_count','webhook','alert','【平台中间件cassandra GC次数告警】\n','【平台中间件cassandra GC次数告警】\n\n中间件: {{addon_id}}\n\n老年代GC次数: {{CollectionCount_win_value}}\n\n集群: {{cluster_name}}\n\n机器: {{node_host}}\n\n时间: {{timestamp}}\n\n[查看详情]({{display_url}})\n\n[查看记录]({{record_url}})\n','','1.0','2021-05-28 11:55:07','2021-05-28 11:55:07',1),(6440,'平台中间件cassandra GC次数异常','dice_addon','dice_addon_cassandra_gc_count','dingding','recover','【平台中间件cassandra GC次数恢复】\n','【平台中间件cassandra GC次数恢复】\n\n中间件: {{addon_id}}\n\n老年代GC次数: {{CollectionCount_win_value}}\n\n集群: {{cluster_name}}\n\n机器: {{node_host}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','{\"trigger_duration\":\"time:ms\"}','1.0','2021-05-28 11:55:07','2021-05-28 11:55:07',1),(6441,'平台中间件cassandra GC次数异常','dice_addon','dice_addon_cassandra_gc_count','ticket','recover','【平台中间件cassandra GC次数恢复】\n','【平台中间件cassandra GC次数恢复】\n\n中间件: {{addon_id}}\n\n老年代GC次数: {{CollectionCount_win_value}}\n\n集群: {{cluster_name}}\n\n机器: {{node_host}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','{\"trigger_duration\":\"time:ms\"}','1.0','2021-05-28 11:55:07','2021-05-28 11:55:07',1),(6442,'平台中间件cassandra GC次数异常','dice_addon','dice_addon_cassandra_gc_count','email','recover','【平台中间件cassandra GC次数恢复】\n','【平台中间件cassandra GC次数恢复】\n\n中间件: {{addon_id}}\n\n老年代GC次数: {{CollectionCount_win_value}}\n\n集群: {{cluster_name}}\n\n机器: {{node_host}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','{\"trigger_duration\":\"time:ms\"}','1.0','2021-05-28 11:55:07','2021-05-28 11:55:07',1),(6443,'平台中间件cassandra GC次数异常','dice_addon','dice_addon_cassandra_gc_count','mbox','recover','【平台中间件cassandra GC次数恢复】\n','【平台中间件cassandra GC次数恢复】\n\n中间件: {{addon_id}}\n\n老年代GC次数: {{CollectionCount_win_value}}\n\n集群: {{cluster_name}}\n\n机器: {{node_host}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','{\"trigger_duration\":\"time:ms\"}','1.0','2021-05-28 11:55:07','2021-05-28 11:55:07',1),(6444,'平台中间件cassandra GC次数异常','dice_addon','dice_addon_cassandra_gc_count','webhook','recover','【平台中间件cassandra GC次数恢复】\n','【平台中间件cassandra GC次数恢复】\n\n中间件: {{addon_id}}\n\n老年代GC次数: {{CollectionCount_win_value}}\n\n集群: {{cluster_name}}\n\n机器: {{node_host}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','{\"trigger_duration\":\"time:ms\"}','1.0','2021-05-28 11:55:07','2021-05-28 11:55:07',1),(6445,'平台中间件cassandra GC耗时异常','dice_addon','dice_addon_cassandra_gc_time','dingding','alert','【平台中间件cassandra GC耗时告警】\n','【平台中间件cassandra GC耗时告警】\n\n中间件: {{addon_id}}\n\n老年代GC耗时: {{CollectionTime_win_value}}\n\n集群: {{cluster_name}}\n\n机器: {{node_host}}\n\n时间: {{timestamp}}\n\n[查看详情]({{display_url}})\n\n[查看记录]({{record_url}})\n','{\"CollectionTime_win_value\":\"time:ms\"}','1.0','2021-05-28 11:55:07','2021-05-28 11:55:07',1),(6446,'平台中间件cassandra GC耗时异常','dice_addon','dice_addon_cassandra_gc_time','ticket','alert','【平台中间件cassandra GC耗时告警】\n','【平台中间件cassandra GC耗时告警】\n\n中间件: {{addon_id}}\n\n老年代GC耗时: {{CollectionTime_win_value}}\n\n集群: {{cluster_name}}\n\n机器: {{node_host}}\n\n时间: {{timestamp}}\n\n[查看详情]({{display_url}})\n\n[查看记录]({{record_url}})\n','{\"CollectionTime_win_value\":\"time:ms\"}','1.0','2021-05-28 11:55:07','2021-05-28 11:55:07',1),(6447,'平台中间件cassandra GC耗时异常','dice_addon','dice_addon_cassandra_gc_time','email','alert','【平台中间件cassandra GC耗时告警】\n','【平台中间件cassandra GC耗时告警】\n\n中间件: {{addon_id}}\n\n老年代GC耗时: {{CollectionTime_win_value}}\n\n集群: {{cluster_name}}\n\n机器: {{node_host}}\n\n时间: {{timestamp}}\n\n[查看详情]({{display_url}})\n\n[查看记录]({{record_url}})\n','{\"CollectionTime_win_value\":\"time:ms\"}','1.0','2021-05-28 11:55:07','2021-05-28 11:55:07',1),(6448,'平台中间件cassandra GC耗时异常','dice_addon','dice_addon_cassandra_gc_time','mbox','alert','【平台中间件cassandra GC耗时告警】\n','【平台中间件cassandra GC耗时告警】\n\n中间件: {{addon_id}}\n\n老年代GC耗时: {{CollectionTime_win_value}}\n\n集群: {{cluster_name}}\n\n机器: {{node_host}}\n\n时间: {{timestamp}}\n\n[查看详情]({{display_url}})\n\n[查看记录]({{record_url}})\n','{\"CollectionTime_win_value\":\"time:ms\"}','1.0','2021-05-28 11:55:07','2021-05-28 11:55:07',1),(6449,'平台中间件cassandra GC耗时异常','dice_addon','dice_addon_cassandra_gc_time','webhook','alert','【平台中间件cassandra GC耗时告警】\n','【平台中间件cassandra GC耗时告警】\n\n中间件: {{addon_id}}\n\n老年代GC耗时: {{CollectionTime_win_value}}\n\n集群: {{cluster_name}}\n\n机器: {{node_host}}\n\n时间: {{timestamp}}\n\n[查看详情]({{display_url}})\n\n[查看记录]({{record_url}})\n','{\"CollectionTime_win_value\":\"time:ms\"}','1.0','2021-05-28 11:55:07','2021-05-28 11:55:07',1),(6450,'平台中间件cassandra GC耗时异常','dice_addon','dice_addon_cassandra_gc_time','dingding','recover','【平台中间件cassandra GC耗时恢复】\n','【平台中间件cassandra GC耗时恢复】\n\n中间件: {{addon_id}}\n\n老年代GC耗时: {{CollectionTime_win_value}}\n\n集群: {{cluster_name}}\n\n机器: {{node_host}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','{\"CollectionTime_win_value\":\"time:ms\",\"trigger_duration\":\"time:ms\"}','1.0','2021-05-28 11:55:07','2021-05-28 11:55:07',1),(6451,'平台中间件cassandra GC耗时异常','dice_addon','dice_addon_cassandra_gc_time','ticket','recover','【平台中间件cassandra GC耗时恢复】\n','【平台中间件cassandra GC耗时恢复】\n\n中间件: {{addon_id}}\n\n老年代GC耗时: {{CollectionTime_win_value}}\n\n集群: {{cluster_name}}\n\n机器: {{node_host}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','{\"CollectionTime_win_value\":\"time:ms\",\"trigger_duration\":\"time:ms\"}','1.0','2021-05-28 11:55:07','2021-05-28 11:55:07',1),(6452,'平台中间件cassandra GC耗时异常','dice_addon','dice_addon_cassandra_gc_time','email','recover','【平台中间件cassandra GC耗时恢复】\n','【平台中间件cassandra GC耗时恢复】\n\n中间件: {{addon_id}}\n\n老年代GC耗时: {{CollectionTime_win_value}}\n\n集群: {{cluster_name}}\n\n机器: {{node_host}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','{\"CollectionTime_win_value\":\"time:ms\",\"trigger_duration\":\"time:ms\"}','1.0','2021-05-28 11:55:07','2021-05-28 11:55:07',1),(6453,'平台中间件cassandra GC耗时异常','dice_addon','dice_addon_cassandra_gc_time','mbox','recover','【平台中间件cassandra GC耗时恢复】\n','【平台中间件cassandra GC耗时恢复】\n\n中间件: {{addon_id}}\n\n老年代GC耗时: {{CollectionTime_win_value}}\n\n集群: {{cluster_name}}\n\n机器: {{node_host}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','{\"CollectionTime_win_value\":\"time:ms\",\"trigger_duration\":\"time:ms\"}','1.0','2021-05-28 11:55:07','2021-05-28 11:55:07',1),(6454,'平台中间件cassandra GC耗时异常','dice_addon','dice_addon_cassandra_gc_time','webhook','recover','【平台中间件cassandra GC耗时恢复】\n','【平台中间件cassandra GC耗时恢复】\n\n中间件: {{addon_id}}\n\n老年代GC耗时: {{CollectionTime_win_value}}\n\n集群: {{cluster_name}}\n\n机器: {{node_host}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','{\"CollectionTime_win_value\":\"time:ms\",\"trigger_duration\":\"time:ms\"}','1.0','2021-05-28 11:55:07','2021-05-28 11:55:07',1),(6455,'平台中间件实例CPU异常','dice_addon','dice_addon_container_cpu','dingding','alert','【平台中间件{{addon_id}} CPU使用率告警】\n','【平台中间件CPU使用率告警】\n\n中间件: {{addon_id}}\n\n使用率: {{cpu_usage_percent_avg}}\n\n限制: {{cpu_limit_value}}核\n\n分配: {{cpu_allocation_value}}核\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n容器ID: {{container_id}}\n\n时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','{\"cpu_allocation_value\":\"fraction:2\",\"cpu_limit_value\":\"fraction:2\",\"cpu_usage_percent_avg\":\"percent:2\"}','1.0','2021-05-28 11:55:07','2021-05-28 11:55:07',1),(6456,'平台中间件实例CPU异常','dice_addon','dice_addon_container_cpu','ticket','alert','【平台中间件{{addon_id}} CPU使用率告警】\n','【平台中间件CPU使用率告警】\n\n中间件: {{addon_id}}\n\n使用率: {{cpu_usage_percent_avg}}\n\n限制: {{cpu_limit_value}}核\n\n分配: {{cpu_allocation_value}}核\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n容器ID: {{container_id}}\n\n时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','{\"cpu_allocation_value\":\"fraction:2\",\"cpu_limit_value\":\"fraction:2\",\"cpu_usage_percent_avg\":\"percent:2\"}','1.0','2021-05-28 11:55:07','2021-05-28 11:55:07',1),(6457,'平台中间件实例CPU异常','dice_addon','dice_addon_container_cpu','email','alert','【平台中间件{{addon_id}} CPU使用率告警】\n','【平台中间件CPU使用率告警】\n\n中间件: {{addon_id}}\n\n使用率: {{cpu_usage_percent_avg}}\n\n限制: {{cpu_limit_value}}核\n\n分配: {{cpu_allocation_value}}核\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n容器ID: {{container_id}}\n\n时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','{\"cpu_allocation_value\":\"fraction:2\",\"cpu_limit_value\":\"fraction:2\",\"cpu_usage_percent_avg\":\"percent:2\"}','1.0','2021-05-28 11:55:07','2021-05-28 11:55:07',1),(6458,'平台中间件实例CPU异常','dice_addon','dice_addon_container_cpu','mbox','alert','【平台中间件{{addon_id}} CPU使用率告警】\n','【平台中间件CPU使用率告警】\n\n中间件: {{addon_id}}\n\n使用率: {{cpu_usage_percent_avg}}\n\n限制: {{cpu_limit_value}}核\n\n分配: {{cpu_allocation_value}}核\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n容器ID: {{container_id}}\n\n时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','{\"cpu_allocation_value\":\"fraction:2\",\"cpu_limit_value\":\"fraction:2\",\"cpu_usage_percent_avg\":\"percent:2\"}','1.0','2021-05-28 11:55:07','2021-05-28 11:55:07',1),(6459,'平台中间件实例CPU异常','dice_addon','dice_addon_container_cpu','webhook','alert','【平台中间件{{addon_id}} CPU使用率告警】\n','【平台中间件CPU使用率告警】\n\n中间件: {{addon_id}}\n\n使用率: {{cpu_usage_percent_avg}}\n\n限制: {{cpu_limit_value}}核\n\n分配: {{cpu_allocation_value}}核\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n容器ID: {{container_id}}\n\n时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','{\"cpu_allocation_value\":\"fraction:2\",\"cpu_limit_value\":\"fraction:2\",\"cpu_usage_percent_avg\":\"percent:2\"}','1.0','2021-05-28 11:55:07','2021-05-28 11:55:07',1),(6460,'平台中间件实例CPU异常','dice_addon','dice_addon_container_cpu','dingding','recover','【平台中间件{{addon_id}} CPU使用率恢复】\n','【平台中间件CPU使用率恢复】\n\n中间件: {{addon_id}}\n\n使用率: {{cpu_usage_percent_avg}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n容器ID: {{container_id}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','{\"cpu_usage_percent_avg\":\"percent:2\",\"trigger_duration\":\"time:ms\"}','1.0','2021-05-28 11:55:07','2021-05-28 11:55:07',1),(6461,'平台中间件实例CPU异常','dice_addon','dice_addon_container_cpu','ticket','recover','【平台中间件{{addon_id}} CPU使用率恢复】\n','【平台中间件CPU使用率恢复】\n\n中间件: {{addon_id}}\n\n使用率: {{cpu_usage_percent_avg}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n容器ID: {{container_id}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','{\"cpu_usage_percent_avg\":\"percent:2\",\"trigger_duration\":\"time:ms\"}','1.0','2021-05-28 11:55:07','2021-05-28 11:55:07',1),(6462,'平台中间件实例CPU异常','dice_addon','dice_addon_container_cpu','email','recover','【平台中间件{{addon_id}} CPU使用率恢复】\n','【平台中间件CPU使用率恢复】\n\n中间件: {{addon_id}}\n\n使用率: {{cpu_usage_percent_avg}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n容器ID: {{container_id}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','{\"cpu_usage_percent_avg\":\"percent:2\",\"trigger_duration\":\"time:ms\"}','1.0','2021-05-28 11:55:07','2021-05-28 11:55:07',1),(6463,'平台中间件实例CPU异常','dice_addon','dice_addon_container_cpu','mbox','recover','【平台中间件{{addon_id}} CPU使用率恢复】\n','【平台中间件CPU使用率恢复】\n\n中间件: {{addon_id}}\n\n使用率: {{cpu_usage_percent_avg}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n容器ID: {{container_id}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','{\"cpu_usage_percent_avg\":\"percent:2\",\"trigger_duration\":\"time:ms\"}','1.0','2021-05-28 11:55:07','2021-05-28 11:55:07',1),(6464,'平台中间件实例CPU异常','dice_addon','dice_addon_container_cpu','webhook','recover','【平台中间件{{addon_id}} CPU使用率恢复】\n','【平台中间件CPU使用率恢复】\n\n中间件: {{addon_id}}\n\n使用率: {{cpu_usage_percent_avg}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n容器ID: {{container_id}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','{\"cpu_usage_percent_avg\":\"percent:2\",\"trigger_duration\":\"time:ms\"}','1.0','2021-05-28 11:55:07','2021-05-28 11:55:07',1),(6465,'平台中间件异常退出','dice_addon','dice_addon_container_exit','dingding','alert','【平台中间件{{addon_id}}异常退出告警】\n','【平台中间件异常退出告警】\n\n中间件: {{addon_id}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n启动时间: {{started_at_value}}\n\n退出时间: {{finished_at_value}}\n\n退出原因: {{terminated_reason_value}}\n\n时间: {{timestamp}}\n\n[查看详情]({{display_url}})\n\n[查看记录]({{record_url}})\n','{\"finished_at_value\":\"date\",\"started_at_value\":\"date\"}','1.0','2021-05-28 11:55:07','2021-05-28 11:55:07',1),(6466,'平台中间件异常退出','dice_addon','dice_addon_container_exit','ticket','alert','【平台中间件{{addon_id}}异常退出告警】\n','【平台中间件异常退出告警】\n\n中间件: {{addon_id}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n启动时间: {{started_at_value}}\n\n退出时间: {{finished_at_value}}\n\n退出原因: {{terminated_reason_value}}\n\n时间: {{timestamp}}\n\n[查看详情]({{display_url}})\n\n[查看记录]({{record_url}})\n','{\"finished_at_value\":\"date\",\"started_at_value\":\"date\"}','1.0','2021-05-28 11:55:07','2021-05-28 11:55:07',1),(6467,'平台中间件异常退出','dice_addon','dice_addon_container_exit','email','alert','【平台中间件{{addon_id}}异常退出告警】\n','【平台中间件异常退出告警】\n\n中间件: {{addon_id}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n启动时间: {{started_at_value}}\n\n退出时间: {{finished_at_value}}\n\n退出原因: {{terminated_reason_value}}\n\n时间: {{timestamp}}\n\n[查看详情]({{display_url}})\n\n[查看记录]({{record_url}})\n','{\"finished_at_value\":\"date\",\"started_at_value\":\"date\"}','1.0','2021-05-28 11:55:07','2021-05-28 11:55:07',1),(6468,'平台中间件异常退出','dice_addon','dice_addon_container_exit','mbox','alert','【平台中间件{{addon_id}}异常退出告警】\n','【平台中间件异常退出告警】\n\n中间件: {{addon_id}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n启动时间: {{started_at_value}}\n\n退出时间: {{finished_at_value}}\n\n退出原因: {{terminated_reason_value}}\n\n时间: {{timestamp}}\n\n[查看详情]({{display_url}})\n\n[查看记录]({{record_url}})\n','{\"finished_at_value\":\"date\",\"started_at_value\":\"date\"}','1.0','2021-05-28 11:55:07','2021-05-28 11:55:07',1),(6469,'平台中间件异常退出','dice_addon','dice_addon_container_exit','webhook','alert','【平台中间件{{addon_id}}异常退出告警】\n','【平台中间件异常退出告警】\n\n中间件: {{addon_id}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n启动时间: {{started_at_value}}\n\n退出时间: {{finished_at_value}}\n\n退出原因: {{terminated_reason_value}}\n\n时间: {{timestamp}}\n\n[查看详情]({{display_url}})\n\n[查看记录]({{record_url}})\n','{\"finished_at_value\":\"date\",\"started_at_value\":\"date\"}','1.0','2021-05-28 11:55:07','2021-05-28 11:55:07',1),(6470,'平台中间件异常退出','dice_addon','dice_addon_container_exit','dingding','recover','【平台中间件{{addon_id}}异常退出恢复】\n','【平台中间件异常退出恢复】\n\n中间件: {{addon_id}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','{\"trigger_duration\":\"time:ms\"}','1.0','2021-05-28 11:55:07','2021-05-28 11:55:07',1),(6471,'平台中间件异常退出','dice_addon','dice_addon_container_exit','ticket','recover','【平台中间件{{addon_id}}异常退出恢复】\n','【平台中间件异常退出恢复】\n\n中间件: {{addon_id}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','{\"trigger_duration\":\"time:ms\"}','1.0','2021-05-28 11:55:07','2021-05-28 11:55:07',1),(6472,'平台中间件异常退出','dice_addon','dice_addon_container_exit','email','recover','【平台中间件{{addon_id}}异常退出恢复】\n','【平台中间件异常退出恢复】\n\n中间件: {{addon_id}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','{\"trigger_duration\":\"time:ms\"}','1.0','2021-05-28 11:55:07','2021-05-28 11:55:07',1),(6473,'平台中间件异常退出','dice_addon','dice_addon_container_exit','mbox','recover','【平台中间件{{addon_id}}异常退出恢复】\n','【平台中间件异常退出恢复】\n\n中间件: {{addon_id}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','{\"trigger_duration\":\"time:ms\"}','1.0','2021-05-28 11:55:07','2021-05-28 11:55:07',1),(6474,'平台中间件异常退出','dice_addon','dice_addon_container_exit','webhook','recover','【平台中间件{{addon_id}}异常退出恢复】\n','【平台中间件异常退出恢复】\n\n中间件: {{addon_id}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','{\"trigger_duration\":\"time:ms\"}','1.0','2021-05-28 11:55:07','2021-05-28 11:55:07',1),(6475,'平台中间件实例内存异常','dice_addon','dice_addon_container_mem','dingding','alert','【平台中间件{{addon_id}}内存使用率告警】\n','【平台中间件内存使用率告警】\n\n中间件: {{addon_id}}\n\n使用率: {{mem_usage_percent_avg}}\n\n使用: {{mem_usage_value}}\n\n限制: {{mem_limit_value}}\n\n分配: {{mem_allocation_value}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n容器ID: {{container_id}}\n\n时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','{\"mem_allocation_value\":\"size:byte\",\"mem_limit_value\":\"size:byte\",\"mem_usage_percent_avg\":\"percent:2\",\"mem_usage_value\":\"size:byte\"}','1.0','2021-05-28 11:55:07','2021-05-28 11:55:07',1),(6476,'平台中间件实例内存异常','dice_addon','dice_addon_container_mem','ticket','alert','【平台中间件{{addon_id}}内存使用率告警】\n','【平台中间件内存使用率告警】\n\n中间件: {{addon_id}}\n\n使用率: {{mem_usage_percent_avg}}\n\n使用: {{mem_usage_value}}\n\n限制: {{mem_limit_value}}\n\n分配: {{mem_allocation_value}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n容器ID: {{container_id}}\n\n时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','{\"mem_allocation_value\":\"size:byte\",\"mem_limit_value\":\"size:byte\",\"mem_usage_percent_avg\":\"percent:2\",\"mem_usage_value\":\"size:byte\"}','1.0','2021-05-28 11:55:07','2021-05-28 11:55:07',1),(6477,'平台中间件实例内存异常','dice_addon','dice_addon_container_mem','email','alert','【平台中间件{{addon_id}}内存使用率告警】\n','【平台中间件内存使用率告警】\n\n中间件: {{addon_id}}\n\n使用率: {{mem_usage_percent_avg}}\n\n使用: {{mem_usage_value}}\n\n限制: {{mem_limit_value}}\n\n分配: {{mem_allocation_value}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n容器ID: {{container_id}}\n\n时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','{\"mem_allocation_value\":\"size:byte\",\"mem_limit_value\":\"size:byte\",\"mem_usage_percent_avg\":\"percent:2\",\"mem_usage_value\":\"size:byte\"}','1.0','2021-05-28 11:55:07','2021-05-28 11:55:07',1),(6478,'平台中间件实例内存异常','dice_addon','dice_addon_container_mem','mbox','alert','【平台中间件{{addon_id}}内存使用率告警】\n','【平台中间件内存使用率告警】\n\n中间件: {{addon_id}}\n\n使用率: {{mem_usage_percent_avg}}\n\n使用: {{mem_usage_value}}\n\n限制: {{mem_limit_value}}\n\n分配: {{mem_allocation_value}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n容器ID: {{container_id}}\n\n时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','{\"mem_allocation_value\":\"size:byte\",\"mem_limit_value\":\"size:byte\",\"mem_usage_percent_avg\":\"percent:2\",\"mem_usage_value\":\"size:byte\"}','1.0','2021-05-28 11:55:07','2021-05-28 11:55:07',1),(6479,'平台中间件实例内存异常','dice_addon','dice_addon_container_mem','webhook','alert','【平台中间件{{addon_id}}内存使用率告警】\n','【平台中间件内存使用率告警】\n\n中间件: {{addon_id}}\n\n使用率: {{mem_usage_percent_avg}}\n\n使用: {{mem_usage_value}}\n\n限制: {{mem_limit_value}}\n\n分配: {{mem_allocation_value}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n容器ID: {{container_id}}\n\n时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','{\"mem_allocation_value\":\"size:byte\",\"mem_limit_value\":\"size:byte\",\"mem_usage_percent_avg\":\"percent:2\",\"mem_usage_value\":\"size:byte\"}','1.0','2021-05-28 11:55:07','2021-05-28 11:55:07',1),(6480,'平台中间件实例内存异常','dice_addon','dice_addon_container_mem','dingding','recover','【平台中间件{{addon_id}}内存使用率恢复】\n','【平台中间件内存使用率恢复】\n\n中间件: {{addon_id}}\n\n使用率: {{mem_usage_percent_avg}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n容器ID: {{container_id}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','{\"mem_usage_percent_avg\":\"percent:2\",\"trigger_duration\":\"time:ms\"}','1.0','2021-05-28 11:55:07','2021-05-28 11:55:07',1),(6481,'平台中间件实例内存异常','dice_addon','dice_addon_container_mem','ticket','recover','【平台中间件{{addon_id}}内存使用率恢复】\n','【平台中间件内存使用率恢复】\n\n中间件: {{addon_id}}\n\n使用率: {{mem_usage_percent_avg}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n容器ID: {{container_id}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','{\"mem_usage_percent_avg\":\"percent:2\",\"trigger_duration\":\"time:ms\"}','1.0','2021-05-28 11:55:07','2021-05-28 11:55:07',1),(6482,'平台中间件实例内存异常','dice_addon','dice_addon_container_mem','email','recover','【平台中间件{{addon_id}}内存使用率恢复】\n','【平台中间件内存使用率恢复】\n\n中间件: {{addon_id}}\n\n使用率: {{mem_usage_percent_avg}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n容器ID: {{container_id}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','{\"mem_usage_percent_avg\":\"percent:2\",\"trigger_duration\":\"time:ms\"}','1.0','2021-05-28 11:55:07','2021-05-28 11:55:07',1),(6483,'平台中间件实例内存异常','dice_addon','dice_addon_container_mem','mbox','recover','【平台中间件{{addon_id}}内存使用率恢复】\n','【平台中间件内存使用率恢复】\n\n中间件: {{addon_id}}\n\n使用率: {{mem_usage_percent_avg}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n容器ID: {{container_id}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','{\"mem_usage_percent_avg\":\"percent:2\",\"trigger_duration\":\"time:ms\"}','1.0','2021-05-28 11:55:07','2021-05-28 11:55:07',1),(6484,'平台中间件实例内存异常','dice_addon','dice_addon_container_mem','webhook','recover','【平台中间件{{addon_id}}内存使用率恢复】\n','【平台中间件内存使用率恢复】\n\n中间件: {{addon_id}}\n\n使用率: {{mem_usage_percent_avg}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n容器ID: {{container_id}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','{\"mem_usage_percent_avg\":\"percent:2\",\"trigger_duration\":\"time:ms\"}','1.0','2021-05-28 11:55:07','2021-05-28 11:55:07',1),(6485,'平台中间件实例Ready状态异常','dice_addon','dice_addon_container_ready','dingding','alert','【平台中间件{{addon_id}} Ready状态异常告警】\n','【平台中间件Ready状态异常告警】\n\n中间件: {{addon_id}}\n\n不可用实例: {{not_ready_value}}\n\n期望实例: {{total_value}}\n\n集群: {{cluster_name}}\n\n时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','','1.0','2021-05-28 11:55:07','2021-05-28 11:55:07',1),(6486,'平台中间件实例Ready状态异常','dice_addon','dice_addon_container_ready','ticket','alert','【平台中间件{{addon_id}} Ready状态异常告警】\n','【平台中间件Ready状态异常告警】\n\n中间件: {{addon_id}}\n\n不可用实例: {{not_ready_value}}\n\n期望实例: {{total_value}}\n\n集群: {{cluster_name}}\n\n时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','','1.0','2021-05-28 11:55:07','2021-05-28 11:55:07',1),(6487,'平台中间件实例Ready状态异常','dice_addon','dice_addon_container_ready','email','alert','【平台中间件{{addon_id}} Ready状态异常告警】\n','【平台中间件Ready状态异常告警】\n\n中间件: {{addon_id}}\n\n不可用实例: {{not_ready_value}}\n\n期望实例: {{total_value}}\n\n集群: {{cluster_name}}\n\n时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','','1.0','2021-05-28 11:55:07','2021-05-28 11:55:07',1),(6488,'平台中间件实例Ready状态异常','dice_addon','dice_addon_container_ready','mbox','alert','【平台中间件{{addon_id}} Ready状态异常告警】\n','【平台中间件Ready状态异常告警】\n\n中间件: {{addon_id}}\n\n不可用实例: {{not_ready_value}}\n\n期望实例: {{total_value}}\n\n集群: {{cluster_name}}\n\n时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','','1.0','2021-05-28 11:55:07','2021-05-28 11:55:07',1),(6489,'平台中间件实例Ready状态异常','dice_addon','dice_addon_container_ready','webhook','alert','【平台中间件{{addon_id}} Ready状态异常告警】\n','【平台中间件Ready状态异常告警】\n\n中间件: {{addon_id}}\n\n不可用实例: {{not_ready_value}}\n\n期望实例: {{total_value}}\n\n集群: {{cluster_name}}\n\n时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','','1.0','2021-05-28 11:55:07','2021-05-28 11:55:07',1),(6490,'平台中间件实例Ready状态异常','dice_addon','dice_addon_container_ready','dingding','recover','【平台中间件{{addon_id}} Ready状态异常恢复】\n','【平台中间件Ready状态异常恢复】\n\n中间件: {{addon_id}}\n\n可用实例: {{ready_value}}\n\n期望实例: {{total_value}}\n\n集群: {{cluster_name}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','{\"trigger_duration\":\"time:ms\"}','1.0','2021-05-28 11:55:07','2021-05-28 11:55:07',1),(6491,'平台中间件实例Ready状态异常','dice_addon','dice_addon_container_ready','ticket','recover','【平台中间件{{addon_id}} Ready状态异常恢复】\n','【平台中间件Ready状态异常恢复】\n\n中间件: {{addon_id}}\n\n可用实例: {{ready_value}}\n\n期望实例: {{total_value}}\n\n集群: {{cluster_name}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','{\"trigger_duration\":\"time:ms\"}','1.0','2021-05-28 11:55:07','2021-05-28 11:55:07',1),(6492,'平台中间件实例Ready状态异常','dice_addon','dice_addon_container_ready','email','recover','【平台中间件{{addon_id}} Ready状态异常恢复】\n','【平台中间件Ready状态异常恢复】\n\n中间件: {{addon_id}}\n\n可用实例: {{ready_value}}\n\n期望实例: {{total_value}}\n\n集群: {{cluster_name}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','{\"trigger_duration\":\"time:ms\"}','1.0','2021-05-28 11:55:07','2021-05-28 11:55:07',1),(6493,'平台中间件实例Ready状态异常','dice_addon','dice_addon_container_ready','mbox','recover','【平台中间件{{addon_id}} Ready状态异常恢复】\n','【平台中间件Ready状态异常恢复】\n\n中间件: {{addon_id}}\n\n可用实例: {{ready_value}}\n\n期望实例: {{total_value}}\n\n集群: {{cluster_name}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','{\"trigger_duration\":\"time:ms\"}','1.0','2021-05-28 11:55:07','2021-05-28 11:55:07',1),(6494,'平台中间件实例Ready状态异常','dice_addon','dice_addon_container_ready','webhook','recover','【平台中间件{{addon_id}} Ready状态异常恢复】\n','【平台中间件Ready状态异常恢复】\n\n中间件: {{addon_id}}\n\n可用实例: {{ready_value}}\n\n期望实例: {{total_value}}\n\n集群: {{cluster_name}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','{\"trigger_duration\":\"time:ms\"}','1.0','2021-05-28 11:55:07','2021-05-28 11:55:07',1),(6495,'平台中间件elasticsearch GC次数异常','dice_addon','dice_addon_elasticsearch_gc_count','dingding','alert','【平台中间件elasticsearch GC次数告警】\n','【平台中间件elasticsearch GC次数告警】\n\n中间件: {{addon_id}}\n\n老年代GC次数: {{gc_collectors_old_collection_count_win_value}}\n\n集群: {{cluster_name}}\n\n机器: {{node_host}}\n\n时间: {{timestamp}}\n\n[查看详情]({{display_url}})\n\n[查看记录]({{record_url}})\n','','1.0','2021-05-28 11:55:07','2021-05-28 11:55:07',1),(6496,'平台中间件elasticsearch GC次数异常','dice_addon','dice_addon_elasticsearch_gc_count','ticket','alert','【平台中间件elasticsearch GC次数告警】\n','【平台中间件elasticsearch GC次数告警】\n\n中间件: {{addon_id}}\n\n老年代GC次数: {{gc_collectors_old_collection_count_win_value}}\n\n集群: {{cluster_name}}\n\n机器: {{node_host}}\n\n时间: {{timestamp}}\n\n[查看详情]({{display_url}})\n\n[查看记录]({{record_url}})\n','','1.0','2021-05-28 11:55:07','2021-05-28 11:55:07',1),(6497,'平台中间件elasticsearch GC次数异常','dice_addon','dice_addon_elasticsearch_gc_count','email','alert','【平台中间件elasticsearch GC次数告警】\n','【平台中间件elasticsearch GC次数告警】\n\n中间件: {{addon_id}}\n\n老年代GC次数: {{gc_collectors_old_collection_count_win_value}}\n\n集群: {{cluster_name}}\n\n机器: {{node_host}}\n\n时间: {{timestamp}}\n\n[查看详情]({{display_url}})\n\n[查看记录]({{record_url}})\n','','1.0','2021-05-28 11:55:07','2021-05-28 11:55:07',1),(6498,'平台中间件elasticsearch GC次数异常','dice_addon','dice_addon_elasticsearch_gc_count','mbox','alert','【平台中间件elasticsearch GC次数告警】\n','【平台中间件elasticsearch GC次数告警】\n\n中间件: {{addon_id}}\n\n老年代GC次数: {{gc_collectors_old_collection_count_win_value}}\n\n集群: {{cluster_name}}\n\n机器: {{node_host}}\n\n时间: {{timestamp}}\n\n[查看详情]({{display_url}})\n\n[查看记录]({{record_url}})\n','','1.0','2021-05-28 11:55:07','2021-05-28 11:55:07',1),(6499,'平台中间件elasticsearch GC次数异常','dice_addon','dice_addon_elasticsearch_gc_count','webhook','alert','【平台中间件elasticsearch GC次数告警】\n','【平台中间件elasticsearch GC次数告警】\n\n中间件: {{addon_id}}\n\n老年代GC次数: {{gc_collectors_old_collection_count_win_value}}\n\n集群: {{cluster_name}}\n\n机器: {{node_host}}\n\n时间: {{timestamp}}\n\n[查看详情]({{display_url}})\n\n[查看记录]({{record_url}})\n','','1.0','2021-05-28 11:55:07','2021-05-28 11:55:07',1),(6500,'平台中间件elasticsearch GC次数异常','dice_addon','dice_addon_elasticsearch_gc_count','dingding','recover','【平台中间件elasticsearch GC次数恢复】\n','【平台中间件elasticsearch GC次数恢复】\n\n中间件: {{addon_id}}\n\n老年代GC次数: {{gc_collectors_old_collection_count_win_value}}\n\n集群: {{cluster_name}}\n\n机器: {{node_host}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','{\"trigger_duration\":\"time:ms\"}','1.0','2021-05-28 11:55:07','2021-05-28 11:55:07',1),(6501,'平台中间件elasticsearch GC次数异常','dice_addon','dice_addon_elasticsearch_gc_count','ticket','recover','【平台中间件elasticsearch GC次数恢复】\n','【平台中间件elasticsearch GC次数恢复】\n\n中间件: {{addon_id}}\n\n老年代GC次数: {{gc_collectors_old_collection_count_win_value}}\n\n集群: {{cluster_name}}\n\n机器: {{node_host}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','{\"trigger_duration\":\"time:ms\"}','1.0','2021-05-28 11:55:07','2021-05-28 11:55:07',1),(6502,'平台中间件elasticsearch GC次数异常','dice_addon','dice_addon_elasticsearch_gc_count','email','recover','【平台中间件elasticsearch GC次数恢复】\n','【平台中间件elasticsearch GC次数恢复】\n\n中间件: {{addon_id}}\n\n老年代GC次数: {{gc_collectors_old_collection_count_win_value}}\n\n集群: {{cluster_name}}\n\n机器: {{node_host}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','{\"trigger_duration\":\"time:ms\"}','1.0','2021-05-28 11:55:07','2021-05-28 11:55:07',1),(6503,'平台中间件elasticsearch GC次数异常','dice_addon','dice_addon_elasticsearch_gc_count','mbox','recover','【平台中间件elasticsearch GC次数恢复】\n','【平台中间件elasticsearch GC次数恢复】\n\n中间件: {{addon_id}}\n\n老年代GC次数: {{gc_collectors_old_collection_count_win_value}}\n\n集群: {{cluster_name}}\n\n机器: {{node_host}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','{\"trigger_duration\":\"time:ms\"}','1.0','2021-05-28 11:55:07','2021-05-28 11:55:07',1),(6504,'平台中间件elasticsearch GC次数异常','dice_addon','dice_addon_elasticsearch_gc_count','webhook','recover','【平台中间件elasticsearch GC次数恢复】\n','【平台中间件elasticsearch GC次数恢复】\n\n中间件: {{addon_id}}\n\n老年代GC次数: {{gc_collectors_old_collection_count_win_value}}\n\n集群: {{cluster_name}}\n\n机器: {{node_host}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','{\"trigger_duration\":\"time:ms\"}','1.0','2021-05-28 11:55:07','2021-05-28 11:55:07',1),(6505,'平台中间件elasticsearch GC耗时异常','dice_addon','dice_addon_elasticsearch_gc_time','dingding','alert','【平台中间件elasticsearch GC耗时告警】\n','【平台中间件elasticsearch GC耗时告警】\n\n中间件: {{addon_id}}\n\n老年代GC耗时: {{gc_collectors_old_collection_time_in_millis_win_value}}\n\n集群: {{cluster_name}}\n\n机器: {{node_name}}\n\n时间: {{timestamp}}\n\n[查看详情]({{display_url}})\n\n[查看记录]({{record_url}})\n','{\"gc_collectors_old_collection_time_in_millis_win_value\":\"time:ms\"}','1.0','2021-05-28 11:55:07','2021-05-28 11:55:07',1),(6506,'平台中间件elasticsearch GC耗时异常','dice_addon','dice_addon_elasticsearch_gc_time','ticket','alert','【平台中间件elasticsearch GC耗时告警】\n','【平台中间件elasticsearch GC耗时告警】\n\n中间件: {{addon_id}}\n\n老年代GC耗时: {{gc_collectors_old_collection_time_in_millis_win_value}}\n\n集群: {{cluster_name}}\n\n机器: {{node_name}}\n\n时间: {{timestamp}}\n\n[查看详情]({{display_url}})\n\n[查看记录]({{record_url}})\n','{\"gc_collectors_old_collection_time_in_millis_win_value\":\"time:ms\"}','1.0','2021-05-28 11:55:07','2021-05-28 11:55:07',1),(6507,'平台中间件elasticsearch GC耗时异常','dice_addon','dice_addon_elasticsearch_gc_time','email','alert','【平台中间件elasticsearch GC耗时告警】\n','【平台中间件elasticsearch GC耗时告警】\n\n中间件: {{addon_id}}\n\n老年代GC耗时: {{gc_collectors_old_collection_time_in_millis_win_value}}\n\n集群: {{cluster_name}}\n\n机器: {{node_name}}\n\n时间: {{timestamp}}\n\n[查看详情]({{display_url}})\n\n[查看记录]({{record_url}})\n','{\"gc_collectors_old_collection_time_in_millis_win_value\":\"time:ms\"}','1.0','2021-05-28 11:55:07','2021-05-28 11:55:07',1),(6508,'平台中间件elasticsearch GC耗时异常','dice_addon','dice_addon_elasticsearch_gc_time','mbox','alert','【平台中间件elasticsearch GC耗时告警】\n','【平台中间件elasticsearch GC耗时告警】\n\n中间件: {{addon_id}}\n\n老年代GC耗时: {{gc_collectors_old_collection_time_in_millis_win_value}}\n\n集群: {{cluster_name}}\n\n机器: {{node_name}}\n\n时间: {{timestamp}}\n\n[查看详情]({{display_url}})\n\n[查看记录]({{record_url}})\n','{\"gc_collectors_old_collection_time_in_millis_win_value\":\"time:ms\"}','1.0','2021-05-28 11:55:07','2021-05-28 11:55:07',1),(6509,'平台中间件elasticsearch GC耗时异常','dice_addon','dice_addon_elasticsearch_gc_time','webhook','alert','【平台中间件elasticsearch GC耗时告警】\n','【平台中间件elasticsearch GC耗时告警】\n\n中间件: {{addon_id}}\n\n老年代GC耗时: {{gc_collectors_old_collection_time_in_millis_win_value}}\n\n集群: {{cluster_name}}\n\n机器: {{node_name}}\n\n时间: {{timestamp}}\n\n[查看详情]({{display_url}})\n\n[查看记录]({{record_url}})\n','{\"gc_collectors_old_collection_time_in_millis_win_value\":\"time:ms\"}','1.0','2021-05-28 11:55:07','2021-05-28 11:55:07',1),(6510,'平台中间件elasticsearch GC耗时异常','dice_addon','dice_addon_elasticsearch_gc_time','dingding','recover','【平台中间件elasticsearch GC耗时恢复】\n','【平台中间件elasticsearch GC耗时恢复】\n\n中间件: {{addon_id}}\n\n老年代GC耗时: {{gc_collectors_old_collection_time_in_millis_win_value}}\n\n集群: {{cluster_name}}\n\n机器: {{node_name}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','{\"gc_collectors_old_collection_time_in_millis_win_value\":\"time:ms\",\"trigger_duration\":\"time:ms\"}','1.0','2021-05-28 11:55:07','2021-05-28 11:55:07',1),(6511,'平台中间件elasticsearch GC耗时异常','dice_addon','dice_addon_elasticsearch_gc_time','ticket','recover','【平台中间件elasticsearch GC耗时恢复】\n','【平台中间件elasticsearch GC耗时恢复】\n\n中间件: {{addon_id}}\n\n老年代GC耗时: {{gc_collectors_old_collection_time_in_millis_win_value}}\n\n集群: {{cluster_name}}\n\n机器: {{node_name}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','{\"gc_collectors_old_collection_time_in_millis_win_value\":\"time:ms\",\"trigger_duration\":\"time:ms\"}','1.0','2021-05-28 11:55:07','2021-05-28 11:55:07',1),(6512,'平台中间件elasticsearch GC耗时异常','dice_addon','dice_addon_elasticsearch_gc_time','email','recover','【平台中间件elasticsearch GC耗时恢复】\n','【平台中间件elasticsearch GC耗时恢复】\n\n中间件: {{addon_id}}\n\n老年代GC耗时: {{gc_collectors_old_collection_time_in_millis_win_value}}\n\n集群: {{cluster_name}}\n\n机器: {{node_name}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','{\"gc_collectors_old_collection_time_in_millis_win_value\":\"time:ms\",\"trigger_duration\":\"time:ms\"}','1.0','2021-05-28 11:55:07','2021-05-28 11:55:07',1),(6513,'平台中间件elasticsearch GC耗时异常','dice_addon','dice_addon_elasticsearch_gc_time','mbox','recover','【平台中间件elasticsearch GC耗时恢复】\n','【平台中间件elasticsearch GC耗时恢复】\n\n中间件: {{addon_id}}\n\n老年代GC耗时: {{gc_collectors_old_collection_time_in_millis_win_value}}\n\n集群: {{cluster_name}}\n\n机器: {{node_name}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','{\"gc_collectors_old_collection_time_in_millis_win_value\":\"time:ms\",\"trigger_duration\":\"time:ms\"}','1.0','2021-05-28 11:55:07','2021-05-28 11:55:07',1),(6514,'平台中间件elasticsearch GC耗时异常','dice_addon','dice_addon_elasticsearch_gc_time','webhook','recover','【平台中间件elasticsearch GC耗时恢复】\n','【平台中间件elasticsearch GC耗时恢复】\n\n中间件: {{addon_id}}\n\n老年代GC耗时: {{gc_collectors_old_collection_time_in_millis_win_value}}\n\n集群: {{cluster_name}}\n\n机器: {{node_name}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','{\"gc_collectors_old_collection_time_in_millis_win_value\":\"time:ms\",\"trigger_duration\":\"time:ms\"}','1.0','2021-05-28 11:55:07','2021-05-28 11:55:07',1),(6515,'平台中间件Kafka GC次数异常','dice_addon','dice_addon_kafka_gc_count','dingding','alert','【平台中间件Kafka GC次数告警】\n','【平台中间件Kafka GC次数告警】\n\n中间件: {{addon_id}}\n\n老年代GC次数: {{CollectionCount_win_value}}\n\n集群: {{cluster_name}}\n\n集群: {{node_host}}\n\n时间: {{timestamp}}\n\n[查看详情]({{display_url}})\n\n[查看记录]({{record_url}})\n','','1.0','2021-05-28 11:55:07','2021-05-28 11:55:07',1),(6516,'平台中间件Kafka GC次数异常','dice_addon','dice_addon_kafka_gc_count','ticket','alert','【平台中间件Kafka GC次数告警】\n','【平台中间件Kafka GC次数告警】\n\n中间件: {{addon_id}}\n\n老年代GC次数: {{CollectionCount_win_value}}\n\n集群: {{cluster_name}}\n\n集群: {{node_host}}\n\n时间: {{timestamp}}\n\n[查看详情]({{display_url}})\n\n[查看记录]({{record_url}})\n','','1.0','2021-05-28 11:55:07','2021-05-28 11:55:07',1),(6517,'平台中间件Kafka GC次数异常','dice_addon','dice_addon_kafka_gc_count','email','alert','【平台中间件Kafka GC次数告警】\n','【平台中间件Kafka GC次数告警】\n\n中间件: {{addon_id}}\n\n老年代GC次数: {{CollectionCount_win_value}}\n\n集群: {{cluster_name}}\n\n集群: {{node_host}}\n\n时间: {{timestamp}}\n\n[查看详情]({{display_url}})\n\n[查看记录]({{record_url}})\n','','1.0','2021-05-28 11:55:07','2021-05-28 11:55:07',1),(6518,'平台中间件Kafka GC次数异常','dice_addon','dice_addon_kafka_gc_count','mbox','alert','【平台中间件Kafka GC次数告警】\n','【平台中间件Kafka GC次数告警】\n\n中间件: {{addon_id}}\n\n老年代GC次数: {{CollectionCount_win_value}}\n\n集群: {{cluster_name}}\n\n集群: {{node_host}}\n\n时间: {{timestamp}}\n\n[查看详情]({{display_url}})\n\n[查看记录]({{record_url}})\n','','1.0','2021-05-28 11:55:07','2021-05-28 11:55:07',1),(6519,'平台中间件Kafka GC次数异常','dice_addon','dice_addon_kafka_gc_count','webhook','alert','【平台中间件Kafka GC次数告警】\n','【平台中间件Kafka GC次数告警】\n\n中间件: {{addon_id}}\n\n老年代GC次数: {{CollectionCount_win_value}}\n\n集群: {{cluster_name}}\n\n集群: {{node_host}}\n\n时间: {{timestamp}}\n\n[查看详情]({{display_url}})\n\n[查看记录]({{record_url}})\n','','1.0','2021-05-28 11:55:07','2021-05-28 11:55:07',1),(6520,'平台中间件Kafka GC次数异常','dice_addon','dice_addon_kafka_gc_count','dingding','recover','【平台中间件Kafka GC次数恢复】\n','【平台中间件Kafka GC次数恢复】\n\n中间件: {{addon_id}}\n\n老年代GC次数: {{CollectionCount_win_value}}\n\n集群: {{cluster_name}}\n\n机器: {{node_host}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','{\"trigger_duration\":\"time:ms\"}','1.0','2021-05-28 11:55:07','2021-05-28 11:55:07',1),(6521,'平台中间件Kafka GC次数异常','dice_addon','dice_addon_kafka_gc_count','ticket','recover','【平台中间件Kafka GC次数恢复】\n','【平台中间件Kafka GC次数恢复】\n\n中间件: {{addon_id}}\n\n老年代GC次数: {{CollectionCount_win_value}}\n\n集群: {{cluster_name}}\n\n机器: {{node_host}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','{\"trigger_duration\":\"time:ms\"}','1.0','2021-05-28 11:55:07','2021-05-28 11:55:07',1),(6522,'平台中间件Kafka GC次数异常','dice_addon','dice_addon_kafka_gc_count','email','recover','【平台中间件Kafka GC次数恢复】\n','【平台中间件Kafka GC次数恢复】\n\n中间件: {{addon_id}}\n\n老年代GC次数: {{CollectionCount_win_value}}\n\n集群: {{cluster_name}}\n\n机器: {{node_host}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','{\"trigger_duration\":\"time:ms\"}','1.0','2021-05-28 11:55:07','2021-05-28 11:55:07',1),(6523,'平台中间件Kafka GC次数异常','dice_addon','dice_addon_kafka_gc_count','mbox','recover','【平台中间件Kafka GC次数恢复】\n','【平台中间件Kafka GC次数恢复】\n\n中间件: {{addon_id}}\n\n老年代GC次数: {{CollectionCount_win_value}}\n\n集群: {{cluster_name}}\n\n机器: {{node_host}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','{\"trigger_duration\":\"time:ms\"}','1.0','2021-05-28 11:55:07','2021-05-28 11:55:07',1),(6524,'平台中间件Kafka GC次数异常','dice_addon','dice_addon_kafka_gc_count','webhook','recover','【平台中间件Kafka GC次数恢复】\n','【平台中间件Kafka GC次数恢复】\n\n中间件: {{addon_id}}\n\n老年代GC次数: {{CollectionCount_win_value}}\n\n集群: {{cluster_name}}\n\n机器: {{node_host}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','{\"trigger_duration\":\"time:ms\"}','1.0','2021-05-28 11:55:07','2021-05-28 11:55:07',1),(6525,'平台中间件kafka GC耗时异常','dice_addon','dice_addon_kafka_gc_time','dingding','alert','【平台中间件kafka GC耗时告警】\n','【平台中间件kafka GC耗时告警】\n\n中间件: {{addon_id}}\n\n老年代GC耗时: {{CollectionTime_win_value}}\n\n集群: {{cluster_name}}\n\n机器: {{node_host}}\n\n时间: {{timestamp}}\n\n[查看详情]({{display_url}})\n\n[查看记录]({{record_url}})\n','{\"CollectionTime_win_value\":\"time:ms\"}','1.0','2021-05-28 11:55:07','2021-05-28 11:55:07',1),(6526,'平台中间件kafka GC耗时异常','dice_addon','dice_addon_kafka_gc_time','ticket','alert','【平台中间件kafka GC耗时告警】\n','【平台中间件kafka GC耗时告警】\n\n中间件: {{addon_id}}\n\n老年代GC耗时: {{CollectionTime_win_value}}\n\n集群: {{cluster_name}}\n\n机器: {{node_host}}\n\n时间: {{timestamp}}\n\n[查看详情]({{display_url}})\n\n[查看记录]({{record_url}})\n','{\"CollectionTime_win_value\":\"time:ms\"}','1.0','2021-05-28 11:55:07','2021-05-28 11:55:07',1),(6527,'平台中间件kafka GC耗时异常','dice_addon','dice_addon_kafka_gc_time','email','alert','【平台中间件kafka GC耗时告警】\n','【平台中间件kafka GC耗时告警】\n\n中间件: {{addon_id}}\n\n老年代GC耗时: {{CollectionTime_win_value}}\n\n集群: {{cluster_name}}\n\n机器: {{node_host}}\n\n时间: {{timestamp}}\n\n[查看详情]({{display_url}})\n\n[查看记录]({{record_url}})\n','{\"CollectionTime_win_value\":\"time:ms\"}','1.0','2021-05-28 11:55:07','2021-05-28 11:55:07',1),(6528,'平台中间件kafka GC耗时异常','dice_addon','dice_addon_kafka_gc_time','mbox','alert','【平台中间件kafka GC耗时告警】\n','【平台中间件kafka GC耗时告警】\n\n中间件: {{addon_id}}\n\n老年代GC耗时: {{CollectionTime_win_value}}\n\n集群: {{cluster_name}}\n\n机器: {{node_host}}\n\n时间: {{timestamp}}\n\n[查看详情]({{display_url}})\n\n[查看记录]({{record_url}})\n','{\"CollectionTime_win_value\":\"time:ms\"}','1.0','2021-05-28 11:55:07','2021-05-28 11:55:07',1),(6529,'平台中间件kafka GC耗时异常','dice_addon','dice_addon_kafka_gc_time','webhook','alert','【平台中间件kafka GC耗时告警】\n','【平台中间件kafka GC耗时告警】\n\n中间件: {{addon_id}}\n\n老年代GC耗时: {{CollectionTime_win_value}}\n\n集群: {{cluster_name}}\n\n机器: {{node_host}}\n\n时间: {{timestamp}}\n\n[查看详情]({{display_url}})\n\n[查看记录]({{record_url}})\n','{\"CollectionTime_win_value\":\"time:ms\"}','1.0','2021-05-28 11:55:07','2021-05-28 11:55:07',1),(6530,'平台中间件kafka GC耗时异常','dice_addon','dice_addon_kafka_gc_time','dingding','recover','【平台中间件kafka GC耗时恢复】\n','【平台中间件kafka GC耗时恢复】\n\n中间件: {{addon_id}}\n\n老年代GC耗时: {{CollectionTime_win_value}}\n\n集群: {{cluster_name}}\n\n机器: {{node_host}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','{\"CollectionTime_win_value\":\"time:ms\",\"trigger_duration\":\"time:ms\"}','1.0','2021-05-28 11:55:07','2021-05-28 11:55:07',1),(6531,'平台中间件kafka GC耗时异常','dice_addon','dice_addon_kafka_gc_time','ticket','recover','【平台中间件kafka GC耗时恢复】\n','【平台中间件kafka GC耗时恢复】\n\n中间件: {{addon_id}}\n\n老年代GC耗时: {{CollectionTime_win_value}}\n\n集群: {{cluster_name}}\n\n机器: {{node_host}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','{\"CollectionTime_win_value\":\"time:ms\",\"trigger_duration\":\"time:ms\"}','1.0','2021-05-28 11:55:07','2021-05-28 11:55:07',1),(6532,'平台中间件kafka GC耗时异常','dice_addon','dice_addon_kafka_gc_time','email','recover','【平台中间件kafka GC耗时恢复】\n','【平台中间件kafka GC耗时恢复】\n\n中间件: {{addon_id}}\n\n老年代GC耗时: {{CollectionTime_win_value}}\n\n集群: {{cluster_name}}\n\n机器: {{node_host}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','{\"CollectionTime_win_value\":\"time:ms\",\"trigger_duration\":\"time:ms\"}','1.0','2021-05-28 11:55:07','2021-05-28 11:55:07',1),(6533,'平台中间件kafka GC耗时异常','dice_addon','dice_addon_kafka_gc_time','mbox','recover','【平台中间件kafka GC耗时恢复】\n','【平台中间件kafka GC耗时恢复】\n\n中间件: {{addon_id}}\n\n老年代GC耗时: {{CollectionTime_win_value}}\n\n集群: {{cluster_name}}\n\n机器: {{node_host}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','{\"CollectionTime_win_value\":\"time:ms\",\"trigger_duration\":\"time:ms\"}','1.0','2021-05-28 11:55:07','2021-05-28 11:55:07',1),(6534,'平台中间件kafka GC耗时异常','dice_addon','dice_addon_kafka_gc_time','webhook','recover','【平台中间件kafka GC耗时恢复】\n','【平台中间件kafka GC耗时恢复】\n\n中间件: {{addon_id}}\n\n老年代GC耗时: {{CollectionTime_win_value}}\n\n集群: {{cluster_name}}\n\n机器: {{node_host}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','{\"CollectionTime_win_value\":\"time:ms\",\"trigger_duration\":\"time:ms\"}','1.0','2021-05-28 11:55:07','2021-05-28 11:55:07',1),(6535,'平台中间件kafka消费堆积','dice_addon','dice_addon_kafka_lag','dingding','alert','【平台中间件kafka消费堆积告警】\n','【平台中间件kafka消费堆积告警】\n\n中间件: {{addon_id}}\n\n消费者组: {{group}}\n\nTopic: {{topic}}\n\n当前消息堆积: {{lag_avg}}\n\n消费速度: {{consume_rate_per_sec_avg}} /s\n\n生产速度: {{produce_rate_per_sec_avg}} /s\n\n集群: {{cluster_name}}\n\n时间: {{timestamp}}\n\n[查看详情]({{display_url}})\n\n[查看记录]({{record_url}})\n','','1.0','2021-05-28 11:55:07','2021-05-28 11:55:07',1),(6536,'平台中间件kafka消费堆积','dice_addon','dice_addon_kafka_lag','ticket','alert','【平台中间件kafka消费堆积告警】\n','【平台中间件kafka消费堆积告警】\n\n中间件: {{addon_id}}\n\n消费者组: {{group}}\n\nTopic: {{topic}}\n\n当前消息堆积: {{lag_avg}}\n\n消费速度: {{consume_rate_per_sec_avg}} /s\n\n生产速度: {{produce_rate_per_sec_avg}} /s\n\n集群: {{cluster_name}}\n\n时间: {{timestamp}}\n\n[查看详情]({{display_url}})\n\n[查看记录]({{record_url}})\n','','1.0','2021-05-28 11:55:07','2021-05-28 11:55:07',1),(6537,'平台中间件kafka消费堆积','dice_addon','dice_addon_kafka_lag','email','alert','【平台中间件kafka消费堆积告警】\n','【平台中间件kafka消费堆积告警】\n\n中间件: {{addon_id}}\n\n消费者组: {{group}}\n\nTopic: {{topic}}\n\n当前消息堆积: {{lag_avg}}\n\n消费速度: {{consume_rate_per_sec_avg}} /s\n\n生产速度: {{produce_rate_per_sec_avg}} /s\n\n集群: {{cluster_name}}\n\n时间: {{timestamp}}\n\n[查看详情]({{display_url}})\n\n[查看记录]({{record_url}})\n','','1.0','2021-05-28 11:55:07','2021-05-28 11:55:07',1),(6538,'平台中间件kafka消费堆积','dice_addon','dice_addon_kafka_lag','mbox','alert','【平台中间件kafka消费堆积告警】\n','【平台中间件kafka消费堆积告警】\n\n中间件: {{addon_id}}\n\n消费者组: {{group}}\n\nTopic: {{topic}}\n\n当前消息堆积: {{lag_avg}}\n\n消费速度: {{consume_rate_per_sec_avg}} /s\n\n生产速度: {{produce_rate_per_sec_avg}} /s\n\n集群: {{cluster_name}}\n\n时间: {{timestamp}}\n\n[查看详情]({{display_url}})\n\n[查看记录]({{record_url}})\n','','1.0','2021-05-28 11:55:07','2021-05-28 11:55:07',1),(6539,'平台中间件kafka消费堆积','dice_addon','dice_addon_kafka_lag','webhook','alert','【平台中间件kafka消费堆积告警】\n','【平台中间件kafka消费堆积告警】\n\n中间件: {{addon_id}}\n\n消费者组: {{group}}\n\nTopic: {{topic}}\n\n当前消息堆积: {{lag_avg}}\n\n消费速度: {{consume_rate_per_sec_avg}} /s\n\n生产速度: {{produce_rate_per_sec_avg}} /s\n\n集群: {{cluster_name}}\n\n时间: {{timestamp}}\n\n[查看详情]({{display_url}})\n\n[查看记录]({{record_url}})\n','','1.0','2021-05-28 11:55:07','2021-05-28 11:55:07',1),(6540,'平台中间件kafka消费堆积','dice_addon','dice_addon_kafka_lag','dingding','recover','【平台中间件kafka消费堆积恢复】\n','【平台中间件kafka消费堆积恢复】\n\n中间件: {{addon_id}}\n\n消费者组: {{group}}\n\nTopic: {{topic}}\n\n当前消息堆积: {{lag_avg}}\n\n集群: {{cluster_name}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','{\"trigger_duration\":\"time:ms\"}','1.0','2021-05-28 11:55:07','2021-05-28 11:55:07',1),(6541,'平台中间件kafka消费堆积','dice_addon','dice_addon_kafka_lag','ticket','recover','【平台中间件kafka消费堆积恢复】\n','【平台中间件kafka消费堆积恢复】\n\n中间件: {{addon_id}}\n\n消费者组: {{group}}\n\nTopic: {{topic}}\n\n当前消息堆积: {{lag_avg}}\n\n集群: {{cluster_name}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','{\"trigger_duration\":\"time:ms\"}','1.0','2021-05-28 11:55:07','2021-05-28 11:55:07',1),(6542,'平台中间件kafka消费堆积','dice_addon','dice_addon_kafka_lag','email','recover','【平台中间件kafka消费堆积恢复】\n','【平台中间件kafka消费堆积恢复】\n\n中间件: {{addon_id}}\n\n消费者组: {{group}}\n\nTopic: {{topic}}\n\n当前消息堆积: {{lag_avg}}\n\n集群: {{cluster_name}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','{\"trigger_duration\":\"time:ms\"}','1.0','2021-05-28 11:55:07','2021-05-28 11:55:07',1),(6543,'平台中间件kafka消费堆积','dice_addon','dice_addon_kafka_lag','mbox','recover','【平台中间件kafka消费堆积恢复】\n','【平台中间件kafka消费堆积恢复】\n\n中间件: {{addon_id}}\n\n消费者组: {{group}}\n\nTopic: {{topic}}\n\n当前消息堆积: {{lag_avg}}\n\n集群: {{cluster_name}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','{\"trigger_duration\":\"time:ms\"}','1.0','2021-05-28 11:55:07','2021-05-28 11:55:07',1),(6544,'平台中间件kafka消费堆积','dice_addon','dice_addon_kafka_lag','webhook','recover','【平台中间件kafka消费堆积恢复】\n','【平台中间件kafka消费堆积恢复】\n\n中间件: {{addon_id}}\n\n消费者组: {{group}}\n\nTopic: {{topic}}\n\n当前消息堆积: {{lag_avg}}\n\n集群: {{cluster_name}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','{\"trigger_duration\":\"time:ms\"}','1.0','2021-05-28 11:55:07','2021-05-28 11:55:07',1),(6545,'平台组件实例CPU异常','dice_component','dice_component_container_cpu','dingding','alert','【平台组件{{component_name}} CPU使用率告警】\n','【平台组件CPU使用率告警】\n\n组件: {{component_name}}\n\n使用率: {{cpu_usage_percent_avg}}\n\n限制: {{cpu_limit_value}}核\n\n分配: {{cpu_allocation_value}}核\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n容器ID: {{container_id}}\n\n时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','{\"cpu_allocation_value\":\"fraction:2\",\"cpu_limit_value\":\"fraction:2\",\"cpu_usage_percent_avg\":\"percent:2\"}','1.0','2021-05-28 11:55:07','2021-05-28 11:55:07',1),(6546,'平台组件实例CPU异常','dice_component','dice_component_container_cpu','ticket','alert','【平台组件{{component_name}} CPU使用率告警】\n','【平台组件CPU使用率告警】\n\n组件: {{component_name}}\n\n使用率: {{cpu_usage_percent_avg}}\n\n限制: {{cpu_limit_value}}核\n\n分配: {{cpu_allocation_value}}核\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n容器ID: {{container_id}}\n\n时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','{\"cpu_allocation_value\":\"fraction:2\",\"cpu_limit_value\":\"fraction:2\",\"cpu_usage_percent_avg\":\"percent:2\"}','1.0','2021-05-28 11:55:07','2021-05-28 11:55:07',1),(6547,'平台组件实例CPU异常','dice_component','dice_component_container_cpu','email','alert','【平台组件{{component_name}} CPU使用率告警】\n','【平台组件CPU使用率告警】\n\n组件: {{component_name}}\n\n使用率: {{cpu_usage_percent_avg}}\n\n限制: {{cpu_limit_value}}核\n\n分配: {{cpu_allocation_value}}核\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n容器ID: {{container_id}}\n\n时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','{\"cpu_allocation_value\":\"fraction:2\",\"cpu_limit_value\":\"fraction:2\",\"cpu_usage_percent_avg\":\"percent:2\"}','1.0','2021-05-28 11:55:07','2021-05-28 11:55:07',1),(6548,'平台组件实例CPU异常','dice_component','dice_component_container_cpu','mbox','alert','【平台组件{{component_name}} CPU使用率告警】\n','【平台组件CPU使用率告警】\n\n组件: {{component_name}}\n\n使用率: {{cpu_usage_percent_avg}}\n\n限制: {{cpu_limit_value}}核\n\n分配: {{cpu_allocation_value}}核\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n容器ID: {{container_id}}\n\n时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','{\"cpu_allocation_value\":\"fraction:2\",\"cpu_limit_value\":\"fraction:2\",\"cpu_usage_percent_avg\":\"percent:2\"}','1.0','2021-05-28 11:55:07','2021-05-28 11:55:07',1),(6549,'平台组件实例CPU异常','dice_component','dice_component_container_cpu','webhook','alert','【平台组件{{component_name}} CPU使用率告警】\n','【平台组件CPU使用率告警】\n\n组件: {{component_name}}\n\n使用率: {{cpu_usage_percent_avg}}\n\n限制: {{cpu_limit_value}}核\n\n分配: {{cpu_allocation_value}}核\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n容器ID: {{container_id}}\n\n时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','{\"cpu_allocation_value\":\"fraction:2\",\"cpu_limit_value\":\"fraction:2\",\"cpu_usage_percent_avg\":\"percent:2\"}','1.0','2021-05-28 11:55:07','2021-05-28 11:55:07',1),(6550,'平台组件实例CPU异常','dice_component','dice_component_container_cpu','dingding','recover','【平台组件{{component_name}} CPU使用率恢复】\n','【平台组件CPU使用率恢复】\n\n组件: {{component_name}}\n\n使用率: {{cpu_usage_percent_avg}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n容器ID: {{container_id}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','{\"cpu_usage_percent_avg\":\"percent:2\",\"trigger_duration\":\"time:ms\"}','1.0','2021-05-28 11:55:07','2021-05-28 11:55:07',1),(6551,'平台组件实例CPU异常','dice_component','dice_component_container_cpu','ticket','recover','【平台组件{{component_name}} CPU使用率恢复】\n','【平台组件CPU使用率恢复】\n\n组件: {{component_name}}\n\n使用率: {{cpu_usage_percent_avg}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n容器ID: {{container_id}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','{\"cpu_usage_percent_avg\":\"percent:2\",\"trigger_duration\":\"time:ms\"}','1.0','2021-05-28 11:55:07','2021-05-28 11:55:07',1),(6552,'平台组件实例CPU异常','dice_component','dice_component_container_cpu','email','recover','【平台组件{{component_name}} CPU使用率恢复】\n','【平台组件CPU使用率恢复】\n\n组件: {{component_name}}\n\n使用率: {{cpu_usage_percent_avg}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n容器ID: {{container_id}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','{\"cpu_usage_percent_avg\":\"percent:2\",\"trigger_duration\":\"time:ms\"}','1.0','2021-05-28 11:55:07','2021-05-28 11:55:07',1),(6553,'平台组件实例CPU异常','dice_component','dice_component_container_cpu','mbox','recover','【平台组件{{component_name}} CPU使用率恢复】\n','【平台组件CPU使用率恢复】\n\n组件: {{component_name}}\n\n使用率: {{cpu_usage_percent_avg}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n容器ID: {{container_id}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','{\"cpu_usage_percent_avg\":\"percent:2\",\"trigger_duration\":\"time:ms\"}','1.0','2021-05-28 11:55:07','2021-05-28 11:55:07',1),(6554,'平台组件实例CPU异常','dice_component','dice_component_container_cpu','webhook','recover','【平台组件{{component_name}} CPU使用率恢复】\n','【平台组件CPU使用率恢复】\n\n组件: {{component_name}}\n\n使用率: {{cpu_usage_percent_avg}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n容器ID: {{container_id}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','{\"cpu_usage_percent_avg\":\"percent:2\",\"trigger_duration\":\"time:ms\"}','1.0','2021-05-28 11:55:07','2021-05-28 11:55:07',1),(6555,'平台组件异常退出','dice_component','dice_component_container_exit','dingding','alert','【平台组件{{component_name}}异常退出告警】\n','【平台组件异常退出告警】\n\n组件: {{component_name}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n启动时间: {{started_at_value}}\n\n退出时间: {{finished_at_value}}\n\n退出原因: {{terminated_reason_value}}\n\n时间: {{timestamp}}\n\n[查看详情]({{display_url}})\n\n[查看记录]({{record_url}})\n','{\"finished_at_value\":\"date\",\"started_at_value\":\"date\"}','1.0','2021-05-28 11:55:07','2021-05-28 11:55:07',1),(6556,'平台组件异常退出','dice_component','dice_component_container_exit','ticket','alert','【平台组件{{component_name}}异常退出告警】\n','【平台组件异常退出告警】\n\n组件: {{component_name}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n启动时间: {{started_at_value}}\n\n退出时间: {{finished_at_value}}\n\n退出原因: {{terminated_reason_value}}\n\n时间: {{timestamp}}\n\n[查看详情]({{display_url}})\n\n[查看记录]({{record_url}})\n','{\"finished_at_value\":\"date\",\"started_at_value\":\"date\"}','1.0','2021-05-28 11:55:07','2021-05-28 11:55:07',1),(6557,'平台组件异常退出','dice_component','dice_component_container_exit','email','alert','【平台组件{{component_name}}异常退出告警】\n','【平台组件异常退出告警】\n\n组件: {{component_name}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n启动时间: {{started_at_value}}\n\n退出时间: {{finished_at_value}}\n\n退出原因: {{terminated_reason_value}}\n\n时间: {{timestamp}}\n\n[查看详情]({{display_url}})\n\n[查看记录]({{record_url}})\n','{\"finished_at_value\":\"date\",\"started_at_value\":\"date\"}','1.0','2021-05-28 11:55:07','2021-05-28 11:55:07',1),(6558,'平台组件异常退出','dice_component','dice_component_container_exit','mbox','alert','【平台组件{{component_name}}异常退出告警】\n','【平台组件异常退出告警】\n\n组件: {{component_name}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n启动时间: {{started_at_value}}\n\n退出时间: {{finished_at_value}}\n\n退出原因: {{terminated_reason_value}}\n\n时间: {{timestamp}}\n\n[查看详情]({{display_url}})\n\n[查看记录]({{record_url}})\n','{\"finished_at_value\":\"date\",\"started_at_value\":\"date\"}','1.0','2021-05-28 11:55:07','2021-05-28 11:55:07',1),(6559,'平台组件异常退出','dice_component','dice_component_container_exit','webhook','alert','【平台组件{{component_name}}异常退出告警】\n','【平台组件异常退出告警】\n\n组件: {{component_name}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n启动时间: {{started_at_value}}\n\n退出时间: {{finished_at_value}}\n\n退出原因: {{terminated_reason_value}}\n\n时间: {{timestamp}}\n\n[查看详情]({{display_url}})\n\n[查看记录]({{record_url}})\n','{\"finished_at_value\":\"date\",\"started_at_value\":\"date\"}','1.0','2021-05-28 11:55:07','2021-05-28 11:55:07',1),(6560,'平台组件异常退出','dice_component','dice_component_container_exit','dingding','recover','【平台组件{{component_name}}异常退出恢复】\n','【平台组件异常退出恢复】\n\n组件: {{component_name}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','{\"trigger_duration\":\"time:ms\"}','1.0','2021-05-28 11:55:07','2021-05-28 11:55:07',1),(6561,'平台组件异常退出','dice_component','dice_component_container_exit','ticket','recover','【平台组件{{component_name}}异常退出恢复】\n','【平台组件异常退出恢复】\n\n组件: {{component_name}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','{\"trigger_duration\":\"time:ms\"}','1.0','2021-05-28 11:55:07','2021-05-28 11:55:07',1),(6562,'平台组件异常退出','dice_component','dice_component_container_exit','email','recover','【平台组件{{component_name}}异常退出恢复】\n','【平台组件异常退出恢复】\n\n组件: {{component_name}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','{\"trigger_duration\":\"time:ms\"}','1.0','2021-05-28 11:55:07','2021-05-28 11:55:07',1),(6563,'平台组件异常退出','dice_component','dice_component_container_exit','mbox','recover','【平台组件{{component_name}}异常退出恢复】\n','【平台组件异常退出恢复】\n\n组件: {{component_name}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','{\"trigger_duration\":\"time:ms\"}','1.0','2021-05-28 11:55:07','2021-05-28 11:55:07',1),(6564,'平台组件异常退出','dice_component','dice_component_container_exit','webhook','recover','【平台组件{{component_name}}异常退出恢复】\n','【平台组件异常退出恢复】\n\n组件: {{component_name}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','{\"trigger_duration\":\"time:ms\"}','1.0','2021-05-28 11:55:07','2021-05-28 11:55:07',1),(6565,'平台组件实例内存异常','dice_component','dice_component_container_mem','dingding','alert','【平台组件{{component_name}}内存使用率告警】\n','【平台组件内存使用率告警】\n\n组件: {{component_name}}\n\n使用率: {{mem_usage_percent_avg}}\n\n使用: {{mem_usage_value}}\n\n限制: {{mem_limit_value}}\n\n分配: {{mem_allocation_value}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n容器ID: {{container_id}}\n\n时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','{\"mem_allocation_value\":\"size:byte\",\"mem_limit_value\":\"size:byte\",\"mem_usage_percent_avg\":\"percent:2\",\"mem_usage_value\":\"size:byte\"}','1.0','2021-05-28 11:55:07','2021-05-28 11:55:07',1),(6566,'平台组件实例内存异常','dice_component','dice_component_container_mem','ticket','alert','【平台组件{{component_name}}内存使用率告警】\n','【平台组件内存使用率告警】\n\n组件: {{component_name}}\n\n使用率: {{mem_usage_percent_avg}}\n\n使用: {{mem_usage_value}}\n\n限制: {{mem_limit_value}}\n\n分配: {{mem_allocation_value}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n容器ID: {{container_id}}\n\n时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','{\"mem_allocation_value\":\"size:byte\",\"mem_limit_value\":\"size:byte\",\"mem_usage_percent_avg\":\"percent:2\",\"mem_usage_value\":\"size:byte\"}','1.0','2021-05-28 11:55:07','2021-05-28 11:55:07',1),(6567,'平台组件实例内存异常','dice_component','dice_component_container_mem','email','alert','【平台组件{{component_name}}内存使用率告警】\n','【平台组件内存使用率告警】\n\n组件: {{component_name}}\n\n使用率: {{mem_usage_percent_avg}}\n\n使用: {{mem_usage_value}}\n\n限制: {{mem_limit_value}}\n\n分配: {{mem_allocation_value}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n容器ID: {{container_id}}\n\n时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','{\"mem_allocation_value\":\"size:byte\",\"mem_limit_value\":\"size:byte\",\"mem_usage_percent_avg\":\"percent:2\",\"mem_usage_value\":\"size:byte\"}','1.0','2021-05-28 11:55:07','2021-05-28 11:55:07',1),(6568,'平台组件实例内存异常','dice_component','dice_component_container_mem','mbox','alert','【平台组件{{component_name}}内存使用率告警】\n','【平台组件内存使用率告警】\n\n组件: {{component_name}}\n\n使用率: {{mem_usage_percent_avg}}\n\n使用: {{mem_usage_value}}\n\n限制: {{mem_limit_value}}\n\n分配: {{mem_allocation_value}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n容器ID: {{container_id}}\n\n时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','{\"mem_allocation_value\":\"size:byte\",\"mem_limit_value\":\"size:byte\",\"mem_usage_percent_avg\":\"percent:2\",\"mem_usage_value\":\"size:byte\"}','1.0','2021-05-28 11:55:07','2021-05-28 11:55:07',1),(6569,'平台组件实例内存异常','dice_component','dice_component_container_mem','webhook','alert','【平台组件{{component_name}}内存使用率告警】\n','【平台组件内存使用率告警】\n\n组件: {{component_name}}\n\n使用率: {{mem_usage_percent_avg}}\n\n使用: {{mem_usage_value}}\n\n限制: {{mem_limit_value}}\n\n分配: {{mem_allocation_value}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n容器ID: {{container_id}}\n\n时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','{\"mem_allocation_value\":\"size:byte\",\"mem_limit_value\":\"size:byte\",\"mem_usage_percent_avg\":\"percent:2\",\"mem_usage_value\":\"size:byte\"}','1.0','2021-05-28 11:55:07','2021-05-28 11:55:07',1),(6570,'平台组件实例内存异常','dice_component','dice_component_container_mem','dingding','recover','【平台组件{{component_name}}内存使用率恢复】\n','【平台组件内存使用率恢复】\n\n组件: {{component_name}}\n\n使用率: {{mem_usage_percent_avg}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n容器ID: {{container_id}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','{\"trigger_duration\":\"time:ms\",\"usage_percent_avg\":\"percent:2\"}','1.0','2021-05-28 11:55:07','2021-05-28 11:55:07',1),(6571,'平台组件实例内存异常','dice_component','dice_component_container_mem','ticket','recover','【平台组件{{component_name}}内存使用率恢复】\n','【平台组件内存使用率恢复】\n\n组件: {{component_name}}\n\n使用率: {{mem_usage_percent_avg}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n容器ID: {{container_id}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','{\"trigger_duration\":\"time:ms\",\"usage_percent_avg\":\"percent:2\"}','1.0','2021-05-28 11:55:07','2021-05-28 11:55:07',1),(6572,'平台组件实例内存异常','dice_component','dice_component_container_mem','email','recover','【平台组件{{component_name}}内存使用率恢复】\n','【平台组件内存使用率恢复】\n\n组件: {{component_name}}\n\n使用率: {{mem_usage_percent_avg}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n容器ID: {{container_id}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','{\"trigger_duration\":\"time:ms\",\"usage_percent_avg\":\"percent:2\"}','1.0','2021-05-28 11:55:07','2021-05-28 11:55:07',1),(6573,'平台组件实例内存异常','dice_component','dice_component_container_mem','mbox','recover','【平台组件{{component_name}}内存使用率恢复】\n','【平台组件内存使用率恢复】\n\n组件: {{component_name}}\n\n使用率: {{mem_usage_percent_avg}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n容器ID: {{container_id}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','{\"trigger_duration\":\"time:ms\",\"usage_percent_avg\":\"percent:2\"}','1.0','2021-05-28 11:55:07','2021-05-28 11:55:07',1),(6574,'平台组件实例内存异常','dice_component','dice_component_container_mem','webhook','recover','【平台组件{{component_name}}内存使用率恢复】\n','【平台组件内存使用率恢复】\n\n组件: {{component_name}}\n\n使用率: {{mem_usage_percent_avg}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n容器ID: {{container_id}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','{\"trigger_duration\":\"time:ms\",\"usage_percent_avg\":\"percent:2\"}','1.0','2021-05-28 11:55:07','2021-05-28 11:55:07',1),(6575,'平台组件实例Ready状态异常','dice_component','dice_component_container_ready','dingding','alert','【平台组件{{resource_name_value}} Ready状态异常告警】\n','【平台组件Ready状态异常告警】\n\n组件: {{resource_name_value}}\n\n不可用实例: {{not_ready_value}}\n\n期望实例: {{total_value}}\n\n集群: {{cluster_name}}\n\n时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','','1.0','2021-05-28 11:55:07','2021-05-28 11:55:07',1),(6576,'平台组件实例Ready状态异常','dice_component','dice_component_container_ready','ticket','alert','【平台组件{{resource_name_value}} Ready状态异常告警】\n','【平台组件Ready状态异常告警】\n\n组件: {{resource_name_value}}\n\n不可用实例: {{not_ready_value}}\n\n期望实例: {{total_value}}\n\n集群: {{cluster_name}}\n\n时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','','1.0','2021-05-28 11:55:07','2021-05-28 11:55:07',1),(6577,'平台组件实例Ready状态异常','dice_component','dice_component_container_ready','email','alert','【平台组件{{resource_name_value}} Ready状态异常告警】\n','【平台组件Ready状态异常告警】\n\n组件: {{resource_name_value}}\n\n不可用实例: {{not_ready_value}}\n\n期望实例: {{total_value}}\n\n集群: {{cluster_name}}\n\n时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','','1.0','2021-05-28 11:55:07','2021-05-28 11:55:07',1),(6578,'平台组件实例Ready状态异常','dice_component','dice_component_container_ready','mbox','alert','【平台组件{{resource_name_value}} Ready状态异常告警】\n','【平台组件Ready状态异常告警】\n\n组件: {{resource_name_value}}\n\n不可用实例: {{not_ready_value}}\n\n期望实例: {{total_value}}\n\n集群: {{cluster_name}}\n\n时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','','1.0','2021-05-28 11:55:07','2021-05-28 11:55:07',1),(6579,'平台组件实例Ready状态异常','dice_component','dice_component_container_ready','webhook','alert','【平台组件{{resource_name_value}} Ready状态异常告警】\n','【平台组件Ready状态异常告警】\n\n组件: {{resource_name_value}}\n\n不可用实例: {{not_ready_value}}\n\n期望实例: {{total_value}}\n\n集群: {{cluster_name}}\n\n时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','','1.0','2021-05-28 11:55:07','2021-05-28 11:55:07',1),(6580,'平台组件实例Ready状态异常','dice_component','dice_component_container_ready','dingding','recover','【平台组件{{resource_name_value}} Ready状态异常恢复】\n','【平台组件Ready状态异常恢复】\n\n组件: {{resource_name_value}}\n\n可用实例: {{ready_value}}\n\n期望实例: {{total_value}}\n\n集群: {{cluster_name}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','{\"trigger_duration\":\"time:ms\"}','1.0','2021-05-28 11:55:07','2021-05-28 11:55:07',1),(6581,'平台组件实例Ready状态异常','dice_component','dice_component_container_ready','ticket','recover','【平台组件{{resource_name_value}} Ready状态异常恢复】\n','【平台组件Ready状态异常恢复】\n\n组件: {{resource_name_value}}\n\n可用实例: {{ready_value}}\n\n期望实例: {{total_value}}\n\n集群: {{cluster_name}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','{\"trigger_duration\":\"time:ms\"}','1.0','2021-05-28 11:55:07','2021-05-28 11:55:07',1),(6582,'平台组件实例Ready状态异常','dice_component','dice_component_container_ready','email','recover','【平台组件{{resource_name_value}} Ready状态异常恢复】\n','【平台组件Ready状态异常恢复】\n\n组件: {{resource_name_value}}\n\n可用实例: {{ready_value}}\n\n期望实例: {{total_value}}\n\n集群: {{cluster_name}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','{\"trigger_duration\":\"time:ms\"}','1.0','2021-05-28 11:55:07','2021-05-28 11:55:07',1),(6583,'平台组件实例Ready状态异常','dice_component','dice_component_container_ready','mbox','recover','【平台组件{{resource_name_value}} Ready状态异常恢复】\n','【平台组件Ready状态异常恢复】\n\n组件: {{resource_name_value}}\n\n可用实例: {{ready_value}}\n\n期望实例: {{total_value}}\n\n集群: {{cluster_name}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','{\"trigger_duration\":\"time:ms\"}','1.0','2021-05-28 11:55:07','2021-05-28 11:55:07',1),(6584,'平台组件实例Ready状态异常','dice_component','dice_component_container_ready','webhook','recover','【平台组件{{resource_name_value}} Ready状态异常恢复】\n','【平台组件Ready状态异常恢复】\n\n组件: {{resource_name_value}}\n\n可用实例: {{ready_value}}\n\n期望实例: {{total_value}}\n\n集群: {{cluster_name}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','{\"trigger_duration\":\"time:ms\"}','1.0','2021-05-28 11:55:07','2021-05-28 11:55:07',1),(6585,'平台组件Flink任务checkpoint延迟异常告警','dice_component','dice_component_flink_checkpoint_duration','dingding','alert','【平台组件Flink任务checkpoint延迟异常告警】\n','【平台组件Flink任务checkpoint延迟异常告警】\n\n延迟: {{lastCheckpointDuration_value}}ms\n\n任务ID： {{job_id}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','{}','1.0','2021-05-28 11:55:07','2021-05-28 11:55:07',1),(6586,'平台组件Flink任务checkpoint延迟异常告警','dice_component','dice_component_flink_checkpoint_duration','ticket','alert','【平台组件Flink任务checkpoint延迟异常告警】\n','【平台组件Flink任务checkpoint延迟异常告警】\n\n延迟: {{lastCheckpointDuration_value}}ms\n\n任务ID： {{job_id}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','{}','1.0','2021-05-28 11:55:07','2021-05-28 11:55:07',1),(6587,'平台组件Flink任务checkpoint延迟异常告警','dice_component','dice_component_flink_checkpoint_duration','email','alert','【平台组件Flink任务checkpoint延迟异常告警】\n','【平台组件Flink任务checkpoint延迟异常告警】\n\n延迟: {{lastCheckpointDuration_value}}ms\n\n任务ID： {{job_id}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','{}','1.0','2021-05-28 11:55:07','2021-05-28 11:55:07',1),(6588,'平台组件Flink任务checkpoint延迟异常告警','dice_component','dice_component_flink_checkpoint_duration','mbox','alert','【平台组件Flink任务checkpoint延迟异常告警】\n','【平台组件Flink任务checkpoint延迟异常告警】\n\n延迟: {{lastCheckpointDuration_value}}ms\n\n任务ID： {{job_id}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','{}','1.0','2021-05-28 11:55:07','2021-05-28 11:55:07',1),(6589,'平台组件Flink任务checkpoint延迟异常告警','dice_component','dice_component_flink_checkpoint_duration','webhook','alert','【平台组件Flink任务checkpoint延迟异常告警】\n','【平台组件Flink任务checkpoint延迟异常告警】\n\n延迟: {{lastCheckpointDuration_value}}ms\n\n任务ID： {{job_id}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','{}','1.0','2021-05-28 11:55:07','2021-05-28 11:55:07',1),(6590,'平台组件Flink吞吐量异常告警','dice_component','dice_component_flink_throughput','dingding','alert','【平台组件Flink吞吐量异常告警】\n','【平台组件Flink吞吐量异常告警】\n\noperator每秒输出量: {{numRecordsOutPerSecond_count_value}}\n\n任务ID： {{job_id}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','{}','1.0','2021-05-28 11:55:07','2021-05-28 11:55:07',1),(6591,'平台组件Flink吞吐量异常告警','dice_component','dice_component_flink_throughput','ticket','alert','【平台组件Flink吞吐量异常告警】\n','【平台组件Flink吞吐量异常告警】\n\noperator每秒输出量: {{numRecordsOutPerSecond_count_value}}\n\n任务ID： {{job_id}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','{}','1.0','2021-05-28 11:55:07','2021-05-28 11:55:07',1),(6592,'平台组件Flink吞吐量异常告警','dice_component','dice_component_flink_throughput','email','alert','【平台组件Flink吞吐量异常告警】\n','【平台组件Flink吞吐量异常告警】\n\noperator每秒输出量: {{numRecordsOutPerSecond_count_value}}\n\n任务ID： {{job_id}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','{}','1.0','2021-05-28 11:55:07','2021-05-28 11:55:07',1),(6593,'平台组件Flink吞吐量异常告警','dice_component','dice_component_flink_throughput','mbox','alert','【平台组件Flink吞吐量异常告警】\n','【平台组件Flink吞吐量异常告警】\n\noperator每秒输出量: {{numRecordsOutPerSecond_count_value}}\n\n任务ID： {{job_id}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','{}','1.0','2021-05-28 11:55:07','2021-05-28 11:55:07',1),(6594,'平台组件Flink吞吐量异常告警','dice_component','dice_component_flink_throughput','webhook','alert','【平台组件Flink吞吐量异常告警】\n','【平台组件Flink吞吐量异常告警】\n\noperator每秒输出量: {{numRecordsOutPerSecond_count_value}}\n\n任务ID： {{job_id}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','{}','1.0','2021-05-28 11:55:07','2021-05-28 11:55:07',1),(6595,'平台组件网盘不可用告警','dice_component','dice_component_gfs_status','dingding','alert','【平台组件网盘疑似不可用告警】\n','【平台组件网盘疑似不可用告警】\n\n组件: {{component_name}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','{}','1.0','2021-05-28 11:55:07','2021-05-28 11:55:07',1),(6596,'平台组件网盘不可用告警','dice_component','dice_component_gfs_status','ticket','alert','【平台组件网盘疑似不可用告警】\n','【平台组件网盘疑似不可用告警】\n\n组件: {{component_name}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','{}','1.0','2021-05-28 11:55:07','2021-05-28 11:55:07',1),(6597,'平台组件网盘不可用告警','dice_component','dice_component_gfs_status','email','alert','【平台组件网盘疑似不可用告警】\n','【平台组件网盘疑似不可用告警】\n\n组件: {{component_name}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','{}','1.0','2021-05-28 11:55:07','2021-05-28 11:55:07',1),(6598,'平台组件网盘不可用告警','dice_component','dice_component_gfs_status','mbox','alert','【平台组件网盘疑似不可用告警】\n','【平台组件网盘疑似不可用告警】\n\n组件: {{component_name}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','{}','1.0','2021-05-28 11:55:07','2021-05-28 11:55:07',1),(6599,'平台组件网盘不可用告警','dice_component','dice_component_gfs_status','webhook','alert','【平台组件网盘疑似不可用告警】\n','【平台组件网盘疑似不可用告警】\n\n组件: {{component_name}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','{}','1.0','2021-05-28 11:55:07','2021-05-28 11:55:07',1),(6600,'【事件】LOG_STORE保护器状态变化','dice_component','dice_component_log_protector','dingding','alert','【【事件】LOG_STORE保护器状态变化】\n','【【事件】LOG_STORE保护器状态变化】\n\n集群: {{cluster_name}}\n\n之前状态: {{pre_level}}\n\n当前状态: {{cur_level}}\n\n时间: {{timestamp}}\n\n[查看记录]({{record_url}})','{}','1.0','2021-05-28 11:55:07','2021-05-28 11:55:07',1),(6601,'【事件】LOG_STORE保护器状态变化','dice_component','dice_component_log_protector','ticket','alert','【【事件】LOG_STORE保护器状态变化】\n','【【事件】LOG_STORE保护器状态变化】\n\n集群: {{cluster_name}}\n\n之前状态: {{pre_level}}\n\n当前状态: {{cur_level}}\n\n时间: {{timestamp}}\n\n[查看记录]({{record_url}})','{}','1.0','2021-05-28 11:55:07','2021-05-28 11:55:07',1),(6602,'【事件】LOG_STORE保护器状态变化','dice_component','dice_component_log_protector','email','alert','【【事件】LOG_STORE保护器状态变化】\n','【【事件】LOG_STORE保护器状态变化】\n\n集群: {{cluster_name}}\n\n之前状态: {{pre_level}}\n\n当前状态: {{cur_level}}\n\n时间: {{timestamp}}\n\n[查看记录]({{record_url}})','{}','1.0','2021-05-28 11:55:07','2021-05-28 11:55:07',1),(6603,'【事件】LOG_STORE保护器状态变化','dice_component','dice_component_log_protector','mbox','alert','【【事件】LOG_STORE保护器状态变化】\n','【【事件】LOG_STORE保护器状态变化】\n\n集群: {{cluster_name}}\n\n之前状态: {{pre_level}}\n\n当前状态: {{cur_level}}\n\n时间: {{timestamp}}\n\n[查看记录]({{record_url}})','{}','1.0','2021-05-28 11:55:07','2021-05-28 11:55:07',1),(6604,'【事件】LOG_STORE保护器状态变化','dice_component','dice_component_log_protector','webhook','alert','【【事件】LOG_STORE保护器状态变化】\n','【【事件】LOG_STORE保护器状态变化】\n\n集群: {{cluster_name}}\n\n之前状态: {{pre_level}}\n\n当前状态: {{cur_level}}\n\n时间: {{timestamp}}\n\n[查看记录]({{record_url}})','{}','1.0','2021-05-28 11:55:07','2021-05-28 11:55:07',1),(6605,'kubernetes组件实例CPU异常','kubernetes','kubernetes_instance_cpu','dingding','alert','【{{cluster_name}}集群kubernetes组件{{pod_name}} CPU使用率告警】\n','【kubernetes组件CPU使用率告警】\n\nPod: {{pod_name}}\n\n使用率: {{cpu_usage_percent_avg}}\n\n限制: {{cpu_limit_value}}核\n\n分配: {{cpu_allocation_value}}核\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n容器ID: {{container_id}}\n\n时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','{\"cpu_allocation_value\":\"fraction:2\",\"cpu_limit_value\":\"fraction:2\",\"cpu_usage_percent_avg\":\"percent:2\"}','1.0','2021-05-28 11:55:07','2021-05-28 11:55:07',1),(6606,'kubernetes组件实例CPU异常','kubernetes','kubernetes_instance_cpu','ticket','alert','【{{cluster_name}}集群kubernetes组件{{pod_name}} CPU使用率告警】\n','【kubernetes组件CPU使用率告警】\n\nPod: {{pod_name}}\n\n使用率: {{cpu_usage_percent_avg}}\n\n限制: {{cpu_limit_value}}核\n\n分配: {{cpu_allocation_value}}核\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n容器ID: {{container_id}}\n\n时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','{\"cpu_allocation_value\":\"fraction:2\",\"cpu_limit_value\":\"fraction:2\",\"cpu_usage_percent_avg\":\"percent:2\"}','1.0','2021-05-28 11:55:07','2021-05-28 11:55:07',1),(6607,'kubernetes组件实例CPU异常','kubernetes','kubernetes_instance_cpu','email','alert','【{{cluster_name}}集群kubernetes组件{{pod_name}} CPU使用率告警】\n','【kubernetes组件CPU使用率告警】\n\nPod: {{pod_name}}\n\n使用率: {{cpu_usage_percent_avg}}\n\n限制: {{cpu_limit_value}}核\n\n分配: {{cpu_allocation_value}}核\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n容器ID: {{container_id}}\n\n时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','{\"cpu_allocation_value\":\"fraction:2\",\"cpu_limit_value\":\"fraction:2\",\"cpu_usage_percent_avg\":\"percent:2\"}','1.0','2021-05-28 11:55:07','2021-05-28 11:55:07',1),(6608,'kubernetes组件实例CPU异常','kubernetes','kubernetes_instance_cpu','mbox','alert','【{{cluster_name}}集群kubernetes组件{{pod_name}} CPU使用率告警】\n','【kubernetes组件CPU使用率告警】\n\nPod: {{pod_name}}\n\n使用率: {{cpu_usage_percent_avg}}\n\n限制: {{cpu_limit_value}}核\n\n分配: {{cpu_allocation_value}}核\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n容器ID: {{container_id}}\n\n时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','{\"cpu_allocation_value\":\"fraction:2\",\"cpu_limit_value\":\"fraction:2\",\"cpu_usage_percent_avg\":\"percent:2\"}','1.0','2021-05-28 11:55:07','2021-05-28 11:55:07',1),(6609,'kubernetes组件实例CPU异常','kubernetes','kubernetes_instance_cpu','webhook','alert','【{{cluster_name}}集群kubernetes组件{{pod_name}} CPU使用率告警】\n','【kubernetes组件CPU使用率告警】\n\nPod: {{pod_name}}\n\n使用率: {{cpu_usage_percent_avg}}\n\n限制: {{cpu_limit_value}}核\n\n分配: {{cpu_allocation_value}}核\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n容器ID: {{container_id}}\n\n时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','{\"cpu_allocation_value\":\"fraction:2\",\"cpu_limit_value\":\"fraction:2\",\"cpu_usage_percent_avg\":\"percent:2\"}','1.0','2021-05-28 11:55:07','2021-05-28 11:55:07',1),(6610,'kubernetes组件实例CPU异常','kubernetes','kubernetes_instance_cpu','dingding','recover','【{{cluster_name}}集群kubernetes组件{{pod_name}} CPU使用率恢复】\n','【kubernetes组件CPU使用率恢复】\n\nPod: {{pod_name}}\n\n使用率: {{cpu_usage_percent_avg}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n容器ID: {{container_id}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','{\"cpu_usage_percent_avg\":\"percent:2\",\"trigger_duration\":\"time:ms\"}','1.0','2021-05-28 11:55:07','2021-05-28 11:55:07',1),(6611,'kubernetes组件实例CPU异常','kubernetes','kubernetes_instance_cpu','ticket','recover','【{{cluster_name}}集群kubernetes组件{{pod_name}} CPU使用率恢复】\n','【kubernetes组件CPU使用率恢复】\n\nPod: {{pod_name}}\n\n使用率: {{cpu_usage_percent_avg}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n容器ID: {{container_id}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','{\"cpu_usage_percent_avg\":\"percent:2\",\"trigger_duration\":\"time:ms\"}','1.0','2021-05-28 11:55:07','2021-05-28 11:55:07',1),(6612,'kubernetes组件实例CPU异常','kubernetes','kubernetes_instance_cpu','email','recover','【{{cluster_name}}集群kubernetes组件{{pod_name}} CPU使用率恢复】\n','【kubernetes组件CPU使用率恢复】\n\nPod: {{pod_name}}\n\n使用率: {{cpu_usage_percent_avg}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n容器ID: {{container_id}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','{\"cpu_usage_percent_avg\":\"percent:2\",\"trigger_duration\":\"time:ms\"}','1.0','2021-05-28 11:55:07','2021-05-28 11:55:07',1),(6613,'kubernetes组件实例CPU异常','kubernetes','kubernetes_instance_cpu','mbox','recover','【{{cluster_name}}集群kubernetes组件{{pod_name}} CPU使用率恢复】\n','【kubernetes组件CPU使用率恢复】\n\nPod: {{pod_name}}\n\n使用率: {{cpu_usage_percent_avg}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n容器ID: {{container_id}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','{\"cpu_usage_percent_avg\":\"percent:2\",\"trigger_duration\":\"time:ms\"}','1.0','2021-05-28 11:55:07','2021-05-28 11:55:07',1),(6614,'kubernetes组件实例CPU异常','kubernetes','kubernetes_instance_cpu','webhook','recover','【{{cluster_name}}集群kubernetes组件{{pod_name}} CPU使用率恢复】\n','【kubernetes组件CPU使用率恢复】\n\nPod: {{pod_name}}\n\n使用率: {{cpu_usage_percent_avg}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n容器ID: {{container_id}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','{\"cpu_usage_percent_avg\":\"percent:2\",\"trigger_duration\":\"time:ms\"}','1.0','2021-05-28 11:55:07','2021-05-28 11:55:07',1),(6615,'kubernetes组件异常退出','kubernetes','kubernetes_instance_exit','dingding','alert','【{{cluster_name}}集群kubernetes组件{{pod_name}}异常退出告警】\n','【kubernetes组件异常退出告警】\n\n组件: {{pod_name}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n启动时间: {{started_at_value}}\n\n退出时间: {{finished_at_value}}\n\n退出原因: {{terminated_reason_value}}\n\n时间: {{timestamp}}\n\n[查看详情]({{display_url}})\n\n[查看记录]({{record_url}})\n','{\"finished_at_value\":\"date\",\"started_at_value\":\"date\"}','1.0','2021-05-28 11:55:07','2021-05-28 11:55:07',1),(6616,'kubernetes组件异常退出','kubernetes','kubernetes_instance_exit','ticket','alert','【{{cluster_name}}集群kubernetes组件{{pod_name}}异常退出告警】\n','【kubernetes组件异常退出告警】\n\n组件: {{pod_name}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n启动时间: {{started_at_value}}\n\n退出时间: {{finished_at_value}}\n\n退出原因: {{terminated_reason_value}}\n\n时间: {{timestamp}}\n\n[查看详情]({{display_url}})\n\n[查看记录]({{record_url}})\n','{\"finished_at_value\":\"date\",\"started_at_value\":\"date\"}','1.0','2021-05-28 11:55:07','2021-05-28 11:55:07',1),(6617,'kubernetes组件异常退出','kubernetes','kubernetes_instance_exit','email','alert','【{{cluster_name}}集群kubernetes组件{{pod_name}}异常退出告警】\n','【kubernetes组件异常退出告警】\n\n组件: {{pod_name}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n启动时间: {{started_at_value}}\n\n退出时间: {{finished_at_value}}\n\n退出原因: {{terminated_reason_value}}\n\n时间: {{timestamp}}\n\n[查看详情]({{display_url}})\n\n[查看记录]({{record_url}})\n','{\"finished_at_value\":\"date\",\"started_at_value\":\"date\"}','1.0','2021-05-28 11:55:07','2021-05-28 11:55:07',1),(6618,'kubernetes组件异常退出','kubernetes','kubernetes_instance_exit','mbox','alert','【{{cluster_name}}集群kubernetes组件{{pod_name}}异常退出告警】\n','【kubernetes组件异常退出告警】\n\n组件: {{pod_name}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n启动时间: {{started_at_value}}\n\n退出时间: {{finished_at_value}}\n\n退出原因: {{terminated_reason_value}}\n\n时间: {{timestamp}}\n\n[查看详情]({{display_url}})\n\n[查看记录]({{record_url}})\n','{\"finished_at_value\":\"date\",\"started_at_value\":\"date\"}','1.0','2021-05-28 11:55:07','2021-05-28 11:55:07',1),(6619,'kubernetes组件异常退出','kubernetes','kubernetes_instance_exit','webhook','alert','【{{cluster_name}}集群kubernetes组件{{pod_name}}异常退出告警】\n','【kubernetes组件异常退出告警】\n\n组件: {{pod_name}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n启动时间: {{started_at_value}}\n\n退出时间: {{finished_at_value}}\n\n退出原因: {{terminated_reason_value}}\n\n时间: {{timestamp}}\n\n[查看详情]({{display_url}})\n\n[查看记录]({{record_url}})\n','{\"finished_at_value\":\"date\",\"started_at_value\":\"date\"}','1.0','2021-05-28 11:55:07','2021-05-28 11:55:07',1),(6620,'kubernetes组件异常退出','kubernetes','kubernetes_instance_exit','dingding','recover','【{{cluster_name}}集群kubernetes组件{{pod_name}}异常退出恢复】\n','【kubernetes组件异常退出恢复】\n\n组件: {{pod_name}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','{\"trigger_duration\":\"time:ms\"}','1.0','2021-05-28 11:55:07','2021-05-28 11:55:07',1),(6621,'kubernetes组件异常退出','kubernetes','kubernetes_instance_exit','ticket','recover','【{{cluster_name}}集群kubernetes组件{{pod_name}}异常退出恢复】\n','【kubernetes组件异常退出恢复】\n\n组件: {{pod_name}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','{\"trigger_duration\":\"time:ms\"}','1.0','2021-05-28 11:55:07','2021-05-28 11:55:07',1),(6622,'kubernetes组件异常退出','kubernetes','kubernetes_instance_exit','email','recover','【{{cluster_name}}集群kubernetes组件{{pod_name}}异常退出恢复】\n','【kubernetes组件异常退出恢复】\n\n组件: {{pod_name}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','{\"trigger_duration\":\"time:ms\"}','1.0','2021-05-28 11:55:07','2021-05-28 11:55:07',1),(6623,'kubernetes组件异常退出','kubernetes','kubernetes_instance_exit','mbox','recover','【{{cluster_name}}集群kubernetes组件{{pod_name}}异常退出恢复】\n','【kubernetes组件异常退出恢复】\n\n组件: {{pod_name}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','{\"trigger_duration\":\"time:ms\"}','1.0','2021-05-28 11:55:07','2021-05-28 11:55:07',1),(6624,'kubernetes组件异常退出','kubernetes','kubernetes_instance_exit','webhook','recover','【{{cluster_name}}集群kubernetes组件{{pod_name}}异常退出恢复】\n','【kubernetes组件异常退出恢复】\n\n组件: {{pod_name}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','{\"trigger_duration\":\"time:ms\"}','1.0','2021-05-28 11:55:07','2021-05-28 11:55:07',1),(6625,'kubernetes组件实例内存异常','kubernetes','kubernetes_instance_mem','dingding','alert','【{{cluster_name}}集群kubernetes组件{{pod_name}}内存使用率告警】\n','【kubernetes组件内存使用率告警】\n\nPod: {{pod_name}}\n\n使用率: {{mem_usage_percent_avg}}\n\n使用: {{mem_usage_value}}\n\n限制: {{mem_limit_value}}\n\n分配: {{mem_allocation_value}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n容器ID: {{container_id}}\n\n时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','{\"mem_allocation_value\":\"size:byte\",\"mem_limit_value\":\"size:byte\",\"mem_usage_percent_avg\":\"percent:2\",\"mem_usage_value\":\"size:byte\"}','1.0','2021-05-28 11:55:07','2021-05-28 11:55:07',1),(6626,'kubernetes组件实例内存异常','kubernetes','kubernetes_instance_mem','ticket','alert','【{{cluster_name}}集群kubernetes组件{{pod_name}}内存使用率告警】\n','【kubernetes组件内存使用率告警】\n\nPod: {{pod_name}}\n\n使用率: {{mem_usage_percent_avg}}\n\n使用: {{mem_usage_value}}\n\n限制: {{mem_limit_value}}\n\n分配: {{mem_allocation_value}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n容器ID: {{container_id}}\n\n时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','{\"mem_allocation_value\":\"size:byte\",\"mem_limit_value\":\"size:byte\",\"mem_usage_percent_avg\":\"percent:2\",\"mem_usage_value\":\"size:byte\"}','1.0','2021-05-28 11:55:07','2021-05-28 11:55:07',1),(6627,'kubernetes组件实例内存异常','kubernetes','kubernetes_instance_mem','email','alert','【{{cluster_name}}集群kubernetes组件{{pod_name}}内存使用率告警】\n','【kubernetes组件内存使用率告警】\n\nPod: {{pod_name}}\n\n使用率: {{mem_usage_percent_avg}}\n\n使用: {{mem_usage_value}}\n\n限制: {{mem_limit_value}}\n\n分配: {{mem_allocation_value}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n容器ID: {{container_id}}\n\n时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','{\"mem_allocation_value\":\"size:byte\",\"mem_limit_value\":\"size:byte\",\"mem_usage_percent_avg\":\"percent:2\",\"mem_usage_value\":\"size:byte\"}','1.0','2021-05-28 11:55:07','2021-05-28 11:55:07',1),(6628,'kubernetes组件实例内存异常','kubernetes','kubernetes_instance_mem','mbox','alert','【{{cluster_name}}集群kubernetes组件{{pod_name}}内存使用率告警】\n','【kubernetes组件内存使用率告警】\n\nPod: {{pod_name}}\n\n使用率: {{mem_usage_percent_avg}}\n\n使用: {{mem_usage_value}}\n\n限制: {{mem_limit_value}}\n\n分配: {{mem_allocation_value}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n容器ID: {{container_id}}\n\n时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','{\"mem_allocation_value\":\"size:byte\",\"mem_limit_value\":\"size:byte\",\"mem_usage_percent_avg\":\"percent:2\",\"mem_usage_value\":\"size:byte\"}','1.0','2021-05-28 11:55:07','2021-05-28 11:55:07',1),(6629,'kubernetes组件实例内存异常','kubernetes','kubernetes_instance_mem','webhook','alert','【{{cluster_name}}集群kubernetes组件{{pod_name}}内存使用率告警】\n','【kubernetes组件内存使用率告警】\n\nPod: {{pod_name}}\n\n使用率: {{mem_usage_percent_avg}}\n\n使用: {{mem_usage_value}}\n\n限制: {{mem_limit_value}}\n\n分配: {{mem_allocation_value}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n容器ID: {{container_id}}\n\n时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','{\"mem_allocation_value\":\"size:byte\",\"mem_limit_value\":\"size:byte\",\"mem_usage_percent_avg\":\"percent:2\",\"mem_usage_value\":\"size:byte\"}','1.0','2021-05-28 11:55:07','2021-05-28 11:55:07',1),(6630,'kubernetes组件实例内存异常','kubernetes','kubernetes_instance_mem','dingding','recover','【{{cluster_name}}集群kubernetes组件{{pod_name}}内存使用率恢复】\n','【kubernetes组件内存使用率恢复】\n\nPod: {{pod_name}}\n\n使用率: {{mem_usage_percent_avg}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n容器ID: {{container_id}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','{\"mem_usage_percent_avg\":\"percent:2\",\"trigger_duration\":\"time:ms\"}','1.0','2021-05-28 11:55:07','2021-05-28 11:55:07',1),(6631,'kubernetes组件实例内存异常','kubernetes','kubernetes_instance_mem','ticket','recover','【{{cluster_name}}集群kubernetes组件{{pod_name}}内存使用率恢复】\n','【kubernetes组件内存使用率恢复】\n\nPod: {{pod_name}}\n\n使用率: {{mem_usage_percent_avg}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n容器ID: {{container_id}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','{\"mem_usage_percent_avg\":\"percent:2\",\"trigger_duration\":\"time:ms\"}','1.0','2021-05-28 11:55:07','2021-05-28 11:55:07',1),(6632,'kubernetes组件实例内存异常','kubernetes','kubernetes_instance_mem','email','recover','【{{cluster_name}}集群kubernetes组件{{pod_name}}内存使用率恢复】\n','【kubernetes组件内存使用率恢复】\n\nPod: {{pod_name}}\n\n使用率: {{mem_usage_percent_avg}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n容器ID: {{container_id}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','{\"mem_usage_percent_avg\":\"percent:2\",\"trigger_duration\":\"time:ms\"}','1.0','2021-05-28 11:55:07','2021-05-28 11:55:07',1),(6633,'kubernetes组件实例内存异常','kubernetes','kubernetes_instance_mem','mbox','recover','【{{cluster_name}}集群kubernetes组件{{pod_name}}内存使用率恢复】\n','【kubernetes组件内存使用率恢复】\n\nPod: {{pod_name}}\n\n使用率: {{mem_usage_percent_avg}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n容器ID: {{container_id}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','{\"mem_usage_percent_avg\":\"percent:2\",\"trigger_duration\":\"time:ms\"}','1.0','2021-05-28 11:55:07','2021-05-28 11:55:07',1),(6634,'kubernetes组件实例内存异常','kubernetes','kubernetes_instance_mem','webhook','recover','【{{cluster_name}}集群kubernetes组件{{pod_name}}内存使用率恢复】\n','【kubernetes组件内存使用率恢复】\n\nPod: {{pod_name}}\n\n使用率: {{mem_usage_percent_avg}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n容器ID: {{container_id}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','{\"mem_usage_percent_avg\":\"percent:2\",\"trigger_duration\":\"time:ms\"}','1.0','2021-05-28 11:55:07','2021-05-28 11:55:07',1),(6635,'kubernetes组件实例Ready状态异常','kubernetes','kubernetes_instance_ready','dingding','alert','【{{cluster_name}}集群kubernetes组件{{resource_name_value}} Ready状态告警】\n','【kubernetes组件Ready状态告警】\n\n组件: {{resource_name_value}}\n\n不可用实例: {{not_ready_value}}\n\n期望实例: {{total_value}}\n\n集群: {{cluster_name}}\n\n时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','','1.0','2021-05-28 11:55:07','2021-05-28 11:55:07',1),(6636,'kubernetes组件实例Ready状态异常','kubernetes','kubernetes_instance_ready','ticket','alert','【{{cluster_name}}集群kubernetes组件{{resource_name_value}} Ready状态告警】\n','【kubernetes组件Ready状态告警】\n\n组件: {{resource_name_value}}\n\n不可用实例: {{not_ready_value}}\n\n期望实例: {{total_value}}\n\n集群: {{cluster_name}}\n\n时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','','1.0','2021-05-28 11:55:07','2021-05-28 11:55:07',1),(6637,'kubernetes组件实例Ready状态异常','kubernetes','kubernetes_instance_ready','email','alert','【{{cluster_name}}集群kubernetes组件{{resource_name_value}} Ready状态告警】\n','【kubernetes组件Ready状态告警】\n\n组件: {{resource_name_value}}\n\n不可用实例: {{not_ready_value}}\n\n期望实例: {{total_value}}\n\n集群: {{cluster_name}}\n\n时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','','1.0','2021-05-28 11:55:07','2021-05-28 11:55:07',1),(6638,'kubernetes组件实例Ready状态异常','kubernetes','kubernetes_instance_ready','mbox','alert','【{{cluster_name}}集群kubernetes组件{{resource_name_value}} Ready状态告警】\n','【kubernetes组件Ready状态告警】\n\n组件: {{resource_name_value}}\n\n不可用实例: {{not_ready_value}}\n\n期望实例: {{total_value}}\n\n集群: {{cluster_name}}\n\n时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','','1.0','2021-05-28 11:55:07','2021-05-28 11:55:07',1),(6639,'kubernetes组件实例Ready状态异常','kubernetes','kubernetes_instance_ready','webhook','alert','【{{cluster_name}}集群kubernetes组件{{resource_name_value}} Ready状态告警】\n','【kubernetes组件Ready状态告警】\n\n组件: {{resource_name_value}}\n\n不可用实例: {{not_ready_value}}\n\n期望实例: {{total_value}}\n\n集群: {{cluster_name}}\n\n时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','','1.0','2021-05-28 11:55:07','2021-05-28 11:55:07',1),(6640,'kubernetes组件实例Ready状态异常','kubernetes','kubernetes_instance_ready','dingding','recover','【{{cluster_name}}集群kubernetes组件{{resource_name_value}} Ready状态恢复】\n','【kubernetes组件Ready状态恢复】\n\n组件: {{resource_name_value}}\n\n可用实例: {{ready_value}}\n\n期望实例: {{total_value}}\n\n集群: {{cluster_name}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','{\"trigger_duration\":\"time:ms\"}','1.0','2021-05-28 11:55:07','2021-05-28 11:55:07',1),(6641,'kubernetes组件实例Ready状态异常','kubernetes','kubernetes_instance_ready','ticket','recover','【{{cluster_name}}集群kubernetes组件{{resource_name_value}} Ready状态恢复】\n','【kubernetes组件Ready状态恢复】\n\n组件: {{resource_name_value}}\n\n可用实例: {{ready_value}}\n\n期望实例: {{total_value}}\n\n集群: {{cluster_name}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','{\"trigger_duration\":\"time:ms\"}','1.0','2021-05-28 11:55:07','2021-05-28 11:55:07',1),(6642,'kubernetes组件实例Ready状态异常','kubernetes','kubernetes_instance_ready','email','recover','【{{cluster_name}}集群kubernetes组件{{resource_name_value}} Ready状态恢复】\n','【kubernetes组件Ready状态恢复】\n\n组件: {{resource_name_value}}\n\n可用实例: {{ready_value}}\n\n期望实例: {{total_value}}\n\n集群: {{cluster_name}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','{\"trigger_duration\":\"time:ms\"}','1.0','2021-05-28 11:55:07','2021-05-28 11:55:07',1),(6643,'kubernetes组件实例Ready状态异常','kubernetes','kubernetes_instance_ready','mbox','recover','【{{cluster_name}}集群kubernetes组件{{resource_name_value}} Ready状态恢复】\n','【kubernetes组件Ready状态恢复】\n\n组件: {{resource_name_value}}\n\n可用实例: {{ready_value}}\n\n期望实例: {{total_value}}\n\n集群: {{cluster_name}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','{\"trigger_duration\":\"time:ms\"}','1.0','2021-05-28 11:55:07','2021-05-28 11:55:07',1),(6644,'kubernetes组件实例Ready状态异常','kubernetes','kubernetes_instance_ready','webhook','recover','【{{cluster_name}}集群kubernetes组件{{resource_name_value}} Ready状态恢复】\n','【kubernetes组件Ready状态恢复】\n\n组件: {{resource_name_value}}\n\n可用实例: {{ready_value}}\n\n期望实例: {{total_value}}\n\n集群: {{cluster_name}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','{\"trigger_duration\":\"time:ms\"}','1.0','2021-05-28 11:55:07','2021-05-28 11:55:07',1),(6645,'kubernetes节点异常','kubernetes','kubernetes_node','dingding','alert','【{{cluster_name}}集群kubernetes节点{{node_name}}节点异常告警】\n','【kubernetes节点状态异常告警】\n\n集群: {{cluster_name}}\n\n机器: {{node_name}}\n\n可分配Pod数: {{allocatable_pods_value}}\n\n最大Pod数: {{capacity_pods_value}}\n\n可分配CPU核数: {{allocatable_cpu_cores_value}}\n\n最大CPU核数: {{capacity_cpu_cores_value}}\n\n可分配内存: {{allocatable_memory_bytes_value}}\n\n最大内存: {{capacity_memory_bytes_value}}\n\n时间: {{timestamp}}\n','{\"allocatable_memory_bytes_value\":\"size:byte\",\"capacity_memory_bytes_value\":\"size:byte\"}','1.0','2021-05-28 11:55:07','2021-05-28 11:55:07',1),(6646,'kubernetes节点异常','kubernetes','kubernetes_node','ticket','alert','【{{cluster_name}}集群kubernetes节点{{node_name}}节点异常告警】\n','【kubernetes节点状态异常告警】\n\n集群: {{cluster_name}}\n\n机器: {{node_name}}\n\n可分配Pod数: {{allocatable_pods_value}}\n\n最大Pod数: {{capacity_pods_value}}\n\n可分配CPU核数: {{allocatable_cpu_cores_value}}\n\n最大CPU核数: {{capacity_cpu_cores_value}}\n\n可分配内存: {{allocatable_memory_bytes_value}}\n\n最大内存: {{capacity_memory_bytes_value}}\n\n时间: {{timestamp}}\n','{\"allocatable_memory_bytes_value\":\"size:byte\",\"capacity_memory_bytes_value\":\"size:byte\"}','1.0','2021-05-28 11:55:07','2021-05-28 11:55:07',1),(6647,'kubernetes节点异常','kubernetes','kubernetes_node','email','alert','【{{cluster_name}}集群kubernetes节点{{node_name}}节点异常告警】\n','【kubernetes节点状态异常告警】\n\n集群: {{cluster_name}}\n\n机器: {{node_name}}\n\n可分配Pod数: {{allocatable_pods_value}}\n\n最大Pod数: {{capacity_pods_value}}\n\n可分配CPU核数: {{allocatable_cpu_cores_value}}\n\n最大CPU核数: {{capacity_cpu_cores_value}}\n\n可分配内存: {{allocatable_memory_bytes_value}}\n\n最大内存: {{capacity_memory_bytes_value}}\n\n时间: {{timestamp}}\n','{\"allocatable_memory_bytes_value\":\"size:byte\",\"capacity_memory_bytes_value\":\"size:byte\"}','1.0','2021-05-28 11:55:07','2021-05-28 11:55:07',1),(6648,'kubernetes节点异常','kubernetes','kubernetes_node','mbox','alert','【{{cluster_name}}集群kubernetes节点{{node_name}}节点异常告警】\n','【kubernetes节点状态异常告警】\n\n集群: {{cluster_name}}\n\n机器: {{node_name}}\n\n可分配Pod数: {{allocatable_pods_value}}\n\n最大Pod数: {{capacity_pods_value}}\n\n可分配CPU核数: {{allocatable_cpu_cores_value}}\n\n最大CPU核数: {{capacity_cpu_cores_value}}\n\n可分配内存: {{allocatable_memory_bytes_value}}\n\n最大内存: {{capacity_memory_bytes_value}}\n\n时间: {{timestamp}}\n','{\"allocatable_memory_bytes_value\":\"size:byte\",\"capacity_memory_bytes_value\":\"size:byte\"}','1.0','2021-05-28 11:55:07','2021-05-28 11:55:07',1),(6649,'kubernetes节点异常','kubernetes','kubernetes_node','webhook','alert','【{{cluster_name}}集群kubernetes节点{{node_name}}节点异常告警】\n','【kubernetes节点状态异常告警】\n\n集群: {{cluster_name}}\n\n机器: {{node_name}}\n\n可分配Pod数: {{allocatable_pods_value}}\n\n最大Pod数: {{capacity_pods_value}}\n\n可分配CPU核数: {{allocatable_cpu_cores_value}}\n\n最大CPU核数: {{capacity_cpu_cores_value}}\n\n可分配内存: {{allocatable_memory_bytes_value}}\n\n最大内存: {{capacity_memory_bytes_value}}\n\n时间: {{timestamp}}\n','{\"allocatable_memory_bytes_value\":\"size:byte\",\"capacity_memory_bytes_value\":\"size:byte\"}','1.0','2021-05-28 11:55:07','2021-05-28 11:55:07',1),(6650,'kubernetes节点异常','kubernetes','kubernetes_node','dingding','recover','【{{cluster_name}}集群kubernetes节点{{node_name}}节点异常恢复】\n','【kubernetes节点状态异常恢复】\n\n集群: {{cluster_name}}\n\n机器: {{node_name}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n','{\"trigger_duration\":\"time:ms\"}','1.0','2021-05-28 11:55:07','2021-05-28 11:55:07',1),(6651,'kubernetes节点异常','kubernetes','kubernetes_node','ticket','recover','【{{cluster_name}}集群kubernetes节点{{node_name}}节点异常恢复】\n','【kubernetes节点状态异常恢复】\n\n集群: {{cluster_name}}\n\n机器: {{node_name}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n','{\"trigger_duration\":\"time:ms\"}','1.0','2021-05-28 11:55:07','2021-05-28 11:55:07',1),(6652,'kubernetes节点异常','kubernetes','kubernetes_node','email','recover','【{{cluster_name}}集群kubernetes节点{{node_name}}节点异常恢复】\n','【kubernetes节点状态异常恢复】\n\n集群: {{cluster_name}}\n\n机器: {{node_name}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n','{\"trigger_duration\":\"time:ms\"}','1.0','2021-05-28 11:55:07','2021-05-28 11:55:07',1),(6653,'kubernetes节点异常','kubernetes','kubernetes_node','mbox','recover','【{{cluster_name}}集群kubernetes节点{{node_name}}节点异常恢复】\n','【kubernetes节点状态异常恢复】\n\n集群: {{cluster_name}}\n\n机器: {{node_name}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n','{\"trigger_duration\":\"time:ms\"}','1.0','2021-05-28 11:55:07','2021-05-28 11:55:07',1),(6654,'kubernetes节点异常','kubernetes','kubernetes_node','webhook','recover','【{{cluster_name}}集群kubernetes节点{{node_name}}节点异常恢复】\n','【kubernetes节点状态异常恢复】\n\n集群: {{cluster_name}}\n\n机器: {{node_name}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n','{\"trigger_duration\":\"time:ms\"}','1.0','2021-05-28 11:55:07','2021-05-28 11:55:07',1),(6655,'机器时钟一致性异常告警','machine','machine_cluster_clock','dingding','alert','【{{cluster_name}}集群机器{{host_ip}} 时钟一致性异常告警】','【机器时钟一致性异常告警】\n\n时钟偏移绝对值: {{elapsed_abs_avg}}\n\n发送时间戳(ms): {{send_timestamp}}\n\n接收时间戳(ms): {{receive_timestamp}}\n\n源机器: {{source_host_ip}}\n\n目标机器: {{host_ip}}\n\n集群: {{cluster_name}}\n\n时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','{\"elapsed_abs_avg\":\"time:ms\"}','1.0','2021-05-28 11:55:07','2021-05-28 11:55:07',1),(6656,'机器时钟一致性异常告警','machine','machine_cluster_clock','ticket','alert','【{{cluster_name}}集群机器{{host_ip}} 时钟一致性异常告警】','【机器时钟一致性异常告警】\n\n时钟偏移绝对值: {{elapsed_abs_avg}}\n\n发送时间戳(ms): {{send_timestamp}}\n\n接收时间戳(ms): {{receive_timestamp}}\n\n源机器: {{source_host_ip}}\n\n目标机器: {{host_ip}}\n\n集群: {{cluster_name}}\n\n时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','{\"elapsed_abs_avg\":\"time:ms\"}','1.0','2021-05-28 11:55:07','2021-05-28 11:55:07',1),(6657,'机器时钟一致性异常告警','machine','machine_cluster_clock','email','alert','【{{cluster_name}}集群机器{{host_ip}} 时钟一致性异常告警】','【机器时钟一致性异常告警】\n\n时钟偏移绝对值: {{elapsed_abs_avg}}\n\n发送时间戳(ms): {{send_timestamp}}\n\n接收时间戳(ms): {{receive_timestamp}}\n\n源机器: {{source_host_ip}}\n\n目标机器: {{host_ip}}\n\n集群: {{cluster_name}}\n\n时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','{\"elapsed_abs_avg\":\"time:ms\"}','1.0','2021-05-28 11:55:07','2021-05-28 11:55:07',1),(6658,'机器时钟一致性异常告警','machine','machine_cluster_clock','mbox','alert','【{{cluster_name}}集群机器{{host_ip}} 时钟一致性异常告警】','【机器时钟一致性异常告警】\n\n时钟偏移绝对值: {{elapsed_abs_avg}}\n\n发送时间戳(ms): {{send_timestamp}}\n\n接收时间戳(ms): {{receive_timestamp}}\n\n源机器: {{source_host_ip}}\n\n目标机器: {{host_ip}}\n\n集群: {{cluster_name}}\n\n时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','{\"elapsed_abs_avg\":\"time:ms\"}','1.0','2021-05-28 11:55:07','2021-05-28 11:55:07',1),(6659,'机器时钟一致性异常告警','machine','machine_cluster_clock','webhook','alert','【{{cluster_name}}集群机器{{host_ip}} 时钟一致性异常告警】','【机器时钟一致性异常告警】\n\n时钟偏移绝对值: {{elapsed_abs_avg}}\n\n发送时间戳(ms): {{send_timestamp}}\n\n接收时间戳(ms): {{receive_timestamp}}\n\n源机器: {{source_host_ip}}\n\n目标机器: {{host_ip}}\n\n集群: {{cluster_name}}\n\n时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','{\"elapsed_abs_avg\":\"time:ms\"}','1.0','2021-05-28 11:55:07','2021-05-28 11:55:07',1),(6660,'时钟一致性异常恢复','machine','machine_cluster_clock','dingding','recover','【{{cluster_name}}集群机器{{host_ip}} 时钟一致性异常恢复】','【机器时钟一致性异常恢复】\n\n时钟偏移绝对值: {{elapsed_abs_avg}}\n\n源机器: {{source_host_ip}}\n\n目标机器: {{host_ip}}\n\n集群: {{cluster_name}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','{\"elapsed_abs_avg\":\"time:ms\",\"trigger_duration\":\"time:ms\"}','1.0','2021-05-28 11:55:07','2021-05-28 11:55:07',1),(6661,'时钟一致性异常恢复','machine','machine_cluster_clock','ticket','recover','【{{cluster_name}}集群机器{{host_ip}} 时钟一致性异常恢复】','【机器时钟一致性异常恢复】\n\n时钟偏移绝对值: {{elapsed_abs_avg}}\n\n源机器: {{source_host_ip}}\n\n目标机器: {{host_ip}}\n\n集群: {{cluster_name}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','{\"elapsed_abs_avg\":\"time:ms\",\"trigger_duration\":\"time:ms\"}','1.0','2021-05-28 11:55:07','2021-05-28 11:55:07',1),(6662,'时钟一致性异常恢复','machine','machine_cluster_clock','email','recover','【{{cluster_name}}集群机器{{host_ip}} 时钟一致性异常恢复】','【机器时钟一致性异常恢复】\n\n时钟偏移绝对值: {{elapsed_abs_avg}}\n\n源机器: {{source_host_ip}}\n\n目标机器: {{host_ip}}\n\n集群: {{cluster_name}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','{\"elapsed_abs_avg\":\"time:ms\",\"trigger_duration\":\"time:ms\"}','1.0','2021-05-28 11:55:07','2021-05-28 11:55:07',1),(6663,'时钟一致性异常恢复','machine','machine_cluster_clock','mbox','recover','【{{cluster_name}}集群机器{{host_ip}} 时钟一致性异常恢复】','【机器时钟一致性异常恢复】\n\n时钟偏移绝对值: {{elapsed_abs_avg}}\n\n源机器: {{source_host_ip}}\n\n目标机器: {{host_ip}}\n\n集群: {{cluster_name}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','{\"elapsed_abs_avg\":\"time:ms\",\"trigger_duration\":\"time:ms\"}','1.0','2021-05-28 11:55:07','2021-05-28 11:55:07',1),(6664,'时钟一致性异常恢复','machine','machine_cluster_clock','webhook','recover','【{{cluster_name}}集群机器{{host_ip}} 时钟一致性异常恢复】','【机器时钟一致性异常恢复】\n\n时钟偏移绝对值: {{elapsed_abs_avg}}\n\n源机器: {{source_host_ip}}\n\n目标机器: {{host_ip}}\n\n集群: {{cluster_name}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','{\"elapsed_abs_avg\":\"time:ms\",\"trigger_duration\":\"time:ms\"}','1.0','2021-05-28 11:55:07','2021-05-28 11:55:07',1),(6665,'机器CPU异常告警','machine','machine_cpu','dingding','alert','【{{cluster_name}}集群机器{{host_ip}} CPU使用率异常告警】','【机器CPU使用率异常告警】\n\nCPU平均使用率: {{cpu_usage_active_avg}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n时间: {{timestamp}}\n\n[查看详情]({{display_url}})\n\n[查看记录]({{record_url}})\n','{\"cpu_usage_active_avg\":\"percent:2\"}','1.0','2021-05-28 11:55:07','2021-05-28 11:55:07',1),(6666,'机器CPU异常告警','machine','machine_cpu','ticket','alert','【{{cluster_name}}集群机器{{host_ip}} CPU使用率异常告警】','【机器CPU使用率异常告警】\n\nCPU平均使用率: {{cpu_usage_active_avg}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n时间: {{timestamp}}\n\n[查看详情]({{display_url}})\n\n[查看记录]({{record_url}})\n','{\"cpu_usage_active_avg\":\"percent:2\"}','1.0','2021-05-28 11:55:07','2021-05-28 11:55:07',1),(6667,'机器CPU异常告警','machine','machine_cpu','email','alert','【{{cluster_name}}集群机器{{host_ip}} CPU使用率异常告警】','【机器CPU使用率异常告警】\n\nCPU平均使用率: {{cpu_usage_active_avg}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n时间: {{timestamp}}\n\n[查看详情]({{display_url}})\n\n[查看记录]({{record_url}})\n','{\"cpu_usage_active_avg\":\"percent:2\"}','1.0','2021-05-28 11:55:07','2021-05-28 11:55:07',1),(6668,'机器CPU异常告警','machine','machine_cpu','mbox','alert','【{{cluster_name}}集群机器{{host_ip}} CPU使用率异常告警】','【机器CPU使用率异常告警】\n\nCPU平均使用率: {{cpu_usage_active_avg}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n时间: {{timestamp}}\n\n[查看详情]({{display_url}})\n\n[查看记录]({{record_url}})\n','{\"cpu_usage_active_avg\":\"percent:2\"}','1.0','2021-05-28 11:55:07','2021-05-28 11:55:07',1),(6669,'机器CPU异常告警','machine','machine_cpu','webhook','alert','【{{cluster_name}}集群机器{{host_ip}} CPU使用率异常告警】','【机器CPU使用率异常告警】\n\nCPU平均使用率: {{cpu_usage_active_avg}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n时间: {{timestamp}}\n\n[查看详情]({{display_url}})\n\n[查看记录]({{record_url}})\n','{\"cpu_usage_active_avg\":\"percent:2\"}','1.0','2021-05-28 11:55:07','2021-05-28 11:55:07',1),(6670,'机器CPU异常恢复','machine','machine_cpu','dingding','recover','【{{cluster_name}}集群机器{{host_ip}} CPU使用率异常恢复】','【机器CPU使用率异常恢复】\n\nCPU平均使用率: {{cpu_usage_active_avg}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','{\"trigger_duration\":\"time:ms\",\"usage_active_avg\":\"percent:2\"}','1.0','2021-05-28 11:55:07','2021-05-28 11:55:07',1),(6671,'机器CPU异常恢复','machine','machine_cpu','ticket','recover','【{{cluster_name}}集群机器{{host_ip}} CPU使用率异常恢复】','【机器CPU使用率异常恢复】\n\nCPU平均使用率: {{cpu_usage_active_avg}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','{\"trigger_duration\":\"time:ms\",\"usage_active_avg\":\"percent:2\"}','1.0','2021-05-28 11:55:07','2021-05-28 11:55:07',1),(6672,'机器CPU异常恢复','machine','machine_cpu','email','recover','【{{cluster_name}}集群机器{{host_ip}} CPU使用率异常恢复】','【机器CPU使用率异常恢复】\n\nCPU平均使用率: {{cpu_usage_active_avg}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','{\"trigger_duration\":\"time:ms\",\"usage_active_avg\":\"percent:2\"}','1.0','2021-05-28 11:55:07','2021-05-28 11:55:07',1),(6673,'机器CPU异常恢复','machine','machine_cpu','mbox','recover','【{{cluster_name}}集群机器{{host_ip}} CPU使用率异常恢复】','【机器CPU使用率异常恢复】\n\nCPU平均使用率: {{cpu_usage_active_avg}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','{\"trigger_duration\":\"time:ms\",\"usage_active_avg\":\"percent:2\"}','1.0','2021-05-28 11:55:07','2021-05-28 11:55:07',1),(6674,'机器CPU异常恢复','machine','machine_cpu','webhook','recover','【{{cluster_name}}集群机器{{host_ip}} CPU使用率异常恢复】','【机器CPU使用率异常恢复】\n\nCPU平均使用率: {{cpu_usage_active_avg}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','{\"trigger_duration\":\"time:ms\",\"usage_active_avg\":\"percent:2\"}','1.0','2021-05-28 11:55:07','2021-05-28 11:55:07',1),(6675,'磁盘容量异常告警','machine','machine_disk','dingding','alert','【{{cluster_name}}集群机器{{host_ip}}磁盘使用率异常告警】','【磁盘使用率异常告警】\n\n使用率: {{used_percent_value}}\n\n容量: {{total_value}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n设备: {{device}}\n\n时间: {{timestamp}}\n\n[查看详情]({{display_url}})\n\n[查看记录]({{record_url}})\n','{\"total_value\":\"size:byte\",\"used_percent_value\":\"percent:2\"}','1.0','2021-05-28 11:55:07','2021-05-28 11:55:07',1),(6676,'磁盘容量异常告警','machine','machine_disk','ticket','alert','【{{cluster_name}}集群机器{{host_ip}}磁盘使用率异常告警】','【磁盘使用率异常告警】\n\n使用率: {{used_percent_value}}\n\n容量: {{total_value}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n设备: {{device}}\n\n时间: {{timestamp}}\n\n[查看详情]({{display_url}})\n\n[查看记录]({{record_url}})\n','{\"total_value\":\"size:byte\",\"used_percent_value\":\"percent:2\"}','1.0','2021-05-28 11:55:07','2021-05-28 11:55:07',1),(6677,'磁盘容量异常告警','machine','machine_disk','email','alert','【{{cluster_name}}集群机器{{host_ip}}磁盘使用率异常告警】','【磁盘使用率异常告警】\n\n使用率: {{used_percent_value}}\n\n容量: {{total_value}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n设备: {{device}}\n\n时间: {{timestamp}}\n\n[查看详情]({{display_url}})\n\n[查看记录]({{record_url}})\n','{\"total_value\":\"size:byte\",\"used_percent_value\":\"percent:2\"}','1.0','2021-05-28 11:55:07','2021-05-28 11:55:07',1),(6678,'磁盘容量异常告警','machine','machine_disk','mbox','alert','【{{cluster_name}}集群机器{{host_ip}}磁盘使用率异常告警】','【磁盘使用率异常告警】\n\n使用率: {{used_percent_value}}\n\n容量: {{total_value}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n设备: {{device}}\n\n时间: {{timestamp}}\n\n[查看详情]({{display_url}})\n\n[查看记录]({{record_url}})\n','{\"total_value\":\"size:byte\",\"used_percent_value\":\"percent:2\"}','1.0','2021-05-28 11:55:07','2021-05-28 11:55:07',1),(6679,'磁盘容量异常告警','machine','machine_disk','webhook','alert','【{{cluster_name}}集群机器{{host_ip}}磁盘使用率异常告警】','【磁盘使用率异常告警】\n\n使用率: {{used_percent_value}}\n\n容量: {{total_value}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n设备: {{device}}\n\n时间: {{timestamp}}\n\n[查看详情]({{display_url}})\n\n[查看记录]({{record_url}})\n','{\"total_value\":\"size:byte\",\"used_percent_value\":\"percent:2\"}','1.0','2021-05-28 11:55:07','2021-05-28 11:55:07',1),(6680,'磁盘容量异常恢复','machine','machine_disk','dingding','recover','【{{cluster_name}}集群机器{{host_ip}}磁盘使用率异常恢复】','【磁盘使用率异常恢复】\n\n使用率: {{used_percent_value}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n设备: {{device}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','{\"trigger_duration\":\"time:ms\",\"used_percent_value\":\"percent:2\"}','1.0','2021-05-28 11:55:07','2021-05-28 11:55:07',1),(6681,'磁盘容量异常恢复','machine','machine_disk','ticket','recover','【{{cluster_name}}集群机器{{host_ip}}磁盘使用率异常恢复】','【磁盘使用率异常恢复】\n\n使用率: {{used_percent_value}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n设备: {{device}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','{\"trigger_duration\":\"time:ms\",\"used_percent_value\":\"percent:2\"}','1.0','2021-05-28 11:55:07','2021-05-28 11:55:07',1),(6682,'磁盘容量异常恢复','machine','machine_disk','email','recover','【{{cluster_name}}集群机器{{host_ip}}磁盘使用率异常恢复】','【磁盘使用率异常恢复】\n\n使用率: {{used_percent_value}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n设备: {{device}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','{\"trigger_duration\":\"time:ms\",\"used_percent_value\":\"percent:2\"}','1.0','2021-05-28 11:55:07','2021-05-28 11:55:07',1),(6683,'磁盘容量异常恢复','machine','machine_disk','mbox','recover','【{{cluster_name}}集群机器{{host_ip}}磁盘使用率异常恢复】','【磁盘使用率异常恢复】\n\n使用率: {{used_percent_value}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n设备: {{device}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','{\"trigger_duration\":\"time:ms\",\"used_percent_value\":\"percent:2\"}','1.0','2021-05-28 11:55:07','2021-05-28 11:55:07',1),(6684,'磁盘容量异常恢复','machine','machine_disk','webhook','recover','【{{cluster_name}}集群机器{{host_ip}}磁盘使用率异常恢复】','【磁盘使用率异常恢复】\n\n使用率: {{used_percent_value}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n设备: {{device}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','{\"trigger_duration\":\"time:ms\",\"used_percent_value\":\"percent:2\"}','1.0','2021-05-28 11:55:07','2021-05-28 11:55:07',1),(6685,'磁盘Inode异常告警','machine','machine_disk_inode','dingding','alert','【{{cluster_name}}集群机器{{host_ip}}磁盘Inode异常告警】','【磁盘Inode异常告警】\n\n使用率: {{inode_used_percent_value}}\n\n容量: {{inodes_total_value}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n设备: {{device}}\n\n时间: {{timestamp}}\n\n[查看详情]({{display_url}})\n\n[查看记录]({{record_url}})\n','{\"inode_used_percent_value\":\"percent:2\",\"inodes_total_value\":\"size:byte\"}','1.0','2021-05-28 11:55:07','2021-05-28 11:55:07',1),(6686,'磁盘Inode异常告警','machine','machine_disk_inode','ticket','alert','【{{cluster_name}}集群机器{{host_ip}}磁盘Inode异常告警】','【磁盘Inode异常告警】\n\n使用率: {{inode_used_percent_value}}\n\n容量: {{inodes_total_value}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n设备: {{device}}\n\n时间: {{timestamp}}\n\n[查看详情]({{display_url}})\n\n[查看记录]({{record_url}})\n','{\"inode_used_percent_value\":\"percent:2\",\"inodes_total_value\":\"size:byte\"}','1.0','2021-05-28 11:55:07','2021-05-28 11:55:07',1),(6687,'磁盘Inode异常告警','machine','machine_disk_inode','email','alert','【{{cluster_name}}集群机器{{host_ip}}磁盘Inode异常告警】','【磁盘Inode异常告警】\n\n使用率: {{inode_used_percent_value}}\n\n容量: {{inodes_total_value}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n设备: {{device}}\n\n时间: {{timestamp}}\n\n[查看详情]({{display_url}})\n\n[查看记录]({{record_url}})\n','{\"inode_used_percent_value\":\"percent:2\",\"inodes_total_value\":\"size:byte\"}','1.0','2021-05-28 11:55:07','2021-05-28 11:55:07',1),(6688,'磁盘Inode异常告警','machine','machine_disk_inode','mbox','alert','【{{cluster_name}}集群机器{{host_ip}}磁盘Inode异常告警】','【磁盘Inode异常告警】\n\n使用率: {{inode_used_percent_value}}\n\n容量: {{inodes_total_value}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n设备: {{device}}\n\n时间: {{timestamp}}\n\n[查看详情]({{display_url}})\n\n[查看记录]({{record_url}})\n','{\"inode_used_percent_value\":\"percent:2\",\"inodes_total_value\":\"size:byte\"}','1.0','2021-05-28 11:55:07','2021-05-28 11:55:07',1),(6689,'磁盘Inode异常告警','machine','machine_disk_inode','webhook','alert','【{{cluster_name}}集群机器{{host_ip}}磁盘Inode异常告警】','【磁盘Inode异常告警】\n\n使用率: {{inode_used_percent_value}}\n\n容量: {{inodes_total_value}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n设备: {{device}}\n\n时间: {{timestamp}}\n\n[查看详情]({{display_url}})\n\n[查看记录]({{record_url}})\n','{\"inode_used_percent_value\":\"percent:2\",\"inodes_total_value\":\"size:byte\"}','1.0','2021-05-28 11:55:07','2021-05-28 11:55:07',1),(6690,'磁盘Inode异常恢复','machine','machine_disk_inode','dingding','recover','【{{cluster_name}}集群机器{{host_ip}}磁盘Inode异常恢复】','【磁盘Inode异常恢复】\n\n使用率: {{inode_used_percent_value}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n设备: {{device}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','{\"inode_used_percent_value\":\"percent:2\",\"trigger_duration\":\"time:ms\"}','1.0','2021-05-28 11:55:07','2021-05-28 11:55:07',1),(6691,'磁盘Inode异常恢复','machine','machine_disk_inode','ticket','recover','【{{cluster_name}}集群机器{{host_ip}}磁盘Inode异常恢复】','【磁盘Inode异常恢复】\n\n使用率: {{inode_used_percent_value}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n设备: {{device}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','{\"inode_used_percent_value\":\"percent:2\",\"trigger_duration\":\"time:ms\"}','1.0','2021-05-28 11:55:07','2021-05-28 11:55:07',1),(6692,'磁盘Inode异常恢复','machine','machine_disk_inode','email','recover','【{{cluster_name}}集群机器{{host_ip}}磁盘Inode异常恢复】','【磁盘Inode异常恢复】\n\n使用率: {{inode_used_percent_value}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n设备: {{device}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','{\"inode_used_percent_value\":\"percent:2\",\"trigger_duration\":\"time:ms\"}','1.0','2021-05-28 11:55:07','2021-05-28 11:55:07',1),(6693,'磁盘Inode异常恢复','machine','machine_disk_inode','mbox','recover','【{{cluster_name}}集群机器{{host_ip}}磁盘Inode异常恢复】','【磁盘Inode异常恢复】\n\n使用率: {{inode_used_percent_value}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n设备: {{device}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','{\"inode_used_percent_value\":\"percent:2\",\"trigger_duration\":\"time:ms\"}','1.0','2021-05-28 11:55:07','2021-05-28 11:55:07',1),(6694,'磁盘Inode异常恢复','machine','machine_disk_inode','webhook','recover','【{{cluster_name}}集群机器{{host_ip}}磁盘Inode异常恢复】','【磁盘Inode异常恢复】\n\n使用率: {{inode_used_percent_value}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n设备: {{device}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','{\"inode_used_percent_value\":\"percent:2\",\"trigger_duration\":\"time:ms\"}','1.0','2021-05-28 11:55:07','2021-05-28 11:55:07',1),(6695,'磁盘IO异常告警','machine','machine_disk_util','dingding','alert','【{{cluster_name}}集群机器{{host_ip}}磁盘IO操作百分比异常告警】','【磁盘IO操作百分比异常告警】\n\nIO操作百分比: {{pct_util_p75}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','{\"pct_util_p75\":\"percent:2\"}','1.0','2021-05-28 11:55:07','2021-05-28 11:55:07',1),(6696,'磁盘IO异常告警','machine','machine_disk_util','ticket','alert','【{{cluster_name}}集群机器{{host_ip}}磁盘IO操作百分比异常告警】','【磁盘IO操作百分比异常告警】\n\nIO操作百分比: {{pct_util_p75}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','{\"pct_util_p75\":\"percent:2\"}','1.0','2021-05-28 11:55:07','2021-05-28 11:55:07',1),(6697,'磁盘IO异常告警','machine','machine_disk_util','email','alert','【{{cluster_name}}集群机器{{host_ip}}磁盘IO操作百分比异常告警】','【磁盘IO操作百分比异常告警】\n\nIO操作百分比: {{pct_util_p75}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','{\"pct_util_p75\":\"percent:2\"}','1.0','2021-05-28 11:55:07','2021-05-28 11:55:07',1),(6698,'磁盘IO异常告警','machine','machine_disk_util','mbox','alert','【{{cluster_name}}集群机器{{host_ip}}磁盘IO操作百分比异常告警】','【磁盘IO操作百分比异常告警】\n\nIO操作百分比: {{pct_util_p75}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','{\"pct_util_p75\":\"percent:2\"}','1.0','2021-05-28 11:55:07','2021-05-28 11:55:07',1),(6699,'磁盘IO异常告警','machine','machine_disk_util','webhook','alert','【{{cluster_name}}集群机器{{host_ip}}磁盘IO操作百分比异常告警】','【磁盘IO操作百分比异常告警】\n\nIO操作百分比: {{pct_util_p75}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','{\"pct_util_p75\":\"percent:2\"}','1.0','2021-05-28 11:55:07','2021-05-28 11:55:07',1),(6700,'磁盘IO异常恢复','machine','machine_disk_util','dingding','recover','【{{cluster_name}}集群机器{{host_ip}}磁盘IO操作百分比异常恢复】','【磁盘IO操作百分比异常恢复】\n\nIO操作百分比: {{pct_util_p75}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','{\"pct_util_p75\":\"percent:2\",\"trigger_duration\":\"time:ms\"}','1.0','2021-05-28 11:55:07','2021-05-28 11:55:07',1),(6701,'磁盘IO异常恢复','machine','machine_disk_util','ticket','recover','【{{cluster_name}}集群机器{{host_ip}}磁盘IO操作百分比异常恢复】','【磁盘IO操作百分比异常恢复】\n\nIO操作百分比: {{pct_util_p75}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','{\"pct_util_p75\":\"percent:2\",\"trigger_duration\":\"time:ms\"}','1.0','2021-05-28 11:55:07','2021-05-28 11:55:07',1),(6702,'磁盘IO异常恢复','machine','machine_disk_util','email','recover','【{{cluster_name}}集群机器{{host_ip}}磁盘IO操作百分比异常恢复】','【磁盘IO操作百分比异常恢复】\n\nIO操作百分比: {{pct_util_p75}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','{\"pct_util_p75\":\"percent:2\",\"trigger_duration\":\"time:ms\"}','1.0','2021-05-28 11:55:07','2021-05-28 11:55:07',1),(6703,'磁盘IO异常恢复','machine','machine_disk_util','mbox','recover','【{{cluster_name}}集群机器{{host_ip}}磁盘IO操作百分比异常恢复】','【磁盘IO操作百分比异常恢复】\n\nIO操作百分比: {{pct_util_p75}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','{\"pct_util_p75\":\"percent:2\",\"trigger_duration\":\"time:ms\"}','1.0','2021-05-28 11:55:07','2021-05-28 11:55:07',1),(6704,'磁盘IO异常恢复','machine','machine_disk_util','webhook','recover','【{{cluster_name}}集群机器{{host_ip}}磁盘IO操作百分比异常恢复】','【磁盘IO操作百分比异常恢复】\n\nIO操作百分比: {{pct_util_p75}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','{\"pct_util_p75\":\"percent:2\",\"trigger_duration\":\"time:ms\"}','1.0','2021-05-28 11:55:07','2021-05-28 11:55:07',1),(6705,'机器负载异常告警','machine','machine_load5','dingding','alert','【{{cluster_name}}集群机器{{host_ip}}负载异常告警】','【机器负载异常告警】\n\nLoad5: {{load5_avg}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n时间: {{timestamp}}\n\n[查看详情]({{display_url}})\n\n[查看记录]({{record_url}})\n','','1.0','2021-05-28 11:55:07','2021-05-28 11:55:07',1),(6706,'机器负载异常告警','machine','machine_load5','ticket','alert','【{{cluster_name}}集群机器{{host_ip}}负载异常告警】','【机器负载异常告警】\n\nLoad5: {{load5_avg}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n时间: {{timestamp}}\n\n[查看详情]({{display_url}})\n\n[查看记录]({{record_url}})\n','','1.0','2021-05-28 11:55:07','2021-05-28 11:55:07',1),(6707,'机器负载异常告警','machine','machine_load5','email','alert','【{{cluster_name}}集群机器{{host_ip}}负载异常告警】','【机器负载异常告警】\n\nLoad5: {{load5_avg}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n时间: {{timestamp}}\n\n[查看详情]({{display_url}})\n\n[查看记录]({{record_url}})\n','','1.0','2021-05-28 11:55:07','2021-05-28 11:55:07',1),(6708,'机器负载异常告警','machine','machine_load5','mbox','alert','【{{cluster_name}}集群机器{{host_ip}}负载异常告警】','【机器负载异常告警】\n\nLoad5: {{load5_avg}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n时间: {{timestamp}}\n\n[查看详情]({{display_url}})\n\n[查看记录]({{record_url}})\n','','1.0','2021-05-28 11:55:07','2021-05-28 11:55:07',1),(6709,'机器负载异常告警','machine','machine_load5','webhook','alert','【{{cluster_name}}集群机器{{host_ip}}负载异常告警】','【机器负载异常告警】\n\nLoad5: {{load5_avg}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n时间: {{timestamp}}\n\n[查看详情]({{display_url}})\n\n[查看记录]({{record_url}})\n','','1.0','2021-05-28 11:55:07','2021-05-28 11:55:07',1),(6710,'机器负载异常恢复','machine','machine_load5','dingding','recover','【{{cluster_name}}集群机器{{host_ip}}负载异常恢复】','【机器负载异常恢复】\n\nLoad5: {{load5_avg}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','{\"trigger_duration\":\"time:ms\"}','1.0','2021-05-28 11:55:07','2021-05-28 11:55:07',1),(6711,'机器负载异常恢复','machine','machine_load5','ticket','recover','【{{cluster_name}}集群机器{{host_ip}}负载异常恢复】','【机器负载异常恢复】\n\nLoad5: {{load5_avg}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','{\"trigger_duration\":\"time:ms\"}','1.0','2021-05-28 11:55:07','2021-05-28 11:55:07',1),(6712,'机器负载异常恢复','machine','machine_load5','email','recover','【{{cluster_name}}集群机器{{host_ip}}负载异常恢复】','【机器负载异常恢复】\n\nLoad5: {{load5_avg}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','{\"trigger_duration\":\"time:ms\"}','1.0','2021-05-28 11:55:07','2021-05-28 11:55:07',1),(6713,'机器负载异常恢复','machine','machine_load5','mbox','recover','【{{cluster_name}}集群机器{{host_ip}}负载异常恢复】','【机器负载异常恢复】\n\nLoad5: {{load5_avg}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','{\"trigger_duration\":\"time:ms\"}','1.0','2021-05-28 11:55:07','2021-05-28 11:55:07',1),(6714,'机器负载异常恢复','machine','machine_load5','webhook','recover','【{{cluster_name}}集群机器{{host_ip}}负载异常恢复】','【机器负载异常恢复】\n\nLoad5: {{load5_avg}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','{\"trigger_duration\":\"time:ms\"}','1.0','2021-05-28 11:55:07','2021-05-28 11:55:07',1),(6715,'网盘容量异常告警','machine','machine_netdisk','dingding','alert','【{{cluster_name}}集群网盘使用率异常告警】','【网盘使用率异常告警】\n\n使用率: {{used_percent_value}}\n\n容量: {{total_value}}\n\n集群: {{cluster_name}}\n\n时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','{\"total_value\":\"size:byte\",\"used_percent_value\":\"percent:2\"}','1.0','2021-05-28 11:55:07','2021-05-28 11:55:07',1),(6716,'网盘容量异常告警','machine','machine_netdisk','ticket','alert','【{{cluster_name}}集群网盘使用率异常告警】','【网盘使用率异常告警】\n\n使用率: {{used_percent_value}}\n\n容量: {{total_value}}\n\n集群: {{cluster_name}}\n\n时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','{\"total_value\":\"size:byte\",\"used_percent_value\":\"percent:2\"}','1.0','2021-05-28 11:55:07','2021-05-28 11:55:07',1),(6717,'网盘容量异常告警','machine','machine_netdisk','email','alert','【{{cluster_name}}集群网盘使用率异常告警】','【网盘使用率异常告警】\n\n使用率: {{used_percent_value}}\n\n容量: {{total_value}}\n\n集群: {{cluster_name}}\n\n时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','{\"total_value\":\"size:byte\",\"used_percent_value\":\"percent:2\"}','1.0','2021-05-28 11:55:07','2021-05-28 11:55:07',1),(6718,'网盘容量异常告警','machine','machine_netdisk','mbox','alert','【{{cluster_name}}集群网盘使用率异常告警】','【网盘使用率异常告警】\n\n使用率: {{used_percent_value}}\n\n容量: {{total_value}}\n\n集群: {{cluster_name}}\n\n时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','{\"total_value\":\"size:byte\",\"used_percent_value\":\"percent:2\"}','1.0','2021-05-28 11:55:07','2021-05-28 11:55:07',1),(6719,'网盘容量异常告警','machine','machine_netdisk','webhook','alert','【{{cluster_name}}集群网盘使用率异常告警】','【网盘使用率异常告警】\n\n使用率: {{used_percent_value}}\n\n容量: {{total_value}}\n\n集群: {{cluster_name}}\n\n时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','{\"total_value\":\"size:byte\",\"used_percent_value\":\"percent:2\"}','1.0','2021-05-28 11:55:07','2021-05-28 11:55:07',1),(6720,'网盘容量异常恢复','machine','machine_netdisk','dingding','recover','【{{cluster_name}}集群网盘使用率异常恢复】','【网盘使用率异常恢复】\n\n使用率: {{used_percent_value}}\n\n集群: {{cluster_name}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','{\"trigger_duration\":\"time:ms\",\"used_percent_value\":\"percent:2\"}','1.0','2021-05-28 11:55:07','2021-05-28 11:55:07',1),(6721,'网盘容量异常恢复','machine','machine_netdisk','ticket','recover','【{{cluster_name}}集群网盘使用率异常恢复】','【网盘使用率异常恢复】\n\n使用率: {{used_percent_value}}\n\n集群: {{cluster_name}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','{\"trigger_duration\":\"time:ms\",\"used_percent_value\":\"percent:2\"}','1.0','2021-05-28 11:55:07','2021-05-28 11:55:07',1),(6722,'网盘容量异常恢复','machine','machine_netdisk','email','recover','【{{cluster_name}}集群网盘使用率异常恢复】','【网盘使用率异常恢复】\n\n使用率: {{used_percent_value}}\n\n集群: {{cluster_name}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','{\"trigger_duration\":\"time:ms\",\"used_percent_value\":\"percent:2\"}','1.0','2021-05-28 11:55:07','2021-05-28 11:55:07',1),(6723,'网盘容量异常恢复','machine','machine_netdisk','mbox','recover','【{{cluster_name}}集群网盘使用率异常恢复】','【网盘使用率异常恢复】\n\n使用率: {{used_percent_value}}\n\n集群: {{cluster_name}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','{\"trigger_duration\":\"time:ms\",\"used_percent_value\":\"percent:2\"}','1.0','2021-05-28 11:55:07','2021-05-28 11:55:07',1),(6724,'网盘容量异常恢复','machine','machine_netdisk','webhook','recover','【{{cluster_name}}集群网盘使用率异常恢复】','【网盘使用率异常恢复】\n\n使用率: {{used_percent_value}}\n\n集群: {{cluster_name}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','{\"trigger_duration\":\"time:ms\",\"used_percent_value\":\"percent:2\"}','1.0','2021-05-28 11:55:07','2021-05-28 11:55:07',1),(6725,'网盘容量使用量异常告警','machine','machine_netdisk_used','dingding','alert','【{{cluster_name}}集群网盘使用率异常告警】','【网盘使用异常告警】\n\n使用: {{used}}GB\n\n容量: {{total}}GB\n\n集群: {{cluster_name}}\n\n时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','{}','1.0','2021-05-28 11:55:07','2021-05-28 11:55:07',1),(6726,'网盘容量使用量异常告警','machine','machine_netdisk_used','ticket','alert','【{{cluster_name}}集群网盘使用率异常告警】','【网盘使用异常告警】\n\n使用: {{used}}GB\n\n容量: {{total}}GB\n\n集群: {{cluster_name}}\n\n时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','{}','1.0','2021-05-28 11:55:07','2021-05-28 11:55:07',1),(6727,'网盘容量使用量异常告警','machine','machine_netdisk_used','email','alert','【{{cluster_name}}集群网盘使用率异常告警】','【网盘使用异常告警】\n\n使用: {{used}}GB\n\n容量: {{total}}GB\n\n集群: {{cluster_name}}\n\n时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','{}','1.0','2021-05-28 11:55:07','2021-05-28 11:55:07',1),(6728,'网盘容量使用量异常告警','machine','machine_netdisk_used','mbox','alert','【{{cluster_name}}集群网盘使用率异常告警】','【网盘使用异常告警】\n\n使用: {{used}}GB\n\n容量: {{total}}GB\n\n集群: {{cluster_name}}\n\n时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','{}','1.0','2021-05-28 11:55:07','2021-05-28 11:55:07',1),(6729,'网盘容量使用量异常告警','machine','machine_netdisk_used','webhook','alert','【{{cluster_name}}集群网盘使用率异常告警】','【网盘使用异常告警】\n\n使用: {{used}}GB\n\n容量: {{total}}GB\n\n集群: {{cluster_name}}\n\n时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','{}','1.0','2021-05-28 11:55:07','2021-05-28 11:55:07',1),(6730,'网盘容量异常恢复','machine','machine_netdisk_used','dingding','recover','【{{cluster_name}}集群网盘使用率异常恢复】','【网盘使用率异常恢复】\n\n使用: {{used}}GB\n\n集群: {{cluster_name}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','{\"trigger_duration\":\"time:ms\"}','1.0','2021-05-28 11:55:07','2021-05-28 11:55:07',1),(6731,'网盘容量异常恢复','machine','machine_netdisk_used','ticket','recover','【{{cluster_name}}集群网盘使用率异常恢复】','【网盘使用率异常恢复】\n\n使用: {{used}}GB\n\n集群: {{cluster_name}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','{\"trigger_duration\":\"time:ms\"}','1.0','2021-05-28 11:55:07','2021-05-28 11:55:07',1),(6732,'网盘容量异常恢复','machine','machine_netdisk_used','email','recover','【{{cluster_name}}集群网盘使用率异常恢复】','【网盘使用率异常恢复】\n\n使用: {{used}}GB\n\n集群: {{cluster_name}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','{\"trigger_duration\":\"time:ms\"}','1.0','2021-05-28 11:55:07','2021-05-28 11:55:07',1),(6733,'网盘容量异常恢复','machine','machine_netdisk_used','mbox','recover','【{{cluster_name}}集群网盘使用率异常恢复】','【网盘使用率异常恢复】\n\n使用: {{used}}GB\n\n集群: {{cluster_name}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','{\"trigger_duration\":\"time:ms\"}','1.0','2021-05-28 11:55:07','2021-05-28 11:55:07',1),(6734,'网盘容量异常恢复','machine','machine_netdisk_used','webhook','recover','【{{cluster_name}}集群网盘使用率异常恢复】','【网盘使用率异常恢复】\n\n使用: {{used}}GB\n\n集群: {{cluster_name}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','{\"trigger_duration\":\"time:ms\"}','1.0','2021-05-28 11:55:07','2021-05-28 11:55:07',1),(6735,'宕机告警','machine','machine_status','dingding','alert','【{{cluster_name}}集群机器{{host_ip}}宕机告警】','【宕机告警】\n\n机器{{window}}分钟内无消息, 疑似发生宕机\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n最近活跃时间: {{last_timestamp_value}}\n\n时间: {{timestamp}}\n\n[查看详情]({{display_url}})\n\n[查看记录]({{record_url}})\n','{\"last_timestamp_value\":\"date\"}','1.0','2021-05-28 11:55:07','2021-05-28 11:55:07',1),(6736,'宕机告警','machine','machine_status','ticket','alert','【{{cluster_name}}集群机器{{host_ip}}宕机告警】','【宕机告警】\n\n机器{{window}}分钟内无消息, 疑似发生宕机\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n最近活跃时间: {{last_timestamp_value}}\n\n时间: {{timestamp}}\n\n[查看详情]({{display_url}})\n\n[查看记录]({{record_url}})\n','{\"last_timestamp_value\":\"date\"}','1.0','2021-05-28 11:55:07','2021-05-28 11:55:07',1),(6737,'宕机告警','machine','machine_status','email','alert','【{{cluster_name}}集群机器{{host_ip}}宕机告警】','【宕机告警】\n\n机器{{window}}分钟内无消息, 疑似发生宕机\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n最近活跃时间: {{last_timestamp_value}}\n\n时间: {{timestamp}}\n\n[查看详情]({{display_url}})\n\n[查看记录]({{record_url}})\n','{\"last_timestamp_value\":\"date\"}','1.0','2021-05-28 11:55:07','2021-05-28 11:55:07',1),(6738,'宕机告警','machine','machine_status','mbox','alert','【{{cluster_name}}集群机器{{host_ip}}宕机告警】','【宕机告警】\n\n机器{{window}}分钟内无消息, 疑似发生宕机\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n最近活跃时间: {{last_timestamp_value}}\n\n时间: {{timestamp}}\n\n[查看详情]({{display_url}})\n\n[查看记录]({{record_url}})\n','{\"last_timestamp_value\":\"date\"}','1.0','2021-05-28 11:55:07','2021-05-28 11:55:07',1),(6739,'宕机告警','machine','machine_status','webhook','alert','【{{cluster_name}}集群机器{{host_ip}}宕机告警】','【宕机告警】\n\n机器{{window}}分钟内无消息, 疑似发生宕机\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n最近活跃时间: {{last_timestamp_value}}\n\n时间: {{timestamp}}\n\n[查看详情]({{display_url}})\n\n[查看记录]({{record_url}})\n','{\"last_timestamp_value\":\"date\"}','1.0','2021-05-28 11:55:07','2021-05-28 11:55:07',1),(6740,'宕机恢复','machine','machine_status','dingding','recover','【{{cluster_name}}集群机器{{host_ip}}宕机恢复】','【宕机恢复】\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','{\"trigger_duration\":\"time:ms\"}','1.0','2021-05-28 11:55:07','2021-05-28 11:55:07',1),(6741,'宕机恢复','machine','machine_status','ticket','recover','【{{cluster_name}}集群机器{{host_ip}}宕机恢复】','【宕机恢复】\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','{\"trigger_duration\":\"time:ms\"}','1.0','2021-05-28 11:55:07','2021-05-28 11:55:07',1),(6742,'宕机恢复','machine','machine_status','email','recover','【{{cluster_name}}集群机器{{host_ip}}宕机恢复】','【宕机恢复】\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','{\"trigger_duration\":\"time:ms\"}','1.0','2021-05-28 11:55:07','2021-05-28 11:55:07',1),(6743,'宕机恢复','machine','machine_status','mbox','recover','【{{cluster_name}}集群机器{{host_ip}}宕机恢复】','【宕机恢复】\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','{\"trigger_duration\":\"time:ms\"}','1.0','2021-05-28 11:55:07','2021-05-28 11:55:07',1),(6744,'宕机恢复','machine','machine_status','webhook','recover','【{{cluster_name}}集群机器{{host_ip}}宕机恢复】','【宕机恢复】\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','{\"trigger_duration\":\"time:ms\"}','1.0','2021-05-28 11:55:07','2021-05-28 11:55:07',1),(6745,'API网关实例CPU使用率异常','micro_service','api_gateway_cpu','dingding','alert','【API网关实例CPU使用率告警】\n','【API网关实例CPU使用率异常告警】\n\n组件: {{addon_type}}\n\n实例: {{pod_namespace}} - {{pod_name}}\n\nCPU平均使用率: {{cpu_usage_percent_avg}}\n\nCPU限制: {{cpu_limit_value}}核\n\nCPU分配: {{cpu_allocation_value}}核\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','{\"container_id\":\"string:6\",\"cpu_allocation_value\":\"fraction:1\",\"cpu_limit_value\":\"fraction:1\",\"cpu_usage_percent_avg\":\"percent:1\"}','1.0','2021-05-28 11:55:07','2021-05-28 11:55:07',1),(6746,'API网关实例CPU使用率异常','micro_service','api_gateway_cpu','ticket','alert','【API网关实例CPU使用率告警】\n','【API网关实例CPU使用率异常告警】\n\n组件: {{addon_type}}\n\n实例: {{pod_namespace}} - {{pod_name}}\n\nCPU平均使用率: {{cpu_usage_percent_avg}}\n\nCPU限制: {{cpu_limit_value}}核\n\nCPU分配: {{cpu_allocation_value}}核\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','{\"container_id\":\"string:6\",\"cpu_allocation_value\":\"fraction:1\",\"cpu_limit_value\":\"fraction:1\",\"cpu_usage_percent_avg\":\"percent:1\"}','1.0','2021-05-28 11:55:07','2021-05-28 11:55:07',1),(6747,'API网关实例CPU使用率异常','micro_service','api_gateway_cpu','email','alert','【API网关实例CPU使用率告警】\n','【API网关实例CPU使用率异常告警】\n\n组件: {{addon_type}}\n\n实例: {{pod_namespace}} - {{pod_name}}\n\nCPU平均使用率: {{cpu_usage_percent_avg}}\n\nCPU限制: {{cpu_limit_value}}核\n\nCPU分配: {{cpu_allocation_value}}核\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','{\"container_id\":\"string:6\",\"cpu_allocation_value\":\"fraction:1\",\"cpu_limit_value\":\"fraction:1\",\"cpu_usage_percent_avg\":\"percent:1\"}','1.0','2021-05-28 11:55:07','2021-05-28 11:55:07',1),(6748,'API网关实例CPU使用率异常','micro_service','api_gateway_cpu','mbox','alert','【API网关实例CPU使用率告警】\n','【API网关实例CPU使用率异常告警】\n\n组件: {{addon_type}}\n\n实例: {{pod_namespace}} - {{pod_name}}\n\nCPU平均使用率: {{cpu_usage_percent_avg}}\n\nCPU限制: {{cpu_limit_value}}核\n\nCPU分配: {{cpu_allocation_value}}核\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','{\"container_id\":\"string:6\",\"cpu_allocation_value\":\"fraction:1\",\"cpu_limit_value\":\"fraction:1\",\"cpu_usage_percent_avg\":\"percent:1\"}','1.0','2021-05-28 11:55:07','2021-05-28 11:55:07',1),(6749,'API网关实例CPU使用率异常','micro_service','api_gateway_cpu','webhook','alert','【API网关实例CPU使用率告警】\n','【API网关实例CPU使用率异常告警】\n\n组件: {{addon_type}}\n\n实例: {{pod_namespace}} - {{pod_name}}\n\nCPU平均使用率: {{cpu_usage_percent_avg}}\n\nCPU限制: {{cpu_limit_value}}核\n\nCPU分配: {{cpu_allocation_value}}核\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','{\"container_id\":\"string:6\",\"cpu_allocation_value\":\"fraction:1\",\"cpu_limit_value\":\"fraction:1\",\"cpu_usage_percent_avg\":\"percent:1\"}','1.0','2021-05-28 11:55:07','2021-05-28 11:55:07',1),(6750,'API网关实例内存使用率异常','micro_service','api_gateway_mem','dingding','alert','【API网关实例内存使用率告警】\n','【API网关实例内存使用率异常告警】\n\n组件: {{addon_type}}\n\n实例: {{pod_namespace}} - {{pod_name}}\n\n内存使用率: {{mem_usage_percent_avg}}\n\n内存使用: {{mem_usage_value}}\n\n内存限制: {{mem_limit_value}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','{\"container_id\":\"string:6\",\"mem_limit_value\":\"size:byte\",\"mem_usage_percent_avg\":\"percent:1\",\"mem_usage_value\":\"size:byte\"}','1.0','2021-05-28 11:55:07','2021-05-28 11:55:07',1),(6751,'API网关实例内存使用率异常','micro_service','api_gateway_mem','ticket','alert','【API网关实例内存使用率告警】\n','【API网关实例内存使用率异常告警】\n\n组件: {{addon_type}}\n\n实例: {{pod_namespace}} - {{pod_name}}\n\n内存使用率: {{mem_usage_percent_avg}}\n\n内存使用: {{mem_usage_value}}\n\n内存限制: {{mem_limit_value}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','{\"container_id\":\"string:6\",\"mem_limit_value\":\"size:byte\",\"mem_usage_percent_avg\":\"percent:1\",\"mem_usage_value\":\"size:byte\"}','1.0','2021-05-28 11:55:07','2021-05-28 11:55:07',1),(6752,'API网关实例内存使用率异常','micro_service','api_gateway_mem','email','alert','【API网关实例内存使用率告警】\n','【API网关实例内存使用率异常告警】\n\n组件: {{addon_type}}\n\n实例: {{pod_namespace}} - {{pod_name}}\n\n内存使用率: {{mem_usage_percent_avg}}\n\n内存使用: {{mem_usage_value}}\n\n内存限制: {{mem_limit_value}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','{\"container_id\":\"string:6\",\"mem_limit_value\":\"size:byte\",\"mem_usage_percent_avg\":\"percent:1\",\"mem_usage_value\":\"size:byte\"}','1.0','2021-05-28 11:55:07','2021-05-28 11:55:07',1),(6753,'API网关实例内存使用率异常','micro_service','api_gateway_mem','mbox','alert','【API网关实例内存使用率告警】\n','【API网关实例内存使用率异常告警】\n\n组件: {{addon_type}}\n\n实例: {{pod_namespace}} - {{pod_name}}\n\n内存使用率: {{mem_usage_percent_avg}}\n\n内存使用: {{mem_usage_value}}\n\n内存限制: {{mem_limit_value}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','{\"container_id\":\"string:6\",\"mem_limit_value\":\"size:byte\",\"mem_usage_percent_avg\":\"percent:1\",\"mem_usage_value\":\"size:byte\"}','1.0','2021-05-28 11:55:07','2021-05-28 11:55:07',1),(6754,'API网关实例内存使用率异常','micro_service','api_gateway_mem','webhook','alert','【API网关实例内存使用率告警】\n','【API网关实例内存使用率异常告警】\n\n组件: {{addon_type}}\n\n实例: {{pod_namespace}} - {{pod_name}}\n\n内存使用率: {{mem_usage_percent_avg}}\n\n内存使用: {{mem_usage_value}}\n\n内存限制: {{mem_limit_value}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','{\"container_id\":\"string:6\",\"mem_limit_value\":\"size:byte\",\"mem_usage_percent_avg\":\"percent:1\",\"mem_usage_value\":\"size:byte\"}','1.0','2021-05-28 11:55:07','2021-05-28 11:55:07',1),(6755,'注册中心实例CPU使用率异常','micro_service','register_center_cpu','dingding','alert','【注册中心实例CPU使用率告警】\n','【注册中心实例CPU使用率异常告警】\n\n组件: {{addon_type}}\n\n实例: {{pod_namespace}} - {{pod_name}}\n\nCPU平均使用率: {{cpu_usage_percent_avg}}\n\nCPU限制: {{cpu_limit_value}}核\n\nCPU分配: {{cpu_allocation_value}}核\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','{\"container_id\":\"string:6\",\"cpu_allocation_value\":\"fraction:1\",\"cpu_limit_value\":\"fraction:1\",\"cpu_usage_percent_avg\":\"percent:1\"}','1.0','2021-05-28 11:55:07','2021-05-28 11:55:07',1),(6756,'注册中心实例CPU使用率异常','micro_service','register_center_cpu','ticket','alert','【注册中心实例CPU使用率告警】\n','【注册中心实例CPU使用率异常告警】\n\n组件: {{addon_type}}\n\n实例: {{pod_namespace}} - {{pod_name}}\n\nCPU平均使用率: {{cpu_usage_percent_avg}}\n\nCPU限制: {{cpu_limit_value}}核\n\nCPU分配: {{cpu_allocation_value}}核\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','{\"container_id\":\"string:6\",\"cpu_allocation_value\":\"fraction:1\",\"cpu_limit_value\":\"fraction:1\",\"cpu_usage_percent_avg\":\"percent:1\"}','1.0','2021-05-28 11:55:07','2021-05-28 11:55:07',1),(6757,'注册中心实例CPU使用率异常','micro_service','register_center_cpu','email','alert','【注册中心实例CPU使用率告警】\n','【注册中心实例CPU使用率异常告警】\n\n组件: {{addon_type}}\n\n实例: {{pod_namespace}} - {{pod_name}}\n\nCPU平均使用率: {{cpu_usage_percent_avg}}\n\nCPU限制: {{cpu_limit_value}}核\n\nCPU分配: {{cpu_allocation_value}}核\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','{\"container_id\":\"string:6\",\"cpu_allocation_value\":\"fraction:1\",\"cpu_limit_value\":\"fraction:1\",\"cpu_usage_percent_avg\":\"percent:1\"}','1.0','2021-05-28 11:55:07','2021-05-28 11:55:07',1),(6758,'注册中心实例CPU使用率异常','micro_service','register_center_cpu','mbox','alert','【注册中心实例CPU使用率告警】\n','【注册中心实例CPU使用率异常告警】\n\n组件: {{addon_type}}\n\n实例: {{pod_namespace}} - {{pod_name}}\n\nCPU平均使用率: {{cpu_usage_percent_avg}}\n\nCPU限制: {{cpu_limit_value}}核\n\nCPU分配: {{cpu_allocation_value}}核\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','{\"container_id\":\"string:6\",\"cpu_allocation_value\":\"fraction:1\",\"cpu_limit_value\":\"fraction:1\",\"cpu_usage_percent_avg\":\"percent:1\"}','1.0','2021-05-28 11:55:07','2021-05-28 11:55:07',1),(6759,'注册中心实例CPU使用率异常','micro_service','register_center_cpu','webhook','alert','【注册中心实例CPU使用率告警】\n','【注册中心实例CPU使用率异常告警】\n\n组件: {{addon_type}}\n\n实例: {{pod_namespace}} - {{pod_name}}\n\nCPU平均使用率: {{cpu_usage_percent_avg}}\n\nCPU限制: {{cpu_limit_value}}核\n\nCPU分配: {{cpu_allocation_value}}核\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','{\"container_id\":\"string:6\",\"cpu_allocation_value\":\"fraction:1\",\"cpu_limit_value\":\"fraction:1\",\"cpu_usage_percent_avg\":\"percent:1\"}','1.0','2021-05-28 11:55:07','2021-05-28 11:55:07',1),(6760,'注册中心实例内存使用率异常','micro_service','register_center_mem','dingding','alert','【注册中心实例内存使用率告警】\n','【注册中心实例内存使用率异常告警】\n\n组件: {{addon_type}}\n\n实例: {{pod_namespace}} - {{pod_name}}\n\n内存使用率: {{mem_usage_percent_avg}}\n\n内存使用: {{mem_usage_value}}\n\n内存限制: {{mem_limit_value}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','{\"container_id\":\"string:6\",\"mem_limit_value\":\"size:byte\",\"mem_usage_percent_avg\":\"percent:1\",\"mem_usage_value\":\"size:byte\"}','1.0','2021-05-28 11:55:07','2021-05-28 11:55:07',1),(6761,'注册中心实例内存使用率异常','micro_service','register_center_mem','ticket','alert','【注册中心实例内存使用率告警】\n','【注册中心实例内存使用率异常告警】\n\n组件: {{addon_type}}\n\n实例: {{pod_namespace}} - {{pod_name}}\n\n内存使用率: {{mem_usage_percent_avg}}\n\n内存使用: {{mem_usage_value}}\n\n内存限制: {{mem_limit_value}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','{\"container_id\":\"string:6\",\"mem_limit_value\":\"size:byte\",\"mem_usage_percent_avg\":\"percent:1\",\"mem_usage_value\":\"size:byte\"}','1.0','2021-05-28 11:55:07','2021-05-28 11:55:07',1),(6762,'注册中心实例内存使用率异常','micro_service','register_center_mem','email','alert','【注册中心实例内存使用率告警】\n','【注册中心实例内存使用率异常告警】\n\n组件: {{addon_type}}\n\n实例: {{pod_namespace}} - {{pod_name}}\n\n内存使用率: {{mem_usage_percent_avg}}\n\n内存使用: {{mem_usage_value}}\n\n内存限制: {{mem_limit_value}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','{\"container_id\":\"string:6\",\"mem_limit_value\":\"size:byte\",\"mem_usage_percent_avg\":\"percent:1\",\"mem_usage_value\":\"size:byte\"}','1.0','2021-05-28 11:55:07','2021-05-28 11:55:07',1),(6763,'注册中心实例内存使用率异常','micro_service','register_center_mem','mbox','alert','【注册中心实例内存使用率告警】\n','【注册中心实例内存使用率异常告警】\n\n组件: {{addon_type}}\n\n实例: {{pod_namespace}} - {{pod_name}}\n\n内存使用率: {{mem_usage_percent_avg}}\n\n内存使用: {{mem_usage_value}}\n\n内存限制: {{mem_limit_value}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','{\"container_id\":\"string:6\",\"mem_limit_value\":\"size:byte\",\"mem_usage_percent_avg\":\"percent:1\",\"mem_usage_value\":\"size:byte\"}','1.0','2021-05-28 11:55:07','2021-05-28 11:55:07',1),(6764,'注册中心实例内存使用率异常','micro_service','register_center_mem','webhook','alert','【注册中心实例内存使用率告警】\n','【注册中心实例内存使用率异常告警】\n\n组件: {{addon_type}}\n\n实例: {{pod_namespace}} - {{pod_name}}\n\n内存使用率: {{mem_usage_percent_avg}}\n\n内存使用: {{mem_usage_value}}\n\n内存限制: {{mem_limit_value}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','{\"container_id\":\"string:6\",\"mem_limit_value\":\"size:byte\",\"mem_usage_percent_avg\":\"percent:1\",\"mem_usage_value\":\"size:byte\"}','1.0','2021-05-28 11:55:07','2021-05-28 11:55:07',1),(6765,'服务熔断通知告警','micro_service','sidecar_circuit_breaker','dingding','alert','【{{application_name}}应用{{service_name}}服务发生熔断告警】\n','【服务熔断告警】\n\n服务发生熔断 !\n\n项目: {{project_name}}\n\n环境: {{workspace}}\n\n应用: {{application_name}}\n\n服务: {{runtime_name}} / {{service_name}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','','1.0','2021-05-28 11:55:07','2021-05-28 11:55:07',1),(6766,'服务熔断通知告警','micro_service','sidecar_circuit_breaker','ticket','alert','【{{application_name}}应用{{service_name}}服务发生熔断告警】\n','【服务熔断告警】\n\n服务发生熔断 !\n\n项目: {{project_name}}\n\n环境: {{workspace}}\n\n应用: {{application_name}}\n\n服务: {{runtime_name}} / {{service_name}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','','1.0','2021-05-28 11:55:07','2021-05-28 11:55:07',1),(6767,'服务熔断通知告警','micro_service','sidecar_circuit_breaker','email','alert','【{{application_name}}应用{{service_name}}服务发生熔断告警】\n','【服务熔断告警】\n\n服务发生熔断 !\n\n项目: {{project_name}}\n\n环境: {{workspace}}\n\n应用: {{application_name}}\n\n服务: {{runtime_name}} / {{service_name}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','','1.0','2021-05-28 11:55:07','2021-05-28 11:55:07',1),(6768,'服务熔断通知告警','micro_service','sidecar_circuit_breaker','mbox','alert','【{{application_name}}应用{{service_name}}服务发生熔断告警】\n','【服务熔断告警】\n\n服务发生熔断 !\n\n项目: {{project_name}}\n\n环境: {{workspace}}\n\n应用: {{application_name}}\n\n服务: {{runtime_name}} / {{service_name}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','','1.0','2021-05-28 11:55:07','2021-05-28 11:55:07',1),(6769,'服务熔断通知告警','micro_service','sidecar_circuit_breaker','webhook','alert','【{{application_name}}应用{{service_name}}服务发生熔断告警】\n','【服务熔断告警】\n\n服务发生熔断 !\n\n项目: {{project_name}}\n\n环境: {{workspace}}\n\n应用: {{application_name}}\n\n服务: {{runtime_name}} / {{service_name}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','','1.0','2021-05-28 11:55:07','2021-05-28 11:55:07',1);

CREATE TABLE `sp_alert_record` (
  `group_id` varchar(191) NOT NULL COMMENT '分组ID，唯一键',
  `scope` varchar(16) NOT NULL COMMENT '范围',
  `scope_key` varchar(128) NOT NULL COMMENT '范围Key',
  `alert_group` varchar(128) NOT NULL COMMENT '目标Key',
  `title` varchar(4096) NOT NULL COMMENT '标题',
  `alert_state` varchar(16) NOT NULL COMMENT '告警状态',
  `alert_type` varchar(32) NOT NULL COMMENT '告警类型',
  `alert_index` varchar(128) NOT NULL COMMENT '告警索引',
  `expression_key` varchar(32) NOT NULL COMMENT '告警表达式Key',
  `alert_id` bigint(20) NOT NULL COMMENT '告警ID',
  `alert_name` varchar(32) NOT NULL COMMENT '告警名称',
  `rule_id` bigint(20) NOT NULL COMMENT '告警规则ID',
  `issue_id` bigint(20) DEFAULT NULL COMMENT 'issue ID',
  `handle_state` varchar(16) DEFAULT NULL COMMENT '处理状态',
  `handler_id` varchar(128) DEFAULT NULL COMMENT '处理人ID',
  `alert_time` datetime DEFAULT NULL COMMENT '告警时间',
  `handle_time` datetime DEFAULT NULL COMMENT '处理时间',
  `create_time` datetime NOT NULL DEFAULT CURRENT_TIMESTAMP COMMENT '创建时间',
  `update_time` datetime NOT NULL DEFAULT CURRENT_TIMESTAMP ON UPDATE CURRENT_TIMESTAMP COMMENT '修改时间',
  PRIMARY KEY (`group_id`),
  KEY `idx_scope_key` (`scope_key`),
  KEY `idx_alert_type` (`alert_type`),
  KEY `idx_alert_group` (`alert_group`),
  KEY `idx_handler_id` (`handler_id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COMMENT='告警记录表';

CREATE TABLE `sp_alert_rules` (
  `id` bigint(20) NOT NULL AUTO_INCREMENT COMMENT '主键ID',
  `name` varchar(255)  NOT NULL COMMENT '名称',
  `alert_scope` varchar(32)  NOT NULL COMMENT '范围',
  `alert_type` varchar(32)  NOT NULL COMMENT '类型',
  `alert_index` varchar(255)  NOT NULL COMMENT '索引',
  `template` varchar(4096)  NOT NULL COMMENT '模板JSON，包含cyle、agg、operator、value、unit等信息',
  `attributes` varchar(1024)  NOT NULL COMMENT '扩展属性JSON，包含is_recovery是否恢复后告警',
  `enable` tinyint(1) NOT NULL DEFAULT '1' COMMENT '逻辑删除',
  `create_time` datetime NOT NULL DEFAULT CURRENT_TIMESTAMP COMMENT '创建时间',
  `update_time` datetime NOT NULL DEFAULT CURRENT_TIMESTAMP ON UPDATE CURRENT_TIMESTAMP COMMENT '修改时间',
  PRIMARY KEY (`id`)
) ENGINE=InnoDB AUTO_INCREMENT=841 DEFAULT CHARSET=utf8mb4  COMMENT='告警规则表';


INSERT INTO `sp_alert_rules` (`id`, `name`, `alert_scope`, `alert_type`, `alert_index`, `template`, `attributes`, `enable`, `create_time`, `update_time`) VALUES (81,'应用错误次数','micro_service','app_exception','app_exception_count','{\"filters\":[{\"operator\":\"eq\",\"tag\":\"terminus_key\",\"value\":\"$terminus_key\"},{\"operator\":\"in\",\"tag\":\"application_id\",\"value\":[\"$application_id\"]}],\"functions\":[{\"aggregator\":\"sum\",\"field\":\"count\",\"operator\":\"gte\",\"value\":20}],\"group\":[\"error_id\"],\"metric\":\"error_alert\",\"outputs\":[\"alert\"],\"select\":{\"application_id\":\"#application_id\",\"application_name\":\"#application_name\",\"class\":\"#class\",\"cluster_name\":\"#cluster_name\",\"error_id\":\"#error_id\",\"host_ip\":\"#host_ip\",\"instance_id\":\"#instance_id\",\"line\":\"#line\",\"method\":\"#method\",\"project_id\":\"#project_id\",\"project_name\":\"#project_name\",\"runtime_id\":\"#runtime_id\",\"runtime_name\":\"#runtime_name\",\"service_name\":\"#service_name\",\"terminus_key\":\"#terminus_key\",\"type\":\"#type\",\"workspace\":\"#workspace\"},\"window\":5}','{\"alert_group\":\"{{terminus_key}}-{{error_id}}\",\"display_url_id\":\"micro_error_detail\",\"level\":\"WARNING\",\"recover\":\"false\",\"tickets_metric_key\":\"{{error_id}}\"}',0,'2021-05-28 11:54:51','2021-05-28 11:54:55'),(82,'应用实例CPU使用率异常','micro_service','app_resource','app_resource_container_cpu','{\"filters\":[{\"operator\":\"eq\",\"tag\":\"terminus_key\",\"value\":\"$terminus_key\"},{\"operator\":\"in\",\"tag\":\"application_id\",\"value\":[\"$application_id\"]}],\"functions\":[{\"aggregator\":\"avg\",\"field\":\"usage_percent\",\"field_script\":\"function invoke(fields,tags){return fields.limit===0?fields.usage_percent:fields.usage_percent/fields.limit}\",\"operator\":\"gte\",\"value\":90},{\"aggregator\":\"value\",\"field\":\"limit\"},{\"aggregator\":\"value\",\"field\":\"allocation\"}],\"group\":[\"container_id\"],\"metric\":\"docker_container_cpu\",\"outputs\":[\"alert\"],\"select\":{\"application_id\":\"#application_id\",\"application_name\":\"#application_name\",\"cluster_name\":\"#cluster_name\",\"container_id\":\"#container_id\",\"host_ip\":\"#host_ip\",\"instance_id\":\"#instance_id\",\"project_id\":\"#project_id\",\"project_name\":\"#project_name\",\"runtime_id\":\"#runtime_id\",\"runtime_name\":\"#runtime_name\",\"service_name\":\"#service_name\",\"terminus_key\":\"#terminus_key\"},\"window\":1}','{\"alert_group\":\"{{terminus_key}}-{{container_id}}\",\"display_url_id\":\"workbench_runtime\",\"level\":\"WARNING\",\"recover\":\"false\",\"tickets_metric_key\":\"{{container_id}}\"}',0,'2021-05-28 11:54:51','2021-05-28 11:54:55'),(83,'应用实例内存使用率异常','micro_service','app_resource','app_resource_container_mem','{\"filters\":[{\"operator\":\"eq\",\"tag\":\"terminus_key\",\"value\":\"$terminus_key\"},{\"operator\":\"in\",\"tag\":\"application_id\",\"value\":[\"$application_id\"]}],\"functions\":[{\"aggregator\":\"avg\",\"field\":\"usage_percent\",\"operator\":\"gte\",\"value\":90},{\"aggregator\":\"value\",\"field\":\"usage\"},{\"aggregator\":\"value\",\"field\":\"limit\"},{\"aggregator\":\"value\",\"field\":\"max_usage\"}],\"group\":[\"container_id\"],\"metric\":\"docker_container_mem\",\"outputs\":[\"alert\"],\"select\":{\"application_id\":\"#application_id\",\"application_name\":\"#application_name\",\"cluster_name\":\"#cluster_name\",\"container_id\":\"#container_id\",\"host_ip\":\"#host_ip\",\"instance_id\":\"#instance_id\",\"project_id\":\"#project_id\",\"project_name\":\"#project_name\",\"runtime_id\":\"#runtime_id\",\"runtime_name\":\"#runtime_name\",\"service_name\":\"#service_name\",\"terminus_key\":\"#terminus_key\"},\"window\":1}','{\"alert_group\":\"{{terminus_key}}-{{container_id}}\",\"display_url_id\":\"workbench_runtime\",\"level\":\"WARNING\",\"recover\":\"false\",\"tickets_metric_key\":\"{{container_id}}\"}',0,'2021-05-28 11:54:51','2021-05-28 11:54:55'),(84,'应用实例OOM','micro_service','app_resource','app_resource_container_oom','{\"filters\":[{\"operator\":\"eq\",\"tag\":\"terminus_key\",\"value\":\"$terminus_key\"},{\"operator\":\"in\",\"tag\":\"application_id\",\"value\":[\"$application_id\"]}],\"functions\":[{\"aggregator\":\"values\",\"field\":\"oomkilled\",\"operator\":\"contains\",\"value\":true}],\"group\":[\"container_id\"],\"metric\":\"docker_container_status\",\"outputs\":[\"alert\"],\"select\":{\"application_id\":\"#application_id\",\"application_name\":\"#application_name\",\"cluster_name\":\"#cluster_name\",\"container_id\":\"#container_id\",\"host_ip\":\"#host_ip\",\"instance_id\":\"#instance_id\",\"project_id\":\"#project_id\",\"project_name\":\"#project_name\",\"runtime_id\":\"#runtime_id\",\"runtime_name\":\"#runtime_name\",\"service_name\":\"#service_name\",\"terminus_key\":\"#terminus_key\"},\"window\":1}','{\"alert_group\":\"{{terminus_key}}-{{container_id}}\",\"display_url_id\":\"workbench_runtime\",\"level\":\"WARNING\",\"recover\":\"false\",\"tickets_metric_key\":\"{{container_id}}\"}',0,'2021-05-28 11:54:51','2021-05-28 11:54:55'),(85,'应用JVM GC次数','micro_service','app_resource','app_resource_jvm_gc_count','{\"filters\":[{\"operator\":\"eq\",\"tag\":\"name\",\"value\":\"concurrentmarksweep\"},{\"operator\":\"eq\",\"tag\":\"terminus_key\",\"value\":\"$terminus_key\"},{\"operator\":\"in\",\"tag\":\"application_id\",\"value\":[\"$application_id\"]}],\"functions\":[{\"aggregator\":\"sum\",\"field\":\"count\",\"operator\":\"gte\",\"value\":5}],\"group\":[\"instance_id\"],\"metric\":\"jvm_gc\",\"outputs\":[\"alert\"],\"select\":{\"application_id\":\"#application_id\",\"application_name\":\"#application_name\",\"cluster_name\":\"#cluster_name\",\"host_ip\":\"#host_ip\",\"instance_id\":\"#instance_id\",\"project_id\":\"#project_id\",\"project_name\":\"#project_name\",\"runtime_id\":\"#runtime_id\",\"runtime_name\":\"#runtime_name\",\"service_name\":\"#service_name\",\"terminus_key\":\"#terminus_key\",\"workspace\":\"#workspace\"},\"window\":3}','{\"alert_group\":\"{{terminus_key}}-{{instance_id}}\",\"display_url_id\":\"micro_jvm\",\"level\":\"WARNING\",\"recover\":\"false\",\"tickets_metric_key\":\"{{instance_id}}\"}',0,'2021-05-28 11:54:51','2021-05-28 11:54:55'),(86,'应用JVM GC 耗时','micro_service','app_resource','app_resource_jvm_gc_time','{\"condition\":\"or\",\"filters\":[{\"operator\":\"eq\",\"tag\":\"name\",\"value\":\"concurrentmarksweep\"},{\"operator\":\"eq\",\"tag\":\"terminus_key\",\"value\":\"$terminus_key\"},{\"operator\":\"in\",\"tag\":\"application_id\",\"value\":[\"$application_id\"]}],\"functions\":[{\"aggregator\":\"value\",\"field\":\"time\",\"operator\":\"gte\",\"value\":400},{\"aggregator\":\"sum\",\"field\":\"time\",\"operator\":\"gte\",\"value\":1000}],\"group\":[\"instance_id\"],\"metric\":\"jvm_gc\",\"outputs\":[\"alert\"],\"select\":{\"application_id\":\"#application_id\",\"application_name\":\"#application_name\",\"cluster_name\":\"#cluster_name\",\"host_ip\":\"#host_ip\",\"instance_id\":\"#instance_id\",\"project_id\":\"#project_id\",\"project_name\":\"#project_name\",\"runtime_id\":\"#runtime_id\",\"runtime_name\":\"#runtime_name\",\"service_name\":\"#service_name\",\"terminus_key\":\"#terminus_key\",\"workspace\":\"#workspace\"},\"window\":1}','{\"alert_group\":\"{{terminus_key}}-{{instance_id}}\",\"display_url_id\":\"micro_jvm\",\"level\":\"WARNING\",\"recover\":\"false\",\"tickets_metric_key\":\"{{instance_id}}\"}',0,'2021-05-28 11:54:51','2021-05-28 11:54:55'),(87,'应用JVM堆内存','micro_service','app_resource','app_resource_jvm_heap','{\"condition\":\"and\",\"filters\":[{\"operator\":\"eq\",\"tag\":\"name\",\"value\":\"heap_memory\"},{\"operator\":\"eq\",\"tag\":\"terminus_key\",\"value\":\"$terminus_key\"},{\"operator\":\"in\",\"tag\":\"application_id\",\"value\":[\"$application_id\"]}],\"functions\":[{\"aggregator\":\"avg\",\"field\":\"usage_percent\",\"field_script\":\"function invoke(field, tag){ return field.used / field.max * 100; }\",\"operator\":\"gte\",\"value\":75},{\"aggregator\":\"value\",\"field\":\"used\"},{\"aggregator\":\"value\",\"field\":\"max\"}],\"group\":[\"instance_id\"],\"metric\":\"jvm_memory\",\"outputs\":[\"alert\"],\"select\":{\"application_id\":\"#application_id\",\"application_name\":\"#application_name\",\"cluster_name\":\"#cluster_name\",\"host_ip\":\"#host_ip\",\"instance_id\":\"#instance_id\",\"project_id\":\"#project_id\",\"project_name\":\"#project_name\",\"runtime_id\":\"#runtime_id\",\"runtime_name\":\"#runtime_name\",\"service_name\":\"#service_name\",\"terminus_key\":\"#terminus_key\",\"workspace\":\"#workspace\"},\"window\":1}','{\"alert_group\":\"{{terminus_key}}-{{instance_id}}\",\"display_url_id\":\"micro_jvm\",\"level\":\"WARNING\",\"recover\":\"false\",\"tickets_metric_key\":\"{{instance_id}}\"}',0,'2021-05-28 11:54:51','2021-05-28 11:54:55'),(88,'应用NodeJS堆内存使用率','micro_service','app_resource','app_resource_nodejs_heap','{\"filters\":[{\"operator\":\"eq\",\"tag\":\"terminus_key\",\"value\":\"$terminus_key\"},{\"operator\":\"in\",\"tag\":\"application_id\",\"value\":[\"$application_id\"]}],\"functions\":[{\"aggregator\":\"avg\",\"field\":\"usage_percent\",\"field_script\":\"function invoke(field, tag){ if(!field.max) { return 0; } return field.rss / field.max * 100; }\",\"operator\":\"gte\",\"value\":75},{\"aggregator\":\"value\",\"field\":\"heap_used\"},{\"aggregator\":\"value\",\"field\":\"heap_total\"},{\"aggregator\":\"value\",\"field\":\"rss\"},{\"aggregator\":\"value\",\"field\":\"max\"}],\"group\":[\"instance_id\"],\"metric\":\"nodejs_memory\",\"outputs\":[\"alert\"],\"select\":{\"application_id\":\"#application_id\",\"application_name\":\"#application_name\",\"cluster_name\":\"#cluster_name\",\"host_ip\":\"#host_ip\",\"instance_id\":\"#instance_id\",\"project_id\":\"#project_id\",\"project_name\":\"#project_name\",\"runtime_id\":\"#runtime_id\",\"runtime_name\":\"#runtime_name\",\"service_name\":\"#service_name\",\"terminus_key\":\"#terminus_key\",\"workspace\":\"#workspace\"},\"window\":1}','{\"alert_group\":\"{{terminus_key}}-{{instance_id}}\",\"display_url_id\":\"micro_nodejs\",\"level\":\"WARNING\",\"recover\":\"false\",\"tickets_metric_key\":\"{{instance_id}}\"}',0,'2021-05-28 11:54:51','2021-05-28 11:54:55'),(89,'页面内容改变','micro_service','app_status','app_status_browser','{\"alias\":\"status_page_browser\",\"filters\":[{\"operator\":\"eq\",\"tag\":\"terminus_key\",\"value\":\"$terminus_key\"},{\"operator\":\"eq\",\"tag\":\"type\",\"value\":\"browser\"}],\"functions\":[{\"aggregator\":\"value\",\"field\":\"diff_screenshot\",\"operator\":\"eq\",\"value\":false}],\"group\":[\"metric\"],\"metric\":\"status_page\",\"outputs\":[\"alert\"],\"select\":{\"metric_id\":\"#metric\",\"project_id\":\"#project_id\",\"project_name\":\"#project_name\",\"status_metric_name\":\"#metric_name\",\"terminus_key\":\"#terminus_key\",\"type\":\"#type\",\"url\":\"#url\",\"workspace\":\"#env\"},\"window\":1}','{\"alert_group\":\"{{terminus_key}}-{{metric_id}}\",\"display_url_id\":\"micro_status_detail\",\"level\":\"ERROR\",\"recover\":\"false\",\"tickets_metric_key\":\"{{metric_id}}\"}',0,'2021-05-28 11:54:51','2021-05-28 11:54:55'),(90,'主动监控HTTP状态异常','micro_service','app_status','app_status_code','{\"filters\":[{\"operator\":\"eq\",\"tag\":\"terminus_key\",\"value\":\"$terminus_key\"},{\"operator\":\"eq\",\"tag\":\"type\",\"value\":\"http\"}],\"functions\":[{\"aggregator\":\"sum\",\"field\":\"retry\"},{\"aggregator\":\"min\",\"field\":\"code\",\"operator\":\"gte\",\"value\":400}],\"group\":[\"metric\"],\"metric\":\"status_page\",\"outputs\":[\"alert\"],\"select\":{\"metric_id\":\"#metric\",\"project_id\":\"#project_id\",\"project_name\":\"#project_name\",\"status_metric_name\":\"#metric_name\",\"terminus_key\":\"#terminus_key\",\"type\":\"#type\",\"url\":\"#url\",\"workspace\":\"#env\"},\"window\":1}','{\"alert_group\":\"{{terminus_key}}-{{metric_id}}\",\"display_url_id\":\"micro_status_detail\",\"level\":\"ERROR\",\"recover\":\"true\",\"tickets_metric_key\":\"{{metric_id}}\"}',0,'2021-05-28 11:54:51','2021-05-28 11:54:55'),(91,'服务接口HTTP错误率异常','micro_service','app_transaction','app_transaction_http_path_error','{\"condition\":\"and\",\"filters\":[{\"operator\":\"eq\",\"tag\":\"target_terminus_key\",\"value\":\"$target_terminus_key\"},{\"operator\":\"in\",\"tag\":\"target_application_id\",\"value\":[\"$target_application_id\"]}],\"functions\":[{\"aggregator\":\"sum\",\"field\":\"elapsed_count\",\"operator\":\"gte\",\"value\":10},{\"aggregator\":\"sum\",\"field\":\"error_count\",\"field_script\":\"function invoke(field, tag){ if(field.http_status_code_mean \\u003c 500) { return 0; } return field.elapsed_count; }\"},{\"aggregator\":\"value\",\"field\":\"error_percent\",\"field_script\":\"function invoke(field, tag){ if(!field.elapsed_count_sum) return 0; return field.elapsed_count_sum === 0 ? 0 : (field.error_count_sum / field.elapsed_count_sum * 100);}\",\"operator\":\"gte\",\"trigger\":\"aggregated\",\"value\":50}],\"group\":[\"target_runtime_id\",\"target_service_name\",\"http_path\",\"http_method\"],\"metric\":\"application_http\",\"outputs\":[\"alert\"],\"select\":{\"application_id\":\"#target_application_id\",\"application_name\":\"#target_application_name\",\"http_method\":\"#http_method\",\"http_path\":\"#http_path\",\"http_url\":\"#http_url\",\"project_id\":\"#target_project_id\",\"project_name\":\"#target_project_name\",\"runtime_id\":\"#target_runtime_id\",\"runtime_name\":\"#target_runtime_name\",\"service_name\":\"#target_service_name\",\"terminus_key\":\"#target_terminus_key\",\"workspace\":\"#target_workspace\"},\"window\":1}','{\"alert_group\":\"{{target_terminus_key}}-{{target_runtime_id}}-{{target_service_name}}-{{http_path}}-{{http_method}}\",\"display_url_id\":\"micro_si_web\",\"level\":\"WARNING\",\"recover\":\"false\",\"tickets_metric_key\":\"{{target_application_id}}\"}',0,'2021-05-28 11:54:51','2021-05-28 11:54:55'),(92,'服务接口HTTP慢事务异常','micro_service','app_transaction','app_transaction_http_path_rt','{\"condition\":\"and\",\"filters\":[{\"operator\":\"eq\",\"tag\":\"target_terminus_key\",\"value\":\"$target_terminus_key\"},{\"operator\":\"in\",\"tag\":\"target_application_id\",\"value\":[\"$target_application_id\"]}],\"functions\":[{\"aggregator\":\"sum\",\"field\":\"elapsed\",\"field_script\":\"function invoke(field, tag){ return field.elapsed_sum / 1000000; }\"},{\"aggregator\":\"sum\",\"field\":\"elapsed_count\",\"operator\":\"gte\",\"value\":10},{\"aggregator\":\"value\",\"field\":\"elapsed_avg\",\"field_script\":\"function invoke(field, tag){ if(!field.elapsed_count_sum) return 0; return field.elapsed_count_sum === 0 ? 0 : (field.elapsed_sum / field.elapsed_count_sum);}\",\"operator\":\"gte\",\"trigger\":\"aggregated\",\"value\":3000}],\"group\":[\"target_runtime_id\",\"target_service_name\",\"http_path\",\"http_method\"],\"metric\":\"application_http\",\"outputs\":[\"alert\"],\"select\":{\"application_id\":\"#target_application_id\",\"application_name\":\"#target_application_name\",\"http_method\":\"#http_method\",\"http_path\":\"#http_path\",\"http_url\":\"#http_url\",\"project_id\":\"#target_project_id\",\"project_name\":\"#target_project_name\",\"runtime_id\":\"#target_runtime_id\",\"runtime_name\":\"#target_runtime_name\",\"service_name\":\"#target_service_name\",\"terminus_key\":\"#target_terminus_key\",\"workspace\":\"#target_workspace\"},\"window\":1}','{\"alert_group\":\"{{target_terminus_key}}-{{target_runtime_id}}-{{target_service_name}}-{{http_path}}-{{http_method}}\",\"display_url_id\":\"micro_si_web\",\"level\":\"WARNING\",\"recover\":\"false\",\"tickets_metric_key\":\"{{target_application_id}}\"}',0,'2021-05-28 11:54:51','2021-05-28 11:54:55'),(93,'服务HTTP错误率异常','micro_service','app_transaction','app_transaction_http_service_error','{\"condition\":\"and\",\"filters\":[{\"operator\":\"eq\",\"tag\":\"target_terminus_key\",\"value\":\"$target_terminus_key\"},{\"operator\":\"in\",\"tag\":\"target_application_id\",\"value\":[\"$target_application_id\"]}],\"functions\":[{\"aggregator\":\"sum\",\"field\":\"elapsed_count\"},{\"aggregator\":\"sum\",\"field\":\"error_count\",\"field_script\":\"function invoke(field, tag){ if(field.http_status_code_mean \\u003c 500) { return 0; } return field.elapsed_count; }\"},{\"aggregator\":\"value\",\"field\":\"error_percent\",\"field_script\":\"function invoke(field, tag){ if(!field.elapsed_count_sum) return 0; return field.elapsed_count_sum === 0 ? 0 : (field.error_count_sum / field.elapsed_count_sum * 100);}\",\"operator\":\"gte\",\"trigger\":\"aggregated\",\"value\":30}],\"group\":[\"target_runtime_id\",\"target_service_name\"],\"metric\":\"application_http\",\"outputs\":[\"alert\"],\"select\":{\"application_id\":\"#target_application_id\",\"application_name\":\"#target_application_name\",\"project_id\":\"#target_project_id\",\"project_name\":\"#target_project_name\",\"runtime_id\":\"#target_runtime_id\",\"runtime_name\":\"#target_runtime_name\",\"service_name\":\"#target_service_name\",\"terminus_key\":\"#target_terminus_key\",\"workspace\":\"#target_workspace\"},\"window\":1}','{\"alert_group\":\"{{target_terminus_key}}-{{target_runtime_id}}-{{target_service_name}}\",\"display_url_id\":\"micro_si_web\",\"level\":\"WARNING\",\"recover\":\"true\",\"tickets_metric_key\":\"{{target_application_id}}\"}',0,'2021-05-28 11:54:51','2021-05-28 11:54:55'),(94,'服务HTTP慢事务异常','micro_service','app_transaction','app_transaction_http_service_rt','{\"condition\":\"and\",\"filters\":[{\"operator\":\"eq\",\"tag\":\"target_terminus_key\",\"value\":\"$target_terminus_key\"},{\"operator\":\"in\",\"tag\":\"target_application_id\",\"value\":[\"$target_application_id\"]}],\"functions\":[{\"aggregator\":\"sum\",\"field\":\"elapsed\",\"field_script\":\"function invoke(field, tag){ return field.elapsed_sum / 1000000; }\"},{\"aggregator\":\"sum\",\"field\":\"elapsed_count\"},{\"aggregator\":\"value\",\"field\":\"elapsed_avg\",\"field_script\":\"function invoke(field, tag){ if(!field.elapsed_count_sum) return 0; return field.elapsed_count_sum === 0 ? 0 : (field.elapsed_sum / field.elapsed_count_sum);}\",\"operator\":\"gte\",\"trigger\":\"aggregated\",\"value\":1000}],\"group\":[\"target_runtime_id\",\"target_service_name\"],\"metric\":\"application_http\",\"outputs\":[\"alert\"],\"select\":{\"application_id\":\"#target_application_id\",\"application_name\":\"#target_application_name\",\"project_id\":\"#target_project_id\",\"project_name\":\"#target_project_name\",\"runtime_id\":\"#target_runtime_id\",\"runtime_name\":\"#target_runtime_name\",\"service_name\":\"#target_service_name\",\"terminus_key\":\"#target_terminus_key\",\"workspace\":\"#target_workspace\"},\"window\":1}','{\"alert_group\":\"{{target_terminus_key}}-{{target_runtime_id}}-{{target_service_name}}\",\"display_url_id\":\"micro_si_web\",\"level\":\"WARNING\",\"recover\":\"true\",\"tickets_metric_key\":\"{{target_application_id}}\"}',0,'2021-05-28 11:54:51','2021-05-28 11:54:55'),(95,'平台中间件Cassandra GC次数异常','org','dice_addon','dice_addon_cassandra_gc_count','{\"filters\":[{\"operator\":\"in\",\"tag\":\"cluster_name\",\"value\":[\"$cluster_name\"]},{\"operator\":\"eq\",\"tag\":\"addon_id\",\"value\":\"cassandra\"},{\"operator\":\"like\",\"tag\":\"name\",\"value\":\"Old\"}],\"functions\":[{\"aggregator\":\"min\",\"field\":\"CollectionCount_min\",\"field_script\":\"function invoke(fields,tags){return fields.CollectionCount;}\"},{\"aggregator\":\"max\",\"field\":\"CollectionCount_max\",\"field_script\":\"function invoke(fields,tags){return fields.CollectionCount;}\"},{\"aggregator\":\"value\",\"field\":\"CollectionCount_win\",\"field_script\":\"function invoke(fields,tags){return fields.CollectionCount_max-fields.CollectionCount_min;}\",\"operator\":\"gte\",\"trigger\":\"aggregated\",\"value\":10}],\"group\":[\"cluster_name\",\"node_id\"],\"metrics\":[\"addon_java_GarbageCollector\"],\"outputs\":[\"alert\"],\"select\":{\"addon_id\":\"#addon_id\",\"addon_type\":\"#addon_type\",\"cluster_name\":\"#cluster_name\",\"node_host\":\"#jolokia_host\"},\"window\":3}','{\"alert_group\":\"{{cluster_name}}-{{addon_id}}\",\"display_url_id\":\"org_addon\",\"level\":\"WARNING\",\"recover\":\"false\",\"tickets_metric_key\":\"{{addon_id}}\"}',0,'2021-05-28 11:54:51','2021-05-28 11:54:55'),(96,'平台中间件Cassandra GC耗时异常','org','dice_addon','dice_addon_cassandra_gc_time','{\"filters\":[{\"operator\":\"in\",\"tag\":\"cluster_name\",\"value\":[\"$cluster_name\"]},{\"operator\":\"eq\",\"tag\":\"addon_id\",\"value\":\"cassandra\"},{\"operator\":\"like\",\"tag\":\"name\",\"value\":\"Old\"}],\"functions\":[{\"aggregator\":\"min\",\"field\":\"CollectionTime_min\",\"field_script\":\"function invoke(fields,tags){return fields.CollectionTime;}\"},{\"aggregator\":\"max\",\"field\":\"CollectionTime_max\",\"field_script\":\"function invoke(fields,tags){return fields.CollectionTime;}\"},{\"aggregator\":\"value\",\"field\":\"CollectionTime_win\",\"field_script\":\"function invoke(fields,tags){return fields.CollectionTime_max-fields.CollectionTime_min;}\",\"operator\":\"gte\",\"trigger\":\"aggregated\",\"value\":15000}],\"group\":[\"cluster_name\",\"node_id\"],\"metrics\":[\"addon_java_GarbageCollector\"],\"outputs\":[\"alert\"],\"select\":{\"addon_id\":\"#addon_id\",\"addon_type\":\"#addon_type\",\"cluster_name\":\"#cluster_name\",\"node_host\":\"#jolokia_host\"},\"window\":3}','{\"alert_group\":\"{{cluster_name}}-{{addon_id}}\",\"display_url_id\":\"org_addon\",\"level\":\"WARNING\",\"recover\":\"false\",\"tickets_metric_key\":\"{{addon_id}}\"}',0,'2021-05-28 11:54:51','2021-05-28 11:54:55'),(97,'平台中间件实例CPU状态','org','dice_addon','dice_addon_container_cpu','{\"filters\":[{\"operator\":\"in\",\"tag\":\"cluster_name\",\"value\":[\"$cluster_name\"]},{\"operator\":\"eq\",\"tag\":\"pod_namespace\",\"value\":\"default\"},{\"operator\":\"any\",\"tag\":\"addon_id\"}],\"functions\":[{\"aggregator\":\"avg\",\"field\":\"usage_percent\",\"field_script\":\"function invoke(fields,tags){return fields.limit===0?fields.usage_percent:fields.usage_percent/fields.limit}\",\"operator\":\"gte\",\"value\":95},{\"aggregator\":\"value\",\"field\":\"limit\"},{\"aggregator\":\"value\",\"field\":\"allocation\"}],\"group\":[\"cluster_name\",\"container_id\"],\"metrics\":[\"docker_container_cpu\"],\"outputs\":[\"alert\"],\"select\":{\"addon_id\":\"#addon_id\",\"cluster_name\":\"#cluster_name\",\"container_id\":\"#container_id\",\"host_ip\":\"#host_ip\",\"pod_name\":\"#pod_name\",\"pod_namespace\":\"#pod_namespace\"},\"window\":2}','{\"alert_group\":\"{{cluster_name}}-{{container_id}}\",\"level\":\"WARNING\",\"recover\":\"false\",\"tickets_metric_key\":\"{{container_id}}\"}',0,'2021-05-28 11:54:51','2021-05-28 11:54:55'),(98,'平台中间件异常退出','org','dice_addon','dice_addon_container_exit','{\"filters\":[{\"operator\":\"in\",\"tag\":\"cluster_name\",\"value\":[\"$cluster_name\"]},{\"operator\":\"eq\",\"tag\":\"pod_namespace\",\"value\":\"default\"},{\"operator\":\"any\",\"tag\":\"addon_id\"}],\"functions\":[{\"aggregator\":\"max\",\"field\":\"exitcode\",\"operator\":\"gt\",\"value\":0},{\"aggregator\":\"value\",\"field\":\"terminated_reason\",\"field_script\":\"function invoke(fields,tags){if(fields.oomkilled) return \'Out Of Memory\';return \'Error Exit Code \'+fields.exitcode;}\"},{\"aggregator\":\"value\",\"field\":\"finished_at\",\"field_script\":\"function invoke(fields,tags){if(fields.finished_at!=null\\u0026\\u0026fields.finished_at!=undefined) return fields.finished_at/1000000;return \'-\'}\"},{\"aggregator\":\"value\",\"field\":\"started_at\",\"field_script\":\"function invoke(fields,tags){if(fields.started_at!=null\\u0026\\u0026fields.started_at!=undefined) return fields.started_at/1000000;return \'-\'}\"},{\"aggregator\":\"value\",\"field\":\"pid\"}],\"group\":[\"cluster_name\",\"pod_namespace\",\"pod_name\"],\"metrics\":[\"docker_container_status\"],\"outputs\":[\"alert\"],\"select\":{\"addon_id\":\"#addon_id\",\"cluster_name\":\"#cluster_name\",\"container_id\":\"#container_id\",\"host_ip\":\"#host_ip\",\"pod_name\":\"#pod_name\",\"pod_namespace\":\"#pod_namespace\"},\"window\":1}','{\"alert_group\":\"{{cluster_name}}-{{container_id}}\",\"display_url_id\":\"org_pod\",\"level\":\"WARNING\",\"recover\":\"false\",\"tickets_metric_key\":\"{{container_id}}\"}',0,'2021-05-28 11:54:51','2021-05-28 11:54:55'),(99,'平台中间件实例内存状态','org','dice_addon','dice_addon_container_mem','{\"filters\":[{\"operator\":\"in\",\"tag\":\"cluster_name\",\"value\":[\"$cluster_name\"]},{\"operator\":\"eq\",\"tag\":\"pod_namespace\",\"value\":\"default\"},{\"operator\":\"any\",\"tag\":\"addon_id\"}],\"functions\":[{\"aggregator\":\"avg\",\"field\":\"usage_percent\",\"operator\":\"gt\",\"value\":80},{\"aggregator\":\"value\",\"field\":\"usage\"},{\"aggregator\":\"value\",\"field\":\"limit\"},{\"aggregator\":\"value\",\"field\":\"max_usage\"},{\"aggregator\":\"value\",\"field\":\"allocation\"}],\"group\":[\"cluster_name\",\"container_id\"],\"metrics\":[\"docker_container_mem\"],\"outputs\":[\"alert\"],\"select\":{\"addon_id\":\"#addon_id\",\"cluster_name\":\"#cluster_name\",\"container_id\":\"#container_id\",\"host_ip\":\"#host_ip\",\"pod_name\":\"#pod_name\",\"pod_namespace\":\"#pod_namespace\"},\"window\":2}','{\"alert_group\":\"{{cluster_name}}-{{container_id}}\",\"level\":\"WARNING\",\"recover\":\"false\",\"tickets_metric_key\":\"{{container_id}}\"}',0,'2021-05-28 11:54:51','2021-05-28 11:54:55'),(100,'平台中间件实例Ready状态异常','org','dice_addon','dice_addon_container_ready','{\"filters\":[{\"operator\":\"in\",\"tag\":\"cluster_name\",\"value\":[\"$cluster_name\"]},{\"operator\":\"eq\",\"tag\":\"namespace\",\"value\":\"default\"},{\"operator\":\"any\",\"tag\":\"addon_id\"}],\"functions\":[{\"aggregator\":\"avg\",\"field\":\"not_ready_avg\",\"field_script\":\"function invoke(fields,tags){if(tags.daemonset_name){return fields.number_unavailable}else{if(tags.statefulset_name){return fields.replicas-fields.replicas_ready}else{if(tags.deployment_name){return fields.replicas_unavailable}}}return 0}\",\"operator\":\"gt\",\"value\":0},{\"aggregator\":\"value\",\"field\":\"not_ready\",\"field_script\":\"function invoke(fields,tags){if(tags.daemonset_name){return fields.number_unavailable}else{if(tags.statefulset_name){return fields.replicas-fields.replicas_ready}else{if(tags.deployment_name){return fields.replicas_unavailable}}}return 0}\"},{\"aggregator\":\"value\",\"field\":\"ready\",\"field_script\":\"function invoke(fields,tags){if(tags.daemonset_name){return fields.number_available}else{if(tags.statefulset_name){return fields.replicas_ready}else{if(tags.deployment_name){return fields.replicas_available}}}return 0}\"},{\"aggregator\":\"value\",\"field\":\"total\",\"field_script\":\"function invoke(fields,tags){if(tags.daemonset_name){return fields.number_unavailable+fields.number_available}else{if(tags.statefulset_name){return fields.replicas}else{if(tags.deployment_name){return fields.replicas_unavailable+fields.replicas_available}}}return 0}\"},{\"aggregator\":\"value\",\"field\":\"resource_name\",\"field_script\":\"function invoke(fields,tags){if(tags.daemonset_name){return tags.daemonset_name}else{if(tags.statefulset_name){return tags.statefulset_name}else{if(tags.deployment_name){return tags.deployment_name}}}return null};\"}],\"group\":[\"cluster_name\",\"namespace\",\"daemonset_name\",\"statefulset_name\",\"deployment_name\"],\"metrics\":[\"kubernetes_daemonset\",\"kubernetes_statefulset\",\"kubernetes_deployment\"],\"outputs\":[\"alert\"],\"select\":{\"addon_id\":\"#addon_id\",\"cluster_name\":\"#cluster_name\",\"daemonset_name\":\"#daemonset_name\",\"deployment_name\":\"#deployment_name\",\"namespace\":\"#namespace\",\"statefulset_name\":\"#statefulset_name\"},\"window\":1}','{\"alert_group\":\"{{cluster_name}}-{{daemonset_name}}-{{statefulset_name}}-{{deployment_name}}\",\"level\":\"WARNING\",\"recover\":\"false\",\"tickets_metric_key\":\"{{daemonset_name}}-{{statefulset_name}}-{{deployment_name}}\"}',0,'2021-05-28 11:54:51','2021-05-28 11:54:55'),(101,'平台中间件Elasticsearch GC次数异常','org','dice_addon','dice_addon_elasticsearch_gc_count','{\"filters\":[{\"operator\":\"in\",\"tag\":\"cluster_name\",\"value\":[\"$cluster_name\"]},{\"operator\":\"eq\",\"tag\":\"addon_id\",\"value\":\"elasticsearch\"}],\"functions\":[{\"aggregator\":\"min\",\"field\":\"gc_collectors_old_collection_count_min\",\"field_script\":\"function invoke(fields,tags){return fields.gc_collectors_old_collection_count;}\"},{\"aggregator\":\"max\",\"field\":\"gc_collectors_old_collection_count_max\",\"field_script\":\"function invoke(fields,tags){return fields.gc_collectors_old_collection_count;}\"},{\"aggregator\":\"value\",\"field\":\"gc_collectors_old_collection_count_win\",\"field_script\":\"function invoke(fields,tags){return fields.gc_collectors_old_collection_count_max-fields.gc_collectors_old_collection_count_min;}\",\"operator\":\"gte\",\"trigger\":\"aggregated\",\"value\":10}],\"group\":[\"cluster_name\",\"node_id\"],\"metrics\":[\"elasticsearch_jvm\"],\"outputs\":[\"alert\"],\"select\":{\"addon_id\":\"#addon_id\",\"addon_type\":\"#addon_type\",\"cluster_name\":\"#cluster_name\",\"node_host\":\"#node_host\",\"node_id\":\"#node_id\",\"node_name\":\"#node_name\"},\"window\":3}','{\"alert_group\":\"{{cluster_name}}-{{addon_id}}\",\"display_url_id\":\"org_addon\",\"level\":\"WARNING\",\"recover\":\"false\",\"tickets_metric_key\":\"{{addon_id}}\"}',0,'2021-05-28 11:54:51','2021-05-28 11:54:55'),(102,'平台中间件Elasticsearch GC耗时异常','org','dice_addon','dice_addon_elasticsearch_gc_time','{\"filters\":[{\"operator\":\"in\",\"tag\":\"cluster_name\",\"value\":[\"$cluster_name\"]},{\"operator\":\"eq\",\"tag\":\"addon_id\",\"value\":\"elasticsearch\"}],\"functions\":[{\"aggregator\":\"min\",\"field\":\"gc_collectors_old_collection_time_in_millis_min\",\"field_script\":\"function invoke(fields,tags){return fields.gc_collectors_old_collection_time_in_millis;}\"},{\"aggregator\":\"max\",\"field\":\"gc_collectors_old_collection_time_in_millis_max\",\"field_script\":\"function invoke(fields,tags){return fields.gc_collectors_old_collection_time_in_millis;}\"},{\"aggregator\":\"value\",\"field\":\"gc_collectors_old_collection_time_in_millis_win\",\"field_script\":\"function invoke(fields,tags){return fields.gc_collectors_old_collection_time_in_millis_max-fields.gc_collectors_old_collection_time_in_millis_min;}\",\"operator\":\"gte\",\"trigger\":\"aggregated\",\"value\":15000}],\"group\":[\"cluster_name\",\"node_id\"],\"metrics\":[\"elasticsearch_jvm\"],\"outputs\":[\"alert\"],\"select\":{\"addon_id\":\"#addon_id\",\"addon_type\":\"#addon_type\",\"cluster_name\":\"#cluster_name\",\"node_host\":\"#node_host\",\"node_id\":\"#node_id\",\"node_name\":\"#node_name\"},\"window\":3}','{\"alert_group\":\"{{cluster_name}}-{{addon_id}}\",\"display_url_id\":\"org_addon\",\"level\":\"WARNING\",\"recover\":\"false\",\"tickets_metric_key\":\"{{addon_id}}\"}',0,'2021-05-28 11:54:51','2021-05-28 11:54:55'),(103,'平台中间件Kafka GC次数异常','org','dice_addon','dice_addon_kafka_gc_count','{\"filters\":[{\"operator\":\"in\",\"tag\":\"cluster_name\",\"value\":[\"$cluster_name\"]},{\"operator\":\"eq\",\"tag\":\"addon_id\",\"value\":\"kafka\"},{\"operator\":\"like\",\"tag\":\"name\",\"value\":\"Old\"}],\"functions\":[{\"aggregator\":\"min\",\"field\":\"CollectionCount_min\",\"field_script\":\"function invoke(fields,tags){return fields.CollectionCount;}\"},{\"aggregator\":\"max\",\"field\":\"CollectionCount_max\",\"field_script\":\"function invoke(fields,tags){return fields.CollectionCount;}\"},{\"aggregator\":\"value\",\"field\":\"CollectionCount_win\",\"field_script\":\"function invoke(fields,tags){return fields.CollectionCount_max-fields.CollectionCount_min;}\",\"operator\":\"gte\",\"trigger\":\"aggregated\",\"value\":10}],\"group\":[\"cluster_name\",\"node_id\"],\"metrics\":[\"addon_java_GarbageCollector\"],\"outputs\":[\"alert\"],\"select\":{\"addon_id\":\"#addon_id\",\"addon_type\":\"#addon_type\",\"cluster_name\":\"#cluster_name\",\"node_host\":\"#jolokia_host\"},\"window\":3}','{\"alert_group\":\"{{cluster_name}}-{{addon_id}}\",\"display_url_id\":\"org_addon\",\"level\":\"WARNING\",\"recover\":\"false\",\"tickets_metric_key\":\"{{addon_id}}\"}',0,'2021-05-28 11:54:51','2021-05-28 11:54:55'),(104,'平台中间件Kafka GC耗时异常','org','dice_addon','dice_addon_kafka_gc_time','{\"filters\":[{\"operator\":\"in\",\"tag\":\"cluster_name\",\"value\":[\"$cluster_name\"]},{\"operator\":\"eq\",\"tag\":\"addon_id\",\"value\":\"kafka\"},{\"operator\":\"like\",\"tag\":\"name\",\"value\":\"Old\"}],\"functions\":[{\"aggregator\":\"min\",\"field\":\"CollectionTime_min\",\"field_script\":\"function invoke(fields,tags){return fields.CollectionTime;}\"},{\"aggregator\":\"max\",\"field\":\"CollectionTime_max\",\"field_script\":\"function invoke(fields,tags){return fields.CollectionTime;}\"},{\"aggregator\":\"value\",\"field\":\"CollectionTime_win\",\"field_script\":\"function invoke(fields,tags){return fields.CollectionTime_max-fields.CollectionTime_min;}\",\"operator\":\"gte\",\"trigger\":\"aggregated\",\"value\":15000}],\"group\":[\"cluster_name\",\"node_id\"],\"metrics\":[\"addon_java_GarbageCollector\"],\"outputs\":[\"alert\"],\"select\":{\"addon_id\":\"#addon_id\",\"addon_type\":\"#addon_type\",\"cluster_name\":\"#cluster_name\",\"node_host\":\"#jolokia_host\"},\"window\":3}','{\"alert_group\":\"{{cluster_name}}-{{addon_id}}\",\"display_url_id\":\"org_addon\",\"level\":\"WARNING\",\"recover\":\"false\",\"tickets_metric_key\":\"{{addon_id}}\"}',0,'2021-05-28 11:54:51','2021-05-28 11:54:55'),(105,'平台中间件kafka消费堆积','org','dice_addon','dice_addon_kafka_lag','{\"filters\":[{\"operator\":\"in\",\"tag\":\"cluster_name\",\"value\":[\"$cluster_name\"]},{\"operator\":\"eq\",\"tag\":\"addon_id\",\"value\":\"kafka\"}],\"functions\":[{\"aggregator\":\"avg\",\"field\":\"lag\",\"operator\":\"gte\",\"value\":100000},{\"aggregator\":\"avg\",\"field\":\"consume_rate_per_sec\"},{\"aggregator\":\"avg\",\"field\":\"produce_rate_per_sec\"}],\"group\":[\"cluster_name\",\"addon_id\",\"group\",\"topic\"],\"metrics\":[\"kafka_consumer\"],\"outputs\":[\"alert\"],\"select\":{\"addon_id\":\"#addon_id\",\"addon_type\":\"#addon_type\",\"cluster_name\":\"#cluster_name\",\"group\":\"#group\",\"topic\":\"#topic\"},\"window\":3}','{\"alert_group\":\"{{cluster_name}}-{{group}}-{{topic}}\",\"display_url_id\":\"org_addon\",\"level\":\"WARNING\",\"recover\":\"false\",\"tickets_metric_key\":\"{{group}}-{{topic}}\"}',0,'2021-05-28 11:54:51','2021-05-28 11:54:55'),(106,'平台组件实例CPU状态','org','dice_component','dice_component_container_cpu','{\"filters\":[{\"operator\":\"in\",\"tag\":\"cluster_name\",\"value\":[\"$cluster_name\"]},{\"operator\":\"eq\",\"tag\":\"pod_namespace\",\"value\":\"default\"},{\"operator\":\"any\",\"tag\":\"component_name\"}],\"functions\":[{\"aggregator\":\"avg\",\"field\":\"usage_percent\",\"field_script\":\"function invoke(fields,tags){return fields.limit===0?fields.usage_percent:fields.usage_percent/fields.limit}\",\"operator\":\"gte\",\"value\":95},{\"aggregator\":\"value\",\"field\":\"limit\"},{\"aggregator\":\"value\",\"field\":\"allocation\"}],\"group\":[\"cluster_name\",\"container_id\"],\"metrics\":[\"docker_container_cpu\"],\"outputs\":[\"alert\"],\"select\":{\"cluster_name\":\"#cluster_name\",\"component_name\":\"#component_name\",\"container_id\":\"#container_id\",\"host_ip\":\"#host_ip\",\"pod_name\":\"#pod_name\",\"pod_namespace\":\"#pod_namespace\"},\"window\":2}','{\"alert_group\":\"{{cluster_name}}-{{container_id}}\",\"level\":\"WARNING\",\"recover\":\"false\",\"tickets_metric_key\":\"{{container_id}}\"}',0,'2021-05-28 11:54:51','2021-05-28 11:54:55'),(107,'平台组件异常退出','org','dice_component','dice_component_container_exit','{\"filters\":[{\"operator\":\"in\",\"tag\":\"cluster_name\",\"value\":[\"$cluster_name\"]},{\"operator\":\"eq\",\"tag\":\"pod_namespace\",\"value\":\"default\"},{\"operator\":\"any\",\"tag\":\"component_name\"}],\"functions\":[{\"aggregator\":\"max\",\"field\":\"exitcode\",\"operator\":\"gt\",\"value\":0},{\"aggregator\":\"value\",\"field\":\"terminated_reason\",\"field_script\":\"function invoke(fields,tags){if(fields.oomkilled) return \'Out Of Memory\';return \'Error Exit Code \'+fields.exitcode;}\"},{\"aggregator\":\"value\",\"field\":\"finished_at\",\"field_script\":\"function invoke(fields,tags){if(fields.finished_at!=null\\u0026\\u0026fields.finished_at!=undefined) return fields.finished_at/1000000;return \'-\'}\"},{\"aggregator\":\"value\",\"field\":\"started_at\",\"field_script\":\"function invoke(fields,tags){if(fields.started_at!=null\\u0026\\u0026fields.started_at!=undefined) return fields.started_at/1000000;return \'-\'}\"},{\"aggregator\":\"value\",\"field\":\"pid\"}],\"group\":[\"cluster_name\",\"container_id\"],\"metrics\":[\"docker_container_status\"],\"outputs\":[\"alert\"],\"select\":{\"cluster_name\":\"#cluster_name\",\"component_name\":\"#component_name\",\"container_id\":\"#container_id\",\"host_ip\":\"#host_ip\",\"pod_name\":\"#pod_name\",\"pod_namespace\":\"#pod_namespace\"},\"window\":1}','{\"alert_group\":\"{{cluster_name}}-{{container_id}}\",\"display_url_id\":\"org_pod\",\"level\":\"WARNING\",\"recover\":\"false\",\"tickets_metric_key\":\"{{container_id}}\"}',0,'2021-05-28 11:54:51','2021-05-28 11:54:55'),(108,'平台组件实例内存状态','org','dice_component','dice_component_container_mem','{\"filters\":[{\"operator\":\"in\",\"tag\":\"cluster_name\",\"value\":[\"$cluster_name\"]},{\"operator\":\"eq\",\"tag\":\"pod_namespace\",\"value\":\"default\"},{\"operator\":\"any\",\"tag\":\"component_name\"}],\"functions\":[{\"aggregator\":\"avg\",\"field\":\"usage_percent\",\"operator\":\"gt\",\"value\":70},{\"aggregator\":\"value\",\"field\":\"usage\"},{\"aggregator\":\"value\",\"field\":\"limit\"},{\"aggregator\":\"value\",\"field\":\"max_usage\"},{\"aggregator\":\"value\",\"field\":\"allocation\"}],\"group\":[\"cluster_name\",\"container_id\"],\"metrics\":[\"docker_container_mem\"],\"outputs\":[\"alert\"],\"select\":{\"cluster_name\":\"#cluster_name\",\"component_name\":\"#component_name\",\"container_id\":\"#container_id\",\"host_ip\":\"#host_ip\",\"pod_name\":\"#pod_name\",\"pod_namespace\":\"#pod_namespace\"},\"window\":2}','{\"alert_group\":\"{{cluster_name}}-{{container_id}}\",\"level\":\"WARNING\",\"recover\":\"false\",\"tickets_metric_key\":\"{{container_id}}\"}',0,'2021-05-28 11:54:51','2021-05-28 11:54:55'),(109,'平台组件实例Ready状态异常','org','dice_component','dice_component_container_ready','{\"filters\":[{\"operator\":\"in\",\"tag\":\"cluster_name\",\"value\":[\"$cluster_name\"]},{\"operator\":\"eq\",\"tag\":\"namespace\",\"value\":\"default\"},{\"operator\":\"any\",\"tag\":\"component_name\"}],\"functions\":[{\"aggregator\":\"avg\",\"field\":\"not_ready_avg\",\"field_script\":\"function invoke(fields,tags){if(tags.daemonset_name){return fields.number_unavailable}else{if(tags.statefulset_name){return fields.replicas-fields.replicas_ready}else{if(tags.deployment_name){return fields.replicas_unavailable}}}return 0}\",\"operator\":\"gt\",\"value\":0},{\"aggregator\":\"value\",\"field\":\"not_ready\",\"field_script\":\"function invoke(fields,tags){if(tags.daemonset_name){return fields.number_unavailable}else{if(tags.statefulset_name){return fields.replicas-fields.replicas_ready}else{if(tags.deployment_name){return fields.replicas_unavailable}}}return 0}\"},{\"aggregator\":\"value\",\"field\":\"ready\",\"field_script\":\"function invoke(fields,tags){if(tags.daemonset_name){return fields.number_available}else{if(tags.statefulset_name){return fields.replicas_ready}else{if(tags.deployment_name){return fields.replicas_available}}}return 0}\"},{\"aggregator\":\"value\",\"field\":\"total\",\"field_script\":\"function invoke(fields,tags){if(tags.daemonset_name){return fields.number_unavailable+fields.number_available}else{if(tags.statefulset_name){return fields.replicas}else{if(tags.deployment_name){return fields.replicas_unavailable+fields.replicas_available}}}return 0}\"},{\"aggregator\":\"value\",\"field\":\"resource_name\",\"field_script\":\"function invoke(fields,tags){if(tags.daemonset_name){return tags.daemonset_name}else{if(tags.statefulset_name){return tags.statefulset_name}else{if(tags.deployment_name){return tags.deployment_name}}}return null};\"}],\"group\":[\"cluster_name\",\"namespace\",\"daemonset_name\",\"statefulset_name\",\"deployment_name\"],\"metrics\":[\"kubernetes_daemonset\",\"kubernetes_statefulset\",\"kubernetes_deployment\"],\"outputs\":[\"alert\"],\"select\":{\"cluster_name\":\"#cluster_name\",\"component_name\":\"#component_name\",\"daemonset_name\":\"#daemonset_name\",\"deployment_name\":\"#deployment_name\",\"namespace\":\"#namespace\",\"statefulset_name\":\"#statefulset_name\"},\"window\":3}','{\"alert_group\":\"{{cluster_name}}-{{daemonset_name}}-{{statefulset_name}}-{{deployment_name}}\",\"level\":\"WARNING\",\"recover\":\"false\",\"tickets_metric_key\":\"{{daemonset_name}}-{{statefulset_name}}-{{deployment_name}}\"}',0,'2021-05-28 11:54:51','2021-05-28 11:54:55'),(110,'kubernetes组件实例CPU状态','org','kubernetes','kubernetes_instance_cpu','{\"filters\":[{\"operator\":\"in\",\"tag\":\"cluster_name\",\"value\":[\"$cluster_name\"]},{\"operator\":\"eq\",\"tag\":\"pod_namespace\",\"value\":\"kube-system\"}],\"functions\":[{\"aggregator\":\"avg\",\"field\":\"usage_percent\",\"field_script\":\"function invoke(fields,tags){return fields.limit===0?fields.usage_percent:fields.usage_percent/fields.limit}\",\"operator\":\"gte\",\"value\":95},{\"aggregator\":\"value\",\"field\":\"limit\"},{\"aggregator\":\"value\",\"field\":\"allocation\"}],\"group\":[\"cluster_name\",\"container_id\"],\"metrics\":[\"docker_container_cpu\"],\"outputs\":[\"alert\"],\"select\":{\"cluster_name\":\"#cluster_name\",\"container_id\":\"#container_id\",\"host_ip\":\"#host_ip\",\"pod_name\":\"#pod_name\",\"pod_namespace\":\"#pod_namespace\"},\"window\":2}','{\"alert_group\":\"{{cluster_name}}-{{container_id}}\",\"level\":\"WARNING\",\"recover\":\"false\",\"tickets_metric_key\":\"{{container_id}}\"}',0,'2021-05-28 11:54:51','2021-05-28 11:54:55'),(111,'kubernetes组件异常退出','org','kubernetes','kubernetes_instance_exit','{\"filters\":[{\"operator\":\"in\",\"tag\":\"cluster_name\",\"value\":[\"$cluster_name\"]},{\"operator\":\"eq\",\"tag\":\"pod_namespace\",\"value\":\"kube-system\"}],\"functions\":[{\"aggregator\":\"max\",\"field\":\"exitcode\",\"operator\":\"gt\",\"value\":0},{\"aggregator\":\"value\",\"field\":\"terminated_reason\",\"field_script\":\"function invoke(fields,tags){if(fields.oomkilled) return \'Out Of Memory\';return \'Error Exit Code \'+fields.exitcode;}\"},{\"aggregator\":\"value\",\"field\":\"finished_at\",\"field_script\":\"function invoke(fields,tags){if(fields.finished_at!=null\\u0026\\u0026fields.finished_at!=undefined) return fields.finished_at/1000000;return \'-\'}\"},{\"aggregator\":\"value\",\"field\":\"started_at\",\"field_script\":\"function invoke(fields,tags){if(fields.started_at!=null\\u0026\\u0026fields.started_at!=undefined) return fields.started_at/1000000;return \'-\'}\"},{\"aggregator\":\"value\",\"field\":\"pid\"}],\"group\":[\"cluster_name\",\"pod_namespace\",\"pod_name\"],\"metrics\":[\"docker_container_status\"],\"outputs\":[\"alert\"],\"select\":{\"cluster_name\":\"#cluster_name\",\"component_name\":\"#component_name\",\"container_id\":\"#container_id\",\"host_ip\":\"#host_ip\",\"pod_name\":\"#pod_name\",\"pod_namespace\":\"#pod_namespace\"},\"window\":1}','{\"alert_group\":\"{{cluster_name}}-{{container_id}}\",\"display_url_id\":\"org_pod\",\"level\":\"WARNING\",\"recover\":\"false\",\"tickets_metric_key\":\"{{container_id}}\"}',0,'2021-05-28 11:54:51','2021-05-28 11:54:55'),(112,'kubernetes组件实例内存状态','org','kubernetes','kubernetes_instance_mem','{\"filters\":[{\"operator\":\"in\",\"tag\":\"cluster_name\",\"value\":[\"$cluster_name\"]},{\"operator\":\"eq\",\"tag\":\"pod_namespace\",\"value\":\"kube-system\"}],\"functions\":[{\"aggregator\":\"avg\",\"field\":\"usage_percent\",\"operator\":\"gt\",\"value\":70},{\"aggregator\":\"value\",\"field\":\"usage\"},{\"aggregator\":\"value\",\"field\":\"limit\"},{\"aggregator\":\"value\",\"field\":\"max_usage\"},{\"aggregator\":\"value\",\"field\":\"allocation\"}],\"group\":[\"cluster_name\",\"container_id\"],\"metrics\":[\"docker_container_mem\"],\"outputs\":[\"alert\"],\"select\":{\"cluster_name\":\"#cluster_name\",\"container_id\":\"#container_id\",\"host_ip\":\"#host_ip\",\"pod_name\":\"#pod_name\",\"pod_namespace\":\"#pod_namespace\"},\"window\":2}','{\"alert_group\":\"{{cluster_name}}-{{container_id}}\",\"level\":\"WARNING\",\"recover\":\"false\",\"tickets_metric_key\":\"{{container_id}}\"}',0,'2021-05-28 11:54:51','2021-05-28 11:54:55'),(113,'kubernetes组件实例Ready状态异常','org','kubernetes','kubernetes_instance_ready','{\"filters\":[{\"operator\":\"in\",\"tag\":\"cluster_name\",\"value\":[\"$cluster_name\"]},{\"operator\":\"eq\",\"tag\":\"namespace\",\"value\":\"kube-system\"}],\"functions\":[{\"aggregator\":\"avg\",\"field\":\"not_ready_avg\",\"field_script\":\"function invoke(fields,tags){if(tags.daemonset_name){return fields.number_unavailable}else{if(tags.statefulset_name){return fields.replicas-fields.replicas_ready}else{if(tags.deployment_name){return fields.replicas_unavailable}}}return 0}\",\"operator\":\"gt\",\"value\":0},{\"aggregator\":\"value\",\"field\":\"not_ready\",\"field_script\":\"function invoke(fields,tags){if(tags.daemonset_name){return fields.number_unavailable}else{if(tags.statefulset_name){return fields.replicas-fields.replicas_ready}else{if(tags.deployment_name){return fields.replicas_unavailable}}}return 0}\"},{\"aggregator\":\"value\",\"field\":\"ready\",\"field_script\":\"function invoke(fields,tags){if(tags.daemonset_name){return fields.number_available}else{if(tags.statefulset_name){return fields.replicas_ready}else{if(tags.deployment_name){return fields.replicas_available}}}return 0}\"},{\"aggregator\":\"value\",\"field\":\"total\",\"field_script\":\"function invoke(fields,tags){if(tags.daemonset_name){return fields.number_unavailable+fields.number_available}else{if(tags.statefulset_name){return fields.replicas}else{if(tags.deployment_name){return fields.replicas_unavailable+fields.replicas_available}}}return 0}\"},{\"aggregator\":\"value\",\"field\":\"resource_name\",\"field_script\":\"function invoke(fields,tags){if(tags.daemonset_name){return tags.daemonset_name}else{if(tags.statefulset_name){return tags.statefulset_name}else{if(tags.deployment_name){return tags.deployment_name}}}return null};\"}],\"group\":[\"cluster_name\",\"namespace\",\"daemonset_name\",\"statefulset_name\",\"deployment_name\"],\"metrics\":[\"kubernetes_daemonset\",\"kubernetes_statefulset\",\"kubernetes_deployment\"],\"outputs\":[\"alert\"],\"select\":{\"cluster_name\":\"#cluster_name\",\"daemonset_name\":\"#daemonset_name\",\"deployment_name\":\"#deployment_name\",\"namespace\":\"#namespace\",\"statefulset_name\":\"#statefulset_name\"},\"window\":1}','{\"alert_group\":\"{{cluster_name}}-{{daemonset_name}}-{{statefulset_name}}-{{deployment_name}}\",\"level\":\"WARNING\",\"recover\":\"false\",\"tickets_metric_key\":\"{{daemonset_name}}-{{statefulset_name}}-{{deployment_name}}\"}',0,'2021-05-28 11:54:51','2021-05-28 11:54:55'),(114,'kubernetes节点异常','org','kubernetes','kubernetes_node','{\"filters\":[{\"operator\":\"in\",\"tag\":\"cluster_name\",\"value\":[\"$cluster_name\"]},{\"operator\":\"neq\",\"tag\":\"offline\",\"value\":\"true\"}],\"functions\":[{\"aggregator\":\"values\",\"field\":\"ready\",\"operator\":\"all\",\"value\":false},{\"aggregator\":\"value\",\"field\":\"allocatable_pods\"},{\"aggregator\":\"value\",\"field\":\"capacity_pods\"},{\"aggregator\":\"value\",\"field\":\"allocatable_cpu_cores\"},{\"aggregator\":\"value\",\"field\":\"capacity_cpu_cores\"},{\"aggregator\":\"value\",\"field\":\"allocatable_memory_bytes\"},{\"aggregator\":\"value\",\"field\":\"capacity_memory_bytes\"}],\"group\":[\"cluster_name\",\"node_name\"],\"metrics\":[\"kubernetes_node\"],\"outputs\":[\"alert\"],\"select\":{\"cluster_name\":\"#cluster_name\",\"node_name\":\"#node_name\"},\"window\":1}','{\"alert_group\":\"{{cluster_name}}-{{node_name}}\",\"level\":\"WARNING\",\"recover\":\"false\",\"tickets_metric_key\":\"{{node_name}}\"}',0,'2021-05-28 11:54:51','2021-05-28 11:54:55'),(115,'机器CPU','org','machine','machine_cpu','{\"filters\":[{\"operator\":\"in\",\"tag\":\"cluster_name\",\"value\":[\"$cluster_name\"]}],\"functions\":[{\"aggregator\":\"avg\",\"field\":\"usage_active\",\"operator\":\"gte\",\"value\":95}],\"group\":[\"cluster_name\",\"host_ip\"],\"metric\":\"cpu\",\"outputs\":[\"alert\"],\"select\":{\"cluster_name\":\"#cluster_name\",\"host_ip\":\"#host_ip\"},\"window\":1}','{\"alert_group\":\"{{cluster_name}}-{{host_ip}}\",\"display_url_id\":\"machine_cpu\",\"level\":\"WARNING\",\"recover\":\"false\",\"tickets_metric_key\":\"{{host_ip}}\"}',0,'2021-05-28 11:54:51','2021-05-28 11:54:55'),(116,'机器磁盘','org','machine','machine_disk','{\"filters\":[{\"operator\":\"in\",\"tag\":\"cluster_name\",\"value\":[\"$cluster_name\"]},{\"operator\":\"neq\",\"tag\":\"type\",\"value\":\"netdata\"}],\"functions\":[{\"aggregator\":\"value\",\"field\":\"used_percent\",\"operator\":\"gte\",\"value\":86},{\"aggregator\":\"value\",\"field\":\"total\"}],\"group\":[\"host_ip\",\"device\"],\"metric\":\"disk\",\"outputs\":[\"alert\"],\"select\":{\"cluster_name\":\"#cluster_name\",\"device\":\"#device\",\"host_ip\":\"#host_ip\"},\"window\":1}','{\"alert_group\":\"{{cluster_name}}-{{host_ip}}-{{device}}\",\"display_url_id\":\"machine_disk\",\"level\":\"WARNING\",\"recover\":\"true\",\"tickets_metric_key\":\"{{host_ip}}\"}',0,'2021-05-28 11:54:51','2021-05-28 11:54:55'),(117,'机器磁盘IO','org','machine','machine_disk_util','{\"filters\":[{\"operator\":\"in\",\"tag\":\"cluster_name\",\"value\":[\"$cluster_name\"]},{\"operator\":\"eq\",\"tag\":\"path\",\"value\":null}],\"functions\":[{\"aggregator\":\"p75\",\"field\":\"pct_util\",\"operator\":\"gte\",\"value\":95}],\"group\":[\"host_ip\"],\"metric\":\"disk\",\"outputs\":[\"alert\"],\"select\":{\"cluster_name\":\"#cluster_name\",\"host_ip\":\"#host_ip\"},\"window\":3}','{\"alert_group\":\"{{cluster_name}}-{{host_ip}}\",\"display_url_id\":\"machine_disk_io\",\"level\":\"WARNING\",\"recover\":\"true\",\"tickets_metric_key\":\"{{host_ip}}\"}',0,'2021-05-28 11:54:51','2021-05-28 11:54:55'),(118,'机器Load5','org','machine','machine_load5','{\"filters\":[{\"operator\":\"in\",\"tag\":\"cluster_name\",\"value\":[\"$cluster_name\"]}],\"functions\":[{\"aggregator\":\"avg\",\"field\":\"load5\",\"operator\":\"gte\",\"value_script\":\"function invoke(field,tag){ return field.n_cpus * 2.5 }\"}],\"group\":[\"host_ip\"],\"metric\":\"system\",\"outputs\":[\"alert\"],\"select\":{\"cluster_name\":\"#cluster_name\",\"host_ip\":\"#host_ip\"},\"window\":1}','{\"alert_group\":\"{{cluster_name}}-{{host_ip}}\",\"display_url_id\":\"machine_load\",\"level\":\"WARNING\",\"recover\":\"true\",\"tickets_metric_key\":\"{{host_ip}}\"}',0,'2021-05-28 11:54:51','2021-05-28 11:54:55'),(119,'网盘','org','machine','machine_netdisk','{\"filters\":[{\"operator\":\"in\",\"tag\":\"cluster_name\",\"value\":[\"$cluster_name\"]},{\"operator\":\"eq\",\"tag\":\"type\",\"value\":\"netdata\"}],\"functions\":[{\"aggregator\":\"value\",\"field\":\"used_percent\",\"operator\":\"gte\",\"value\":75},{\"aggregator\":\"value\",\"field\":\"total\"}],\"group\":null,\"metric\":\"disk\",\"outputs\":[\"alert\"],\"select\":{\"cluster_name\":\"#cluster_name\"},\"window\":1}','{\"alert_group\":\"{{cluster_name}}\",\"level\":\"WARNING\",\"recover\":\"true\",\"tickets_metric_key\":\"{{cluster_name}}\"}',0,'2021-05-28 11:54:51','2021-05-28 11:54:55'),(120,'机器宕机','org','machine','machine_status','{\"filters\":[{\"operator\":\"in\",\"tag\":\"cluster_name\",\"value\":[\"$cluster_name\"]}],\"functions\":[{\"aggregator\":\"values\",\"field\":\"status\",\"operator\":\"all\",\"value\":\"not_ready\"},{\"aggregator\":\"value\",\"field\":\"last_timestamp\"}],\"group\":[\"host_ip\"],\"metric\":\"machine_status\",\"outputs\":[\"alert\"],\"select\":{\"cluster_name\":\"#cluster_name\",\"host_ip\":\"#host_ip\"},\"window\":5}','{\"alert_group\":\"{{cluster_name}}-{{host_ip}}\",\"display_url_id\":\"machine_crash\",\"level\":\"WARNING\",\"recover\":\"true\",\"tickets_metric_key\":\"{{host_ip}}\"}',0,'2021-05-28 11:54:51','2021-05-28 11:54:55'),(121,'Elasticsearch实例内存使用率异常告警','org','addon','addon_elasticsearch_mem','{\"filters\":[{\"operator\":\"in\",\"tag\":\"cluster_name\",\"value\":[\"$cluster_name\"]},{\"operator\":\"in\",\"tag\":\"addon_type\",\"value\":[\"terminus-elasticsearch\"]}],\"functions\":[{\"aggregator\":\"avg\",\"field\":\"usage_percent\",\"operator\":\"gte\",\"value\":90},{\"aggregator\":\"value\",\"field\":\"limit\"},{\"aggregator\":\"value\",\"field\":\"allocation\"}],\"group\":[\"container_id\"],\"metric\":\"docker_container_mem\",\"outputs\":[\"alert\"],\"select\":{\"addon_id\":\"#addon_id\",\"addon_type\":\"#addon_type\",\"cluster_name\":\"#cluster_name\",\"container_id\":\"#container_id\",\"host_ip\":\"#host_ip\",\"pod_name\":\"#pod_name\",\"pod_namespace\":\"#pod_namespace\"},\"window\":1}','{\"alert_group\":\"{{cluster_name}}-{{container_id}}\",\"level\":\"WARNING\",\"recover\":\"false\",\"tickets_metric_key\":\"{{container_id}}\"}',0,'2021-05-28 11:54:55','2021-05-28 11:54:59'),(122,'MySQL实例CPU使用率异常告警','org','addon','addon_mysql_cpu','{\"filters\":[{\"operator\":\"in\",\"tag\":\"cluster_name\",\"value\":[\"$cluster_name\"]},{\"operator\":\"in\",\"tag\":\"addon_type\",\"value\":[\"mysql\"]}],\"functions\":[{\"aggregator\":\"avg\",\"field\":\"usage_percent\",\"field_script\":\"function invoke(fields,tags){return fields.limit===0?fields.usage_percent:fields.usage_percent/fields.limit}\",\"operator\":\"gte\",\"value\":90},{\"aggregator\":\"value\",\"field\":\"limit\"},{\"aggregator\":\"value\",\"field\":\"allocation\"}],\"group\":[\"container_id\"],\"metric\":\"docker_container_cpu\",\"outputs\":[\"alert\"],\"select\":{\"addon_id\":\"#addon_id\",\"addon_type\":\"#addon_type\",\"cluster_name\":\"#cluster_name\",\"container_id\":\"#container_id\",\"host_ip\":\"#host_ip\",\"pod_name\":\"#pod_name\",\"pod_namespace\":\"#pod_namespace\"},\"window\":1}','{\"alert_group\":\"{{cluster_name}}-{{container_id}}\",\"level\":\"WARNING\",\"recover\":\"false\",\"tickets_metric_key\":\"{{container_id}}\"}',0,'2021-05-28 11:54:55','2021-05-28 11:54:59'),(123,'MySQL实例内存使用率异常告警','org','addon','addon_mysql_mem','{\"filters\":[{\"operator\":\"in\",\"tag\":\"cluster_name\",\"value\":[\"$cluster_name\"]},{\"operator\":\"in\",\"tag\":\"addon_type\",\"value\":[\"mysql\"]}],\"functions\":[{\"aggregator\":\"avg\",\"field\":\"usage_percent\",\"operator\":\"gte\",\"value\":85},{\"aggregator\":\"value\",\"field\":\"limit\"},{\"aggregator\":\"value\",\"field\":\"allocation\"}],\"group\":[\"container_id\"],\"metric\":\"docker_container_mem\",\"outputs\":[\"alert\"],\"select\":{\"addon_id\":\"#addon_id\",\"addon_type\":\"#addon_type\",\"cluster_name\":\"#cluster_name\",\"container_id\":\"#container_id\",\"host_ip\":\"#host_ip\",\"pod_name\":\"#pod_name\",\"pod_namespace\":\"#pod_namespace\"},\"window\":1}','{\"alert_group\":\"{{cluster_name}}-{{container_id}}\",\"level\":\"WARNING\",\"recover\":\"false\",\"tickets_metric_key\":\"{{container_id}}\"}',0,'2021-05-28 11:54:55','2021-05-28 11:54:59'),(124,'MySQL实例主从同步异常告警','org','addon','addon_mysql_slave_status','{\"filters\":[{\"operator\":\"in\",\"tag\":\"cluster_name\",\"value\":[\"$cluster_name\"]},{\"operator\":\"eq\",\"tag\":\"is_slave\",\"value\":\"true\"}],\"functions\":[{\"aggregator\":\"value\",\"field\":\"slave_slave_running_ok\",\"field_script\":\"function invoke(fields,tags){return (fields.slave_slave_io_running==0 || fields.slave_slave_sql_running==0)?0:1}\",\"operator\":\"neq\",\"value\":1},{\"aggregator\":\"value\",\"field\":\"slave_slave_sql_running\"},{\"aggregator\":\"value\",\"field\":\"slave_slave_io_running\"}],\"group\":[\"addon_id\",\"server\"],\"metric\":\"mysql\",\"outputs\":[\"alert\"],\"select\":{\"addon_id\":\"#addon_id\",\"cluster_name\":\"#cluster_name\",\"host_ip\":\"#host_ip\"},\"window\":1}','{\"alert_group\":\"{{cluster_name}}-{{addon_id}}\",\"level\":\"WARNING\",\"recover\":\"false\",\"tickets_metric_key\":\"{{addon_id}}\"}',0,'2021-05-28 11:54:55','2021-05-28 11:54:59'),(125,'redis实例内存使用率异常告警','org','addon','addon_redis_mem','{\"filters\":[{\"operator\":\"in\",\"tag\":\"cluster_name\",\"value\":[\"$cluster_name\"]},{\"operator\":\"in\",\"tag\":\"addon_type\",\"value\":[\"redis\"]}],\"functions\":[{\"aggregator\":\"avg\",\"field\":\"usage_percent\",\"operator\":\"gte\",\"value\":85},{\"aggregator\":\"value\",\"field\":\"limit\"},{\"aggregator\":\"value\",\"field\":\"allocation\"}],\"group\":[\"container_id\"],\"metric\":\"docker_container_mem\",\"outputs\":[\"alert\"],\"select\":{\"addon_id\":\"#addon_id\",\"addon_type\":\"#addon_type\",\"cluster_name\":\"#cluster_name\",\"container_id\":\"#container_id\",\"host_ip\":\"#host_ip\",\"pod_name\":\"#pod_name\",\"pod_namespace\":\"#pod_namespace\"},\"window\":1}','{\"alert_group\":\"{{cluster_name}}-{{container_id}}\",\"level\":\"WARNING\",\"recover\":\"false\",\"tickets_metric_key\":\"{{container_id}}\"}',0,'2021-05-28 11:54:55','2021-05-28 11:54:59'),(126,'应用错误次数','micro_service','app_exception','app_exception_count','{\"filters\":[{\"operator\":\"eq\",\"tag\":\"terminus_key\",\"value\":\"$terminus_key\"},{\"operator\":\"in\",\"tag\":\"application_id\",\"value\":[\"$application_id\"]}],\"functions\":[{\"aggregator\":\"sum\",\"field\":\"count\",\"operator\":\"gte\",\"value\":20}],\"group\":[\"error_id\"],\"metric\":\"error_alert\",\"outputs\":[\"alert\"],\"select\":{\"application_id\":\"#application_id\",\"application_name\":\"#application_name\",\"class\":\"#class\",\"cluster_name\":\"#cluster_name\",\"error_id\":\"#error_id\",\"host_ip\":\"#host_ip\",\"instance_id\":\"#instance_id\",\"line\":\"#line\",\"method\":\"#method\",\"project_id\":\"#project_id\",\"project_name\":\"#project_name\",\"runtime_id\":\"#runtime_id\",\"runtime_name\":\"#runtime_name\",\"service_name\":\"#service_name\",\"terminus_key\":\"#terminus_key\",\"type\":\"#type\",\"workspace\":\"#workspace\"},\"window\":5}','{\"alert_group\":\"{{terminus_key}}-{{error_id}}\",\"display_url_id\":\"micro_error_detail\",\"level\":\"WARNING\",\"recover\":\"false\",\"tickets_metric_key\":\"{{error_id}}\"}',0,'2021-05-28 11:54:55','2021-05-28 11:54:59'),(127,'应用实例CPU使用率异常','micro_service','app_resource','app_resource_container_cpu','{\"filters\":[{\"operator\":\"eq\",\"tag\":\"terminus_key\",\"value\":\"$terminus_key\"},{\"operator\":\"in\",\"tag\":\"application_id\",\"value\":[\"$application_id\"]}],\"functions\":[{\"aggregator\":\"avg\",\"field\":\"usage_percent\",\"field_script\":\"function invoke(fields,tags){return fields.limit===0?fields.usage_percent:fields.usage_percent/fields.limit}\",\"operator\":\"gte\",\"value\":90},{\"aggregator\":\"value\",\"field\":\"limit\"},{\"aggregator\":\"value\",\"field\":\"allocation\"}],\"group\":[\"container_id\"],\"metric\":\"docker_container_cpu\",\"outputs\":[\"alert\"],\"select\":{\"application_id\":\"#application_id\",\"application_name\":\"#application_name\",\"cluster_name\":\"#cluster_name\",\"container_id\":\"#container_id\",\"host_ip\":\"#host_ip\",\"instance_id\":\"#instance_id\",\"project_id\":\"#project_id\",\"project_name\":\"#project_name\",\"runtime_id\":\"#runtime_id\",\"runtime_name\":\"#runtime_name\",\"service_name\":\"#service_name\",\"terminus_key\":\"#terminus_key\"},\"window\":1}','{\"alert_group\":\"{{terminus_key}}-{{container_id}}\",\"display_url_id\":\"workbench_runtime\",\"level\":\"WARNING\",\"recover\":\"false\",\"tickets_metric_key\":\"{{container_id}}\"}',0,'2021-05-28 11:54:55','2021-05-28 11:54:59'),(128,'应用实例内存使用率异常','micro_service','app_resource','app_resource_container_mem','{\"filters\":[{\"operator\":\"eq\",\"tag\":\"terminus_key\",\"value\":\"$terminus_key\"},{\"operator\":\"in\",\"tag\":\"application_id\",\"value\":[\"$application_id\"]}],\"functions\":[{\"aggregator\":\"avg\",\"field\":\"usage_percent\",\"operator\":\"gte\",\"value\":90},{\"aggregator\":\"value\",\"field\":\"usage\"},{\"aggregator\":\"value\",\"field\":\"limit\"},{\"aggregator\":\"value\",\"field\":\"max_usage\"}],\"group\":[\"container_id\"],\"metric\":\"docker_container_mem\",\"outputs\":[\"alert\"],\"select\":{\"application_id\":\"#application_id\",\"application_name\":\"#application_name\",\"cluster_name\":\"#cluster_name\",\"container_id\":\"#container_id\",\"host_ip\":\"#host_ip\",\"instance_id\":\"#instance_id\",\"project_id\":\"#project_id\",\"project_name\":\"#project_name\",\"runtime_id\":\"#runtime_id\",\"runtime_name\":\"#runtime_name\",\"service_name\":\"#service_name\",\"terminus_key\":\"#terminus_key\"},\"window\":1}','{\"alert_group\":\"{{terminus_key}}-{{container_id}}\",\"display_url_id\":\"workbench_runtime\",\"level\":\"WARNING\",\"recover\":\"false\",\"tickets_metric_key\":\"{{container_id}}\"}',0,'2021-05-28 11:54:55','2021-05-28 11:54:59'),(129,'应用实例OOM','micro_service','app_resource','app_resource_container_oom','{\"filters\":[{\"operator\":\"eq\",\"tag\":\"terminus_key\",\"value\":\"$terminus_key\"},{\"operator\":\"in\",\"tag\":\"application_id\",\"value\":[\"$application_id\"]}],\"functions\":[{\"aggregator\":\"values\",\"field\":\"oomkilled\",\"operator\":\"contains\",\"value\":true}],\"group\":[\"container_id\"],\"metric\":\"docker_container_status\",\"outputs\":[\"alert\"],\"select\":{\"application_id\":\"#application_id\",\"application_name\":\"#application_name\",\"cluster_name\":\"#cluster_name\",\"container_id\":\"#container_id\",\"host_ip\":\"#host_ip\",\"instance_id\":\"#instance_id\",\"project_id\":\"#project_id\",\"project_name\":\"#project_name\",\"runtime_id\":\"#runtime_id\",\"runtime_name\":\"#runtime_name\",\"service_name\":\"#service_name\",\"terminus_key\":\"#terminus_key\"},\"window\":1}','{\"alert_group\":\"{{terminus_key}}-{{container_id}}\",\"display_url_id\":\"workbench_runtime\",\"level\":\"WARNING\",\"recover\":\"false\",\"tickets_metric_key\":\"{{container_id}}\"}',0,'2021-05-28 11:54:55','2021-05-28 11:54:59'),(130,'应用JVM GC次数','micro_service','app_resource','app_resource_jvm_gc_count','{\"filters\":[{\"operator\":\"eq\",\"tag\":\"name\",\"value\":\"concurrentmarksweep\"},{\"operator\":\"eq\",\"tag\":\"terminus_key\",\"value\":\"$terminus_key\"},{\"operator\":\"in\",\"tag\":\"application_id\",\"value\":[\"$application_id\"]}],\"functions\":[{\"aggregator\":\"sum\",\"field\":\"count\",\"operator\":\"gte\",\"value\":5}],\"group\":[\"instance_id\"],\"metric\":\"jvm_gc\",\"outputs\":[\"alert\"],\"select\":{\"application_id\":\"#application_id\",\"application_name\":\"#application_name\",\"cluster_name\":\"#cluster_name\",\"host_ip\":\"#host_ip\",\"instance_id\":\"#instance_id\",\"project_id\":\"#project_id\",\"project_name\":\"#project_name\",\"runtime_id\":\"#runtime_id\",\"runtime_name\":\"#runtime_name\",\"service_name\":\"#service_name\",\"terminus_key\":\"#terminus_key\",\"workspace\":\"#workspace\"},\"window\":3}','{\"alert_group\":\"{{terminus_key}}-{{instance_id}}\",\"display_url_id\":\"micro_jvm\",\"level\":\"WARNING\",\"recover\":\"false\",\"tickets_metric_key\":\"{{instance_id}}\"}',0,'2021-05-28 11:54:55','2021-05-28 11:54:59'),(131,'应用JVM GC 耗时','micro_service','app_resource','app_resource_jvm_gc_time','{\"condition\":\"or\",\"filters\":[{\"operator\":\"eq\",\"tag\":\"name\",\"value\":\"concurrentmarksweep\"},{\"operator\":\"eq\",\"tag\":\"terminus_key\",\"value\":\"$terminus_key\"},{\"operator\":\"in\",\"tag\":\"application_id\",\"value\":[\"$application_id\"]}],\"functions\":[{\"aggregator\":\"value\",\"field\":\"time\",\"operator\":\"gte\",\"value\":400},{\"aggregator\":\"sum\",\"field\":\"time\",\"operator\":\"gte\",\"value\":1000}],\"group\":[\"instance_id\"],\"metric\":\"jvm_gc\",\"outputs\":[\"alert\"],\"select\":{\"application_id\":\"#application_id\",\"application_name\":\"#application_name\",\"cluster_name\":\"#cluster_name\",\"host_ip\":\"#host_ip\",\"instance_id\":\"#instance_id\",\"project_id\":\"#project_id\",\"project_name\":\"#project_name\",\"runtime_id\":\"#runtime_id\",\"runtime_name\":\"#runtime_name\",\"service_name\":\"#service_name\",\"terminus_key\":\"#terminus_key\",\"workspace\":\"#workspace\"},\"window\":1}','{\"alert_group\":\"{{terminus_key}}-{{instance_id}}\",\"display_url_id\":\"micro_jvm\",\"level\":\"WARNING\",\"recover\":\"false\",\"tickets_metric_key\":\"{{instance_id}}\"}',0,'2021-05-28 11:54:55','2021-05-28 11:54:59'),(132,'应用JVM堆内存','micro_service','app_resource','app_resource_jvm_heap','{\"condition\":\"and\",\"filters\":[{\"operator\":\"eq\",\"tag\":\"name\",\"value\":\"heap_memory\"},{\"operator\":\"eq\",\"tag\":\"terminus_key\",\"value\":\"$terminus_key\"},{\"operator\":\"in\",\"tag\":\"application_id\",\"value\":[\"$application_id\"]}],\"functions\":[{\"aggregator\":\"avg\",\"field\":\"usage_percent\",\"field_script\":\"function invoke(field, tag){ return field.used / field.max * 100; }\",\"operator\":\"gte\",\"value\":75},{\"aggregator\":\"value\",\"field\":\"used\"},{\"aggregator\":\"value\",\"field\":\"max\"}],\"group\":[\"instance_id\"],\"metric\":\"jvm_memory\",\"outputs\":[\"alert\"],\"select\":{\"application_id\":\"#application_id\",\"application_name\":\"#application_name\",\"cluster_name\":\"#cluster_name\",\"host_ip\":\"#host_ip\",\"instance_id\":\"#instance_id\",\"project_id\":\"#project_id\",\"project_name\":\"#project_name\",\"runtime_id\":\"#runtime_id\",\"runtime_name\":\"#runtime_name\",\"service_name\":\"#service_name\",\"terminus_key\":\"#terminus_key\",\"workspace\":\"#workspace\"},\"window\":1}','{\"alert_group\":\"{{terminus_key}}-{{instance_id}}\",\"display_url_id\":\"micro_jvm\",\"level\":\"WARNING\",\"recover\":\"false\",\"tickets_metric_key\":\"{{instance_id}}\"}',0,'2021-05-28 11:54:55','2021-05-28 11:54:59'),(133,'应用NodeJS堆内存使用率','micro_service','app_resource','app_resource_nodejs_heap','{\"filters\":[{\"operator\":\"eq\",\"tag\":\"terminus_key\",\"value\":\"$terminus_key\"},{\"operator\":\"in\",\"tag\":\"application_id\",\"value\":[\"$application_id\"]}],\"functions\":[{\"aggregator\":\"avg\",\"field\":\"usage_percent\",\"field_script\":\"function invoke(field, tag){ if(!field.max) { return 0; } return field.rss / field.max * 100; }\",\"operator\":\"gte\",\"value\":75},{\"aggregator\":\"value\",\"field\":\"heap_used\"},{\"aggregator\":\"value\",\"field\":\"heap_total\"},{\"aggregator\":\"value\",\"field\":\"rss\"},{\"aggregator\":\"value\",\"field\":\"max\"}],\"group\":[\"instance_id\"],\"metric\":\"nodejs_memory\",\"outputs\":[\"alert\"],\"select\":{\"application_id\":\"#application_id\",\"application_name\":\"#application_name\",\"cluster_name\":\"#cluster_name\",\"host_ip\":\"#host_ip\",\"instance_id\":\"#instance_id\",\"project_id\":\"#project_id\",\"project_name\":\"#project_name\",\"runtime_id\":\"#runtime_id\",\"runtime_name\":\"#runtime_name\",\"service_name\":\"#service_name\",\"terminus_key\":\"#terminus_key\",\"workspace\":\"#workspace\"},\"window\":1}','{\"alert_group\":\"{{terminus_key}}-{{instance_id}}\",\"display_url_id\":\"micro_nodejs\",\"level\":\"WARNING\",\"recover\":\"false\",\"tickets_metric_key\":\"{{instance_id}}\"}',0,'2021-05-28 11:54:55','2021-05-28 11:54:59'),(134,'页面内容改变','micro_service','app_status','app_status_browser','{\"alias\":\"status_page_browser\",\"filters\":[{\"operator\":\"eq\",\"tag\":\"terminus_key\",\"value\":\"$terminus_key\"},{\"operator\":\"eq\",\"tag\":\"type\",\"value\":\"browser\"}],\"functions\":[{\"aggregator\":\"value\",\"field\":\"diff_screenshot\",\"operator\":\"eq\",\"value\":false}],\"group\":[\"metric\"],\"metric\":\"status_page\",\"outputs\":[\"alert\"],\"select\":{\"metric_id\":\"#metric\",\"project_id\":\"#project_id\",\"project_name\":\"#project_name\",\"status_metric_name\":\"#metric_name\",\"terminus_key\":\"#terminus_key\",\"type\":\"#type\",\"url\":\"#url\",\"workspace\":\"#env\"},\"window\":1}','{\"alert_group\":\"{{terminus_key}}-{{metric_id}}\",\"display_url_id\":\"micro_status_detail\",\"level\":\"ERROR\",\"recover\":\"false\",\"tickets_metric_key\":\"{{metric_id}}\"}',0,'2021-05-28 11:54:55','2021-05-28 11:54:59'),(135,'主动监控HTTP状态异常','micro_service','app_status','app_status_code','{\"filters\":[{\"operator\":\"eq\",\"tag\":\"terminus_key\",\"value\":\"$terminus_key\"},{\"operator\":\"eq\",\"tag\":\"type\",\"value\":\"http\"}],\"functions\":[{\"aggregator\":\"sum\",\"field\":\"retry\"},{\"aggregator\":\"min\",\"field\":\"code\",\"operator\":\"gte\",\"value\":400}],\"group\":[\"metric\"],\"metric\":\"status_page\",\"outputs\":[\"alert\"],\"select\":{\"metric_id\":\"#metric\",\"project_id\":\"#project_id\",\"project_name\":\"#project_name\",\"status_metric_name\":\"#metric_name\",\"terminus_key\":\"#terminus_key\",\"type\":\"#type\",\"url\":\"#url\",\"workspace\":\"#env\"},\"window\":1}','{\"alert_group\":\"{{terminus_key}}-{{metric_id}}\",\"display_url_id\":\"micro_status_detail\",\"level\":\"ERROR\",\"recover\":\"true\",\"tickets_metric_key\":\"{{metric_id}}\"}',0,'2021-05-28 11:54:55','2021-05-28 11:54:59'),(136,'服务接口HTTP错误率异常','micro_service','app_transaction','app_transaction_http_path_error','{\"condition\":\"and\",\"filters\":[{\"operator\":\"eq\",\"tag\":\"target_terminus_key\",\"value\":\"$target_terminus_key\"},{\"operator\":\"in\",\"tag\":\"target_application_id\",\"value\":[\"$target_application_id\"]}],\"functions\":[{\"aggregator\":\"sum\",\"field\":\"elapsed_count\",\"operator\":\"gte\",\"value\":10},{\"aggregator\":\"sum\",\"field\":\"error_count\",\"field_script\":\"function invoke(field, tag){ if(field.http_status_code_mean \\u003c 500) { return 0; } return field.elapsed_count; }\"},{\"aggregator\":\"value\",\"field\":\"error_percent\",\"field_script\":\"function invoke(field, tag){ if(!field.elapsed_count_sum) return 0; return field.elapsed_count_sum === 0 ? 0 : (field.error_count_sum / field.elapsed_count_sum * 100);}\",\"operator\":\"gte\",\"trigger\":\"aggregated\",\"value\":50}],\"group\":[\"target_runtime_id\",\"target_service_name\",\"http_path\",\"http_method\"],\"metric\":\"application_http\",\"outputs\":[\"alert\"],\"select\":{\"application_id\":\"#target_application_id\",\"application_name\":\"#target_application_name\",\"http_method\":\"#http_method\",\"http_path\":\"#http_path\",\"http_url\":\"#http_url\",\"project_id\":\"#target_project_id\",\"project_name\":\"#target_project_name\",\"runtime_id\":\"#target_runtime_id\",\"runtime_name\":\"#target_runtime_name\",\"service_name\":\"#target_service_name\",\"terminus_key\":\"#target_terminus_key\",\"workspace\":\"#target_workspace\"},\"window\":1}','{\"alert_group\":\"{{target_terminus_key}}-{{target_runtime_id}}-{{target_service_name}}-{{http_path}}-{{http_method}}\",\"display_url_id\":\"micro_si_web\",\"level\":\"WARNING\",\"recover\":\"false\",\"tickets_metric_key\":\"{{target_application_id}}\"}',0,'2021-05-28 11:54:55','2021-05-28 11:54:59'),(137,'服务接口HTTP慢事务异常','micro_service','app_transaction','app_transaction_http_path_rt','{\"condition\":\"and\",\"filters\":[{\"operator\":\"eq\",\"tag\":\"target_terminus_key\",\"value\":\"$target_terminus_key\"},{\"operator\":\"in\",\"tag\":\"target_application_id\",\"value\":[\"$target_application_id\"]}],\"functions\":[{\"aggregator\":\"sum\",\"field\":\"elapsed\",\"field_script\":\"function invoke(field, tag){ return field.elapsed_sum / 1000000; }\"},{\"aggregator\":\"sum\",\"field\":\"elapsed_count\",\"operator\":\"gte\",\"value\":10},{\"aggregator\":\"value\",\"field\":\"elapsed_avg\",\"field_script\":\"function invoke(field, tag){ if(!field.elapsed_count_sum) return 0; return field.elapsed_count_sum === 0 ? 0 : (field.elapsed_sum / field.elapsed_count_sum);}\",\"operator\":\"gte\",\"trigger\":\"aggregated\",\"value\":3000}],\"group\":[\"target_runtime_id\",\"target_service_name\",\"http_path\",\"http_method\"],\"metric\":\"application_http\",\"outputs\":[\"alert\"],\"select\":{\"application_id\":\"#target_application_id\",\"application_name\":\"#target_application_name\",\"http_method\":\"#http_method\",\"http_path\":\"#http_path\",\"http_url\":\"#http_url\",\"project_id\":\"#target_project_id\",\"project_name\":\"#target_project_name\",\"runtime_id\":\"#target_runtime_id\",\"runtime_name\":\"#target_runtime_name\",\"service_name\":\"#target_service_name\",\"terminus_key\":\"#target_terminus_key\",\"workspace\":\"#target_workspace\"},\"window\":1}','{\"alert_group\":\"{{target_terminus_key}}-{{target_runtime_id}}-{{target_service_name}}-{{http_path}}-{{http_method}}\",\"display_url_id\":\"micro_si_web\",\"level\":\"WARNING\",\"recover\":\"false\",\"tickets_metric_key\":\"{{target_application_id}}\"}',0,'2021-05-28 11:54:55','2021-05-28 11:54:59'),(138,'服务HTTP错误率异常','micro_service','app_transaction','app_transaction_http_service_error','{\"condition\":\"and\",\"filters\":[{\"operator\":\"eq\",\"tag\":\"target_terminus_key\",\"value\":\"$target_terminus_key\"},{\"operator\":\"in\",\"tag\":\"target_application_id\",\"value\":[\"$target_application_id\"]}],\"functions\":[{\"aggregator\":\"sum\",\"field\":\"elapsed_count\"},{\"aggregator\":\"sum\",\"field\":\"error_count\",\"field_script\":\"function invoke(field, tag){ if(field.http_status_code_mean \\u003c 500) { return 0; } return field.elapsed_count; }\"},{\"aggregator\":\"value\",\"field\":\"error_percent\",\"field_script\":\"function invoke(field, tag){ if(!field.elapsed_count_sum) return 0; return field.elapsed_count_sum === 0 ? 0 : (field.error_count_sum / field.elapsed_count_sum * 100);}\",\"operator\":\"gte\",\"trigger\":\"aggregated\",\"value\":30}],\"group\":[\"target_runtime_id\",\"target_service_name\"],\"metric\":\"application_http\",\"outputs\":[\"alert\"],\"select\":{\"application_id\":\"#target_application_id\",\"application_name\":\"#target_application_name\",\"project_id\":\"#target_project_id\",\"project_name\":\"#target_project_name\",\"runtime_id\":\"#target_runtime_id\",\"runtime_name\":\"#target_runtime_name\",\"service_name\":\"#target_service_name\",\"terminus_key\":\"#target_terminus_key\",\"workspace\":\"#target_workspace\"},\"window\":1}','{\"alert_group\":\"{{target_terminus_key}}-{{target_runtime_id}}-{{target_service_name}}\",\"display_url_id\":\"micro_si_web\",\"level\":\"WARNING\",\"recover\":\"true\",\"tickets_metric_key\":\"{{target_application_id}}\"}',0,'2021-05-28 11:54:55','2021-05-28 11:54:59'),(139,'服务HTTP慢事务异常','micro_service','app_transaction','app_transaction_http_service_rt','{\"condition\":\"and\",\"filters\":[{\"operator\":\"eq\",\"tag\":\"target_terminus_key\",\"value\":\"$target_terminus_key\"},{\"operator\":\"in\",\"tag\":\"target_application_id\",\"value\":[\"$target_application_id\"]}],\"functions\":[{\"aggregator\":\"sum\",\"field\":\"elapsed\",\"field_script\":\"function invoke(field, tag){ return field.elapsed_sum / 1000000; }\"},{\"aggregator\":\"sum\",\"field\":\"elapsed_count\"},{\"aggregator\":\"value\",\"field\":\"elapsed_avg\",\"field_script\":\"function invoke(field, tag){ if(!field.elapsed_count_sum) return 0; return field.elapsed_count_sum === 0 ? 0 : (field.elapsed_sum / field.elapsed_count_sum);}\",\"operator\":\"gte\",\"trigger\":\"aggregated\",\"value\":1000}],\"group\":[\"target_runtime_id\",\"target_service_name\"],\"metric\":\"application_http\",\"outputs\":[\"alert\"],\"select\":{\"application_id\":\"#target_application_id\",\"application_name\":\"#target_application_name\",\"project_id\":\"#target_project_id\",\"project_name\":\"#target_project_name\",\"runtime_id\":\"#target_runtime_id\",\"runtime_name\":\"#target_runtime_name\",\"service_name\":\"#target_service_name\",\"terminus_key\":\"#target_terminus_key\",\"workspace\":\"#target_workspace\"},\"window\":1}','{\"alert_group\":\"{{target_terminus_key}}-{{target_runtime_id}}-{{target_service_name}}\",\"display_url_id\":\"micro_si_web\",\"level\":\"WARNING\",\"recover\":\"true\",\"tickets_metric_key\":\"{{target_application_id}}\"}',0,'2021-05-28 11:54:55','2021-05-28 11:54:59'),(140,'平台中间件Cassandra GC次数异常','org','dice_addon','dice_addon_cassandra_gc_count','{\"filters\":[{\"operator\":\"in\",\"tag\":\"cluster_name\",\"value\":[\"$cluster_name\"]},{\"operator\":\"eq\",\"tag\":\"addon_id\",\"value\":\"cassandra\"},{\"operator\":\"like\",\"tag\":\"name\",\"value\":\"Old\"}],\"functions\":[{\"aggregator\":\"min\",\"field\":\"CollectionCount_min\",\"field_script\":\"function invoke(fields,tags){return fields.CollectionCount;}\"},{\"aggregator\":\"max\",\"field\":\"CollectionCount_max\",\"field_script\":\"function invoke(fields,tags){return fields.CollectionCount;}\"},{\"aggregator\":\"value\",\"field\":\"CollectionCount_win\",\"field_script\":\"function invoke(fields,tags){return fields.CollectionCount_max-fields.CollectionCount_min;}\",\"operator\":\"gte\",\"trigger\":\"aggregated\",\"value\":10}],\"group\":[\"cluster_name\",\"node_id\"],\"metrics\":[\"addon_java_GarbageCollector\"],\"outputs\":[\"alert\"],\"select\":{\"addon_id\":\"#addon_id\",\"addon_type\":\"#addon_type\",\"cluster_name\":\"#cluster_name\",\"node_host\":\"#jolokia_host\"},\"window\":3}','{\"alert_group\":\"{{cluster_name}}-{{addon_id}}\",\"display_url_id\":\"org_addon\",\"level\":\"WARNING\",\"recover\":\"false\",\"tickets_metric_key\":\"{{addon_id}}\"}',0,'2021-05-28 11:54:55','2021-05-28 11:54:59'),(141,'平台中间件Cassandra GC耗时异常','org','dice_addon','dice_addon_cassandra_gc_time','{\"filters\":[{\"operator\":\"in\",\"tag\":\"cluster_name\",\"value\":[\"$cluster_name\"]},{\"operator\":\"eq\",\"tag\":\"addon_id\",\"value\":\"cassandra\"},{\"operator\":\"like\",\"tag\":\"name\",\"value\":\"Old\"}],\"functions\":[{\"aggregator\":\"min\",\"field\":\"CollectionTime_min\",\"field_script\":\"function invoke(fields,tags){return fields.CollectionTime;}\"},{\"aggregator\":\"max\",\"field\":\"CollectionTime_max\",\"field_script\":\"function invoke(fields,tags){return fields.CollectionTime;}\"},{\"aggregator\":\"value\",\"field\":\"CollectionTime_win\",\"field_script\":\"function invoke(fields,tags){return fields.CollectionTime_max-fields.CollectionTime_min;}\",\"operator\":\"gte\",\"trigger\":\"aggregated\",\"value\":15000}],\"group\":[\"cluster_name\",\"node_id\"],\"metrics\":[\"addon_java_GarbageCollector\"],\"outputs\":[\"alert\"],\"select\":{\"addon_id\":\"#addon_id\",\"addon_type\":\"#addon_type\",\"cluster_name\":\"#cluster_name\",\"node_host\":\"#jolokia_host\"},\"window\":3}','{\"alert_group\":\"{{cluster_name}}-{{addon_id}}\",\"display_url_id\":\"org_addon\",\"level\":\"WARNING\",\"recover\":\"false\",\"tickets_metric_key\":\"{{addon_id}}\"}',0,'2021-05-28 11:54:55','2021-05-28 11:54:59'),(142,'平台中间件实例CPU状态','org','dice_addon','dice_addon_container_cpu','{\"filters\":[{\"operator\":\"in\",\"tag\":\"cluster_name\",\"value\":[\"$cluster_name\"]},{\"operator\":\"eq\",\"tag\":\"pod_namespace\",\"value\":\"default\"},{\"operator\":\"any\",\"tag\":\"addon_id\"}],\"functions\":[{\"aggregator\":\"avg\",\"field\":\"usage_percent\",\"field_script\":\"function invoke(fields,tags){return fields.limit===0?fields.usage_percent:fields.usage_percent/fields.limit}\",\"operator\":\"gte\",\"value\":95},{\"aggregator\":\"value\",\"field\":\"limit\"},{\"aggregator\":\"value\",\"field\":\"allocation\"}],\"group\":[\"cluster_name\",\"container_id\"],\"metrics\":[\"docker_container_cpu\"],\"outputs\":[\"alert\"],\"select\":{\"addon_id\":\"#addon_id\",\"cluster_name\":\"#cluster_name\",\"container_id\":\"#container_id\",\"host_ip\":\"#host_ip\",\"pod_name\":\"#pod_name\",\"pod_namespace\":\"#pod_namespace\"},\"window\":2}','{\"alert_group\":\"{{cluster_name}}-{{container_id}}\",\"level\":\"WARNING\",\"recover\":\"false\",\"tickets_metric_key\":\"{{container_id}}\"}',0,'2021-05-28 11:54:55','2021-05-28 11:54:59'),(143,'平台中间件异常退出','org','dice_addon','dice_addon_container_exit','{\"filters\":[{\"operator\":\"in\",\"tag\":\"cluster_name\",\"value\":[\"$cluster_name\"]},{\"operator\":\"eq\",\"tag\":\"pod_namespace\",\"value\":\"default\"},{\"operator\":\"any\",\"tag\":\"addon_id\"}],\"functions\":[{\"aggregator\":\"max\",\"field\":\"exitcode\",\"operator\":\"gt\",\"value\":0},{\"aggregator\":\"value\",\"field\":\"terminated_reason\",\"field_script\":\"function invoke(fields,tags){if(fields.oomkilled) return \'Out Of Memory\';return \'Error Exit Code \'+fields.exitcode;}\"},{\"aggregator\":\"value\",\"field\":\"finished_at\",\"field_script\":\"function invoke(fields,tags){if(fields.finished_at!=null\\u0026\\u0026fields.finished_at!=undefined) return fields.finished_at/1000000;return \'-\'}\"},{\"aggregator\":\"value\",\"field\":\"started_at\",\"field_script\":\"function invoke(fields,tags){if(fields.started_at!=null\\u0026\\u0026fields.started_at!=undefined) return fields.started_at/1000000;return \'-\'}\"},{\"aggregator\":\"value\",\"field\":\"pid\"}],\"group\":[\"cluster_name\",\"pod_namespace\",\"pod_name\"],\"metrics\":[\"docker_container_status\"],\"outputs\":[\"alert\"],\"select\":{\"addon_id\":\"#addon_id\",\"cluster_name\":\"#cluster_name\",\"container_id\":\"#container_id\",\"host_ip\":\"#host_ip\",\"pod_name\":\"#pod_name\",\"pod_namespace\":\"#pod_namespace\"},\"window\":1}','{\"alert_group\":\"{{cluster_name}}-{{container_id}}\",\"display_url_id\":\"org_pod\",\"level\":\"WARNING\",\"recover\":\"false\",\"tickets_metric_key\":\"{{container_id}}\"}',0,'2021-05-28 11:54:55','2021-05-28 11:54:59'),(144,'平台中间件实例内存状态','org','dice_addon','dice_addon_container_mem','{\"filters\":[{\"operator\":\"in\",\"tag\":\"cluster_name\",\"value\":[\"$cluster_name\"]},{\"operator\":\"eq\",\"tag\":\"pod_namespace\",\"value\":\"default\"},{\"operator\":\"any\",\"tag\":\"addon_id\"}],\"functions\":[{\"aggregator\":\"avg\",\"field\":\"usage_percent\",\"operator\":\"gt\",\"value\":80},{\"aggregator\":\"value\",\"field\":\"usage\"},{\"aggregator\":\"value\",\"field\":\"limit\"},{\"aggregator\":\"value\",\"field\":\"max_usage\"},{\"aggregator\":\"value\",\"field\":\"allocation\"}],\"group\":[\"cluster_name\",\"container_id\"],\"metrics\":[\"docker_container_mem\"],\"outputs\":[\"alert\"],\"select\":{\"addon_id\":\"#addon_id\",\"cluster_name\":\"#cluster_name\",\"container_id\":\"#container_id\",\"host_ip\":\"#host_ip\",\"pod_name\":\"#pod_name\",\"pod_namespace\":\"#pod_namespace\"},\"window\":2}','{\"alert_group\":\"{{cluster_name}}-{{container_id}}\",\"level\":\"WARNING\",\"recover\":\"false\",\"tickets_metric_key\":\"{{container_id}}\"}',0,'2021-05-28 11:54:55','2021-05-28 11:54:59'),(145,'平台中间件实例Ready状态异常','org','dice_addon','dice_addon_container_ready','{\"filters\":[{\"operator\":\"in\",\"tag\":\"cluster_name\",\"value\":[\"$cluster_name\"]},{\"operator\":\"eq\",\"tag\":\"namespace\",\"value\":\"default\"},{\"operator\":\"any\",\"tag\":\"addon_id\"}],\"functions\":[{\"aggregator\":\"avg\",\"field\":\"not_ready_avg\",\"field_script\":\"function invoke(fields,tags){if(tags.daemonset_name){return fields.number_unavailable}else{if(tags.statefulset_name){return fields.replicas-fields.replicas_ready}else{if(tags.deployment_name){return fields.replicas_unavailable}}}return 0}\",\"operator\":\"gt\",\"value\":0},{\"aggregator\":\"value\",\"field\":\"not_ready\",\"field_script\":\"function invoke(fields,tags){if(tags.daemonset_name){return fields.number_unavailable}else{if(tags.statefulset_name){return fields.replicas-fields.replicas_ready}else{if(tags.deployment_name){return fields.replicas_unavailable}}}return 0}\"},{\"aggregator\":\"value\",\"field\":\"ready\",\"field_script\":\"function invoke(fields,tags){if(tags.daemonset_name){return fields.number_available}else{if(tags.statefulset_name){return fields.replicas_ready}else{if(tags.deployment_name){return fields.replicas_available}}}return 0}\"},{\"aggregator\":\"value\",\"field\":\"total\",\"field_script\":\"function invoke(fields,tags){if(tags.daemonset_name){return fields.number_unavailable+fields.number_available}else{if(tags.statefulset_name){return fields.replicas}else{if(tags.deployment_name){return fields.replicas_unavailable+fields.replicas_available}}}return 0}\"},{\"aggregator\":\"value\",\"field\":\"resource_name\",\"field_script\":\"function invoke(fields,tags){if(tags.daemonset_name){return tags.daemonset_name}else{if(tags.statefulset_name){return tags.statefulset_name}else{if(tags.deployment_name){return tags.deployment_name}}}return null};\"}],\"group\":[\"cluster_name\",\"namespace\",\"daemonset_name\",\"statefulset_name\",\"deployment_name\"],\"metrics\":[\"kubernetes_daemonset\",\"kubernetes_statefulset\",\"kubernetes_deployment\"],\"outputs\":[\"alert\"],\"select\":{\"addon_id\":\"#addon_id\",\"cluster_name\":\"#cluster_name\",\"daemonset_name\":\"#daemonset_name\",\"deployment_name\":\"#deployment_name\",\"namespace\":\"#namespace\",\"statefulset_name\":\"#statefulset_name\"},\"window\":1}','{\"alert_group\":\"{{cluster_name}}-{{daemonset_name}}-{{statefulset_name}}-{{deployment_name}}\",\"level\":\"WARNING\",\"recover\":\"false\",\"tickets_metric_key\":\"{{daemonset_name}}-{{statefulset_name}}-{{deployment_name}}\"}',0,'2021-05-28 11:54:55','2021-05-28 11:54:59'),(146,'平台中间件Elasticsearch GC次数异常','org','dice_addon','dice_addon_elasticsearch_gc_count','{\"filters\":[{\"operator\":\"in\",\"tag\":\"cluster_name\",\"value\":[\"$cluster_name\"]},{\"operator\":\"eq\",\"tag\":\"addon_id\",\"value\":\"elasticsearch\"}],\"functions\":[{\"aggregator\":\"min\",\"field\":\"gc_collectors_old_collection_count_min\",\"field_script\":\"function invoke(fields,tags){return fields.gc_collectors_old_collection_count;}\"},{\"aggregator\":\"max\",\"field\":\"gc_collectors_old_collection_count_max\",\"field_script\":\"function invoke(fields,tags){return fields.gc_collectors_old_collection_count;}\"},{\"aggregator\":\"value\",\"field\":\"gc_collectors_old_collection_count_win\",\"field_script\":\"function invoke(fields,tags){return fields.gc_collectors_old_collection_count_max-fields.gc_collectors_old_collection_count_min;}\",\"operator\":\"gte\",\"trigger\":\"aggregated\",\"value\":10}],\"group\":[\"cluster_name\",\"node_id\"],\"metrics\":[\"elasticsearch_jvm\"],\"outputs\":[\"alert\"],\"select\":{\"addon_id\":\"#addon_id\",\"addon_type\":\"#addon_type\",\"cluster_name\":\"#cluster_name\",\"node_host\":\"#node_host\",\"node_id\":\"#node_id\",\"node_name\":\"#node_name\"},\"window\":3}','{\"alert_group\":\"{{cluster_name}}-{{addon_id}}\",\"display_url_id\":\"org_addon\",\"level\":\"WARNING\",\"recover\":\"false\",\"tickets_metric_key\":\"{{addon_id}}\"}',0,'2021-05-28 11:54:55','2021-05-28 11:54:59'),(147,'平台中间件Elasticsearch GC耗时异常','org','dice_addon','dice_addon_elasticsearch_gc_time','{\"filters\":[{\"operator\":\"in\",\"tag\":\"cluster_name\",\"value\":[\"$cluster_name\"]},{\"operator\":\"eq\",\"tag\":\"addon_id\",\"value\":\"elasticsearch\"}],\"functions\":[{\"aggregator\":\"min\",\"field\":\"gc_collectors_old_collection_time_in_millis_min\",\"field_script\":\"function invoke(fields,tags){return fields.gc_collectors_old_collection_time_in_millis;}\"},{\"aggregator\":\"max\",\"field\":\"gc_collectors_old_collection_time_in_millis_max\",\"field_script\":\"function invoke(fields,tags){return fields.gc_collectors_old_collection_time_in_millis;}\"},{\"aggregator\":\"value\",\"field\":\"gc_collectors_old_collection_time_in_millis_win\",\"field_script\":\"function invoke(fields,tags){return fields.gc_collectors_old_collection_time_in_millis_max-fields.gc_collectors_old_collection_time_in_millis_min;}\",\"operator\":\"gte\",\"trigger\":\"aggregated\",\"value\":15000}],\"group\":[\"cluster_name\",\"node_id\"],\"metrics\":[\"elasticsearch_jvm\"],\"outputs\":[\"alert\"],\"select\":{\"addon_id\":\"#addon_id\",\"addon_type\":\"#addon_type\",\"cluster_name\":\"#cluster_name\",\"node_host\":\"#node_host\",\"node_id\":\"#node_id\",\"node_name\":\"#node_name\"},\"window\":3}','{\"alert_group\":\"{{cluster_name}}-{{addon_id}}\",\"display_url_id\":\"org_addon\",\"level\":\"WARNING\",\"recover\":\"false\",\"tickets_metric_key\":\"{{addon_id}}\"}',0,'2021-05-28 11:54:55','2021-05-28 11:54:59'),(148,'平台中间件Kafka GC次数异常','org','dice_addon','dice_addon_kafka_gc_count','{\"filters\":[{\"operator\":\"in\",\"tag\":\"cluster_name\",\"value\":[\"$cluster_name\"]},{\"operator\":\"eq\",\"tag\":\"addon_id\",\"value\":\"kafka\"},{\"operator\":\"like\",\"tag\":\"name\",\"value\":\"Old\"}],\"functions\":[{\"aggregator\":\"min\",\"field\":\"CollectionCount_min\",\"field_script\":\"function invoke(fields,tags){return fields.CollectionCount;}\"},{\"aggregator\":\"max\",\"field\":\"CollectionCount_max\",\"field_script\":\"function invoke(fields,tags){return fields.CollectionCount;}\"},{\"aggregator\":\"value\",\"field\":\"CollectionCount_win\",\"field_script\":\"function invoke(fields,tags){return fields.CollectionCount_max-fields.CollectionCount_min;}\",\"operator\":\"gte\",\"trigger\":\"aggregated\",\"value\":10}],\"group\":[\"cluster_name\",\"node_id\"],\"metrics\":[\"addon_java_GarbageCollector\"],\"outputs\":[\"alert\"],\"select\":{\"addon_id\":\"#addon_id\",\"addon_type\":\"#addon_type\",\"cluster_name\":\"#cluster_name\",\"node_host\":\"#jolokia_host\"},\"window\":3}','{\"alert_group\":\"{{cluster_name}}-{{addon_id}}\",\"display_url_id\":\"org_addon\",\"level\":\"WARNING\",\"recover\":\"false\",\"tickets_metric_key\":\"{{addon_id}}\"}',0,'2021-05-28 11:54:55','2021-05-28 11:54:59'),(149,'平台中间件Kafka GC耗时异常','org','dice_addon','dice_addon_kafka_gc_time','{\"filters\":[{\"operator\":\"in\",\"tag\":\"cluster_name\",\"value\":[\"$cluster_name\"]},{\"operator\":\"eq\",\"tag\":\"addon_id\",\"value\":\"kafka\"},{\"operator\":\"like\",\"tag\":\"name\",\"value\":\"Old\"}],\"functions\":[{\"aggregator\":\"min\",\"field\":\"CollectionTime_min\",\"field_script\":\"function invoke(fields,tags){return fields.CollectionTime;}\"},{\"aggregator\":\"max\",\"field\":\"CollectionTime_max\",\"field_script\":\"function invoke(fields,tags){return fields.CollectionTime;}\"},{\"aggregator\":\"value\",\"field\":\"CollectionTime_win\",\"field_script\":\"function invoke(fields,tags){return fields.CollectionTime_max-fields.CollectionTime_min;}\",\"operator\":\"gte\",\"trigger\":\"aggregated\",\"value\":15000}],\"group\":[\"cluster_name\",\"node_id\"],\"metrics\":[\"addon_java_GarbageCollector\"],\"outputs\":[\"alert\"],\"select\":{\"addon_id\":\"#addon_id\",\"addon_type\":\"#addon_type\",\"cluster_name\":\"#cluster_name\",\"node_host\":\"#jolokia_host\"},\"window\":3}','{\"alert_group\":\"{{cluster_name}}-{{addon_id}}\",\"display_url_id\":\"org_addon\",\"level\":\"WARNING\",\"recover\":\"false\",\"tickets_metric_key\":\"{{addon_id}}\"}',0,'2021-05-28 11:54:55','2021-05-28 11:54:59'),(150,'平台中间件kafka消费堆积','org','dice_addon','dice_addon_kafka_lag','{\"filters\":[{\"operator\":\"in\",\"tag\":\"cluster_name\",\"value\":[\"$cluster_name\"]},{\"operator\":\"eq\",\"tag\":\"addon_id\",\"value\":\"kafka\"}],\"functions\":[{\"aggregator\":\"avg\",\"field\":\"lag\",\"operator\":\"gte\",\"value\":100000},{\"aggregator\":\"avg\",\"field\":\"consume_rate_per_sec\"},{\"aggregator\":\"avg\",\"field\":\"produce_rate_per_sec\"}],\"group\":[\"cluster_name\",\"addon_id\",\"group\",\"topic\"],\"metrics\":[\"kafka_consumer\"],\"outputs\":[\"alert\"],\"select\":{\"addon_id\":\"#addon_id\",\"addon_type\":\"#addon_type\",\"cluster_name\":\"#cluster_name\",\"group\":\"#group\",\"topic\":\"#topic\"},\"window\":3}','{\"alert_group\":\"{{cluster_name}}-{{group}}-{{topic}}\",\"display_url_id\":\"org_addon\",\"level\":\"WARNING\",\"recover\":\"false\",\"tickets_metric_key\":\"{{group}}-{{topic}}\"}',0,'2021-05-28 11:54:55','2021-05-28 11:54:59'),(151,'平台组件实例CPU状态','org','dice_component','dice_component_container_cpu','{\"filters\":[{\"operator\":\"in\",\"tag\":\"cluster_name\",\"value\":[\"$cluster_name\"]},{\"operator\":\"eq\",\"tag\":\"pod_namespace\",\"value\":\"default\"},{\"operator\":\"any\",\"tag\":\"component_name\"}],\"functions\":[{\"aggregator\":\"avg\",\"field\":\"usage_percent\",\"field_script\":\"function invoke(fields,tags){return fields.limit===0?fields.usage_percent:fields.usage_percent/fields.limit}\",\"operator\":\"gte\",\"value\":95},{\"aggregator\":\"value\",\"field\":\"limit\"},{\"aggregator\":\"value\",\"field\":\"allocation\"}],\"group\":[\"cluster_name\",\"container_id\"],\"metrics\":[\"docker_container_cpu\"],\"outputs\":[\"alert\"],\"select\":{\"cluster_name\":\"#cluster_name\",\"component_name\":\"#component_name\",\"container_id\":\"#container_id\",\"host_ip\":\"#host_ip\",\"pod_name\":\"#pod_name\",\"pod_namespace\":\"#pod_namespace\"},\"window\":2}','{\"alert_group\":\"{{cluster_name}}-{{container_id}}\",\"level\":\"WARNING\",\"recover\":\"false\",\"tickets_metric_key\":\"{{container_id}}\"}',0,'2021-05-28 11:54:55','2021-05-28 11:54:59'),(152,'平台组件异常退出','org','dice_component','dice_component_container_exit','{\"filters\":[{\"operator\":\"in\",\"tag\":\"cluster_name\",\"value\":[\"$cluster_name\"]},{\"operator\":\"eq\",\"tag\":\"pod_namespace\",\"value\":\"default\"},{\"operator\":\"any\",\"tag\":\"component_name\"}],\"functions\":[{\"aggregator\":\"max\",\"field\":\"exitcode\",\"operator\":\"gt\",\"value\":0},{\"aggregator\":\"value\",\"field\":\"terminated_reason\",\"field_script\":\"function invoke(fields,tags){if(fields.oomkilled) return \'Out Of Memory\';return \'Error Exit Code \'+fields.exitcode;}\"},{\"aggregator\":\"value\",\"field\":\"finished_at\",\"field_script\":\"function invoke(fields,tags){if(fields.finished_at!=null\\u0026\\u0026fields.finished_at!=undefined) return fields.finished_at/1000000;return \'-\'}\"},{\"aggregator\":\"value\",\"field\":\"started_at\",\"field_script\":\"function invoke(fields,tags){if(fields.started_at!=null\\u0026\\u0026fields.started_at!=undefined) return fields.started_at/1000000;return \'-\'}\"},{\"aggregator\":\"value\",\"field\":\"pid\"}],\"group\":[\"cluster_name\",\"container_id\"],\"metrics\":[\"docker_container_status\"],\"outputs\":[\"alert\"],\"select\":{\"cluster_name\":\"#cluster_name\",\"component_name\":\"#component_name\",\"container_id\":\"#container_id\",\"host_ip\":\"#host_ip\",\"pod_name\":\"#pod_name\",\"pod_namespace\":\"#pod_namespace\"},\"window\":1}','{\"alert_group\":\"{{cluster_name}}-{{container_id}}\",\"display_url_id\":\"org_pod\",\"level\":\"WARNING\",\"recover\":\"false\",\"tickets_metric_key\":\"{{container_id}}\"}',0,'2021-05-28 11:54:55','2021-05-28 11:54:59'),(153,'平台组件实例内存状态','org','dice_component','dice_component_container_mem','{\"filters\":[{\"operator\":\"in\",\"tag\":\"cluster_name\",\"value\":[\"$cluster_name\"]},{\"operator\":\"eq\",\"tag\":\"pod_namespace\",\"value\":\"default\"},{\"operator\":\"any\",\"tag\":\"component_name\"}],\"functions\":[{\"aggregator\":\"avg\",\"field\":\"usage_percent\",\"operator\":\"gt\",\"value\":70},{\"aggregator\":\"value\",\"field\":\"usage\"},{\"aggregator\":\"value\",\"field\":\"limit\"},{\"aggregator\":\"value\",\"field\":\"max_usage\"},{\"aggregator\":\"value\",\"field\":\"allocation\"}],\"group\":[\"cluster_name\",\"container_id\"],\"metrics\":[\"docker_container_mem\"],\"outputs\":[\"alert\"],\"select\":{\"cluster_name\":\"#cluster_name\",\"component_name\":\"#component_name\",\"container_id\":\"#container_id\",\"host_ip\":\"#host_ip\",\"pod_name\":\"#pod_name\",\"pod_namespace\":\"#pod_namespace\"},\"window\":2}','{\"alert_group\":\"{{cluster_name}}-{{container_id}}\",\"level\":\"WARNING\",\"recover\":\"false\",\"tickets_metric_key\":\"{{container_id}}\"}',0,'2021-05-28 11:54:55','2021-05-28 11:54:59'),(154,'平台组件实例Ready状态异常','org','dice_component','dice_component_container_ready','{\"filters\":[{\"operator\":\"in\",\"tag\":\"cluster_name\",\"value\":[\"$cluster_name\"]},{\"operator\":\"eq\",\"tag\":\"namespace\",\"value\":\"default\"},{\"operator\":\"any\",\"tag\":\"component_name\"}],\"functions\":[{\"aggregator\":\"avg\",\"field\":\"not_ready_avg\",\"field_script\":\"function invoke(fields,tags){if(tags.daemonset_name){return fields.number_unavailable}else{if(tags.statefulset_name){return fields.replicas-fields.replicas_ready}else{if(tags.deployment_name){return fields.replicas_unavailable}}}return 0}\",\"operator\":\"gt\",\"value\":0},{\"aggregator\":\"value\",\"field\":\"not_ready\",\"field_script\":\"function invoke(fields,tags){if(tags.daemonset_name){return fields.number_unavailable}else{if(tags.statefulset_name){return fields.replicas-fields.replicas_ready}else{if(tags.deployment_name){return fields.replicas_unavailable}}}return 0}\"},{\"aggregator\":\"value\",\"field\":\"ready\",\"field_script\":\"function invoke(fields,tags){if(tags.daemonset_name){return fields.number_available}else{if(tags.statefulset_name){return fields.replicas_ready}else{if(tags.deployment_name){return fields.replicas_available}}}return 0}\"},{\"aggregator\":\"value\",\"field\":\"total\",\"field_script\":\"function invoke(fields,tags){if(tags.daemonset_name){return fields.number_unavailable+fields.number_available}else{if(tags.statefulset_name){return fields.replicas}else{if(tags.deployment_name){return fields.replicas_unavailable+fields.replicas_available}}}return 0}\"},{\"aggregator\":\"value\",\"field\":\"resource_name\",\"field_script\":\"function invoke(fields,tags){if(tags.daemonset_name){return tags.daemonset_name}else{if(tags.statefulset_name){return tags.statefulset_name}else{if(tags.deployment_name){return tags.deployment_name}}}return null};\"}],\"group\":[\"cluster_name\",\"namespace\",\"daemonset_name\",\"statefulset_name\",\"deployment_name\"],\"metrics\":[\"kubernetes_daemonset\",\"kubernetes_statefulset\",\"kubernetes_deployment\"],\"outputs\":[\"alert\"],\"select\":{\"cluster_name\":\"#cluster_name\",\"component_name\":\"#component_name\",\"daemonset_name\":\"#daemonset_name\",\"deployment_name\":\"#deployment_name\",\"namespace\":\"#namespace\",\"statefulset_name\":\"#statefulset_name\"},\"window\":3}','{\"alert_group\":\"{{cluster_name}}-{{daemonset_name}}-{{statefulset_name}}-{{deployment_name}}\",\"level\":\"WARNING\",\"recover\":\"false\",\"tickets_metric_key\":\"{{daemonset_name}}-{{statefulset_name}}-{{deployment_name}}\"}',0,'2021-05-28 11:54:55','2021-05-28 11:54:59'),(155,'kubernetes组件实例CPU状态','org','kubernetes','kubernetes_instance_cpu','{\"filters\":[{\"operator\":\"in\",\"tag\":\"cluster_name\",\"value\":[\"$cluster_name\"]},{\"operator\":\"eq\",\"tag\":\"pod_namespace\",\"value\":\"kube-system\"}],\"functions\":[{\"aggregator\":\"avg\",\"field\":\"usage_percent\",\"field_script\":\"function invoke(fields,tags){return fields.limit===0?fields.usage_percent:fields.usage_percent/fields.limit}\",\"operator\":\"gte\",\"value\":95},{\"aggregator\":\"value\",\"field\":\"limit\"},{\"aggregator\":\"value\",\"field\":\"allocation\"}],\"group\":[\"cluster_name\",\"container_id\"],\"metrics\":[\"docker_container_cpu\"],\"outputs\":[\"alert\"],\"select\":{\"cluster_name\":\"#cluster_name\",\"container_id\":\"#container_id\",\"host_ip\":\"#host_ip\",\"pod_name\":\"#pod_name\",\"pod_namespace\":\"#pod_namespace\"},\"window\":2}','{\"alert_group\":\"{{cluster_name}}-{{container_id}}\",\"level\":\"WARNING\",\"recover\":\"false\",\"tickets_metric_key\":\"{{container_id}}\"}',0,'2021-05-28 11:54:55','2021-05-28 11:54:59'),(156,'kubernetes组件异常退出','org','kubernetes','kubernetes_instance_exit','{\"filters\":[{\"operator\":\"in\",\"tag\":\"cluster_name\",\"value\":[\"$cluster_name\"]},{\"operator\":\"eq\",\"tag\":\"pod_namespace\",\"value\":\"kube-system\"}],\"functions\":[{\"aggregator\":\"max\",\"field\":\"exitcode\",\"operator\":\"gt\",\"value\":0},{\"aggregator\":\"value\",\"field\":\"terminated_reason\",\"field_script\":\"function invoke(fields,tags){if(fields.oomkilled) return \'Out Of Memory\';return \'Error Exit Code \'+fields.exitcode;}\"},{\"aggregator\":\"value\",\"field\":\"finished_at\",\"field_script\":\"function invoke(fields,tags){if(fields.finished_at!=null\\u0026\\u0026fields.finished_at!=undefined) return fields.finished_at/1000000;return \'-\'}\"},{\"aggregator\":\"value\",\"field\":\"started_at\",\"field_script\":\"function invoke(fields,tags){if(fields.started_at!=null\\u0026\\u0026fields.started_at!=undefined) return fields.started_at/1000000;return \'-\'}\"},{\"aggregator\":\"value\",\"field\":\"pid\"}],\"group\":[\"cluster_name\",\"pod_namespace\",\"pod_name\"],\"metrics\":[\"docker_container_status\"],\"outputs\":[\"alert\"],\"select\":{\"cluster_name\":\"#cluster_name\",\"component_name\":\"#component_name\",\"container_id\":\"#container_id\",\"host_ip\":\"#host_ip\",\"pod_name\":\"#pod_name\",\"pod_namespace\":\"#pod_namespace\"},\"window\":1}','{\"alert_group\":\"{{cluster_name}}-{{container_id}}\",\"display_url_id\":\"org_pod\",\"level\":\"WARNING\",\"recover\":\"false\",\"tickets_metric_key\":\"{{container_id}}\"}',0,'2021-05-28 11:54:55','2021-05-28 11:54:59'),(157,'kubernetes组件实例内存状态','org','kubernetes','kubernetes_instance_mem','{\"filters\":[{\"operator\":\"in\",\"tag\":\"cluster_name\",\"value\":[\"$cluster_name\"]},{\"operator\":\"eq\",\"tag\":\"pod_namespace\",\"value\":\"kube-system\"}],\"functions\":[{\"aggregator\":\"avg\",\"field\":\"usage_percent\",\"operator\":\"gt\",\"value\":70},{\"aggregator\":\"value\",\"field\":\"usage\"},{\"aggregator\":\"value\",\"field\":\"limit\"},{\"aggregator\":\"value\",\"field\":\"max_usage\"},{\"aggregator\":\"value\",\"field\":\"allocation\"}],\"group\":[\"cluster_name\",\"container_id\"],\"metrics\":[\"docker_container_mem\"],\"outputs\":[\"alert\"],\"select\":{\"cluster_name\":\"#cluster_name\",\"container_id\":\"#container_id\",\"host_ip\":\"#host_ip\",\"pod_name\":\"#pod_name\",\"pod_namespace\":\"#pod_namespace\"},\"window\":2}','{\"alert_group\":\"{{cluster_name}}-{{container_id}}\",\"level\":\"WARNING\",\"recover\":\"false\",\"tickets_metric_key\":\"{{container_id}}\"}',0,'2021-05-28 11:54:55','2021-05-28 11:54:59'),(158,'kubernetes组件实例Ready状态异常','org','kubernetes','kubernetes_instance_ready','{\"filters\":[{\"operator\":\"in\",\"tag\":\"cluster_name\",\"value\":[\"$cluster_name\"]},{\"operator\":\"eq\",\"tag\":\"namespace\",\"value\":\"kube-system\"}],\"functions\":[{\"aggregator\":\"avg\",\"field\":\"not_ready_avg\",\"field_script\":\"function invoke(fields,tags){if(tags.daemonset_name){return fields.number_unavailable}else{if(tags.statefulset_name){return fields.replicas-fields.replicas_ready}else{if(tags.deployment_name){return fields.replicas_unavailable}}}return 0}\",\"operator\":\"gt\",\"value\":0},{\"aggregator\":\"value\",\"field\":\"not_ready\",\"field_script\":\"function invoke(fields,tags){if(tags.daemonset_name){return fields.number_unavailable}else{if(tags.statefulset_name){return fields.replicas-fields.replicas_ready}else{if(tags.deployment_name){return fields.replicas_unavailable}}}return 0}\"},{\"aggregator\":\"value\",\"field\":\"ready\",\"field_script\":\"function invoke(fields,tags){if(tags.daemonset_name){return fields.number_available}else{if(tags.statefulset_name){return fields.replicas_ready}else{if(tags.deployment_name){return fields.replicas_available}}}return 0}\"},{\"aggregator\":\"value\",\"field\":\"total\",\"field_script\":\"function invoke(fields,tags){if(tags.daemonset_name){return fields.number_unavailable+fields.number_available}else{if(tags.statefulset_name){return fields.replicas}else{if(tags.deployment_name){return fields.replicas_unavailable+fields.replicas_available}}}return 0}\"},{\"aggregator\":\"value\",\"field\":\"resource_name\",\"field_script\":\"function invoke(fields,tags){if(tags.daemonset_name){return tags.daemonset_name}else{if(tags.statefulset_name){return tags.statefulset_name}else{if(tags.deployment_name){return tags.deployment_name}}}return null};\"}],\"group\":[\"cluster_name\",\"namespace\",\"daemonset_name\",\"statefulset_name\",\"deployment_name\"],\"metrics\":[\"kubernetes_daemonset\",\"kubernetes_statefulset\",\"kubernetes_deployment\"],\"outputs\":[\"alert\"],\"select\":{\"cluster_name\":\"#cluster_name\",\"daemonset_name\":\"#daemonset_name\",\"deployment_name\":\"#deployment_name\",\"namespace\":\"#namespace\",\"statefulset_name\":\"#statefulset_name\"},\"window\":1}','{\"alert_group\":\"{{cluster_name}}-{{daemonset_name}}-{{statefulset_name}}-{{deployment_name}}\",\"level\":\"WARNING\",\"recover\":\"false\",\"tickets_metric_key\":\"{{daemonset_name}}-{{statefulset_name}}-{{deployment_name}}\"}',0,'2021-05-28 11:54:55','2021-05-28 11:54:59'),(159,'kubernetes节点异常','org','kubernetes','kubernetes_node','{\"filters\":[{\"operator\":\"in\",\"tag\":\"cluster_name\",\"value\":[\"$cluster_name\"]},{\"operator\":\"neq\",\"tag\":\"offline\",\"value\":\"true\"}],\"functions\":[{\"aggregator\":\"values\",\"field\":\"ready\",\"operator\":\"all\",\"value\":false},{\"aggregator\":\"value\",\"field\":\"allocatable_pods\"},{\"aggregator\":\"value\",\"field\":\"capacity_pods\"},{\"aggregator\":\"value\",\"field\":\"allocatable_cpu_cores\"},{\"aggregator\":\"value\",\"field\":\"capacity_cpu_cores\"},{\"aggregator\":\"value\",\"field\":\"allocatable_memory_bytes\"},{\"aggregator\":\"value\",\"field\":\"capacity_memory_bytes\"}],\"group\":[\"cluster_name\",\"node_name\"],\"metrics\":[\"kubernetes_node\"],\"outputs\":[\"alert\"],\"select\":{\"cluster_name\":\"#cluster_name\",\"node_name\":\"#node_name\"},\"window\":1}','{\"alert_group\":\"{{cluster_name}}-{{node_name}}\",\"level\":\"WARNING\",\"recover\":\"false\",\"tickets_metric_key\":\"{{node_name}}\"}',0,'2021-05-28 11:54:55','2021-05-28 11:54:59'),(160,'机器CPU','org','machine','machine_cpu','{\"filters\":[{\"operator\":\"in\",\"tag\":\"cluster_name\",\"value\":[\"$cluster_name\"]}],\"functions\":[{\"aggregator\":\"avg\",\"field\":\"usage_active\",\"operator\":\"gte\",\"value\":95}],\"group\":[\"cluster_name\",\"host_ip\"],\"metric\":\"cpu\",\"outputs\":[\"alert\"],\"select\":{\"cluster_name\":\"#cluster_name\",\"host_ip\":\"#host_ip\"},\"window\":1}','{\"alert_group\":\"{{cluster_name}}-{{host_ip}}\",\"display_url_id\":\"machine_cpu\",\"level\":\"WARNING\",\"recover\":\"false\",\"tickets_metric_key\":\"{{host_ip}}\"}',0,'2021-05-28 11:54:55','2021-05-28 11:54:59'),(161,'机器磁盘','org','machine','machine_disk','{\"filters\":[{\"operator\":\"in\",\"tag\":\"cluster_name\",\"value\":[\"$cluster_name\"]},{\"operator\":\"neq\",\"tag\":\"type\",\"value\":\"netdata\"}],\"functions\":[{\"aggregator\":\"value\",\"field\":\"used_percent\",\"operator\":\"gte\",\"value\":86},{\"aggregator\":\"value\",\"field\":\"total\"}],\"group\":[\"host_ip\",\"device\"],\"metric\":\"disk\",\"outputs\":[\"alert\"],\"select\":{\"cluster_name\":\"#cluster_name\",\"device\":\"#device\",\"host_ip\":\"#host_ip\"},\"window\":1}','{\"alert_group\":\"{{cluster_name}}-{{host_ip}}-{{device}}\",\"display_url_id\":\"machine_disk\",\"level\":\"WARNING\",\"recover\":\"true\",\"tickets_metric_key\":\"{{host_ip}}\"}',0,'2021-05-28 11:54:55','2021-05-28 11:54:59'),(162,'机器磁盘IO','org','machine','machine_disk_util','{\"filters\":[{\"operator\":\"in\",\"tag\":\"cluster_name\",\"value\":[\"$cluster_name\"]},{\"operator\":\"eq\",\"tag\":\"path\",\"value\":null}],\"functions\":[{\"aggregator\":\"p75\",\"field\":\"pct_util\",\"operator\":\"gte\",\"value\":95}],\"group\":[\"host_ip\"],\"metric\":\"disk\",\"outputs\":[\"alert\"],\"select\":{\"cluster_name\":\"#cluster_name\",\"host_ip\":\"#host_ip\"},\"window\":3}','{\"alert_group\":\"{{cluster_name}}-{{host_ip}}\",\"display_url_id\":\"machine_disk_io\",\"level\":\"WARNING\",\"recover\":\"true\",\"tickets_metric_key\":\"{{host_ip}}\"}',0,'2021-05-28 11:54:55','2021-05-28 11:54:59'),(163,'机器Load5','org','machine','machine_load5','{\"filters\":[{\"operator\":\"in\",\"tag\":\"cluster_name\",\"value\":[\"$cluster_name\"]}],\"functions\":[{\"aggregator\":\"avg\",\"field\":\"load5\",\"operator\":\"gte\",\"value_script\":\"function invoke(field,tag){ return field.n_cpus * 2.5 }\"}],\"group\":[\"host_ip\"],\"metric\":\"system\",\"outputs\":[\"alert\"],\"select\":{\"cluster_name\":\"#cluster_name\",\"host_ip\":\"#host_ip\"},\"window\":1}','{\"alert_group\":\"{{cluster_name}}-{{host_ip}}\",\"display_url_id\":\"machine_load\",\"level\":\"WARNING\",\"recover\":\"true\",\"tickets_metric_key\":\"{{host_ip}}\"}',0,'2021-05-28 11:54:55','2021-05-28 11:54:59'),(164,'网盘','org','machine','machine_netdisk','{\"filters\":[{\"operator\":\"in\",\"tag\":\"cluster_name\",\"value\":[\"$cluster_name\"]},{\"operator\":\"eq\",\"tag\":\"type\",\"value\":\"netdata\"}],\"functions\":[{\"aggregator\":\"value\",\"field\":\"used_percent\",\"operator\":\"gte\",\"value\":75},{\"aggregator\":\"value\",\"field\":\"total\"}],\"group\":null,\"metric\":\"disk\",\"outputs\":[\"alert\"],\"select\":{\"cluster_name\":\"#cluster_name\"},\"window\":1}','{\"alert_group\":\"{{cluster_name}}\",\"level\":\"WARNING\",\"recover\":\"true\",\"tickets_metric_key\":\"{{cluster_name}}\"}',0,'2021-05-28 11:54:55','2021-05-28 11:54:59'),(165,'网盘容量使用量异常告警','org','machine','machine_netdisk_used','{\"filters\":[{\"operator\":\"in\",\"tag\":\"cluster_name\",\"value\":[\"$cluster_name\"]},{\"operator\":\"eq\",\"tag\":\"type\",\"value\":\"netdata\"}],\"functions\":[{\"aggregator\":\"value\",\"alias\":\"used\",\"field\":\"used\",\"field_script\":\"function invoke(field, tag){ return field.used/1024/1024/1024 }\",\"operator\":\"gte\",\"value\":800},{\"aggregator\":\"value\",\"alias\":\"total\",\"field_script\":\"function invoke(field, tag){ return field.total/1024/1024/1024 }\"}],\"group\":null,\"metric\":\"disk\",\"outputs\":[\"alert\"],\"select\":{\"cluster_name\":\"#cluster_name\"},\"window\":1}','{\"alert_group\":\"{{cluster_name}}\",\"level\":\"WARNING\",\"recover\":\"true\",\"tickets_metric_key\":\"{{cluster_name}}\"}',0,'2021-05-28 11:54:55','2021-05-28 11:54:59'),(166,'机器宕机','org','machine','machine_status','{\"filters\":[{\"operator\":\"in\",\"tag\":\"cluster_name\",\"value\":[\"$cluster_name\"]}],\"functions\":[{\"aggregator\":\"values\",\"field\":\"status\",\"operator\":\"all\",\"value\":\"not_ready\"},{\"aggregator\":\"value\",\"field\":\"last_timestamp\"}],\"group\":[\"host_ip\"],\"metric\":\"machine_status\",\"outputs\":[\"alert\"],\"select\":{\"cluster_name\":\"#cluster_name\",\"host_ip\":\"#host_ip\"},\"window\":5}','{\"alert_group\":\"{{cluster_name}}-{{host_ip}}\",\"display_url_id\":\"machine_crash\",\"level\":\"WARNING\",\"recover\":\"true\",\"tickets_metric_key\":\"{{host_ip}}\"}',0,'2021-05-28 11:54:55','2021-05-28 11:54:59'),(167,'API网关实例CPU使用率异常','org','micro_service','api_gateway_cpu','{\"filters\":[{\"operator\":\"in\",\"tag\":\"cluster_name\",\"value\":[\"$cluster_name\"]},{\"operator\":\"in\",\"tag\":\"addon_type\",\"value\":[\"api-gateway\",\"postgresql\"]}],\"functions\":[{\"aggregator\":\"avg\",\"field\":\"usage_percent\",\"field_script\":\"function invoke(fields,tags){return fields.limit===0?fields.usage_percent:fields.usage_percent/fields.limit}\",\"operator\":\"gte\",\"value\":90},{\"aggregator\":\"value\",\"field\":\"limit\"},{\"aggregator\":\"value\",\"field\":\"allocation\"}],\"group\":[\"container_id\"],\"metric\":\"docker_container_cpu\",\"outputs\":[\"alert\"],\"select\":{\"addon_id\":\"#addon_id\",\"addon_type\":\"#addon_type\",\"cluster_name\":\"#cluster_name\",\"container_id\":\"#container_id\",\"host_ip\":\"#host_ip\",\"pod_name\":\"#pod_name\",\"pod_namespace\":\"#pod_namespace\"},\"window\":1}','{\"alert_group\":\"{{cluster_name}}-{{container_id}}\",\"level\":\"WARNING\",\"recover\":\"false\",\"tickets_metric_key\":\"{{container_id}}\"}',0,'2021-05-28 11:54:55','2021-05-28 11:54:59'),(168,'API网关实例内存使用率异常','org','micro_service','api_gateway_mem','{\"filters\":[{\"operator\":\"in\",\"tag\":\"cluster_name\",\"value\":[\"$cluster_name\"]},{\"operator\":\"in\",\"tag\":\"addon_type\",\"value\":[\"api-gateway\",\"postgresql\"]}],\"functions\":[{\"aggregator\":\"avg\",\"field\":\"usage_percent\",\"operator\":\"gte\",\"value\":90},{\"aggregator\":\"value\",\"field\":\"usage\"},{\"aggregator\":\"value\",\"field\":\"limit\"},{\"aggregator\":\"value\",\"field\":\"max_usage\"}],\"group\":[\"container_id\"],\"metric\":\"docker_container_mem\",\"outputs\":[\"alert\"],\"select\":{\"addon_id\":\"#addon_id\",\"addon_type\":\"#addon_type\",\"cluster_name\":\"#cluster_name\",\"container_id\":\"#container_id\",\"host_ip\":\"#host_ip\",\"pod_name\":\"#pod_name\",\"pod_namespace\":\"#pod_namespace\"},\"window\":1}','{\"alert_group\":\"{{cluster_name}}-{{container_id}}\",\"level\":\"WARNING\",\"recover\":\"false\",\"tickets_metric_key\":\"{{container_id}}\"}',0,'2021-05-28 11:54:55','2021-05-28 11:54:59'),(169,'配置中心实例CPU使用率异常','org','micro_service','config_center_cpu','{\"filters\":[{\"operator\":\"in\",\"tag\":\"cluster_name\",\"value\":[\"$cluster_name\"]},{\"operator\":\"in\",\"tag\":\"addon_type\",\"value\":[\"nacos\"]}],\"functions\":[{\"aggregator\":\"avg\",\"field\":\"usage_percent\",\"field_script\":\"function invoke(fields,tags){return fields.limit===0?fields.usage_percent:fields.usage_percent/fields.limit}\",\"operator\":\"gte\",\"value\":90},{\"aggregator\":\"value\",\"field\":\"limit\"},{\"aggregator\":\"value\",\"field\":\"allocation\"}],\"group\":[\"container_id\"],\"metric\":\"docker_container_cpu\",\"outputs\":[\"alert\"],\"select\":{\"addon_id\":\"#addon_id\",\"addon_type\":\"#addon_type\",\"cluster_name\":\"#cluster_name\",\"container_id\":\"#container_id\",\"host_ip\":\"#host_ip\",\"pod_name\":\"#pod_name\",\"pod_namespace\":\"#pod_namespace\"},\"window\":1}','{\"alert_group\":\"{{cluster_name}}-{{container_id}}\",\"level\":\"WARNING\",\"recover\":\"false\",\"tickets_metric_key\":\"{{container_id}}\"}',0,'2021-05-28 11:54:55','2021-05-28 11:54:59'),(170,'配置中心实例内存使用率异常','org','micro_service','config_center_mem','{\"filters\":[{\"operator\":\"in\",\"tag\":\"cluster_name\",\"value\":[\"$cluster_name\"]},{\"operator\":\"in\",\"tag\":\"addon_type\",\"value\":[\"nacos\"]}],\"functions\":[{\"aggregator\":\"avg\",\"field\":\"usage_percent\",\"operator\":\"gte\",\"value\":90},{\"aggregator\":\"value\",\"field\":\"usage\"},{\"aggregator\":\"value\",\"field\":\"limit\"},{\"aggregator\":\"value\",\"field\":\"max_usage\"}],\"group\":[\"container_id\"],\"metric\":\"docker_container_mem\",\"outputs\":[\"alert\"],\"select\":{\"addon_id\":\"#addon_id\",\"addon_type\":\"#addon_type\",\"cluster_name\":\"#cluster_name\",\"container_id\":\"#container_id\",\"host_ip\":\"#host_ip\",\"pod_name\":\"#pod_name\",\"pod_namespace\":\"#pod_namespace\"},\"window\":1}','{\"alert_group\":\"{{cluster_name}}-{{container_id}}\",\"level\":\"WARNING\",\"recover\":\"false\",\"tickets_metric_key\":\"{{container_id}}\"}',0,'2021-05-28 11:54:55','2021-05-28 11:54:59'),(171,'注册中心实例CPU使用率异常','org','micro_service','register_center_cpu','{\"filters\":[{\"operator\":\"in\",\"tag\":\"cluster_name\",\"value\":[\"$cluster_name\"]},{\"operator\":\"in\",\"tag\":\"addon_type\",\"value\":[\"nacos\",\"zkproxy\"]}],\"functions\":[{\"aggregator\":\"avg\",\"field\":\"usage_percent\",\"field_script\":\"function invoke(fields,tags){return fields.limit===0?fields.usage_percent:fields.usage_percent/fields.limit}\",\"operator\":\"gte\",\"value\":90},{\"aggregator\":\"value\",\"field\":\"limit\"},{\"aggregator\":\"value\",\"field\":\"allocation\"}],\"group\":[\"container_id\"],\"metric\":\"docker_container_cpu\",\"outputs\":[\"alert\"],\"select\":{\"addon_id\":\"#addon_id\",\"addon_type\":\"#addon_type\",\"cluster_name\":\"#cluster_name\",\"container_id\":\"#container_id\",\"host_ip\":\"#host_ip\",\"pod_name\":\"#pod_name\",\"pod_namespace\":\"#pod_namespace\"},\"window\":1}','{\"alert_group\":\"{{cluster_name}}-{{container_id}}\",\"level\":\"WARNING\",\"recover\":\"false\",\"tickets_metric_key\":\"{{container_id}}\"}',0,'2021-05-28 11:54:55','2021-05-28 11:54:59'),(172,'注册中心实例内存使用率异常','org','micro_service','register_center_mem','{\"filters\":[{\"operator\":\"in\",\"tag\":\"cluster_name\",\"value\":[\"$cluster_name\"]},{\"operator\":\"in\",\"tag\":\"addon_type\",\"value\":[\"nacos\",\"zkproxy\"]}],\"functions\":[{\"aggregator\":\"avg\",\"field\":\"usage_percent\",\"operator\":\"gte\",\"value\":90},{\"aggregator\":\"value\",\"field\":\"usage\"},{\"aggregator\":\"value\",\"field\":\"limit\"},{\"aggregator\":\"value\",\"field\":\"max_usage\"}],\"group\":[\"container_id\"],\"metric\":\"docker_container_mem\",\"outputs\":[\"alert\"],\"select\":{\"addon_id\":\"#addon_id\",\"addon_type\":\"#addon_type\",\"cluster_name\":\"#cluster_name\",\"container_id\":\"#container_id\",\"host_ip\":\"#host_ip\",\"pod_name\":\"#pod_name\",\"pod_namespace\":\"#pod_namespace\"},\"window\":1}','{\"alert_group\":\"{{cluster_name}}-{{container_id}}\",\"level\":\"WARNING\",\"recover\":\"false\",\"tickets_metric_key\":\"{{container_id}}\"}',0,'2021-05-28 11:54:55','2021-05-28 11:54:59'),(173,'服务熔断通知告警','micro_service','micro_service','sidecar_circuit_breaker','{\"filters\":[{\"operator\":\"eq\",\"tag\":\"terminus_key\",\"value\":\"$terminus_key\"},{\"operator\":\"in\",\"tag\":\"application_id\",\"value\":[\"$application_id\"]}],\"functions\":[{\"aggregator\":\"sum\",\"field\":\"count\",\"operator\":\"gte\",\"value\":1}],\"group\":[\"service_name\"],\"metric\":\"sidecar_circuit_breaker\",\"outputs\":[\"alert\"],\"select\":{\"application_id\":\"#application_id\",\"application_name\":\"#application_name\",\"cluster_name\":\"#cluster_name\",\"host_ip\":\"#host_ip\",\"project_name\":\"#project_name\",\"runtime_name\":\"#runtime_name\",\"service_name\":\"#service_name\",\"terminus_key\":\"#terminus_key\",\"workspace\":\"#workspace\"},\"window\":1}','{\"alert_group\":\"{{terminus_key}}\",\"level\":\"WARNING\",\"recover\":\"false\",\"tickets_metric_key\":\"{{terminus_key}}\"}',0,'2021-05-28 11:54:55','2021-05-28 11:54:59'),(174,'Elasticsearch实例内存使用率异常告警','org','addon','addon_elasticsearch_mem','{\"filters\":[{\"operator\":\"in\",\"tag\":\"cluster_name\",\"value\":[\"$cluster_name\"]},{\"operator\":\"in\",\"tag\":\"addon_type\",\"value\":[\"terminus-elasticsearch\"]}],\"functions\":[{\"aggregator\":\"avg\",\"field\":\"mem_usage_percent\",\"operator\":\"gte\",\"value\":90},{\"aggregator\":\"value\",\"field\":\"mem_limit\"},{\"aggregator\":\"value\",\"field\":\"mem_allocation\"}],\"group\":[\"container_id\"],\"metric\":\"docker_container_summary\",\"outputs\":[\"alert\"],\"select\":{\"addon_id\":\"#addon_id\",\"addon_type\":\"#addon_type\",\"cluster_name\":\"#cluster_name\",\"container_id\":\"#container_id\",\"host_ip\":\"#host_ip\",\"pod_name\":\"#pod_name\",\"pod_namespace\":\"#pod_namespace\"},\"window\":1}','{\"alert_group\":\"{{cluster_name}}-{{container_id}}\",\"level\":\"WARNING\",\"recover\":\"false\",\"tickets_metric_key\":\"{{container_id}}\"}',0,'2021-05-28 11:54:59','2021-05-28 11:55:00'),(175,'MySQL实例CPU使用率异常告警','org','addon','addon_mysql_cpu','{\"filters\":[{\"operator\":\"in\",\"tag\":\"cluster_name\",\"value\":[\"$cluster_name\"]},{\"operator\":\"in\",\"tag\":\"addon_type\",\"value\":[\"mysql\"]}],\"functions\":[{\"aggregator\":\"avg\",\"field\":\"cpu_usage_percent\",\"operator\":\"gte\",\"value\":90},{\"aggregator\":\"value\",\"field\":\"cpu_limit\"},{\"aggregator\":\"value\",\"field\":\"cpu_allocation\"}],\"group\":[\"container_id\"],\"metric\":\"docker_container_summary\",\"outputs\":[\"alert\"],\"select\":{\"addon_id\":\"#addon_id\",\"addon_type\":\"#addon_type\",\"cluster_name\":\"#cluster_name\",\"container_id\":\"#container_id\",\"host_ip\":\"#host_ip\",\"pod_name\":\"#pod_name\",\"pod_namespace\":\"#pod_namespace\"},\"window\":1}','{\"alert_group\":\"{{cluster_name}}-{{container_id}}\",\"level\":\"WARNING\",\"recover\":\"false\",\"tickets_metric_key\":\"{{container_id}}\"}',0,'2021-05-28 11:54:59','2021-05-28 11:55:00'),(176,'MySQL实例内存使用率异常告警','org','addon','addon_mysql_mem','{\"filters\":[{\"operator\":\"in\",\"tag\":\"cluster_name\",\"value\":[\"$cluster_name\"]},{\"operator\":\"in\",\"tag\":\"addon_type\",\"value\":[\"mysql\"]}],\"functions\":[{\"aggregator\":\"avg\",\"field\":\"mem_usage_percent\",\"operator\":\"gte\",\"value\":85},{\"aggregator\":\"value\",\"field\":\"mem_limit\"},{\"aggregator\":\"value\",\"field\":\"mem_allocation\"}],\"group\":[\"container_id\"],\"metric\":\"docker_container_summary\",\"outputs\":[\"alert\"],\"select\":{\"addon_id\":\"#addon_id\",\"addon_type\":\"#addon_type\",\"cluster_name\":\"#cluster_name\",\"container_id\":\"#container_id\",\"host_ip\":\"#host_ip\",\"pod_name\":\"#pod_name\",\"pod_namespace\":\"#pod_namespace\"},\"window\":1}','{\"alert_group\":\"{{cluster_name}}-{{container_id}}\",\"level\":\"WARNING\",\"recover\":\"false\",\"tickets_metric_key\":\"{{container_id}}\"}',0,'2021-05-28 11:54:59','2021-05-28 11:55:00'),(177,'MySQL实例主从同步异常告警','org','addon','addon_mysql_slave_status','{\"filters\":[{\"operator\":\"in\",\"tag\":\"cluster_name\",\"value\":[\"$cluster_name\"]},{\"operator\":\"eq\",\"tag\":\"is_slave\",\"value\":\"true\"}],\"functions\":[{\"aggregator\":\"value\",\"field\":\"slave_slave_running_ok\",\"field_script\":\"function invoke(fields,tags){return (fields.slave_slave_io_running==0 || fields.slave_slave_sql_running==0)?0:1}\",\"operator\":\"neq\",\"value\":1},{\"aggregator\":\"value\",\"field\":\"slave_slave_sql_running\"},{\"aggregator\":\"value\",\"field\":\"slave_slave_io_running\"}],\"group\":[\"addon_id\",\"server\"],\"metric\":\"mysql\",\"outputs\":[\"alert\"],\"select\":{\"addon_id\":\"#addon_id\",\"cluster_name\":\"#cluster_name\",\"host_ip\":\"#host_ip\"},\"window\":1}','{\"alert_group\":\"{{cluster_name}}-{{addon_id}}\",\"level\":\"WARNING\",\"recover\":\"false\",\"tickets_metric_key\":\"{{addon_id}}\"}',0,'2021-05-28 11:54:59','2021-05-28 11:55:00'),(178,'redis实例内存使用率异常告警','org','addon','addon_redis_mem','{\"filters\":[{\"operator\":\"in\",\"tag\":\"cluster_name\",\"value\":[\"$cluster_name\"]},{\"operator\":\"in\",\"tag\":\"addon_type\",\"value\":[\"redis\"]}],\"functions\":[{\"aggregator\":\"avg\",\"field\":\"mem_usage_percent\",\"operator\":\"gte\",\"value\":85},{\"aggregator\":\"value\",\"field\":\"mem_limit\"},{\"aggregator\":\"value\",\"field\":\"mem_allocation\"}],\"group\":[\"container_id\"],\"metric\":\"docker_container_summary\",\"outputs\":[\"alert\"],\"select\":{\"addon_id\":\"#addon_id\",\"addon_type\":\"#addon_type\",\"cluster_name\":\"#cluster_name\",\"container_id\":\"#container_id\",\"host_ip\":\"#host_ip\",\"pod_name\":\"#pod_name\",\"pod_namespace\":\"#pod_namespace\"},\"window\":1}','{\"alert_group\":\"{{cluster_name}}-{{container_id}}\",\"level\":\"WARNING\",\"recover\":\"false\",\"tickets_metric_key\":\"{{container_id}}\"}',0,'2021-05-28 11:54:59','2021-05-28 11:55:00'),(179,'应用错误次数','micro_service','app_exception','app_exception_count','{\"filters\":[{\"operator\":\"eq\",\"tag\":\"terminus_key\",\"value\":\"$terminus_key\"},{\"operator\":\"in\",\"tag\":\"application_id\",\"value\":[\"$application_id\"]}],\"functions\":[{\"aggregator\":\"sum\",\"field\":\"count\",\"operator\":\"gte\",\"value\":20}],\"group\":[\"error_id\"],\"metric\":\"error_alert\",\"outputs\":[\"alert\"],\"select\":{\"application_id\":\"#application_id\",\"application_name\":\"#application_name\",\"class\":\"#class\",\"cluster_name\":\"#cluster_name\",\"error_id\":\"#error_id\",\"host_ip\":\"#host_ip\",\"instance_id\":\"#instance_id\",\"line\":\"#line\",\"method\":\"#method\",\"project_id\":\"#project_id\",\"project_name\":\"#project_name\",\"runtime_id\":\"#runtime_id\",\"runtime_name\":\"#runtime_name\",\"service_name\":\"#service_name\",\"terminus_key\":\"#terminus_key\",\"type\":\"#type\",\"workspace\":\"#workspace\"},\"window\":5}','{\"alert_group\":\"{{terminus_key}}-{{error_id}}\",\"display_url_id\":\"micro_error_detail\",\"level\":\"WARNING\",\"recover\":\"false\",\"tickets_metric_key\":\"{{error_id}}\"}',0,'2021-05-28 11:54:59','2021-05-28 11:55:00'),(180,'应用实例CPU使用率异常','micro_service','app_resource','app_resource_container_cpu','{\"filters\":[{\"operator\":\"eq\",\"tag\":\"terminus_key\",\"value\":\"$terminus_key\"},{\"operator\":\"in\",\"tag\":\"application_id\",\"value\":[\"$application_id\"]}],\"functions\":[{\"aggregator\":\"avg\",\"field\":\"cpu_usage_percent\",\"operator\":\"gte\",\"value\":90},{\"aggregator\":\"value\",\"field\":\"cpu_limit\"},{\"aggregator\":\"value\",\"field\":\"cpu_allocation\"}],\"group\":[\"container_id\"],\"metric\":\"docker_container_summary\",\"outputs\":[\"alert\"],\"select\":{\"application_id\":\"#application_id\",\"application_name\":\"#application_name\",\"cluster_name\":\"#cluster_name\",\"container_id\":\"#container_id\",\"host_ip\":\"#host_ip\",\"instance_id\":\"#instance_id\",\"project_id\":\"#project_id\",\"project_name\":\"#project_name\",\"runtime_id\":\"#runtime_id\",\"runtime_name\":\"#runtime_name\",\"service_name\":\"#service_name\",\"terminus_key\":\"#terminus_key\"},\"window\":1}','{\"alert_group\":\"{{terminus_key}}-{{container_id}}\",\"display_url_id\":\"workbench_runtime\",\"level\":\"WARNING\",\"recover\":\"false\",\"tickets_metric_key\":\"{{container_id}}\"}',0,'2021-05-28 11:54:59','2021-05-28 11:55:00'),(181,'应用实例内存使用率异常','micro_service','app_resource','app_resource_container_mem','{\"filters\":[{\"operator\":\"eq\",\"tag\":\"terminus_key\",\"value\":\"$terminus_key\"},{\"operator\":\"in\",\"tag\":\"application_id\",\"value\":[\"$application_id\"]}],\"functions\":[{\"aggregator\":\"avg\",\"field\":\"mem_usage_percent\",\"operator\":\"gte\",\"value\":90},{\"aggregator\":\"value\",\"field\":\"mem_usage\"},{\"aggregator\":\"value\",\"field\":\"mem_limit\"},{\"aggregator\":\"value\",\"field\":\"mem_max_usage\"}],\"group\":[\"container_id\"],\"metric\":\"docker_container_summary\",\"outputs\":[\"alert\"],\"select\":{\"application_id\":\"#application_id\",\"application_name\":\"#application_name\",\"cluster_name\":\"#cluster_name\",\"container_id\":\"#container_id\",\"host_ip\":\"#host_ip\",\"instance_id\":\"#instance_id\",\"project_id\":\"#project_id\",\"project_name\":\"#project_name\",\"runtime_id\":\"#runtime_id\",\"runtime_name\":\"#runtime_name\",\"service_name\":\"#service_name\",\"terminus_key\":\"#terminus_key\"},\"window\":1}','{\"alert_group\":\"{{terminus_key}}-{{container_id}}\",\"display_url_id\":\"workbench_runtime\",\"level\":\"WARNING\",\"recover\":\"false\",\"tickets_metric_key\":\"{{container_id}}\"}',0,'2021-05-28 11:54:59','2021-05-28 11:55:00'),(182,'应用实例OOM','micro_service','app_resource','app_resource_container_oom','{\"filters\":[{\"operator\":\"eq\",\"tag\":\"terminus_key\",\"value\":\"$terminus_key\"},{\"operator\":\"in\",\"tag\":\"application_id\",\"value\":[\"$application_id\"]}],\"functions\":[{\"aggregator\":\"values\",\"field\":\"oomkilled\",\"operator\":\"contains\",\"value\":true}],\"group\":[\"container_id\"],\"metric\":\"docker_container_summary\",\"outputs\":[\"alert\"],\"select\":{\"application_id\":\"#application_id\",\"application_name\":\"#application_name\",\"cluster_name\":\"#cluster_name\",\"container_id\":\"#container_id\",\"host_ip\":\"#host_ip\",\"instance_id\":\"#instance_id\",\"project_id\":\"#project_id\",\"project_name\":\"#project_name\",\"runtime_id\":\"#runtime_id\",\"runtime_name\":\"#runtime_name\",\"service_name\":\"#service_name\",\"terminus_key\":\"#terminus_key\"},\"window\":1}','{\"alert_group\":\"{{terminus_key}}-{{container_id}}\",\"display_url_id\":\"workbench_runtime\",\"level\":\"WARNING\",\"recover\":\"false\",\"tickets_metric_key\":\"{{container_id}}\"}',0,'2021-05-28 11:54:59','2021-05-28 11:55:00'),(183,'应用JVM GC次数','micro_service','app_resource','app_resource_jvm_gc_count','{\"filters\":[{\"operator\":\"eq\",\"tag\":\"name\",\"value\":\"concurrentmarksweep\"},{\"operator\":\"eq\",\"tag\":\"terminus_key\",\"value\":\"$terminus_key\"},{\"operator\":\"in\",\"tag\":\"application_id\",\"value\":[\"$application_id\"]}],\"functions\":[{\"aggregator\":\"sum\",\"field\":\"count\",\"operator\":\"gte\",\"value\":5}],\"group\":[\"instance_id\"],\"metric\":\"jvm_gc\",\"outputs\":[\"alert\"],\"select\":{\"application_id\":\"#application_id\",\"application_name\":\"#application_name\",\"cluster_name\":\"#cluster_name\",\"host_ip\":\"#host_ip\",\"instance_id\":\"#instance_id\",\"project_id\":\"#project_id\",\"project_name\":\"#project_name\",\"runtime_id\":\"#runtime_id\",\"runtime_name\":\"#runtime_name\",\"service_name\":\"#service_name\",\"terminus_key\":\"#terminus_key\",\"workspace\":\"#workspace\"},\"window\":3}','{\"alert_group\":\"{{terminus_key}}-{{instance_id}}\",\"display_url_id\":\"micro_jvm\",\"level\":\"WARNING\",\"recover\":\"false\",\"tickets_metric_key\":\"{{instance_id}}\"}',0,'2021-05-28 11:54:59','2021-05-28 11:55:00'),(184,'应用JVM GC 耗时','micro_service','app_resource','app_resource_jvm_gc_time','{\"condition\":\"or\",\"filters\":[{\"operator\":\"eq\",\"tag\":\"name\",\"value\":\"concurrentmarksweep\"},{\"operator\":\"eq\",\"tag\":\"terminus_key\",\"value\":\"$terminus_key\"},{\"operator\":\"in\",\"tag\":\"application_id\",\"value\":[\"$application_id\"]}],\"functions\":[{\"aggregator\":\"value\",\"field\":\"time\",\"operator\":\"gte\",\"value\":400},{\"aggregator\":\"sum\",\"field\":\"time\",\"operator\":\"gte\",\"value\":1000}],\"group\":[\"instance_id\"],\"metric\":\"jvm_gc\",\"outputs\":[\"alert\"],\"select\":{\"application_id\":\"#application_id\",\"application_name\":\"#application_name\",\"cluster_name\":\"#cluster_name\",\"host_ip\":\"#host_ip\",\"instance_id\":\"#instance_id\",\"project_id\":\"#project_id\",\"project_name\":\"#project_name\",\"runtime_id\":\"#runtime_id\",\"runtime_name\":\"#runtime_name\",\"service_name\":\"#service_name\",\"terminus_key\":\"#terminus_key\",\"workspace\":\"#workspace\"},\"window\":1}','{\"alert_group\":\"{{terminus_key}}-{{instance_id}}\",\"display_url_id\":\"micro_jvm\",\"level\":\"WARNING\",\"recover\":\"false\",\"tickets_metric_key\":\"{{instance_id}}\"}',0,'2021-05-28 11:54:59','2021-05-28 11:55:00'),(185,'应用JVM堆内存','micro_service','app_resource','app_resource_jvm_heap','{\"condition\":\"and\",\"filters\":[{\"operator\":\"eq\",\"tag\":\"name\",\"value\":\"heap_memory\"},{\"operator\":\"eq\",\"tag\":\"terminus_key\",\"value\":\"$terminus_key\"},{\"operator\":\"in\",\"tag\":\"application_id\",\"value\":[\"$application_id\"]}],\"functions\":[{\"aggregator\":\"avg\",\"field\":\"usage_percent\",\"field_script\":\"function invoke(field, tag){ return field.used / field.max * 100; }\",\"operator\":\"gte\",\"value\":75},{\"aggregator\":\"value\",\"field\":\"used\"},{\"aggregator\":\"value\",\"field\":\"max\"}],\"group\":[\"instance_id\"],\"metric\":\"jvm_memory\",\"outputs\":[\"alert\"],\"select\":{\"application_id\":\"#application_id\",\"application_name\":\"#application_name\",\"cluster_name\":\"#cluster_name\",\"host_ip\":\"#host_ip\",\"instance_id\":\"#instance_id\",\"project_id\":\"#project_id\",\"project_name\":\"#project_name\",\"runtime_id\":\"#runtime_id\",\"runtime_name\":\"#runtime_name\",\"service_name\":\"#service_name\",\"terminus_key\":\"#terminus_key\",\"workspace\":\"#workspace\"},\"window\":1}','{\"alert_group\":\"{{terminus_key}}-{{instance_id}}\",\"display_url_id\":\"micro_jvm\",\"level\":\"WARNING\",\"recover\":\"false\",\"tickets_metric_key\":\"{{instance_id}}\"}',0,'2021-05-28 11:54:59','2021-05-28 11:55:00'),(186,'应用NodeJS堆内存使用率','micro_service','app_resource','app_resource_nodejs_heap','{\"filters\":[{\"operator\":\"eq\",\"tag\":\"terminus_key\",\"value\":\"$terminus_key\"},{\"operator\":\"in\",\"tag\":\"application_id\",\"value\":[\"$application_id\"]}],\"functions\":[{\"aggregator\":\"avg\",\"field\":\"usage_percent\",\"field_script\":\"function invoke(field, tag){ if(!field.max) { return 0; } return field.rss / field.max * 100; }\",\"operator\":\"gte\",\"value\":75},{\"aggregator\":\"value\",\"field\":\"heap_used\"},{\"aggregator\":\"value\",\"field\":\"heap_total\"},{\"aggregator\":\"value\",\"field\":\"rss\"},{\"aggregator\":\"value\",\"field\":\"max\"}],\"group\":[\"instance_id\"],\"metric\":\"nodejs_memory\",\"outputs\":[\"alert\"],\"select\":{\"application_id\":\"#application_id\",\"application_name\":\"#application_name\",\"cluster_name\":\"#cluster_name\",\"host_ip\":\"#host_ip\",\"instance_id\":\"#instance_id\",\"project_id\":\"#project_id\",\"project_name\":\"#project_name\",\"runtime_id\":\"#runtime_id\",\"runtime_name\":\"#runtime_name\",\"service_name\":\"#service_name\",\"terminus_key\":\"#terminus_key\",\"workspace\":\"#workspace\"},\"window\":1}','{\"alert_group\":\"{{terminus_key}}-{{instance_id}}\",\"display_url_id\":\"micro_nodejs\",\"level\":\"WARNING\",\"recover\":\"false\",\"tickets_metric_key\":\"{{instance_id}}\"}',0,'2021-05-28 11:54:59','2021-05-28 11:55:00'),(187,'页面内容改变','micro_service','app_status','app_status_browser','{\"alias\":\"status_page_browser\",\"filters\":[{\"operator\":\"eq\",\"tag\":\"terminus_key\",\"value\":\"$terminus_key\"},{\"operator\":\"eq\",\"tag\":\"type\",\"value\":\"browser\"}],\"functions\":[{\"aggregator\":\"value\",\"field\":\"diff_screenshot\",\"operator\":\"eq\",\"value\":false}],\"group\":[\"metric\"],\"metric\":\"status_page\",\"outputs\":[\"alert\"],\"select\":{\"metric_id\":\"#metric\",\"project_id\":\"#project_id\",\"project_name\":\"#project_name\",\"status_metric_name\":\"#metric_name\",\"terminus_key\":\"#terminus_key\",\"type\":\"#type\",\"url\":\"#url\",\"workspace\":\"#env\"},\"window\":1}','{\"alert_group\":\"{{terminus_key}}-{{metric_id}}\",\"display_url_id\":\"micro_status_detail\",\"level\":\"ERROR\",\"recover\":\"false\",\"tickets_metric_key\":\"{{metric_id}}\"}',0,'2021-05-28 11:54:59','2021-05-28 11:55:00'),(188,'主动监控HTTP状态异常','micro_service','app_status','app_status_code','{\"filters\":[{\"operator\":\"eq\",\"tag\":\"terminus_key\",\"value\":\"$terminus_key\"},{\"operator\":\"eq\",\"tag\":\"type\",\"value\":\"http\"}],\"functions\":[{\"aggregator\":\"sum\",\"field\":\"retry\"},{\"aggregator\":\"min\",\"field\":\"code\",\"operator\":\"gte\",\"value\":400}],\"group\":[\"metric\"],\"metric\":\"status_page\",\"outputs\":[\"alert\"],\"select\":{\"metric_id\":\"#metric\",\"project_id\":\"#project_id\",\"project_name\":\"#project_name\",\"status_metric_name\":\"#metric_name\",\"terminus_key\":\"#terminus_key\",\"type\":\"#type\",\"url\":\"#url\",\"workspace\":\"#env\"},\"window\":1}','{\"alert_group\":\"{{terminus_key}}-{{metric_id}}\",\"display_url_id\":\"micro_status_detail\",\"level\":\"ERROR\",\"recover\":\"true\",\"tickets_metric_key\":\"{{metric_id}}\"}',0,'2021-05-28 11:54:59','2021-05-28 11:55:00'),(189,'服务接口HTTP错误率异常','micro_service','app_transaction','app_transaction_http_path_error','{\"condition\":\"and\",\"filters\":[{\"operator\":\"eq\",\"tag\":\"target_terminus_key\",\"value\":\"$target_terminus_key\"},{\"operator\":\"in\",\"tag\":\"target_application_id\",\"value\":[\"$target_application_id\"]}],\"functions\":[{\"aggregator\":\"sum\",\"field\":\"elapsed_count\",\"operator\":\"gte\",\"value\":10},{\"aggregator\":\"sum\",\"field\":\"error_count\",\"field_script\":\"function invoke(field, tag){ if(field.http_status_code_mean \\u003c 500) { return 0; } return field.elapsed_count; }\"},{\"aggregator\":\"value\",\"field\":\"error_percent\",\"field_script\":\"function invoke(field, tag){ if(!field.elapsed_count_sum) return 0; return field.elapsed_count_sum === 0 ? 0 : (field.error_count_sum / field.elapsed_count_sum * 100);}\",\"operator\":\"gte\",\"trigger\":\"aggregated\",\"value\":50}],\"group\":[\"target_runtime_id\",\"target_service_name\",\"http_path\",\"http_method\"],\"metric\":\"application_http\",\"outputs\":[\"alert\"],\"select\":{\"application_id\":\"#target_application_id\",\"application_name\":\"#target_application_name\",\"http_method\":\"#http_method\",\"http_path\":\"#http_path\",\"http_url\":\"#http_url\",\"project_id\":\"#target_project_id\",\"project_name\":\"#target_project_name\",\"runtime_id\":\"#target_runtime_id\",\"runtime_name\":\"#target_runtime_name\",\"service_name\":\"#target_service_name\",\"terminus_key\":\"#target_terminus_key\",\"workspace\":\"#target_workspace\"},\"window\":1}','{\"alert_group\":\"{{target_terminus_key}}-{{target_runtime_id}}-{{target_service_name}}-{{http_path}}-{{http_method}}\",\"display_url_id\":\"micro_si_web\",\"level\":\"WARNING\",\"recover\":\"false\",\"tickets_metric_key\":\"{{target_application_id}}\"}',0,'2021-05-28 11:54:59','2021-05-28 11:55:00'),(190,'服务接口HTTP慢事务异常','micro_service','app_transaction','app_transaction_http_path_rt','{\"condition\":\"and\",\"filters\":[{\"operator\":\"eq\",\"tag\":\"target_terminus_key\",\"value\":\"$target_terminus_key\"},{\"operator\":\"in\",\"tag\":\"target_application_id\",\"value\":[\"$target_application_id\"]}],\"functions\":[{\"aggregator\":\"sum\",\"field\":\"elapsed\",\"field_script\":\"function invoke(field, tag){ return field.elapsed_sum / 1000000; }\"},{\"aggregator\":\"sum\",\"field\":\"elapsed_count\",\"operator\":\"gte\",\"value\":10},{\"aggregator\":\"value\",\"field\":\"elapsed_avg\",\"field_script\":\"function invoke(field, tag){ if(!field.elapsed_count_sum) return 0; return field.elapsed_count_sum === 0 ? 0 : (field.elapsed_sum / field.elapsed_count_sum);}\",\"operator\":\"gte\",\"trigger\":\"aggregated\",\"value\":3000}],\"group\":[\"target_runtime_id\",\"target_service_name\",\"http_path\",\"http_method\"],\"metric\":\"application_http\",\"outputs\":[\"alert\"],\"select\":{\"application_id\":\"#target_application_id\",\"application_name\":\"#target_application_name\",\"http_method\":\"#http_method\",\"http_path\":\"#http_path\",\"http_url\":\"#http_url\",\"project_id\":\"#target_project_id\",\"project_name\":\"#target_project_name\",\"runtime_id\":\"#target_runtime_id\",\"runtime_name\":\"#target_runtime_name\",\"service_name\":\"#target_service_name\",\"terminus_key\":\"#target_terminus_key\",\"workspace\":\"#target_workspace\"},\"window\":1}','{\"alert_group\":\"{{target_terminus_key}}-{{target_runtime_id}}-{{target_service_name}}-{{http_path}}-{{http_method}}\",\"display_url_id\":\"micro_si_web\",\"level\":\"WARNING\",\"recover\":\"false\",\"tickets_metric_key\":\"{{target_application_id}}\"}',0,'2021-05-28 11:54:59','2021-05-28 11:55:00'),(191,'服务HTTP错误率异常','micro_service','app_transaction','app_transaction_http_service_error','{\"condition\":\"and\",\"filters\":[{\"operator\":\"eq\",\"tag\":\"target_terminus_key\",\"value\":\"$target_terminus_key\"},{\"operator\":\"in\",\"tag\":\"target_application_id\",\"value\":[\"$target_application_id\"]}],\"functions\":[{\"aggregator\":\"sum\",\"field\":\"elapsed_count\"},{\"aggregator\":\"sum\",\"field\":\"error_count\",\"field_script\":\"function invoke(field, tag){ if(field.http_status_code_mean \\u003c 500) { return 0; } return field.elapsed_count; }\"},{\"aggregator\":\"value\",\"field\":\"error_percent\",\"field_script\":\"function invoke(field, tag){ if(!field.elapsed_count_sum) return 0; return field.elapsed_count_sum === 0 ? 0 : (field.error_count_sum / field.elapsed_count_sum * 100);}\",\"operator\":\"gte\",\"trigger\":\"aggregated\",\"value\":30}],\"group\":[\"target_runtime_id\",\"target_service_name\"],\"metric\":\"application_http\",\"outputs\":[\"alert\"],\"select\":{\"application_id\":\"#target_application_id\",\"application_name\":\"#target_application_name\",\"project_id\":\"#target_project_id\",\"project_name\":\"#target_project_name\",\"runtime_id\":\"#target_runtime_id\",\"runtime_name\":\"#target_runtime_name\",\"service_name\":\"#target_service_name\",\"terminus_key\":\"#target_terminus_key\",\"workspace\":\"#target_workspace\"},\"window\":1}','{\"alert_group\":\"{{target_terminus_key}}-{{target_runtime_id}}-{{target_service_name}}\",\"display_url_id\":\"micro_si_web\",\"level\":\"WARNING\",\"recover\":\"true\",\"tickets_metric_key\":\"{{target_application_id}}\"}',0,'2021-05-28 11:54:59','2021-05-28 11:55:00'),(192,'服务HTTP慢事务异常','micro_service','app_transaction','app_transaction_http_service_rt','{\"condition\":\"and\",\"filters\":[{\"operator\":\"eq\",\"tag\":\"target_terminus_key\",\"value\":\"$target_terminus_key\"},{\"operator\":\"in\",\"tag\":\"target_application_id\",\"value\":[\"$target_application_id\"]}],\"functions\":[{\"aggregator\":\"sum\",\"field\":\"elapsed\",\"field_script\":\"function invoke(field, tag){ return field.elapsed_sum / 1000000; }\"},{\"aggregator\":\"sum\",\"field\":\"elapsed_count\"},{\"aggregator\":\"value\",\"field\":\"elapsed_avg\",\"field_script\":\"function invoke(field, tag){ if(!field.elapsed_count_sum) return 0; return field.elapsed_count_sum === 0 ? 0 : (field.elapsed_sum / field.elapsed_count_sum);}\",\"operator\":\"gte\",\"trigger\":\"aggregated\",\"value\":1000}],\"group\":[\"target_runtime_id\",\"target_service_name\"],\"metric\":\"application_http\",\"outputs\":[\"alert\"],\"select\":{\"application_id\":\"#target_application_id\",\"application_name\":\"#target_application_name\",\"project_id\":\"#target_project_id\",\"project_name\":\"#target_project_name\",\"runtime_id\":\"#target_runtime_id\",\"runtime_name\":\"#target_runtime_name\",\"service_name\":\"#target_service_name\",\"terminus_key\":\"#target_terminus_key\",\"workspace\":\"#target_workspace\"},\"window\":1}','{\"alert_group\":\"{{target_terminus_key}}-{{target_runtime_id}}-{{target_service_name}}\",\"display_url_id\":\"micro_si_web\",\"level\":\"WARNING\",\"recover\":\"true\",\"tickets_metric_key\":\"{{target_application_id}}\"}',0,'2021-05-28 11:54:59','2021-05-28 11:55:00'),(193,'平台中间件Cassandra GC次数异常','org','dice_addon','dice_addon_cassandra_gc_count','{\"filters\":[{\"operator\":\"in\",\"tag\":\"cluster_name\",\"value\":[\"$cluster_name\"]},{\"operator\":\"eq\",\"tag\":\"addon_id\",\"value\":\"cassandra\"},{\"operator\":\"like\",\"tag\":\"name\",\"value\":\"Old\"}],\"functions\":[{\"aggregator\":\"min\",\"field\":\"CollectionCount_min\",\"field_script\":\"function invoke(fields,tags){return fields.CollectionCount;}\"},{\"aggregator\":\"max\",\"field\":\"CollectionCount_max\",\"field_script\":\"function invoke(fields,tags){return fields.CollectionCount;}\"},{\"aggregator\":\"value\",\"field\":\"CollectionCount_win\",\"field_script\":\"function invoke(fields,tags){return fields.CollectionCount_max-fields.CollectionCount_min;}\",\"operator\":\"gte\",\"trigger\":\"aggregated\",\"value\":10}],\"group\":[\"cluster_name\",\"node_id\"],\"metrics\":[\"addon_java_GarbageCollector\"],\"outputs\":[\"alert\"],\"select\":{\"addon_id\":\"#addon_id\",\"addon_type\":\"#addon_type\",\"cluster_name\":\"#cluster_name\",\"node_host\":\"#jolokia_host\"},\"window\":3}','{\"alert_group\":\"{{cluster_name}}-{{addon_id}}\",\"display_url_id\":\"org_addon\",\"level\":\"WARNING\",\"recover\":\"false\",\"tickets_metric_key\":\"{{addon_id}}\"}',0,'2021-05-28 11:54:59','2021-05-28 11:55:00'),(194,'平台中间件Cassandra GC耗时异常','org','dice_addon','dice_addon_cassandra_gc_time','{\"filters\":[{\"operator\":\"in\",\"tag\":\"cluster_name\",\"value\":[\"$cluster_name\"]},{\"operator\":\"eq\",\"tag\":\"addon_id\",\"value\":\"cassandra\"},{\"operator\":\"like\",\"tag\":\"name\",\"value\":\"Old\"}],\"functions\":[{\"aggregator\":\"min\",\"field\":\"CollectionTime_min\",\"field_script\":\"function invoke(fields,tags){return fields.CollectionTime;}\"},{\"aggregator\":\"max\",\"field\":\"CollectionTime_max\",\"field_script\":\"function invoke(fields,tags){return fields.CollectionTime;}\"},{\"aggregator\":\"value\",\"field\":\"CollectionTime_win\",\"field_script\":\"function invoke(fields,tags){return fields.CollectionTime_max-fields.CollectionTime_min;}\",\"operator\":\"gte\",\"trigger\":\"aggregated\",\"value\":15000}],\"group\":[\"cluster_name\",\"node_id\"],\"metrics\":[\"addon_java_GarbageCollector\"],\"outputs\":[\"alert\"],\"select\":{\"addon_id\":\"#addon_id\",\"addon_type\":\"#addon_type\",\"cluster_name\":\"#cluster_name\",\"node_host\":\"#jolokia_host\"},\"window\":3}','{\"alert_group\":\"{{cluster_name}}-{{addon_id}}\",\"display_url_id\":\"org_addon\",\"level\":\"WARNING\",\"recover\":\"false\",\"tickets_metric_key\":\"{{addon_id}}\"}',0,'2021-05-28 11:54:59','2021-05-28 11:55:00'),(195,'平台中间件实例CPU状态','org','dice_addon','dice_addon_container_cpu','{\"filters\":[{\"operator\":\"in\",\"tag\":\"cluster_name\",\"value\":[\"$cluster_name\"]},{\"operator\":\"eq\",\"tag\":\"pod_namespace\",\"value\":\"default\"},{\"operator\":\"any\",\"tag\":\"addon_id\"}],\"functions\":[{\"aggregator\":\"avg\",\"field\":\"cpu_usage_percent\",\"operator\":\"gte\",\"value\":95},{\"aggregator\":\"value\",\"field\":\"cpu_limit\"},{\"aggregator\":\"value\",\"field\":\"cpu_allocation\"}],\"group\":[\"cluster_name\",\"container_id\"],\"metrics\":[\"docker_container_summary\"],\"outputs\":[\"alert\"],\"select\":{\"addon_id\":\"#addon_id\",\"cluster_name\":\"#cluster_name\",\"container_id\":\"#container_id\",\"host_ip\":\"#host_ip\",\"pod_name\":\"#pod_name\",\"pod_namespace\":\"#pod_namespace\"},\"window\":2}','{\"alert_group\":\"{{cluster_name}}-{{container_id}}\",\"level\":\"WARNING\",\"recover\":\"false\",\"tickets_metric_key\":\"{{container_id}}\"}',0,'2021-05-28 11:54:59','2021-05-28 11:55:00'),(196,'平台中间件异常退出','org','dice_addon','dice_addon_container_exit','{\"filters\":[{\"operator\":\"in\",\"tag\":\"cluster_name\",\"value\":[\"$cluster_name\"]},{\"operator\":\"eq\",\"tag\":\"pod_namespace\",\"value\":\"default\"},{\"operator\":\"any\",\"tag\":\"addon_id\"}],\"functions\":[{\"aggregator\":\"max\",\"field\":\"exitcode\",\"operator\":\"gt\",\"value\":0},{\"aggregator\":\"value\",\"field\":\"terminated_reason\",\"field_script\":\"function invoke(fields,tags){if(fields.oomkilled) return \'Out Of Memory\';return \'Error Exit Code \'+fields.exitcode;}\"},{\"aggregator\":\"value\",\"field\":\"finished_at\",\"field_script\":\"function invoke(fields,tags){if(fields.finished_at!=null\\u0026\\u0026fields.finished_at!=undefined) return fields.finished_at/1000000;return \'-\'}\"},{\"aggregator\":\"value\",\"field\":\"started_at\",\"field_script\":\"function invoke(fields,tags){if(fields.started_at!=null\\u0026\\u0026fields.started_at!=undefined) return fields.started_at/1000000;return \'-\'}\"},{\"aggregator\":\"value\",\"field\":\"pid\"}],\"group\":[\"cluster_name\",\"pod_namespace\",\"pod_name\"],\"metrics\":[\"docker_container_summary\"],\"outputs\":[\"alert\"],\"select\":{\"addon_id\":\"#addon_id\",\"cluster_name\":\"#cluster_name\",\"container_id\":\"#container_id\",\"host_ip\":\"#host_ip\",\"pod_name\":\"#pod_name\",\"pod_namespace\":\"#pod_namespace\"},\"window\":1}','{\"alert_group\":\"{{cluster_name}}-{{container_id}}\",\"display_url_id\":\"org_pod\",\"level\":\"WARNING\",\"recover\":\"false\",\"tickets_metric_key\":\"{{container_id}}\"}',0,'2021-05-28 11:54:59','2021-05-28 11:55:00'),(197,'平台中间件实例内存状态','org','dice_addon','dice_addon_container_mem','{\"filters\":[{\"operator\":\"in\",\"tag\":\"cluster_name\",\"value\":[\"$cluster_name\"]},{\"operator\":\"eq\",\"tag\":\"pod_namespace\",\"value\":\"default\"},{\"operator\":\"any\",\"tag\":\"addon_id\"}],\"functions\":[{\"aggregator\":\"avg\",\"field\":\"mem_usage_percent\",\"operator\":\"gt\",\"value\":80},{\"aggregator\":\"value\",\"field\":\"mem_usage\"},{\"aggregator\":\"value\",\"field\":\"mem_limit\"},{\"aggregator\":\"value\",\"field\":\"mem_max_usage\"},{\"aggregator\":\"value\",\"field\":\"mem_allocation\"}],\"group\":[\"cluster_name\",\"container_id\"],\"metrics\":[\"docker_container_summary\"],\"outputs\":[\"alert\"],\"select\":{\"addon_id\":\"#addon_id\",\"cluster_name\":\"#cluster_name\",\"container_id\":\"#container_id\",\"host_ip\":\"#host_ip\",\"pod_name\":\"#pod_name\",\"pod_namespace\":\"#pod_namespace\"},\"window\":2}','{\"alert_group\":\"{{cluster_name}}-{{container_id}}\",\"level\":\"WARNING\",\"recover\":\"false\",\"tickets_metric_key\":\"{{container_id}}\"}',0,'2021-05-28 11:54:59','2021-05-28 11:55:00'),(198,'平台中间件实例Ready状态异常','org','dice_addon','dice_addon_container_ready','{\"filters\":[{\"operator\":\"in\",\"tag\":\"cluster_name\",\"value\":[\"$cluster_name\"]},{\"operator\":\"eq\",\"tag\":\"namespace\",\"value\":\"default\"},{\"operator\":\"any\",\"tag\":\"addon_id\"}],\"functions\":[{\"aggregator\":\"avg\",\"field\":\"not_ready_avg\",\"field_script\":\"function invoke(fields,tags){if(tags.daemonset_name){return fields.number_unavailable}else{if(tags.statefulset_name){return fields.replicas-fields.replicas_ready}else{if(tags.deployment_name){return fields.replicas_unavailable}}}return 0}\",\"operator\":\"gt\",\"value\":0},{\"aggregator\":\"value\",\"field\":\"not_ready\",\"field_script\":\"function invoke(fields,tags){if(tags.daemonset_name){return fields.number_unavailable}else{if(tags.statefulset_name){return fields.replicas-fields.replicas_ready}else{if(tags.deployment_name){return fields.replicas_unavailable}}}return 0}\"},{\"aggregator\":\"value\",\"field\":\"ready\",\"field_script\":\"function invoke(fields,tags){if(tags.daemonset_name){return fields.number_available}else{if(tags.statefulset_name){return fields.replicas_ready}else{if(tags.deployment_name){return fields.replicas_available}}}return 0}\"},{\"aggregator\":\"value\",\"field\":\"total\",\"field_script\":\"function invoke(fields,tags){if(tags.daemonset_name){return fields.number_unavailable+fields.number_available}else{if(tags.statefulset_name){return fields.replicas}else{if(tags.deployment_name){return fields.replicas_unavailable+fields.replicas_available}}}return 0}\"},{\"aggregator\":\"value\",\"field\":\"resource_name\",\"field_script\":\"function invoke(fields,tags){if(tags.daemonset_name){return tags.daemonset_name}else{if(tags.statefulset_name){return tags.statefulset_name}else{if(tags.deployment_name){return tags.deployment_name}}}return null};\"}],\"group\":[\"cluster_name\",\"namespace\",\"daemonset_name\",\"statefulset_name\",\"deployment_name\"],\"metrics\":[\"kubernetes_daemonset\",\"kubernetes_statefulset\",\"kubernetes_deployment\"],\"outputs\":[\"alert\"],\"select\":{\"addon_id\":\"#addon_id\",\"cluster_name\":\"#cluster_name\",\"daemonset_name\":\"#daemonset_name\",\"deployment_name\":\"#deployment_name\",\"namespace\":\"#namespace\",\"statefulset_name\":\"#statefulset_name\"},\"window\":1}','{\"alert_group\":\"{{cluster_name}}-{{daemonset_name}}-{{statefulset_name}}-{{deployment_name}}\",\"level\":\"WARNING\",\"recover\":\"false\",\"tickets_metric_key\":\"{{daemonset_name}}-{{statefulset_name}}-{{deployment_name}}\"}',0,'2021-05-28 11:54:59','2021-05-28 11:55:00'),(199,'平台中间件Elasticsearch GC次数异常','org','dice_addon','dice_addon_elasticsearch_gc_count','{\"filters\":[{\"operator\":\"in\",\"tag\":\"cluster_name\",\"value\":[\"$cluster_name\"]},{\"operator\":\"eq\",\"tag\":\"addon_id\",\"value\":\"elasticsearch\"}],\"functions\":[{\"aggregator\":\"min\",\"field\":\"gc_collectors_old_collection_count_min\",\"field_script\":\"function invoke(fields,tags){return fields.gc_collectors_old_collection_count;}\"},{\"aggregator\":\"max\",\"field\":\"gc_collectors_old_collection_count_max\",\"field_script\":\"function invoke(fields,tags){return fields.gc_collectors_old_collection_count;}\"},{\"aggregator\":\"value\",\"field\":\"gc_collectors_old_collection_count_win\",\"field_script\":\"function invoke(fields,tags){return fields.gc_collectors_old_collection_count_max-fields.gc_collectors_old_collection_count_min;}\",\"operator\":\"gte\",\"trigger\":\"aggregated\",\"value\":10}],\"group\":[\"cluster_name\",\"node_id\"],\"metrics\":[\"elasticsearch_jvm\"],\"outputs\":[\"alert\"],\"select\":{\"addon_id\":\"#addon_id\",\"addon_type\":\"#addon_type\",\"cluster_name\":\"#cluster_name\",\"node_host\":\"#node_host\",\"node_id\":\"#node_id\",\"node_name\":\"#node_name\"},\"window\":3}','{\"alert_group\":\"{{cluster_name}}-{{addon_id}}\",\"display_url_id\":\"org_addon\",\"level\":\"WARNING\",\"recover\":\"false\",\"tickets_metric_key\":\"{{addon_id}}\"}',0,'2021-05-28 11:54:59','2021-05-28 11:55:00'),(200,'平台中间件Elasticsearch GC耗时异常','org','dice_addon','dice_addon_elasticsearch_gc_time','{\"filters\":[{\"operator\":\"in\",\"tag\":\"cluster_name\",\"value\":[\"$cluster_name\"]},{\"operator\":\"eq\",\"tag\":\"addon_id\",\"value\":\"elasticsearch\"}],\"functions\":[{\"aggregator\":\"min\",\"field\":\"gc_collectors_old_collection_time_in_millis_min\",\"field_script\":\"function invoke(fields,tags){return fields.gc_collectors_old_collection_time_in_millis;}\"},{\"aggregator\":\"max\",\"field\":\"gc_collectors_old_collection_time_in_millis_max\",\"field_script\":\"function invoke(fields,tags){return fields.gc_collectors_old_collection_time_in_millis;}\"},{\"aggregator\":\"value\",\"field\":\"gc_collectors_old_collection_time_in_millis_win\",\"field_script\":\"function invoke(fields,tags){return fields.gc_collectors_old_collection_time_in_millis_max-fields.gc_collectors_old_collection_time_in_millis_min;}\",\"operator\":\"gte\",\"trigger\":\"aggregated\",\"value\":15000}],\"group\":[\"cluster_name\",\"node_id\"],\"metrics\":[\"elasticsearch_jvm\"],\"outputs\":[\"alert\"],\"select\":{\"addon_id\":\"#addon_id\",\"addon_type\":\"#addon_type\",\"cluster_name\":\"#cluster_name\",\"node_host\":\"#node_host\",\"node_id\":\"#node_id\",\"node_name\":\"#node_name\"},\"window\":3}','{\"alert_group\":\"{{cluster_name}}-{{addon_id}}\",\"display_url_id\":\"org_addon\",\"level\":\"WARNING\",\"recover\":\"false\",\"tickets_metric_key\":\"{{addon_id}}\"}',0,'2021-05-28 11:54:59','2021-05-28 11:55:00'),(201,'平台中间件Kafka GC次数异常','org','dice_addon','dice_addon_kafka_gc_count','{\"filters\":[{\"operator\":\"in\",\"tag\":\"cluster_name\",\"value\":[\"$cluster_name\"]},{\"operator\":\"eq\",\"tag\":\"addon_id\",\"value\":\"kafka\"},{\"operator\":\"like\",\"tag\":\"name\",\"value\":\"Old\"}],\"functions\":[{\"aggregator\":\"min\",\"field\":\"CollectionCount_min\",\"field_script\":\"function invoke(fields,tags){return fields.CollectionCount;}\"},{\"aggregator\":\"max\",\"field\":\"CollectionCount_max\",\"field_script\":\"function invoke(fields,tags){return fields.CollectionCount;}\"},{\"aggregator\":\"value\",\"field\":\"CollectionCount_win\",\"field_script\":\"function invoke(fields,tags){return fields.CollectionCount_max-fields.CollectionCount_min;}\",\"operator\":\"gte\",\"trigger\":\"aggregated\",\"value\":10}],\"group\":[\"cluster_name\",\"node_id\"],\"metrics\":[\"addon_java_GarbageCollector\"],\"outputs\":[\"alert\"],\"select\":{\"addon_id\":\"#addon_id\",\"addon_type\":\"#addon_type\",\"cluster_name\":\"#cluster_name\",\"node_host\":\"#jolokia_host\"},\"window\":3}','{\"alert_group\":\"{{cluster_name}}-{{addon_id}}\",\"display_url_id\":\"org_addon\",\"level\":\"WARNING\",\"recover\":\"false\",\"tickets_metric_key\":\"{{addon_id}}\"}',0,'2021-05-28 11:54:59','2021-05-28 11:55:00'),(202,'平台中间件Kafka GC耗时异常','org','dice_addon','dice_addon_kafka_gc_time','{\"filters\":[{\"operator\":\"in\",\"tag\":\"cluster_name\",\"value\":[\"$cluster_name\"]},{\"operator\":\"eq\",\"tag\":\"addon_id\",\"value\":\"kafka\"},{\"operator\":\"like\",\"tag\":\"name\",\"value\":\"Old\"}],\"functions\":[{\"aggregator\":\"min\",\"field\":\"CollectionTime_min\",\"field_script\":\"function invoke(fields,tags){return fields.CollectionTime;}\"},{\"aggregator\":\"max\",\"field\":\"CollectionTime_max\",\"field_script\":\"function invoke(fields,tags){return fields.CollectionTime;}\"},{\"aggregator\":\"value\",\"field\":\"CollectionTime_win\",\"field_script\":\"function invoke(fields,tags){return fields.CollectionTime_max-fields.CollectionTime_min;}\",\"operator\":\"gte\",\"trigger\":\"aggregated\",\"value\":15000}],\"group\":[\"cluster_name\",\"node_id\"],\"metrics\":[\"addon_java_GarbageCollector\"],\"outputs\":[\"alert\"],\"select\":{\"addon_id\":\"#addon_id\",\"addon_type\":\"#addon_type\",\"cluster_name\":\"#cluster_name\",\"node_host\":\"#jolokia_host\"},\"window\":3}','{\"alert_group\":\"{{cluster_name}}-{{addon_id}}\",\"display_url_id\":\"org_addon\",\"level\":\"WARNING\",\"recover\":\"false\",\"tickets_metric_key\":\"{{addon_id}}\"}',0,'2021-05-28 11:54:59','2021-05-28 11:55:00'),(203,'平台中间件kafka消费堆积','org','dice_addon','dice_addon_kafka_lag','{\"filters\":[{\"operator\":\"in\",\"tag\":\"cluster_name\",\"value\":[\"$cluster_name\"]},{\"operator\":\"eq\",\"tag\":\"addon_id\",\"value\":\"kafka\"}],\"functions\":[{\"aggregator\":\"avg\",\"field\":\"lag\",\"operator\":\"gte\",\"value\":100000},{\"aggregator\":\"avg\",\"field\":\"consume_rate_per_sec\"},{\"aggregator\":\"avg\",\"field\":\"produce_rate_per_sec\"}],\"group\":[\"cluster_name\",\"addon_id\",\"group\",\"topic\"],\"metrics\":[\"kafka_consumer\"],\"outputs\":[\"alert\"],\"select\":{\"addon_id\":\"#addon_id\",\"addon_type\":\"#addon_type\",\"cluster_name\":\"#cluster_name\",\"group\":\"#group\",\"topic\":\"#topic\"},\"window\":3}','{\"alert_group\":\"{{cluster_name}}-{{group}}-{{topic}}\",\"display_url_id\":\"org_addon\",\"level\":\"WARNING\",\"recover\":\"false\",\"tickets_metric_key\":\"{{group}}-{{topic}}\"}',0,'2021-05-28 11:54:59','2021-05-28 11:55:00'),(204,'平台组件实例CPU状态','org','dice_component','dice_component_container_cpu','{\"filters\":[{\"operator\":\"in\",\"tag\":\"cluster_name\",\"value\":[\"$cluster_name\"]},{\"operator\":\"eq\",\"tag\":\"pod_namespace\",\"value\":\"default\"},{\"operator\":\"any\",\"tag\":\"component_name\"}],\"functions\":[{\"aggregator\":\"avg\",\"field\":\"cpu_usage_percent\",\"operator\":\"gte\",\"value\":95},{\"aggregator\":\"value\",\"field\":\"cpu_limit\"},{\"aggregator\":\"value\",\"field\":\"cpu_allocation\"}],\"group\":[\"cluster_name\",\"container_id\"],\"metrics\":[\"docker_container_summary\"],\"outputs\":[\"alert\"],\"select\":{\"cluster_name\":\"#cluster_name\",\"component_name\":\"#component_name\",\"container_id\":\"#container_id\",\"host_ip\":\"#host_ip\",\"pod_name\":\"#pod_name\",\"pod_namespace\":\"#pod_namespace\"},\"window\":2}','{\"alert_group\":\"{{cluster_name}}-{{container_id}}\",\"level\":\"WARNING\",\"recover\":\"false\",\"tickets_metric_key\":\"{{container_id}}\"}',0,'2021-05-28 11:54:59','2021-05-28 11:55:00'),(205,'平台组件异常退出','org','dice_component','dice_component_container_exit','{\"filters\":[{\"operator\":\"in\",\"tag\":\"cluster_name\",\"value\":[\"$cluster_name\"]},{\"operator\":\"eq\",\"tag\":\"pod_namespace\",\"value\":\"default\"},{\"operator\":\"any\",\"tag\":\"component_name\"}],\"functions\":[{\"aggregator\":\"max\",\"field\":\"exitcode\",\"operator\":\"gt\",\"value\":0},{\"aggregator\":\"value\",\"field\":\"terminated_reason\",\"field_script\":\"function invoke(fields,tags){if(fields.oomkilled) return \'Out Of Memory\';return \'Error Exit Code \'+fields.exitcode;}\"},{\"aggregator\":\"value\",\"field\":\"finished_at\",\"field_script\":\"function invoke(fields,tags){if(fields.finished_at!=null\\u0026\\u0026fields.finished_at!=undefined) return fields.finished_at/1000000;return \'-\'}\"},{\"aggregator\":\"value\",\"field\":\"started_at\",\"field_script\":\"function invoke(fields,tags){if(fields.started_at!=null\\u0026\\u0026fields.started_at!=undefined) return fields.started_at/1000000;return \'-\'}\"},{\"aggregator\":\"value\",\"field\":\"pid\"}],\"group\":[\"cluster_name\",\"container_id\"],\"metrics\":[\"docker_container_summary\"],\"outputs\":[\"alert\"],\"select\":{\"cluster_name\":\"#cluster_name\",\"component_name\":\"#component_name\",\"container_id\":\"#container_id\",\"host_ip\":\"#host_ip\",\"pod_name\":\"#pod_name\",\"pod_namespace\":\"#pod_namespace\"},\"window\":1}','{\"alert_group\":\"{{cluster_name}}-{{container_id}}\",\"display_url_id\":\"org_pod\",\"level\":\"WARNING\",\"recover\":\"false\",\"tickets_metric_key\":\"{{container_id}}\"}',0,'2021-05-28 11:54:59','2021-05-28 11:55:00'),(206,'平台组件实例内存状态','org','dice_component','dice_component_container_mem','{\"filters\":[{\"operator\":\"in\",\"tag\":\"cluster_name\",\"value\":[\"$cluster_name\"]},{\"operator\":\"eq\",\"tag\":\"pod_namespace\",\"value\":\"default\"},{\"operator\":\"any\",\"tag\":\"component_name\"}],\"functions\":[{\"aggregator\":\"avg\",\"field\":\"mem_usage_percent\",\"operator\":\"gt\",\"value\":70},{\"aggregator\":\"value\",\"field\":\"mem_usage\"},{\"aggregator\":\"value\",\"field\":\"mem_limit\"},{\"aggregator\":\"value\",\"field\":\"mem_max_usage\"},{\"aggregator\":\"value\",\"field\":\"mem_allocation\"}],\"group\":[\"cluster_name\",\"container_id\"],\"metrics\":[\"docker_container_summary\"],\"outputs\":[\"alert\"],\"select\":{\"cluster_name\":\"#cluster_name\",\"component_name\":\"#component_name\",\"container_id\":\"#container_id\",\"host_ip\":\"#host_ip\",\"pod_name\":\"#pod_name\",\"pod_namespace\":\"#pod_namespace\"},\"window\":2}','{\"alert_group\":\"{{cluster_name}}-{{container_id}}\",\"level\":\"WARNING\",\"recover\":\"false\",\"tickets_metric_key\":\"{{container_id}}\"}',0,'2021-05-28 11:54:59','2021-05-28 11:55:00'),(207,'平台组件实例Ready状态异常','org','dice_component','dice_component_container_ready','{\"filters\":[{\"operator\":\"in\",\"tag\":\"cluster_name\",\"value\":[\"$cluster_name\"]},{\"operator\":\"eq\",\"tag\":\"namespace\",\"value\":\"default\"},{\"operator\":\"any\",\"tag\":\"component_name\"}],\"functions\":[{\"aggregator\":\"avg\",\"field\":\"not_ready_avg\",\"field_script\":\"function invoke(fields,tags){if(tags.daemonset_name){return fields.number_unavailable}else{if(tags.statefulset_name){return fields.replicas-fields.replicas_ready}else{if(tags.deployment_name){return fields.replicas_unavailable}}}return 0}\",\"operator\":\"gt\",\"value\":0},{\"aggregator\":\"value\",\"field\":\"not_ready\",\"field_script\":\"function invoke(fields,tags){if(tags.daemonset_name){return fields.number_unavailable}else{if(tags.statefulset_name){return fields.replicas-fields.replicas_ready}else{if(tags.deployment_name){return fields.replicas_unavailable}}}return 0}\"},{\"aggregator\":\"value\",\"field\":\"ready\",\"field_script\":\"function invoke(fields,tags){if(tags.daemonset_name){return fields.number_available}else{if(tags.statefulset_name){return fields.replicas_ready}else{if(tags.deployment_name){return fields.replicas_available}}}return 0}\"},{\"aggregator\":\"value\",\"field\":\"total\",\"field_script\":\"function invoke(fields,tags){if(tags.daemonset_name){return fields.number_unavailable+fields.number_available}else{if(tags.statefulset_name){return fields.replicas}else{if(tags.deployment_name){return fields.replicas_unavailable+fields.replicas_available}}}return 0}\"},{\"aggregator\":\"value\",\"field\":\"resource_name\",\"field_script\":\"function invoke(fields,tags){if(tags.daemonset_name){return tags.daemonset_name}else{if(tags.statefulset_name){return tags.statefulset_name}else{if(tags.deployment_name){return tags.deployment_name}}}return null};\"}],\"group\":[\"cluster_name\",\"namespace\",\"daemonset_name\",\"statefulset_name\",\"deployment_name\"],\"metrics\":[\"kubernetes_daemonset\",\"kubernetes_statefulset\",\"kubernetes_deployment\"],\"outputs\":[\"alert\"],\"select\":{\"cluster_name\":\"#cluster_name\",\"component_name\":\"#component_name\",\"daemonset_name\":\"#daemonset_name\",\"deployment_name\":\"#deployment_name\",\"namespace\":\"#namespace\",\"statefulset_name\":\"#statefulset_name\"},\"window\":3}','{\"alert_group\":\"{{cluster_name}}-{{daemonset_name}}-{{statefulset_name}}-{{deployment_name}}\",\"level\":\"WARNING\",\"recover\":\"false\",\"tickets_metric_key\":\"{{daemonset_name}}-{{statefulset_name}}-{{deployment_name}}\"}',0,'2021-05-28 11:54:59','2021-05-28 11:55:00'),(208,'平台组件Flink任务checkpoint延迟异常告警','org','dice_component','dice_component_flink_checkpoint_duration','{\"filters\":[{\"operator\":\"in\",\"tag\":\"cluster_name\",\"value\":[\"$cluster_name\"]}],\"functions\":[{\"aggregator\":\"value\",\"field\":\"lastCheckpointDuration\",\"operator\":\"gte\",\"value\":3000}],\"group\":[\"cluster_name\",\"container_id\",\"job_id\"],\"metric\":\"flink_jm_job\",\"outputs\":[\"alert\"],\"select\":{\"cluster_name\":\"#cluster_name\",\"host_ip\":\"#host_ip\",\"job_id\":\"#job_id\"},\"window\":1}','{\"alert_group\":\"{{cluster_name}}-{{container_id}}-{{job_id}}\",\"level\":\"WARNING\",\"recover\":\"false\",\"tickets_metric_key\":\"{{container_id}}-{{job_id}}\"}',0,'2021-05-28 11:54:59','2021-05-28 11:55:00'),(209,'平台组件Flink吞吐量异常告警','org','dice_component','dice_component_flink_throughput','{\"filters\":[{\"operator\":\"in\",\"tag\":\"cluster_name\",\"value\":[\"$cluster_name\"]}],\"functions\":[{\"aggregator\":\"value\",\"field\":\"numRecordsOutPerSecond_count\",\"operator\":\"eq\",\"value\":0}],\"group\":[\"cluster_name\",\"container_id\",\"job_id\",\"task_id\",\"subtask_index\",\"operator_id\"],\"metric\":\"flink_tm_operator\",\"outputs\":[\"alert\"],\"select\":{\"cluster_name\":\"#cluster_name\",\"host_ip\":\"#host_ip\",\"job_id\":\"#job_id\",\"operator_id\":\"#operator_id\",\"subtask_index\":\"#subtask_index\",\"tm_id\":\"#tm_id\"},\"window\":1}','{\"alert_group\":\"{{cluster_name}}-{{container_id}}-{{job_id}}\",\"level\":\"WARNING\",\"recover\":\"false\",\"tickets_metric_key\":\"{{container_id}}-{{job_id}}\"}',0,'2021-05-28 11:54:59','2021-05-28 11:55:00'),(210,'平台组件网盘不可用告警','org','dice_component','dice_component_gfs_status','{\"filters\":[{\"operator\":\"in\",\"tag\":\"cluster_name\",\"value\":[\"$cluster_name\"]}],\"functions\":[{\"aggregator\":\"values\",\"field\":\"status\",\"operator\":\"all\",\"value\":\"Disconnected\"}],\"group\":[\"cluster_name\",\"host_ip\"],\"metric\":\"glusterfs\",\"outputs\":[\"alert\"],\"select\":{\"cluster_name\":\"#cluster_name\",\"component_name\":\"#component_name\",\"host_ip\":\"#host_ip\",\"node_uuid\":\"#node_uuid\"},\"window\":5}','{\"alert_group\":\"{{cluster_name}}\",\"level\":\"WARNING\",\"recover\":\"false\",\"tickets_metric_key\":\"{{cluster_name}}\"}',0,'2021-05-28 11:54:59','2021-05-28 11:55:00'),(211,'kubernetes组件实例CPU状态','org','kubernetes','kubernetes_instance_cpu','{\"filters\":[{\"operator\":\"in\",\"tag\":\"cluster_name\",\"value\":[\"$cluster_name\"]},{\"operator\":\"eq\",\"tag\":\"pod_namespace\",\"value\":\"kube-system\"}],\"functions\":[{\"aggregator\":\"avg\",\"field\":\"cpu_usage_percent\",\"operator\":\"gte\",\"value\":95},{\"aggregator\":\"value\",\"field\":\"cpu_limit\"},{\"aggregator\":\"value\",\"field\":\"cpu_allocation\"}],\"group\":[\"cluster_name\",\"container_id\"],\"metrics\":[\"docker_container_summary\"],\"outputs\":[\"alert\"],\"select\":{\"cluster_name\":\"#cluster_name\",\"container_id\":\"#container_id\",\"host_ip\":\"#host_ip\",\"pod_name\":\"#pod_name\",\"pod_namespace\":\"#pod_namespace\"},\"window\":2}','{\"alert_group\":\"{{cluster_name}}-{{container_id}}\",\"level\":\"WARNING\",\"recover\":\"false\",\"tickets_metric_key\":\"{{container_id}}\"}',0,'2021-05-28 11:54:59','2021-05-28 11:55:00'),(212,'kubernetes组件异常退出','org','kubernetes','kubernetes_instance_exit','{\"filters\":[{\"operator\":\"in\",\"tag\":\"cluster_name\",\"value\":[\"$cluster_name\"]},{\"operator\":\"eq\",\"tag\":\"pod_namespace\",\"value\":\"kube-system\"}],\"functions\":[{\"aggregator\":\"max\",\"field\":\"exitcode\",\"operator\":\"gt\",\"value\":0},{\"aggregator\":\"value\",\"field\":\"terminated_reason\",\"field_script\":\"function invoke(fields,tags){if(fields.oomkilled) return \'Out Of Memory\';return \'Error Exit Code \'+fields.exitcode;}\"},{\"aggregator\":\"value\",\"field\":\"finished_at\",\"field_script\":\"function invoke(fields,tags){if(fields.finished_at!=null\\u0026\\u0026fields.finished_at!=undefined) return fields.finished_at/1000000;return \'-\'}\"},{\"aggregator\":\"value\",\"field\":\"started_at\",\"field_script\":\"function invoke(fields,tags){if(fields.started_at!=null\\u0026\\u0026fields.started_at!=undefined) return fields.started_at/1000000;return \'-\'}\"},{\"aggregator\":\"value\",\"field\":\"pid\"}],\"group\":[\"cluster_name\",\"pod_namespace\",\"pod_name\"],\"metrics\":[\"docker_container_summary\"],\"outputs\":[\"alert\"],\"select\":{\"cluster_name\":\"#cluster_name\",\"component_name\":\"#component_name\",\"container_id\":\"#container_id\",\"host_ip\":\"#host_ip\",\"pod_name\":\"#pod_name\",\"pod_namespace\":\"#pod_namespace\"},\"window\":1}','{\"alert_group\":\"{{cluster_name}}-{{container_id}}\",\"display_url_id\":\"org_pod\",\"level\":\"WARNING\",\"recover\":\"false\",\"tickets_metric_key\":\"{{container_id}}\"}',0,'2021-05-28 11:54:59','2021-05-28 11:55:00'),(213,'kubernetes组件实例内存状态','org','kubernetes','kubernetes_instance_mem','{\"filters\":[{\"operator\":\"in\",\"tag\":\"cluster_name\",\"value\":[\"$cluster_name\"]},{\"operator\":\"eq\",\"tag\":\"pod_namespace\",\"value\":\"kube-system\"}],\"functions\":[{\"aggregator\":\"avg\",\"field\":\"mem_usage_percent\",\"operator\":\"gt\",\"value\":70},{\"aggregator\":\"value\",\"field\":\"mem_usage\"},{\"aggregator\":\"value\",\"field\":\"mem_limit\"},{\"aggregator\":\"value\",\"field\":\"mem_max_usage\"},{\"aggregator\":\"value\",\"field\":\"mem_allocation\"}],\"group\":[\"cluster_name\",\"container_id\"],\"metrics\":[\"docker_container_summary\"],\"outputs\":[\"alert\"],\"select\":{\"cluster_name\":\"#cluster_name\",\"container_id\":\"#container_id\",\"host_ip\":\"#host_ip\",\"pod_name\":\"#pod_name\",\"pod_namespace\":\"#pod_namespace\"},\"window\":2}','{\"alert_group\":\"{{cluster_name}}-{{container_id}}\",\"level\":\"WARNING\",\"recover\":\"false\",\"tickets_metric_key\":\"{{container_id}}\"}',0,'2021-05-28 11:54:59','2021-05-28 11:55:00'),(214,'kubernetes组件实例Ready状态异常','org','kubernetes','kubernetes_instance_ready','{\"filters\":[{\"operator\":\"in\",\"tag\":\"cluster_name\",\"value\":[\"$cluster_name\"]},{\"operator\":\"eq\",\"tag\":\"namespace\",\"value\":\"kube-system\"}],\"functions\":[{\"aggregator\":\"avg\",\"field\":\"not_ready_avg\",\"field_script\":\"function invoke(fields,tags){if(tags.daemonset_name){return fields.number_unavailable}else{if(tags.statefulset_name){return fields.replicas-fields.replicas_ready}else{if(tags.deployment_name){return fields.replicas_unavailable}}}return 0}\",\"operator\":\"gt\",\"value\":0},{\"aggregator\":\"value\",\"field\":\"not_ready\",\"field_script\":\"function invoke(fields,tags){if(tags.daemonset_name){return fields.number_unavailable}else{if(tags.statefulset_name){return fields.replicas-fields.replicas_ready}else{if(tags.deployment_name){return fields.replicas_unavailable}}}return 0}\"},{\"aggregator\":\"value\",\"field\":\"ready\",\"field_script\":\"function invoke(fields,tags){if(tags.daemonset_name){return fields.number_available}else{if(tags.statefulset_name){return fields.replicas_ready}else{if(tags.deployment_name){return fields.replicas_available}}}return 0}\"},{\"aggregator\":\"value\",\"field\":\"total\",\"field_script\":\"function invoke(fields,tags){if(tags.daemonset_name){return fields.number_unavailable+fields.number_available}else{if(tags.statefulset_name){return fields.replicas}else{if(tags.deployment_name){return fields.replicas_unavailable+fields.replicas_available}}}return 0}\"},{\"aggregator\":\"value\",\"field\":\"resource_name\",\"field_script\":\"function invoke(fields,tags){if(tags.daemonset_name){return tags.daemonset_name}else{if(tags.statefulset_name){return tags.statefulset_name}else{if(tags.deployment_name){return tags.deployment_name}}}return null};\"}],\"group\":[\"cluster_name\",\"namespace\",\"daemonset_name\",\"statefulset_name\",\"deployment_name\"],\"metrics\":[\"kubernetes_daemonset\",\"kubernetes_statefulset\",\"kubernetes_deployment\"],\"outputs\":[\"alert\"],\"select\":{\"cluster_name\":\"#cluster_name\",\"daemonset_name\":\"#daemonset_name\",\"deployment_name\":\"#deployment_name\",\"namespace\":\"#namespace\",\"statefulset_name\":\"#statefulset_name\"},\"window\":1}','{\"alert_group\":\"{{cluster_name}}-{{daemonset_name}}-{{statefulset_name}}-{{deployment_name}}\",\"level\":\"WARNING\",\"recover\":\"false\",\"tickets_metric_key\":\"{{daemonset_name}}-{{statefulset_name}}-{{deployment_name}}\"}',0,'2021-05-28 11:54:59','2021-05-28 11:55:00'),(215,'kubernetes节点异常','org','kubernetes','kubernetes_node','{\"filters\":[{\"operator\":\"in\",\"tag\":\"cluster_name\",\"value\":[\"$cluster_name\"]},{\"operator\":\"neq\",\"tag\":\"offline\",\"value\":\"true\"}],\"functions\":[{\"aggregator\":\"values\",\"field\":\"ready\",\"operator\":\"all\",\"value\":false},{\"aggregator\":\"value\",\"field\":\"allocatable_pods\"},{\"aggregator\":\"value\",\"field\":\"capacity_pods\"},{\"aggregator\":\"value\",\"field\":\"allocatable_cpu_cores\"},{\"aggregator\":\"value\",\"field\":\"capacity_cpu_cores\"},{\"aggregator\":\"value\",\"field\":\"allocatable_memory_bytes\"},{\"aggregator\":\"value\",\"field\":\"capacity_memory_bytes\"}],\"group\":[\"cluster_name\",\"node_name\"],\"metrics\":[\"kubernetes_node\"],\"outputs\":[\"alert\"],\"select\":{\"cluster_name\":\"#cluster_name\",\"node_name\":\"#node_name\"},\"window\":1}','{\"alert_group\":\"{{cluster_name}}-{{node_name}}\",\"level\":\"WARNING\",\"recover\":\"false\",\"tickets_metric_key\":\"{{node_name}}\"}',0,'2021-05-28 11:54:59','2021-05-28 11:55:00'),(216,'机器CPU','org','machine','machine_cpu','{\"filters\":[{\"operator\":\"in\",\"tag\":\"cluster_name\",\"value\":[\"$cluster_name\"]}],\"functions\":[{\"aggregator\":\"avg\",\"field\":\"cpu_usage_active\",\"operator\":\"gte\",\"value\":95}],\"group\":[\"cluster_name\",\"host_ip\"],\"metric\":\"host_summary\",\"outputs\":[\"alert\"],\"select\":{\"cluster_name\":\"#cluster_name\",\"host_ip\":\"#host_ip\"},\"window\":1}','{\"alert_group\":\"{{cluster_name}}-{{host_ip}}\",\"display_url_id\":\"machine_cpu\",\"level\":\"WARNING\",\"recover\":\"false\",\"tickets_metric_key\":\"{{host_ip}}\"}',0,'2021-05-28 11:54:59','2021-05-28 11:55:00'),(217,'机器磁盘','org','machine','machine_disk','{\"filters\":[{\"operator\":\"in\",\"tag\":\"cluster_name\",\"value\":[\"$cluster_name\"]},{\"operator\":\"neq\",\"tag\":\"type\",\"value\":\"netdata\"}],\"functions\":[{\"aggregator\":\"value\",\"field\":\"disk_used_percent\",\"operator\":\"gte\",\"value\":86},{\"aggregator\":\"value\",\"field\":\"disk_total\"}],\"group\":[\"host_ip\",\"device\"],\"metric\":\"host_summary\",\"outputs\":[\"alert\"],\"select\":{\"cluster_name\":\"#cluster_name\",\"device\":\"#device\",\"host_ip\":\"#host_ip\"},\"window\":1}','{\"alert_group\":\"{{cluster_name}}-{{host_ip}}-{{device}}\",\"display_url_id\":\"machine_disk\",\"level\":\"WARNING\",\"recover\":\"true\",\"tickets_metric_key\":\"{{host_ip}}\"}',0,'2021-05-28 11:54:59','2021-05-28 11:55:00'),(218,'机器磁盘IO','org','machine','machine_disk_util','{\"filters\":[{\"operator\":\"in\",\"tag\":\"cluster_name\",\"value\":[\"$cluster_name\"]},{\"operator\":\"eq\",\"tag\":\"path\",\"value\":null}],\"functions\":[{\"aggregator\":\"p75\",\"field\":\"pct_util\",\"operator\":\"gte\",\"value\":95}],\"group\":[\"host_ip\"],\"metric\":\"disk\",\"outputs\":[\"alert\"],\"select\":{\"cluster_name\":\"#cluster_name\",\"host_ip\":\"#host_ip\"},\"window\":3}','{\"alert_group\":\"{{cluster_name}}-{{host_ip}}\",\"display_url_id\":\"machine_disk_io\",\"level\":\"WARNING\",\"recover\":\"true\",\"tickets_metric_key\":\"{{host_ip}}\"}',0,'2021-05-28 11:54:59','2021-05-28 11:55:00'),(219,'机器Load5','org','machine','machine_load5','{\"filters\":[{\"operator\":\"in\",\"tag\":\"cluster_name\",\"value\":[\"$cluster_name\"]}],\"functions\":[{\"aggregator\":\"avg\",\"field\":\"load5\",\"operator\":\"gte\",\"value_script\":\"function invoke(field,tag){ return field.n_cpus * 2.5 }\"}],\"group\":[\"host_ip\"],\"metric\":\"host_summary\",\"outputs\":[\"alert\"],\"select\":{\"cluster_name\":\"#cluster_name\",\"host_ip\":\"#host_ip\"},\"window\":1}','{\"alert_group\":\"{{cluster_name}}-{{host_ip}}\",\"display_url_id\":\"machine_load\",\"level\":\"WARNING\",\"recover\":\"true\",\"tickets_metric_key\":\"{{host_ip}}\"}',0,'2021-05-28 11:54:59','2021-05-28 11:55:00'),(220,'网盘','org','machine','machine_netdisk','{\"filters\":[{\"operator\":\"in\",\"tag\":\"cluster_name\",\"value\":[\"$cluster_name\"]},{\"operator\":\"eq\",\"tag\":\"type\",\"value\":\"netdata\"}],\"functions\":[{\"aggregator\":\"value\",\"field\":\"used_percent\",\"operator\":\"gte\",\"value\":75},{\"aggregator\":\"value\",\"field\":\"total\"}],\"group\":null,\"metric\":\"disk\",\"outputs\":[\"alert\"],\"select\":{\"cluster_name\":\"#cluster_name\"},\"window\":1}','{\"alert_group\":\"{{cluster_name}}\",\"level\":\"WARNING\",\"recover\":\"true\",\"tickets_metric_key\":\"{{cluster_name}}\"}',0,'2021-05-28 11:54:59','2021-05-28 11:55:00'),(221,'网盘容量使用量异常告警','org','machine','machine_netdisk_used','{\"filters\":[{\"operator\":\"in\",\"tag\":\"cluster_name\",\"value\":[\"$cluster_name\"]},{\"operator\":\"eq\",\"tag\":\"type\",\"value\":\"netdata\"}],\"functions\":[{\"aggregator\":\"value\",\"alias\":\"used\",\"field\":\"used\",\"field_script\":\"function invoke(field, tag){ return field.used/1024/1024/1024 }\",\"operator\":\"gte\",\"value\":800},{\"aggregator\":\"value\",\"alias\":\"total\",\"field_script\":\"function invoke(field, tag){ return field.total/1024/1024/1024 }\"}],\"group\":null,\"metric\":\"disk\",\"outputs\":[\"alert\"],\"select\":{\"cluster_name\":\"#cluster_name\"},\"window\":1}','{\"alert_group\":\"{{cluster_name}}\",\"level\":\"WARNING\",\"recover\":\"true\",\"tickets_metric_key\":\"{{cluster_name}}\"}',0,'2021-05-28 11:54:59','2021-05-28 11:55:00'),(222,'机器宕机','org','machine','machine_status','{\"filters\":[{\"operator\":\"in\",\"tag\":\"cluster_name\",\"value\":[\"$cluster_name\"]}],\"functions\":[{\"aggregator\":\"values\",\"field\":\"status\",\"operator\":\"all\",\"value\":\"not_ready\"},{\"aggregator\":\"value\",\"field\":\"last_timestamp\"}],\"group\":[\"host_ip\"],\"metric\":\"machine_status\",\"outputs\":[\"alert\"],\"select\":{\"cluster_name\":\"#cluster_name\",\"host_ip\":\"#host_ip\"},\"window\":5}','{\"alert_group\":\"{{cluster_name}}-{{host_ip}}\",\"display_url_id\":\"machine_crash\",\"level\":\"WARNING\",\"recover\":\"true\",\"tickets_metric_key\":\"{{host_ip}}\"}',0,'2021-05-28 11:54:59','2021-05-28 11:55:00'),(223,'API网关实例CPU使用率异常','org','micro_service','api_gateway_cpu','{\"filters\":[{\"operator\":\"in\",\"tag\":\"cluster_name\",\"value\":[\"$cluster_name\"]},{\"operator\":\"in\",\"tag\":\"addon_type\",\"value\":[\"api-gateway\",\"postgresql\"]}],\"functions\":[{\"aggregator\":\"avg\",\"field\":\"cpu_usage_percent\",\"operator\":\"gte\",\"value\":90},{\"aggregator\":\"value\",\"field\":\"cpu_limit\"},{\"aggregator\":\"value\",\"field\":\"cpu_allocation\"}],\"group\":[\"container_id\"],\"metric\":\"docker_container_summary\",\"outputs\":[\"alert\"],\"select\":{\"addon_id\":\"#addon_id\",\"addon_type\":\"#addon_type\",\"cluster_name\":\"#cluster_name\",\"container_id\":\"#container_id\",\"host_ip\":\"#host_ip\",\"pod_name\":\"#pod_name\",\"pod_namespace\":\"#pod_namespace\"},\"window\":1}','{\"alert_group\":\"{{cluster_name}}-{{container_id}}\",\"level\":\"WARNING\",\"recover\":\"false\",\"tickets_metric_key\":\"{{container_id}}\"}',0,'2021-05-28 11:54:59','2021-05-28 11:55:00'),(224,'API网关实例内存使用率异常','org','micro_service','api_gateway_mem','{\"filters\":[{\"operator\":\"in\",\"tag\":\"cluster_name\",\"value\":[\"$cluster_name\"]},{\"operator\":\"in\",\"tag\":\"addon_type\",\"value\":[\"api-gateway\",\"postgresql\"]}],\"functions\":[{\"aggregator\":\"avg\",\"field\":\"mem_usage_percent\",\"operator\":\"gte\",\"value\":90},{\"aggregator\":\"value\",\"field\":\"mem_usage\"},{\"aggregator\":\"value\",\"field\":\"mem_limit\"},{\"aggregator\":\"value\",\"field\":\"mem_max_usage\"}],\"group\":[\"container_id\"],\"metric\":\"docker_container_summary\",\"outputs\":[\"alert\"],\"select\":{\"addon_id\":\"#addon_id\",\"addon_type\":\"#addon_type\",\"cluster_name\":\"#cluster_name\",\"container_id\":\"#container_id\",\"host_ip\":\"#host_ip\",\"pod_name\":\"#pod_name\",\"pod_namespace\":\"#pod_namespace\"},\"window\":1}','{\"alert_group\":\"{{cluster_name}}-{{container_id}}\",\"level\":\"WARNING\",\"recover\":\"false\",\"tickets_metric_key\":\"{{container_id}}\"}',0,'2021-05-28 11:54:59','2021-05-28 11:55:00'),(225,'注册中心实例CPU使用率异常','org','micro_service','register_center_cpu','{\"filters\":[{\"operator\":\"in\",\"tag\":\"cluster_name\",\"value\":[\"$cluster_name\"]},{\"operator\":\"in\",\"tag\":\"addon_type\",\"value\":[\"nacos\",\"zkproxy\"]}],\"functions\":[{\"aggregator\":\"avg\",\"field\":\"cpu_usage_percent\",\"operator\":\"gte\",\"value\":90},{\"aggregator\":\"value\",\"field\":\"cpu_limit\"},{\"aggregator\":\"value\",\"field\":\"cpu_allocation\"}],\"group\":[\"container_id\"],\"metric\":\"docker_container_summary\",\"outputs\":[\"alert\"],\"select\":{\"addon_id\":\"#addon_id\",\"addon_type\":\"#addon_type\",\"cluster_name\":\"#cluster_name\",\"container_id\":\"#container_id\",\"host_ip\":\"#host_ip\",\"pod_name\":\"#pod_name\",\"pod_namespace\":\"#pod_namespace\"},\"window\":1}','{\"alert_group\":\"{{cluster_name}}-{{container_id}}\",\"level\":\"WARNING\",\"recover\":\"false\",\"tickets_metric_key\":\"{{container_id}}\"}',0,'2021-05-28 11:54:59','2021-05-28 11:55:00'),(226,'注册中心实例内存使用率异常','org','micro_service','register_center_mem','{\"filters\":[{\"operator\":\"in\",\"tag\":\"cluster_name\",\"value\":[\"$cluster_name\"]},{\"operator\":\"in\",\"tag\":\"addon_type\",\"value\":[\"nacos\",\"zkproxy\"]}],\"functions\":[{\"aggregator\":\"avg\",\"field\":\"mem_usage_percent\",\"operator\":\"gte\",\"value\":90},{\"aggregator\":\"value\",\"field\":\"mem_usage\"},{\"aggregator\":\"value\",\"field\":\"mem_limit\"},{\"aggregator\":\"value\",\"field\":\"mem_max_usage\"}],\"group\":[\"container_id\"],\"metric\":\"docker_container_summary\",\"outputs\":[\"alert\"],\"select\":{\"addon_id\":\"#addon_id\",\"addon_type\":\"#addon_type\",\"cluster_name\":\"#cluster_name\",\"container_id\":\"#container_id\",\"host_ip\":\"#host_ip\",\"pod_name\":\"#pod_name\",\"pod_namespace\":\"#pod_namespace\"},\"window\":1}','{\"alert_group\":\"{{cluster_name}}-{{container_id}}\",\"level\":\"WARNING\",\"recover\":\"false\",\"tickets_metric_key\":\"{{container_id}}\"}',0,'2021-05-28 11:54:59','2021-05-28 11:55:00'),(227,'服务熔断通知告警','micro_service','micro_service','sidecar_circuit_breaker','{\"filters\":[{\"operator\":\"eq\",\"tag\":\"terminus_key\",\"value\":\"$terminus_key\"},{\"operator\":\"in\",\"tag\":\"application_id\",\"value\":[\"$application_id\"]}],\"functions\":[{\"aggregator\":\"sum\",\"field\":\"count\",\"operator\":\"gte\",\"value\":1}],\"group\":[\"service_name\"],\"metric\":\"sidecar_circuit_breaker\",\"outputs\":[\"alert\"],\"select\":{\"application_id\":\"#application_id\",\"application_name\":\"#application_name\",\"cluster_name\":\"#cluster_name\",\"host_ip\":\"#host_ip\",\"project_name\":\"#project_name\",\"runtime_name\":\"#runtime_name\",\"service_name\":\"#service_name\",\"terminus_key\":\"#terminus_key\",\"workspace\":\"#workspace\"},\"window\":1}','{\"alert_group\":\"{{terminus_key}}\",\"level\":\"WARNING\",\"recover\":\"false\",\"tickets_metric_key\":\"{{terminus_key}}\"}',0,'2021-05-28 11:54:59','2021-05-28 11:55:00'),(228,'Elasticsearch实例内存使用率异常告警','org','addon','addon_elasticsearch_mem','{\"filters\":[{\"operator\":\"in\",\"tag\":\"cluster_name\",\"value\":[\"$cluster_name\"]},{\"operator\":\"in\",\"tag\":\"addon_type\",\"value\":[\"terminus-elasticsearch\"]}],\"functions\":[{\"aggregator\":\"avg\",\"field\":\"mem_usage_percent\",\"operator\":\"gte\",\"value\":90},{\"aggregator\":\"value\",\"field\":\"mem_limit\"},{\"aggregator\":\"value\",\"field\":\"mem_allocation\"}],\"group\":[\"container_id\"],\"metric\":\"docker_container_summary\",\"outputs\":[\"alert\"],\"select\":{\"addon_id\":\"#addon_id\",\"addon_type\":\"#addon_type\",\"cluster_name\":\"#cluster_name\",\"container_id\":\"#container_id\",\"host_ip\":\"#host_ip\",\"pod_name\":\"#pod_name\",\"pod_namespace\":\"#pod_namespace\"},\"window\":1}','{\"alert_group\":\"{{cluster_name}}-{{container_id}}\",\"level\":\"WARNING\",\"recover\":\"false\",\"tickets_metric_key\":\"{{container_id}}\"}',0,'2021-05-28 11:55:00','2021-05-28 11:55:01'),(229,'MySQL实例CPU使用率异常告警','org','addon','addon_mysql_cpu','{\"filters\":[{\"operator\":\"in\",\"tag\":\"cluster_name\",\"value\":[\"$cluster_name\"]},{\"operator\":\"in\",\"tag\":\"addon_type\",\"value\":[\"mysql\"]}],\"functions\":[{\"aggregator\":\"avg\",\"field\":\"cpu_usage_percent\",\"field_script\":\"function invoke(fields,tags){return fields.cpu_limit===0?fields.cpu_usage_percent:fields.cpu_usage_percent/fields.cpu_limit}\",\"operator\":\"gte\",\"value\":90},{\"aggregator\":\"value\",\"field\":\"cpu_limit\"},{\"aggregator\":\"value\",\"field\":\"cpu_allocation\"}],\"group\":[\"container_id\"],\"metric\":\"docker_container_summary\",\"outputs\":[\"alert\"],\"select\":{\"addon_id\":\"#addon_id\",\"addon_type\":\"#addon_type\",\"cluster_name\":\"#cluster_name\",\"container_id\":\"#container_id\",\"host_ip\":\"#host_ip\",\"pod_name\":\"#pod_name\",\"pod_namespace\":\"#pod_namespace\"},\"window\":1}','{\"alert_group\":\"{{cluster_name}}-{{container_id}}\",\"level\":\"WARNING\",\"recover\":\"false\",\"tickets_metric_key\":\"{{container_id}}\"}',0,'2021-05-28 11:55:00','2021-05-28 11:55:01'),(230,'MySQL实例内存使用率异常告警','org','addon','addon_mysql_mem','{\"filters\":[{\"operator\":\"in\",\"tag\":\"cluster_name\",\"value\":[\"$cluster_name\"]},{\"operator\":\"in\",\"tag\":\"addon_type\",\"value\":[\"mysql\"]}],\"functions\":[{\"aggregator\":\"avg\",\"field\":\"mem_usage_percent\",\"operator\":\"gte\",\"value\":85},{\"aggregator\":\"value\",\"field\":\"mem_limit\"},{\"aggregator\":\"value\",\"field\":\"mem_allocation\"}],\"group\":[\"container_id\"],\"metric\":\"docker_container_summary\",\"outputs\":[\"alert\"],\"select\":{\"addon_id\":\"#addon_id\",\"addon_type\":\"#addon_type\",\"cluster_name\":\"#cluster_name\",\"container_id\":\"#container_id\",\"host_ip\":\"#host_ip\",\"pod_name\":\"#pod_name\",\"pod_namespace\":\"#pod_namespace\"},\"window\":1}','{\"alert_group\":\"{{cluster_name}}-{{container_id}}\",\"level\":\"WARNING\",\"recover\":\"false\",\"tickets_metric_key\":\"{{container_id}}\"}',0,'2021-05-28 11:55:00','2021-05-28 11:55:01'),(231,'MySQL实例主从同步异常告警','org','addon','addon_mysql_slave_status','{\"filters\":[{\"operator\":\"in\",\"tag\":\"cluster_name\",\"value\":[\"$cluster_name\"]},{\"operator\":\"eq\",\"tag\":\"is_slave\",\"value\":\"true\"}],\"functions\":[{\"aggregator\":\"value\",\"field\":\"slave_slave_running_ok\",\"field_script\":\"function invoke(fields,tags){return (fields.slave_slave_io_running==0 || fields.slave_slave_sql_running==0)?0:1}\",\"operator\":\"neq\",\"value\":1},{\"aggregator\":\"value\",\"field\":\"slave_slave_sql_running\"},{\"aggregator\":\"value\",\"field\":\"slave_slave_io_running\"}],\"group\":[\"addon_id\",\"server\"],\"metric\":\"mysql\",\"outputs\":[\"alert\"],\"select\":{\"addon_id\":\"#addon_id\",\"cluster_name\":\"#cluster_name\",\"host_ip\":\"#host_ip\"},\"window\":1}','{\"alert_group\":\"{{cluster_name}}-{{addon_id}}\",\"level\":\"WARNING\",\"recover\":\"false\",\"tickets_metric_key\":\"{{addon_id}}\"}',0,'2021-05-28 11:55:00','2021-05-28 11:55:01'),(232,'redis实例内存使用率异常告警','org','addon','addon_redis_mem','{\"filters\":[{\"operator\":\"in\",\"tag\":\"cluster_name\",\"value\":[\"$cluster_name\"]},{\"operator\":\"in\",\"tag\":\"addon_type\",\"value\":[\"redis\"]}],\"functions\":[{\"aggregator\":\"avg\",\"field\":\"mem_usage_percent\",\"operator\":\"gte\",\"value\":85},{\"aggregator\":\"value\",\"field\":\"mem_limit\"},{\"aggregator\":\"value\",\"field\":\"mem_allocation\"}],\"group\":[\"container_id\"],\"metric\":\"docker_container_summary\",\"outputs\":[\"alert\"],\"select\":{\"addon_id\":\"#addon_id\",\"addon_type\":\"#addon_type\",\"cluster_name\":\"#cluster_name\",\"container_id\":\"#container_id\",\"host_ip\":\"#host_ip\",\"pod_name\":\"#pod_name\",\"pod_namespace\":\"#pod_namespace\"},\"window\":1}','{\"alert_group\":\"{{cluster_name}}-{{container_id}}\",\"level\":\"WARNING\",\"recover\":\"false\",\"tickets_metric_key\":\"{{container_id}}\"}',0,'2021-05-28 11:55:00','2021-05-28 11:55:01'),(233,'应用错误次数','micro_service','app_exception','app_exception_count','{\"filters\":[{\"operator\":\"eq\",\"tag\":\"terminus_key\",\"value\":\"$terminus_key\"},{\"operator\":\"in\",\"tag\":\"application_id\",\"value\":[\"$application_id\"]}],\"functions\":[{\"aggregator\":\"sum\",\"field\":\"count\",\"operator\":\"gte\",\"value\":20}],\"group\":[\"error_id\"],\"metric\":\"error_alert\",\"outputs\":[\"alert\"],\"select\":{\"application_id\":\"#application_id\",\"application_name\":\"#application_name\",\"class\":\"#class\",\"cluster_name\":\"#cluster_name\",\"error_id\":\"#error_id\",\"host_ip\":\"#host_ip\",\"instance_id\":\"#instance_id\",\"line\":\"#line\",\"method\":\"#method\",\"project_id\":\"#project_id\",\"project_name\":\"#project_name\",\"runtime_id\":\"#runtime_id\",\"runtime_name\":\"#runtime_name\",\"service_name\":\"#service_name\",\"terminus_key\":\"#terminus_key\",\"type\":\"#type\",\"workspace\":\"#workspace\"},\"window\":5}','{\"alert_group\":\"{{terminus_key}}-{{error_id}}\",\"display_url_id\":\"micro_error_detail\",\"level\":\"WARNING\",\"recover\":\"false\",\"tickets_metric_key\":\"{{error_id}}\"}',0,'2021-05-28 11:55:00','2021-05-28 11:55:01'),(234,'应用实例CPU使用率异常','micro_service','app_resource','app_resource_container_cpu','{\"filters\":[{\"operator\":\"eq\",\"tag\":\"terminus_key\",\"value\":\"$terminus_key\"},{\"operator\":\"in\",\"tag\":\"application_id\",\"value\":[\"$application_id\"]}],\"functions\":[{\"aggregator\":\"avg\",\"field\":\"cpu_usage_percent\",\"field_script\":\"function invoke(fields,tags){return fields.cpu_limit===0?fields.cpu_usage_percent:fields.cpu_usage_percent/fields.cpu_limit}\",\"operator\":\"gte\",\"value\":90},{\"aggregator\":\"value\",\"field\":\"cpu_limit\"},{\"aggregator\":\"value\",\"field\":\"cpu_allocation\"}],\"group\":[\"container_id\"],\"metric\":\"docker_container_summary\",\"outputs\":[\"alert\"],\"select\":{\"application_id\":\"#application_id\",\"application_name\":\"#application_name\",\"cluster_name\":\"#cluster_name\",\"container_id\":\"#container_id\",\"host_ip\":\"#host_ip\",\"instance_id\":\"#instance_id\",\"project_id\":\"#project_id\",\"project_name\":\"#project_name\",\"runtime_id\":\"#runtime_id\",\"runtime_name\":\"#runtime_name\",\"service_name\":\"#service_name\",\"terminus_key\":\"#terminus_key\"},\"window\":1}','{\"alert_group\":\"{{terminus_key}}-{{container_id}}\",\"display_url_id\":\"workbench_runtime\",\"level\":\"WARNING\",\"recover\":\"false\",\"tickets_metric_key\":\"{{container_id}}\"}',0,'2021-05-28 11:55:00','2021-05-28 11:55:01'),(235,'应用实例内存使用率异常','micro_service','app_resource','app_resource_container_mem','{\"filters\":[{\"operator\":\"eq\",\"tag\":\"terminus_key\",\"value\":\"$terminus_key\"},{\"operator\":\"in\",\"tag\":\"application_id\",\"value\":[\"$application_id\"]}],\"functions\":[{\"aggregator\":\"avg\",\"field\":\"mem_usage_percent\",\"operator\":\"gte\",\"value\":90},{\"aggregator\":\"value\",\"field\":\"mem_usage\"},{\"aggregator\":\"value\",\"field\":\"mem_limit\"},{\"aggregator\":\"value\",\"field\":\"mem_max_usage\"}],\"group\":[\"container_id\"],\"metric\":\"docker_container_summary\",\"outputs\":[\"alert\"],\"select\":{\"application_id\":\"#application_id\",\"application_name\":\"#application_name\",\"cluster_name\":\"#cluster_name\",\"container_id\":\"#container_id\",\"host_ip\":\"#host_ip\",\"instance_id\":\"#instance_id\",\"project_id\":\"#project_id\",\"project_name\":\"#project_name\",\"runtime_id\":\"#runtime_id\",\"runtime_name\":\"#runtime_name\",\"service_name\":\"#service_name\",\"terminus_key\":\"#terminus_key\"},\"window\":1}','{\"alert_group\":\"{{terminus_key}}-{{container_id}}\",\"display_url_id\":\"workbench_runtime\",\"level\":\"WARNING\",\"recover\":\"false\",\"tickets_metric_key\":\"{{container_id}}\"}',0,'2021-05-28 11:55:00','2021-05-28 11:55:01'),(236,'应用实例OOM','micro_service','app_resource','app_resource_container_oom','{\"filters\":[{\"operator\":\"eq\",\"tag\":\"terminus_key\",\"value\":\"$terminus_key\"},{\"operator\":\"in\",\"tag\":\"application_id\",\"value\":[\"$application_id\"]}],\"functions\":[{\"aggregator\":\"values\",\"field\":\"oomkilled\",\"operator\":\"contains\",\"value\":true}],\"group\":[\"container_id\"],\"metric\":\"docker_container_summary\",\"outputs\":[\"alert\"],\"select\":{\"application_id\":\"#application_id\",\"application_name\":\"#application_name\",\"cluster_name\":\"#cluster_name\",\"container_id\":\"#container_id\",\"host_ip\":\"#host_ip\",\"instance_id\":\"#instance_id\",\"project_id\":\"#project_id\",\"project_name\":\"#project_name\",\"runtime_id\":\"#runtime_id\",\"runtime_name\":\"#runtime_name\",\"service_name\":\"#service_name\",\"terminus_key\":\"#terminus_key\"},\"window\":1}','{\"alert_group\":\"{{terminus_key}}-{{container_id}}\",\"display_url_id\":\"workbench_runtime\",\"level\":\"WARNING\",\"recover\":\"false\",\"tickets_metric_key\":\"{{container_id}}\"}',0,'2021-05-28 11:55:00','2021-05-28 11:55:01'),(237,'应用JVM GC次数','micro_service','app_resource','app_resource_jvm_gc_count','{\"filters\":[{\"operator\":\"eq\",\"tag\":\"name\",\"value\":\"concurrentmarksweep\"},{\"operator\":\"eq\",\"tag\":\"terminus_key\",\"value\":\"$terminus_key\"},{\"operator\":\"in\",\"tag\":\"application_id\",\"value\":[\"$application_id\"]}],\"functions\":[{\"aggregator\":\"sum\",\"field\":\"count\",\"operator\":\"gte\",\"value\":5}],\"group\":[\"instance_id\"],\"metric\":\"jvm_gc\",\"outputs\":[\"alert\"],\"select\":{\"application_id\":\"#application_id\",\"application_name\":\"#application_name\",\"cluster_name\":\"#cluster_name\",\"host_ip\":\"#host_ip\",\"instance_id\":\"#instance_id\",\"project_id\":\"#project_id\",\"project_name\":\"#project_name\",\"runtime_id\":\"#runtime_id\",\"runtime_name\":\"#runtime_name\",\"service_name\":\"#service_name\",\"terminus_key\":\"#terminus_key\",\"workspace\":\"#workspace\"},\"window\":3}','{\"alert_group\":\"{{terminus_key}}-{{instance_id}}\",\"display_url_id\":\"micro_jvm\",\"level\":\"WARNING\",\"recover\":\"false\",\"tickets_metric_key\":\"{{instance_id}}\"}',0,'2021-05-28 11:55:00','2021-05-28 11:55:01'),(238,'应用JVM GC 耗时','micro_service','app_resource','app_resource_jvm_gc_time','{\"condition\":\"or\",\"filters\":[{\"operator\":\"eq\",\"tag\":\"name\",\"value\":\"concurrentmarksweep\"},{\"operator\":\"eq\",\"tag\":\"terminus_key\",\"value\":\"$terminus_key\"},{\"operator\":\"in\",\"tag\":\"application_id\",\"value\":[\"$application_id\"]}],\"functions\":[{\"aggregator\":\"value\",\"field\":\"time\",\"operator\":\"gte\",\"value\":400},{\"aggregator\":\"sum\",\"field\":\"time\",\"operator\":\"gte\",\"value\":1000}],\"group\":[\"instance_id\"],\"metric\":\"jvm_gc\",\"outputs\":[\"alert\"],\"select\":{\"application_id\":\"#application_id\",\"application_name\":\"#application_name\",\"cluster_name\":\"#cluster_name\",\"host_ip\":\"#host_ip\",\"instance_id\":\"#instance_id\",\"project_id\":\"#project_id\",\"project_name\":\"#project_name\",\"runtime_id\":\"#runtime_id\",\"runtime_name\":\"#runtime_name\",\"service_name\":\"#service_name\",\"terminus_key\":\"#terminus_key\",\"workspace\":\"#workspace\"},\"window\":1}','{\"alert_group\":\"{{terminus_key}}-{{instance_id}}\",\"display_url_id\":\"micro_jvm\",\"level\":\"WARNING\",\"recover\":\"false\",\"tickets_metric_key\":\"{{instance_id}}\"}',0,'2021-05-28 11:55:00','2021-05-28 11:55:01'),(239,'应用JVM堆内存','micro_service','app_resource','app_resource_jvm_heap','{\"condition\":\"and\",\"filters\":[{\"operator\":\"eq\",\"tag\":\"name\",\"value\":\"heap_memory\"},{\"operator\":\"eq\",\"tag\":\"terminus_key\",\"value\":\"$terminus_key\"},{\"operator\":\"in\",\"tag\":\"application_id\",\"value\":[\"$application_id\"]}],\"functions\":[{\"aggregator\":\"avg\",\"field\":\"usage_percent\",\"field_script\":\"function invoke(field, tag){ return field.used / field.max * 100; }\",\"operator\":\"gte\",\"value\":75},{\"aggregator\":\"value\",\"field\":\"used\"},{\"aggregator\":\"value\",\"field\":\"max\"}],\"group\":[\"instance_id\"],\"metric\":\"jvm_memory\",\"outputs\":[\"alert\"],\"select\":{\"application_id\":\"#application_id\",\"application_name\":\"#application_name\",\"cluster_name\":\"#cluster_name\",\"host_ip\":\"#host_ip\",\"instance_id\":\"#instance_id\",\"project_id\":\"#project_id\",\"project_name\":\"#project_name\",\"runtime_id\":\"#runtime_id\",\"runtime_name\":\"#runtime_name\",\"service_name\":\"#service_name\",\"terminus_key\":\"#terminus_key\",\"workspace\":\"#workspace\"},\"window\":1}','{\"alert_group\":\"{{terminus_key}}-{{instance_id}}\",\"display_url_id\":\"micro_jvm\",\"level\":\"WARNING\",\"recover\":\"false\",\"tickets_metric_key\":\"{{instance_id}}\"}',0,'2021-05-28 11:55:00','2021-05-28 11:55:01'),(240,'应用NodeJS堆内存使用率','micro_service','app_resource','app_resource_nodejs_heap','{\"filters\":[{\"operator\":\"eq\",\"tag\":\"terminus_key\",\"value\":\"$terminus_key\"},{\"operator\":\"in\",\"tag\":\"application_id\",\"value\":[\"$application_id\"]}],\"functions\":[{\"aggregator\":\"avg\",\"field\":\"usage_percent\",\"field_script\":\"function invoke(field, tag){ if(!field.max) { return 0; } return field.rss / field.max * 100; }\",\"operator\":\"gte\",\"value\":75},{\"aggregator\":\"value\",\"field\":\"heap_used\"},{\"aggregator\":\"value\",\"field\":\"heap_total\"},{\"aggregator\":\"value\",\"field\":\"rss\"},{\"aggregator\":\"value\",\"field\":\"max\"}],\"group\":[\"instance_id\"],\"metric\":\"nodejs_memory\",\"outputs\":[\"alert\"],\"select\":{\"application_id\":\"#application_id\",\"application_name\":\"#application_name\",\"cluster_name\":\"#cluster_name\",\"host_ip\":\"#host_ip\",\"instance_id\":\"#instance_id\",\"project_id\":\"#project_id\",\"project_name\":\"#project_name\",\"runtime_id\":\"#runtime_id\",\"runtime_name\":\"#runtime_name\",\"service_name\":\"#service_name\",\"terminus_key\":\"#terminus_key\",\"workspace\":\"#workspace\"},\"window\":1}','{\"alert_group\":\"{{terminus_key}}-{{instance_id}}\",\"display_url_id\":\"micro_nodejs\",\"level\":\"WARNING\",\"recover\":\"false\",\"tickets_metric_key\":\"{{instance_id}}\"}',0,'2021-05-28 11:55:00','2021-05-28 11:55:01'),(241,'页面内容改变','micro_service','app_status','app_status_browser','{\"alias\":\"status_page_browser\",\"filters\":[{\"operator\":\"eq\",\"tag\":\"terminus_key\",\"value\":\"$terminus_key\"},{\"operator\":\"eq\",\"tag\":\"type\",\"value\":\"browser\"}],\"functions\":[{\"aggregator\":\"value\",\"field\":\"diff_screenshot\",\"operator\":\"eq\",\"value\":false}],\"group\":[\"metric\"],\"metric\":\"status_page\",\"outputs\":[\"alert\"],\"select\":{\"metric_id\":\"#metric\",\"project_id\":\"#project_id\",\"project_name\":\"#project_name\",\"status_metric_name\":\"#metric_name\",\"terminus_key\":\"#terminus_key\",\"type\":\"#type\",\"url\":\"#url\",\"workspace\":\"#env\"},\"window\":1}','{\"alert_group\":\"{{terminus_key}}-{{metric_id}}\",\"display_url_id\":\"micro_status_detail\",\"level\":\"ERROR\",\"recover\":\"false\",\"tickets_metric_key\":\"{{metric_id}}\"}',0,'2021-05-28 11:55:00','2021-05-28 11:55:01'),(242,'主动监控HTTP状态异常','micro_service','app_status','app_status_code','{\"filters\":[{\"operator\":\"eq\",\"tag\":\"terminus_key\",\"value\":\"$terminus_key\"},{\"operator\":\"eq\",\"tag\":\"type\",\"value\":\"http\"}],\"functions\":[{\"aggregator\":\"sum\",\"field\":\"retry\"},{\"aggregator\":\"min\",\"field\":\"code\",\"operator\":\"gte\",\"value\":400}],\"group\":[\"metric\"],\"metric\":\"status_page\",\"outputs\":[\"alert\"],\"select\":{\"metric_id\":\"#metric\",\"project_id\":\"#project_id\",\"project_name\":\"#project_name\",\"status_metric_name\":\"#metric_name\",\"terminus_key\":\"#terminus_key\",\"type\":\"#type\",\"url\":\"#url\",\"workspace\":\"#env\"},\"window\":1}','{\"alert_group\":\"{{terminus_key}}-{{metric_id}}\",\"display_url_id\":\"micro_status_detail\",\"level\":\"ERROR\",\"recover\":\"true\",\"tickets_metric_key\":\"{{metric_id}}\"}',0,'2021-05-28 11:55:00','2021-05-28 11:55:01'),(243,'服务接口HTTP错误率异常','micro_service','app_transaction','app_transaction_http_path_error','{\"condition\":\"and\",\"filters\":[{\"operator\":\"eq\",\"tag\":\"target_terminus_key\",\"value\":\"$target_terminus_key\"},{\"operator\":\"in\",\"tag\":\"target_application_id\",\"value\":[\"$target_application_id\"]}],\"functions\":[{\"aggregator\":\"sum\",\"field\":\"elapsed_count\",\"operator\":\"gte\",\"value\":10},{\"aggregator\":\"sum\",\"field\":\"error_count\",\"field_script\":\"function invoke(field, tag){ if(field.http_status_code_mean \\u003c 500) { return 0; } return field.elapsed_count; }\"},{\"aggregator\":\"value\",\"field\":\"error_percent\",\"field_script\":\"function invoke(field, tag){ if(!field.elapsed_count_sum) return 0; return field.elapsed_count_sum === 0 ? 0 : (field.error_count_sum / field.elapsed_count_sum * 100);}\",\"operator\":\"gte\",\"trigger\":\"aggregated\",\"value\":50}],\"group\":[\"target_runtime_id\",\"target_service_name\",\"http_path\",\"http_method\"],\"metric\":\"application_http\",\"outputs\":[\"alert\"],\"select\":{\"application_id\":\"#target_application_id\",\"application_name\":\"#target_application_name\",\"http_method\":\"#http_method\",\"http_path\":\"#http_path\",\"http_url\":\"#http_url\",\"project_id\":\"#target_project_id\",\"project_name\":\"#target_project_name\",\"runtime_id\":\"#target_runtime_id\",\"runtime_name\":\"#target_runtime_name\",\"service_name\":\"#target_service_name\",\"terminus_key\":\"#target_terminus_key\",\"workspace\":\"#target_workspace\"},\"window\":1}','{\"alert_group\":\"{{target_terminus_key}}-{{target_runtime_id}}-{{target_service_name}}-{{http_path}}-{{http_method}}\",\"display_url_id\":\"micro_si_web\",\"level\":\"WARNING\",\"recover\":\"false\",\"tickets_metric_key\":\"{{target_application_id}}\"}',0,'2021-05-28 11:55:00','2021-05-28 11:55:01'),(244,'服务接口HTTP慢事务异常','micro_service','app_transaction','app_transaction_http_path_rt','{\"condition\":\"and\",\"filters\":[{\"operator\":\"eq\",\"tag\":\"target_terminus_key\",\"value\":\"$target_terminus_key\"},{\"operator\":\"in\",\"tag\":\"target_application_id\",\"value\":[\"$target_application_id\"]}],\"functions\":[{\"aggregator\":\"sum\",\"field\":\"elapsed\",\"field_script\":\"function invoke(field, tag){ return field.elapsed_sum / 1000000; }\"},{\"aggregator\":\"sum\",\"field\":\"elapsed_count\",\"operator\":\"gte\",\"value\":10},{\"aggregator\":\"value\",\"field\":\"elapsed_avg\",\"field_script\":\"function invoke(field, tag){ if(!field.elapsed_count_sum) return 0; return field.elapsed_count_sum === 0 ? 0 : (field.elapsed_sum / field.elapsed_count_sum);}\",\"operator\":\"gte\",\"trigger\":\"aggregated\",\"value\":3000}],\"group\":[\"target_runtime_id\",\"target_service_name\",\"http_path\",\"http_method\"],\"metric\":\"application_http\",\"outputs\":[\"alert\"],\"select\":{\"application_id\":\"#target_application_id\",\"application_name\":\"#target_application_name\",\"http_method\":\"#http_method\",\"http_path\":\"#http_path\",\"http_url\":\"#http_url\",\"project_id\":\"#target_project_id\",\"project_name\":\"#target_project_name\",\"runtime_id\":\"#target_runtime_id\",\"runtime_name\":\"#target_runtime_name\",\"service_name\":\"#target_service_name\",\"terminus_key\":\"#target_terminus_key\",\"workspace\":\"#target_workspace\"},\"window\":1}','{\"alert_group\":\"{{target_terminus_key}}-{{target_runtime_id}}-{{target_service_name}}-{{http_path}}-{{http_method}}\",\"display_url_id\":\"micro_si_web\",\"level\":\"WARNING\",\"recover\":\"false\",\"tickets_metric_key\":\"{{target_application_id}}\"}',0,'2021-05-28 11:55:00','2021-05-28 11:55:01'),(245,'服务HTTP错误率异常','micro_service','app_transaction','app_transaction_http_service_error','{\"condition\":\"and\",\"filters\":[{\"operator\":\"eq\",\"tag\":\"target_terminus_key\",\"value\":\"$target_terminus_key\"},{\"operator\":\"in\",\"tag\":\"target_application_id\",\"value\":[\"$target_application_id\"]}],\"functions\":[{\"aggregator\":\"sum\",\"field\":\"elapsed_count\"},{\"aggregator\":\"sum\",\"field\":\"error_count\",\"field_script\":\"function invoke(field, tag){ if(field.http_status_code_mean \\u003c 500) { return 0; } return field.elapsed_count; }\"},{\"aggregator\":\"value\",\"field\":\"error_percent\",\"field_script\":\"function invoke(field, tag){ if(!field.elapsed_count_sum) return 0; return field.elapsed_count_sum === 0 ? 0 : (field.error_count_sum / field.elapsed_count_sum * 100);}\",\"operator\":\"gte\",\"trigger\":\"aggregated\",\"value\":30}],\"group\":[\"target_runtime_id\",\"target_service_name\"],\"metric\":\"application_http\",\"outputs\":[\"alert\"],\"select\":{\"application_id\":\"#target_application_id\",\"application_name\":\"#target_application_name\",\"project_id\":\"#target_project_id\",\"project_name\":\"#target_project_name\",\"runtime_id\":\"#target_runtime_id\",\"runtime_name\":\"#target_runtime_name\",\"service_name\":\"#target_service_name\",\"terminus_key\":\"#target_terminus_key\",\"workspace\":\"#target_workspace\"},\"window\":1}','{\"alert_group\":\"{{target_terminus_key}}-{{target_runtime_id}}-{{target_service_name}}\",\"display_url_id\":\"micro_si_web\",\"level\":\"WARNING\",\"recover\":\"true\",\"tickets_metric_key\":\"{{target_application_id}}\"}',0,'2021-05-28 11:55:00','2021-05-28 11:55:01'),(246,'服务HTTP慢事务异常','micro_service','app_transaction','app_transaction_http_service_rt','{\"condition\":\"and\",\"filters\":[{\"operator\":\"eq\",\"tag\":\"target_terminus_key\",\"value\":\"$target_terminus_key\"},{\"operator\":\"in\",\"tag\":\"target_application_id\",\"value\":[\"$target_application_id\"]}],\"functions\":[{\"aggregator\":\"sum\",\"field\":\"elapsed\",\"field_script\":\"function invoke(field, tag){ return field.elapsed_sum / 1000000; }\"},{\"aggregator\":\"sum\",\"field\":\"elapsed_count\"},{\"aggregator\":\"value\",\"field\":\"elapsed_avg\",\"field_script\":\"function invoke(field, tag){ if(!field.elapsed_count_sum) return 0; return field.elapsed_count_sum === 0 ? 0 : (field.elapsed_sum / field.elapsed_count_sum);}\",\"operator\":\"gte\",\"trigger\":\"aggregated\",\"value\":1000}],\"group\":[\"target_runtime_id\",\"target_service_name\"],\"metric\":\"application_http\",\"outputs\":[\"alert\"],\"select\":{\"application_id\":\"#target_application_id\",\"application_name\":\"#target_application_name\",\"project_id\":\"#target_project_id\",\"project_name\":\"#target_project_name\",\"runtime_id\":\"#target_runtime_id\",\"runtime_name\":\"#target_runtime_name\",\"service_name\":\"#target_service_name\",\"terminus_key\":\"#target_terminus_key\",\"workspace\":\"#target_workspace\"},\"window\":1}','{\"alert_group\":\"{{target_terminus_key}}-{{target_runtime_id}}-{{target_service_name}}\",\"display_url_id\":\"micro_si_web\",\"level\":\"WARNING\",\"recover\":\"true\",\"tickets_metric_key\":\"{{target_application_id}}\"}',0,'2021-05-28 11:55:00','2021-05-28 11:55:01'),(247,'平台中间件Cassandra GC次数异常','org','dice_addon','dice_addon_cassandra_gc_count','{\"filters\":[{\"operator\":\"in\",\"tag\":\"cluster_name\",\"value\":[\"$cluster_name\"]},{\"operator\":\"eq\",\"tag\":\"addon_id\",\"value\":\"cassandra\"},{\"operator\":\"like\",\"tag\":\"name\",\"value\":\"Old\"}],\"functions\":[{\"aggregator\":\"min\",\"field\":\"CollectionCount_min\",\"field_script\":\"function invoke(fields,tags){return fields.CollectionCount;}\"},{\"aggregator\":\"max\",\"field\":\"CollectionCount_max\",\"field_script\":\"function invoke(fields,tags){return fields.CollectionCount;}\"},{\"aggregator\":\"value\",\"field\":\"CollectionCount_win\",\"field_script\":\"function invoke(fields,tags){return fields.CollectionCount_max-fields.CollectionCount_min;}\",\"operator\":\"gte\",\"trigger\":\"aggregated\",\"value\":10}],\"group\":[\"cluster_name\",\"node_id\"],\"metrics\":[\"addon_java_GarbageCollector\"],\"outputs\":[\"alert\"],\"select\":{\"addon_id\":\"#addon_id\",\"addon_type\":\"#addon_type\",\"cluster_name\":\"#cluster_name\",\"node_host\":\"#jolokia_host\"},\"window\":3}','{\"alert_group\":\"{{cluster_name}}-{{addon_id}}\",\"display_url_id\":\"org_addon\",\"level\":\"WARNING\",\"recover\":\"false\",\"tickets_metric_key\":\"{{addon_id}}\"}',0,'2021-05-28 11:55:00','2021-05-28 11:55:01'),(248,'平台中间件Cassandra GC耗时异常','org','dice_addon','dice_addon_cassandra_gc_time','{\"filters\":[{\"operator\":\"in\",\"tag\":\"cluster_name\",\"value\":[\"$cluster_name\"]},{\"operator\":\"eq\",\"tag\":\"addon_id\",\"value\":\"cassandra\"},{\"operator\":\"like\",\"tag\":\"name\",\"value\":\"Old\"}],\"functions\":[{\"aggregator\":\"min\",\"field\":\"CollectionTime_min\",\"field_script\":\"function invoke(fields,tags){return fields.CollectionTime;}\"},{\"aggregator\":\"max\",\"field\":\"CollectionTime_max\",\"field_script\":\"function invoke(fields,tags){return fields.CollectionTime;}\"},{\"aggregator\":\"value\",\"field\":\"CollectionTime_win\",\"field_script\":\"function invoke(fields,tags){return fields.CollectionTime_max-fields.CollectionTime_min;}\",\"operator\":\"gte\",\"trigger\":\"aggregated\",\"value\":15000}],\"group\":[\"cluster_name\",\"node_id\"],\"metrics\":[\"addon_java_GarbageCollector\"],\"outputs\":[\"alert\"],\"select\":{\"addon_id\":\"#addon_id\",\"addon_type\":\"#addon_type\",\"cluster_name\":\"#cluster_name\",\"node_host\":\"#jolokia_host\"},\"window\":3}','{\"alert_group\":\"{{cluster_name}}-{{addon_id}}\",\"display_url_id\":\"org_addon\",\"level\":\"WARNING\",\"recover\":\"false\",\"tickets_metric_key\":\"{{addon_id}}\"}',0,'2021-05-28 11:55:00','2021-05-28 11:55:01'),(249,'平台中间件实例CPU状态','org','dice_addon','dice_addon_container_cpu','{\"filters\":[{\"operator\":\"in\",\"tag\":\"cluster_name\",\"value\":[\"$cluster_name\"]},{\"operator\":\"eq\",\"tag\":\"pod_namespace\",\"value\":\"default\"},{\"operator\":\"any\",\"tag\":\"addon_id\"}],\"functions\":[{\"aggregator\":\"avg\",\"field\":\"cpu_usage_percent\",\"field_script\":\"function invoke(fields,tags){return fields.cpu_limit===0?fields.cpu_usage_percent:fields.cpu_usage_percent/fields.cpu_limit}\",\"operator\":\"gte\",\"value\":95},{\"aggregator\":\"value\",\"field\":\"cpu_limit\"},{\"aggregator\":\"value\",\"field\":\"cpu_allocation\"}],\"group\":[\"cluster_name\",\"container_id\"],\"metrics\":[\"docker_container_summary\"],\"outputs\":[\"alert\"],\"select\":{\"addon_id\":\"#addon_id\",\"cluster_name\":\"#cluster_name\",\"container_id\":\"#container_id\",\"host_ip\":\"#host_ip\",\"pod_name\":\"#pod_name\",\"pod_namespace\":\"#pod_namespace\"},\"window\":2}','{\"alert_group\":\"{{cluster_name}}-{{container_id}}\",\"level\":\"WARNING\",\"recover\":\"false\",\"tickets_metric_key\":\"{{container_id}}\"}',0,'2021-05-28 11:55:00','2021-05-28 11:55:01'),(250,'平台中间件异常退出','org','dice_addon','dice_addon_container_exit','{\"filters\":[{\"operator\":\"in\",\"tag\":\"cluster_name\",\"value\":[\"$cluster_name\"]},{\"operator\":\"eq\",\"tag\":\"pod_namespace\",\"value\":\"default\"},{\"operator\":\"any\",\"tag\":\"addon_id\"}],\"functions\":[{\"aggregator\":\"max\",\"field\":\"exitcode\",\"operator\":\"gt\",\"value\":0},{\"aggregator\":\"value\",\"field\":\"terminated_reason\",\"field_script\":\"function invoke(fields,tags){if(fields.oomkilled) return \'Out Of Memory\';return \'Error Exit Code \'+fields.exitcode;}\"},{\"aggregator\":\"value\",\"field\":\"finished_at\",\"field_script\":\"function invoke(fields,tags){if(fields.finished_at!=null\\u0026\\u0026fields.finished_at!=undefined) return fields.finished_at/1000000;return \'-\'}\"},{\"aggregator\":\"value\",\"field\":\"started_at\",\"field_script\":\"function invoke(fields,tags){if(fields.started_at!=null\\u0026\\u0026fields.started_at!=undefined) return fields.started_at/1000000;return \'-\'}\"},{\"aggregator\":\"value\",\"field\":\"pid\"}],\"group\":[\"cluster_name\",\"pod_namespace\",\"pod_name\"],\"metrics\":[\"docker_container_summary\"],\"outputs\":[\"alert\"],\"select\":{\"addon_id\":\"#addon_id\",\"cluster_name\":\"#cluster_name\",\"container_id\":\"#container_id\",\"host_ip\":\"#host_ip\",\"pod_name\":\"#pod_name\",\"pod_namespace\":\"#pod_namespace\"},\"window\":1}','{\"alert_group\":\"{{cluster_name}}-{{container_id}}\",\"display_url_id\":\"org_pod\",\"level\":\"WARNING\",\"recover\":\"false\",\"tickets_metric_key\":\"{{container_id}}\"}',0,'2021-05-28 11:55:00','2021-05-28 11:55:01'),(251,'平台中间件实例内存状态','org','dice_addon','dice_addon_container_mem','{\"filters\":[{\"operator\":\"in\",\"tag\":\"cluster_name\",\"value\":[\"$cluster_name\"]},{\"operator\":\"eq\",\"tag\":\"pod_namespace\",\"value\":\"default\"},{\"operator\":\"any\",\"tag\":\"addon_id\"}],\"functions\":[{\"aggregator\":\"avg\",\"field\":\"mem_usage_percent\",\"operator\":\"gt\",\"value\":80},{\"aggregator\":\"value\",\"field\":\"mem_usage\"},{\"aggregator\":\"value\",\"field\":\"mem_limit\"},{\"aggregator\":\"value\",\"field\":\"mem_max_usage\"},{\"aggregator\":\"value\",\"field\":\"mem_allocation\"}],\"group\":[\"cluster_name\",\"container_id\"],\"metrics\":[\"docker_container_summary\"],\"outputs\":[\"alert\"],\"select\":{\"addon_id\":\"#addon_id\",\"cluster_name\":\"#cluster_name\",\"container_id\":\"#container_id\",\"host_ip\":\"#host_ip\",\"pod_name\":\"#pod_name\",\"pod_namespace\":\"#pod_namespace\"},\"window\":2}','{\"alert_group\":\"{{cluster_name}}-{{container_id}}\",\"level\":\"WARNING\",\"recover\":\"false\",\"tickets_metric_key\":\"{{container_id}}\"}',0,'2021-05-28 11:55:00','2021-05-28 11:55:01'),(252,'平台中间件实例Ready状态异常','org','dice_addon','dice_addon_container_ready','{\"filters\":[{\"operator\":\"in\",\"tag\":\"cluster_name\",\"value\":[\"$cluster_name\"]},{\"operator\":\"eq\",\"tag\":\"namespace\",\"value\":\"default\"},{\"operator\":\"any\",\"tag\":\"addon_id\"}],\"functions\":[{\"aggregator\":\"avg\",\"field\":\"not_ready_avg\",\"field_script\":\"function invoke(fields,tags){if(tags.daemonset_name){return fields.number_unavailable}else{if(tags.statefulset_name){return fields.replicas-fields.replicas_ready}else{if(tags.deployment_name){return fields.replicas_unavailable}}}return 0}\",\"operator\":\"gt\",\"value\":0},{\"aggregator\":\"value\",\"field\":\"not_ready\",\"field_script\":\"function invoke(fields,tags){if(tags.daemonset_name){return fields.number_unavailable}else{if(tags.statefulset_name){return fields.replicas-fields.replicas_ready}else{if(tags.deployment_name){return fields.replicas_unavailable}}}return 0}\"},{\"aggregator\":\"value\",\"field\":\"ready\",\"field_script\":\"function invoke(fields,tags){if(tags.daemonset_name){return fields.number_available}else{if(tags.statefulset_name){return fields.replicas_ready}else{if(tags.deployment_name){return fields.replicas_available}}}return 0}\"},{\"aggregator\":\"value\",\"field\":\"total\",\"field_script\":\"function invoke(fields,tags){if(tags.daemonset_name){return fields.number_unavailable+fields.number_available}else{if(tags.statefulset_name){return fields.replicas}else{if(tags.deployment_name){return fields.replicas_unavailable+fields.replicas_available}}}return 0}\"},{\"aggregator\":\"value\",\"field\":\"resource_name\",\"field_script\":\"function invoke(fields,tags){if(tags.daemonset_name){return tags.daemonset_name}else{if(tags.statefulset_name){return tags.statefulset_name}else{if(tags.deployment_name){return tags.deployment_name}}}return null};\"}],\"group\":[\"cluster_name\",\"namespace\",\"daemonset_name\",\"statefulset_name\",\"deployment_name\"],\"metrics\":[\"kubernetes_daemonset\",\"kubernetes_statefulset\",\"kubernetes_deployment\"],\"outputs\":[\"alert\"],\"select\":{\"addon_id\":\"#addon_id\",\"cluster_name\":\"#cluster_name\",\"daemonset_name\":\"#daemonset_name\",\"deployment_name\":\"#deployment_name\",\"namespace\":\"#namespace\",\"statefulset_name\":\"#statefulset_name\"},\"window\":1}','{\"alert_group\":\"{{cluster_name}}-{{daemonset_name}}-{{statefulset_name}}-{{deployment_name}}\",\"level\":\"WARNING\",\"recover\":\"false\",\"tickets_metric_key\":\"{{daemonset_name}}-{{statefulset_name}}-{{deployment_name}}\"}',0,'2021-05-28 11:55:00','2021-05-28 11:55:01'),(253,'平台中间件Elasticsearch GC次数异常','org','dice_addon','dice_addon_elasticsearch_gc_count','{\"filters\":[{\"operator\":\"in\",\"tag\":\"cluster_name\",\"value\":[\"$cluster_name\"]},{\"operator\":\"eq\",\"tag\":\"addon_id\",\"value\":\"elasticsearch\"}],\"functions\":[{\"aggregator\":\"min\",\"field\":\"gc_collectors_old_collection_count_min\",\"field_script\":\"function invoke(fields,tags){return fields.gc_collectors_old_collection_count;}\"},{\"aggregator\":\"max\",\"field\":\"gc_collectors_old_collection_count_max\",\"field_script\":\"function invoke(fields,tags){return fields.gc_collectors_old_collection_count;}\"},{\"aggregator\":\"value\",\"field\":\"gc_collectors_old_collection_count_win\",\"field_script\":\"function invoke(fields,tags){return fields.gc_collectors_old_collection_count_max-fields.gc_collectors_old_collection_count_min;}\",\"operator\":\"gte\",\"trigger\":\"aggregated\",\"value\":10}],\"group\":[\"cluster_name\",\"node_id\"],\"metrics\":[\"elasticsearch_jvm\"],\"outputs\":[\"alert\"],\"select\":{\"addon_id\":\"#addon_id\",\"addon_type\":\"#addon_type\",\"cluster_name\":\"#cluster_name\",\"node_host\":\"#node_host\",\"node_id\":\"#node_id\",\"node_name\":\"#node_name\"},\"window\":3}','{\"alert_group\":\"{{cluster_name}}-{{addon_id}}\",\"display_url_id\":\"org_addon\",\"level\":\"WARNING\",\"recover\":\"false\",\"tickets_metric_key\":\"{{addon_id}}\"}',0,'2021-05-28 11:55:00','2021-05-28 11:55:01'),(254,'平台中间件Elasticsearch GC耗时异常','org','dice_addon','dice_addon_elasticsearch_gc_time','{\"filters\":[{\"operator\":\"in\",\"tag\":\"cluster_name\",\"value\":[\"$cluster_name\"]},{\"operator\":\"eq\",\"tag\":\"addon_id\",\"value\":\"elasticsearch\"}],\"functions\":[{\"aggregator\":\"min\",\"field\":\"gc_collectors_old_collection_time_in_millis_min\",\"field_script\":\"function invoke(fields,tags){return fields.gc_collectors_old_collection_time_in_millis;}\"},{\"aggregator\":\"max\",\"field\":\"gc_collectors_old_collection_time_in_millis_max\",\"field_script\":\"function invoke(fields,tags){return fields.gc_collectors_old_collection_time_in_millis;}\"},{\"aggregator\":\"value\",\"field\":\"gc_collectors_old_collection_time_in_millis_win\",\"field_script\":\"function invoke(fields,tags){return fields.gc_collectors_old_collection_time_in_millis_max-fields.gc_collectors_old_collection_time_in_millis_min;}\",\"operator\":\"gte\",\"trigger\":\"aggregated\",\"value\":15000}],\"group\":[\"cluster_name\",\"node_id\"],\"metrics\":[\"elasticsearch_jvm\"],\"outputs\":[\"alert\"],\"select\":{\"addon_id\":\"#addon_id\",\"addon_type\":\"#addon_type\",\"cluster_name\":\"#cluster_name\",\"node_host\":\"#node_host\",\"node_id\":\"#node_id\",\"node_name\":\"#node_name\"},\"window\":3}','{\"alert_group\":\"{{cluster_name}}-{{addon_id}}\",\"display_url_id\":\"org_addon\",\"level\":\"WARNING\",\"recover\":\"false\",\"tickets_metric_key\":\"{{addon_id}}\"}',0,'2021-05-28 11:55:00','2021-05-28 11:55:01'),(255,'平台中间件Kafka GC次数异常','org','dice_addon','dice_addon_kafka_gc_count','{\"filters\":[{\"operator\":\"in\",\"tag\":\"cluster_name\",\"value\":[\"$cluster_name\"]},{\"operator\":\"eq\",\"tag\":\"addon_id\",\"value\":\"kafka\"},{\"operator\":\"like\",\"tag\":\"name\",\"value\":\"Old\"}],\"functions\":[{\"aggregator\":\"min\",\"field\":\"CollectionCount_min\",\"field_script\":\"function invoke(fields,tags){return fields.CollectionCount;}\"},{\"aggregator\":\"max\",\"field\":\"CollectionCount_max\",\"field_script\":\"function invoke(fields,tags){return fields.CollectionCount;}\"},{\"aggregator\":\"value\",\"field\":\"CollectionCount_win\",\"field_script\":\"function invoke(fields,tags){return fields.CollectionCount_max-fields.CollectionCount_min;}\",\"operator\":\"gte\",\"trigger\":\"aggregated\",\"value\":10}],\"group\":[\"cluster_name\",\"node_id\"],\"metrics\":[\"addon_java_GarbageCollector\"],\"outputs\":[\"alert\"],\"select\":{\"addon_id\":\"#addon_id\",\"addon_type\":\"#addon_type\",\"cluster_name\":\"#cluster_name\",\"node_host\":\"#jolokia_host\"},\"window\":3}','{\"alert_group\":\"{{cluster_name}}-{{addon_id}}\",\"display_url_id\":\"org_addon\",\"level\":\"WARNING\",\"recover\":\"false\",\"tickets_metric_key\":\"{{addon_id}}\"}',0,'2021-05-28 11:55:00','2021-05-28 11:55:01'),(256,'平台中间件Kafka GC耗时异常','org','dice_addon','dice_addon_kafka_gc_time','{\"filters\":[{\"operator\":\"in\",\"tag\":\"cluster_name\",\"value\":[\"$cluster_name\"]},{\"operator\":\"eq\",\"tag\":\"addon_id\",\"value\":\"kafka\"},{\"operator\":\"like\",\"tag\":\"name\",\"value\":\"Old\"}],\"functions\":[{\"aggregator\":\"min\",\"field\":\"CollectionTime_min\",\"field_script\":\"function invoke(fields,tags){return fields.CollectionTime;}\"},{\"aggregator\":\"max\",\"field\":\"CollectionTime_max\",\"field_script\":\"function invoke(fields,tags){return fields.CollectionTime;}\"},{\"aggregator\":\"value\",\"field\":\"CollectionTime_win\",\"field_script\":\"function invoke(fields,tags){return fields.CollectionTime_max-fields.CollectionTime_min;}\",\"operator\":\"gte\",\"trigger\":\"aggregated\",\"value\":15000}],\"group\":[\"cluster_name\",\"node_id\"],\"metrics\":[\"addon_java_GarbageCollector\"],\"outputs\":[\"alert\"],\"select\":{\"addon_id\":\"#addon_id\",\"addon_type\":\"#addon_type\",\"cluster_name\":\"#cluster_name\",\"node_host\":\"#jolokia_host\"},\"window\":3}','{\"alert_group\":\"{{cluster_name}}-{{addon_id}}\",\"display_url_id\":\"org_addon\",\"level\":\"WARNING\",\"recover\":\"false\",\"tickets_metric_key\":\"{{addon_id}}\"}',0,'2021-05-28 11:55:00','2021-05-28 11:55:01'),(257,'平台中间件kafka消费堆积','org','dice_addon','dice_addon_kafka_lag','{\"filters\":[{\"operator\":\"in\",\"tag\":\"cluster_name\",\"value\":[\"$cluster_name\"]},{\"operator\":\"eq\",\"tag\":\"addon_id\",\"value\":\"kafka\"}],\"functions\":[{\"aggregator\":\"avg\",\"field\":\"lag\",\"operator\":\"gte\",\"value\":100000},{\"aggregator\":\"avg\",\"field\":\"consume_rate_per_sec\"},{\"aggregator\":\"avg\",\"field\":\"produce_rate_per_sec\"}],\"group\":[\"cluster_name\",\"addon_id\",\"group\",\"topic\"],\"metrics\":[\"kafka_consumer\"],\"outputs\":[\"alert\"],\"select\":{\"addon_id\":\"#addon_id\",\"addon_type\":\"#addon_type\",\"cluster_name\":\"#cluster_name\",\"group\":\"#group\",\"topic\":\"#topic\"},\"window\":3}','{\"alert_group\":\"{{cluster_name}}-{{group}}-{{topic}}\",\"display_url_id\":\"org_addon\",\"level\":\"WARNING\",\"recover\":\"false\",\"tickets_metric_key\":\"{{group}}-{{topic}}\"}',0,'2021-05-28 11:55:00','2021-05-28 11:55:01'),(258,'平台组件实例CPU状态','org','dice_component','dice_component_container_cpu','{\"filters\":[{\"operator\":\"in\",\"tag\":\"cluster_name\",\"value\":[\"$cluster_name\"]},{\"operator\":\"eq\",\"tag\":\"pod_namespace\",\"value\":\"default\"},{\"operator\":\"any\",\"tag\":\"component_name\"}],\"functions\":[{\"aggregator\":\"avg\",\"field\":\"cpu_usage_percent\",\"field_script\":\"function invoke(fields,tags){return fields.cpu_limit===0?fields.cpu_usage_percent:fields.cpu_usage_percent/fields.cpu_limit}\",\"operator\":\"gte\",\"value\":95},{\"aggregator\":\"value\",\"field\":\"cpu_limit\"},{\"aggregator\":\"value\",\"field\":\"cpu_allocation\"}],\"group\":[\"cluster_name\",\"container_id\"],\"metrics\":[\"docker_container_summary\"],\"outputs\":[\"alert\"],\"select\":{\"cluster_name\":\"#cluster_name\",\"component_name\":\"#component_name\",\"container_id\":\"#container_id\",\"host_ip\":\"#host_ip\",\"pod_name\":\"#pod_name\",\"pod_namespace\":\"#pod_namespace\"},\"window\":2}','{\"alert_group\":\"{{cluster_name}}-{{container_id}}\",\"level\":\"WARNING\",\"recover\":\"false\",\"tickets_metric_key\":\"{{container_id}}\"}',0,'2021-05-28 11:55:00','2021-05-28 11:55:01'),(259,'平台组件异常退出','org','dice_component','dice_component_container_exit','{\"filters\":[{\"operator\":\"in\",\"tag\":\"cluster_name\",\"value\":[\"$cluster_name\"]},{\"operator\":\"eq\",\"tag\":\"pod_namespace\",\"value\":\"default\"},{\"operator\":\"any\",\"tag\":\"component_name\"}],\"functions\":[{\"aggregator\":\"max\",\"field\":\"exitcode\",\"operator\":\"gt\",\"value\":0},{\"aggregator\":\"value\",\"field\":\"terminated_reason\",\"field_script\":\"function invoke(fields,tags){if(fields.oomkilled) return \'Out Of Memory\';return \'Error Exit Code \'+fields.exitcode;}\"},{\"aggregator\":\"value\",\"field\":\"finished_at\",\"field_script\":\"function invoke(fields,tags){if(fields.finished_at!=null\\u0026\\u0026fields.finished_at!=undefined) return fields.finished_at/1000000;return \'-\'}\"},{\"aggregator\":\"value\",\"field\":\"started_at\",\"field_script\":\"function invoke(fields,tags){if(fields.started_at!=null\\u0026\\u0026fields.started_at!=undefined) return fields.started_at/1000000;return \'-\'}\"},{\"aggregator\":\"value\",\"field\":\"pid\"}],\"group\":[\"cluster_name\",\"container_id\"],\"metrics\":[\"docker_container_summary\"],\"outputs\":[\"alert\"],\"select\":{\"cluster_name\":\"#cluster_name\",\"component_name\":\"#component_name\",\"container_id\":\"#container_id\",\"host_ip\":\"#host_ip\",\"pod_name\":\"#pod_name\",\"pod_namespace\":\"#pod_namespace\"},\"window\":1}','{\"alert_group\":\"{{cluster_name}}-{{container_id}}\",\"display_url_id\":\"org_pod\",\"level\":\"WARNING\",\"recover\":\"false\",\"tickets_metric_key\":\"{{container_id}}\"}',0,'2021-05-28 11:55:00','2021-05-28 11:55:01'),(260,'平台组件实例内存状态','org','dice_component','dice_component_container_mem','{\"filters\":[{\"operator\":\"in\",\"tag\":\"cluster_name\",\"value\":[\"$cluster_name\"]},{\"operator\":\"eq\",\"tag\":\"pod_namespace\",\"value\":\"default\"},{\"operator\":\"any\",\"tag\":\"component_name\"}],\"functions\":[{\"aggregator\":\"avg\",\"field\":\"mem_usage_percent\",\"operator\":\"gt\",\"value\":70},{\"aggregator\":\"value\",\"field\":\"mem_usage\"},{\"aggregator\":\"value\",\"field\":\"mem_limit\"},{\"aggregator\":\"value\",\"field\":\"mem_max_usage\"},{\"aggregator\":\"value\",\"field\":\"mem_allocation\"}],\"group\":[\"cluster_name\",\"container_id\"],\"metrics\":[\"docker_container_summary\"],\"outputs\":[\"alert\"],\"select\":{\"cluster_name\":\"#cluster_name\",\"component_name\":\"#component_name\",\"container_id\":\"#container_id\",\"host_ip\":\"#host_ip\",\"pod_name\":\"#pod_name\",\"pod_namespace\":\"#pod_namespace\"},\"window\":2}','{\"alert_group\":\"{{cluster_name}}-{{container_id}}\",\"level\":\"WARNING\",\"recover\":\"false\",\"tickets_metric_key\":\"{{container_id}}\"}',0,'2021-05-28 11:55:00','2021-05-28 11:55:01'),(261,'平台组件实例Ready状态异常','org','dice_component','dice_component_container_ready','{\"filters\":[{\"operator\":\"in\",\"tag\":\"cluster_name\",\"value\":[\"$cluster_name\"]},{\"operator\":\"eq\",\"tag\":\"namespace\",\"value\":\"default\"},{\"operator\":\"any\",\"tag\":\"component_name\"}],\"functions\":[{\"aggregator\":\"avg\",\"field\":\"not_ready_avg\",\"field_script\":\"function invoke(fields,tags){if(tags.daemonset_name){return fields.number_unavailable}else{if(tags.statefulset_name){return fields.replicas-fields.replicas_ready}else{if(tags.deployment_name){return fields.replicas_unavailable}}}return 0}\",\"operator\":\"gt\",\"value\":0},{\"aggregator\":\"value\",\"field\":\"not_ready\",\"field_script\":\"function invoke(fields,tags){if(tags.daemonset_name){return fields.number_unavailable}else{if(tags.statefulset_name){return fields.replicas-fields.replicas_ready}else{if(tags.deployment_name){return fields.replicas_unavailable}}}return 0}\"},{\"aggregator\":\"value\",\"field\":\"ready\",\"field_script\":\"function invoke(fields,tags){if(tags.daemonset_name){return fields.number_available}else{if(tags.statefulset_name){return fields.replicas_ready}else{if(tags.deployment_name){return fields.replicas_available}}}return 0}\"},{\"aggregator\":\"value\",\"field\":\"total\",\"field_script\":\"function invoke(fields,tags){if(tags.daemonset_name){return fields.number_unavailable+fields.number_available}else{if(tags.statefulset_name){return fields.replicas}else{if(tags.deployment_name){return fields.replicas_unavailable+fields.replicas_available}}}return 0}\"},{\"aggregator\":\"value\",\"field\":\"resource_name\",\"field_script\":\"function invoke(fields,tags){if(tags.daemonset_name){return tags.daemonset_name}else{if(tags.statefulset_name){return tags.statefulset_name}else{if(tags.deployment_name){return tags.deployment_name}}}return null};\"}],\"group\":[\"cluster_name\",\"namespace\",\"daemonset_name\",\"statefulset_name\",\"deployment_name\"],\"metrics\":[\"kubernetes_daemonset\",\"kubernetes_statefulset\",\"kubernetes_deployment\"],\"outputs\":[\"alert\"],\"select\":{\"cluster_name\":\"#cluster_name\",\"component_name\":\"#component_name\",\"daemonset_name\":\"#daemonset_name\",\"deployment_name\":\"#deployment_name\",\"namespace\":\"#namespace\",\"statefulset_name\":\"#statefulset_name\"},\"window\":3}','{\"alert_group\":\"{{cluster_name}}-{{daemonset_name}}-{{statefulset_name}}-{{deployment_name}}\",\"level\":\"WARNING\",\"recover\":\"false\",\"tickets_metric_key\":\"{{daemonset_name}}-{{statefulset_name}}-{{deployment_name}}\"}',0,'2021-05-28 11:55:00','2021-05-28 11:55:01'),(262,'平台组件Flink任务checkpoint延迟异常告警','org','dice_component','dice_component_flink_checkpoint_duration','{\"filters\":[{\"operator\":\"in\",\"tag\":\"cluster_name\",\"value\":[\"$cluster_name\"]}],\"functions\":[{\"aggregator\":\"value\",\"field\":\"lastCheckpointDuration\",\"operator\":\"gte\",\"value\":3000}],\"group\":[\"cluster_name\",\"container_id\",\"job_id\"],\"metric\":\"flink_jm_job\",\"outputs\":[\"alert\"],\"select\":{\"cluster_name\":\"#cluster_name\",\"host_ip\":\"#host_ip\",\"job_id\":\"#job_id\"},\"window\":1}','{\"alert_group\":\"{{cluster_name}}-{{container_id}}-{{job_id}}\",\"level\":\"WARNING\",\"recover\":\"false\",\"tickets_metric_key\":\"{{container_id}}-{{job_id}}\"}',0,'2021-05-28 11:55:00','2021-05-28 11:55:01'),(263,'平台组件Flink吞吐量异常告警','org','dice_component','dice_component_flink_throughput','{\"filters\":[{\"operator\":\"in\",\"tag\":\"cluster_name\",\"value\":[\"$cluster_name\"]}],\"functions\":[{\"aggregator\":\"value\",\"field\":\"numRecordsOutPerSecond_count\",\"operator\":\"eq\",\"value\":0}],\"group\":[\"cluster_name\",\"container_id\",\"job_id\",\"task_id\",\"subtask_index\",\"operator_id\"],\"metric\":\"flink_tm_operator\",\"outputs\":[\"alert\"],\"select\":{\"cluster_name\":\"#cluster_name\",\"host_ip\":\"#host_ip\",\"job_id\":\"#job_id\",\"operator_id\":\"#operator_id\",\"subtask_index\":\"#subtask_index\",\"tm_id\":\"#tm_id\"},\"window\":1}','{\"alert_group\":\"{{cluster_name}}-{{container_id}}-{{job_id}}\",\"level\":\"WARNING\",\"recover\":\"false\",\"tickets_metric_key\":\"{{container_id}}-{{job_id}}\"}',0,'2021-05-28 11:55:00','2021-05-28 11:55:01'),(264,'平台组件网盘不可用告警','org','dice_component','dice_component_gfs_status','{\"filters\":[{\"operator\":\"in\",\"tag\":\"cluster_name\",\"value\":[\"$cluster_name\"]}],\"functions\":[{\"aggregator\":\"values\",\"field\":\"status\",\"operator\":\"all\",\"value\":\"Disconnected\"}],\"group\":[\"cluster_name\",\"host_ip\"],\"metric\":\"glusterfs\",\"outputs\":[\"alert\"],\"select\":{\"cluster_name\":\"#cluster_name\",\"component_name\":\"#component_name\",\"host_ip\":\"#host_ip\",\"node_uuid\":\"#node_uuid\"},\"window\":5}','{\"alert_group\":\"{{cluster_name}}\",\"level\":\"WARNING\",\"recover\":\"false\",\"tickets_metric_key\":\"{{cluster_name}}\"}',0,'2021-05-28 11:55:00','2021-05-28 11:55:01'),(265,'kubernetes组件实例CPU状态','org','kubernetes','kubernetes_instance_cpu','{\"filters\":[{\"operator\":\"in\",\"tag\":\"cluster_name\",\"value\":[\"$cluster_name\"]},{\"operator\":\"eq\",\"tag\":\"pod_namespace\",\"value\":\"kube-system\"}],\"functions\":[{\"aggregator\":\"avg\",\"field\":\"cpu_usage_percent\",\"field_script\":\"function invoke(fields,tags){return fields.cpu_limit===0?fields.cpu_usage_percent:fields.cpu_usage_percent/fields.cpu_limit}\",\"operator\":\"gte\",\"value\":95},{\"aggregator\":\"value\",\"field\":\"cpu_limit\"},{\"aggregator\":\"value\",\"field\":\"cpu_allocation\"}],\"group\":[\"cluster_name\",\"container_id\"],\"metrics\":[\"docker_container_summary\"],\"outputs\":[\"alert\"],\"select\":{\"cluster_name\":\"#cluster_name\",\"container_id\":\"#container_id\",\"host_ip\":\"#host_ip\",\"pod_name\":\"#pod_name\",\"pod_namespace\":\"#pod_namespace\"},\"window\":2}','{\"alert_group\":\"{{cluster_name}}-{{container_id}}\",\"level\":\"WARNING\",\"recover\":\"false\",\"tickets_metric_key\":\"{{container_id}}\"}',0,'2021-05-28 11:55:00','2021-05-28 11:55:01'),(266,'kubernetes组件异常退出','org','kubernetes','kubernetes_instance_exit','{\"filters\":[{\"operator\":\"in\",\"tag\":\"cluster_name\",\"value\":[\"$cluster_name\"]},{\"operator\":\"eq\",\"tag\":\"pod_namespace\",\"value\":\"kube-system\"}],\"functions\":[{\"aggregator\":\"max\",\"field\":\"exitcode\",\"operator\":\"gt\",\"value\":0},{\"aggregator\":\"value\",\"field\":\"terminated_reason\",\"field_script\":\"function invoke(fields,tags){if(fields.oomkilled) return \'Out Of Memory\';return \'Error Exit Code \'+fields.exitcode;}\"},{\"aggregator\":\"value\",\"field\":\"finished_at\",\"field_script\":\"function invoke(fields,tags){if(fields.finished_at!=null\\u0026\\u0026fields.finished_at!=undefined) return fields.finished_at/1000000;return \'-\'}\"},{\"aggregator\":\"value\",\"field\":\"started_at\",\"field_script\":\"function invoke(fields,tags){if(fields.started_at!=null\\u0026\\u0026fields.started_at!=undefined) return fields.started_at/1000000;return \'-\'}\"},{\"aggregator\":\"value\",\"field\":\"pid\"}],\"group\":[\"cluster_name\",\"pod_namespace\",\"pod_name\"],\"metrics\":[\"docker_container_summary\"],\"outputs\":[\"alert\"],\"select\":{\"cluster_name\":\"#cluster_name\",\"component_name\":\"#component_name\",\"container_id\":\"#container_id\",\"host_ip\":\"#host_ip\",\"pod_name\":\"#pod_name\",\"pod_namespace\":\"#pod_namespace\"},\"window\":1}','{\"alert_group\":\"{{cluster_name}}-{{container_id}}\",\"display_url_id\":\"org_pod\",\"level\":\"WARNING\",\"recover\":\"false\",\"tickets_metric_key\":\"{{container_id}}\"}',0,'2021-05-28 11:55:00','2021-05-28 11:55:01'),(267,'kubernetes组件实例内存状态','org','kubernetes','kubernetes_instance_mem','{\"filters\":[{\"operator\":\"in\",\"tag\":\"cluster_name\",\"value\":[\"$cluster_name\"]},{\"operator\":\"eq\",\"tag\":\"pod_namespace\",\"value\":\"kube-system\"}],\"functions\":[{\"aggregator\":\"avg\",\"field\":\"mem_usage_percent\",\"operator\":\"gt\",\"value\":70},{\"aggregator\":\"value\",\"field\":\"mem_usage\"},{\"aggregator\":\"value\",\"field\":\"mem_limit\"},{\"aggregator\":\"value\",\"field\":\"mem_max_usage\"},{\"aggregator\":\"value\",\"field\":\"mem_allocation\"}],\"group\":[\"cluster_name\",\"container_id\"],\"metrics\":[\"docker_container_summary\"],\"outputs\":[\"alert\"],\"select\":{\"cluster_name\":\"#cluster_name\",\"container_id\":\"#container_id\",\"host_ip\":\"#host_ip\",\"pod_name\":\"#pod_name\",\"pod_namespace\":\"#pod_namespace\"},\"window\":2}','{\"alert_group\":\"{{cluster_name}}-{{container_id}}\",\"level\":\"WARNING\",\"recover\":\"false\",\"tickets_metric_key\":\"{{container_id}}\"}',0,'2021-05-28 11:55:00','2021-05-28 11:55:01'),(268,'kubernetes组件实例Ready状态异常','org','kubernetes','kubernetes_instance_ready','{\"filters\":[{\"operator\":\"in\",\"tag\":\"cluster_name\",\"value\":[\"$cluster_name\"]},{\"operator\":\"eq\",\"tag\":\"namespace\",\"value\":\"kube-system\"}],\"functions\":[{\"aggregator\":\"avg\",\"field\":\"not_ready_avg\",\"field_script\":\"function invoke(fields,tags){if(tags.daemonset_name){return fields.number_unavailable}else{if(tags.statefulset_name){return fields.replicas-fields.replicas_ready}else{if(tags.deployment_name){return fields.replicas_unavailable}}}return 0}\",\"operator\":\"gt\",\"value\":0},{\"aggregator\":\"value\",\"field\":\"not_ready\",\"field_script\":\"function invoke(fields,tags){if(tags.daemonset_name){return fields.number_unavailable}else{if(tags.statefulset_name){return fields.replicas-fields.replicas_ready}else{if(tags.deployment_name){return fields.replicas_unavailable}}}return 0}\"},{\"aggregator\":\"value\",\"field\":\"ready\",\"field_script\":\"function invoke(fields,tags){if(tags.daemonset_name){return fields.number_available}else{if(tags.statefulset_name){return fields.replicas_ready}else{if(tags.deployment_name){return fields.replicas_available}}}return 0}\"},{\"aggregator\":\"value\",\"field\":\"total\",\"field_script\":\"function invoke(fields,tags){if(tags.daemonset_name){return fields.number_unavailable+fields.number_available}else{if(tags.statefulset_name){return fields.replicas}else{if(tags.deployment_name){return fields.replicas_unavailable+fields.replicas_available}}}return 0}\"},{\"aggregator\":\"value\",\"field\":\"resource_name\",\"field_script\":\"function invoke(fields,tags){if(tags.daemonset_name){return tags.daemonset_name}else{if(tags.statefulset_name){return tags.statefulset_name}else{if(tags.deployment_name){return tags.deployment_name}}}return null};\"}],\"group\":[\"cluster_name\",\"namespace\",\"daemonset_name\",\"statefulset_name\",\"deployment_name\"],\"metrics\":[\"kubernetes_daemonset\",\"kubernetes_statefulset\",\"kubernetes_deployment\"],\"outputs\":[\"alert\"],\"select\":{\"cluster_name\":\"#cluster_name\",\"daemonset_name\":\"#daemonset_name\",\"deployment_name\":\"#deployment_name\",\"namespace\":\"#namespace\",\"statefulset_name\":\"#statefulset_name\"},\"window\":1}','{\"alert_group\":\"{{cluster_name}}-{{daemonset_name}}-{{statefulset_name}}-{{deployment_name}}\",\"level\":\"WARNING\",\"recover\":\"false\",\"tickets_metric_key\":\"{{daemonset_name}}-{{statefulset_name}}-{{deployment_name}}\"}',0,'2021-05-28 11:55:00','2021-05-28 11:55:01'),(269,'kubernetes节点异常','org','kubernetes','kubernetes_node','{\"filters\":[{\"operator\":\"in\",\"tag\":\"cluster_name\",\"value\":[\"$cluster_name\"]},{\"operator\":\"neq\",\"tag\":\"offline\",\"value\":\"true\"}],\"functions\":[{\"aggregator\":\"values\",\"field\":\"ready\",\"operator\":\"all\",\"value\":false},{\"aggregator\":\"value\",\"field\":\"allocatable_pods\"},{\"aggregator\":\"value\",\"field\":\"capacity_pods\"},{\"aggregator\":\"value\",\"field\":\"allocatable_cpu_cores\"},{\"aggregator\":\"value\",\"field\":\"capacity_cpu_cores\"},{\"aggregator\":\"value\",\"field\":\"allocatable_memory_bytes\"},{\"aggregator\":\"value\",\"field\":\"capacity_memory_bytes\"}],\"group\":[\"cluster_name\",\"node_name\"],\"metrics\":[\"kubernetes_node\"],\"outputs\":[\"alert\"],\"select\":{\"cluster_name\":\"#cluster_name\",\"node_name\":\"#node_name\"},\"window\":1}','{\"alert_group\":\"{{cluster_name}}-{{node_name}}\",\"level\":\"WARNING\",\"recover\":\"false\",\"tickets_metric_key\":\"{{node_name}}\"}',0,'2021-05-28 11:55:00','2021-05-28 11:55:01'),(270,'机器CPU','org','machine','machine_cpu','{\"filters\":[{\"operator\":\"in\",\"tag\":\"cluster_name\",\"value\":[\"$cluster_name\"]}],\"functions\":[{\"aggregator\":\"avg\",\"field\":\"cpu_usage_active\",\"operator\":\"gte\",\"value\":95}],\"group\":[\"cluster_name\",\"host_ip\"],\"metric\":\"host_summary\",\"outputs\":[\"alert\"],\"select\":{\"cluster_name\":\"#cluster_name\",\"host_ip\":\"#host_ip\"},\"window\":1}','{\"alert_group\":\"{{cluster_name}}-{{host_ip}}\",\"display_url_id\":\"machine_cpu\",\"level\":\"WARNING\",\"recover\":\"false\",\"tickets_metric_key\":\"{{host_ip}}\"}',0,'2021-05-28 11:55:00','2021-05-28 11:55:01'),(271,'机器磁盘','org','machine','machine_disk','{\"filters\":[{\"operator\":\"in\",\"tag\":\"cluster_name\",\"value\":[\"$cluster_name\"]},{\"operator\":\"neq\",\"tag\":\"type\",\"value\":\"netdata\"}],\"functions\":[{\"aggregator\":\"value\",\"field\":\"disk_used_percent\",\"operator\":\"gte\",\"value\":86},{\"aggregator\":\"value\",\"field\":\"disk_total\"}],\"group\":[\"host_ip\",\"device\"],\"metric\":\"host_summary\",\"outputs\":[\"alert\"],\"select\":{\"cluster_name\":\"#cluster_name\",\"device\":\"#device\",\"host_ip\":\"#host_ip\"},\"window\":1}','{\"alert_group\":\"{{cluster_name}}-{{host_ip}}-{{device}}\",\"display_url_id\":\"machine_disk\",\"level\":\"WARNING\",\"recover\":\"true\",\"tickets_metric_key\":\"{{host_ip}}\"}',0,'2021-05-28 11:55:00','2021-05-28 11:55:01'),(272,'机器磁盘IO','org','machine','machine_disk_util','{\"filters\":[{\"operator\":\"in\",\"tag\":\"cluster_name\",\"value\":[\"$cluster_name\"]},{\"operator\":\"eq\",\"tag\":\"path\",\"value\":null}],\"functions\":[{\"aggregator\":\"p75\",\"field\":\"pct_util\",\"operator\":\"gte\",\"value\":95}],\"group\":[\"host_ip\"],\"metric\":\"disk\",\"outputs\":[\"alert\"],\"select\":{\"cluster_name\":\"#cluster_name\",\"host_ip\":\"#host_ip\"},\"window\":3}','{\"alert_group\":\"{{cluster_name}}-{{host_ip}}\",\"display_url_id\":\"machine_disk_io\",\"level\":\"WARNING\",\"recover\":\"true\",\"tickets_metric_key\":\"{{host_ip}}\"}',0,'2021-05-28 11:55:00','2021-05-28 11:55:01'),(273,'机器Load5','org','machine','machine_load5','{\"filters\":[{\"operator\":\"in\",\"tag\":\"cluster_name\",\"value\":[\"$cluster_name\"]}],\"functions\":[{\"aggregator\":\"avg\",\"field\":\"load5\",\"operator\":\"gte\",\"value_script\":\"function invoke(field,tag){ return field.n_cpus * 2.5 }\"}],\"group\":[\"host_ip\"],\"metric\":\"host_summary\",\"outputs\":[\"alert\"],\"select\":{\"cluster_name\":\"#cluster_name\",\"host_ip\":\"#host_ip\"},\"window\":1}','{\"alert_group\":\"{{cluster_name}}-{{host_ip}}\",\"display_url_id\":\"machine_load\",\"level\":\"WARNING\",\"recover\":\"true\",\"tickets_metric_key\":\"{{host_ip}}\"}',0,'2021-05-28 11:55:00','2021-05-28 11:55:01'),(274,'网盘','org','machine','machine_netdisk','{\"filters\":[{\"operator\":\"in\",\"tag\":\"cluster_name\",\"value\":[\"$cluster_name\"]},{\"operator\":\"eq\",\"tag\":\"type\",\"value\":\"netdata\"}],\"functions\":[{\"aggregator\":\"value\",\"field\":\"used_percent\",\"operator\":\"gte\",\"value\":75},{\"aggregator\":\"value\",\"field\":\"total\"}],\"group\":null,\"metric\":\"disk\",\"outputs\":[\"alert\"],\"select\":{\"cluster_name\":\"#cluster_name\"},\"window\":1}','{\"alert_group\":\"{{cluster_name}}\",\"level\":\"WARNING\",\"recover\":\"true\",\"tickets_metric_key\":\"{{cluster_name}}\"}',0,'2021-05-28 11:55:00','2021-05-28 11:55:01'),(275,'网盘容量使用量异常告警','org','machine','machine_netdisk_used','{\"filters\":[{\"operator\":\"in\",\"tag\":\"cluster_name\",\"value\":[\"$cluster_name\"]},{\"operator\":\"eq\",\"tag\":\"type\",\"value\":\"netdata\"}],\"functions\":[{\"aggregator\":\"value\",\"alias\":\"used\",\"field\":\"used\",\"field_script\":\"function invoke(field, tag){ return field.used/1024/1024/1024 }\",\"operator\":\"gte\",\"value\":800},{\"aggregator\":\"value\",\"alias\":\"total\",\"field_script\":\"function invoke(field, tag){ return field.total/1024/1024/1024 }\"}],\"group\":null,\"metric\":\"disk\",\"outputs\":[\"alert\"],\"select\":{\"cluster_name\":\"#cluster_name\"},\"window\":1}','{\"alert_group\":\"{{cluster_name}}\",\"level\":\"WARNING\",\"recover\":\"true\",\"tickets_metric_key\":\"{{cluster_name}}\"}',0,'2021-05-28 11:55:00','2021-05-28 11:55:01'),(276,'机器宕机','org','machine','machine_status','{\"filters\":[{\"operator\":\"in\",\"tag\":\"cluster_name\",\"value\":[\"$cluster_name\"]}],\"functions\":[{\"aggregator\":\"values\",\"field\":\"status\",\"operator\":\"all\",\"value\":\"not_ready\"},{\"aggregator\":\"value\",\"field\":\"last_timestamp\"}],\"group\":[\"host_ip\"],\"metric\":\"machine_status\",\"outputs\":[\"alert\"],\"select\":{\"cluster_name\":\"#cluster_name\",\"host_ip\":\"#host_ip\"},\"window\":5}','{\"alert_group\":\"{{cluster_name}}-{{host_ip}}\",\"display_url_id\":\"machine_crash\",\"level\":\"WARNING\",\"recover\":\"true\",\"tickets_metric_key\":\"{{host_ip}}\"}',0,'2021-05-28 11:55:00','2021-05-28 11:55:01'),(277,'API网关实例CPU使用率异常','org','micro_service','api_gateway_cpu','{\"filters\":[{\"operator\":\"in\",\"tag\":\"cluster_name\",\"value\":[\"$cluster_name\"]},{\"operator\":\"in\",\"tag\":\"addon_type\",\"value\":[\"api-gateway\",\"postgresql\"]}],\"functions\":[{\"aggregator\":\"avg\",\"field\":\"cpu_usage_percent\",\"field_script\":\"function invoke(fields,tags){return fields.cpu_limit===0?fields.cpu_usage_percent:fields.cpu_usage_percent/fields.cpu_limit}\",\"operator\":\"gte\",\"value\":90},{\"aggregator\":\"value\",\"field\":\"cpu_limit\"},{\"aggregator\":\"value\",\"field\":\"cpu_allocation\"}],\"group\":[\"container_id\"],\"metric\":\"docker_container_summary\",\"outputs\":[\"alert\"],\"select\":{\"addon_id\":\"#addon_id\",\"addon_type\":\"#addon_type\",\"cluster_name\":\"#cluster_name\",\"container_id\":\"#container_id\",\"host_ip\":\"#host_ip\",\"pod_name\":\"#pod_name\",\"pod_namespace\":\"#pod_namespace\"},\"window\":1}','{\"alert_group\":\"{{cluster_name}}-{{container_id}}\",\"level\":\"WARNING\",\"recover\":\"false\",\"tickets_metric_key\":\"{{container_id}}\"}',0,'2021-05-28 11:55:00','2021-05-28 11:55:01'),(278,'API网关实例内存使用率异常','org','micro_service','api_gateway_mem','{\"filters\":[{\"operator\":\"in\",\"tag\":\"cluster_name\",\"value\":[\"$cluster_name\"]},{\"operator\":\"in\",\"tag\":\"addon_type\",\"value\":[\"api-gateway\",\"postgresql\"]}],\"functions\":[{\"aggregator\":\"avg\",\"field\":\"mem_usage_percent\",\"operator\":\"gte\",\"value\":90},{\"aggregator\":\"value\",\"field\":\"mem_usage\"},{\"aggregator\":\"value\",\"field\":\"mem_limit\"},{\"aggregator\":\"value\",\"field\":\"mem_max_usage\"}],\"group\":[\"container_id\"],\"metric\":\"docker_container_summary\",\"outputs\":[\"alert\"],\"select\":{\"addon_id\":\"#addon_id\",\"addon_type\":\"#addon_type\",\"cluster_name\":\"#cluster_name\",\"container_id\":\"#container_id\",\"host_ip\":\"#host_ip\",\"pod_name\":\"#pod_name\",\"pod_namespace\":\"#pod_namespace\"},\"window\":1}','{\"alert_group\":\"{{cluster_name}}-{{container_id}}\",\"level\":\"WARNING\",\"recover\":\"false\",\"tickets_metric_key\":\"{{container_id}}\"}',0,'2021-05-28 11:55:00','2021-05-28 11:55:01'),(279,'注册中心实例CPU使用率异常','org','micro_service','register_center_cpu','{\"filters\":[{\"operator\":\"in\",\"tag\":\"cluster_name\",\"value\":[\"$cluster_name\"]},{\"operator\":\"in\",\"tag\":\"addon_type\",\"value\":[\"nacos\",\"zkproxy\"]}],\"functions\":[{\"aggregator\":\"avg\",\"field\":\"cpu_usage_percent\",\"field_script\":\"function invoke(fields,tags){return fields.cpu_limit===0?fields.cpu_usage_percent:fields.cpu_usage_percent/fields.cpu_limit}\",\"operator\":\"gte\",\"value\":90},{\"aggregator\":\"value\",\"field\":\"cpu_limit\"},{\"aggregator\":\"value\",\"field\":\"cpu_allocation\"}],\"group\":[\"container_id\"],\"metric\":\"docker_container_summary\",\"outputs\":[\"alert\"],\"select\":{\"addon_id\":\"#addon_id\",\"addon_type\":\"#addon_type\",\"cluster_name\":\"#cluster_name\",\"container_id\":\"#container_id\",\"host_ip\":\"#host_ip\",\"pod_name\":\"#pod_name\",\"pod_namespace\":\"#pod_namespace\"},\"window\":1}','{\"alert_group\":\"{{cluster_name}}-{{container_id}}\",\"level\":\"WARNING\",\"recover\":\"false\",\"tickets_metric_key\":\"{{container_id}}\"}',0,'2021-05-28 11:55:00','2021-05-28 11:55:01'),(280,'注册中心实例内存使用率异常','org','micro_service','register_center_mem','{\"filters\":[{\"operator\":\"in\",\"tag\":\"cluster_name\",\"value\":[\"$cluster_name\"]},{\"operator\":\"in\",\"tag\":\"addon_type\",\"value\":[\"nacos\",\"zkproxy\"]}],\"functions\":[{\"aggregator\":\"avg\",\"field\":\"mem_usage_percent\",\"operator\":\"gte\",\"value\":90},{\"aggregator\":\"value\",\"field\":\"mem_usage\"},{\"aggregator\":\"value\",\"field\":\"mem_limit\"},{\"aggregator\":\"value\",\"field\":\"mem_max_usage\"}],\"group\":[\"container_id\"],\"metric\":\"docker_container_summary\",\"outputs\":[\"alert\"],\"select\":{\"addon_id\":\"#addon_id\",\"addon_type\":\"#addon_type\",\"cluster_name\":\"#cluster_name\",\"container_id\":\"#container_id\",\"host_ip\":\"#host_ip\",\"pod_name\":\"#pod_name\",\"pod_namespace\":\"#pod_namespace\"},\"window\":1}','{\"alert_group\":\"{{cluster_name}}-{{container_id}}\",\"level\":\"WARNING\",\"recover\":\"false\",\"tickets_metric_key\":\"{{container_id}}\"}',0,'2021-05-28 11:55:00','2021-05-28 11:55:01'),(281,'服务熔断通知告警','micro_service','micro_service','sidecar_circuit_breaker','{\"filters\":[{\"operator\":\"eq\",\"tag\":\"terminus_key\",\"value\":\"$terminus_key\"},{\"operator\":\"in\",\"tag\":\"application_id\",\"value\":[\"$application_id\"]}],\"functions\":[{\"aggregator\":\"sum\",\"field\":\"count\",\"operator\":\"gte\",\"value\":1}],\"group\":[\"service_name\"],\"metric\":\"sidecar_circuit_breaker\",\"outputs\":[\"alert\"],\"select\":{\"application_id\":\"#application_id\",\"application_name\":\"#application_name\",\"cluster_name\":\"#cluster_name\",\"host_ip\":\"#host_ip\",\"project_name\":\"#project_name\",\"runtime_name\":\"#runtime_name\",\"service_name\":\"#service_name\",\"terminus_key\":\"#terminus_key\",\"workspace\":\"#workspace\"},\"window\":1}','{\"alert_group\":\"{{terminus_key}}\",\"level\":\"WARNING\",\"recover\":\"false\",\"tickets_metric_key\":\"{{terminus_key}}\"}',0,'2021-05-28 11:55:00','2021-05-28 11:55:01'),(282,'Elasticsearch实例内存使用率异常告警','org','addon','addon_elasticsearch_mem','{\"filters\":[{\"operator\":\"in\",\"tag\":\"cluster_name\",\"value\":[\"$cluster_name\"]},{\"operator\":\"in\",\"tag\":\"addon_type\",\"value\":[\"terminus-elasticsearch\"]}],\"functions\":[{\"aggregator\":\"avg\",\"field\":\"mem_usage_percent\",\"operator\":\"gte\",\"value\":90},{\"aggregator\":\"value\",\"field\":\"mem_limit\"},{\"aggregator\":\"value\",\"field\":\"mem_allocation\"}],\"group\":[\"container_id\"],\"metric\":\"docker_container_summary\",\"outputs\":[\"alert\"],\"select\":{\"addon_id\":\"#addon_id\",\"addon_type\":\"#addon_type\",\"cluster_name\":\"#cluster_name\",\"container_id\":\"#container_id\",\"host_ip\":\"#host_ip\",\"pod_name\":\"#pod_name\",\"pod_namespace\":\"#pod_namespace\"},\"window\":1}','{\"alert_group\":\"{{cluster_name}}-{{container_id}}\",\"level\":\"WARNING\",\"recover\":\"false\",\"tickets_metric_key\":\"{{container_id}}\"}',0,'2021-05-28 11:55:01','2021-05-28 11:55:02'),(283,'MySQL实例CPU使用率异常告警','org','addon','addon_mysql_cpu','{\"filters\":[{\"operator\":\"in\",\"tag\":\"cluster_name\",\"value\":[\"$cluster_name\"]},{\"operator\":\"in\",\"tag\":\"addon_type\",\"value\":[\"mysql\"]}],\"functions\":[{\"aggregator\":\"avg\",\"field\":\"cpu_usage_percent\",\"field_script\":\"function invoke(fields,tags){return fields.cpu_limit===0?fields.cpu_usage_percent:fields.cpu_usage_percent/fields.cpu_limit}\",\"operator\":\"gte\",\"value\":90},{\"aggregator\":\"value\",\"field\":\"cpu_limit\"},{\"aggregator\":\"value\",\"field\":\"cpu_allocation\"}],\"group\":[\"container_id\"],\"metric\":\"docker_container_summary\",\"outputs\":[\"alert\"],\"select\":{\"addon_id\":\"#addon_id\",\"addon_type\":\"#addon_type\",\"cluster_name\":\"#cluster_name\",\"container_id\":\"#container_id\",\"host_ip\":\"#host_ip\",\"pod_name\":\"#pod_name\",\"pod_namespace\":\"#pod_namespace\"},\"window\":1}','{\"alert_group\":\"{{cluster_name}}-{{container_id}}\",\"level\":\"WARNING\",\"recover\":\"false\",\"tickets_metric_key\":\"{{container_id}}\"}',0,'2021-05-28 11:55:01','2021-05-28 11:55:02'),(284,'MySQL实例内存使用率异常告警','org','addon','addon_mysql_mem','{\"filters\":[{\"operator\":\"in\",\"tag\":\"cluster_name\",\"value\":[\"$cluster_name\"]},{\"operator\":\"in\",\"tag\":\"addon_type\",\"value\":[\"mysql\"]}],\"functions\":[{\"aggregator\":\"avg\",\"field\":\"mem_usage_percent\",\"operator\":\"gte\",\"value\":85},{\"aggregator\":\"value\",\"field\":\"mem_limit\"},{\"aggregator\":\"value\",\"field\":\"mem_allocation\"}],\"group\":[\"container_id\"],\"metric\":\"docker_container_summary\",\"outputs\":[\"alert\"],\"select\":{\"addon_id\":\"#addon_id\",\"addon_type\":\"#addon_type\",\"cluster_name\":\"#cluster_name\",\"container_id\":\"#container_id\",\"host_ip\":\"#host_ip\",\"pod_name\":\"#pod_name\",\"pod_namespace\":\"#pod_namespace\"},\"window\":1}','{\"alert_group\":\"{{cluster_name}}-{{container_id}}\",\"level\":\"WARNING\",\"recover\":\"false\",\"tickets_metric_key\":\"{{container_id}}\"}',0,'2021-05-28 11:55:01','2021-05-28 11:55:02'),(285,'MySQL实例主从同步异常告警','org','addon','addon_mysql_slave_status','{\"filters\":[{\"operator\":\"in\",\"tag\":\"cluster_name\",\"value\":[\"$cluster_name\"]},{\"operator\":\"eq\",\"tag\":\"is_slave\",\"value\":\"true\"}],\"functions\":[{\"aggregator\":\"value\",\"field\":\"slave_slave_running_ok\",\"field_script\":\"function invoke(fields,tags){return (fields.slave_slave_io_running==0 || fields.slave_slave_sql_running==0)?0:1}\",\"operator\":\"neq\",\"value\":1},{\"aggregator\":\"value\",\"field\":\"slave_slave_sql_running\"},{\"aggregator\":\"value\",\"field\":\"slave_slave_io_running\"}],\"group\":[\"addon_id\",\"server\"],\"metric\":\"mysql\",\"outputs\":[\"alert\"],\"select\":{\"addon_id\":\"#addon_id\",\"cluster_name\":\"#cluster_name\",\"host_ip\":\"#host_ip\"},\"window\":1}','{\"alert_group\":\"{{cluster_name}}-{{addon_id}}\",\"level\":\"WARNING\",\"recover\":\"false\",\"tickets_metric_key\":\"{{addon_id}}\"}',0,'2021-05-28 11:55:01','2021-05-28 11:55:02'),(286,'redis实例内存使用率异常告警','org','addon','addon_redis_mem','{\"filters\":[{\"operator\":\"in\",\"tag\":\"cluster_name\",\"value\":[\"$cluster_name\"]},{\"operator\":\"in\",\"tag\":\"addon_type\",\"value\":[\"redis\"]}],\"functions\":[{\"aggregator\":\"avg\",\"field\":\"mem_usage_percent\",\"operator\":\"gte\",\"value\":85},{\"aggregator\":\"value\",\"field\":\"mem_limit\"},{\"aggregator\":\"value\",\"field\":\"mem_allocation\"}],\"group\":[\"container_id\"],\"metric\":\"docker_container_summary\",\"outputs\":[\"alert\"],\"select\":{\"addon_id\":\"#addon_id\",\"addon_type\":\"#addon_type\",\"cluster_name\":\"#cluster_name\",\"container_id\":\"#container_id\",\"host_ip\":\"#host_ip\",\"pod_name\":\"#pod_name\",\"pod_namespace\":\"#pod_namespace\"},\"window\":1}','{\"alert_group\":\"{{cluster_name}}-{{container_id}}\",\"level\":\"WARNING\",\"recover\":\"false\",\"tickets_metric_key\":\"{{container_id}}\"}',0,'2021-05-28 11:55:01','2021-05-28 11:55:02'),(287,'应用错误次数','micro_service','app_exception','app_exception_count','{\"filters\":[{\"operator\":\"eq\",\"tag\":\"terminus_key\",\"value\":\"$terminus_key\"},{\"operator\":\"in\",\"tag\":\"application_id\",\"value\":[\"$application_id\"]}],\"functions\":[{\"aggregator\":\"sum\",\"field\":\"count\",\"operator\":\"gte\",\"value\":20}],\"group\":[\"error_id\"],\"metric\":\"error_alert\",\"outputs\":[\"alert\"],\"select\":{\"application_id\":\"#application_id\",\"application_name\":\"#application_name\",\"class\":\"#class\",\"cluster_name\":\"#cluster_name\",\"error_id\":\"#error_id\",\"host_ip\":\"#host_ip\",\"instance_id\":\"#instance_id\",\"line\":\"#line\",\"method\":\"#method\",\"project_id\":\"#project_id\",\"project_name\":\"#project_name\",\"runtime_id\":\"#runtime_id\",\"runtime_name\":\"#runtime_name\",\"service_name\":\"#service_name\",\"terminus_key\":\"#terminus_key\",\"type\":\"#type\",\"workspace\":\"#workspace\"},\"window\":5}','{\"alert_group\":\"{{terminus_key}}-{{error_id}}\",\"display_url_id\":\"micro_error_detail\",\"level\":\"WARNING\",\"recover\":\"false\",\"tickets_metric_key\":\"{{error_id}}\"}',0,'2021-05-28 11:55:01','2021-05-28 11:55:02'),(288,'应用实例CPU使用率异常','micro_service','app_resource','app_resource_container_cpu','{\"filters\":[{\"operator\":\"eq\",\"tag\":\"terminus_key\",\"value\":\"$terminus_key\"},{\"operator\":\"in\",\"tag\":\"application_id\",\"value\":[\"$application_id\"]}],\"functions\":[{\"aggregator\":\"avg\",\"field\":\"cpu_usage_percent\",\"field_script\":\"function invoke(fields,tags){return fields.cpu_limit===0?fields.cpu_usage_percent:fields.cpu_usage_percent/fields.cpu_limit}\",\"operator\":\"gte\",\"value\":90},{\"aggregator\":\"value\",\"field\":\"cpu_limit\"},{\"aggregator\":\"value\",\"field\":\"cpu_allocation\"}],\"group\":[\"container_id\"],\"metric\":\"docker_container_summary\",\"outputs\":[\"alert\"],\"select\":{\"application_id\":\"#application_id\",\"application_name\":\"#application_name\",\"cluster_name\":\"#cluster_name\",\"container_id\":\"#container_id\",\"host_ip\":\"#host_ip\",\"instance_id\":\"#instance_id\",\"project_id\":\"#project_id\",\"project_name\":\"#project_name\",\"runtime_id\":\"#runtime_id\",\"runtime_name\":\"#runtime_name\",\"service_name\":\"#service_name\",\"terminus_key\":\"#terminus_key\"},\"window\":1}','{\"alert_group\":\"{{terminus_key}}-{{container_id}}\",\"display_url_id\":\"workbench_runtime\",\"level\":\"WARNING\",\"recover\":\"false\",\"tickets_metric_key\":\"{{container_id}}\"}',0,'2021-05-28 11:55:01','2021-05-28 11:55:02'),(289,'应用实例内存使用率异常','micro_service','app_resource','app_resource_container_mem','{\"filters\":[{\"operator\":\"eq\",\"tag\":\"terminus_key\",\"value\":\"$terminus_key\"},{\"operator\":\"in\",\"tag\":\"application_id\",\"value\":[\"$application_id\"]}],\"functions\":[{\"aggregator\":\"avg\",\"field\":\"mem_usage_percent\",\"operator\":\"gte\",\"value\":90},{\"aggregator\":\"value\",\"field\":\"mem_usage\"},{\"aggregator\":\"value\",\"field\":\"mem_limit\"},{\"aggregator\":\"value\",\"field\":\"mem_max_usage\"}],\"group\":[\"container_id\"],\"metric\":\"docker_container_summary\",\"outputs\":[\"alert\"],\"select\":{\"application_id\":\"#application_id\",\"application_name\":\"#application_name\",\"cluster_name\":\"#cluster_name\",\"container_id\":\"#container_id\",\"host_ip\":\"#host_ip\",\"instance_id\":\"#instance_id\",\"project_id\":\"#project_id\",\"project_name\":\"#project_name\",\"runtime_id\":\"#runtime_id\",\"runtime_name\":\"#runtime_name\",\"service_name\":\"#service_name\",\"terminus_key\":\"#terminus_key\"},\"window\":1}','{\"alert_group\":\"{{terminus_key}}-{{container_id}}\",\"display_url_id\":\"workbench_runtime\",\"level\":\"WARNING\",\"recover\":\"false\",\"tickets_metric_key\":\"{{container_id}}\"}',0,'2021-05-28 11:55:01','2021-05-28 11:55:02'),(290,'应用实例OOM','micro_service','app_resource','app_resource_container_oom','{\"filters\":[{\"operator\":\"eq\",\"tag\":\"terminus_key\",\"value\":\"$terminus_key\"},{\"operator\":\"in\",\"tag\":\"application_id\",\"value\":[\"$application_id\"]}],\"functions\":[{\"aggregator\":\"values\",\"field\":\"oomkilled\",\"operator\":\"contains\",\"value\":true}],\"group\":[\"container_id\"],\"metric\":\"docker_container_summary\",\"outputs\":[\"alert\"],\"select\":{\"application_id\":\"#application_id\",\"application_name\":\"#application_name\",\"cluster_name\":\"#cluster_name\",\"container_id\":\"#container_id\",\"host_ip\":\"#host_ip\",\"instance_id\":\"#instance_id\",\"project_id\":\"#project_id\",\"project_name\":\"#project_name\",\"runtime_id\":\"#runtime_id\",\"runtime_name\":\"#runtime_name\",\"service_name\":\"#service_name\",\"terminus_key\":\"#terminus_key\"},\"window\":1}','{\"alert_group\":\"{{terminus_key}}-{{container_id}}\",\"display_url_id\":\"workbench_runtime\",\"level\":\"WARNING\",\"recover\":\"false\",\"tickets_metric_key\":\"{{container_id}}\"}',0,'2021-05-28 11:55:01','2021-05-28 11:55:02'),(291,'应用JVM GC次数','micro_service','app_resource','app_resource_jvm_gc_count','{\"filters\":[{\"operator\":\"eq\",\"tag\":\"name\",\"value\":\"concurrentmarksweep\"},{\"operator\":\"eq\",\"tag\":\"terminus_key\",\"value\":\"$terminus_key\"},{\"operator\":\"in\",\"tag\":\"application_id\",\"value\":[\"$application_id\"]}],\"functions\":[{\"aggregator\":\"sum\",\"field\":\"count\",\"operator\":\"gte\",\"value\":5}],\"group\":[\"instance_id\"],\"metric\":\"jvm_gc\",\"outputs\":[\"alert\"],\"select\":{\"application_id\":\"#application_id\",\"application_name\":\"#application_name\",\"cluster_name\":\"#cluster_name\",\"host_ip\":\"#host_ip\",\"instance_id\":\"#instance_id\",\"project_id\":\"#project_id\",\"project_name\":\"#project_name\",\"runtime_id\":\"#runtime_id\",\"runtime_name\":\"#runtime_name\",\"service_name\":\"#service_name\",\"terminus_key\":\"#terminus_key\",\"workspace\":\"#workspace\"},\"window\":3}','{\"alert_group\":\"{{terminus_key}}-{{instance_id}}\",\"display_url_id\":\"micro_jvm\",\"level\":\"WARNING\",\"recover\":\"false\",\"tickets_metric_key\":\"{{instance_id}}\"}',0,'2021-05-28 11:55:01','2021-05-28 11:55:02'),(292,'应用JVM GC 耗时','micro_service','app_resource','app_resource_jvm_gc_time','{\"condition\":\"or\",\"filters\":[{\"operator\":\"eq\",\"tag\":\"name\",\"value\":\"concurrentmarksweep\"},{\"operator\":\"eq\",\"tag\":\"terminus_key\",\"value\":\"$terminus_key\"},{\"operator\":\"in\",\"tag\":\"application_id\",\"value\":[\"$application_id\"]}],\"functions\":[{\"aggregator\":\"value\",\"field\":\"time\",\"operator\":\"gte\",\"value\":400},{\"aggregator\":\"sum\",\"field\":\"time\",\"operator\":\"gte\",\"value\":1000}],\"group\":[\"instance_id\"],\"metric\":\"jvm_gc\",\"outputs\":[\"alert\"],\"select\":{\"application_id\":\"#application_id\",\"application_name\":\"#application_name\",\"cluster_name\":\"#cluster_name\",\"host_ip\":\"#host_ip\",\"instance_id\":\"#instance_id\",\"project_id\":\"#project_id\",\"project_name\":\"#project_name\",\"runtime_id\":\"#runtime_id\",\"runtime_name\":\"#runtime_name\",\"service_name\":\"#service_name\",\"terminus_key\":\"#terminus_key\",\"workspace\":\"#workspace\"},\"window\":1}','{\"alert_group\":\"{{terminus_key}}-{{instance_id}}\",\"display_url_id\":\"micro_jvm\",\"level\":\"WARNING\",\"recover\":\"false\",\"tickets_metric_key\":\"{{instance_id}}\"}',0,'2021-05-28 11:55:01','2021-05-28 11:55:02'),(293,'应用JVM堆内存','micro_service','app_resource','app_resource_jvm_heap','{\"condition\":\"and\",\"filters\":[{\"operator\":\"eq\",\"tag\":\"name\",\"value\":\"heap_memory\"},{\"operator\":\"eq\",\"tag\":\"terminus_key\",\"value\":\"$terminus_key\"},{\"operator\":\"in\",\"tag\":\"application_id\",\"value\":[\"$application_id\"]}],\"functions\":[{\"aggregator\":\"avg\",\"field\":\"usage_percent\",\"field_script\":\"function invoke(field, tag){ return field.used / field.max * 100; }\",\"operator\":\"gte\",\"value\":75},{\"aggregator\":\"value\",\"field\":\"used\"},{\"aggregator\":\"value\",\"field\":\"max\"}],\"group\":[\"instance_id\"],\"metric\":\"jvm_memory\",\"outputs\":[\"alert\"],\"select\":{\"application_id\":\"#application_id\",\"application_name\":\"#application_name\",\"cluster_name\":\"#cluster_name\",\"host_ip\":\"#host_ip\",\"instance_id\":\"#instance_id\",\"project_id\":\"#project_id\",\"project_name\":\"#project_name\",\"runtime_id\":\"#runtime_id\",\"runtime_name\":\"#runtime_name\",\"service_name\":\"#service_name\",\"terminus_key\":\"#terminus_key\",\"workspace\":\"#workspace\"},\"window\":1}','{\"alert_group\":\"{{terminus_key}}-{{instance_id}}\",\"display_url_id\":\"micro_jvm\",\"level\":\"WARNING\",\"recover\":\"false\",\"tickets_metric_key\":\"{{instance_id}}\"}',0,'2021-05-28 11:55:01','2021-05-28 11:55:02'),(294,'应用NodeJS堆内存使用率','micro_service','app_resource','app_resource_nodejs_heap','{\"filters\":[{\"operator\":\"eq\",\"tag\":\"terminus_key\",\"value\":\"$terminus_key\"},{\"operator\":\"in\",\"tag\":\"application_id\",\"value\":[\"$application_id\"]}],\"functions\":[{\"aggregator\":\"avg\",\"field\":\"usage_percent\",\"field_script\":\"function invoke(field, tag){ if(!field.max) { return 0; } return field.rss / field.max * 100; }\",\"operator\":\"gte\",\"value\":75},{\"aggregator\":\"value\",\"field\":\"heap_used\"},{\"aggregator\":\"value\",\"field\":\"heap_total\"},{\"aggregator\":\"value\",\"field\":\"rss\"},{\"aggregator\":\"value\",\"field\":\"max\"}],\"group\":[\"instance_id\"],\"metric\":\"nodejs_memory\",\"outputs\":[\"alert\"],\"select\":{\"application_id\":\"#application_id\",\"application_name\":\"#application_name\",\"cluster_name\":\"#cluster_name\",\"host_ip\":\"#host_ip\",\"instance_id\":\"#instance_id\",\"project_id\":\"#project_id\",\"project_name\":\"#project_name\",\"runtime_id\":\"#runtime_id\",\"runtime_name\":\"#runtime_name\",\"service_name\":\"#service_name\",\"terminus_key\":\"#terminus_key\",\"workspace\":\"#workspace\"},\"window\":1}','{\"alert_group\":\"{{terminus_key}}-{{instance_id}}\",\"display_url_id\":\"micro_nodejs\",\"level\":\"WARNING\",\"recover\":\"false\",\"tickets_metric_key\":\"{{instance_id}}\"}',0,'2021-05-28 11:55:01','2021-05-28 11:55:02'),(295,'页面内容改变','micro_service','app_status','app_status_browser','{\"alias\":\"status_page_browser\",\"filters\":[{\"operator\":\"eq\",\"tag\":\"terminus_key\",\"value\":\"$terminus_key\"},{\"operator\":\"eq\",\"tag\":\"type\",\"value\":\"browser\"}],\"functions\":[{\"aggregator\":\"value\",\"field\":\"diff_screenshot\",\"operator\":\"eq\",\"value\":false}],\"group\":[\"metric\"],\"metric\":\"status_page\",\"outputs\":[\"alert\"],\"select\":{\"metric_id\":\"#metric\",\"project_id\":\"#project_id\",\"project_name\":\"#project_name\",\"status_metric_name\":\"#metric_name\",\"terminus_key\":\"#terminus_key\",\"type\":\"#type\",\"url\":\"#url\",\"workspace\":\"#env\"},\"window\":1}','{\"alert_group\":\"{{terminus_key}}-{{metric_id}}\",\"display_url_id\":\"micro_status_detail\",\"level\":\"ERROR\",\"recover\":\"false\",\"tickets_metric_key\":\"{{metric_id}}\"}',0,'2021-05-28 11:55:01','2021-05-28 11:55:02'),(296,'主动监控HTTP状态异常','micro_service','app_status','app_status_code','{\"filters\":[{\"operator\":\"eq\",\"tag\":\"terminus_key\",\"value\":\"$terminus_key\"},{\"operator\":\"eq\",\"tag\":\"type\",\"value\":\"http\"}],\"functions\":[{\"aggregator\":\"sum\",\"field\":\"retry\"},{\"aggregator\":\"min\",\"field\":\"code\",\"operator\":\"gte\",\"value\":400}],\"group\":[\"metric\"],\"metric\":\"status_page\",\"outputs\":[\"alert\"],\"select\":{\"metric_id\":\"#metric\",\"project_id\":\"#project_id\",\"project_name\":\"#project_name\",\"status_metric_name\":\"#metric_name\",\"terminus_key\":\"#terminus_key\",\"type\":\"#type\",\"url\":\"#url\",\"workspace\":\"#env\"},\"window\":1}','{\"alert_group\":\"{{terminus_key}}-{{metric_id}}\",\"display_url_id\":\"micro_status_detail\",\"level\":\"ERROR\",\"recover\":\"true\",\"tickets_metric_key\":\"{{metric_id}}\"}',0,'2021-05-28 11:55:01','2021-05-28 11:55:02'),(297,'服务接口HTTP错误率异常','micro_service','app_transaction','app_transaction_http_path_error','{\"condition\":\"and\",\"filters\":[{\"operator\":\"eq\",\"tag\":\"target_terminus_key\",\"value\":\"$target_terminus_key\"},{\"operator\":\"in\",\"tag\":\"target_application_id\",\"value\":[\"$target_application_id\"]}],\"functions\":[{\"aggregator\":\"sum\",\"field\":\"elapsed_count\",\"operator\":\"gte\",\"value\":10},{\"aggregator\":\"sum\",\"field\":\"error_count\",\"field_script\":\"function invoke(field, tag){ if(field.http_status_code_mean \\u003c 500) { return 0; } return field.elapsed_count; }\"},{\"aggregator\":\"value\",\"field\":\"error_percent\",\"field_script\":\"function invoke(field, tag){ if(!field.elapsed_count_sum) return 0; return field.elapsed_count_sum === 0 ? 0 : (field.error_count_sum / field.elapsed_count_sum * 100);}\",\"operator\":\"gte\",\"trigger\":\"aggregated\",\"value\":50}],\"group\":[\"target_runtime_id\",\"target_service_name\",\"http_path\",\"http_method\"],\"metric\":\"application_http\",\"outputs\":[\"alert\"],\"select\":{\"application_id\":\"#target_application_id\",\"application_name\":\"#target_application_name\",\"http_method\":\"#http_method\",\"http_path\":\"#http_path\",\"http_url\":\"#http_url\",\"project_id\":\"#target_project_id\",\"project_name\":\"#target_project_name\",\"runtime_id\":\"#target_runtime_id\",\"runtime_name\":\"#target_runtime_name\",\"service_name\":\"#target_service_name\",\"terminus_key\":\"#target_terminus_key\",\"workspace\":\"#target_workspace\"},\"window\":1}','{\"alert_group\":\"{{target_terminus_key}}-{{target_runtime_id}}-{{target_service_name}}-{{http_path}}-{{http_method}}\",\"display_url_id\":\"micro_si_web\",\"level\":\"WARNING\",\"recover\":\"false\",\"tickets_metric_key\":\"{{target_application_id}}\"}',0,'2021-05-28 11:55:01','2021-05-28 11:55:02'),(298,'服务接口HTTP慢事务异常','micro_service','app_transaction','app_transaction_http_path_rt','{\"condition\":\"and\",\"filters\":[{\"operator\":\"eq\",\"tag\":\"target_terminus_key\",\"value\":\"$target_terminus_key\"},{\"operator\":\"in\",\"tag\":\"target_application_id\",\"value\":[\"$target_application_id\"]}],\"functions\":[{\"aggregator\":\"sum\",\"field\":\"elapsed\",\"field_script\":\"function invoke(field, tag){ return field.elapsed_sum / 1000000; }\"},{\"aggregator\":\"sum\",\"field\":\"elapsed_count\",\"operator\":\"gte\",\"value\":10},{\"aggregator\":\"value\",\"field\":\"elapsed_avg\",\"field_script\":\"function invoke(field, tag){ if(!field.elapsed_count_sum) return 0; return field.elapsed_count_sum === 0 ? 0 : (field.elapsed_sum / field.elapsed_count_sum);}\",\"operator\":\"gte\",\"trigger\":\"aggregated\",\"value\":3000}],\"group\":[\"target_runtime_id\",\"target_service_name\",\"http_path\",\"http_method\"],\"metric\":\"application_http\",\"outputs\":[\"alert\"],\"select\":{\"application_id\":\"#target_application_id\",\"application_name\":\"#target_application_name\",\"http_method\":\"#http_method\",\"http_path\":\"#http_path\",\"http_url\":\"#http_url\",\"project_id\":\"#target_project_id\",\"project_name\":\"#target_project_name\",\"runtime_id\":\"#target_runtime_id\",\"runtime_name\":\"#target_runtime_name\",\"service_name\":\"#target_service_name\",\"terminus_key\":\"#target_terminus_key\",\"workspace\":\"#target_workspace\"},\"window\":1}','{\"alert_group\":\"{{target_terminus_key}}-{{target_runtime_id}}-{{target_service_name}}-{{http_path}}-{{http_method}}\",\"display_url_id\":\"micro_si_web\",\"level\":\"WARNING\",\"recover\":\"false\",\"tickets_metric_key\":\"{{target_application_id}}\"}',0,'2021-05-28 11:55:01','2021-05-28 11:55:02'),(299,'服务HTTP错误率异常','micro_service','app_transaction','app_transaction_http_service_error','{\"condition\":\"and\",\"filters\":[{\"operator\":\"eq\",\"tag\":\"target_terminus_key\",\"value\":\"$target_terminus_key\"},{\"operator\":\"in\",\"tag\":\"target_application_id\",\"value\":[\"$target_application_id\"]}],\"functions\":[{\"aggregator\":\"sum\",\"field\":\"elapsed_count\"},{\"aggregator\":\"sum\",\"field\":\"error_count\",\"field_script\":\"function invoke(field, tag){ if(field.http_status_code_mean \\u003c 500) { return 0; } return field.elapsed_count; }\"},{\"aggregator\":\"value\",\"field\":\"error_percent\",\"field_script\":\"function invoke(field, tag){ if(!field.elapsed_count_sum) return 0; return field.elapsed_count_sum === 0 ? 0 : (field.error_count_sum / field.elapsed_count_sum * 100);}\",\"operator\":\"gte\",\"trigger\":\"aggregated\",\"value\":30}],\"group\":[\"target_runtime_id\",\"target_service_name\"],\"metric\":\"application_http\",\"outputs\":[\"alert\"],\"select\":{\"application_id\":\"#target_application_id\",\"application_name\":\"#target_application_name\",\"project_id\":\"#target_project_id\",\"project_name\":\"#target_project_name\",\"runtime_id\":\"#target_runtime_id\",\"runtime_name\":\"#target_runtime_name\",\"service_name\":\"#target_service_name\",\"terminus_key\":\"#target_terminus_key\",\"workspace\":\"#target_workspace\"},\"window\":1}','{\"alert_group\":\"{{target_terminus_key}}-{{target_runtime_id}}-{{target_service_name}}\",\"display_url_id\":\"micro_si_web\",\"level\":\"WARNING\",\"recover\":\"true\",\"tickets_metric_key\":\"{{target_application_id}}\"}',0,'2021-05-28 11:55:01','2021-05-28 11:55:02'),(300,'服务HTTP慢事务异常','micro_service','app_transaction','app_transaction_http_service_rt','{\"condition\":\"and\",\"filters\":[{\"operator\":\"eq\",\"tag\":\"target_terminus_key\",\"value\":\"$target_terminus_key\"},{\"operator\":\"in\",\"tag\":\"target_application_id\",\"value\":[\"$target_application_id\"]}],\"functions\":[{\"aggregator\":\"sum\",\"field\":\"elapsed\",\"field_script\":\"function invoke(field, tag){ return field.elapsed_sum / 1000000; }\"},{\"aggregator\":\"sum\",\"field\":\"elapsed_count\"},{\"aggregator\":\"value\",\"field\":\"elapsed_avg\",\"field_script\":\"function invoke(field, tag){ if(!field.elapsed_count_sum) return 0; return field.elapsed_count_sum === 0 ? 0 : (field.elapsed_sum / field.elapsed_count_sum);}\",\"operator\":\"gte\",\"trigger\":\"aggregated\",\"value\":1000}],\"group\":[\"target_runtime_id\",\"target_service_name\"],\"metric\":\"application_http\",\"outputs\":[\"alert\"],\"select\":{\"application_id\":\"#target_application_id\",\"application_name\":\"#target_application_name\",\"project_id\":\"#target_project_id\",\"project_name\":\"#target_project_name\",\"runtime_id\":\"#target_runtime_id\",\"runtime_name\":\"#target_runtime_name\",\"service_name\":\"#target_service_name\",\"terminus_key\":\"#target_terminus_key\",\"workspace\":\"#target_workspace\"},\"window\":1}','{\"alert_group\":\"{{target_terminus_key}}-{{target_runtime_id}}-{{target_service_name}}\",\"display_url_id\":\"micro_si_web\",\"level\":\"WARNING\",\"recover\":\"true\",\"tickets_metric_key\":\"{{target_application_id}}\"}',0,'2021-05-28 11:55:01','2021-05-28 11:55:02'),(301,'平台中间件Cassandra GC次数异常','org','dice_addon','dice_addon_cassandra_gc_count','{\"filters\":[{\"operator\":\"in\",\"tag\":\"cluster_name\",\"value\":[\"$cluster_name\"]},{\"operator\":\"eq\",\"tag\":\"addon_id\",\"value\":\"cassandra\"},{\"operator\":\"like\",\"tag\":\"name\",\"value\":\"Old\"}],\"functions\":[{\"aggregator\":\"min\",\"field\":\"CollectionCount_min\",\"field_script\":\"function invoke(fields,tags){return fields.CollectionCount;}\"},{\"aggregator\":\"max\",\"field\":\"CollectionCount_max\",\"field_script\":\"function invoke(fields,tags){return fields.CollectionCount;}\"},{\"aggregator\":\"value\",\"field\":\"CollectionCount_win\",\"field_script\":\"function invoke(fields,tags){return fields.CollectionCount_max-fields.CollectionCount_min;}\",\"operator\":\"gte\",\"trigger\":\"aggregated\",\"value\":10}],\"group\":[\"cluster_name\",\"node_id\"],\"metrics\":[\"addon_java_GarbageCollector\"],\"outputs\":[\"alert\"],\"select\":{\"addon_id\":\"#addon_id\",\"addon_type\":\"#addon_type\",\"cluster_name\":\"#cluster_name\",\"node_host\":\"#jolokia_host\"},\"window\":3}','{\"alert_group\":\"{{cluster_name}}-{{addon_id}}\",\"display_url_id\":\"org_addon\",\"level\":\"WARNING\",\"recover\":\"false\",\"tickets_metric_key\":\"{{addon_id}}\"}',0,'2021-05-28 11:55:01','2021-05-28 11:55:02'),(302,'平台中间件Cassandra GC耗时异常','org','dice_addon','dice_addon_cassandra_gc_time','{\"filters\":[{\"operator\":\"in\",\"tag\":\"cluster_name\",\"value\":[\"$cluster_name\"]},{\"operator\":\"eq\",\"tag\":\"addon_id\",\"value\":\"cassandra\"},{\"operator\":\"like\",\"tag\":\"name\",\"value\":\"Old\"}],\"functions\":[{\"aggregator\":\"min\",\"field\":\"CollectionTime_min\",\"field_script\":\"function invoke(fields,tags){return fields.CollectionTime;}\"},{\"aggregator\":\"max\",\"field\":\"CollectionTime_max\",\"field_script\":\"function invoke(fields,tags){return fields.CollectionTime;}\"},{\"aggregator\":\"value\",\"field\":\"CollectionTime_win\",\"field_script\":\"function invoke(fields,tags){return fields.CollectionTime_max-fields.CollectionTime_min;}\",\"operator\":\"gte\",\"trigger\":\"aggregated\",\"value\":15000}],\"group\":[\"cluster_name\",\"node_id\"],\"metrics\":[\"addon_java_GarbageCollector\"],\"outputs\":[\"alert\"],\"select\":{\"addon_id\":\"#addon_id\",\"addon_type\":\"#addon_type\",\"cluster_name\":\"#cluster_name\",\"node_host\":\"#jolokia_host\"},\"window\":3}','{\"alert_group\":\"{{cluster_name}}-{{addon_id}}\",\"display_url_id\":\"org_addon\",\"level\":\"WARNING\",\"recover\":\"false\",\"tickets_metric_key\":\"{{addon_id}}\"}',0,'2021-05-28 11:55:01','2021-05-28 11:55:02'),(303,'平台中间件实例CPU状态','org','dice_addon','dice_addon_container_cpu','{\"filters\":[{\"operator\":\"in\",\"tag\":\"cluster_name\",\"value\":[\"$cluster_name\"]},{\"operator\":\"eq\",\"tag\":\"pod_namespace\",\"value\":\"default\"},{\"operator\":\"any\",\"tag\":\"addon_id\"}],\"functions\":[{\"aggregator\":\"avg\",\"field\":\"cpu_usage_percent\",\"field_script\":\"function invoke(fields,tags){return fields.cpu_limit===0?fields.cpu_usage_percent:fields.cpu_usage_percent/fields.cpu_limit}\",\"operator\":\"gte\",\"value\":95},{\"aggregator\":\"value\",\"field\":\"cpu_limit\"},{\"aggregator\":\"value\",\"field\":\"cpu_allocation\"}],\"group\":[\"cluster_name\",\"container_id\"],\"metrics\":[\"docker_container_summary\"],\"outputs\":[\"alert\"],\"select\":{\"addon_id\":\"#addon_id\",\"cluster_name\":\"#cluster_name\",\"container_id\":\"#container_id\",\"host_ip\":\"#host_ip\",\"pod_name\":\"#pod_name\",\"pod_namespace\":\"#pod_namespace\"},\"window\":2}','{\"alert_group\":\"{{cluster_name}}-{{container_id}}\",\"level\":\"WARNING\",\"recover\":\"false\",\"tickets_metric_key\":\"{{container_id}}\"}',0,'2021-05-28 11:55:01','2021-05-28 11:55:02'),(304,'平台中间件异常退出','org','dice_addon','dice_addon_container_exit','{\"filters\":[{\"operator\":\"in\",\"tag\":\"cluster_name\",\"value\":[\"$cluster_name\"]},{\"operator\":\"eq\",\"tag\":\"pod_namespace\",\"value\":\"default\"},{\"operator\":\"any\",\"tag\":\"addon_id\"}],\"functions\":[{\"aggregator\":\"max\",\"field\":\"exitcode\",\"operator\":\"gt\",\"value\":0},{\"aggregator\":\"value\",\"field\":\"terminated_reason\",\"field_script\":\"function invoke(fields,tags){if(fields.oomkilled) return \'Out Of Memory\';return \'Error Exit Code \'+fields.exitcode;}\"},{\"aggregator\":\"value\",\"field\":\"finished_at\",\"field_script\":\"function invoke(fields,tags){if(fields.finished_at!=null\\u0026\\u0026fields.finished_at!=undefined) return fields.finished_at/1000000;return \'-\'}\"},{\"aggregator\":\"value\",\"field\":\"started_at\",\"field_script\":\"function invoke(fields,tags){if(fields.started_at!=null\\u0026\\u0026fields.started_at!=undefined) return fields.started_at/1000000;return \'-\'}\"},{\"aggregator\":\"value\",\"field\":\"pid\"}],\"group\":[\"cluster_name\",\"pod_namespace\",\"pod_name\"],\"metrics\":[\"docker_container_summary\"],\"outputs\":[\"alert\"],\"select\":{\"addon_id\":\"#addon_id\",\"cluster_name\":\"#cluster_name\",\"container_id\":\"#container_id\",\"host_ip\":\"#host_ip\",\"pod_name\":\"#pod_name\",\"pod_namespace\":\"#pod_namespace\"},\"window\":1}','{\"alert_group\":\"{{cluster_name}}-{{container_id}}\",\"display_url_id\":\"org_pod\",\"level\":\"WARNING\",\"recover\":\"false\",\"tickets_metric_key\":\"{{container_id}}\"}',0,'2021-05-28 11:55:01','2021-05-28 11:55:02'),(305,'平台中间件实例内存状态','org','dice_addon','dice_addon_container_mem','{\"filters\":[{\"operator\":\"in\",\"tag\":\"cluster_name\",\"value\":[\"$cluster_name\"]},{\"operator\":\"eq\",\"tag\":\"pod_namespace\",\"value\":\"default\"},{\"operator\":\"any\",\"tag\":\"addon_id\"}],\"functions\":[{\"aggregator\":\"avg\",\"field\":\"mem_usage_percent\",\"operator\":\"gt\",\"value\":80},{\"aggregator\":\"value\",\"field\":\"mem_usage\"},{\"aggregator\":\"value\",\"field\":\"mem_limit\"},{\"aggregator\":\"value\",\"field\":\"mem_max_usage\"},{\"aggregator\":\"value\",\"field\":\"mem_allocation\"}],\"group\":[\"cluster_name\",\"container_id\"],\"metrics\":[\"docker_container_summary\"],\"outputs\":[\"alert\"],\"select\":{\"addon_id\":\"#addon_id\",\"cluster_name\":\"#cluster_name\",\"container_id\":\"#container_id\",\"host_ip\":\"#host_ip\",\"pod_name\":\"#pod_name\",\"pod_namespace\":\"#pod_namespace\"},\"window\":2}','{\"alert_group\":\"{{cluster_name}}-{{container_id}}\",\"level\":\"WARNING\",\"recover\":\"false\",\"tickets_metric_key\":\"{{container_id}}\"}',0,'2021-05-28 11:55:01','2021-05-28 11:55:02'),(306,'平台中间件实例Ready状态异常','org','dice_addon','dice_addon_container_ready','{\"filters\":[{\"operator\":\"in\",\"tag\":\"cluster_name\",\"value\":[\"$cluster_name\"]},{\"operator\":\"eq\",\"tag\":\"namespace\",\"value\":\"default\"},{\"operator\":\"any\",\"tag\":\"addon_id\"}],\"functions\":[{\"aggregator\":\"avg\",\"field\":\"not_ready_avg\",\"field_script\":\"function invoke(fields,tags){if(tags.daemonset_name){return fields.number_unavailable}else{if(tags.statefulset_name){return fields.replicas-fields.replicas_ready}else{if(tags.deployment_name){return fields.replicas_unavailable}}}return 0}\",\"operator\":\"gt\",\"value\":0},{\"aggregator\":\"value\",\"field\":\"not_ready\",\"field_script\":\"function invoke(fields,tags){if(tags.daemonset_name){return fields.number_unavailable}else{if(tags.statefulset_name){return fields.replicas-fields.replicas_ready}else{if(tags.deployment_name){return fields.replicas_unavailable}}}return 0}\"},{\"aggregator\":\"value\",\"field\":\"ready\",\"field_script\":\"function invoke(fields,tags){if(tags.daemonset_name){return fields.number_available}else{if(tags.statefulset_name){return fields.replicas_ready}else{if(tags.deployment_name){return fields.replicas_available}}}return 0}\"},{\"aggregator\":\"value\",\"field\":\"total\",\"field_script\":\"function invoke(fields,tags){if(tags.daemonset_name){return fields.number_unavailable+fields.number_available}else{if(tags.statefulset_name){return fields.replicas}else{if(tags.deployment_name){return fields.replicas_unavailable+fields.replicas_available}}}return 0}\"},{\"aggregator\":\"value\",\"field\":\"resource_name\",\"field_script\":\"function invoke(fields,tags){if(tags.daemonset_name){return tags.daemonset_name}else{if(tags.statefulset_name){return tags.statefulset_name}else{if(tags.deployment_name){return tags.deployment_name}}}return null};\"}],\"group\":[\"cluster_name\",\"namespace\",\"daemonset_name\",\"statefulset_name\",\"deployment_name\"],\"metrics\":[\"kubernetes_daemonset\",\"kubernetes_statefulset\",\"kubernetes_deployment\"],\"outputs\":[\"alert\"],\"select\":{\"addon_id\":\"#addon_id\",\"cluster_name\":\"#cluster_name\",\"daemonset_name\":\"#daemonset_name\",\"deployment_name\":\"#deployment_name\",\"namespace\":\"#namespace\",\"statefulset_name\":\"#statefulset_name\"},\"window\":1}','{\"alert_group\":\"{{cluster_name}}-{{daemonset_name}}-{{statefulset_name}}-{{deployment_name}}\",\"level\":\"WARNING\",\"recover\":\"false\",\"tickets_metric_key\":\"{{daemonset_name}}-{{statefulset_name}}-{{deployment_name}}\"}',0,'2021-05-28 11:55:01','2021-05-28 11:55:02'),(307,'平台中间件Elasticsearch GC次数异常','org','dice_addon','dice_addon_elasticsearch_gc_count','{\"filters\":[{\"operator\":\"in\",\"tag\":\"cluster_name\",\"value\":[\"$cluster_name\"]},{\"operator\":\"eq\",\"tag\":\"addon_id\",\"value\":\"elasticsearch\"}],\"functions\":[{\"aggregator\":\"min\",\"field\":\"gc_collectors_old_collection_count_min\",\"field_script\":\"function invoke(fields,tags){return fields.gc_collectors_old_collection_count;}\"},{\"aggregator\":\"max\",\"field\":\"gc_collectors_old_collection_count_max\",\"field_script\":\"function invoke(fields,tags){return fields.gc_collectors_old_collection_count;}\"},{\"aggregator\":\"value\",\"field\":\"gc_collectors_old_collection_count_win\",\"field_script\":\"function invoke(fields,tags){return fields.gc_collectors_old_collection_count_max-fields.gc_collectors_old_collection_count_min;}\",\"operator\":\"gte\",\"trigger\":\"aggregated\",\"value\":10}],\"group\":[\"cluster_name\",\"node_id\"],\"metrics\":[\"elasticsearch_jvm\"],\"outputs\":[\"alert\"],\"select\":{\"addon_id\":\"#addon_id\",\"addon_type\":\"#addon_type\",\"cluster_name\":\"#cluster_name\",\"node_host\":\"#node_host\",\"node_id\":\"#node_id\",\"node_name\":\"#node_name\"},\"window\":3}','{\"alert_group\":\"{{cluster_name}}-{{addon_id}}\",\"display_url_id\":\"org_addon\",\"level\":\"WARNING\",\"recover\":\"false\",\"tickets_metric_key\":\"{{addon_id}}\"}',0,'2021-05-28 11:55:01','2021-05-28 11:55:02'),(308,'平台中间件Elasticsearch GC耗时异常','org','dice_addon','dice_addon_elasticsearch_gc_time','{\"filters\":[{\"operator\":\"in\",\"tag\":\"cluster_name\",\"value\":[\"$cluster_name\"]},{\"operator\":\"eq\",\"tag\":\"addon_id\",\"value\":\"elasticsearch\"}],\"functions\":[{\"aggregator\":\"min\",\"field\":\"gc_collectors_old_collection_time_in_millis_min\",\"field_script\":\"function invoke(fields,tags){return fields.gc_collectors_old_collection_time_in_millis;}\"},{\"aggregator\":\"max\",\"field\":\"gc_collectors_old_collection_time_in_millis_max\",\"field_script\":\"function invoke(fields,tags){return fields.gc_collectors_old_collection_time_in_millis;}\"},{\"aggregator\":\"value\",\"field\":\"gc_collectors_old_collection_time_in_millis_win\",\"field_script\":\"function invoke(fields,tags){return fields.gc_collectors_old_collection_time_in_millis_max-fields.gc_collectors_old_collection_time_in_millis_min;}\",\"operator\":\"gte\",\"trigger\":\"aggregated\",\"value\":15000}],\"group\":[\"cluster_name\",\"node_id\"],\"metrics\":[\"elasticsearch_jvm\"],\"outputs\":[\"alert\"],\"select\":{\"addon_id\":\"#addon_id\",\"addon_type\":\"#addon_type\",\"cluster_name\":\"#cluster_name\",\"node_host\":\"#node_host\",\"node_id\":\"#node_id\",\"node_name\":\"#node_name\"},\"window\":3}','{\"alert_group\":\"{{cluster_name}}-{{addon_id}}\",\"display_url_id\":\"org_addon\",\"level\":\"WARNING\",\"recover\":\"false\",\"tickets_metric_key\":\"{{addon_id}}\"}',0,'2021-05-28 11:55:01','2021-05-28 11:55:02'),(309,'平台中间件Kafka GC次数异常','org','dice_addon','dice_addon_kafka_gc_count','{\"filters\":[{\"operator\":\"in\",\"tag\":\"cluster_name\",\"value\":[\"$cluster_name\"]},{\"operator\":\"eq\",\"tag\":\"addon_id\",\"value\":\"kafka\"},{\"operator\":\"like\",\"tag\":\"name\",\"value\":\"Old\"}],\"functions\":[{\"aggregator\":\"min\",\"field\":\"CollectionCount_min\",\"field_script\":\"function invoke(fields,tags){return fields.CollectionCount;}\"},{\"aggregator\":\"max\",\"field\":\"CollectionCount_max\",\"field_script\":\"function invoke(fields,tags){return fields.CollectionCount;}\"},{\"aggregator\":\"value\",\"field\":\"CollectionCount_win\",\"field_script\":\"function invoke(fields,tags){return fields.CollectionCount_max-fields.CollectionCount_min;}\",\"operator\":\"gte\",\"trigger\":\"aggregated\",\"value\":10}],\"group\":[\"cluster_name\",\"node_id\"],\"metrics\":[\"addon_java_GarbageCollector\"],\"outputs\":[\"alert\"],\"select\":{\"addon_id\":\"#addon_id\",\"addon_type\":\"#addon_type\",\"cluster_name\":\"#cluster_name\",\"node_host\":\"#jolokia_host\"},\"window\":3}','{\"alert_group\":\"{{cluster_name}}-{{addon_id}}\",\"display_url_id\":\"org_addon\",\"level\":\"WARNING\",\"recover\":\"false\",\"tickets_metric_key\":\"{{addon_id}}\"}',0,'2021-05-28 11:55:01','2021-05-28 11:55:02'),(310,'平台中间件Kafka GC耗时异常','org','dice_addon','dice_addon_kafka_gc_time','{\"filters\":[{\"operator\":\"in\",\"tag\":\"cluster_name\",\"value\":[\"$cluster_name\"]},{\"operator\":\"eq\",\"tag\":\"addon_id\",\"value\":\"kafka\"},{\"operator\":\"like\",\"tag\":\"name\",\"value\":\"Old\"}],\"functions\":[{\"aggregator\":\"min\",\"field\":\"CollectionTime_min\",\"field_script\":\"function invoke(fields,tags){return fields.CollectionTime;}\"},{\"aggregator\":\"max\",\"field\":\"CollectionTime_max\",\"field_script\":\"function invoke(fields,tags){return fields.CollectionTime;}\"},{\"aggregator\":\"value\",\"field\":\"CollectionTime_win\",\"field_script\":\"function invoke(fields,tags){return fields.CollectionTime_max-fields.CollectionTime_min;}\",\"operator\":\"gte\",\"trigger\":\"aggregated\",\"value\":15000}],\"group\":[\"cluster_name\",\"node_id\"],\"metrics\":[\"addon_java_GarbageCollector\"],\"outputs\":[\"alert\"],\"select\":{\"addon_id\":\"#addon_id\",\"addon_type\":\"#addon_type\",\"cluster_name\":\"#cluster_name\",\"node_host\":\"#jolokia_host\"},\"window\":3}','{\"alert_group\":\"{{cluster_name}}-{{addon_id}}\",\"display_url_id\":\"org_addon\",\"level\":\"WARNING\",\"recover\":\"false\",\"tickets_metric_key\":\"{{addon_id}}\"}',0,'2021-05-28 11:55:01','2021-05-28 11:55:02'),(311,'平台中间件kafka消费堆积','org','dice_addon','dice_addon_kafka_lag','{\"filters\":[{\"operator\":\"in\",\"tag\":\"cluster_name\",\"value\":[\"$cluster_name\"]},{\"operator\":\"eq\",\"tag\":\"addon_id\",\"value\":\"kafka\"}],\"functions\":[{\"aggregator\":\"avg\",\"field\":\"lag\",\"operator\":\"gte\",\"value\":100000},{\"aggregator\":\"avg\",\"field\":\"consume_rate_per_sec\"},{\"aggregator\":\"avg\",\"field\":\"produce_rate_per_sec\"}],\"group\":[\"cluster_name\",\"addon_id\",\"group\",\"topic\"],\"metrics\":[\"kafka_consumer\"],\"outputs\":[\"alert\"],\"select\":{\"addon_id\":\"#addon_id\",\"addon_type\":\"#addon_type\",\"cluster_name\":\"#cluster_name\",\"group\":\"#group\",\"topic\":\"#topic\"},\"window\":3}','{\"alert_group\":\"{{cluster_name}}-{{group}}-{{topic}}\",\"display_url_id\":\"org_addon\",\"level\":\"WARNING\",\"recover\":\"false\",\"tickets_metric_key\":\"{{group}}-{{topic}}\"}',0,'2021-05-28 11:55:01','2021-05-28 11:55:02'),(312,'平台组件实例CPU状态','org','dice_component','dice_component_container_cpu','{\"filters\":[{\"operator\":\"in\",\"tag\":\"cluster_name\",\"value\":[\"$cluster_name\"]},{\"operator\":\"eq\",\"tag\":\"pod_namespace\",\"value\":\"default\"},{\"operator\":\"any\",\"tag\":\"component_name\"}],\"functions\":[{\"aggregator\":\"avg\",\"field\":\"cpu_usage_percent\",\"field_script\":\"function invoke(fields,tags){return fields.cpu_limit===0?fields.cpu_usage_percent:fields.cpu_usage_percent/fields.cpu_limit}\",\"operator\":\"gte\",\"value\":95},{\"aggregator\":\"value\",\"field\":\"cpu_limit\"},{\"aggregator\":\"value\",\"field\":\"cpu_allocation\"}],\"group\":[\"cluster_name\",\"container_id\"],\"metrics\":[\"docker_container_summary\"],\"outputs\":[\"alert\"],\"select\":{\"cluster_name\":\"#cluster_name\",\"component_name\":\"#component_name\",\"container_id\":\"#container_id\",\"host_ip\":\"#host_ip\",\"pod_name\":\"#pod_name\",\"pod_namespace\":\"#pod_namespace\"},\"window\":2}','{\"alert_group\":\"{{cluster_name}}-{{container_id}}\",\"level\":\"WARNING\",\"recover\":\"false\",\"tickets_metric_key\":\"{{container_id}}\"}',0,'2021-05-28 11:55:01','2021-05-28 11:55:02'),(313,'平台组件异常退出','org','dice_component','dice_component_container_exit','{\"filters\":[{\"operator\":\"in\",\"tag\":\"cluster_name\",\"value\":[\"$cluster_name\"]},{\"operator\":\"eq\",\"tag\":\"pod_namespace\",\"value\":\"default\"},{\"operator\":\"any\",\"tag\":\"component_name\"}],\"functions\":[{\"aggregator\":\"max\",\"field\":\"exitcode\",\"operator\":\"gt\",\"value\":0},{\"aggregator\":\"value\",\"field\":\"terminated_reason\",\"field_script\":\"function invoke(fields,tags){if(fields.oomkilled) return \'Out Of Memory\';return \'Error Exit Code \'+fields.exitcode;}\"},{\"aggregator\":\"value\",\"field\":\"finished_at\",\"field_script\":\"function invoke(fields,tags){if(fields.finished_at!=null\\u0026\\u0026fields.finished_at!=undefined) return fields.finished_at/1000000;return \'-\'}\"},{\"aggregator\":\"value\",\"field\":\"started_at\",\"field_script\":\"function invoke(fields,tags){if(fields.started_at!=null\\u0026\\u0026fields.started_at!=undefined) return fields.started_at/1000000;return \'-\'}\"},{\"aggregator\":\"value\",\"field\":\"pid\"}],\"group\":[\"cluster_name\",\"container_id\"],\"metrics\":[\"docker_container_summary\"],\"outputs\":[\"alert\"],\"select\":{\"cluster_name\":\"#cluster_name\",\"component_name\":\"#component_name\",\"container_id\":\"#container_id\",\"host_ip\":\"#host_ip\",\"pod_name\":\"#pod_name\",\"pod_namespace\":\"#pod_namespace\"},\"window\":1}','{\"alert_group\":\"{{cluster_name}}-{{container_id}}\",\"display_url_id\":\"org_pod\",\"level\":\"WARNING\",\"recover\":\"false\",\"tickets_metric_key\":\"{{container_id}}\"}',0,'2021-05-28 11:55:01','2021-05-28 11:55:02'),(314,'平台组件实例内存状态','org','dice_component','dice_component_container_mem','{\"filters\":[{\"operator\":\"in\",\"tag\":\"cluster_name\",\"value\":[\"$cluster_name\"]},{\"operator\":\"eq\",\"tag\":\"pod_namespace\",\"value\":\"default\"},{\"operator\":\"any\",\"tag\":\"component_name\"}],\"functions\":[{\"aggregator\":\"avg\",\"field\":\"mem_usage_percent\",\"operator\":\"gt\",\"value\":70},{\"aggregator\":\"value\",\"field\":\"mem_usage\"},{\"aggregator\":\"value\",\"field\":\"mem_limit\"},{\"aggregator\":\"value\",\"field\":\"mem_max_usage\"},{\"aggregator\":\"value\",\"field\":\"mem_allocation\"}],\"group\":[\"cluster_name\",\"container_id\"],\"metrics\":[\"docker_container_summary\"],\"outputs\":[\"alert\"],\"select\":{\"cluster_name\":\"#cluster_name\",\"component_name\":\"#component_name\",\"container_id\":\"#container_id\",\"host_ip\":\"#host_ip\",\"pod_name\":\"#pod_name\",\"pod_namespace\":\"#pod_namespace\"},\"window\":2}','{\"alert_group\":\"{{cluster_name}}-{{container_id}}\",\"level\":\"WARNING\",\"recover\":\"false\",\"tickets_metric_key\":\"{{container_id}}\"}',0,'2021-05-28 11:55:01','2021-05-28 11:55:02'),(315,'平台组件实例Ready状态异常','org','dice_component','dice_component_container_ready','{\"filters\":[{\"operator\":\"in\",\"tag\":\"cluster_name\",\"value\":[\"$cluster_name\"]},{\"operator\":\"eq\",\"tag\":\"namespace\",\"value\":\"default\"},{\"operator\":\"any\",\"tag\":\"component_name\"}],\"functions\":[{\"aggregator\":\"avg\",\"field\":\"not_ready_avg\",\"field_script\":\"function invoke(fields,tags){if(tags.daemonset_name){return fields.number_unavailable}else{if(tags.statefulset_name){return fields.replicas-fields.replicas_ready}else{if(tags.deployment_name){return fields.replicas_unavailable}}}return 0}\",\"operator\":\"gt\",\"value\":0},{\"aggregator\":\"value\",\"field\":\"not_ready\",\"field_script\":\"function invoke(fields,tags){if(tags.daemonset_name){return fields.number_unavailable}else{if(tags.statefulset_name){return fields.replicas-fields.replicas_ready}else{if(tags.deployment_name){return fields.replicas_unavailable}}}return 0}\"},{\"aggregator\":\"value\",\"field\":\"ready\",\"field_script\":\"function invoke(fields,tags){if(tags.daemonset_name){return fields.number_available}else{if(tags.statefulset_name){return fields.replicas_ready}else{if(tags.deployment_name){return fields.replicas_available}}}return 0}\"},{\"aggregator\":\"value\",\"field\":\"total\",\"field_script\":\"function invoke(fields,tags){if(tags.daemonset_name){return fields.number_unavailable+fields.number_available}else{if(tags.statefulset_name){return fields.replicas}else{if(tags.deployment_name){return fields.replicas_unavailable+fields.replicas_available}}}return 0}\"},{\"aggregator\":\"value\",\"field\":\"resource_name\",\"field_script\":\"function invoke(fields,tags){if(tags.daemonset_name){return tags.daemonset_name}else{if(tags.statefulset_name){return tags.statefulset_name}else{if(tags.deployment_name){return tags.deployment_name}}}return null};\"}],\"group\":[\"cluster_name\",\"namespace\",\"daemonset_name\",\"statefulset_name\",\"deployment_name\"],\"metrics\":[\"kubernetes_daemonset\",\"kubernetes_statefulset\",\"kubernetes_deployment\"],\"outputs\":[\"alert\"],\"select\":{\"cluster_name\":\"#cluster_name\",\"component_name\":\"#component_name\",\"daemonset_name\":\"#daemonset_name\",\"deployment_name\":\"#deployment_name\",\"namespace\":\"#namespace\",\"statefulset_name\":\"#statefulset_name\"},\"window\":3}','{\"alert_group\":\"{{cluster_name}}-{{daemonset_name}}-{{statefulset_name}}-{{deployment_name}}\",\"level\":\"WARNING\",\"recover\":\"false\",\"tickets_metric_key\":\"{{daemonset_name}}-{{statefulset_name}}-{{deployment_name}}\"}',0,'2021-05-28 11:55:01','2021-05-28 11:55:02'),(316,'平台组件Flink任务checkpoint延迟异常告警','org','dice_component','dice_component_flink_checkpoint_duration','{\"filters\":[{\"operator\":\"in\",\"tag\":\"cluster_name\",\"value\":[\"$cluster_name\"]}],\"functions\":[{\"aggregator\":\"value\",\"field\":\"lastCheckpointDuration\",\"operator\":\"gte\",\"value\":3000}],\"group\":[\"cluster_name\",\"container_id\",\"job_id\"],\"metric\":\"flink_jm_job\",\"outputs\":[\"alert\"],\"select\":{\"cluster_name\":\"#cluster_name\",\"host_ip\":\"#host_ip\",\"job_id\":\"#job_id\"},\"window\":1}','{\"alert_group\":\"{{cluster_name}}-{{container_id}}-{{job_id}}\",\"level\":\"WARNING\",\"recover\":\"false\",\"tickets_metric_key\":\"{{container_id}}-{{job_id}}\"}',0,'2021-05-28 11:55:01','2021-05-28 11:55:02'),(317,'平台组件Flink吞吐量异常告警','org','dice_component','dice_component_flink_throughput','{\"filters\":[{\"operator\":\"in\",\"tag\":\"cluster_name\",\"value\":[\"$cluster_name\"]}],\"functions\":[{\"aggregator\":\"value\",\"field\":\"numRecordsOutPerSecond_count\",\"operator\":\"eq\",\"value\":0}],\"group\":[\"cluster_name\",\"container_id\",\"job_id\",\"task_id\",\"subtask_index\",\"operator_id\"],\"metric\":\"flink_tm_operator\",\"outputs\":[\"alert\"],\"select\":{\"cluster_name\":\"#cluster_name\",\"host_ip\":\"#host_ip\",\"job_id\":\"#job_id\",\"operator_id\":\"#operator_id\",\"subtask_index\":\"#subtask_index\",\"tm_id\":\"#tm_id\"},\"window\":1}','{\"alert_group\":\"{{cluster_name}}-{{container_id}}-{{job_id}}\",\"level\":\"WARNING\",\"recover\":\"false\",\"tickets_metric_key\":\"{{container_id}}-{{job_id}}\"}',0,'2021-05-28 11:55:01','2021-05-28 11:55:02'),(318,'平台组件网盘不可用告警','org','dice_component','dice_component_gfs_status','{\"filters\":[{\"operator\":\"in\",\"tag\":\"cluster_name\",\"value\":[\"$cluster_name\"]}],\"functions\":[{\"aggregator\":\"values\",\"field\":\"status\",\"operator\":\"all\",\"value\":\"Disconnected\"}],\"group\":[\"cluster_name\",\"host_ip\"],\"metric\":\"glusterfs\",\"outputs\":[\"alert\"],\"select\":{\"cluster_name\":\"#cluster_name\",\"component_name\":\"#component_name\",\"host_ip\":\"#host_ip\",\"node_uuid\":\"#node_uuid\"},\"window\":5}','{\"alert_group\":\"{{cluster_name}}\",\"level\":\"WARNING\",\"recover\":\"false\",\"tickets_metric_key\":\"{{cluster_name}}\"}',0,'2021-05-28 11:55:01','2021-05-28 11:55:02'),(319,'kubernetes组件实例CPU状态','org','kubernetes','kubernetes_instance_cpu','{\"filters\":[{\"operator\":\"in\",\"tag\":\"cluster_name\",\"value\":[\"$cluster_name\"]},{\"operator\":\"eq\",\"tag\":\"pod_namespace\",\"value\":\"kube-system\"}],\"functions\":[{\"aggregator\":\"avg\",\"field\":\"cpu_usage_percent\",\"field_script\":\"function invoke(fields,tags){return fields.cpu_limit===0?fields.cpu_usage_percent:fields.cpu_usage_percent/fields.cpu_limit}\",\"operator\":\"gte\",\"value\":95},{\"aggregator\":\"value\",\"field\":\"cpu_limit\"},{\"aggregator\":\"value\",\"field\":\"cpu_allocation\"}],\"group\":[\"cluster_name\",\"container_id\"],\"metrics\":[\"docker_container_summary\"],\"outputs\":[\"alert\"],\"select\":{\"cluster_name\":\"#cluster_name\",\"container_id\":\"#container_id\",\"host_ip\":\"#host_ip\",\"pod_name\":\"#pod_name\",\"pod_namespace\":\"#pod_namespace\"},\"window\":2}','{\"alert_group\":\"{{cluster_name}}-{{container_id}}\",\"level\":\"WARNING\",\"recover\":\"false\",\"tickets_metric_key\":\"{{container_id}}\"}',0,'2021-05-28 11:55:01','2021-05-28 11:55:02'),(320,'kubernetes组件异常退出','org','kubernetes','kubernetes_instance_exit','{\"filters\":[{\"operator\":\"in\",\"tag\":\"cluster_name\",\"value\":[\"$cluster_name\"]},{\"operator\":\"eq\",\"tag\":\"pod_namespace\",\"value\":\"kube-system\"}],\"functions\":[{\"aggregator\":\"max\",\"field\":\"exitcode\",\"operator\":\"gt\",\"value\":0},{\"aggregator\":\"value\",\"field\":\"terminated_reason\",\"field_script\":\"function invoke(fields,tags){if(fields.oomkilled) return \'Out Of Memory\';return \'Error Exit Code \'+fields.exitcode;}\"},{\"aggregator\":\"value\",\"field\":\"finished_at\",\"field_script\":\"function invoke(fields,tags){if(fields.finished_at!=null\\u0026\\u0026fields.finished_at!=undefined) return fields.finished_at/1000000;return \'-\'}\"},{\"aggregator\":\"value\",\"field\":\"started_at\",\"field_script\":\"function invoke(fields,tags){if(fields.started_at!=null\\u0026\\u0026fields.started_at!=undefined) return fields.started_at/1000000;return \'-\'}\"},{\"aggregator\":\"value\",\"field\":\"pid\"}],\"group\":[\"cluster_name\",\"pod_namespace\",\"pod_name\"],\"metrics\":[\"docker_container_summary\"],\"outputs\":[\"alert\"],\"select\":{\"cluster_name\":\"#cluster_name\",\"component_name\":\"#component_name\",\"container_id\":\"#container_id\",\"host_ip\":\"#host_ip\",\"pod_name\":\"#pod_name\",\"pod_namespace\":\"#pod_namespace\"},\"window\":1}','{\"alert_group\":\"{{cluster_name}}-{{container_id}}\",\"display_url_id\":\"org_pod\",\"level\":\"WARNING\",\"recover\":\"false\",\"tickets_metric_key\":\"{{container_id}}\"}',0,'2021-05-28 11:55:01','2021-05-28 11:55:02'),(321,'kubernetes组件实例内存状态','org','kubernetes','kubernetes_instance_mem','{\"filters\":[{\"operator\":\"in\",\"tag\":\"cluster_name\",\"value\":[\"$cluster_name\"]},{\"operator\":\"eq\",\"tag\":\"pod_namespace\",\"value\":\"kube-system\"}],\"functions\":[{\"aggregator\":\"avg\",\"field\":\"mem_usage_percent\",\"operator\":\"gt\",\"value\":70},{\"aggregator\":\"value\",\"field\":\"mem_usage\"},{\"aggregator\":\"value\",\"field\":\"mem_limit\"},{\"aggregator\":\"value\",\"field\":\"mem_max_usage\"},{\"aggregator\":\"value\",\"field\":\"mem_allocation\"}],\"group\":[\"cluster_name\",\"container_id\"],\"metrics\":[\"docker_container_summary\"],\"outputs\":[\"alert\"],\"select\":{\"cluster_name\":\"#cluster_name\",\"container_id\":\"#container_id\",\"host_ip\":\"#host_ip\",\"pod_name\":\"#pod_name\",\"pod_namespace\":\"#pod_namespace\"},\"window\":2}','{\"alert_group\":\"{{cluster_name}}-{{container_id}}\",\"level\":\"WARNING\",\"recover\":\"false\",\"tickets_metric_key\":\"{{container_id}}\"}',0,'2021-05-28 11:55:01','2021-05-28 11:55:02'),(322,'kubernetes组件实例Ready状态异常','org','kubernetes','kubernetes_instance_ready','{\"filters\":[{\"operator\":\"in\",\"tag\":\"cluster_name\",\"value\":[\"$cluster_name\"]},{\"operator\":\"eq\",\"tag\":\"namespace\",\"value\":\"kube-system\"}],\"functions\":[{\"aggregator\":\"avg\",\"field\":\"not_ready_avg\",\"field_script\":\"function invoke(fields,tags){if(tags.daemonset_name){return fields.number_unavailable}else{if(tags.statefulset_name){return fields.replicas-fields.replicas_ready}else{if(tags.deployment_name){return fields.replicas_unavailable}}}return 0}\",\"operator\":\"gt\",\"value\":0},{\"aggregator\":\"value\",\"field\":\"not_ready\",\"field_script\":\"function invoke(fields,tags){if(tags.daemonset_name){return fields.number_unavailable}else{if(tags.statefulset_name){return fields.replicas-fields.replicas_ready}else{if(tags.deployment_name){return fields.replicas_unavailable}}}return 0}\"},{\"aggregator\":\"value\",\"field\":\"ready\",\"field_script\":\"function invoke(fields,tags){if(tags.daemonset_name){return fields.number_available}else{if(tags.statefulset_name){return fields.replicas_ready}else{if(tags.deployment_name){return fields.replicas_available}}}return 0}\"},{\"aggregator\":\"value\",\"field\":\"total\",\"field_script\":\"function invoke(fields,tags){if(tags.daemonset_name){return fields.number_unavailable+fields.number_available}else{if(tags.statefulset_name){return fields.replicas}else{if(tags.deployment_name){return fields.replicas_unavailable+fields.replicas_available}}}return 0}\"},{\"aggregator\":\"value\",\"field\":\"resource_name\",\"field_script\":\"function invoke(fields,tags){if(tags.daemonset_name){return tags.daemonset_name}else{if(tags.statefulset_name){return tags.statefulset_name}else{if(tags.deployment_name){return tags.deployment_name}}}return null};\"}],\"group\":[\"cluster_name\",\"namespace\",\"daemonset_name\",\"statefulset_name\",\"deployment_name\"],\"metrics\":[\"kubernetes_daemonset\",\"kubernetes_statefulset\",\"kubernetes_deployment\"],\"outputs\":[\"alert\"],\"select\":{\"cluster_name\":\"#cluster_name\",\"daemonset_name\":\"#daemonset_name\",\"deployment_name\":\"#deployment_name\",\"namespace\":\"#namespace\",\"statefulset_name\":\"#statefulset_name\"},\"window\":1}','{\"alert_group\":\"{{cluster_name}}-{{daemonset_name}}-{{statefulset_name}}-{{deployment_name}}\",\"level\":\"WARNING\",\"recover\":\"false\",\"tickets_metric_key\":\"{{daemonset_name}}-{{statefulset_name}}-{{deployment_name}}\"}',0,'2021-05-28 11:55:01','2021-05-28 11:55:02'),(323,'kubernetes节点异常','org','kubernetes','kubernetes_node','{\"filters\":[{\"operator\":\"in\",\"tag\":\"cluster_name\",\"value\":[\"$cluster_name\"]},{\"operator\":\"neq\",\"tag\":\"offline\",\"value\":\"true\"}],\"functions\":[{\"aggregator\":\"values\",\"field\":\"ready\",\"operator\":\"all\",\"value\":false},{\"aggregator\":\"value\",\"field\":\"allocatable_pods\"},{\"aggregator\":\"value\",\"field\":\"capacity_pods\"},{\"aggregator\":\"value\",\"field\":\"allocatable_cpu_cores\"},{\"aggregator\":\"value\",\"field\":\"capacity_cpu_cores\"},{\"aggregator\":\"value\",\"field\":\"allocatable_memory_bytes\"},{\"aggregator\":\"value\",\"field\":\"capacity_memory_bytes\"}],\"group\":[\"cluster_name\",\"node_name\"],\"metrics\":[\"kubernetes_node\"],\"outputs\":[\"alert\"],\"select\":{\"cluster_name\":\"#cluster_name\",\"node_name\":\"#node_name\"},\"window\":1}','{\"alert_group\":\"{{cluster_name}}-{{node_name}}\",\"level\":\"WARNING\",\"recover\":\"false\",\"tickets_metric_key\":\"{{node_name}}\"}',0,'2021-05-28 11:55:01','2021-05-28 11:55:02'),(324,'机器CPU','org','machine','machine_cpu','{\"filters\":[{\"operator\":\"in\",\"tag\":\"cluster_name\",\"value\":[\"$cluster_name\"]}],\"functions\":[{\"aggregator\":\"avg\",\"field\":\"cpu_usage_active\",\"operator\":\"gte\",\"value\":95}],\"group\":[\"cluster_name\",\"host_ip\"],\"metric\":\"host_summary\",\"outputs\":[\"alert\"],\"select\":{\"cluster_name\":\"#cluster_name\",\"host_ip\":\"#host_ip\"},\"window\":1}','{\"alert_group\":\"{{cluster_name}}-{{host_ip}}\",\"display_url_id\":\"machine_cpu\",\"level\":\"WARNING\",\"recover\":\"false\",\"tickets_metric_key\":\"{{host_ip}}\"}',0,'2021-05-28 11:55:01','2021-05-28 11:55:02'),(325,'机器磁盘','org','machine','machine_disk','{\"filters\":[{\"operator\":\"in\",\"tag\":\"cluster_name\",\"value\":[\"$cluster_name\"]},{\"operator\":\"neq\",\"tag\":\"type\",\"value\":\"netdata\"}],\"functions\":[{\"aggregator\":\"value\",\"field\":\"used_percent\",\"operator\":\"gte\",\"value\":86},{\"aggregator\":\"value\",\"field\":\"total\"}],\"group\":[\"host_ip\",\"device\"],\"metric\":\"disk\",\"outputs\":[\"alert\"],\"select\":{\"cluster_name\":\"#cluster_name\",\"device\":\"#device\",\"host_ip\":\"#host_ip\"},\"window\":1}','{\"alert_group\":\"{{cluster_name}}-{{host_ip}}-{{device}}\",\"display_url_id\":\"machine_disk\",\"level\":\"WARNING\",\"recover\":\"true\",\"tickets_metric_key\":\"{{host_ip}}\"}',0,'2021-05-28 11:55:01','2021-05-28 11:55:02'),(326,'磁盘Inode异常告警','org','machine','machine_disk_inode','{\"filters\":[{\"operator\":\"in\",\"tag\":\"cluster_name\",\"value\":[\"$cluster_name\"]},{\"operator\":\"neq\",\"tag\":\"type\",\"value\":\"netdata\"}],\"functions\":[{\"aggregator\":\"value\",\"field\":\"inode_used_percent\",\"field_script\":\"function invoke(field, tag){ return field.inodes_used/field.inodes_total*100 }\",\"operator\":\"gte\",\"value\":85},{\"aggregator\":\"value\",\"field\":\"inodes_total\"}],\"group\":[\"host_ip\",\"device\"],\"metric\":\"disk\",\"outputs\":[\"alert\"],\"select\":{\"cluster_name\":\"#cluster_name\",\"device\":\"#device\",\"host_ip\":\"#host_ip\"},\"window\":1}','{\"alert_group\":\"{{cluster_name}}-{{host_ip}}-{{device}}\",\"display_url_id\":\"machine_disk\",\"level\":\"WARNING\",\"recover\":\"true\",\"tickets_metric_key\":\"{{host_ip}}\"}',0,'2021-05-28 11:55:01','2021-05-28 11:55:02'),(327,'机器磁盘IO','org','machine','machine_disk_util','{\"filters\":[{\"operator\":\"in\",\"tag\":\"cluster_name\",\"value\":[\"$cluster_name\"]},{\"operator\":\"eq\",\"tag\":\"path\",\"value\":null}],\"functions\":[{\"aggregator\":\"p75\",\"field\":\"pct_util\",\"operator\":\"gte\",\"value\":95}],\"group\":[\"host_ip\"],\"metric\":\"disk\",\"outputs\":[\"alert\"],\"select\":{\"cluster_name\":\"#cluster_name\",\"host_ip\":\"#host_ip\"},\"window\":3}','{\"alert_group\":\"{{cluster_name}}-{{host_ip}}\",\"display_url_id\":\"machine_disk_io\",\"level\":\"WARNING\",\"recover\":\"true\",\"tickets_metric_key\":\"{{host_ip}}\"}',0,'2021-05-28 11:55:01','2021-05-28 11:55:02'),(328,'机器Load5','org','machine','machine_load5','{\"filters\":[{\"operator\":\"in\",\"tag\":\"cluster_name\",\"value\":[\"$cluster_name\"]}],\"functions\":[{\"aggregator\":\"avg\",\"field\":\"load5\",\"operator\":\"gte\",\"value_script\":\"function invoke(field,tag){ return field.n_cpus * 2.5 }\"}],\"group\":[\"host_ip\"],\"metric\":\"host_summary\",\"outputs\":[\"alert\"],\"select\":{\"cluster_name\":\"#cluster_name\",\"host_ip\":\"#host_ip\"},\"window\":1}','{\"alert_group\":\"{{cluster_name}}-{{host_ip}}\",\"display_url_id\":\"machine_load\",\"level\":\"WARNING\",\"recover\":\"true\",\"tickets_metric_key\":\"{{host_ip}}\"}',0,'2021-05-28 11:55:01','2021-05-28 11:55:02'),(329,'网盘','org','machine','machine_netdisk','{\"filters\":[{\"operator\":\"in\",\"tag\":\"cluster_name\",\"value\":[\"$cluster_name\"]},{\"operator\":\"eq\",\"tag\":\"type\",\"value\":\"netdata\"}],\"functions\":[{\"aggregator\":\"value\",\"field\":\"used_percent\",\"operator\":\"gte\",\"value\":75},{\"aggregator\":\"value\",\"field\":\"total\"}],\"group\":null,\"metric\":\"disk\",\"outputs\":[\"alert\"],\"select\":{\"cluster_name\":\"#cluster_name\"},\"window\":1}','{\"alert_group\":\"{{cluster_name}}\",\"level\":\"WARNING\",\"recover\":\"true\",\"tickets_metric_key\":\"{{cluster_name}}\"}',0,'2021-05-28 11:55:01','2021-05-28 11:55:02'),(330,'网盘容量使用量异常告警','org','machine','machine_netdisk_used','{\"filters\":[{\"operator\":\"in\",\"tag\":\"cluster_name\",\"value\":[\"$cluster_name\"]},{\"operator\":\"eq\",\"tag\":\"type\",\"value\":\"netdata\"}],\"functions\":[{\"aggregator\":\"value\",\"alias\":\"used\",\"field\":\"used\",\"field_script\":\"function invoke(field, tag){ return field.used/1024/1024/1024 }\",\"operator\":\"gte\",\"value\":800},{\"aggregator\":\"value\",\"alias\":\"total\",\"field_script\":\"function invoke(field, tag){ return field.total/1024/1024/1024 }\"}],\"group\":null,\"metric\":\"disk\",\"outputs\":[\"alert\"],\"select\":{\"cluster_name\":\"#cluster_name\"},\"window\":1}','{\"alert_group\":\"{{cluster_name}}\",\"level\":\"WARNING\",\"recover\":\"true\",\"tickets_metric_key\":\"{{cluster_name}}\"}',0,'2021-05-28 11:55:01','2021-05-28 11:55:02'),(331,'机器宕机','org','machine','machine_status','{\"filters\":[{\"operator\":\"in\",\"tag\":\"cluster_name\",\"value\":[\"$cluster_name\"]}],\"functions\":[{\"aggregator\":\"values\",\"field\":\"status\",\"operator\":\"all\",\"value\":\"not_ready\"},{\"aggregator\":\"value\",\"field\":\"last_timestamp\"}],\"group\":[\"host_ip\"],\"metric\":\"machine_status\",\"outputs\":[\"alert\"],\"select\":{\"cluster_name\":\"#cluster_name\",\"host_ip\":\"#host_ip\"},\"window\":5}','{\"alert_group\":\"{{cluster_name}}-{{host_ip}}\",\"display_url_id\":\"machine_crash\",\"level\":\"WARNING\",\"recover\":\"true\",\"tickets_metric_key\":\"{{host_ip}}\"}',0,'2021-05-28 11:55:01','2021-05-28 11:55:02'),(332,'API网关实例CPU使用率异常','org','micro_service','api_gateway_cpu','{\"filters\":[{\"operator\":\"in\",\"tag\":\"cluster_name\",\"value\":[\"$cluster_name\"]},{\"operator\":\"in\",\"tag\":\"addon_type\",\"value\":[\"api-gateway\",\"postgresql\"]}],\"functions\":[{\"aggregator\":\"avg\",\"field\":\"cpu_usage_percent\",\"field_script\":\"function invoke(fields,tags){return fields.cpu_limit===0?fields.cpu_usage_percent:fields.cpu_usage_percent/fields.cpu_limit}\",\"operator\":\"gte\",\"value\":90},{\"aggregator\":\"value\",\"field\":\"cpu_limit\"},{\"aggregator\":\"value\",\"field\":\"cpu_allocation\"}],\"group\":[\"container_id\"],\"metric\":\"docker_container_summary\",\"outputs\":[\"alert\"],\"select\":{\"addon_id\":\"#addon_id\",\"addon_type\":\"#addon_type\",\"cluster_name\":\"#cluster_name\",\"container_id\":\"#container_id\",\"host_ip\":\"#host_ip\",\"pod_name\":\"#pod_name\",\"pod_namespace\":\"#pod_namespace\"},\"window\":1}','{\"alert_group\":\"{{cluster_name}}-{{container_id}}\",\"level\":\"WARNING\",\"recover\":\"false\",\"tickets_metric_key\":\"{{container_id}}\"}',0,'2021-05-28 11:55:01','2021-05-28 11:55:02'),(333,'API网关实例内存使用率异常','org','micro_service','api_gateway_mem','{\"filters\":[{\"operator\":\"in\",\"tag\":\"cluster_name\",\"value\":[\"$cluster_name\"]},{\"operator\":\"in\",\"tag\":\"addon_type\",\"value\":[\"api-gateway\",\"postgresql\"]}],\"functions\":[{\"aggregator\":\"avg\",\"field\":\"mem_usage_percent\",\"operator\":\"gte\",\"value\":90},{\"aggregator\":\"value\",\"field\":\"mem_usage\"},{\"aggregator\":\"value\",\"field\":\"mem_limit\"},{\"aggregator\":\"value\",\"field\":\"mem_max_usage\"}],\"group\":[\"container_id\"],\"metric\":\"docker_container_summary\",\"outputs\":[\"alert\"],\"select\":{\"addon_id\":\"#addon_id\",\"addon_type\":\"#addon_type\",\"cluster_name\":\"#cluster_name\",\"container_id\":\"#container_id\",\"host_ip\":\"#host_ip\",\"pod_name\":\"#pod_name\",\"pod_namespace\":\"#pod_namespace\"},\"window\":1}','{\"alert_group\":\"{{cluster_name}}-{{container_id}}\",\"level\":\"WARNING\",\"recover\":\"false\",\"tickets_metric_key\":\"{{container_id}}\"}',0,'2021-05-28 11:55:01','2021-05-28 11:55:02'),(334,'注册中心实例CPU使用率异常','org','micro_service','register_center_cpu','{\"filters\":[{\"operator\":\"in\",\"tag\":\"cluster_name\",\"value\":[\"$cluster_name\"]},{\"operator\":\"in\",\"tag\":\"addon_type\",\"value\":[\"nacos\",\"zkproxy\"]}],\"functions\":[{\"aggregator\":\"avg\",\"field\":\"cpu_usage_percent\",\"field_script\":\"function invoke(fields,tags){return fields.cpu_limit===0?fields.cpu_usage_percent:fields.cpu_usage_percent/fields.cpu_limit}\",\"operator\":\"gte\",\"value\":90},{\"aggregator\":\"value\",\"field\":\"cpu_limit\"},{\"aggregator\":\"value\",\"field\":\"cpu_allocation\"}],\"group\":[\"container_id\"],\"metric\":\"docker_container_summary\",\"outputs\":[\"alert\"],\"select\":{\"addon_id\":\"#addon_id\",\"addon_type\":\"#addon_type\",\"cluster_name\":\"#cluster_name\",\"container_id\":\"#container_id\",\"host_ip\":\"#host_ip\",\"pod_name\":\"#pod_name\",\"pod_namespace\":\"#pod_namespace\"},\"window\":1}','{\"alert_group\":\"{{cluster_name}}-{{container_id}}\",\"level\":\"WARNING\",\"recover\":\"false\",\"tickets_metric_key\":\"{{container_id}}\"}',0,'2021-05-28 11:55:01','2021-05-28 11:55:02'),(335,'注册中心实例内存使用率异常','org','micro_service','register_center_mem','{\"filters\":[{\"operator\":\"in\",\"tag\":\"cluster_name\",\"value\":[\"$cluster_name\"]},{\"operator\":\"in\",\"tag\":\"addon_type\",\"value\":[\"nacos\",\"zkproxy\"]}],\"functions\":[{\"aggregator\":\"avg\",\"field\":\"mem_usage_percent\",\"operator\":\"gte\",\"value\":90},{\"aggregator\":\"value\",\"field\":\"mem_usage\"},{\"aggregator\":\"value\",\"field\":\"mem_limit\"},{\"aggregator\":\"value\",\"field\":\"mem_max_usage\"}],\"group\":[\"container_id\"],\"metric\":\"docker_container_summary\",\"outputs\":[\"alert\"],\"select\":{\"addon_id\":\"#addon_id\",\"addon_type\":\"#addon_type\",\"cluster_name\":\"#cluster_name\",\"container_id\":\"#container_id\",\"host_ip\":\"#host_ip\",\"pod_name\":\"#pod_name\",\"pod_namespace\":\"#pod_namespace\"},\"window\":1}','{\"alert_group\":\"{{cluster_name}}-{{container_id}}\",\"level\":\"WARNING\",\"recover\":\"false\",\"tickets_metric_key\":\"{{container_id}}\"}',0,'2021-05-28 11:55:01','2021-05-28 11:55:02'),(336,'服务熔断通知告警','micro_service','micro_service','sidecar_circuit_breaker','{\"filters\":[{\"operator\":\"eq\",\"tag\":\"terminus_key\",\"value\":\"$terminus_key\"},{\"operator\":\"in\",\"tag\":\"application_id\",\"value\":[\"$application_id\"]}],\"functions\":[{\"aggregator\":\"sum\",\"field\":\"count\",\"operator\":\"gte\",\"value\":1}],\"group\":[\"service_name\"],\"metric\":\"sidecar_circuit_breaker\",\"outputs\":[\"alert\"],\"select\":{\"application_id\":\"#application_id\",\"application_name\":\"#application_name\",\"cluster_name\":\"#cluster_name\",\"host_ip\":\"#host_ip\",\"project_name\":\"#project_name\",\"runtime_name\":\"#runtime_name\",\"service_name\":\"#service_name\",\"terminus_key\":\"#terminus_key\",\"workspace\":\"#workspace\"},\"window\":1}','{\"alert_group\":\"{{terminus_key}}\",\"level\":\"WARNING\",\"recover\":\"false\",\"tickets_metric_key\":\"{{terminus_key}}\"}',0,'2021-05-28 11:55:01','2021-05-28 11:55:02'),(337,'ElasticSearch实例CPU使用率异常告警','org','addon','addon_elasticsearch_cpu','{\"filters\":[{\"operator\":\"in\",\"tag\":\"cluster_name\",\"value\":[\"$cluster_name\"]},{\"operator\":\"in\",\"tag\":\"addon_type\",\"value\":[\"terminus-elasticsearch\",\"elasticsearch-operator\"]}],\"functions\":[{\"aggregator\":\"avg\",\"field\":\"cpu_usage_percent\",\"field_script\":\"function invoke(fields,tags){return fields.cpu_limit===0?fields.cpu_usage_percent:fields.cpu_usage_percent/fields.cpu_limit}\",\"operator\":\"gte\",\"value\":90},{\"aggregator\":\"value\",\"field\":\"cpu_limit\"},{\"aggregator\":\"value\",\"field\":\"cpu_allocation\"}],\"group\":[\"container_id\"],\"metric\":\"docker_container_summary\",\"outputs\":[\"alert\"],\"select\":{\"addon_id\":\"#addon_id\",\"addon_type\":\"#addon_type\",\"cluster_name\":\"#cluster_name\",\"container_id\":\"#container_id\",\"host_ip\":\"#host_ip\",\"pod_name\":\"#pod_name\",\"pod_namespace\":\"#pod_namespace\"},\"window\":1}','{\"alert_group\":\"{{cluster_name}}-{{container_id}}\",\"level\":\"WARNING\",\"recover\":\"false\",\"tickets_metric_key\":\"{{container_id}}\"}',0,'2021-05-28 11:55:02','2021-05-28 11:55:02'),(338,'Elasticsearch实例内存使用率异常告警','org','addon','addon_elasticsearch_mem','{\"filters\":[{\"operator\":\"in\",\"tag\":\"cluster_name\",\"value\":[\"$cluster_name\"]},{\"operator\":\"in\",\"tag\":\"addon_type\",\"value\":[\"terminus-elasticsearch\",\"elasticsearch-operator\"]}],\"functions\":[{\"aggregator\":\"avg\",\"field\":\"mem_usage_percent\",\"operator\":\"gte\",\"value\":90},{\"aggregator\":\"value\",\"field\":\"mem_limit\"},{\"aggregator\":\"value\",\"field\":\"mem_allocation\"}],\"group\":[\"container_id\"],\"metric\":\"docker_container_summary\",\"outputs\":[\"alert\"],\"select\":{\"addon_id\":\"#addon_id\",\"addon_type\":\"#addon_type\",\"cluster_name\":\"#cluster_name\",\"container_id\":\"#container_id\",\"host_ip\":\"#host_ip\",\"pod_name\":\"#pod_name\",\"pod_namespace\":\"#pod_namespace\"},\"window\":1}','{\"alert_group\":\"{{cluster_name}}-{{container_id}}\",\"level\":\"WARNING\",\"recover\":\"false\",\"tickets_metric_key\":\"{{container_id}}\"}',0,'2021-05-28 11:55:02','2021-05-28 11:55:02'),(339,'MySQL实例CPU使用率异常告警','org','addon','addon_mysql_cpu','{\"filters\":[{\"operator\":\"in\",\"tag\":\"cluster_name\",\"value\":[\"$cluster_name\"]},{\"operator\":\"in\",\"tag\":\"addon_type\",\"value\":[\"mysql\"]}],\"functions\":[{\"aggregator\":\"avg\",\"field\":\"cpu_usage_percent\",\"field_script\":\"function invoke(fields,tags){return fields.cpu_limit===0?fields.cpu_usage_percent:fields.cpu_usage_percent/fields.cpu_limit}\",\"operator\":\"gte\",\"value\":90},{\"aggregator\":\"value\",\"field\":\"cpu_limit\"},{\"aggregator\":\"value\",\"field\":\"cpu_allocation\"}],\"group\":[\"container_id\"],\"metric\":\"docker_container_summary\",\"outputs\":[\"alert\"],\"select\":{\"addon_id\":\"#addon_id\",\"addon_type\":\"#addon_type\",\"cluster_name\":\"#cluster_name\",\"container_id\":\"#container_id\",\"host_ip\":\"#host_ip\",\"pod_name\":\"#pod_name\",\"pod_namespace\":\"#pod_namespace\"},\"window\":1}','{\"alert_group\":\"{{cluster_name}}-{{container_id}}\",\"level\":\"WARNING\",\"recover\":\"false\",\"tickets_metric_key\":\"{{container_id}}\"}',0,'2021-05-28 11:55:02','2021-05-28 11:55:02'),(340,'MySQL实例内存使用率异常告警','org','addon','addon_mysql_mem','{\"filters\":[{\"operator\":\"in\",\"tag\":\"cluster_name\",\"value\":[\"$cluster_name\"]},{\"operator\":\"in\",\"tag\":\"addon_type\",\"value\":[\"mysql\"]}],\"functions\":[{\"aggregator\":\"avg\",\"field\":\"mem_usage_percent\",\"operator\":\"gte\",\"value\":85},{\"aggregator\":\"value\",\"field\":\"mem_limit\"},{\"aggregator\":\"value\",\"field\":\"mem_allocation\"}],\"group\":[\"container_id\"],\"metric\":\"docker_container_summary\",\"outputs\":[\"alert\"],\"select\":{\"addon_id\":\"#addon_id\",\"addon_type\":\"#addon_type\",\"cluster_name\":\"#cluster_name\",\"container_id\":\"#container_id\",\"host_ip\":\"#host_ip\",\"pod_name\":\"#pod_name\",\"pod_namespace\":\"#pod_namespace\"},\"window\":1}','{\"alert_group\":\"{{cluster_name}}-{{container_id}}\",\"level\":\"WARNING\",\"recover\":\"false\",\"tickets_metric_key\":\"{{container_id}}\"}',0,'2021-05-28 11:55:02','2021-05-28 11:55:02'),(341,'MySQL实例主从同步异常告警','org','addon','addon_mysql_slave_status','{\"filters\":[{\"operator\":\"in\",\"tag\":\"cluster_name\",\"value\":[\"$cluster_name\"]},{\"operator\":\"eq\",\"tag\":\"is_slave\",\"value\":\"true\"}],\"functions\":[{\"aggregator\":\"value\",\"field\":\"slave_slave_running_ok\",\"field_script\":\"function invoke(fields,tags){return (fields.slave_slave_io_running==0 || fields.slave_slave_sql_running==0)?0:1}\",\"operator\":\"neq\",\"value\":1},{\"aggregator\":\"value\",\"field\":\"slave_slave_sql_running\"},{\"aggregator\":\"value\",\"field\":\"slave_slave_io_running\"}],\"group\":[\"addon_id\",\"server\"],\"metric\":\"mysql\",\"outputs\":[\"alert\"],\"select\":{\"addon_id\":\"#addon_id\",\"cluster_name\":\"#cluster_name\",\"host_ip\":\"#host_ip\"},\"window\":1}','{\"alert_group\":\"{{cluster_name}}-{{addon_id}}\",\"level\":\"WARNING\",\"recover\":\"false\",\"tickets_metric_key\":\"{{addon_id}}\"}',0,'2021-05-28 11:55:02','2021-05-28 11:55:02'),(342,'redis实例内存使用率异常告警','org','addon','addon_redis_mem','{\"filters\":[{\"operator\":\"in\",\"tag\":\"cluster_name\",\"value\":[\"$cluster_name\"]},{\"operator\":\"in\",\"tag\":\"addon_type\",\"value\":[\"redis\"]}],\"functions\":[{\"aggregator\":\"avg\",\"field\":\"mem_usage_percent\",\"operator\":\"gte\",\"value\":85},{\"aggregator\":\"value\",\"field\":\"mem_limit\"},{\"aggregator\":\"value\",\"field\":\"mem_allocation\"}],\"group\":[\"container_id\"],\"metric\":\"docker_container_summary\",\"outputs\":[\"alert\"],\"select\":{\"addon_id\":\"#addon_id\",\"addon_type\":\"#addon_type\",\"cluster_name\":\"#cluster_name\",\"container_id\":\"#container_id\",\"host_ip\":\"#host_ip\",\"pod_name\":\"#pod_name\",\"pod_namespace\":\"#pod_namespace\"},\"window\":1}','{\"alert_group\":\"{{cluster_name}}-{{container_id}}\",\"level\":\"WARNING\",\"recover\":\"false\",\"tickets_metric_key\":\"{{container_id}}\"}',0,'2021-05-28 11:55:02','2021-05-28 11:55:02'),(343,'应用错误次数','micro_service','app_exception','app_exception_count','{\"filters\":[{\"operator\":\"eq\",\"tag\":\"terminus_key\",\"value\":\"$terminus_key\"},{\"operator\":\"in\",\"tag\":\"application_id\",\"value\":[\"$application_id\"]}],\"functions\":[{\"aggregator\":\"sum\",\"field\":\"count\",\"operator\":\"gte\",\"value\":20}],\"group\":[\"error_id\"],\"metric\":\"error_alert\",\"outputs\":[\"alert\"],\"select\":{\"application_id\":\"#application_id\",\"application_name\":\"#application_name\",\"class\":\"#class\",\"cluster_name\":\"#cluster_name\",\"error_id\":\"#error_id\",\"host_ip\":\"#host_ip\",\"instance_id\":\"#instance_id\",\"line\":\"#line\",\"method\":\"#method\",\"project_id\":\"#project_id\",\"project_name\":\"#project_name\",\"runtime_id\":\"#runtime_id\",\"runtime_name\":\"#runtime_name\",\"service_name\":\"#service_name\",\"terminus_key\":\"#terminus_key\",\"type\":\"#type\",\"workspace\":\"#workspace\"},\"window\":5}','{\"alert_group\":\"{{terminus_key}}-{{error_id}}\",\"display_url_id\":\"micro_error_detail\",\"level\":\"WARNING\",\"recover\":\"false\",\"tickets_metric_key\":\"{{error_id}}\"}',0,'2021-05-28 11:55:02','2021-05-28 11:55:02'),(344,'应用实例CPU使用率异常','micro_service','app_resource','app_resource_container_cpu','{\"filters\":[{\"operator\":\"eq\",\"tag\":\"terminus_key\",\"value\":\"$terminus_key\"},{\"operator\":\"in\",\"tag\":\"application_id\",\"value\":[\"$application_id\"]}],\"functions\":[{\"aggregator\":\"avg\",\"field\":\"cpu_usage_percent\",\"field_script\":\"function invoke(fields,tags){return fields.cpu_limit===0?fields.cpu_usage_percent:fields.cpu_usage_percent/fields.cpu_limit}\",\"operator\":\"gte\",\"value\":90},{\"aggregator\":\"value\",\"field\":\"cpu_limit\"},{\"aggregator\":\"value\",\"field\":\"cpu_allocation\"}],\"group\":[\"container_id\"],\"metric\":\"docker_container_summary\",\"outputs\":[\"alert\"],\"select\":{\"application_id\":\"#application_id\",\"application_name\":\"#application_name\",\"cluster_name\":\"#cluster_name\",\"container_id\":\"#container_id\",\"host_ip\":\"#host_ip\",\"instance_id\":\"#instance_id\",\"project_id\":\"#project_id\",\"project_name\":\"#project_name\",\"runtime_id\":\"#runtime_id\",\"runtime_name\":\"#runtime_name\",\"service_name\":\"#service_name\",\"terminus_key\":\"#terminus_key\"},\"window\":1}','{\"alert_group\":\"{{terminus_key}}-{{container_id}}\",\"display_url_id\":\"workbench_runtime\",\"level\":\"WARNING\",\"recover\":\"false\",\"tickets_metric_key\":\"{{container_id}}\"}',0,'2021-05-28 11:55:02','2021-05-28 11:55:02'),(345,'应用实例内存使用率异常','micro_service','app_resource','app_resource_container_mem','{\"filters\":[{\"operator\":\"eq\",\"tag\":\"terminus_key\",\"value\":\"$terminus_key\"},{\"operator\":\"in\",\"tag\":\"application_id\",\"value\":[\"$application_id\"]}],\"functions\":[{\"aggregator\":\"avg\",\"field\":\"mem_usage_percent\",\"operator\":\"gte\",\"value\":90},{\"aggregator\":\"value\",\"field\":\"mem_usage\"},{\"aggregator\":\"value\",\"field\":\"mem_limit\"},{\"aggregator\":\"value\",\"field\":\"mem_max_usage\"}],\"group\":[\"container_id\"],\"metric\":\"docker_container_summary\",\"outputs\":[\"alert\"],\"select\":{\"application_id\":\"#application_id\",\"application_name\":\"#application_name\",\"cluster_name\":\"#cluster_name\",\"container_id\":\"#container_id\",\"host_ip\":\"#host_ip\",\"instance_id\":\"#instance_id\",\"project_id\":\"#project_id\",\"project_name\":\"#project_name\",\"runtime_id\":\"#runtime_id\",\"runtime_name\":\"#runtime_name\",\"service_name\":\"#service_name\",\"terminus_key\":\"#terminus_key\"},\"window\":1}','{\"alert_group\":\"{{terminus_key}}-{{container_id}}\",\"display_url_id\":\"workbench_runtime\",\"level\":\"WARNING\",\"recover\":\"false\",\"tickets_metric_key\":\"{{container_id}}\"}',0,'2021-05-28 11:55:02','2021-05-28 11:55:02'),(346,'应用实例OOM','micro_service','app_resource','app_resource_container_oom','{\"filters\":[{\"operator\":\"eq\",\"tag\":\"terminus_key\",\"value\":\"$terminus_key\"},{\"operator\":\"in\",\"tag\":\"application_id\",\"value\":[\"$application_id\"]}],\"functions\":[{\"aggregator\":\"values\",\"field\":\"oomkilled\",\"operator\":\"contains\",\"value\":true}],\"group\":[\"container_id\"],\"metric\":\"docker_container_summary\",\"outputs\":[\"alert\"],\"select\":{\"application_id\":\"#application_id\",\"application_name\":\"#application_name\",\"cluster_name\":\"#cluster_name\",\"container_id\":\"#container_id\",\"host_ip\":\"#host_ip\",\"instance_id\":\"#instance_id\",\"project_id\":\"#project_id\",\"project_name\":\"#project_name\",\"runtime_id\":\"#runtime_id\",\"runtime_name\":\"#runtime_name\",\"service_name\":\"#service_name\",\"terminus_key\":\"#terminus_key\"},\"window\":1}','{\"alert_group\":\"{{terminus_key}}-{{container_id}}\",\"display_url_id\":\"workbench_runtime\",\"level\":\"WARNING\",\"recover\":\"false\",\"tickets_metric_key\":\"{{container_id}}\"}',0,'2021-05-28 11:55:02','2021-05-28 11:55:02'),(347,'应用JVM GC次数','micro_service','app_resource','app_resource_jvm_gc_count','{\"filters\":[{\"operator\":\"eq\",\"tag\":\"name\",\"value\":\"concurrentmarksweep\"},{\"operator\":\"eq\",\"tag\":\"terminus_key\",\"value\":\"$terminus_key\"},{\"operator\":\"in\",\"tag\":\"application_id\",\"value\":[\"$application_id\"]}],\"functions\":[{\"aggregator\":\"sum\",\"field\":\"count\",\"operator\":\"gte\",\"value\":5}],\"group\":[\"instance_id\"],\"metric\":\"jvm_gc\",\"outputs\":[\"alert\"],\"select\":{\"application_id\":\"#application_id\",\"application_name\":\"#application_name\",\"cluster_name\":\"#cluster_name\",\"host_ip\":\"#host_ip\",\"instance_id\":\"#instance_id\",\"project_id\":\"#project_id\",\"project_name\":\"#project_name\",\"runtime_id\":\"#runtime_id\",\"runtime_name\":\"#runtime_name\",\"service_name\":\"#service_name\",\"terminus_key\":\"#terminus_key\",\"workspace\":\"#workspace\"},\"window\":3}','{\"alert_group\":\"{{terminus_key}}-{{instance_id}}\",\"display_url_id\":\"micro_jvm\",\"level\":\"WARNING\",\"recover\":\"false\",\"tickets_metric_key\":\"{{instance_id}}\"}',0,'2021-05-28 11:55:02','2021-05-28 11:55:02'),(348,'应用JVM GC 耗时','micro_service','app_resource','app_resource_jvm_gc_time','{\"condition\":\"or\",\"filters\":[{\"operator\":\"eq\",\"tag\":\"name\",\"value\":\"concurrentmarksweep\"},{\"operator\":\"eq\",\"tag\":\"terminus_key\",\"value\":\"$terminus_key\"},{\"operator\":\"in\",\"tag\":\"application_id\",\"value\":[\"$application_id\"]}],\"functions\":[{\"aggregator\":\"value\",\"field\":\"time\",\"operator\":\"gte\",\"value\":400},{\"aggregator\":\"sum\",\"field\":\"time\",\"operator\":\"gte\",\"value\":1000}],\"group\":[\"instance_id\"],\"metric\":\"jvm_gc\",\"outputs\":[\"alert\"],\"select\":{\"application_id\":\"#application_id\",\"application_name\":\"#application_name\",\"cluster_name\":\"#cluster_name\",\"host_ip\":\"#host_ip\",\"instance_id\":\"#instance_id\",\"project_id\":\"#project_id\",\"project_name\":\"#project_name\",\"runtime_id\":\"#runtime_id\",\"runtime_name\":\"#runtime_name\",\"service_name\":\"#service_name\",\"terminus_key\":\"#terminus_key\",\"workspace\":\"#workspace\"},\"window\":1}','{\"alert_group\":\"{{terminus_key}}-{{instance_id}}\",\"display_url_id\":\"micro_jvm\",\"level\":\"WARNING\",\"recover\":\"false\",\"tickets_metric_key\":\"{{instance_id}}\"}',0,'2021-05-28 11:55:02','2021-05-28 11:55:02'),(349,'应用JVM堆内存','micro_service','app_resource','app_resource_jvm_heap','{\"condition\":\"and\",\"filters\":[{\"operator\":\"eq\",\"tag\":\"name\",\"value\":\"heap_memory\"},{\"operator\":\"eq\",\"tag\":\"terminus_key\",\"value\":\"$terminus_key\"},{\"operator\":\"in\",\"tag\":\"application_id\",\"value\":[\"$application_id\"]}],\"functions\":[{\"aggregator\":\"avg\",\"field\":\"usage_percent\",\"field_script\":\"function invoke(field, tag){ return field.used / field.max * 100; }\",\"operator\":\"gte\",\"value\":75},{\"aggregator\":\"value\",\"field\":\"used\"},{\"aggregator\":\"value\",\"field\":\"max\"}],\"group\":[\"instance_id\"],\"metric\":\"jvm_memory\",\"outputs\":[\"alert\"],\"select\":{\"application_id\":\"#application_id\",\"application_name\":\"#application_name\",\"cluster_name\":\"#cluster_name\",\"host_ip\":\"#host_ip\",\"instance_id\":\"#instance_id\",\"project_id\":\"#project_id\",\"project_name\":\"#project_name\",\"runtime_id\":\"#runtime_id\",\"runtime_name\":\"#runtime_name\",\"service_name\":\"#service_name\",\"terminus_key\":\"#terminus_key\",\"workspace\":\"#workspace\"},\"window\":1}','{\"alert_group\":\"{{terminus_key}}-{{instance_id}}\",\"display_url_id\":\"micro_jvm\",\"level\":\"WARNING\",\"recover\":\"false\",\"tickets_metric_key\":\"{{instance_id}}\"}',0,'2021-05-28 11:55:02','2021-05-28 11:55:02'),(350,'应用NodeJS堆内存使用率','micro_service','app_resource','app_resource_nodejs_heap','{\"filters\":[{\"operator\":\"eq\",\"tag\":\"terminus_key\",\"value\":\"$terminus_key\"},{\"operator\":\"in\",\"tag\":\"application_id\",\"value\":[\"$application_id\"]}],\"functions\":[{\"aggregator\":\"avg\",\"field\":\"usage_percent\",\"field_script\":\"function invoke(field, tag){ if(!field.max) { return 0; } return field.rss / field.max * 100; }\",\"operator\":\"gte\",\"value\":75},{\"aggregator\":\"value\",\"field\":\"heap_used\"},{\"aggregator\":\"value\",\"field\":\"heap_total\"},{\"aggregator\":\"value\",\"field\":\"rss\"},{\"aggregator\":\"value\",\"field\":\"max\"}],\"group\":[\"instance_id\"],\"metric\":\"nodejs_memory\",\"outputs\":[\"alert\"],\"select\":{\"application_id\":\"#application_id\",\"application_name\":\"#application_name\",\"cluster_name\":\"#cluster_name\",\"host_ip\":\"#host_ip\",\"instance_id\":\"#instance_id\",\"project_id\":\"#project_id\",\"project_name\":\"#project_name\",\"runtime_id\":\"#runtime_id\",\"runtime_name\":\"#runtime_name\",\"service_name\":\"#service_name\",\"terminus_key\":\"#terminus_key\",\"workspace\":\"#workspace\"},\"window\":1}','{\"alert_group\":\"{{terminus_key}}-{{instance_id}}\",\"display_url_id\":\"micro_nodejs\",\"level\":\"WARNING\",\"recover\":\"false\",\"tickets_metric_key\":\"{{instance_id}}\"}',0,'2021-05-28 11:55:02','2021-05-28 11:55:02'),(351,'页面内容改变','micro_service','app_status','app_status_browser','{\"alias\":\"status_page_browser\",\"filters\":[{\"operator\":\"eq\",\"tag\":\"terminus_key\",\"value\":\"$terminus_key\"},{\"operator\":\"eq\",\"tag\":\"type\",\"value\":\"browser\"}],\"functions\":[{\"aggregator\":\"value\",\"field\":\"diff_screenshot\",\"operator\":\"eq\",\"value\":false}],\"group\":[\"metric\"],\"metric\":\"status_page\",\"outputs\":[\"alert\"],\"select\":{\"metric_id\":\"#metric\",\"project_id\":\"#project_id\",\"project_name\":\"#project_name\",\"status_metric_name\":\"#metric_name\",\"terminus_key\":\"#terminus_key\",\"type\":\"#type\",\"url\":\"#url\",\"workspace\":\"#env\"},\"window\":1}','{\"alert_group\":\"{{terminus_key}}-{{metric_id}}\",\"display_url_id\":\"micro_status_detail\",\"level\":\"ERROR\",\"recover\":\"false\",\"tickets_metric_key\":\"{{metric_id}}\"}',0,'2021-05-28 11:55:02','2021-05-28 11:55:02'),(352,'主动监控HTTP状态异常','micro_service','app_status','app_status_code','{\"filters\":[{\"operator\":\"eq\",\"tag\":\"terminus_key\",\"value\":\"$terminus_key\"},{\"operator\":\"eq\",\"tag\":\"type\",\"value\":\"http\"}],\"functions\":[{\"aggregator\":\"sum\",\"field\":\"retry\"},{\"aggregator\":\"min\",\"field\":\"code\",\"operator\":\"gte\",\"value\":400}],\"group\":[\"metric\"],\"metric\":\"status_page\",\"outputs\":[\"alert\"],\"select\":{\"metric_id\":\"#metric\",\"project_id\":\"#project_id\",\"project_name\":\"#project_name\",\"status_metric_name\":\"#metric_name\",\"terminus_key\":\"#terminus_key\",\"type\":\"#type\",\"url\":\"#url\",\"workspace\":\"#env\"},\"window\":1}','{\"alert_group\":\"{{terminus_key}}-{{metric_id}}\",\"display_url_id\":\"micro_status_detail\",\"level\":\"ERROR\",\"recover\":\"true\",\"tickets_metric_key\":\"{{metric_id}}\"}',0,'2021-05-28 11:55:02','2021-05-28 11:55:02'),(353,'服务接口HTTP错误率异常','micro_service','app_transaction','app_transaction_http_path_error','{\"condition\":\"and\",\"filters\":[{\"operator\":\"eq\",\"tag\":\"target_terminus_key\",\"value\":\"$target_terminus_key\"},{\"operator\":\"in\",\"tag\":\"target_application_id\",\"value\":[\"$target_application_id\"]}],\"functions\":[{\"aggregator\":\"sum\",\"field\":\"elapsed_count\",\"operator\":\"gte\",\"value\":10},{\"aggregator\":\"sum\",\"field\":\"error_count\",\"field_script\":\"function invoke(field, tag){ if(field.http_status_code_mean \\u003c 500) { return 0; } return field.elapsed_count; }\"},{\"aggregator\":\"value\",\"field\":\"error_percent\",\"field_script\":\"function invoke(field, tag){ if(!field.elapsed_count_sum) return 0; return field.elapsed_count_sum === 0 ? 0 : (field.error_count_sum / field.elapsed_count_sum * 100);}\",\"operator\":\"gte\",\"trigger\":\"aggregated\",\"value\":50}],\"group\":[\"target_runtime_id\",\"target_service_name\",\"http_path\",\"http_method\"],\"metric\":\"application_http\",\"outputs\":[\"alert\"],\"select\":{\"application_id\":\"#target_application_id\",\"application_name\":\"#target_application_name\",\"http_method\":\"#http_method\",\"http_path\":\"#http_path\",\"http_url\":\"#http_url\",\"project_id\":\"#target_project_id\",\"project_name\":\"#target_project_name\",\"runtime_id\":\"#target_runtime_id\",\"runtime_name\":\"#target_runtime_name\",\"service_name\":\"#target_service_name\",\"terminus_key\":\"#target_terminus_key\",\"workspace\":\"#target_workspace\"},\"window\":1}','{\"alert_group\":\"{{target_terminus_key}}-{{target_runtime_id}}-{{target_service_name}}-{{http_path}}-{{http_method}}\",\"display_url_id\":\"micro_si_web\",\"level\":\"WARNING\",\"recover\":\"false\",\"tickets_metric_key\":\"{{target_application_id}}\"}',0,'2021-05-28 11:55:02','2021-05-28 11:55:02'),(354,'服务接口HTTP慢事务异常','micro_service','app_transaction','app_transaction_http_path_rt','{\"condition\":\"and\",\"filters\":[{\"operator\":\"eq\",\"tag\":\"target_terminus_key\",\"value\":\"$target_terminus_key\"},{\"operator\":\"in\",\"tag\":\"target_application_id\",\"value\":[\"$target_application_id\"]}],\"functions\":[{\"aggregator\":\"sum\",\"field\":\"elapsed\",\"field_script\":\"function invoke(field, tag){ return field.elapsed_sum / 1000000; }\"},{\"aggregator\":\"sum\",\"field\":\"elapsed_count\",\"operator\":\"gte\",\"value\":10},{\"aggregator\":\"value\",\"field\":\"elapsed_avg\",\"field_script\":\"function invoke(field, tag){ if(!field.elapsed_count_sum) return 0; return field.elapsed_count_sum === 0 ? 0 : (field.elapsed_sum / field.elapsed_count_sum);}\",\"operator\":\"gte\",\"trigger\":\"aggregated\",\"value\":3000}],\"group\":[\"target_runtime_id\",\"target_service_name\",\"http_path\",\"http_method\"],\"metric\":\"application_http\",\"outputs\":[\"alert\"],\"select\":{\"application_id\":\"#target_application_id\",\"application_name\":\"#target_application_name\",\"http_method\":\"#http_method\",\"http_path\":\"#http_path\",\"http_url\":\"#http_url\",\"project_id\":\"#target_project_id\",\"project_name\":\"#target_project_name\",\"runtime_id\":\"#target_runtime_id\",\"runtime_name\":\"#target_runtime_name\",\"service_name\":\"#target_service_name\",\"terminus_key\":\"#target_terminus_key\",\"workspace\":\"#target_workspace\"},\"window\":1}','{\"alert_group\":\"{{target_terminus_key}}-{{target_runtime_id}}-{{target_service_name}}-{{http_path}}-{{http_method}}\",\"display_url_id\":\"micro_si_web\",\"level\":\"WARNING\",\"recover\":\"false\",\"tickets_metric_key\":\"{{target_application_id}}\"}',0,'2021-05-28 11:55:02','2021-05-28 11:55:02'),(355,'服务HTTP错误率异常','micro_service','app_transaction','app_transaction_http_service_error','{\"condition\":\"and\",\"filters\":[{\"operator\":\"eq\",\"tag\":\"target_terminus_key\",\"value\":\"$target_terminus_key\"},{\"operator\":\"in\",\"tag\":\"target_application_id\",\"value\":[\"$target_application_id\"]}],\"functions\":[{\"aggregator\":\"sum\",\"field\":\"elapsed_count\"},{\"aggregator\":\"sum\",\"field\":\"error_count\",\"field_script\":\"function invoke(field, tag){ if(field.http_status_code_mean \\u003c 500) { return 0; } return field.elapsed_count; }\"},{\"aggregator\":\"value\",\"field\":\"error_percent\",\"field_script\":\"function invoke(field, tag){ if(!field.elapsed_count_sum) return 0; return field.elapsed_count_sum === 0 ? 0 : (field.error_count_sum / field.elapsed_count_sum * 100);}\",\"operator\":\"gte\",\"trigger\":\"aggregated\",\"value\":30}],\"group\":[\"target_runtime_id\",\"target_service_name\"],\"metric\":\"application_http\",\"outputs\":[\"alert\"],\"select\":{\"application_id\":\"#target_application_id\",\"application_name\":\"#target_application_name\",\"project_id\":\"#target_project_id\",\"project_name\":\"#target_project_name\",\"runtime_id\":\"#target_runtime_id\",\"runtime_name\":\"#target_runtime_name\",\"service_name\":\"#target_service_name\",\"terminus_key\":\"#target_terminus_key\",\"workspace\":\"#target_workspace\"},\"window\":1}','{\"alert_group\":\"{{target_terminus_key}}-{{target_runtime_id}}-{{target_service_name}}\",\"display_url_id\":\"micro_si_web\",\"level\":\"WARNING\",\"recover\":\"true\",\"tickets_metric_key\":\"{{target_application_id}}\"}',0,'2021-05-28 11:55:02','2021-05-28 11:55:02'),(356,'服务HTTP慢事务异常','micro_service','app_transaction','app_transaction_http_service_rt','{\"condition\":\"and\",\"filters\":[{\"operator\":\"eq\",\"tag\":\"target_terminus_key\",\"value\":\"$target_terminus_key\"},{\"operator\":\"in\",\"tag\":\"target_application_id\",\"value\":[\"$target_application_id\"]}],\"functions\":[{\"aggregator\":\"sum\",\"field\":\"elapsed\",\"field_script\":\"function invoke(field, tag){ return field.elapsed_sum / 1000000; }\"},{\"aggregator\":\"sum\",\"field\":\"elapsed_count\"},{\"aggregator\":\"value\",\"field\":\"elapsed_avg\",\"field_script\":\"function invoke(field, tag){ if(!field.elapsed_count_sum) return 0; return field.elapsed_count_sum === 0 ? 0 : (field.elapsed_sum / field.elapsed_count_sum);}\",\"operator\":\"gte\",\"trigger\":\"aggregated\",\"value\":1000}],\"group\":[\"target_runtime_id\",\"target_service_name\"],\"metric\":\"application_http\",\"outputs\":[\"alert\"],\"select\":{\"application_id\":\"#target_application_id\",\"application_name\":\"#target_application_name\",\"project_id\":\"#target_project_id\",\"project_name\":\"#target_project_name\",\"runtime_id\":\"#target_runtime_id\",\"runtime_name\":\"#target_runtime_name\",\"service_name\":\"#target_service_name\",\"terminus_key\":\"#target_terminus_key\",\"workspace\":\"#target_workspace\"},\"window\":1}','{\"alert_group\":\"{{target_terminus_key}}-{{target_runtime_id}}-{{target_service_name}}\",\"display_url_id\":\"micro_si_web\",\"level\":\"WARNING\",\"recover\":\"true\",\"tickets_metric_key\":\"{{target_application_id}}\"}',0,'2021-05-28 11:55:02','2021-05-28 11:55:02'),(357,'MySQL SLAVE DELAY ALERT','org','custom_addon','slave_dly_alert','{\"condition\":\"or\",\"filters\":[{\"operator\":\"in\",\"tag\":\"cluster_name\",\"value\":[\"$cluster_name\"]},{\"operator\":\"eq\",\"tag\":\"is_slave\",\"value\":\"true\"}],\"functions\":[{\"aggregator\":\"values\",\"field\":\"slave_slave_sql_running_state\",\"field_script\":\"function invoke(fields,tags){if (fields.slave_slave_sql_running_state == \'Slave has read all relay log; waiting for more updates\') {return \'no delay\'} return \'delay\';}\",\"operator\":\"all\",\"value\":\"delay\"},{\"aggregator\":\"max\",\"field\":\"slave_seconds_behind_master\",\"operator\":\"gt\",\"value\":1800}],\"group\":[\"addon_id\",\"server\"],\"metric\":\"mysql\",\"outputs\":[\"alert\"],\"select\":{\"addon_id\":\"#addon_id\",\"cluster_name\":\"#cluster_name\",\"server_id\":\"#server\"},\"window\":30}','{\"alert_group\":\"{{cluster_name}}-{{addon_id}}\",\"level\":\"WARNING\",\"recover\":\"false\"}',0,'2021-05-28 11:55:02','2021-05-28 11:55:02'),(358,'MySQL SLAVE SYNC ALERT','org','custom_addon','slave_sync_alert','{\"filters\":[{\"operator\":\"in\",\"tag\":\"cluster_name\",\"value\":[\"$cluster_name\"]},{\"operator\":\"eq\",\"tag\":\"is_slave\",\"value\":\"true\"}],\"functions\":[{\"aggregator\":\"value\",\"field\":\"slave_slave_sync_ok\",\"field_script\":\"function invoke(fields,tags){if (fields.slave_slave_io_running == 0 || fields.slave_slave_sql_running == 0) {return \'0\'} return \'1\'}\",\"operator\":\"eq\",\"value\":\"0\"},{\"aggregator\":\"value\",\"field\":\"slave_slave_io_running\"},{\"aggregator\":\"value\",\"field\":\"slave_slave_sql_running\"}],\"group\":[\"addon_id\",\"server\"],\"metric\":\"mysql\",\"outputs\":[\"alert\"],\"select\":{\"addon_id\":\"#addon_id\",\"cluster_name\":\"#cluster_name\",\"server_id\":\"#server\"},\"window\":1}','{\"alert_group\":\"{{cluster_name}}-{{addon_id}}\",\"level\":\"WARNING\",\"recover\":\"false\"}',0,'2021-05-28 11:55:02','2021-05-28 11:55:02'),(359,'平台中间件Cassandra GC次数异常','org','dice_addon','dice_addon_cassandra_gc_count','{\"filters\":[{\"operator\":\"in\",\"tag\":\"cluster_name\",\"value\":[\"$cluster_name\"]},{\"operator\":\"eq\",\"tag\":\"addon_id\",\"value\":\"cassandra\"},{\"operator\":\"like\",\"tag\":\"name\",\"value\":\"Old\"}],\"functions\":[{\"aggregator\":\"min\",\"field\":\"CollectionCount_min\",\"field_script\":\"function invoke(fields,tags){return fields.CollectionCount;}\"},{\"aggregator\":\"max\",\"field\":\"CollectionCount_max\",\"field_script\":\"function invoke(fields,tags){return fields.CollectionCount;}\"},{\"aggregator\":\"value\",\"field\":\"CollectionCount_win\",\"field_script\":\"function invoke(fields,tags){return fields.CollectionCount_max-fields.CollectionCount_min;}\",\"operator\":\"gte\",\"trigger\":\"aggregated\",\"value\":10}],\"group\":[\"cluster_name\",\"node_id\"],\"metrics\":[\"addon_java_GarbageCollector\"],\"outputs\":[\"alert\"],\"select\":{\"addon_id\":\"#addon_id\",\"addon_type\":\"#addon_type\",\"cluster_name\":\"#cluster_name\",\"node_host\":\"#jolokia_host\"},\"window\":3}','{\"alert_group\":\"{{cluster_name}}-{{addon_id}}\",\"display_url_id\":\"org_addon\",\"level\":\"WARNING\",\"recover\":\"false\",\"tickets_metric_key\":\"{{addon_id}}\"}',0,'2021-05-28 11:55:02','2021-05-28 11:55:02'),(360,'平台中间件Cassandra GC耗时异常','org','dice_addon','dice_addon_cassandra_gc_time','{\"filters\":[{\"operator\":\"in\",\"tag\":\"cluster_name\",\"value\":[\"$cluster_name\"]},{\"operator\":\"eq\",\"tag\":\"addon_id\",\"value\":\"cassandra\"},{\"operator\":\"like\",\"tag\":\"name\",\"value\":\"Old\"}],\"functions\":[{\"aggregator\":\"min\",\"field\":\"CollectionTime_min\",\"field_script\":\"function invoke(fields,tags){return fields.CollectionTime;}\"},{\"aggregator\":\"max\",\"field\":\"CollectionTime_max\",\"field_script\":\"function invoke(fields,tags){return fields.CollectionTime;}\"},{\"aggregator\":\"value\",\"field\":\"CollectionTime_win\",\"field_script\":\"function invoke(fields,tags){return fields.CollectionTime_max-fields.CollectionTime_min;}\",\"operator\":\"gte\",\"trigger\":\"aggregated\",\"value\":15000}],\"group\":[\"cluster_name\",\"node_id\"],\"metrics\":[\"addon_java_GarbageCollector\"],\"outputs\":[\"alert\"],\"select\":{\"addon_id\":\"#addon_id\",\"addon_type\":\"#addon_type\",\"cluster_name\":\"#cluster_name\",\"node_host\":\"#jolokia_host\"},\"window\":3}','{\"alert_group\":\"{{cluster_name}}-{{addon_id}}\",\"display_url_id\":\"org_addon\",\"level\":\"WARNING\",\"recover\":\"false\",\"tickets_metric_key\":\"{{addon_id}}\"}',0,'2021-05-28 11:55:02','2021-05-28 11:55:02'),(361,'平台中间件实例CPU状态','org','dice_addon','dice_addon_container_cpu','{\"filters\":[{\"operator\":\"in\",\"tag\":\"cluster_name\",\"value\":[\"$cluster_name\"]},{\"operator\":\"eq\",\"tag\":\"pod_namespace\",\"value\":\"default\"},{\"operator\":\"any\",\"tag\":\"addon_id\"}],\"functions\":[{\"aggregator\":\"avg\",\"field\":\"cpu_usage_percent\",\"field_script\":\"function invoke(fields,tags){return fields.cpu_limit===0?fields.cpu_usage_percent:fields.cpu_usage_percent/fields.cpu_limit}\",\"operator\":\"gte\",\"value\":95},{\"aggregator\":\"value\",\"field\":\"cpu_limit\"},{\"aggregator\":\"value\",\"field\":\"cpu_allocation\"}],\"group\":[\"cluster_name\",\"container_id\"],\"metrics\":[\"docker_container_summary\"],\"outputs\":[\"alert\"],\"select\":{\"addon_id\":\"#addon_id\",\"cluster_name\":\"#cluster_name\",\"container_id\":\"#container_id\",\"host_ip\":\"#host_ip\",\"pod_name\":\"#pod_name\",\"pod_namespace\":\"#pod_namespace\"},\"window\":2}','{\"alert_group\":\"{{cluster_name}}-{{container_id}}\",\"level\":\"WARNING\",\"recover\":\"false\",\"tickets_metric_key\":\"{{container_id}}\"}',0,'2021-05-28 11:55:02','2021-05-28 11:55:02'),(362,'平台中间件异常退出','org','dice_addon','dice_addon_container_exit','{\"filters\":[{\"operator\":\"in\",\"tag\":\"cluster_name\",\"value\":[\"$cluster_name\"]},{\"operator\":\"eq\",\"tag\":\"pod_namespace\",\"value\":\"default\"},{\"operator\":\"any\",\"tag\":\"addon_id\"}],\"functions\":[{\"aggregator\":\"max\",\"field\":\"exitcode\",\"operator\":\"gt\",\"value\":0},{\"aggregator\":\"value\",\"field\":\"terminated_reason\",\"field_script\":\"function invoke(fields,tags){if(fields.oomkilled) return \'Out Of Memory\';return \'Error Exit Code \'+fields.exitcode;}\"},{\"aggregator\":\"value\",\"field\":\"finished_at\",\"field_script\":\"function invoke(fields,tags){if(fields.finished_at!=null\\u0026\\u0026fields.finished_at!=undefined) return fields.finished_at/1000000;return \'-\'}\"},{\"aggregator\":\"value\",\"field\":\"started_at\",\"field_script\":\"function invoke(fields,tags){if(fields.started_at!=null\\u0026\\u0026fields.started_at!=undefined) return fields.started_at/1000000;return \'-\'}\"},{\"aggregator\":\"value\",\"field\":\"pid\"}],\"group\":[\"cluster_name\",\"pod_namespace\",\"pod_name\"],\"metrics\":[\"docker_container_summary\"],\"outputs\":[\"alert\"],\"select\":{\"addon_id\":\"#addon_id\",\"cluster_name\":\"#cluster_name\",\"container_id\":\"#container_id\",\"host_ip\":\"#host_ip\",\"pod_name\":\"#pod_name\",\"pod_namespace\":\"#pod_namespace\"},\"window\":1}','{\"alert_group\":\"{{cluster_name}}-{{container_id}}\",\"display_url_id\":\"org_pod\",\"level\":\"WARNING\",\"recover\":\"false\",\"tickets_metric_key\":\"{{container_id}}\"}',0,'2021-05-28 11:55:02','2021-05-28 11:55:02'),(363,'平台中间件实例内存状态','org','dice_addon','dice_addon_container_mem','{\"filters\":[{\"operator\":\"in\",\"tag\":\"cluster_name\",\"value\":[\"$cluster_name\"]},{\"operator\":\"eq\",\"tag\":\"pod_namespace\",\"value\":\"default\"},{\"operator\":\"any\",\"tag\":\"addon_id\"}],\"functions\":[{\"aggregator\":\"avg\",\"field\":\"mem_usage_percent\",\"operator\":\"gt\",\"value\":80},{\"aggregator\":\"value\",\"field\":\"mem_usage\"},{\"aggregator\":\"value\",\"field\":\"mem_limit\"},{\"aggregator\":\"value\",\"field\":\"mem_max_usage\"},{\"aggregator\":\"value\",\"field\":\"mem_allocation\"}],\"group\":[\"cluster_name\",\"container_id\"],\"metrics\":[\"docker_container_summary\"],\"outputs\":[\"alert\"],\"select\":{\"addon_id\":\"#addon_id\",\"cluster_name\":\"#cluster_name\",\"container_id\":\"#container_id\",\"host_ip\":\"#host_ip\",\"pod_name\":\"#pod_name\",\"pod_namespace\":\"#pod_namespace\"},\"window\":2}','{\"alert_group\":\"{{cluster_name}}-{{container_id}}\",\"level\":\"WARNING\",\"recover\":\"false\",\"tickets_metric_key\":\"{{container_id}}\"}',0,'2021-05-28 11:55:02','2021-05-28 11:55:02'),(364,'平台中间件实例Ready状态异常','org','dice_addon','dice_addon_container_ready','{\"filters\":[{\"operator\":\"in\",\"tag\":\"cluster_name\",\"value\":[\"$cluster_name\"]},{\"operator\":\"eq\",\"tag\":\"namespace\",\"value\":\"default\"},{\"operator\":\"any\",\"tag\":\"addon_id\"}],\"functions\":[{\"aggregator\":\"avg\",\"field\":\"not_ready_avg\",\"field_script\":\"function invoke(fields,tags){if(tags.daemonset_name){return fields.number_unavailable}else{if(tags.statefulset_name){return fields.replicas-fields.replicas_ready}else{if(tags.deployment_name){return fields.replicas_unavailable}}}return 0}\",\"operator\":\"gt\",\"value\":0},{\"aggregator\":\"value\",\"field\":\"not_ready\",\"field_script\":\"function invoke(fields,tags){if(tags.daemonset_name){return fields.number_unavailable}else{if(tags.statefulset_name){return fields.replicas-fields.replicas_ready}else{if(tags.deployment_name){return fields.replicas_unavailable}}}return 0}\"},{\"aggregator\":\"value\",\"field\":\"ready\",\"field_script\":\"function invoke(fields,tags){if(tags.daemonset_name){return fields.number_available}else{if(tags.statefulset_name){return fields.replicas_ready}else{if(tags.deployment_name){return fields.replicas_available}}}return 0}\"},{\"aggregator\":\"value\",\"field\":\"total\",\"field_script\":\"function invoke(fields,tags){if(tags.daemonset_name){return fields.number_unavailable+fields.number_available}else{if(tags.statefulset_name){return fields.replicas}else{if(tags.deployment_name){return fields.replicas_unavailable+fields.replicas_available}}}return 0}\"},{\"aggregator\":\"value\",\"field\":\"resource_name\",\"field_script\":\"function invoke(fields,tags){if(tags.daemonset_name){return tags.daemonset_name}else{if(tags.statefulset_name){return tags.statefulset_name}else{if(tags.deployment_name){return tags.deployment_name}}}return null};\"}],\"group\":[\"cluster_name\",\"namespace\",\"daemonset_name\",\"statefulset_name\",\"deployment_name\"],\"metrics\":[\"kubernetes_daemonset\",\"kubernetes_statefulset\",\"kubernetes_deployment\"],\"outputs\":[\"alert\"],\"select\":{\"addon_id\":\"#addon_id\",\"cluster_name\":\"#cluster_name\",\"daemonset_name\":\"#daemonset_name\",\"deployment_name\":\"#deployment_name\",\"namespace\":\"#namespace\",\"statefulset_name\":\"#statefulset_name\"},\"window\":1}','{\"alert_group\":\"{{cluster_name}}-{{daemonset_name}}-{{statefulset_name}}-{{deployment_name}}\",\"level\":\"WARNING\",\"recover\":\"false\",\"tickets_metric_key\":\"{{daemonset_name}}-{{statefulset_name}}-{{deployment_name}}\"}',0,'2021-05-28 11:55:02','2021-05-28 11:55:02'),(365,'平台中间件Elasticsearch GC次数异常','org','dice_addon','dice_addon_elasticsearch_gc_count','{\"filters\":[{\"operator\":\"in\",\"tag\":\"cluster_name\",\"value\":[\"$cluster_name\"]},{\"operator\":\"eq\",\"tag\":\"addon_id\",\"value\":\"elasticsearch\"}],\"functions\":[{\"aggregator\":\"min\",\"field\":\"gc_collectors_old_collection_count_min\",\"field_script\":\"function invoke(fields,tags){return fields.gc_collectors_old_collection_count;}\"},{\"aggregator\":\"max\",\"field\":\"gc_collectors_old_collection_count_max\",\"field_script\":\"function invoke(fields,tags){return fields.gc_collectors_old_collection_count;}\"},{\"aggregator\":\"value\",\"field\":\"gc_collectors_old_collection_count_win\",\"field_script\":\"function invoke(fields,tags){return fields.gc_collectors_old_collection_count_max-fields.gc_collectors_old_collection_count_min;}\",\"operator\":\"gte\",\"trigger\":\"aggregated\",\"value\":10}],\"group\":[\"cluster_name\",\"node_id\"],\"metrics\":[\"elasticsearch_jvm\"],\"outputs\":[\"alert\"],\"select\":{\"addon_id\":\"#addon_id\",\"addon_type\":\"#addon_type\",\"cluster_name\":\"#cluster_name\",\"node_host\":\"#node_host\",\"node_id\":\"#node_id\",\"node_name\":\"#node_name\"},\"window\":3}','{\"alert_group\":\"{{cluster_name}}-{{addon_id}}\",\"display_url_id\":\"org_addon\",\"level\":\"WARNING\",\"recover\":\"false\",\"tickets_metric_key\":\"{{addon_id}}\"}',0,'2021-05-28 11:55:02','2021-05-28 11:55:02'),(366,'平台中间件Elasticsearch GC耗时异常','org','dice_addon','dice_addon_elasticsearch_gc_time','{\"filters\":[{\"operator\":\"in\",\"tag\":\"cluster_name\",\"value\":[\"$cluster_name\"]},{\"operator\":\"eq\",\"tag\":\"addon_id\",\"value\":\"elasticsearch\"}],\"functions\":[{\"aggregator\":\"min\",\"field\":\"gc_collectors_old_collection_time_in_millis_min\",\"field_script\":\"function invoke(fields,tags){return fields.gc_collectors_old_collection_time_in_millis;}\"},{\"aggregator\":\"max\",\"field\":\"gc_collectors_old_collection_time_in_millis_max\",\"field_script\":\"function invoke(fields,tags){return fields.gc_collectors_old_collection_time_in_millis;}\"},{\"aggregator\":\"value\",\"field\":\"gc_collectors_old_collection_time_in_millis_win\",\"field_script\":\"function invoke(fields,tags){return fields.gc_collectors_old_collection_time_in_millis_max-fields.gc_collectors_old_collection_time_in_millis_min;}\",\"operator\":\"gte\",\"trigger\":\"aggregated\",\"value\":15000}],\"group\":[\"cluster_name\",\"node_id\"],\"metrics\":[\"elasticsearch_jvm\"],\"outputs\":[\"alert\"],\"select\":{\"addon_id\":\"#addon_id\",\"addon_type\":\"#addon_type\",\"cluster_name\":\"#cluster_name\",\"node_host\":\"#node_host\",\"node_id\":\"#node_id\",\"node_name\":\"#node_name\"},\"window\":3}','{\"alert_group\":\"{{cluster_name}}-{{addon_id}}\",\"display_url_id\":\"org_addon\",\"level\":\"WARNING\",\"recover\":\"false\",\"tickets_metric_key\":\"{{addon_id}}\"}',0,'2021-05-28 11:55:02','2021-05-28 11:55:02'),(367,'平台中间件Kafka GC次数异常','org','dice_addon','dice_addon_kafka_gc_count','{\"filters\":[{\"operator\":\"in\",\"tag\":\"cluster_name\",\"value\":[\"$cluster_name\"]},{\"operator\":\"eq\",\"tag\":\"addon_id\",\"value\":\"kafka\"},{\"operator\":\"like\",\"tag\":\"name\",\"value\":\"Old\"}],\"functions\":[{\"aggregator\":\"min\",\"field\":\"CollectionCount_min\",\"field_script\":\"function invoke(fields,tags){return fields.CollectionCount;}\"},{\"aggregator\":\"max\",\"field\":\"CollectionCount_max\",\"field_script\":\"function invoke(fields,tags){return fields.CollectionCount;}\"},{\"aggregator\":\"value\",\"field\":\"CollectionCount_win\",\"field_script\":\"function invoke(fields,tags){return fields.CollectionCount_max-fields.CollectionCount_min;}\",\"operator\":\"gte\",\"trigger\":\"aggregated\",\"value\":10}],\"group\":[\"cluster_name\",\"node_id\"],\"metrics\":[\"addon_java_GarbageCollector\"],\"outputs\":[\"alert\"],\"select\":{\"addon_id\":\"#addon_id\",\"addon_type\":\"#addon_type\",\"cluster_name\":\"#cluster_name\",\"node_host\":\"#jolokia_host\"},\"window\":3}','{\"alert_group\":\"{{cluster_name}}-{{addon_id}}\",\"display_url_id\":\"org_addon\",\"level\":\"WARNING\",\"recover\":\"false\",\"tickets_metric_key\":\"{{addon_id}}\"}',0,'2021-05-28 11:55:02','2021-05-28 11:55:02'),(368,'平台中间件Kafka GC耗时异常','org','dice_addon','dice_addon_kafka_gc_time','{\"filters\":[{\"operator\":\"in\",\"tag\":\"cluster_name\",\"value\":[\"$cluster_name\"]},{\"operator\":\"eq\",\"tag\":\"addon_id\",\"value\":\"kafka\"},{\"operator\":\"like\",\"tag\":\"name\",\"value\":\"Old\"}],\"functions\":[{\"aggregator\":\"min\",\"field\":\"CollectionTime_min\",\"field_script\":\"function invoke(fields,tags){return fields.CollectionTime;}\"},{\"aggregator\":\"max\",\"field\":\"CollectionTime_max\",\"field_script\":\"function invoke(fields,tags){return fields.CollectionTime;}\"},{\"aggregator\":\"value\",\"field\":\"CollectionTime_win\",\"field_script\":\"function invoke(fields,tags){return fields.CollectionTime_max-fields.CollectionTime_min;}\",\"operator\":\"gte\",\"trigger\":\"aggregated\",\"value\":15000}],\"group\":[\"cluster_name\",\"node_id\"],\"metrics\":[\"addon_java_GarbageCollector\"],\"outputs\":[\"alert\"],\"select\":{\"addon_id\":\"#addon_id\",\"addon_type\":\"#addon_type\",\"cluster_name\":\"#cluster_name\",\"node_host\":\"#jolokia_host\"},\"window\":3}','{\"alert_group\":\"{{cluster_name}}-{{addon_id}}\",\"display_url_id\":\"org_addon\",\"level\":\"WARNING\",\"recover\":\"false\",\"tickets_metric_key\":\"{{addon_id}}\"}',0,'2021-05-28 11:55:02','2021-05-28 11:55:02'),(369,'平台中间件kafka消费堆积','org','dice_addon','dice_addon_kafka_lag','{\"filters\":[{\"operator\":\"in\",\"tag\":\"cluster_name\",\"value\":[\"$cluster_name\"]},{\"operator\":\"eq\",\"tag\":\"addon_id\",\"value\":\"kafka\"}],\"functions\":[{\"aggregator\":\"avg\",\"field\":\"lag\",\"operator\":\"gte\",\"value\":100000},{\"aggregator\":\"avg\",\"field\":\"consume_rate_per_sec\"},{\"aggregator\":\"avg\",\"field\":\"produce_rate_per_sec\"}],\"group\":[\"cluster_name\",\"addon_id\",\"group\",\"topic\"],\"metrics\":[\"kafka_consumer\"],\"outputs\":[\"alert\"],\"select\":{\"addon_id\":\"#addon_id\",\"addon_type\":\"#addon_type\",\"cluster_name\":\"#cluster_name\",\"group\":\"#group\",\"topic\":\"#topic\"},\"window\":3}','{\"alert_group\":\"{{cluster_name}}-{{group}}-{{topic}}\",\"display_url_id\":\"org_addon\",\"level\":\"WARNING\",\"recover\":\"false\",\"tickets_metric_key\":\"{{group}}-{{topic}}\"}',0,'2021-05-28 11:55:02','2021-05-28 11:55:02'),(370,'平台组件实例CPU状态','org','dice_component','dice_component_container_cpu','{\"filters\":[{\"operator\":\"in\",\"tag\":\"cluster_name\",\"value\":[\"$cluster_name\"]},{\"operator\":\"eq\",\"tag\":\"pod_namespace\",\"value\":\"default\"},{\"operator\":\"any\",\"tag\":\"component_name\"}],\"functions\":[{\"aggregator\":\"avg\",\"field\":\"cpu_usage_percent\",\"field_script\":\"function invoke(fields,tags){return fields.cpu_limit===0?fields.cpu_usage_percent:fields.cpu_usage_percent/fields.cpu_limit}\",\"operator\":\"gte\",\"value\":95},{\"aggregator\":\"value\",\"field\":\"cpu_limit\"},{\"aggregator\":\"value\",\"field\":\"cpu_allocation\"}],\"group\":[\"cluster_name\",\"container_id\"],\"metrics\":[\"docker_container_summary\"],\"outputs\":[\"alert\"],\"select\":{\"cluster_name\":\"#cluster_name\",\"component_name\":\"#component_name\",\"container_id\":\"#container_id\",\"host_ip\":\"#host_ip\",\"pod_name\":\"#pod_name\",\"pod_namespace\":\"#pod_namespace\"},\"window\":2}','{\"alert_group\":\"{{cluster_name}}-{{container_id}}\",\"level\":\"WARNING\",\"recover\":\"false\",\"tickets_metric_key\":\"{{container_id}}\"}',0,'2021-05-28 11:55:02','2021-05-28 11:55:02'),(371,'平台组件异常退出','org','dice_component','dice_component_container_exit','{\"filters\":[{\"operator\":\"in\",\"tag\":\"cluster_name\",\"value\":[\"$cluster_name\"]},{\"operator\":\"eq\",\"tag\":\"pod_namespace\",\"value\":\"default\"},{\"operator\":\"any\",\"tag\":\"component_name\"}],\"functions\":[{\"aggregator\":\"max\",\"field\":\"exitcode\",\"operator\":\"gt\",\"value\":0},{\"aggregator\":\"value\",\"field\":\"terminated_reason\",\"field_script\":\"function invoke(fields,tags){if(fields.oomkilled) return \'Out Of Memory\';return \'Error Exit Code \'+fields.exitcode;}\"},{\"aggregator\":\"value\",\"field\":\"finished_at\",\"field_script\":\"function invoke(fields,tags){if(fields.finished_at!=null\\u0026\\u0026fields.finished_at!=undefined) return fields.finished_at/1000000;return \'-\'}\"},{\"aggregator\":\"value\",\"field\":\"started_at\",\"field_script\":\"function invoke(fields,tags){if(fields.started_at!=null\\u0026\\u0026fields.started_at!=undefined) return fields.started_at/1000000;return \'-\'}\"},{\"aggregator\":\"value\",\"field\":\"pid\"}],\"group\":[\"cluster_name\",\"container_id\"],\"metrics\":[\"docker_container_summary\"],\"outputs\":[\"alert\"],\"select\":{\"cluster_name\":\"#cluster_name\",\"component_name\":\"#component_name\",\"container_id\":\"#container_id\",\"host_ip\":\"#host_ip\",\"pod_name\":\"#pod_name\",\"pod_namespace\":\"#pod_namespace\"},\"window\":1}','{\"alert_group\":\"{{cluster_name}}-{{container_id}}\",\"display_url_id\":\"org_pod\",\"level\":\"WARNING\",\"recover\":\"false\",\"tickets_metric_key\":\"{{container_id}}\"}',0,'2021-05-28 11:55:02','2021-05-28 11:55:02'),(372,'平台组件实例内存状态','org','dice_component','dice_component_container_mem','{\"filters\":[{\"operator\":\"in\",\"tag\":\"cluster_name\",\"value\":[\"$cluster_name\"]},{\"operator\":\"eq\",\"tag\":\"pod_namespace\",\"value\":\"default\"},{\"operator\":\"any\",\"tag\":\"component_name\"}],\"functions\":[{\"aggregator\":\"avg\",\"field\":\"mem_usage_percent\",\"operator\":\"gt\",\"value\":70},{\"aggregator\":\"value\",\"field\":\"mem_usage\"},{\"aggregator\":\"value\",\"field\":\"mem_limit\"},{\"aggregator\":\"value\",\"field\":\"mem_max_usage\"},{\"aggregator\":\"value\",\"field\":\"mem_allocation\"}],\"group\":[\"cluster_name\",\"container_id\"],\"metrics\":[\"docker_container_summary\"],\"outputs\":[\"alert\"],\"select\":{\"cluster_name\":\"#cluster_name\",\"component_name\":\"#component_name\",\"container_id\":\"#container_id\",\"host_ip\":\"#host_ip\",\"pod_name\":\"#pod_name\",\"pod_namespace\":\"#pod_namespace\"},\"window\":2}','{\"alert_group\":\"{{cluster_name}}-{{container_id}}\",\"level\":\"WARNING\",\"recover\":\"false\",\"tickets_metric_key\":\"{{container_id}}\"}',0,'2021-05-28 11:55:02','2021-05-28 11:55:02'),(373,'平台组件实例Ready状态异常','org','dice_component','dice_component_container_ready','{\"filters\":[{\"operator\":\"in\",\"tag\":\"cluster_name\",\"value\":[\"$cluster_name\"]},{\"operator\":\"eq\",\"tag\":\"namespace\",\"value\":\"default\"},{\"operator\":\"any\",\"tag\":\"component_name\"}],\"functions\":[{\"aggregator\":\"avg\",\"field\":\"not_ready_avg\",\"field_script\":\"function invoke(fields,tags){if(tags.daemonset_name){return fields.number_unavailable}else{if(tags.statefulset_name){return fields.replicas-fields.replicas_ready}else{if(tags.deployment_name){return fields.replicas_unavailable}}}return 0}\",\"operator\":\"gt\",\"value\":0},{\"aggregator\":\"value\",\"field\":\"not_ready\",\"field_script\":\"function invoke(fields,tags){if(tags.daemonset_name){return fields.number_unavailable}else{if(tags.statefulset_name){return fields.replicas-fields.replicas_ready}else{if(tags.deployment_name){return fields.replicas_unavailable}}}return 0}\"},{\"aggregator\":\"value\",\"field\":\"ready\",\"field_script\":\"function invoke(fields,tags){if(tags.daemonset_name){return fields.number_available}else{if(tags.statefulset_name){return fields.replicas_ready}else{if(tags.deployment_name){return fields.replicas_available}}}return 0}\"},{\"aggregator\":\"value\",\"field\":\"total\",\"field_script\":\"function invoke(fields,tags){if(tags.daemonset_name){return fields.number_unavailable+fields.number_available}else{if(tags.statefulset_name){return fields.replicas}else{if(tags.deployment_name){return fields.replicas_unavailable+fields.replicas_available}}}return 0}\"},{\"aggregator\":\"value\",\"field\":\"resource_name\",\"field_script\":\"function invoke(fields,tags){if(tags.daemonset_name){return tags.daemonset_name}else{if(tags.statefulset_name){return tags.statefulset_name}else{if(tags.deployment_name){return tags.deployment_name}}}return null};\"}],\"group\":[\"cluster_name\",\"namespace\",\"daemonset_name\",\"statefulset_name\",\"deployment_name\"],\"metrics\":[\"kubernetes_daemonset\",\"kubernetes_statefulset\",\"kubernetes_deployment\"],\"outputs\":[\"alert\"],\"select\":{\"cluster_name\":\"#cluster_name\",\"component_name\":\"#component_name\",\"daemonset_name\":\"#daemonset_name\",\"deployment_name\":\"#deployment_name\",\"namespace\":\"#namespace\",\"statefulset_name\":\"#statefulset_name\"},\"window\":3}','{\"alert_group\":\"{{cluster_name}}-{{daemonset_name}}-{{statefulset_name}}-{{deployment_name}}\",\"level\":\"WARNING\",\"recover\":\"false\",\"tickets_metric_key\":\"{{daemonset_name}}-{{statefulset_name}}-{{deployment_name}}\"}',0,'2021-05-28 11:55:02','2021-05-28 11:55:02'),(374,'平台组件Flink任务checkpoint延迟异常告警','org','dice_component','dice_component_flink_checkpoint_duration','{\"filters\":[{\"operator\":\"in\",\"tag\":\"cluster_name\",\"value\":[\"$cluster_name\"]}],\"functions\":[{\"aggregator\":\"value\",\"field\":\"lastCheckpointDuration\",\"operator\":\"gte\",\"value\":3000}],\"group\":[\"cluster_name\",\"container_id\",\"job_id\"],\"metric\":\"flink_jm_job\",\"outputs\":[\"alert\"],\"select\":{\"cluster_name\":\"#cluster_name\",\"host_ip\":\"#host_ip\",\"job_id\":\"#job_id\"},\"window\":1}','{\"alert_group\":\"{{cluster_name}}-{{container_id}}-{{job_id}}\",\"level\":\"WARNING\",\"recover\":\"false\",\"tickets_metric_key\":\"{{container_id}}-{{job_id}}\"}',0,'2021-05-28 11:55:02','2021-05-28 11:55:02'),(375,'平台组件Flink吞吐量异常告警','org','dice_component','dice_component_flink_throughput','{\"filters\":[{\"operator\":\"in\",\"tag\":\"cluster_name\",\"value\":[\"$cluster_name\"]}],\"functions\":[{\"aggregator\":\"value\",\"field\":\"numRecordsOutPerSecond_count\",\"operator\":\"eq\",\"value\":0}],\"group\":[\"cluster_name\",\"container_id\",\"job_id\",\"task_id\",\"subtask_index\",\"operator_id\"],\"metric\":\"flink_tm_operator\",\"outputs\":[\"alert\"],\"select\":{\"cluster_name\":\"#cluster_name\",\"host_ip\":\"#host_ip\",\"job_id\":\"#job_id\",\"operator_id\":\"#operator_id\",\"subtask_index\":\"#subtask_index\",\"tm_id\":\"#tm_id\"},\"window\":1}','{\"alert_group\":\"{{cluster_name}}-{{container_id}}-{{job_id}}\",\"level\":\"WARNING\",\"recover\":\"false\",\"tickets_metric_key\":\"{{container_id}}-{{job_id}}\"}',0,'2021-05-28 11:55:02','2021-05-28 11:55:02'),(376,'平台组件网盘不可用告警','org','dice_component','dice_component_gfs_status','{\"filters\":[{\"operator\":\"in\",\"tag\":\"cluster_name\",\"value\":[\"$cluster_name\"]}],\"functions\":[{\"aggregator\":\"values\",\"field\":\"status\",\"operator\":\"all\",\"value\":\"Disconnected\"}],\"group\":[\"cluster_name\",\"host_ip\"],\"metric\":\"glusterfs\",\"outputs\":[\"alert\"],\"select\":{\"cluster_name\":\"#cluster_name\",\"component_name\":\"#component_name\",\"host_ip\":\"#host_ip\",\"node_uuid\":\"#node_uuid\"},\"window\":5}','{\"alert_group\":\"{{cluster_name}}\",\"level\":\"WARNING\",\"recover\":\"false\",\"tickets_metric_key\":\"{{cluster_name}}\"}',0,'2021-05-28 11:55:02','2021-05-28 11:55:02'),(377,'kubernetes组件实例CPU状态','org','kubernetes','kubernetes_instance_cpu','{\"filters\":[{\"operator\":\"in\",\"tag\":\"cluster_name\",\"value\":[\"$cluster_name\"]},{\"operator\":\"eq\",\"tag\":\"pod_namespace\",\"value\":\"kube-system\"}],\"functions\":[{\"aggregator\":\"avg\",\"field\":\"cpu_usage_percent\",\"field_script\":\"function invoke(fields,tags){return fields.cpu_limit===0?fields.cpu_usage_percent:fields.cpu_usage_percent/fields.cpu_limit}\",\"operator\":\"gte\",\"value\":95},{\"aggregator\":\"value\",\"field\":\"cpu_limit\"},{\"aggregator\":\"value\",\"field\":\"cpu_allocation\"}],\"group\":[\"cluster_name\",\"container_id\"],\"metrics\":[\"docker_container_summary\"],\"outputs\":[\"alert\"],\"select\":{\"cluster_name\":\"#cluster_name\",\"container_id\":\"#container_id\",\"host_ip\":\"#host_ip\",\"pod_name\":\"#pod_name\",\"pod_namespace\":\"#pod_namespace\"},\"window\":2}','{\"alert_group\":\"{{cluster_name}}-{{container_id}}\",\"level\":\"WARNING\",\"recover\":\"false\",\"tickets_metric_key\":\"{{container_id}}\"}',0,'2021-05-28 11:55:02','2021-05-28 11:55:02'),(378,'kubernetes组件异常退出','org','kubernetes','kubernetes_instance_exit','{\"filters\":[{\"operator\":\"in\",\"tag\":\"cluster_name\",\"value\":[\"$cluster_name\"]},{\"operator\":\"eq\",\"tag\":\"pod_namespace\",\"value\":\"kube-system\"}],\"functions\":[{\"aggregator\":\"max\",\"field\":\"exitcode\",\"operator\":\"gt\",\"value\":0},{\"aggregator\":\"value\",\"field\":\"terminated_reason\",\"field_script\":\"function invoke(fields,tags){if(fields.oomkilled) return \'Out Of Memory\';return \'Error Exit Code \'+fields.exitcode;}\"},{\"aggregator\":\"value\",\"field\":\"finished_at\",\"field_script\":\"function invoke(fields,tags){if(fields.finished_at!=null\\u0026\\u0026fields.finished_at!=undefined) return fields.finished_at/1000000;return \'-\'}\"},{\"aggregator\":\"value\",\"field\":\"started_at\",\"field_script\":\"function invoke(fields,tags){if(fields.started_at!=null\\u0026\\u0026fields.started_at!=undefined) return fields.started_at/1000000;return \'-\'}\"},{\"aggregator\":\"value\",\"field\":\"pid\"}],\"group\":[\"cluster_name\",\"pod_namespace\",\"pod_name\"],\"metrics\":[\"docker_container_summary\"],\"outputs\":[\"alert\"],\"select\":{\"cluster_name\":\"#cluster_name\",\"component_name\":\"#component_name\",\"container_id\":\"#container_id\",\"host_ip\":\"#host_ip\",\"pod_name\":\"#pod_name\",\"pod_namespace\":\"#pod_namespace\"},\"window\":1}','{\"alert_group\":\"{{cluster_name}}-{{container_id}}\",\"display_url_id\":\"org_pod\",\"level\":\"WARNING\",\"recover\":\"false\",\"tickets_metric_key\":\"{{container_id}}\"}',0,'2021-05-28 11:55:02','2021-05-28 11:55:02'),(379,'kubernetes组件实例内存状态','org','kubernetes','kubernetes_instance_mem','{\"filters\":[{\"operator\":\"in\",\"tag\":\"cluster_name\",\"value\":[\"$cluster_name\"]},{\"operator\":\"eq\",\"tag\":\"pod_namespace\",\"value\":\"kube-system\"}],\"functions\":[{\"aggregator\":\"avg\",\"field\":\"mem_usage_percent\",\"operator\":\"gt\",\"value\":70},{\"aggregator\":\"value\",\"field\":\"mem_usage\"},{\"aggregator\":\"value\",\"field\":\"mem_limit\"},{\"aggregator\":\"value\",\"field\":\"mem_max_usage\"},{\"aggregator\":\"value\",\"field\":\"mem_allocation\"}],\"group\":[\"cluster_name\",\"container_id\"],\"metrics\":[\"docker_container_summary\"],\"outputs\":[\"alert\"],\"select\":{\"cluster_name\":\"#cluster_name\",\"container_id\":\"#container_id\",\"host_ip\":\"#host_ip\",\"pod_name\":\"#pod_name\",\"pod_namespace\":\"#pod_namespace\"},\"window\":2}','{\"alert_group\":\"{{cluster_name}}-{{container_id}}\",\"level\":\"WARNING\",\"recover\":\"false\",\"tickets_metric_key\":\"{{container_id}}\"}',0,'2021-05-28 11:55:02','2021-05-28 11:55:02'),(380,'kubernetes组件实例Ready状态异常','org','kubernetes','kubernetes_instance_ready','{\"filters\":[{\"operator\":\"in\",\"tag\":\"cluster_name\",\"value\":[\"$cluster_name\"]},{\"operator\":\"eq\",\"tag\":\"namespace\",\"value\":\"kube-system\"}],\"functions\":[{\"aggregator\":\"avg\",\"field\":\"not_ready_avg\",\"field_script\":\"function invoke(fields,tags){if(tags.daemonset_name){return fields.number_unavailable}else{if(tags.statefulset_name){return fields.replicas-fields.replicas_ready}else{if(tags.deployment_name){return fields.replicas_unavailable}}}return 0}\",\"operator\":\"gt\",\"value\":0},{\"aggregator\":\"value\",\"field\":\"not_ready\",\"field_script\":\"function invoke(fields,tags){if(tags.daemonset_name){return fields.number_unavailable}else{if(tags.statefulset_name){return fields.replicas-fields.replicas_ready}else{if(tags.deployment_name){return fields.replicas_unavailable}}}return 0}\"},{\"aggregator\":\"value\",\"field\":\"ready\",\"field_script\":\"function invoke(fields,tags){if(tags.daemonset_name){return fields.number_available}else{if(tags.statefulset_name){return fields.replicas_ready}else{if(tags.deployment_name){return fields.replicas_available}}}return 0}\"},{\"aggregator\":\"value\",\"field\":\"total\",\"field_script\":\"function invoke(fields,tags){if(tags.daemonset_name){return fields.number_unavailable+fields.number_available}else{if(tags.statefulset_name){return fields.replicas}else{if(tags.deployment_name){return fields.replicas_unavailable+fields.replicas_available}}}return 0}\"},{\"aggregator\":\"value\",\"field\":\"resource_name\",\"field_script\":\"function invoke(fields,tags){if(tags.daemonset_name){return tags.daemonset_name}else{if(tags.statefulset_name){return tags.statefulset_name}else{if(tags.deployment_name){return tags.deployment_name}}}return null};\"}],\"group\":[\"cluster_name\",\"namespace\",\"daemonset_name\",\"statefulset_name\",\"deployment_name\"],\"metrics\":[\"kubernetes_daemonset\",\"kubernetes_statefulset\",\"kubernetes_deployment\"],\"outputs\":[\"alert\"],\"select\":{\"cluster_name\":\"#cluster_name\",\"daemonset_name\":\"#daemonset_name\",\"deployment_name\":\"#deployment_name\",\"namespace\":\"#namespace\",\"statefulset_name\":\"#statefulset_name\"},\"window\":1}','{\"alert_group\":\"{{cluster_name}}-{{daemonset_name}}-{{statefulset_name}}-{{deployment_name}}\",\"level\":\"WARNING\",\"recover\":\"false\",\"tickets_metric_key\":\"{{daemonset_name}}-{{statefulset_name}}-{{deployment_name}}\"}',0,'2021-05-28 11:55:02','2021-05-28 11:55:02'),(381,'kubernetes节点异常','org','kubernetes','kubernetes_node','{\"filters\":[{\"operator\":\"in\",\"tag\":\"cluster_name\",\"value\":[\"$cluster_name\"]},{\"operator\":\"neq\",\"tag\":\"offline\",\"value\":\"true\"}],\"functions\":[{\"aggregator\":\"values\",\"field\":\"ready\",\"operator\":\"all\",\"value\":false},{\"aggregator\":\"value\",\"field\":\"allocatable_pods\"},{\"aggregator\":\"value\",\"field\":\"capacity_pods\"},{\"aggregator\":\"value\",\"field\":\"allocatable_cpu_cores\"},{\"aggregator\":\"value\",\"field\":\"capacity_cpu_cores\"},{\"aggregator\":\"value\",\"field\":\"allocatable_memory_bytes\"},{\"aggregator\":\"value\",\"field\":\"capacity_memory_bytes\"}],\"group\":[\"cluster_name\",\"node_name\"],\"metrics\":[\"kubernetes_node\"],\"outputs\":[\"alert\"],\"select\":{\"cluster_name\":\"#cluster_name\",\"node_name\":\"#node_name\"},\"window\":1}','{\"alert_group\":\"{{cluster_name}}-{{node_name}}\",\"level\":\"WARNING\",\"recover\":\"false\",\"tickets_metric_key\":\"{{node_name}}\"}',0,'2021-05-28 11:55:02','2021-05-28 11:55:02'),(382,'机器CPU','org','machine','machine_cpu','{\"filters\":[{\"operator\":\"in\",\"tag\":\"cluster_name\",\"value\":[\"$cluster_name\"]}],\"functions\":[{\"aggregator\":\"avg\",\"field\":\"cpu_usage_active\",\"operator\":\"gte\",\"value\":95}],\"group\":[\"cluster_name\",\"host_ip\"],\"metric\":\"host_summary\",\"outputs\":[\"alert\"],\"select\":{\"cluster_name\":\"#cluster_name\",\"host_ip\":\"#host_ip\"},\"window\":1}','{\"alert_group\":\"{{cluster_name}}-{{host_ip}}\",\"display_url_id\":\"machine_cpu\",\"level\":\"WARNING\",\"recover\":\"false\",\"tickets_metric_key\":\"{{host_ip}}\"}',0,'2021-05-28 11:55:02','2021-05-28 11:55:02'),(383,'机器磁盘','org','machine','machine_disk','{\"filters\":[{\"operator\":\"in\",\"tag\":\"cluster_name\",\"value\":[\"$cluster_name\"]},{\"operator\":\"neq\",\"tag\":\"type\",\"value\":\"netdata\"}],\"functions\":[{\"aggregator\":\"value\",\"field\":\"used_percent\",\"operator\":\"gte\",\"value\":86},{\"aggregator\":\"value\",\"field\":\"total\"}],\"group\":[\"host_ip\",\"device\"],\"metric\":\"disk\",\"outputs\":[\"alert\"],\"select\":{\"cluster_name\":\"#cluster_name\",\"device\":\"#device\",\"host_ip\":\"#host_ip\"},\"window\":1}','{\"alert_group\":\"{{cluster_name}}-{{host_ip}}-{{device}}\",\"display_url_id\":\"machine_disk\",\"level\":\"WARNING\",\"recover\":\"true\",\"tickets_metric_key\":\"{{host_ip}}\"}',0,'2021-05-28 11:55:02','2021-05-28 11:55:02'),(384,'磁盘Inode异常告警','org','machine','machine_disk_inode','{\"filters\":[{\"operator\":\"in\",\"tag\":\"cluster_name\",\"value\":[\"$cluster_name\"]},{\"operator\":\"neq\",\"tag\":\"type\",\"value\":\"netdata\"}],\"functions\":[{\"aggregator\":\"value\",\"field\":\"inode_used_percent\",\"field_script\":\"function invoke(field, tag){ return field.inodes_used/field.inodes_total*100 }\",\"operator\":\"gte\",\"value\":85},{\"aggregator\":\"value\",\"field\":\"inodes_total\"}],\"group\":[\"host_ip\",\"device\"],\"metric\":\"disk\",\"outputs\":[\"alert\"],\"select\":{\"cluster_name\":\"#cluster_name\",\"device\":\"#device\",\"host_ip\":\"#host_ip\"},\"window\":1}','{\"alert_group\":\"{{cluster_name}}-{{host_ip}}-{{device}}\",\"display_url_id\":\"machine_disk\",\"level\":\"WARNING\",\"recover\":\"true\",\"tickets_metric_key\":\"{{host_ip}}\"}',0,'2021-05-28 11:55:02','2021-05-28 11:55:02'),(385,'机器磁盘IO','org','machine','machine_disk_util','{\"filters\":[{\"operator\":\"in\",\"tag\":\"cluster_name\",\"value\":[\"$cluster_name\"]},{\"operator\":\"eq\",\"tag\":\"path\",\"value\":null}],\"functions\":[{\"aggregator\":\"p75\",\"field\":\"pct_util\",\"operator\":\"gte\",\"value\":95}],\"group\":[\"host_ip\"],\"metric\":\"disk\",\"outputs\":[\"alert\"],\"select\":{\"cluster_name\":\"#cluster_name\",\"host_ip\":\"#host_ip\"},\"window\":3}','{\"alert_group\":\"{{cluster_name}}-{{host_ip}}\",\"display_url_id\":\"machine_disk_io\",\"level\":\"WARNING\",\"recover\":\"true\",\"tickets_metric_key\":\"{{host_ip}}\"}',0,'2021-05-28 11:55:02','2021-05-28 11:55:02'),(386,'机器Load5','org','machine','machine_load5','{\"filters\":[{\"operator\":\"in\",\"tag\":\"cluster_name\",\"value\":[\"$cluster_name\"]}],\"functions\":[{\"aggregator\":\"avg\",\"field\":\"load5\",\"operator\":\"gte\",\"value_script\":\"function invoke(field,tag){ return field.n_cpus * 2.5 }\"}],\"group\":[\"host_ip\"],\"metric\":\"host_summary\",\"outputs\":[\"alert\"],\"select\":{\"cluster_name\":\"#cluster_name\",\"host_ip\":\"#host_ip\"},\"window\":1}','{\"alert_group\":\"{{cluster_name}}-{{host_ip}}\",\"display_url_id\":\"machine_load\",\"level\":\"WARNING\",\"recover\":\"true\",\"tickets_metric_key\":\"{{host_ip}}\"}',0,'2021-05-28 11:55:02','2021-05-28 11:55:02'),(387,'网盘','org','machine','machine_netdisk','{\"filters\":[{\"operator\":\"in\",\"tag\":\"cluster_name\",\"value\":[\"$cluster_name\"]},{\"operator\":\"eq\",\"tag\":\"type\",\"value\":\"netdata\"}],\"functions\":[{\"aggregator\":\"value\",\"field\":\"used_percent\",\"operator\":\"gte\",\"value\":75},{\"aggregator\":\"value\",\"field\":\"total\"}],\"group\":null,\"metric\":\"disk\",\"outputs\":[\"alert\"],\"select\":{\"cluster_name\":\"#cluster_name\"},\"window\":1}','{\"alert_group\":\"{{cluster_name}}\",\"level\":\"WARNING\",\"recover\":\"true\",\"tickets_metric_key\":\"{{cluster_name}}\"}',0,'2021-05-28 11:55:02','2021-05-28 11:55:02'),(388,'网盘容量使用量异常告警','org','machine','machine_netdisk_used','{\"filters\":[{\"operator\":\"in\",\"tag\":\"cluster_name\",\"value\":[\"$cluster_name\"]},{\"operator\":\"eq\",\"tag\":\"type\",\"value\":\"netdata\"}],\"functions\":[{\"aggregator\":\"value\",\"alias\":\"used\",\"field\":\"used\",\"field_script\":\"function invoke(field, tag){ return field.used/1024/1024/1024 }\",\"operator\":\"gte\",\"value\":800},{\"aggregator\":\"value\",\"alias\":\"total\",\"field_script\":\"function invoke(field, tag){ return field.total/1024/1024/1024 }\"}],\"group\":null,\"metric\":\"disk\",\"outputs\":[\"alert\"],\"select\":{\"cluster_name\":\"#cluster_name\"},\"window\":1}','{\"alert_group\":\"{{cluster_name}}\",\"level\":\"WARNING\",\"recover\":\"true\",\"tickets_metric_key\":\"{{cluster_name}}\"}',0,'2021-05-28 11:55:02','2021-05-28 11:55:02'),(389,'机器宕机','org','machine','machine_status','{\"filters\":[{\"operator\":\"in\",\"tag\":\"cluster_name\",\"value\":[\"$cluster_name\"]}],\"functions\":[{\"aggregator\":\"values\",\"field\":\"status\",\"operator\":\"all\",\"value\":\"not_ready\"},{\"aggregator\":\"value\",\"field\":\"last_timestamp\"}],\"group\":[\"host_ip\"],\"metric\":\"machine_status\",\"outputs\":[\"alert\"],\"select\":{\"cluster_name\":\"#cluster_name\",\"host_ip\":\"#host_ip\"},\"window\":5}','{\"alert_group\":\"{{cluster_name}}-{{host_ip}}\",\"display_url_id\":\"machine_crash\",\"level\":\"WARNING\",\"recover\":\"true\",\"tickets_metric_key\":\"{{host_ip}}\"}',0,'2021-05-28 11:55:02','2021-05-28 11:55:02'),(390,'API网关实例CPU使用率异常','org','micro_service','api_gateway_cpu','{\"filters\":[{\"operator\":\"in\",\"tag\":\"cluster_name\",\"value\":[\"$cluster_name\"]},{\"operator\":\"in\",\"tag\":\"addon_type\",\"value\":[\"api-gateway\",\"postgresql\"]}],\"functions\":[{\"aggregator\":\"avg\",\"field\":\"cpu_usage_percent\",\"field_script\":\"function invoke(fields,tags){return fields.cpu_limit===0?fields.cpu_usage_percent:fields.cpu_usage_percent/fields.cpu_limit}\",\"operator\":\"gte\",\"value\":90},{\"aggregator\":\"value\",\"field\":\"cpu_limit\"},{\"aggregator\":\"value\",\"field\":\"cpu_allocation\"}],\"group\":[\"container_id\"],\"metric\":\"docker_container_summary\",\"outputs\":[\"alert\"],\"select\":{\"addon_id\":\"#addon_id\",\"addon_type\":\"#addon_type\",\"cluster_name\":\"#cluster_name\",\"container_id\":\"#container_id\",\"host_ip\":\"#host_ip\",\"pod_name\":\"#pod_name\",\"pod_namespace\":\"#pod_namespace\"},\"window\":1}','{\"alert_group\":\"{{cluster_name}}-{{container_id}}\",\"level\":\"WARNING\",\"recover\":\"false\",\"tickets_metric_key\":\"{{container_id}}\"}',0,'2021-05-28 11:55:02','2021-05-28 11:55:02'),(391,'API网关实例内存使用率异常','org','micro_service','api_gateway_mem','{\"filters\":[{\"operator\":\"in\",\"tag\":\"cluster_name\",\"value\":[\"$cluster_name\"]},{\"operator\":\"in\",\"tag\":\"addon_type\",\"value\":[\"api-gateway\",\"postgresql\"]}],\"functions\":[{\"aggregator\":\"avg\",\"field\":\"mem_usage_percent\",\"operator\":\"gte\",\"value\":90},{\"aggregator\":\"value\",\"field\":\"mem_usage\"},{\"aggregator\":\"value\",\"field\":\"mem_limit\"},{\"aggregator\":\"value\",\"field\":\"mem_max_usage\"}],\"group\":[\"container_id\"],\"metric\":\"docker_container_summary\",\"outputs\":[\"alert\"],\"select\":{\"addon_id\":\"#addon_id\",\"addon_type\":\"#addon_type\",\"cluster_name\":\"#cluster_name\",\"container_id\":\"#container_id\",\"host_ip\":\"#host_ip\",\"pod_name\":\"#pod_name\",\"pod_namespace\":\"#pod_namespace\"},\"window\":1}','{\"alert_group\":\"{{cluster_name}}-{{container_id}}\",\"level\":\"WARNING\",\"recover\":\"false\",\"tickets_metric_key\":\"{{container_id}}\"}',0,'2021-05-28 11:55:02','2021-05-28 11:55:02'),(392,'注册中心实例CPU使用率异常','org','micro_service','register_center_cpu','{\"filters\":[{\"operator\":\"in\",\"tag\":\"cluster_name\",\"value\":[\"$cluster_name\"]},{\"operator\":\"in\",\"tag\":\"addon_type\",\"value\":[\"nacos\",\"zkproxy\"]}],\"functions\":[{\"aggregator\":\"avg\",\"field\":\"cpu_usage_percent\",\"field_script\":\"function invoke(fields,tags){return fields.cpu_limit===0?fields.cpu_usage_percent:fields.cpu_usage_percent/fields.cpu_limit}\",\"operator\":\"gte\",\"value\":90},{\"aggregator\":\"value\",\"field\":\"cpu_limit\"},{\"aggregator\":\"value\",\"field\":\"cpu_allocation\"}],\"group\":[\"container_id\"],\"metric\":\"docker_container_summary\",\"outputs\":[\"alert\"],\"select\":{\"addon_id\":\"#addon_id\",\"addon_type\":\"#addon_type\",\"cluster_name\":\"#cluster_name\",\"container_id\":\"#container_id\",\"host_ip\":\"#host_ip\",\"pod_name\":\"#pod_name\",\"pod_namespace\":\"#pod_namespace\"},\"window\":1}','{\"alert_group\":\"{{cluster_name}}-{{container_id}}\",\"level\":\"WARNING\",\"recover\":\"false\",\"tickets_metric_key\":\"{{container_id}}\"}',0,'2021-05-28 11:55:02','2021-05-28 11:55:02'),(393,'注册中心实例内存使用率异常','org','micro_service','register_center_mem','{\"filters\":[{\"operator\":\"in\",\"tag\":\"cluster_name\",\"value\":[\"$cluster_name\"]},{\"operator\":\"in\",\"tag\":\"addon_type\",\"value\":[\"nacos\",\"zkproxy\"]}],\"functions\":[{\"aggregator\":\"avg\",\"field\":\"mem_usage_percent\",\"operator\":\"gte\",\"value\":90},{\"aggregator\":\"value\",\"field\":\"mem_usage\"},{\"aggregator\":\"value\",\"field\":\"mem_limit\"},{\"aggregator\":\"value\",\"field\":\"mem_max_usage\"}],\"group\":[\"container_id\"],\"metric\":\"docker_container_summary\",\"outputs\":[\"alert\"],\"select\":{\"addon_id\":\"#addon_id\",\"addon_type\":\"#addon_type\",\"cluster_name\":\"#cluster_name\",\"container_id\":\"#container_id\",\"host_ip\":\"#host_ip\",\"pod_name\":\"#pod_name\",\"pod_namespace\":\"#pod_namespace\"},\"window\":1}','{\"alert_group\":\"{{cluster_name}}-{{container_id}}\",\"level\":\"WARNING\",\"recover\":\"false\",\"tickets_metric_key\":\"{{container_id}}\"}',0,'2021-05-28 11:55:02','2021-05-28 11:55:02'),(394,'服务熔断通知告警','micro_service','micro_service','sidecar_circuit_breaker','{\"filters\":[{\"operator\":\"eq\",\"tag\":\"terminus_key\",\"value\":\"$terminus_key\"},{\"operator\":\"in\",\"tag\":\"application_id\",\"value\":[\"$application_id\"]}],\"functions\":[{\"aggregator\":\"sum\",\"field\":\"count\",\"operator\":\"gte\",\"value\":1}],\"group\":[\"service_name\"],\"metric\":\"sidecar_circuit_breaker\",\"outputs\":[\"alert\"],\"select\":{\"application_id\":\"#application_id\",\"application_name\":\"#application_name\",\"cluster_name\":\"#cluster_name\",\"host_ip\":\"#host_ip\",\"project_name\":\"#project_name\",\"runtime_name\":\"#runtime_name\",\"service_name\":\"#service_name\",\"terminus_key\":\"#terminus_key\",\"workspace\":\"#workspace\"},\"window\":1}','{\"alert_group\":\"{{terminus_key}}\",\"level\":\"WARNING\",\"recover\":\"false\",\"tickets_metric_key\":\"{{terminus_key}}\"}',0,'2021-05-28 11:55:02','2021-05-28 11:55:02'),(395,'ElasticSearch实例CPU使用率异常告警','org','addon','addon_elasticsearch_cpu','{\"filters\":[{\"operator\":\"in\",\"tag\":\"cluster_name\",\"value\":[\"$cluster_name\"]},{\"operator\":\"in\",\"tag\":\"addon_type\",\"value\":[\"terminus-elasticsearch\",\"elasticsearch-operator\"]}],\"functions\":[{\"aggregator\":\"avg\",\"field\":\"cpu_usage_percent\",\"field_script\":\"function invoke(fields,tags){return fields.cpu_limit===0?fields.cpu_usage_percent:fields.cpu_usage_percent/fields.cpu_limit}\",\"operator\":\"gte\",\"value\":90},{\"aggregator\":\"value\",\"field\":\"cpu_limit\"},{\"aggregator\":\"value\",\"field\":\"cpu_allocation\"}],\"group\":[\"container_id\"],\"metric\":\"docker_container_summary\",\"outputs\":[\"alert\"],\"select\":{\"addon_id\":\"#addon_id\",\"addon_type\":\"#addon_type\",\"cluster_name\":\"#cluster_name\",\"container_id\":\"#container_id\",\"host_ip\":\"#host_ip\",\"pod_name\":\"#pod_name\",\"pod_namespace\":\"#pod_namespace\"},\"window\":1}','{\"alert_group\":\"{{cluster_name}}-{{container_id}}\",\"level\":\"WARNING\",\"recover\":\"false\",\"tickets_metric_key\":\"{{container_id}}\"}',0,'2021-05-28 11:55:02','2021-05-28 11:55:05'),(396,'Elasticsearch实例内存使用率异常告警','org','addon','addon_elasticsearch_mem','{\"filters\":[{\"operator\":\"in\",\"tag\":\"cluster_name\",\"value\":[\"$cluster_name\"]},{\"operator\":\"in\",\"tag\":\"addon_type\",\"value\":[\"terminus-elasticsearch\",\"elasticsearch-operator\"]}],\"functions\":[{\"aggregator\":\"avg\",\"field\":\"mem_usage_percent\",\"operator\":\"gte\",\"value\":90},{\"aggregator\":\"value\",\"field\":\"mem_limit\"},{\"aggregator\":\"value\",\"field\":\"mem_allocation\"}],\"group\":[\"container_id\"],\"metric\":\"docker_container_summary\",\"outputs\":[\"alert\"],\"select\":{\"addon_id\":\"#addon_id\",\"addon_type\":\"#addon_type\",\"cluster_name\":\"#cluster_name\",\"container_id\":\"#container_id\",\"host_ip\":\"#host_ip\",\"pod_name\":\"#pod_name\",\"pod_namespace\":\"#pod_namespace\"},\"window\":1}','{\"alert_group\":\"{{cluster_name}}-{{container_id}}\",\"level\":\"WARNING\",\"recover\":\"false\",\"tickets_metric_key\":\"{{container_id}}\"}',0,'2021-05-28 11:55:02','2021-05-28 11:55:05'),(397,'MySQL实例CPU使用率异常告警','org','addon','addon_mysql_cpu','{\"filters\":[{\"operator\":\"in\",\"tag\":\"cluster_name\",\"value\":[\"$cluster_name\"]},{\"operator\":\"in\",\"tag\":\"addon_type\",\"value\":[\"mysql\"]}],\"functions\":[{\"aggregator\":\"avg\",\"field\":\"cpu_usage_percent\",\"field_script\":\"function invoke(fields,tags){return fields.cpu_limit===0?fields.cpu_usage_percent:fields.cpu_usage_percent/fields.cpu_limit}\",\"operator\":\"gte\",\"value\":90},{\"aggregator\":\"value\",\"field\":\"cpu_limit\"},{\"aggregator\":\"value\",\"field\":\"cpu_allocation\"}],\"group\":[\"container_id\"],\"metric\":\"docker_container_summary\",\"outputs\":[\"alert\"],\"select\":{\"addon_id\":\"#addon_id\",\"addon_type\":\"#addon_type\",\"cluster_name\":\"#cluster_name\",\"container_id\":\"#container_id\",\"host_ip\":\"#host_ip\",\"pod_name\":\"#pod_name\",\"pod_namespace\":\"#pod_namespace\"},\"window\":1}','{\"alert_group\":\"{{cluster_name}}-{{container_id}}\",\"level\":\"WARNING\",\"recover\":\"false\",\"tickets_metric_key\":\"{{container_id}}\"}',0,'2021-05-28 11:55:02','2021-05-28 11:55:05'),(398,'MySQL实例内存使用率异常告警','org','addon','addon_mysql_mem','{\"filters\":[{\"operator\":\"in\",\"tag\":\"cluster_name\",\"value\":[\"$cluster_name\"]},{\"operator\":\"in\",\"tag\":\"addon_type\",\"value\":[\"mysql\"]}],\"functions\":[{\"aggregator\":\"avg\",\"field\":\"mem_usage_percent\",\"operator\":\"gte\",\"value\":85},{\"aggregator\":\"value\",\"field\":\"mem_limit\"},{\"aggregator\":\"value\",\"field\":\"mem_allocation\"}],\"group\":[\"container_id\"],\"metric\":\"docker_container_summary\",\"outputs\":[\"alert\"],\"select\":{\"addon_id\":\"#addon_id\",\"addon_type\":\"#addon_type\",\"cluster_name\":\"#cluster_name\",\"container_id\":\"#container_id\",\"host_ip\":\"#host_ip\",\"pod_name\":\"#pod_name\",\"pod_namespace\":\"#pod_namespace\"},\"window\":1}','{\"alert_group\":\"{{cluster_name}}-{{container_id}}\",\"level\":\"WARNING\",\"recover\":\"false\",\"tickets_metric_key\":\"{{container_id}}\"}',0,'2021-05-28 11:55:02','2021-05-28 11:55:05'),(399,'MySQL实例主从同步异常告警','org','addon','addon_mysql_slave_status','{\"filters\":[{\"operator\":\"in\",\"tag\":\"cluster_name\",\"value\":[\"$cluster_name\"]},{\"operator\":\"eq\",\"tag\":\"is_slave\",\"value\":\"true\"}],\"functions\":[{\"aggregator\":\"value\",\"field\":\"slave_slave_running_ok\",\"field_script\":\"function invoke(fields,tags){return (fields.slave_slave_io_running==0 || fields.slave_slave_sql_running==0)?0:1}\",\"operator\":\"neq\",\"value\":1},{\"aggregator\":\"value\",\"field\":\"slave_slave_sql_running\"},{\"aggregator\":\"value\",\"field\":\"slave_slave_io_running\"}],\"group\":[\"addon_id\",\"server\"],\"metric\":\"mysql\",\"outputs\":[\"alert\"],\"select\":{\"addon_id\":\"#addon_id\",\"cluster_name\":\"#cluster_name\",\"host_ip\":\"#host_ip\"},\"window\":1}','{\"alert_group\":\"{{cluster_name}}-{{addon_id}}\",\"level\":\"WARNING\",\"recover\":\"false\",\"tickets_metric_key\":\"{{addon_id}}\"}',0,'2021-05-28 11:55:02','2021-05-28 11:55:05'),(400,'redis实例内存使用率异常告警','org','addon','addon_redis_mem','{\"filters\":[{\"operator\":\"in\",\"tag\":\"cluster_name\",\"value\":[\"$cluster_name\"]},{\"operator\":\"in\",\"tag\":\"addon_type\",\"value\":[\"redis\"]}],\"functions\":[{\"aggregator\":\"avg\",\"field\":\"mem_usage_percent\",\"operator\":\"gte\",\"value\":85},{\"aggregator\":\"value\",\"field\":\"mem_limit\"},{\"aggregator\":\"value\",\"field\":\"mem_allocation\"}],\"group\":[\"container_id\"],\"metric\":\"docker_container_summary\",\"outputs\":[\"alert\"],\"select\":{\"addon_id\":\"#addon_id\",\"addon_type\":\"#addon_type\",\"cluster_name\":\"#cluster_name\",\"container_id\":\"#container_id\",\"host_ip\":\"#host_ip\",\"pod_name\":\"#pod_name\",\"pod_namespace\":\"#pod_namespace\"},\"window\":1}','{\"alert_group\":\"{{cluster_name}}-{{container_id}}\",\"level\":\"WARNING\",\"recover\":\"false\",\"tickets_metric_key\":\"{{container_id}}\"}',0,'2021-05-28 11:55:02','2021-05-28 11:55:05'),(401,'应用错误次数','micro_service','app_exception','app_exception_count','{\"filters\":[{\"operator\":\"eq\",\"tag\":\"terminus_key\",\"value\":\"$terminus_key\"},{\"operator\":\"in\",\"tag\":\"application_id\",\"value\":[\"$application_id\"]}],\"functions\":[{\"aggregator\":\"sum\",\"field\":\"count\",\"operator\":\"gte\",\"value\":20}],\"group\":[\"error_id\"],\"metric\":\"error_alert\",\"outputs\":[\"alert\"],\"select\":{\"application_id\":\"#application_id\",\"application_name\":\"#application_name\",\"class\":\"#class\",\"cluster_name\":\"#cluster_name\",\"error_id\":\"#error_id\",\"host_ip\":\"#host_ip\",\"instance_id\":\"#instance_id\",\"line\":\"#line\",\"method\":\"#method\",\"project_id\":\"#project_id\",\"project_name\":\"#project_name\",\"runtime_id\":\"#runtime_id\",\"runtime_name\":\"#runtime_name\",\"service_name\":\"#service_name\",\"terminus_key\":\"#terminus_key\",\"type\":\"#type\",\"workspace\":\"#workspace\"},\"window\":5}','{\"alert_group\":\"{{terminus_key}}-{{error_id}}\",\"display_url_id\":\"micro_error_detail\",\"level\":\"WARNING\",\"recover\":\"false\",\"tickets_metric_key\":\"{{error_id}}\"}',0,'2021-05-28 11:55:02','2021-05-28 11:55:05'),(402,'应用实例CPU使用率异常','micro_service','app_resource','app_resource_container_cpu','{\"filters\":[{\"operator\":\"eq\",\"tag\":\"terminus_key\",\"value\":\"$terminus_key\"},{\"operator\":\"in\",\"tag\":\"application_id\",\"value\":[\"$application_id\"]}],\"functions\":[{\"aggregator\":\"avg\",\"field\":\"cpu_usage_percent\",\"field_script\":\"function invoke(fields,tags){return fields.cpu_limit===0?fields.cpu_usage_percent:fields.cpu_usage_percent/fields.cpu_limit}\",\"operator\":\"gte\",\"value\":90},{\"aggregator\":\"value\",\"field\":\"cpu_limit\"},{\"aggregator\":\"value\",\"field\":\"cpu_allocation\"}],\"group\":[\"container_id\"],\"metric\":\"docker_container_summary\",\"outputs\":[\"alert\"],\"select\":{\"application_id\":\"#application_id\",\"application_name\":\"#application_name\",\"cluster_name\":\"#cluster_name\",\"container_id\":\"#container_id\",\"host_ip\":\"#host_ip\",\"instance_id\":\"#instance_id\",\"project_id\":\"#project_id\",\"project_name\":\"#project_name\",\"runtime_id\":\"#runtime_id\",\"runtime_name\":\"#runtime_name\",\"service_name\":\"#service_name\",\"terminus_key\":\"#terminus_key\"},\"window\":1}','{\"alert_group\":\"{{terminus_key}}-{{container_id}}\",\"display_url_id\":\"workbench_runtime\",\"level\":\"WARNING\",\"recover\":\"false\",\"tickets_metric_key\":\"{{container_id}}\"}',0,'2021-05-28 11:55:02','2021-05-28 11:55:05'),(403,'应用实例内存使用率异常','micro_service','app_resource','app_resource_container_mem','{\"filters\":[{\"operator\":\"eq\",\"tag\":\"terminus_key\",\"value\":\"$terminus_key\"},{\"operator\":\"in\",\"tag\":\"application_id\",\"value\":[\"$application_id\"]}],\"functions\":[{\"aggregator\":\"avg\",\"field\":\"mem_usage_percent\",\"operator\":\"gte\",\"value\":90},{\"aggregator\":\"value\",\"field\":\"mem_usage\"},{\"aggregator\":\"value\",\"field\":\"mem_limit\"},{\"aggregator\":\"value\",\"field\":\"mem_max_usage\"}],\"group\":[\"container_id\"],\"metric\":\"docker_container_summary\",\"outputs\":[\"alert\"],\"select\":{\"application_id\":\"#application_id\",\"application_name\":\"#application_name\",\"cluster_name\":\"#cluster_name\",\"container_id\":\"#container_id\",\"host_ip\":\"#host_ip\",\"instance_id\":\"#instance_id\",\"project_id\":\"#project_id\",\"project_name\":\"#project_name\",\"runtime_id\":\"#runtime_id\",\"runtime_name\":\"#runtime_name\",\"service_name\":\"#service_name\",\"terminus_key\":\"#terminus_key\"},\"window\":1}','{\"alert_group\":\"{{terminus_key}}-{{container_id}}\",\"display_url_id\":\"workbench_runtime\",\"level\":\"WARNING\",\"recover\":\"false\",\"tickets_metric_key\":\"{{container_id}}\"}',0,'2021-05-28 11:55:02','2021-05-28 11:55:05'),(404,'应用实例OOM','micro_service','app_resource','app_resource_container_oom','{\"filters\":[{\"operator\":\"eq\",\"tag\":\"terminus_key\",\"value\":\"$terminus_key\"},{\"operator\":\"in\",\"tag\":\"application_id\",\"value\":[\"$application_id\"]}],\"functions\":[{\"aggregator\":\"values\",\"field\":\"oomkilled\",\"operator\":\"contains\",\"value\":true}],\"group\":[\"container_id\"],\"metric\":\"docker_container_summary\",\"outputs\":[\"alert\"],\"select\":{\"application_id\":\"#application_id\",\"application_name\":\"#application_name\",\"cluster_name\":\"#cluster_name\",\"container_id\":\"#container_id\",\"host_ip\":\"#host_ip\",\"instance_id\":\"#instance_id\",\"project_id\":\"#project_id\",\"project_name\":\"#project_name\",\"runtime_id\":\"#runtime_id\",\"runtime_name\":\"#runtime_name\",\"service_name\":\"#service_name\",\"terminus_key\":\"#terminus_key\"},\"window\":1}','{\"alert_group\":\"{{terminus_key}}-{{container_id}}\",\"display_url_id\":\"workbench_runtime\",\"level\":\"WARNING\",\"recover\":\"false\",\"tickets_metric_key\":\"{{container_id}}\"}',0,'2021-05-28 11:55:02','2021-05-28 11:55:05'),(405,'应用JVM GC次数','micro_service','app_resource','app_resource_jvm_gc_count','{\"filters\":[{\"operator\":\"eq\",\"tag\":\"name\",\"value\":\"concurrentmarksweep\"},{\"operator\":\"eq\",\"tag\":\"terminus_key\",\"value\":\"$terminus_key\"},{\"operator\":\"in\",\"tag\":\"application_id\",\"value\":[\"$application_id\"]}],\"functions\":[{\"aggregator\":\"sum\",\"field\":\"count\",\"operator\":\"gte\",\"value\":5}],\"group\":[\"instance_id\"],\"metric\":\"jvm_gc\",\"outputs\":[\"alert\"],\"select\":{\"application_id\":\"#application_id\",\"application_name\":\"#application_name\",\"cluster_name\":\"#cluster_name\",\"host_ip\":\"#host_ip\",\"instance_id\":\"#instance_id\",\"project_id\":\"#project_id\",\"project_name\":\"#project_name\",\"runtime_id\":\"#runtime_id\",\"runtime_name\":\"#runtime_name\",\"service_name\":\"#service_name\",\"terminus_key\":\"#terminus_key\",\"workspace\":\"#workspace\"},\"window\":3}','{\"alert_group\":\"{{terminus_key}}-{{instance_id}}\",\"display_url_id\":\"micro_jvm\",\"level\":\"WARNING\",\"recover\":\"false\",\"tickets_metric_key\":\"{{instance_id}}\"}',0,'2021-05-28 11:55:02','2021-05-28 11:55:05'),(406,'应用JVM GC 耗时','micro_service','app_resource','app_resource_jvm_gc_time','{\"condition\":\"or\",\"filters\":[{\"operator\":\"eq\",\"tag\":\"name\",\"value\":\"concurrentmarksweep\"},{\"operator\":\"eq\",\"tag\":\"terminus_key\",\"value\":\"$terminus_key\"},{\"operator\":\"in\",\"tag\":\"application_id\",\"value\":[\"$application_id\"]}],\"functions\":[{\"aggregator\":\"value\",\"field\":\"time\",\"operator\":\"gte\",\"value\":400},{\"aggregator\":\"sum\",\"field\":\"time\",\"operator\":\"gte\",\"value\":1000}],\"group\":[\"instance_id\"],\"metric\":\"jvm_gc\",\"outputs\":[\"alert\"],\"select\":{\"application_id\":\"#application_id\",\"application_name\":\"#application_name\",\"cluster_name\":\"#cluster_name\",\"host_ip\":\"#host_ip\",\"instance_id\":\"#instance_id\",\"project_id\":\"#project_id\",\"project_name\":\"#project_name\",\"runtime_id\":\"#runtime_id\",\"runtime_name\":\"#runtime_name\",\"service_name\":\"#service_name\",\"terminus_key\":\"#terminus_key\",\"workspace\":\"#workspace\"},\"window\":1}','{\"alert_group\":\"{{terminus_key}}-{{instance_id}}\",\"display_url_id\":\"micro_jvm\",\"level\":\"WARNING\",\"recover\":\"false\",\"tickets_metric_key\":\"{{instance_id}}\"}',0,'2021-05-28 11:55:02','2021-05-28 11:55:05'),(407,'应用JVM堆内存','micro_service','app_resource','app_resource_jvm_heap','{\"condition\":\"and\",\"filters\":[{\"operator\":\"eq\",\"tag\":\"name\",\"value\":\"heap_memory\"},{\"operator\":\"eq\",\"tag\":\"terminus_key\",\"value\":\"$terminus_key\"},{\"operator\":\"in\",\"tag\":\"application_id\",\"value\":[\"$application_id\"]}],\"functions\":[{\"aggregator\":\"avg\",\"field\":\"usage_percent\",\"field_script\":\"function invoke(field, tag){ return field.used / field.max * 100; }\",\"operator\":\"gte\",\"value\":75},{\"aggregator\":\"value\",\"field\":\"used\"},{\"aggregator\":\"value\",\"field\":\"max\"}],\"group\":[\"instance_id\"],\"metric\":\"jvm_memory\",\"outputs\":[\"alert\"],\"select\":{\"application_id\":\"#application_id\",\"application_name\":\"#application_name\",\"cluster_name\":\"#cluster_name\",\"host_ip\":\"#host_ip\",\"instance_id\":\"#instance_id\",\"project_id\":\"#project_id\",\"project_name\":\"#project_name\",\"runtime_id\":\"#runtime_id\",\"runtime_name\":\"#runtime_name\",\"service_name\":\"#service_name\",\"terminus_key\":\"#terminus_key\",\"workspace\":\"#workspace\"},\"window\":1}','{\"alert_group\":\"{{terminus_key}}-{{instance_id}}\",\"display_url_id\":\"micro_jvm\",\"level\":\"WARNING\",\"recover\":\"false\",\"tickets_metric_key\":\"{{instance_id}}\"}',0,'2021-05-28 11:55:02','2021-05-28 11:55:05'),(408,'应用NodeJS堆内存使用率','micro_service','app_resource','app_resource_nodejs_heap','{\"filters\":[{\"operator\":\"eq\",\"tag\":\"terminus_key\",\"value\":\"$terminus_key\"},{\"operator\":\"in\",\"tag\":\"application_id\",\"value\":[\"$application_id\"]}],\"functions\":[{\"aggregator\":\"avg\",\"field\":\"usage_percent\",\"field_script\":\"function invoke(field, tag){ if(!field.max) { return 0; } return field.rss / field.max * 100; }\",\"operator\":\"gte\",\"value\":75},{\"aggregator\":\"value\",\"field\":\"heap_used\"},{\"aggregator\":\"value\",\"field\":\"heap_total\"},{\"aggregator\":\"value\",\"field\":\"rss\"},{\"aggregator\":\"value\",\"field\":\"max\"}],\"group\":[\"instance_id\"],\"metric\":\"nodejs_memory\",\"outputs\":[\"alert\"],\"select\":{\"application_id\":\"#application_id\",\"application_name\":\"#application_name\",\"cluster_name\":\"#cluster_name\",\"host_ip\":\"#host_ip\",\"instance_id\":\"#instance_id\",\"project_id\":\"#project_id\",\"project_name\":\"#project_name\",\"runtime_id\":\"#runtime_id\",\"runtime_name\":\"#runtime_name\",\"service_name\":\"#service_name\",\"terminus_key\":\"#terminus_key\",\"workspace\":\"#workspace\"},\"window\":1}','{\"alert_group\":\"{{terminus_key}}-{{instance_id}}\",\"display_url_id\":\"micro_nodejs\",\"level\":\"WARNING\",\"recover\":\"false\",\"tickets_metric_key\":\"{{instance_id}}\"}',0,'2021-05-28 11:55:02','2021-05-28 11:55:05'),(409,'页面内容改变','micro_service','app_status','app_status_browser','{\"alias\":\"status_page_browser\",\"filters\":[{\"operator\":\"eq\",\"tag\":\"terminus_key\",\"value\":\"$terminus_key\"},{\"operator\":\"eq\",\"tag\":\"type\",\"value\":\"browser\"}],\"functions\":[{\"aggregator\":\"value\",\"field\":\"diff_screenshot\",\"operator\":\"eq\",\"value\":false}],\"group\":[\"metric\"],\"metric\":\"status_page\",\"outputs\":[\"alert\"],\"select\":{\"metric_id\":\"#metric\",\"project_id\":\"#project_id\",\"project_name\":\"#project_name\",\"status_metric_name\":\"#metric_name\",\"terminus_key\":\"#terminus_key\",\"type\":\"#type\",\"url\":\"#url\",\"workspace\":\"#env\"},\"window\":1}','{\"alert_group\":\"{{terminus_key}}-{{metric_id}}\",\"display_url_id\":\"micro_status_detail\",\"level\":\"ERROR\",\"recover\":\"false\",\"tickets_metric_key\":\"{{metric_id}}\"}',0,'2021-05-28 11:55:02','2021-05-28 11:55:05'),(410,'主动监控HTTP状态异常','micro_service','app_status','app_status_code','{\"filters\":[{\"operator\":\"eq\",\"tag\":\"terminus_key\",\"value\":\"$terminus_key\"},{\"operator\":\"eq\",\"tag\":\"type\",\"value\":\"http\"}],\"functions\":[{\"aggregator\":\"sum\",\"field\":\"retry\"},{\"aggregator\":\"min\",\"field\":\"code\",\"operator\":\"gte\",\"value\":400}],\"group\":[\"metric\"],\"metric\":\"status_page\",\"outputs\":[\"alert\"],\"select\":{\"metric_id\":\"#metric\",\"project_id\":\"#project_id\",\"project_name\":\"#project_name\",\"status_metric_name\":\"#metric_name\",\"terminus_key\":\"#terminus_key\",\"type\":\"#type\",\"url\":\"#url\",\"workspace\":\"#env\"},\"window\":1}','{\"alert_group\":\"{{terminus_key}}-{{metric_id}}\",\"display_url_id\":\"micro_status_detail\",\"level\":\"ERROR\",\"recover\":\"true\",\"tickets_metric_key\":\"{{metric_id}}\"}',0,'2021-05-28 11:55:02','2021-05-28 11:55:05'),(411,'服务接口HTTP错误率异常','micro_service','app_transaction','app_transaction_http_path_error','{\"condition\":\"and\",\"filters\":[{\"operator\":\"eq\",\"tag\":\"target_terminus_key\",\"value\":\"$target_terminus_key\"},{\"operator\":\"in\",\"tag\":\"target_application_id\",\"value\":[\"$target_application_id\"]}],\"functions\":[{\"aggregator\":\"sum\",\"field\":\"elapsed_count\",\"operator\":\"gte\",\"value\":10},{\"aggregator\":\"sum\",\"field\":\"error_count\",\"field_script\":\"function invoke(field, tag){ if(field.http_status_code_mean \\u003c 500) { return 0; } return field.elapsed_count; }\"},{\"aggregator\":\"value\",\"field\":\"error_percent\",\"field_script\":\"function invoke(field, tag){ if(!field.elapsed_count_sum) return 0; return field.elapsed_count_sum === 0 ? 0 : (field.error_count_sum / field.elapsed_count_sum * 100);}\",\"operator\":\"gte\",\"trigger\":\"aggregated\",\"value\":50}],\"group\":[\"target_runtime_id\",\"target_service_name\",\"http_path\",\"http_method\"],\"metric\":\"application_http\",\"outputs\":[\"alert\"],\"select\":{\"application_id\":\"#target_application_id\",\"application_name\":\"#target_application_name\",\"http_method\":\"#http_method\",\"http_path\":\"#http_path\",\"http_url\":\"#http_url\",\"project_id\":\"#target_project_id\",\"project_name\":\"#target_project_name\",\"runtime_id\":\"#target_runtime_id\",\"runtime_name\":\"#target_runtime_name\",\"service_name\":\"#target_service_name\",\"terminus_key\":\"#target_terminus_key\",\"workspace\":\"#target_workspace\"},\"window\":1}','{\"alert_group\":\"{{target_terminus_key}}-{{target_runtime_id}}-{{target_service_name}}-{{http_path}}-{{http_method}}\",\"display_url_id\":\"micro_si_web\",\"level\":\"WARNING\",\"recover\":\"false\",\"tickets_metric_key\":\"{{target_application_id}}\"}',0,'2021-05-28 11:55:02','2021-05-28 11:55:05'),(412,'服务接口HTTP慢事务异常','micro_service','app_transaction','app_transaction_http_path_rt','{\"condition\":\"and\",\"filters\":[{\"operator\":\"eq\",\"tag\":\"target_terminus_key\",\"value\":\"$target_terminus_key\"},{\"operator\":\"in\",\"tag\":\"target_application_id\",\"value\":[\"$target_application_id\"]}],\"functions\":[{\"aggregator\":\"sum\",\"field\":\"elapsed\",\"field_script\":\"function invoke(field, tag){ return field.elapsed_sum / 1000000; }\"},{\"aggregator\":\"sum\",\"field\":\"elapsed_count\",\"operator\":\"gte\",\"value\":10},{\"aggregator\":\"value\",\"field\":\"elapsed_avg\",\"field_script\":\"function invoke(field, tag){ if(!field.elapsed_count_sum) return 0; return field.elapsed_count_sum === 0 ? 0 : (field.elapsed_sum / field.elapsed_count_sum);}\",\"operator\":\"gte\",\"trigger\":\"aggregated\",\"value\":3000}],\"group\":[\"target_runtime_id\",\"target_service_name\",\"http_path\",\"http_method\"],\"metric\":\"application_http\",\"outputs\":[\"alert\"],\"select\":{\"application_id\":\"#target_application_id\",\"application_name\":\"#target_application_name\",\"http_method\":\"#http_method\",\"http_path\":\"#http_path\",\"http_url\":\"#http_url\",\"project_id\":\"#target_project_id\",\"project_name\":\"#target_project_name\",\"runtime_id\":\"#target_runtime_id\",\"runtime_name\":\"#target_runtime_name\",\"service_name\":\"#target_service_name\",\"terminus_key\":\"#target_terminus_key\",\"workspace\":\"#target_workspace\"},\"window\":1}','{\"alert_group\":\"{{target_terminus_key}}-{{target_runtime_id}}-{{target_service_name}}-{{http_path}}-{{http_method}}\",\"display_url_id\":\"micro_si_web\",\"level\":\"WARNING\",\"recover\":\"false\",\"tickets_metric_key\":\"{{target_application_id}}\"}',0,'2021-05-28 11:55:02','2021-05-28 11:55:05'),(413,'服务HTTP错误率异常','micro_service','app_transaction','app_transaction_http_service_error','{\"condition\":\"and\",\"filters\":[{\"operator\":\"eq\",\"tag\":\"target_terminus_key\",\"value\":\"$target_terminus_key\"},{\"operator\":\"in\",\"tag\":\"target_application_id\",\"value\":[\"$target_application_id\"]}],\"functions\":[{\"aggregator\":\"sum\",\"field\":\"elapsed_count\"},{\"aggregator\":\"sum\",\"field\":\"error_count\",\"field_script\":\"function invoke(field, tag){ if(field.http_status_code_mean \\u003c 500) { return 0; } return field.elapsed_count; }\"},{\"aggregator\":\"value\",\"field\":\"error_percent\",\"field_script\":\"function invoke(field, tag){ if(!field.elapsed_count_sum) return 0; return field.elapsed_count_sum === 0 ? 0 : (field.error_count_sum / field.elapsed_count_sum * 100);}\",\"operator\":\"gte\",\"trigger\":\"aggregated\",\"value\":30}],\"group\":[\"target_runtime_id\",\"target_service_name\"],\"metric\":\"application_http\",\"outputs\":[\"alert\"],\"select\":{\"application_id\":\"#target_application_id\",\"application_name\":\"#target_application_name\",\"project_id\":\"#target_project_id\",\"project_name\":\"#target_project_name\",\"runtime_id\":\"#target_runtime_id\",\"runtime_name\":\"#target_runtime_name\",\"service_name\":\"#target_service_name\",\"terminus_key\":\"#target_terminus_key\",\"workspace\":\"#target_workspace\"},\"window\":1}','{\"alert_group\":\"{{target_terminus_key}}-{{target_runtime_id}}-{{target_service_name}}\",\"display_url_id\":\"micro_si_web\",\"level\":\"WARNING\",\"recover\":\"true\",\"tickets_metric_key\":\"{{target_application_id}}\"}',0,'2021-05-28 11:55:02','2021-05-28 11:55:05'),(414,'服务HTTP慢事务异常','micro_service','app_transaction','app_transaction_http_service_rt','{\"condition\":\"and\",\"filters\":[{\"operator\":\"eq\",\"tag\":\"target_terminus_key\",\"value\":\"$target_terminus_key\"},{\"operator\":\"in\",\"tag\":\"target_application_id\",\"value\":[\"$target_application_id\"]}],\"functions\":[{\"aggregator\":\"sum\",\"field\":\"elapsed\",\"field_script\":\"function invoke(field, tag){ return field.elapsed_sum / 1000000; }\"},{\"aggregator\":\"sum\",\"field\":\"elapsed_count\"},{\"aggregator\":\"value\",\"field\":\"elapsed_avg\",\"field_script\":\"function invoke(field, tag){ if(!field.elapsed_count_sum) return 0; return field.elapsed_count_sum === 0 ? 0 : (field.elapsed_sum / field.elapsed_count_sum);}\",\"operator\":\"gte\",\"trigger\":\"aggregated\",\"value\":1000}],\"group\":[\"target_runtime_id\",\"target_service_name\"],\"metric\":\"application_http\",\"outputs\":[\"alert\"],\"select\":{\"application_id\":\"#target_application_id\",\"application_name\":\"#target_application_name\",\"project_id\":\"#target_project_id\",\"project_name\":\"#target_project_name\",\"runtime_id\":\"#target_runtime_id\",\"runtime_name\":\"#target_runtime_name\",\"service_name\":\"#target_service_name\",\"terminus_key\":\"#target_terminus_key\",\"workspace\":\"#target_workspace\"},\"window\":1}','{\"alert_group\":\"{{target_terminus_key}}-{{target_runtime_id}}-{{target_service_name}}\",\"display_url_id\":\"micro_si_web\",\"level\":\"WARNING\",\"recover\":\"true\",\"tickets_metric_key\":\"{{target_application_id}}\"}',0,'2021-05-28 11:55:02','2021-05-28 11:55:05'),(415,'MySQL SLAVE DELAY ALERT','org','custom_addon','slave_dly_alert','{\"condition\":\"or\",\"filters\":[{\"operator\":\"in\",\"tag\":\"cluster_name\",\"value\":[\"$cluster_name\"]},{\"operator\":\"eq\",\"tag\":\"is_slave\",\"value\":\"true\"}],\"functions\":[{\"aggregator\":\"values\",\"field\":\"slave_slave_sql_running_state\",\"field_script\":\"function invoke(fields,tags){if (fields.slave_slave_sql_running_state == \'Slave has read all relay log; waiting for more updates\') {return \'no delay\'} return \'delay\';}\",\"operator\":\"all\",\"value\":\"delay\"},{\"aggregator\":\"max\",\"field\":\"slave_seconds_behind_master\",\"operator\":\"gt\",\"value\":1800}],\"group\":[\"addon_id\",\"server\"],\"metric\":\"mysql\",\"outputs\":[\"alert\"],\"select\":{\"addon_id\":\"#addon_id\",\"cluster_name\":\"#cluster_name\",\"server_id\":\"#server\"},\"window\":30}','{\"alert_group\":\"{{cluster_name}}-{{addon_id}}\",\"level\":\"WARNING\",\"recover\":\"false\"}',0,'2021-05-28 11:55:02','2021-05-28 11:55:05'),(416,'MySQL SLAVE SYNC ALERT','org','custom_addon','slave_sync_alert','{\"filters\":[{\"operator\":\"in\",\"tag\":\"cluster_name\",\"value\":[\"$cluster_name\"]},{\"operator\":\"eq\",\"tag\":\"is_slave\",\"value\":\"true\"}],\"functions\":[{\"aggregator\":\"value\",\"field\":\"slave_slave_sync_ok\",\"field_script\":\"function invoke(fields,tags){if (fields.slave_slave_io_running == 0 || fields.slave_slave_sql_running == 0) {return \'0\'} return \'1\'}\",\"operator\":\"eq\",\"value\":\"0\"},{\"aggregator\":\"value\",\"field\":\"slave_slave_io_running\"},{\"aggregator\":\"value\",\"field\":\"slave_slave_sql_running\"}],\"group\":[\"addon_id\",\"server\"],\"metric\":\"mysql\",\"outputs\":[\"alert\"],\"select\":{\"addon_id\":\"#addon_id\",\"cluster_name\":\"#cluster_name\",\"server_id\":\"#server\"},\"window\":1}','{\"alert_group\":\"{{cluster_name}}-{{addon_id}}\",\"level\":\"WARNING\",\"recover\":\"false\"}',0,'2021-05-28 11:55:02','2021-05-28 11:55:05'),(417,'平台中间件Cassandra GC次数异常','org','dice_addon','dice_addon_cassandra_gc_count','{\"filters\":[{\"operator\":\"in\",\"tag\":\"cluster_name\",\"value\":[\"$cluster_name\"]},{\"operator\":\"eq\",\"tag\":\"addon_id\",\"value\":\"cassandra\"},{\"operator\":\"like\",\"tag\":\"name\",\"value\":\"Old\"}],\"functions\":[{\"aggregator\":\"min\",\"field\":\"CollectionCount_min\",\"field_script\":\"function invoke(fields,tags){return fields.CollectionCount;}\"},{\"aggregator\":\"max\",\"field\":\"CollectionCount_max\",\"field_script\":\"function invoke(fields,tags){return fields.CollectionCount;}\"},{\"aggregator\":\"value\",\"field\":\"CollectionCount_win\",\"field_script\":\"function invoke(fields,tags){return fields.CollectionCount_max-fields.CollectionCount_min;}\",\"operator\":\"gte\",\"trigger\":\"aggregated\",\"value\":10}],\"group\":[\"cluster_name\",\"node_id\"],\"metrics\":[\"addon_java_GarbageCollector\"],\"outputs\":[\"alert\"],\"select\":{\"addon_id\":\"#addon_id\",\"addon_type\":\"#addon_type\",\"cluster_name\":\"#cluster_name\",\"node_host\":\"#jolokia_host\"},\"window\":3}','{\"alert_group\":\"{{cluster_name}}-{{addon_id}}\",\"display_url_id\":\"org_addon\",\"level\":\"WARNING\",\"recover\":\"false\",\"tickets_metric_key\":\"{{addon_id}}\"}',0,'2021-05-28 11:55:02','2021-05-28 11:55:05'),(418,'平台中间件Cassandra GC耗时异常','org','dice_addon','dice_addon_cassandra_gc_time','{\"filters\":[{\"operator\":\"in\",\"tag\":\"cluster_name\",\"value\":[\"$cluster_name\"]},{\"operator\":\"eq\",\"tag\":\"addon_id\",\"value\":\"cassandra\"},{\"operator\":\"like\",\"tag\":\"name\",\"value\":\"Old\"}],\"functions\":[{\"aggregator\":\"min\",\"field\":\"CollectionTime_min\",\"field_script\":\"function invoke(fields,tags){return fields.CollectionTime;}\"},{\"aggregator\":\"max\",\"field\":\"CollectionTime_max\",\"field_script\":\"function invoke(fields,tags){return fields.CollectionTime;}\"},{\"aggregator\":\"value\",\"field\":\"CollectionTime_win\",\"field_script\":\"function invoke(fields,tags){return fields.CollectionTime_max-fields.CollectionTime_min;}\",\"operator\":\"gte\",\"trigger\":\"aggregated\",\"value\":15000}],\"group\":[\"cluster_name\",\"node_id\"],\"metrics\":[\"addon_java_GarbageCollector\"],\"outputs\":[\"alert\"],\"select\":{\"addon_id\":\"#addon_id\",\"addon_type\":\"#addon_type\",\"cluster_name\":\"#cluster_name\",\"node_host\":\"#jolokia_host\"},\"window\":3}','{\"alert_group\":\"{{cluster_name}}-{{addon_id}}\",\"display_url_id\":\"org_addon\",\"level\":\"WARNING\",\"recover\":\"false\",\"tickets_metric_key\":\"{{addon_id}}\"}',0,'2021-05-28 11:55:02','2021-05-28 11:55:05'),(419,'平台中间件实例CPU状态','org','dice_addon','dice_addon_container_cpu','{\"filters\":[{\"operator\":\"in\",\"tag\":\"cluster_name\",\"value\":[\"$cluster_name\"]},{\"operator\":\"eq\",\"tag\":\"pod_namespace\",\"value\":\"default\"},{\"operator\":\"any\",\"tag\":\"addon_id\"}],\"functions\":[{\"aggregator\":\"avg\",\"field\":\"cpu_usage_percent\",\"field_script\":\"function invoke(fields,tags){return fields.cpu_limit===0?fields.cpu_usage_percent:fields.cpu_usage_percent/fields.cpu_limit}\",\"operator\":\"gte\",\"value\":95},{\"aggregator\":\"value\",\"field\":\"cpu_limit\"},{\"aggregator\":\"value\",\"field\":\"cpu_allocation\"}],\"group\":[\"cluster_name\",\"container_id\"],\"metrics\":[\"docker_container_summary\"],\"outputs\":[\"alert\"],\"select\":{\"addon_id\":\"#addon_id\",\"cluster_name\":\"#cluster_name\",\"container_id\":\"#container_id\",\"host_ip\":\"#host_ip\",\"pod_name\":\"#pod_name\",\"pod_namespace\":\"#pod_namespace\"},\"window\":2}','{\"alert_group\":\"{{cluster_name}}-{{container_id}}\",\"level\":\"WARNING\",\"recover\":\"false\",\"tickets_metric_key\":\"{{container_id}}\"}',0,'2021-05-28 11:55:02','2021-05-28 11:55:05'),(420,'平台中间件异常退出','org','dice_addon','dice_addon_container_exit','{\"filters\":[{\"operator\":\"in\",\"tag\":\"cluster_name\",\"value\":[\"$cluster_name\"]},{\"operator\":\"eq\",\"tag\":\"pod_namespace\",\"value\":\"default\"},{\"operator\":\"any\",\"tag\":\"addon_id\"}],\"functions\":[{\"aggregator\":\"max\",\"field\":\"exitcode\",\"operator\":\"gt\",\"value\":0},{\"aggregator\":\"value\",\"field\":\"terminated_reason\",\"field_script\":\"function invoke(fields,tags){if(fields.oomkilled) return \'Out Of Memory\';return \'Error Exit Code \'+fields.exitcode;}\"},{\"aggregator\":\"value\",\"field\":\"finished_at\",\"field_script\":\"function invoke(fields,tags){if(fields.finished_at!=null\\u0026\\u0026fields.finished_at!=undefined) return fields.finished_at/1000000;return \'-\'}\"},{\"aggregator\":\"value\",\"field\":\"started_at\",\"field_script\":\"function invoke(fields,tags){if(fields.started_at!=null\\u0026\\u0026fields.started_at!=undefined) return fields.started_at/1000000;return \'-\'}\"},{\"aggregator\":\"value\",\"field\":\"pid\"}],\"group\":[\"cluster_name\",\"pod_namespace\",\"pod_name\"],\"metrics\":[\"docker_container_summary\"],\"outputs\":[\"alert\"],\"select\":{\"addon_id\":\"#addon_id\",\"cluster_name\":\"#cluster_name\",\"container_id\":\"#container_id\",\"host_ip\":\"#host_ip\",\"pod_name\":\"#pod_name\",\"pod_namespace\":\"#pod_namespace\"},\"window\":1}','{\"alert_group\":\"{{cluster_name}}-{{container_id}}\",\"display_url_id\":\"org_pod\",\"level\":\"WARNING\",\"recover\":\"false\",\"tickets_metric_key\":\"{{container_id}}\"}',0,'2021-05-28 11:55:02','2021-05-28 11:55:05'),(421,'平台中间件实例内存状态','org','dice_addon','dice_addon_container_mem','{\"filters\":[{\"operator\":\"in\",\"tag\":\"cluster_name\",\"value\":[\"$cluster_name\"]},{\"operator\":\"eq\",\"tag\":\"pod_namespace\",\"value\":\"default\"},{\"operator\":\"any\",\"tag\":\"addon_id\"}],\"functions\":[{\"aggregator\":\"avg\",\"field\":\"mem_usage_percent\",\"operator\":\"gt\",\"value\":80},{\"aggregator\":\"value\",\"field\":\"mem_usage\"},{\"aggregator\":\"value\",\"field\":\"mem_limit\"},{\"aggregator\":\"value\",\"field\":\"mem_max_usage\"},{\"aggregator\":\"value\",\"field\":\"mem_allocation\"}],\"group\":[\"cluster_name\",\"container_id\"],\"metrics\":[\"docker_container_summary\"],\"outputs\":[\"alert\"],\"select\":{\"addon_id\":\"#addon_id\",\"cluster_name\":\"#cluster_name\",\"container_id\":\"#container_id\",\"host_ip\":\"#host_ip\",\"pod_name\":\"#pod_name\",\"pod_namespace\":\"#pod_namespace\"},\"window\":2}','{\"alert_group\":\"{{cluster_name}}-{{container_id}}\",\"level\":\"WARNING\",\"recover\":\"false\",\"tickets_metric_key\":\"{{container_id}}\"}',0,'2021-05-28 11:55:02','2021-05-28 11:55:05'),(422,'平台中间件实例Ready状态异常','org','dice_addon','dice_addon_container_ready','{\"filters\":[{\"operator\":\"in\",\"tag\":\"cluster_name\",\"value\":[\"$cluster_name\"]},{\"operator\":\"eq\",\"tag\":\"namespace\",\"value\":\"default\"},{\"operator\":\"any\",\"tag\":\"addon_id\"}],\"functions\":[{\"aggregator\":\"avg\",\"field\":\"not_ready_avg\",\"field_script\":\"function invoke(fields,tags){if(tags.daemonset_name){return fields.number_unavailable}else{if(tags.statefulset_name){return fields.replicas-fields.replicas_ready}else{if(tags.deployment_name){return fields.replicas_unavailable}}}return 0}\",\"operator\":\"gt\",\"value\":0},{\"aggregator\":\"value\",\"field\":\"not_ready\",\"field_script\":\"function invoke(fields,tags){if(tags.daemonset_name){return fields.number_unavailable}else{if(tags.statefulset_name){return fields.replicas-fields.replicas_ready}else{if(tags.deployment_name){return fields.replicas_unavailable}}}return 0}\"},{\"aggregator\":\"value\",\"field\":\"ready\",\"field_script\":\"function invoke(fields,tags){if(tags.daemonset_name){return fields.number_available}else{if(tags.statefulset_name){return fields.replicas_ready}else{if(tags.deployment_name){return fields.replicas_available}}}return 0}\"},{\"aggregator\":\"value\",\"field\":\"total\",\"field_script\":\"function invoke(fields,tags){if(tags.daemonset_name){return fields.number_unavailable+fields.number_available}else{if(tags.statefulset_name){return fields.replicas}else{if(tags.deployment_name){return fields.replicas_unavailable+fields.replicas_available}}}return 0}\"},{\"aggregator\":\"value\",\"field\":\"resource_name\",\"field_script\":\"function invoke(fields,tags){if(tags.daemonset_name){return tags.daemonset_name}else{if(tags.statefulset_name){return tags.statefulset_name}else{if(tags.deployment_name){return tags.deployment_name}}}return null};\"}],\"group\":[\"cluster_name\",\"namespace\",\"daemonset_name\",\"statefulset_name\",\"deployment_name\"],\"metrics\":[\"kubernetes_daemonset\",\"kubernetes_statefulset\",\"kubernetes_deployment\"],\"outputs\":[\"alert\"],\"select\":{\"addon_id\":\"#addon_id\",\"cluster_name\":\"#cluster_name\",\"daemonset_name\":\"#daemonset_name\",\"deployment_name\":\"#deployment_name\",\"namespace\":\"#namespace\",\"statefulset_name\":\"#statefulset_name\"},\"window\":1}','{\"alert_group\":\"{{cluster_name}}-{{daemonset_name}}-{{statefulset_name}}-{{deployment_name}}\",\"level\":\"WARNING\",\"recover\":\"false\",\"tickets_metric_key\":\"{{daemonset_name}}-{{statefulset_name}}-{{deployment_name}}\"}',0,'2021-05-28 11:55:02','2021-05-28 11:55:05'),(423,'平台中间件Elasticsearch GC次数异常','org','dice_addon','dice_addon_elasticsearch_gc_count','{\"filters\":[{\"operator\":\"in\",\"tag\":\"cluster_name\",\"value\":[\"$cluster_name\"]},{\"operator\":\"eq\",\"tag\":\"addon_id\",\"value\":\"elasticsearch\"}],\"functions\":[{\"aggregator\":\"min\",\"field\":\"gc_collectors_old_collection_count_min\",\"field_script\":\"function invoke(fields,tags){return fields.gc_collectors_old_collection_count;}\"},{\"aggregator\":\"max\",\"field\":\"gc_collectors_old_collection_count_max\",\"field_script\":\"function invoke(fields,tags){return fields.gc_collectors_old_collection_count;}\"},{\"aggregator\":\"value\",\"field\":\"gc_collectors_old_collection_count_win\",\"field_script\":\"function invoke(fields,tags){return fields.gc_collectors_old_collection_count_max-fields.gc_collectors_old_collection_count_min;}\",\"operator\":\"gte\",\"trigger\":\"aggregated\",\"value\":10}],\"group\":[\"cluster_name\",\"node_id\"],\"metrics\":[\"elasticsearch_jvm\"],\"outputs\":[\"alert\"],\"select\":{\"addon_id\":\"#addon_id\",\"addon_type\":\"#addon_type\",\"cluster_name\":\"#cluster_name\",\"node_host\":\"#node_host\",\"node_id\":\"#node_id\",\"node_name\":\"#node_name\"},\"window\":3}','{\"alert_group\":\"{{cluster_name}}-{{addon_id}}\",\"display_url_id\":\"org_addon\",\"level\":\"WARNING\",\"recover\":\"false\",\"tickets_metric_key\":\"{{addon_id}}\"}',0,'2021-05-28 11:55:02','2021-05-28 11:55:05'),(424,'平台中间件Elasticsearch GC耗时异常','org','dice_addon','dice_addon_elasticsearch_gc_time','{\"filters\":[{\"operator\":\"in\",\"tag\":\"cluster_name\",\"value\":[\"$cluster_name\"]},{\"operator\":\"eq\",\"tag\":\"addon_id\",\"value\":\"elasticsearch\"}],\"functions\":[{\"aggregator\":\"min\",\"field\":\"gc_collectors_old_collection_time_in_millis_min\",\"field_script\":\"function invoke(fields,tags){return fields.gc_collectors_old_collection_time_in_millis;}\"},{\"aggregator\":\"max\",\"field\":\"gc_collectors_old_collection_time_in_millis_max\",\"field_script\":\"function invoke(fields,tags){return fields.gc_collectors_old_collection_time_in_millis;}\"},{\"aggregator\":\"value\",\"field\":\"gc_collectors_old_collection_time_in_millis_win\",\"field_script\":\"function invoke(fields,tags){return fields.gc_collectors_old_collection_time_in_millis_max-fields.gc_collectors_old_collection_time_in_millis_min;}\",\"operator\":\"gte\",\"trigger\":\"aggregated\",\"value\":15000}],\"group\":[\"cluster_name\",\"node_id\"],\"metrics\":[\"elasticsearch_jvm\"],\"outputs\":[\"alert\"],\"select\":{\"addon_id\":\"#addon_id\",\"addon_type\":\"#addon_type\",\"cluster_name\":\"#cluster_name\",\"node_host\":\"#node_host\",\"node_id\":\"#node_id\",\"node_name\":\"#node_name\"},\"window\":3}','{\"alert_group\":\"{{cluster_name}}-{{addon_id}}\",\"display_url_id\":\"org_addon\",\"level\":\"WARNING\",\"recover\":\"false\",\"tickets_metric_key\":\"{{addon_id}}\"}',0,'2021-05-28 11:55:02','2021-05-28 11:55:05'),(425,'平台中间件Kafka GC次数异常','org','dice_addon','dice_addon_kafka_gc_count','{\"filters\":[{\"operator\":\"in\",\"tag\":\"cluster_name\",\"value\":[\"$cluster_name\"]},{\"operator\":\"eq\",\"tag\":\"addon_id\",\"value\":\"kafka\"},{\"operator\":\"like\",\"tag\":\"name\",\"value\":\"Old\"}],\"functions\":[{\"aggregator\":\"min\",\"field\":\"CollectionCount_min\",\"field_script\":\"function invoke(fields,tags){return fields.CollectionCount;}\"},{\"aggregator\":\"max\",\"field\":\"CollectionCount_max\",\"field_script\":\"function invoke(fields,tags){return fields.CollectionCount;}\"},{\"aggregator\":\"value\",\"field\":\"CollectionCount_win\",\"field_script\":\"function invoke(fields,tags){return fields.CollectionCount_max-fields.CollectionCount_min;}\",\"operator\":\"gte\",\"trigger\":\"aggregated\",\"value\":10}],\"group\":[\"cluster_name\",\"node_id\"],\"metrics\":[\"addon_java_GarbageCollector\"],\"outputs\":[\"alert\"],\"select\":{\"addon_id\":\"#addon_id\",\"addon_type\":\"#addon_type\",\"cluster_name\":\"#cluster_name\",\"node_host\":\"#jolokia_host\"},\"window\":3}','{\"alert_group\":\"{{cluster_name}}-{{addon_id}}\",\"display_url_id\":\"org_addon\",\"level\":\"WARNING\",\"recover\":\"false\",\"tickets_metric_key\":\"{{addon_id}}\"}',0,'2021-05-28 11:55:02','2021-05-28 11:55:05'),(426,'平台中间件Kafka GC耗时异常','org','dice_addon','dice_addon_kafka_gc_time','{\"filters\":[{\"operator\":\"in\",\"tag\":\"cluster_name\",\"value\":[\"$cluster_name\"]},{\"operator\":\"eq\",\"tag\":\"addon_id\",\"value\":\"kafka\"},{\"operator\":\"like\",\"tag\":\"name\",\"value\":\"Old\"}],\"functions\":[{\"aggregator\":\"min\",\"field\":\"CollectionTime_min\",\"field_script\":\"function invoke(fields,tags){return fields.CollectionTime;}\"},{\"aggregator\":\"max\",\"field\":\"CollectionTime_max\",\"field_script\":\"function invoke(fields,tags){return fields.CollectionTime;}\"},{\"aggregator\":\"value\",\"field\":\"CollectionTime_win\",\"field_script\":\"function invoke(fields,tags){return fields.CollectionTime_max-fields.CollectionTime_min;}\",\"operator\":\"gte\",\"trigger\":\"aggregated\",\"value\":15000}],\"group\":[\"cluster_name\",\"node_id\"],\"metrics\":[\"addon_java_GarbageCollector\"],\"outputs\":[\"alert\"],\"select\":{\"addon_id\":\"#addon_id\",\"addon_type\":\"#addon_type\",\"cluster_name\":\"#cluster_name\",\"node_host\":\"#jolokia_host\"},\"window\":3}','{\"alert_group\":\"{{cluster_name}}-{{addon_id}}\",\"display_url_id\":\"org_addon\",\"level\":\"WARNING\",\"recover\":\"false\",\"tickets_metric_key\":\"{{addon_id}}\"}',0,'2021-05-28 11:55:02','2021-05-28 11:55:05'),(427,'平台中间件kafka消费堆积','org','dice_addon','dice_addon_kafka_lag','{\"filters\":[{\"operator\":\"in\",\"tag\":\"cluster_name\",\"value\":[\"$cluster_name\"]},{\"operator\":\"eq\",\"tag\":\"addon_id\",\"value\":\"kafka\"}],\"functions\":[{\"aggregator\":\"avg\",\"field\":\"lag\",\"operator\":\"gte\",\"value\":100000},{\"aggregator\":\"avg\",\"field\":\"consume_rate_per_sec\"},{\"aggregator\":\"avg\",\"field\":\"produce_rate_per_sec\"}],\"group\":[\"cluster_name\",\"addon_id\",\"group\",\"topic\"],\"metrics\":[\"kafka_consumer\"],\"outputs\":[\"alert\"],\"select\":{\"addon_id\":\"#addon_id\",\"addon_type\":\"#addon_type\",\"cluster_name\":\"#cluster_name\",\"group\":\"#group\",\"topic\":\"#topic\"},\"window\":3}','{\"alert_group\":\"{{cluster_name}}-{{group}}-{{topic}}\",\"display_url_id\":\"org_addon\",\"level\":\"WARNING\",\"recover\":\"false\",\"tickets_metric_key\":\"{{group}}-{{topic}}\"}',0,'2021-05-28 11:55:02','2021-05-28 11:55:05'),(428,'平台组件实例CPU状态','org','dice_component','dice_component_container_cpu','{\"filters\":[{\"operator\":\"in\",\"tag\":\"cluster_name\",\"value\":[\"$cluster_name\"]},{\"operator\":\"eq\",\"tag\":\"pod_namespace\",\"value\":\"default\"},{\"operator\":\"any\",\"tag\":\"component_name\"}],\"functions\":[{\"aggregator\":\"avg\",\"field\":\"cpu_usage_percent\",\"field_script\":\"function invoke(fields,tags){return fields.cpu_limit===0?fields.cpu_usage_percent:fields.cpu_usage_percent/fields.cpu_limit}\",\"operator\":\"gte\",\"value\":95},{\"aggregator\":\"value\",\"field\":\"cpu_limit\"},{\"aggregator\":\"value\",\"field\":\"cpu_allocation\"}],\"group\":[\"cluster_name\",\"container_id\"],\"metrics\":[\"docker_container_summary\"],\"outputs\":[\"alert\"],\"select\":{\"cluster_name\":\"#cluster_name\",\"component_name\":\"#component_name\",\"container_id\":\"#container_id\",\"host_ip\":\"#host_ip\",\"pod_name\":\"#pod_name\",\"pod_namespace\":\"#pod_namespace\"},\"window\":2}','{\"alert_group\":\"{{cluster_name}}-{{container_id}}\",\"level\":\"WARNING\",\"recover\":\"false\",\"tickets_metric_key\":\"{{container_id}}\"}',0,'2021-05-28 11:55:02','2021-05-28 11:55:05'),(429,'平台组件异常退出','org','dice_component','dice_component_container_exit','{\"filters\":[{\"operator\":\"in\",\"tag\":\"cluster_name\",\"value\":[\"$cluster_name\"]},{\"operator\":\"eq\",\"tag\":\"pod_namespace\",\"value\":\"default\"},{\"operator\":\"any\",\"tag\":\"component_name\"}],\"functions\":[{\"aggregator\":\"max\",\"field\":\"exitcode\",\"operator\":\"gt\",\"value\":0},{\"aggregator\":\"value\",\"field\":\"terminated_reason\",\"field_script\":\"function invoke(fields,tags){if(fields.oomkilled) return \'Out Of Memory\';return \'Error Exit Code \'+fields.exitcode;}\"},{\"aggregator\":\"value\",\"field\":\"finished_at\",\"field_script\":\"function invoke(fields,tags){if(fields.finished_at!=null\\u0026\\u0026fields.finished_at!=undefined) return fields.finished_at/1000000;return \'-\'}\"},{\"aggregator\":\"value\",\"field\":\"started_at\",\"field_script\":\"function invoke(fields,tags){if(fields.started_at!=null\\u0026\\u0026fields.started_at!=undefined) return fields.started_at/1000000;return \'-\'}\"},{\"aggregator\":\"value\",\"field\":\"pid\"}],\"group\":[\"cluster_name\",\"container_id\"],\"metrics\":[\"docker_container_summary\"],\"outputs\":[\"alert\"],\"select\":{\"cluster_name\":\"#cluster_name\",\"component_name\":\"#component_name\",\"container_id\":\"#container_id\",\"host_ip\":\"#host_ip\",\"pod_name\":\"#pod_name\",\"pod_namespace\":\"#pod_namespace\"},\"window\":1}','{\"alert_group\":\"{{cluster_name}}-{{container_id}}\",\"display_url_id\":\"org_pod\",\"level\":\"WARNING\",\"recover\":\"false\",\"tickets_metric_key\":\"{{container_id}}\"}',0,'2021-05-28 11:55:02','2021-05-28 11:55:05'),(430,'平台组件实例内存状态','org','dice_component','dice_component_container_mem','{\"filters\":[{\"operator\":\"in\",\"tag\":\"cluster_name\",\"value\":[\"$cluster_name\"]},{\"operator\":\"eq\",\"tag\":\"pod_namespace\",\"value\":\"default\"},{\"operator\":\"any\",\"tag\":\"component_name\"}],\"functions\":[{\"aggregator\":\"avg\",\"field\":\"mem_usage_percent\",\"operator\":\"gt\",\"value\":70},{\"aggregator\":\"value\",\"field\":\"mem_usage\"},{\"aggregator\":\"value\",\"field\":\"mem_limit\"},{\"aggregator\":\"value\",\"field\":\"mem_max_usage\"},{\"aggregator\":\"value\",\"field\":\"mem_allocation\"}],\"group\":[\"cluster_name\",\"container_id\"],\"metrics\":[\"docker_container_summary\"],\"outputs\":[\"alert\"],\"select\":{\"cluster_name\":\"#cluster_name\",\"component_name\":\"#component_name\",\"container_id\":\"#container_id\",\"host_ip\":\"#host_ip\",\"pod_name\":\"#pod_name\",\"pod_namespace\":\"#pod_namespace\"},\"window\":2}','{\"alert_group\":\"{{cluster_name}}-{{container_id}}\",\"level\":\"WARNING\",\"recover\":\"false\",\"tickets_metric_key\":\"{{container_id}}\"}',0,'2021-05-28 11:55:02','2021-05-28 11:55:05'),(431,'平台组件实例Ready状态异常','org','dice_component','dice_component_container_ready','{\"filters\":[{\"operator\":\"in\",\"tag\":\"cluster_name\",\"value\":[\"$cluster_name\"]},{\"operator\":\"eq\",\"tag\":\"namespace\",\"value\":\"default\"},{\"operator\":\"any\",\"tag\":\"component_name\"}],\"functions\":[{\"aggregator\":\"avg\",\"field\":\"not_ready_avg\",\"field_script\":\"function invoke(fields,tags){if(tags.daemonset_name){return fields.number_unavailable}else{if(tags.statefulset_name){return fields.replicas-fields.replicas_ready}else{if(tags.deployment_name){return fields.replicas_unavailable}}}return 0}\",\"operator\":\"gt\",\"value\":0},{\"aggregator\":\"value\",\"field\":\"not_ready\",\"field_script\":\"function invoke(fields,tags){if(tags.daemonset_name){return fields.number_unavailable}else{if(tags.statefulset_name){return fields.replicas-fields.replicas_ready}else{if(tags.deployment_name){return fields.replicas_unavailable}}}return 0}\"},{\"aggregator\":\"value\",\"field\":\"ready\",\"field_script\":\"function invoke(fields,tags){if(tags.daemonset_name){return fields.number_available}else{if(tags.statefulset_name){return fields.replicas_ready}else{if(tags.deployment_name){return fields.replicas_available}}}return 0}\"},{\"aggregator\":\"value\",\"field\":\"total\",\"field_script\":\"function invoke(fields,tags){if(tags.daemonset_name){return fields.number_unavailable+fields.number_available}else{if(tags.statefulset_name){return fields.replicas}else{if(tags.deployment_name){return fields.replicas_unavailable+fields.replicas_available}}}return 0}\"},{\"aggregator\":\"value\",\"field\":\"resource_name\",\"field_script\":\"function invoke(fields,tags){if(tags.daemonset_name){return tags.daemonset_name}else{if(tags.statefulset_name){return tags.statefulset_name}else{if(tags.deployment_name){return tags.deployment_name}}}return null};\"}],\"group\":[\"cluster_name\",\"namespace\",\"daemonset_name\",\"statefulset_name\",\"deployment_name\"],\"metrics\":[\"kubernetes_daemonset\",\"kubernetes_statefulset\",\"kubernetes_deployment\"],\"outputs\":[\"alert\"],\"select\":{\"cluster_name\":\"#cluster_name\",\"component_name\":\"#component_name\",\"daemonset_name\":\"#daemonset_name\",\"deployment_name\":\"#deployment_name\",\"namespace\":\"#namespace\",\"statefulset_name\":\"#statefulset_name\"},\"window\":3}','{\"alert_group\":\"{{cluster_name}}-{{daemonset_name}}-{{statefulset_name}}-{{deployment_name}}\",\"level\":\"WARNING\",\"recover\":\"false\",\"tickets_metric_key\":\"{{daemonset_name}}-{{statefulset_name}}-{{deployment_name}}\"}',0,'2021-05-28 11:55:02','2021-05-28 11:55:05'),(432,'平台组件Flink任务checkpoint延迟异常告警','org','dice_component','dice_component_flink_checkpoint_duration','{\"filters\":[{\"operator\":\"in\",\"tag\":\"cluster_name\",\"value\":[\"$cluster_name\"]}],\"functions\":[{\"aggregator\":\"value\",\"field\":\"lastCheckpointDuration\",\"operator\":\"gte\",\"value\":3000}],\"group\":[\"cluster_name\",\"container_id\",\"job_id\"],\"metric\":\"flink_jm_job\",\"outputs\":[\"alert\"],\"select\":{\"cluster_name\":\"#cluster_name\",\"host_ip\":\"#host_ip\",\"job_id\":\"#job_id\"},\"window\":1}','{\"alert_group\":\"{{cluster_name}}-{{container_id}}-{{job_id}}\",\"level\":\"WARNING\",\"recover\":\"false\",\"tickets_metric_key\":\"{{container_id}}-{{job_id}}\"}',0,'2021-05-28 11:55:02','2021-05-28 11:55:05'),(433,'平台组件Flink吞吐量异常告警','org','dice_component','dice_component_flink_throughput','{\"filters\":[{\"operator\":\"in\",\"tag\":\"cluster_name\",\"value\":[\"$cluster_name\"]}],\"functions\":[{\"aggregator\":\"value\",\"field\":\"numRecordsOutPerSecond_count\",\"operator\":\"eq\",\"value\":0}],\"group\":[\"cluster_name\",\"container_id\",\"job_id\",\"task_id\",\"subtask_index\",\"operator_id\"],\"metric\":\"flink_tm_operator\",\"outputs\":[\"alert\"],\"select\":{\"cluster_name\":\"#cluster_name\",\"host_ip\":\"#host_ip\",\"job_id\":\"#job_id\",\"operator_id\":\"#operator_id\",\"subtask_index\":\"#subtask_index\",\"tm_id\":\"#tm_id\"},\"window\":1}','{\"alert_group\":\"{{cluster_name}}-{{container_id}}-{{job_id}}\",\"level\":\"WARNING\",\"recover\":\"false\",\"tickets_metric_key\":\"{{container_id}}-{{job_id}}\"}',0,'2021-05-28 11:55:02','2021-05-28 11:55:05'),(434,'平台组件网盘不可用告警','org','dice_component','dice_component_gfs_status','{\"filters\":[{\"operator\":\"in\",\"tag\":\"cluster_name\",\"value\":[\"$cluster_name\"]}],\"functions\":[{\"aggregator\":\"values\",\"field\":\"status\",\"operator\":\"all\",\"value\":\"Disconnected\"}],\"group\":[\"cluster_name\",\"host_ip\"],\"metric\":\"glusterfs\",\"outputs\":[\"alert\"],\"select\":{\"cluster_name\":\"#cluster_name\",\"component_name\":\"#component_name\",\"host_ip\":\"#host_ip\",\"node_uuid\":\"#node_uuid\"},\"window\":5}','{\"alert_group\":\"{{cluster_name}}\",\"level\":\"WARNING\",\"recover\":\"false\",\"tickets_metric_key\":\"{{cluster_name}}\"}',0,'2021-05-28 11:55:02','2021-05-28 11:55:05'),(435,'kubernetes组件实例CPU状态','org','kubernetes','kubernetes_instance_cpu','{\"filters\":[{\"operator\":\"in\",\"tag\":\"cluster_name\",\"value\":[\"$cluster_name\"]},{\"operator\":\"eq\",\"tag\":\"pod_namespace\",\"value\":\"kube-system\"}],\"functions\":[{\"aggregator\":\"avg\",\"field\":\"cpu_usage_percent\",\"field_script\":\"function invoke(fields,tags){return fields.cpu_limit===0?fields.cpu_usage_percent:fields.cpu_usage_percent/fields.cpu_limit}\",\"operator\":\"gte\",\"value\":95},{\"aggregator\":\"value\",\"field\":\"cpu_limit\"},{\"aggregator\":\"value\",\"field\":\"cpu_allocation\"}],\"group\":[\"cluster_name\",\"container_id\"],\"metrics\":[\"docker_container_summary\"],\"outputs\":[\"alert\"],\"select\":{\"cluster_name\":\"#cluster_name\",\"container_id\":\"#container_id\",\"host_ip\":\"#host_ip\",\"pod_name\":\"#pod_name\",\"pod_namespace\":\"#pod_namespace\"},\"window\":2}','{\"alert_group\":\"{{cluster_name}}-{{container_id}}\",\"level\":\"WARNING\",\"recover\":\"false\",\"tickets_metric_key\":\"{{container_id}}\"}',0,'2021-05-28 11:55:02','2021-05-28 11:55:05'),(436,'kubernetes组件异常退出','org','kubernetes','kubernetes_instance_exit','{\"filters\":[{\"operator\":\"in\",\"tag\":\"cluster_name\",\"value\":[\"$cluster_name\"]},{\"operator\":\"eq\",\"tag\":\"pod_namespace\",\"value\":\"kube-system\"}],\"functions\":[{\"aggregator\":\"max\",\"field\":\"exitcode\",\"operator\":\"gt\",\"value\":0},{\"aggregator\":\"value\",\"field\":\"terminated_reason\",\"field_script\":\"function invoke(fields,tags){if(fields.oomkilled) return \'Out Of Memory\';return \'Error Exit Code \'+fields.exitcode;}\"},{\"aggregator\":\"value\",\"field\":\"finished_at\",\"field_script\":\"function invoke(fields,tags){if(fields.finished_at!=null\\u0026\\u0026fields.finished_at!=undefined) return fields.finished_at/1000000;return \'-\'}\"},{\"aggregator\":\"value\",\"field\":\"started_at\",\"field_script\":\"function invoke(fields,tags){if(fields.started_at!=null\\u0026\\u0026fields.started_at!=undefined) return fields.started_at/1000000;return \'-\'}\"},{\"aggregator\":\"value\",\"field\":\"pid\"}],\"group\":[\"cluster_name\",\"pod_namespace\",\"pod_name\"],\"metrics\":[\"docker_container_summary\"],\"outputs\":[\"alert\"],\"select\":{\"cluster_name\":\"#cluster_name\",\"component_name\":\"#component_name\",\"container_id\":\"#container_id\",\"host_ip\":\"#host_ip\",\"pod_name\":\"#pod_name\",\"pod_namespace\":\"#pod_namespace\"},\"window\":1}','{\"alert_group\":\"{{cluster_name}}-{{container_id}}\",\"display_url_id\":\"org_pod\",\"level\":\"WARNING\",\"recover\":\"false\",\"tickets_metric_key\":\"{{container_id}}\"}',0,'2021-05-28 11:55:02','2021-05-28 11:55:05'),(437,'kubernetes组件实例内存状态','org','kubernetes','kubernetes_instance_mem','{\"filters\":[{\"operator\":\"in\",\"tag\":\"cluster_name\",\"value\":[\"$cluster_name\"]},{\"operator\":\"eq\",\"tag\":\"pod_namespace\",\"value\":\"kube-system\"}],\"functions\":[{\"aggregator\":\"avg\",\"field\":\"mem_usage_percent\",\"operator\":\"gt\",\"value\":70},{\"aggregator\":\"value\",\"field\":\"mem_usage\"},{\"aggregator\":\"value\",\"field\":\"mem_limit\"},{\"aggregator\":\"value\",\"field\":\"mem_max_usage\"},{\"aggregator\":\"value\",\"field\":\"mem_allocation\"}],\"group\":[\"cluster_name\",\"container_id\"],\"metrics\":[\"docker_container_summary\"],\"outputs\":[\"alert\"],\"select\":{\"cluster_name\":\"#cluster_name\",\"container_id\":\"#container_id\",\"host_ip\":\"#host_ip\",\"pod_name\":\"#pod_name\",\"pod_namespace\":\"#pod_namespace\"},\"window\":2}','{\"alert_group\":\"{{cluster_name}}-{{container_id}}\",\"level\":\"WARNING\",\"recover\":\"false\",\"tickets_metric_key\":\"{{container_id}}\"}',0,'2021-05-28 11:55:02','2021-05-28 11:55:05'),(438,'kubernetes组件实例Ready状态异常','org','kubernetes','kubernetes_instance_ready','{\"filters\":[{\"operator\":\"in\",\"tag\":\"cluster_name\",\"value\":[\"$cluster_name\"]},{\"operator\":\"eq\",\"tag\":\"namespace\",\"value\":\"kube-system\"}],\"functions\":[{\"aggregator\":\"avg\",\"field\":\"not_ready_avg\",\"field_script\":\"function invoke(fields,tags){if(tags.daemonset_name){return fields.number_unavailable}else{if(tags.statefulset_name){return fields.replicas-fields.replicas_ready}else{if(tags.deployment_name){return fields.replicas_unavailable}}}return 0}\",\"operator\":\"gt\",\"value\":0},{\"aggregator\":\"value\",\"field\":\"not_ready\",\"field_script\":\"function invoke(fields,tags){if(tags.daemonset_name){return fields.number_unavailable}else{if(tags.statefulset_name){return fields.replicas-fields.replicas_ready}else{if(tags.deployment_name){return fields.replicas_unavailable}}}return 0}\"},{\"aggregator\":\"value\",\"field\":\"ready\",\"field_script\":\"function invoke(fields,tags){if(tags.daemonset_name){return fields.number_available}else{if(tags.statefulset_name){return fields.replicas_ready}else{if(tags.deployment_name){return fields.replicas_available}}}return 0}\"},{\"aggregator\":\"value\",\"field\":\"total\",\"field_script\":\"function invoke(fields,tags){if(tags.daemonset_name){return fields.number_unavailable+fields.number_available}else{if(tags.statefulset_name){return fields.replicas}else{if(tags.deployment_name){return fields.replicas_unavailable+fields.replicas_available}}}return 0}\"},{\"aggregator\":\"value\",\"field\":\"resource_name\",\"field_script\":\"function invoke(fields,tags){if(tags.daemonset_name){return tags.daemonset_name}else{if(tags.statefulset_name){return tags.statefulset_name}else{if(tags.deployment_name){return tags.deployment_name}}}return null};\"}],\"group\":[\"cluster_name\",\"namespace\",\"daemonset_name\",\"statefulset_name\",\"deployment_name\"],\"metrics\":[\"kubernetes_daemonset\",\"kubernetes_statefulset\",\"kubernetes_deployment\"],\"outputs\":[\"alert\"],\"select\":{\"cluster_name\":\"#cluster_name\",\"daemonset_name\":\"#daemonset_name\",\"deployment_name\":\"#deployment_name\",\"namespace\":\"#namespace\",\"statefulset_name\":\"#statefulset_name\"},\"window\":1}','{\"alert_group\":\"{{cluster_name}}-{{daemonset_name}}-{{statefulset_name}}-{{deployment_name}}\",\"level\":\"WARNING\",\"recover\":\"false\",\"tickets_metric_key\":\"{{daemonset_name}}-{{statefulset_name}}-{{deployment_name}}\"}',0,'2021-05-28 11:55:02','2021-05-28 11:55:05'),(439,'kubernetes节点异常','org','kubernetes','kubernetes_node','{\"filters\":[{\"operator\":\"in\",\"tag\":\"cluster_name\",\"value\":[\"$cluster_name\"]},{\"operator\":\"neq\",\"tag\":\"offline\",\"value\":\"true\"}],\"functions\":[{\"aggregator\":\"values\",\"field\":\"ready\",\"operator\":\"all\",\"value\":false},{\"aggregator\":\"value\",\"field\":\"allocatable_pods\"},{\"aggregator\":\"value\",\"field\":\"capacity_pods\"},{\"aggregator\":\"value\",\"field\":\"allocatable_cpu_cores\"},{\"aggregator\":\"value\",\"field\":\"capacity_cpu_cores\"},{\"aggregator\":\"value\",\"field\":\"allocatable_memory_bytes\"},{\"aggregator\":\"value\",\"field\":\"capacity_memory_bytes\"}],\"group\":[\"cluster_name\",\"node_name\"],\"metrics\":[\"kubernetes_node\"],\"outputs\":[\"alert\"],\"select\":{\"cluster_name\":\"#cluster_name\",\"node_name\":\"#node_name\"},\"window\":1}','{\"alert_group\":\"{{cluster_name}}-{{node_name}}\",\"level\":\"WARNING\",\"recover\":\"false\",\"tickets_metric_key\":\"{{node_name}}\"}',0,'2021-05-28 11:55:02','2021-05-28 11:55:05'),(440,'机器CPU','org','machine','machine_cpu','{\"filters\":[{\"operator\":\"in\",\"tag\":\"cluster_name\",\"value\":[\"$cluster_name\"]}],\"functions\":[{\"aggregator\":\"avg\",\"field\":\"cpu_usage_active\",\"operator\":\"gte\",\"value\":95}],\"group\":[\"cluster_name\",\"host_ip\"],\"metric\":\"host_summary\",\"outputs\":[\"alert\"],\"select\":{\"cluster_name\":\"#cluster_name\",\"host_ip\":\"#host_ip\"},\"window\":1}','{\"alert_group\":\"{{cluster_name}}-{{host_ip}}\",\"display_url_id\":\"machine_cpu\",\"level\":\"WARNING\",\"recover\":\"false\",\"tickets_metric_key\":\"{{host_ip}}\"}',0,'2021-05-28 11:55:02','2021-05-28 11:55:05'),(441,'机器磁盘','org','machine','machine_disk','{\"filters\":[{\"operator\":\"in\",\"tag\":\"cluster_name\",\"value\":[\"$cluster_name\"]},{\"operator\":\"neq\",\"tag\":\"type\",\"value\":\"netdata\"}],\"functions\":[{\"aggregator\":\"value\",\"field\":\"used_percent\",\"operator\":\"gte\",\"value\":86},{\"aggregator\":\"value\",\"field\":\"total\"}],\"group\":[\"host_ip\",\"device\"],\"metric\":\"disk\",\"outputs\":[\"alert\"],\"select\":{\"cluster_name\":\"#cluster_name\",\"device\":\"#device\",\"host_ip\":\"#host_ip\"},\"window\":1}','{\"alert_group\":\"{{cluster_name}}-{{host_ip}}-{{device}}\",\"display_url_id\":\"machine_disk\",\"level\":\"WARNING\",\"recover\":\"true\",\"tickets_metric_key\":\"{{host_ip}}\"}',0,'2021-05-28 11:55:02','2021-05-28 11:55:05'),(442,'磁盘Inode异常告警','org','machine','machine_disk_inode','{\"filters\":[{\"operator\":\"in\",\"tag\":\"cluster_name\",\"value\":[\"$cluster_name\"]},{\"operator\":\"neq\",\"tag\":\"type\",\"value\":\"netdata\"}],\"functions\":[{\"aggregator\":\"value\",\"field\":\"inode_used_percent\",\"field_script\":\"function invoke(field, tag){ return field.inodes_used/field.inodes_total*100 }\",\"operator\":\"gte\",\"value\":85},{\"aggregator\":\"value\",\"field\":\"inodes_total\"}],\"group\":[\"host_ip\",\"device\"],\"metric\":\"disk\",\"outputs\":[\"alert\"],\"select\":{\"cluster_name\":\"#cluster_name\",\"device\":\"#device\",\"host_ip\":\"#host_ip\"},\"window\":1}','{\"alert_group\":\"{{cluster_name}}-{{host_ip}}-{{device}}\",\"display_url_id\":\"machine_disk\",\"level\":\"WARNING\",\"recover\":\"true\",\"tickets_metric_key\":\"{{host_ip}}\"}',0,'2021-05-28 11:55:02','2021-05-28 11:55:05'),(443,'机器磁盘IO','org','machine','machine_disk_util','{\"filters\":[{\"operator\":\"in\",\"tag\":\"cluster_name\",\"value\":[\"$cluster_name\"]},{\"operator\":\"eq\",\"tag\":\"path\",\"value\":null}],\"functions\":[{\"aggregator\":\"p75\",\"field\":\"pct_util\",\"operator\":\"gte\",\"value\":95}],\"group\":[\"host_ip\"],\"metric\":\"disk\",\"outputs\":[\"alert\"],\"select\":{\"cluster_name\":\"#cluster_name\",\"host_ip\":\"#host_ip\"},\"window\":3}','{\"alert_group\":\"{{cluster_name}}-{{host_ip}}\",\"display_url_id\":\"machine_disk_io\",\"level\":\"WARNING\",\"recover\":\"true\",\"tickets_metric_key\":\"{{host_ip}}\"}',0,'2021-05-28 11:55:02','2021-05-28 11:55:05'),(444,'机器Load5','org','machine','machine_load5','{\"filters\":[{\"operator\":\"in\",\"tag\":\"cluster_name\",\"value\":[\"$cluster_name\"]}],\"functions\":[{\"aggregator\":\"avg\",\"field\":\"load5\",\"operator\":\"gte\",\"value_script\":\"function invoke(field,tag){ return field.n_cpus * 2.5 }\"}],\"group\":[\"host_ip\"],\"metric\":\"host_summary\",\"outputs\":[\"alert\"],\"select\":{\"cluster_name\":\"#cluster_name\",\"host_ip\":\"#host_ip\"},\"window\":1}','{\"alert_group\":\"{{cluster_name}}-{{host_ip}}\",\"display_url_id\":\"machine_load\",\"level\":\"WARNING\",\"recover\":\"true\",\"tickets_metric_key\":\"{{host_ip}}\"}',0,'2021-05-28 11:55:02','2021-05-28 11:55:05'),(445,'网盘','org','machine','machine_netdisk','{\"filters\":[{\"operator\":\"in\",\"tag\":\"cluster_name\",\"value\":[\"$cluster_name\"]},{\"operator\":\"eq\",\"tag\":\"type\",\"value\":\"netdata\"}],\"functions\":[{\"aggregator\":\"value\",\"field\":\"used_percent\",\"operator\":\"gte\",\"value\":75},{\"aggregator\":\"value\",\"field\":\"total\"}],\"group\":null,\"metric\":\"disk\",\"outputs\":[\"alert\"],\"select\":{\"cluster_name\":\"#cluster_name\"},\"window\":1}','{\"alert_group\":\"{{cluster_name}}\",\"level\":\"WARNING\",\"recover\":\"true\",\"tickets_metric_key\":\"{{cluster_name}}\"}',0,'2021-05-28 11:55:02','2021-05-28 11:55:05'),(446,'网盘容量使用量异常告警','org','machine','machine_netdisk_used','{\"filters\":[{\"operator\":\"in\",\"tag\":\"cluster_name\",\"value\":[\"$cluster_name\"]},{\"operator\":\"eq\",\"tag\":\"type\",\"value\":\"netdata\"}],\"functions\":[{\"aggregator\":\"value\",\"alias\":\"used\",\"field\":\"used\",\"field_script\":\"function invoke(field, tag){ return field.used/1024/1024/1024 }\",\"operator\":\"gte\",\"value\":800},{\"aggregator\":\"value\",\"alias\":\"total\",\"field_script\":\"function invoke(field, tag){ return field.total/1024/1024/1024 }\"}],\"group\":null,\"metric\":\"disk\",\"outputs\":[\"alert\"],\"select\":{\"cluster_name\":\"#cluster_name\"},\"window\":1}','{\"alert_group\":\"{{cluster_name}}\",\"level\":\"WARNING\",\"recover\":\"true\",\"tickets_metric_key\":\"{{cluster_name}}\"}',0,'2021-05-28 11:55:02','2021-05-28 11:55:05'),(447,'机器宕机','org','machine','machine_status','{\"filters\":[{\"operator\":\"in\",\"tag\":\"cluster_name\",\"value\":[\"$cluster_name\"]}],\"functions\":[{\"aggregator\":\"values\",\"field\":\"status\",\"operator\":\"all\",\"value\":\"not_ready\"},{\"aggregator\":\"value\",\"field\":\"last_timestamp\"}],\"group\":[\"host_ip\"],\"metric\":\"machine_status\",\"outputs\":[\"alert\"],\"select\":{\"cluster_name\":\"#cluster_name\",\"host_ip\":\"#host_ip\"},\"window\":5}','{\"alert_group\":\"{{cluster_name}}-{{host_ip}}\",\"display_url_id\":\"machine_crash\",\"level\":\"WARNING\",\"recover\":\"true\",\"tickets_metric_key\":\"{{host_ip}}\"}',0,'2021-05-28 11:55:02','2021-05-28 11:55:05'),(448,'API网关实例CPU使用率异常','org','micro_service','api_gateway_cpu','{\"filters\":[{\"operator\":\"in\",\"tag\":\"cluster_name\",\"value\":[\"$cluster_name\"]},{\"operator\":\"in\",\"tag\":\"addon_type\",\"value\":[\"api-gateway\",\"postgresql\"]}],\"functions\":[{\"aggregator\":\"avg\",\"field\":\"cpu_usage_percent\",\"field_script\":\"function invoke(fields,tags){return fields.cpu_limit===0?fields.cpu_usage_percent:fields.cpu_usage_percent/fields.cpu_limit}\",\"operator\":\"gte\",\"value\":90},{\"aggregator\":\"value\",\"field\":\"cpu_limit\"},{\"aggregator\":\"value\",\"field\":\"cpu_allocation\"}],\"group\":[\"container_id\"],\"metric\":\"docker_container_summary\",\"outputs\":[\"alert\"],\"select\":{\"addon_id\":\"#addon_id\",\"addon_type\":\"#addon_type\",\"cluster_name\":\"#cluster_name\",\"container_id\":\"#container_id\",\"host_ip\":\"#host_ip\",\"pod_name\":\"#pod_name\",\"pod_namespace\":\"#pod_namespace\"},\"window\":1}','{\"alert_group\":\"{{cluster_name}}-{{container_id}}\",\"level\":\"WARNING\",\"recover\":\"false\",\"tickets_metric_key\":\"{{container_id}}\"}',0,'2021-05-28 11:55:02','2021-05-28 11:55:05'),(449,'API网关实例内存使用率异常','org','micro_service','api_gateway_mem','{\"filters\":[{\"operator\":\"in\",\"tag\":\"cluster_name\",\"value\":[\"$cluster_name\"]},{\"operator\":\"in\",\"tag\":\"addon_type\",\"value\":[\"api-gateway\",\"postgresql\"]}],\"functions\":[{\"aggregator\":\"avg\",\"field\":\"mem_usage_percent\",\"operator\":\"gte\",\"value\":90},{\"aggregator\":\"value\",\"field\":\"mem_usage\"},{\"aggregator\":\"value\",\"field\":\"mem_limit\"},{\"aggregator\":\"value\",\"field\":\"mem_max_usage\"}],\"group\":[\"container_id\"],\"metric\":\"docker_container_summary\",\"outputs\":[\"alert\"],\"select\":{\"addon_id\":\"#addon_id\",\"addon_type\":\"#addon_type\",\"cluster_name\":\"#cluster_name\",\"container_id\":\"#container_id\",\"host_ip\":\"#host_ip\",\"pod_name\":\"#pod_name\",\"pod_namespace\":\"#pod_namespace\"},\"window\":1}','{\"alert_group\":\"{{cluster_name}}-{{container_id}}\",\"level\":\"WARNING\",\"recover\":\"false\",\"tickets_metric_key\":\"{{container_id}}\"}',0,'2021-05-28 11:55:02','2021-05-28 11:55:05'),(450,'注册中心实例CPU使用率异常','org','micro_service','register_center_cpu','{\"filters\":[{\"operator\":\"in\",\"tag\":\"cluster_name\",\"value\":[\"$cluster_name\"]},{\"operator\":\"in\",\"tag\":\"addon_type\",\"value\":[\"nacos\",\"zkproxy\"]}],\"functions\":[{\"aggregator\":\"avg\",\"field\":\"cpu_usage_percent\",\"field_script\":\"function invoke(fields,tags){return fields.cpu_limit===0?fields.cpu_usage_percent:fields.cpu_usage_percent/fields.cpu_limit}\",\"operator\":\"gte\",\"value\":90},{\"aggregator\":\"value\",\"field\":\"cpu_limit\"},{\"aggregator\":\"value\",\"field\":\"cpu_allocation\"}],\"group\":[\"container_id\"],\"metric\":\"docker_container_summary\",\"outputs\":[\"alert\"],\"select\":{\"addon_id\":\"#addon_id\",\"addon_type\":\"#addon_type\",\"cluster_name\":\"#cluster_name\",\"container_id\":\"#container_id\",\"host_ip\":\"#host_ip\",\"pod_name\":\"#pod_name\",\"pod_namespace\":\"#pod_namespace\"},\"window\":1}','{\"alert_group\":\"{{cluster_name}}-{{container_id}}\",\"level\":\"WARNING\",\"recover\":\"false\",\"tickets_metric_key\":\"{{container_id}}\"}',0,'2021-05-28 11:55:02','2021-05-28 11:55:05'),(451,'注册中心实例内存使用率异常','org','micro_service','register_center_mem','{\"filters\":[{\"operator\":\"in\",\"tag\":\"cluster_name\",\"value\":[\"$cluster_name\"]},{\"operator\":\"in\",\"tag\":\"addon_type\",\"value\":[\"nacos\",\"zkproxy\"]}],\"functions\":[{\"aggregator\":\"avg\",\"field\":\"mem_usage_percent\",\"operator\":\"gte\",\"value\":90},{\"aggregator\":\"value\",\"field\":\"mem_usage\"},{\"aggregator\":\"value\",\"field\":\"mem_limit\"},{\"aggregator\":\"value\",\"field\":\"mem_max_usage\"}],\"group\":[\"container_id\"],\"metric\":\"docker_container_summary\",\"outputs\":[\"alert\"],\"select\":{\"addon_id\":\"#addon_id\",\"addon_type\":\"#addon_type\",\"cluster_name\":\"#cluster_name\",\"container_id\":\"#container_id\",\"host_ip\":\"#host_ip\",\"pod_name\":\"#pod_name\",\"pod_namespace\":\"#pod_namespace\"},\"window\":1}','{\"alert_group\":\"{{cluster_name}}-{{container_id}}\",\"level\":\"WARNING\",\"recover\":\"false\",\"tickets_metric_key\":\"{{container_id}}\"}',0,'2021-05-28 11:55:02','2021-05-28 11:55:05'),(452,'服务熔断通知告警','micro_service','micro_service','sidecar_circuit_breaker','{\"filters\":[{\"operator\":\"eq\",\"tag\":\"terminus_key\",\"value\":\"$terminus_key\"},{\"operator\":\"in\",\"tag\":\"application_id\",\"value\":[\"$application_id\"]}],\"functions\":[{\"aggregator\":\"sum\",\"field\":\"count\",\"operator\":\"gte\",\"value\":1}],\"group\":[\"service_name\"],\"metric\":\"sidecar_circuit_breaker\",\"outputs\":[\"alert\"],\"select\":{\"application_id\":\"#application_id\",\"application_name\":\"#application_name\",\"cluster_name\":\"#cluster_name\",\"host_ip\":\"#host_ip\",\"project_name\":\"#project_name\",\"runtime_name\":\"#runtime_name\",\"service_name\":\"#service_name\",\"terminus_key\":\"#terminus_key\",\"workspace\":\"#workspace\"},\"window\":1}','{\"alert_group\":\"{{terminus_key}}\",\"level\":\"WARNING\",\"recover\":\"false\",\"tickets_metric_key\":\"{{terminus_key}}\"}',0,'2021-05-28 11:55:02','2021-05-28 11:55:05'),(453,'ElasticSearch实例CPU使用率异常告警','org','addon','addon_elasticsearch_cpu','{\"filters\":[{\"operator\":\"in\",\"tag\":\"cluster_name\",\"value\":[\"$cluster_name\"]},{\"operator\":\"in\",\"tag\":\"addon_type\",\"value\":[\"terminus-elasticsearch\",\"elasticsearch-operator\"]}],\"functions\":[{\"aggregator\":\"avg\",\"field\":\"cpu_usage_percent\",\"field_script\":\"function invoke(fields,tags){return fields.cpu_limit===0?fields.cpu_usage_percent:fields.cpu_usage_percent/fields.cpu_limit}\",\"operator\":\"gte\",\"value\":90},{\"aggregator\":\"max\",\"alias\":\"cpu_limit_value\",\"field\":\"cpu_limit\"},{\"aggregator\":\"max\",\"alias\":\"cpu_allocation_value\",\"field\":\"cpu_allocation\"}],\"group\":[\"container_id\"],\"metric\":\"docker_container_summary\",\"outputs\":[\"alert\"],\"select\":{\"addon_id\":\"#addon_id\",\"addon_type\":\"#addon_type\",\"cluster_name\":\"#cluster_name\",\"container_id\":\"#container_id\",\"host_ip\":\"#host_ip\",\"pod_name\":\"#pod_name\",\"pod_namespace\":\"#pod_namespace\"},\"window\":1}','{\"alert_group\":\"{{cluster_name}}-{{container_id}}\",\"level\":\"WARNING\",\"recover\":\"false\",\"tickets_metric_key\":\"{{container_id}}\"}',0,'2021-05-28 11:55:05','2021-05-28 11:55:06'),(454,'Elasticsearch实例内存使用率异常告警','org','addon','addon_elasticsearch_mem','{\"filters\":[{\"operator\":\"in\",\"tag\":\"cluster_name\",\"value\":[\"$cluster_name\"]},{\"operator\":\"in\",\"tag\":\"addon_type\",\"value\":[\"terminus-elasticsearch\",\"elasticsearch-operator\"]}],\"functions\":[{\"aggregator\":\"avg\",\"field\":\"mem_usage_percent\",\"operator\":\"gte\",\"value\":90},{\"aggregator\":\"max\",\"alias\":\"mem_limit_value\",\"field\":\"mem_limit\"},{\"aggregator\":\"max\",\"alias\":\"mem_allocation_value\",\"field\":\"mem_allocation\"}],\"group\":[\"container_id\"],\"metric\":\"docker_container_summary\",\"outputs\":[\"alert\"],\"select\":{\"addon_id\":\"#addon_id\",\"addon_type\":\"#addon_type\",\"cluster_name\":\"#cluster_name\",\"container_id\":\"#container_id\",\"host_ip\":\"#host_ip\",\"pod_name\":\"#pod_name\",\"pod_namespace\":\"#pod_namespace\"},\"window\":1}','{\"alert_group\":\"{{cluster_name}}-{{container_id}}\",\"level\":\"WARNING\",\"recover\":\"false\",\"tickets_metric_key\":\"{{container_id}}\"}',0,'2021-05-28 11:55:05','2021-05-28 11:55:06'),(455,'MySQL实例CPU使用率异常告警','org','addon','addon_mysql_cpu','{\"filters\":[{\"operator\":\"in\",\"tag\":\"cluster_name\",\"value\":[\"$cluster_name\"]},{\"operator\":\"in\",\"tag\":\"addon_type\",\"value\":[\"mysql\"]}],\"functions\":[{\"aggregator\":\"avg\",\"field\":\"cpu_usage_percent\",\"field_script\":\"function invoke(fields,tags){return fields.cpu_limit===0?fields.cpu_usage_percent:fields.cpu_usage_percent/fields.cpu_limit}\",\"operator\":\"gte\",\"value\":90},{\"aggregator\":\"max\",\"alias\":\"cpu_limit_value\",\"field\":\"cpu_limit\"},{\"aggregator\":\"max\",\"alias\":\"cpu_allocation_value\",\"field\":\"cpu_allocation\"}],\"group\":[\"container_id\"],\"metric\":\"docker_container_summary\",\"outputs\":[\"alert\"],\"select\":{\"addon_id\":\"#addon_id\",\"addon_type\":\"#addon_type\",\"cluster_name\":\"#cluster_name\",\"container_id\":\"#container_id\",\"host_ip\":\"#host_ip\",\"pod_name\":\"#pod_name\",\"pod_namespace\":\"#pod_namespace\"},\"window\":1}','{\"alert_group\":\"{{cluster_name}}-{{container_id}}\",\"level\":\"WARNING\",\"recover\":\"false\",\"tickets_metric_key\":\"{{container_id}}\"}',0,'2021-05-28 11:55:05','2021-05-28 11:55:06'),(456,'MySQL实例内存使用率异常告警','org','addon','addon_mysql_mem','{\"filters\":[{\"operator\":\"in\",\"tag\":\"cluster_name\",\"value\":[\"$cluster_name\"]},{\"operator\":\"in\",\"tag\":\"addon_type\",\"value\":[\"mysql\"]}],\"functions\":[{\"aggregator\":\"avg\",\"field\":\"mem_usage_percent\",\"operator\":\"gte\",\"value\":85},{\"aggregator\":\"max\",\"alias\":\"mem_limit_value\",\"field\":\"mem_limit\"},{\"aggregator\":\"max\",\"alias\":\"mem_allocation_value\",\"field\":\"mem_allocation\"}],\"group\":[\"container_id\"],\"metric\":\"docker_container_summary\",\"outputs\":[\"alert\"],\"select\":{\"addon_id\":\"#addon_id\",\"addon_type\":\"#addon_type\",\"cluster_name\":\"#cluster_name\",\"container_id\":\"#container_id\",\"host_ip\":\"#host_ip\",\"pod_name\":\"#pod_name\",\"pod_namespace\":\"#pod_namespace\"},\"window\":1}','{\"alert_group\":\"{{cluster_name}}-{{container_id}}\",\"level\":\"WARNING\",\"recover\":\"false\",\"tickets_metric_key\":\"{{container_id}}\"}',0,'2021-05-28 11:55:05','2021-05-28 11:55:06'),(457,'MySQL实例主从同步异常告警','org','addon','addon_mysql_slave_status','{\"filters\":[{\"operator\":\"in\",\"tag\":\"cluster_name\",\"value\":[\"$cluster_name\"]},{\"operator\":\"eq\",\"tag\":\"is_slave\",\"value\":\"true\"}],\"functions\":[{\"aggregator\":\"max\",\"alias\":\"slave_slave_running_ok_value\",\"field\":\"slave_slave_running_ok\",\"field_script\":\"function invoke(fields,tags){return (fields.slave_slave_io_running==0 || fields.slave_slave_sql_running==0)?0:1}\",\"operator\":\"neq\",\"value\":1},{\"aggregator\":\"max\",\"alias\":\"slave_slave_sql_running_value\",\"field\":\"slave_slave_sql_running\"},{\"aggregator\":\"max\",\"alias\":\"slave_slave_io_running_value\",\"field\":\"slave_slave_io_running\"}],\"group\":[\"addon_id\",\"server\"],\"metric\":\"mysql\",\"outputs\":[\"alert\"],\"select\":{\"addon_id\":\"#addon_id\",\"cluster_name\":\"#cluster_name\",\"host_ip\":\"#host_ip\"},\"window\":1}','{\"alert_group\":\"{{cluster_name}}-{{addon_id}}\",\"level\":\"WARNING\",\"recover\":\"false\",\"tickets_metric_key\":\"{{addon_id}}\"}',0,'2021-05-28 11:55:05','2021-05-28 11:55:06'),(458,'redis实例内存使用率异常告警','org','addon','addon_redis_mem','{\"filters\":[{\"operator\":\"in\",\"tag\":\"cluster_name\",\"value\":[\"$cluster_name\"]},{\"operator\":\"in\",\"tag\":\"addon_type\",\"value\":[\"redis\"]}],\"functions\":[{\"aggregator\":\"avg\",\"field\":\"mem_usage_percent\",\"operator\":\"gte\",\"value\":85},{\"aggregator\":\"max\",\"alias\":\"mem_limit_value\",\"field\":\"mem_limit\"},{\"aggregator\":\"max\",\"alias\":\"mem_allocation_value\",\"field\":\"mem_allocation\"}],\"group\":[\"container_id\"],\"metric\":\"docker_container_summary\",\"outputs\":[\"alert\"],\"select\":{\"addon_id\":\"#addon_id\",\"addon_type\":\"#addon_type\",\"cluster_name\":\"#cluster_name\",\"container_id\":\"#container_id\",\"host_ip\":\"#host_ip\",\"pod_name\":\"#pod_name\",\"pod_namespace\":\"#pod_namespace\"},\"window\":1}','{\"alert_group\":\"{{cluster_name}}-{{container_id}}\",\"level\":\"WARNING\",\"recover\":\"false\",\"tickets_metric_key\":\"{{container_id}}\"}',0,'2021-05-28 11:55:05','2021-05-28 11:55:06'),(459,'应用错误次数','micro_service','app_exception','app_exception_count','{\"filters\":[{\"operator\":\"eq\",\"tag\":\"terminus_key\",\"value\":\"$terminus_key\"},{\"operator\":\"in\",\"tag\":\"application_id\",\"value\":[\"$application_id\"]}],\"functions\":[{\"aggregator\":\"sum\",\"field\":\"count\",\"operator\":\"gte\",\"value\":20}],\"group\":[\"error_id\"],\"metric\":\"error_alert\",\"outputs\":[\"alert\"],\"select\":{\"application_id\":\"#application_id\",\"application_name\":\"#application_name\",\"class\":\"#class\",\"cluster_name\":\"#cluster_name\",\"error_id\":\"#error_id\",\"host_ip\":\"#host_ip\",\"instance_id\":\"#instance_id\",\"line\":\"#line\",\"method\":\"#method\",\"project_id\":\"#project_id\",\"project_name\":\"#project_name\",\"runtime_id\":\"#runtime_id\",\"runtime_name\":\"#runtime_name\",\"service_name\":\"#service_name\",\"terminus_key\":\"#terminus_key\",\"type\":\"#type\",\"workspace\":\"#workspace\"},\"window\":5}','{\"alert_group\":\"{{terminus_key}}-{{error_id}}\",\"display_url_id\":\"micro_error_detail\",\"level\":\"WARNING\",\"recover\":\"false\",\"tickets_metric_key\":\"{{error_id}}\"}',0,'2021-05-28 11:55:05','2021-05-28 11:55:06'),(460,'应用实例CPU使用率异常','micro_service','app_resource','app_resource_container_cpu','{\"filters\":[{\"operator\":\"eq\",\"tag\":\"terminus_key\",\"value\":\"$terminus_key\"},{\"operator\":\"in\",\"tag\":\"application_id\",\"value\":[\"$application_id\"]}],\"functions\":[{\"aggregator\":\"avg\",\"field\":\"cpu_usage_percent\",\"field_script\":\"function invoke(fields,tags){return fields.cpu_limit===0?fields.cpu_usage_percent:fields.cpu_usage_percent/fields.cpu_limit}\",\"operator\":\"gte\",\"value\":90},{\"aggregator\":\"max\",\"alias\":\"cpu_limit_value\",\"field\":\"cpu_limit\"},{\"aggregator\":\"max\",\"alias\":\"cpu_allocation_value\",\"field\":\"cpu_allocation\"}],\"group\":[\"container_id\"],\"metric\":\"docker_container_summary\",\"outputs\":[\"alert\"],\"select\":{\"application_id\":\"#application_id\",\"application_name\":\"#application_name\",\"cluster_name\":\"#cluster_name\",\"container_id\":\"#container_id\",\"host_ip\":\"#host_ip\",\"instance_id\":\"#instance_id\",\"project_id\":\"#project_id\",\"project_name\":\"#project_name\",\"runtime_id\":\"#runtime_id\",\"runtime_name\":\"#runtime_name\",\"service_name\":\"#service_name\",\"terminus_key\":\"#terminus_key\"},\"window\":1}','{\"alert_group\":\"{{terminus_key}}-{{container_id}}\",\"display_url_id\":\"workbench_runtime\",\"level\":\"WARNING\",\"recover\":\"false\",\"tickets_metric_key\":\"{{container_id}}\"}',0,'2021-05-28 11:55:05','2021-05-28 11:55:06'),(461,'应用实例内存使用率异常','micro_service','app_resource','app_resource_container_mem','{\"filters\":[{\"operator\":\"eq\",\"tag\":\"terminus_key\",\"value\":\"$terminus_key\"},{\"operator\":\"in\",\"tag\":\"application_id\",\"value\":[\"$application_id\"]}],\"functions\":[{\"aggregator\":\"avg\",\"field\":\"mem_usage_percent\",\"operator\":\"gte\",\"value\":90},{\"aggregator\":\"max\",\"alias\":\"mem_usage_value\",\"field\":\"mem_usage\"},{\"aggregator\":\"max\",\"alias\":\"mem_limit_value\",\"field\":\"mem_limit\"},{\"aggregator\":\"max\",\"alias\":\"mem_max_usage_value\",\"field\":\"mem_max_usage\"}],\"group\":[\"container_id\"],\"metric\":\"docker_container_summary\",\"outputs\":[\"alert\"],\"select\":{\"application_id\":\"#application_id\",\"application_name\":\"#application_name\",\"cluster_name\":\"#cluster_name\",\"container_id\":\"#container_id\",\"host_ip\":\"#host_ip\",\"instance_id\":\"#instance_id\",\"project_id\":\"#project_id\",\"project_name\":\"#project_name\",\"runtime_id\":\"#runtime_id\",\"runtime_name\":\"#runtime_name\",\"service_name\":\"#service_name\",\"terminus_key\":\"#terminus_key\"},\"window\":1}','{\"alert_group\":\"{{terminus_key}}-{{container_id}}\",\"display_url_id\":\"workbench_runtime\",\"level\":\"WARNING\",\"recover\":\"false\",\"tickets_metric_key\":\"{{container_id}}\"}',0,'2021-05-28 11:55:05','2021-05-28 11:55:06'),(462,'应用实例OOM','micro_service','app_resource','app_resource_container_oom','{\"filters\":[{\"operator\":\"eq\",\"tag\":\"terminus_key\",\"value\":\"$terminus_key\"},{\"operator\":\"in\",\"tag\":\"application_id\",\"value\":[\"$application_id\"]}],\"functions\":[{\"aggregator\":\"values\",\"field\":\"oomkilled\",\"operator\":\"contains\",\"value\":true}],\"group\":[\"container_id\"],\"metric\":\"docker_container_summary\",\"outputs\":[\"alert\"],\"select\":{\"application_id\":\"#application_id\",\"application_name\":\"#application_name\",\"cluster_name\":\"#cluster_name\",\"container_id\":\"#container_id\",\"host_ip\":\"#host_ip\",\"instance_id\":\"#instance_id\",\"project_id\":\"#project_id\",\"project_name\":\"#project_name\",\"runtime_id\":\"#runtime_id\",\"runtime_name\":\"#runtime_name\",\"service_name\":\"#service_name\",\"terminus_key\":\"#terminus_key\"},\"window\":1}','{\"alert_group\":\"{{terminus_key}}-{{container_id}}\",\"display_url_id\":\"workbench_runtime\",\"level\":\"WARNING\",\"recover\":\"false\",\"tickets_metric_key\":\"{{container_id}}\"}',0,'2021-05-28 11:55:05','2021-05-28 11:55:06'),(463,'应用JVM GC次数','micro_service','app_resource','app_resource_jvm_gc_count','{\"filters\":[{\"operator\":\"eq\",\"tag\":\"name\",\"value\":\"concurrentmarksweep\"},{\"operator\":\"eq\",\"tag\":\"terminus_key\",\"value\":\"$terminus_key\"},{\"operator\":\"in\",\"tag\":\"application_id\",\"value\":[\"$application_id\"]}],\"functions\":[{\"aggregator\":\"sum\",\"field\":\"count\",\"operator\":\"gte\",\"value\":5}],\"group\":[\"instance_id\"],\"metric\":\"jvm_gc\",\"outputs\":[\"alert\"],\"select\":{\"application_id\":\"#application_id\",\"application_name\":\"#application_name\",\"cluster_name\":\"#cluster_name\",\"host_ip\":\"#host_ip\",\"instance_id\":\"#instance_id\",\"project_id\":\"#project_id\",\"project_name\":\"#project_name\",\"runtime_id\":\"#runtime_id\",\"runtime_name\":\"#runtime_name\",\"service_name\":\"#service_name\",\"terminus_key\":\"#terminus_key\",\"workspace\":\"#workspace\"},\"window\":3}','{\"alert_group\":\"{{terminus_key}}-{{instance_id}}\",\"display_url_id\":\"micro_jvm\",\"level\":\"WARNING\",\"recover\":\"false\",\"tickets_metric_key\":\"{{instance_id}}\"}',0,'2021-05-28 11:55:05','2021-05-28 11:55:06'),(464,'应用JVM GC 耗时','micro_service','app_resource','app_resource_jvm_gc_time','{\"condition\":\"or\",\"filters\":[{\"operator\":\"eq\",\"tag\":\"name\",\"value\":\"concurrentmarksweep\"},{\"operator\":\"eq\",\"tag\":\"terminus_key\",\"value\":\"$terminus_key\"},{\"operator\":\"in\",\"tag\":\"application_id\",\"value\":[\"$application_id\"]}],\"functions\":[{\"aggregator\":\"max\",\"alias\":\"time_value\",\"field\":\"time\",\"operator\":\"gte\",\"value\":400},{\"aggregator\":\"sum\",\"field\":\"time\",\"operator\":\"gte\",\"value\":1000}],\"group\":[\"instance_id\"],\"metric\":\"jvm_gc\",\"outputs\":[\"alert\"],\"select\":{\"application_id\":\"#application_id\",\"application_name\":\"#application_name\",\"cluster_name\":\"#cluster_name\",\"host_ip\":\"#host_ip\",\"instance_id\":\"#instance_id\",\"project_id\":\"#project_id\",\"project_name\":\"#project_name\",\"runtime_id\":\"#runtime_id\",\"runtime_name\":\"#runtime_name\",\"service_name\":\"#service_name\",\"terminus_key\":\"#terminus_key\",\"workspace\":\"#workspace\"},\"window\":1}','{\"alert_group\":\"{{terminus_key}}-{{instance_id}}\",\"display_url_id\":\"micro_jvm\",\"level\":\"WARNING\",\"recover\":\"false\",\"tickets_metric_key\":\"{{instance_id}}\"}',0,'2021-05-28 11:55:05','2021-05-28 11:55:06'),(465,'应用JVM堆内存','micro_service','app_resource','app_resource_jvm_heap','{\"condition\":\"and\",\"filters\":[{\"operator\":\"eq\",\"tag\":\"name\",\"value\":\"heap_memory\"},{\"operator\":\"eq\",\"tag\":\"terminus_key\",\"value\":\"$terminus_key\"},{\"operator\":\"in\",\"tag\":\"application_id\",\"value\":[\"$application_id\"]}],\"functions\":[{\"aggregator\":\"avg\",\"field\":\"usage_percent\",\"field_script\":\"function invoke(field, tag){ return field.used / field.max * 100; }\",\"operator\":\"gte\",\"value\":75},{\"aggregator\":\"max\",\"alias\":\"used_value\",\"field\":\"used\"},{\"aggregator\":\"max\",\"alias\":\"max_value\",\"field\":\"max\"}],\"group\":[\"instance_id\"],\"metric\":\"jvm_memory\",\"outputs\":[\"alert\"],\"select\":{\"application_id\":\"#application_id\",\"application_name\":\"#application_name\",\"cluster_name\":\"#cluster_name\",\"host_ip\":\"#host_ip\",\"instance_id\":\"#instance_id\",\"project_id\":\"#project_id\",\"project_name\":\"#project_name\",\"runtime_id\":\"#runtime_id\",\"runtime_name\":\"#runtime_name\",\"service_name\":\"#service_name\",\"terminus_key\":\"#terminus_key\",\"workspace\":\"#workspace\"},\"window\":1}','{\"alert_group\":\"{{terminus_key}}-{{instance_id}}\",\"display_url_id\":\"micro_jvm\",\"level\":\"WARNING\",\"recover\":\"false\",\"tickets_metric_key\":\"{{instance_id}}\"}',0,'2021-05-28 11:55:05','2021-05-28 11:55:06'),(466,'应用NodeJS堆内存使用率','micro_service','app_resource','app_resource_nodejs_heap','{\"filters\":[{\"operator\":\"eq\",\"tag\":\"terminus_key\",\"value\":\"$terminus_key\"},{\"operator\":\"in\",\"tag\":\"application_id\",\"value\":[\"$application_id\"]}],\"functions\":[{\"aggregator\":\"avg\",\"field\":\"usage_percent\",\"field_script\":\"function invoke(field, tag){ if(!field.max) { return 0; } return field.rss / field.max * 100; }\",\"operator\":\"gte\",\"value\":75},{\"aggregator\":\"max\",\"alias\":\"heap_used_value\",\"field\":\"heap_used\"},{\"aggregator\":\"max\",\"alias\":\"heap_total_value\",\"field\":\"heap_total\"},{\"aggregator\":\"max\",\"alias\":\"rss_value\",\"field\":\"rss\"},{\"aggregator\":\"max\",\"alias\":\"max_value\",\"field\":\"max\"}],\"group\":[\"instance_id\"],\"metric\":\"nodejs_memory\",\"outputs\":[\"alert\"],\"select\":{\"application_id\":\"#application_id\",\"application_name\":\"#application_name\",\"cluster_name\":\"#cluster_name\",\"host_ip\":\"#host_ip\",\"instance_id\":\"#instance_id\",\"project_id\":\"#project_id\",\"project_name\":\"#project_name\",\"runtime_id\":\"#runtime_id\",\"runtime_name\":\"#runtime_name\",\"service_name\":\"#service_name\",\"terminus_key\":\"#terminus_key\",\"workspace\":\"#workspace\"},\"window\":1}','{\"alert_group\":\"{{terminus_key}}-{{instance_id}}\",\"display_url_id\":\"micro_nodejs\",\"level\":\"WARNING\",\"recover\":\"false\",\"tickets_metric_key\":\"{{instance_id}}\"}',0,'2021-05-28 11:55:05','2021-05-28 11:55:06'),(467,'页面内容改变','micro_service','app_status','app_status_browser','{\"alias\":\"status_page_browser\",\"filters\":[{\"operator\":\"eq\",\"tag\":\"terminus_key\",\"value\":\"$terminus_key\"},{\"operator\":\"eq\",\"tag\":\"type\",\"value\":\"browser\"}],\"functions\":[{\"aggregator\":\"min\",\"field\":\"diff_screenshot\",\"operator\":\"eq\",\"value\":false}],\"group\":[\"metric\"],\"metric\":\"status_page\",\"outputs\":[\"alert\"],\"select\":{\"metric_id\":\"#metric\",\"project_id\":\"#project_id\",\"project_name\":\"#project_name\",\"status_metric_name\":\"#metric_name\",\"terminus_key\":\"#terminus_key\",\"type\":\"#type\",\"url\":\"#url\",\"workspace\":\"#env\"},\"window\":1}','{\"alert_group\":\"{{terminus_key}}-{{metric_id}}\",\"display_url_id\":\"micro_status_detail\",\"level\":\"ERROR\",\"recover\":\"false\",\"tickets_metric_key\":\"{{metric_id}}\"}',0,'2021-05-28 11:55:05','2021-05-28 11:55:06'),(468,'主动监控HTTP状态异常','micro_service','app_status','app_status_code','{\"filters\":[{\"operator\":\"eq\",\"tag\":\"terminus_key\",\"value\":\"$terminus_key\"},{\"operator\":\"eq\",\"tag\":\"type\",\"value\":\"http\"}],\"functions\":[{\"aggregator\":\"sum\",\"field\":\"retry\"},{\"aggregator\":\"min\",\"field\":\"code\",\"operator\":\"gte\",\"value\":400}],\"group\":[\"metric\"],\"metric\":\"status_page\",\"outputs\":[\"alert\"],\"select\":{\"metric_id\":\"#metric\",\"project_id\":\"#project_id\",\"project_name\":\"#project_name\",\"status_metric_name\":\"#metric_name\",\"terminus_key\":\"#terminus_key\",\"type\":\"#type\",\"url\":\"#url\",\"workspace\":\"#env\"},\"window\":1}','{\"alert_group\":\"{{terminus_key}}-{{metric_id}}\",\"display_url_id\":\"micro_status_detail\",\"level\":\"ERROR\",\"recover\":\"true\",\"tickets_metric_key\":\"{{metric_id}}\"}',0,'2021-05-28 11:55:05','2021-05-28 11:55:06'),(469,'服务接口HTTP错误率异常','micro_service','app_transaction','app_transaction_http_path_error','{\"condition\":\"and\",\"filters\":[{\"operator\":\"eq\",\"tag\":\"target_terminus_key\",\"value\":\"$target_terminus_key\"},{\"operator\":\"in\",\"tag\":\"target_application_id\",\"value\":[\"$target_application_id\"]}],\"functions\":[{\"aggregator\":\"sum\",\"field\":\"elapsed_count\",\"operator\":\"gte\",\"value\":10},{\"aggregator\":\"sum\",\"field\":\"error_count\",\"field_script\":\"function invoke(field, tag){ if(field.http_status_code_mean \\u003c 500) { return 0; } return field.elapsed_count; }\"},{\"aggregator\":\"value\",\"field\":\"error_percent\",\"field_script\":\"function invoke(field, tag){ if(!field.elapsed_count_sum) return 0; return field.elapsed_count_sum === 0 ? 0 : (field.error_count_sum / field.elapsed_count_sum * 100);}\",\"operator\":\"gte\",\"trigger\":\"aggregated\",\"value\":50}],\"group\":[\"target_runtime_id\",\"target_service_name\",\"http_path\",\"http_method\"],\"metric\":\"application_http\",\"outputs\":[\"alert\"],\"select\":{\"application_id\":\"#target_application_id\",\"application_name\":\"#target_application_name\",\"http_method\":\"#http_method\",\"http_path\":\"#http_path\",\"http_url\":\"#http_url\",\"project_id\":\"#target_project_id\",\"project_name\":\"#target_project_name\",\"runtime_id\":\"#target_runtime_id\",\"runtime_name\":\"#target_runtime_name\",\"service_name\":\"#target_service_name\",\"terminus_key\":\"#target_terminus_key\",\"workspace\":\"#target_workspace\"},\"window\":1}','{\"alert_group\":\"{{target_terminus_key}}-{{target_runtime_id}}-{{target_service_name}}-{{http_path}}-{{http_method}}\",\"display_url_id\":\"micro_si_web\",\"level\":\"WARNING\",\"recover\":\"false\",\"tickets_metric_key\":\"{{target_application_id}}\"}',0,'2021-05-28 11:55:05','2021-05-28 11:55:06'),(470,'服务接口HTTP慢事务异常','micro_service','app_transaction','app_transaction_http_path_rt','{\"condition\":\"and\",\"filters\":[{\"operator\":\"eq\",\"tag\":\"target_terminus_key\",\"value\":\"$target_terminus_key\"},{\"operator\":\"in\",\"tag\":\"target_application_id\",\"value\":[\"$target_application_id\"]}],\"functions\":[{\"aggregator\":\"sum\",\"field\":\"elapsed\",\"field_script\":\"function invoke(field, tag){ return field.elapsed_sum / 1000000; }\"},{\"aggregator\":\"sum\",\"field\":\"elapsed_count\",\"operator\":\"gte\",\"value\":10},{\"aggregator\":\"value\",\"field\":\"elapsed_avg\",\"field_script\":\"function invoke(field, tag){ if(!field.elapsed_count_sum) return 0; return field.elapsed_count_sum === 0 ? 0 : (field.elapsed_sum / field.elapsed_count_sum);}\",\"operator\":\"gte\",\"trigger\":\"aggregated\",\"value\":3000}],\"group\":[\"target_runtime_id\",\"target_service_name\",\"http_path\",\"http_method\"],\"metric\":\"application_http\",\"outputs\":[\"alert\"],\"select\":{\"application_id\":\"#target_application_id\",\"application_name\":\"#target_application_name\",\"http_method\":\"#http_method\",\"http_path\":\"#http_path\",\"http_url\":\"#http_url\",\"project_id\":\"#target_project_id\",\"project_name\":\"#target_project_name\",\"runtime_id\":\"#target_runtime_id\",\"runtime_name\":\"#target_runtime_name\",\"service_name\":\"#target_service_name\",\"terminus_key\":\"#target_terminus_key\",\"workspace\":\"#target_workspace\"},\"window\":1}','{\"alert_group\":\"{{target_terminus_key}}-{{target_runtime_id}}-{{target_service_name}}-{{http_path}}-{{http_method}}\",\"display_url_id\":\"micro_si_web\",\"level\":\"WARNING\",\"recover\":\"false\",\"tickets_metric_key\":\"{{target_application_id}}\"}',0,'2021-05-28 11:55:05','2021-05-28 11:55:06'),(471,'服务HTTP错误率异常','micro_service','app_transaction','app_transaction_http_service_error','{\"condition\":\"and\",\"filters\":[{\"operator\":\"eq\",\"tag\":\"target_terminus_key\",\"value\":\"$target_terminus_key\"},{\"operator\":\"in\",\"tag\":\"target_application_id\",\"value\":[\"$target_application_id\"]}],\"functions\":[{\"aggregator\":\"sum\",\"field\":\"elapsed_count\"},{\"aggregator\":\"sum\",\"field\":\"error_count\",\"field_script\":\"function invoke(field, tag){ if(field.http_status_code_mean \\u003c 500) { return 0; } return field.elapsed_count; }\"},{\"aggregator\":\"value\",\"field\":\"error_percent\",\"field_script\":\"function invoke(field, tag){ if(!field.elapsed_count_sum) return 0; return field.elapsed_count_sum === 0 ? 0 : (field.error_count_sum / field.elapsed_count_sum * 100);}\",\"operator\":\"gte\",\"trigger\":\"aggregated\",\"value\":30}],\"group\":[\"target_runtime_id\",\"target_service_name\"],\"metric\":\"application_http\",\"outputs\":[\"alert\"],\"select\":{\"application_id\":\"#target_application_id\",\"application_name\":\"#target_application_name\",\"project_id\":\"#target_project_id\",\"project_name\":\"#target_project_name\",\"runtime_id\":\"#target_runtime_id\",\"runtime_name\":\"#target_runtime_name\",\"service_name\":\"#target_service_name\",\"terminus_key\":\"#target_terminus_key\",\"workspace\":\"#target_workspace\"},\"window\":1}','{\"alert_group\":\"{{target_terminus_key}}-{{target_runtime_id}}-{{target_service_name}}\",\"display_url_id\":\"micro_si_web\",\"level\":\"WARNING\",\"recover\":\"true\",\"tickets_metric_key\":\"{{target_application_id}}\"}',0,'2021-05-28 11:55:05','2021-05-28 11:55:06'),(472,'服务HTTP慢事务异常','micro_service','app_transaction','app_transaction_http_service_rt','{\"condition\":\"and\",\"filters\":[{\"operator\":\"eq\",\"tag\":\"target_terminus_key\",\"value\":\"$target_terminus_key\"},{\"operator\":\"in\",\"tag\":\"target_application_id\",\"value\":[\"$target_application_id\"]}],\"functions\":[{\"aggregator\":\"sum\",\"field\":\"elapsed\",\"field_script\":\"function invoke(field, tag){ return field.elapsed_sum / 1000000; }\"},{\"aggregator\":\"sum\",\"field\":\"elapsed_count\"},{\"aggregator\":\"value\",\"field\":\"elapsed_avg\",\"field_script\":\"function invoke(field, tag){ if(!field.elapsed_count_sum) return 0; return field.elapsed_count_sum === 0 ? 0 : (field.elapsed_sum / field.elapsed_count_sum);}\",\"operator\":\"gte\",\"trigger\":\"aggregated\",\"value\":1000}],\"group\":[\"target_runtime_id\",\"target_service_name\"],\"metric\":\"application_http\",\"outputs\":[\"alert\"],\"select\":{\"application_id\":\"#target_application_id\",\"application_name\":\"#target_application_name\",\"project_id\":\"#target_project_id\",\"project_name\":\"#target_project_name\",\"runtime_id\":\"#target_runtime_id\",\"runtime_name\":\"#target_runtime_name\",\"service_name\":\"#target_service_name\",\"terminus_key\":\"#target_terminus_key\",\"workspace\":\"#target_workspace\"},\"window\":1}','{\"alert_group\":\"{{target_terminus_key}}-{{target_runtime_id}}-{{target_service_name}}\",\"display_url_id\":\"micro_si_web\",\"level\":\"WARNING\",\"recover\":\"true\",\"tickets_metric_key\":\"{{target_application_id}}\"}',0,'2021-05-28 11:55:05','2021-05-28 11:55:06'),(473,'Ajax接口访问性能','micro_service','browser','browser_ajax_req','{\"filters\":[{\"operator\":\"eq\",\"tag\":\"tk\",\"value\":\"$tk\"},{\"operator\":\"eq\",\"tag\":\"type\",\"value\":\"browser\"}],\"functions\":[{\"aggregator\":\"avg\",\"field\":\"tt\",\"operator\":\"gt\",\"value\":1000}],\"group\":[\"tk\",\"req_path\",\"host\"],\"metric\":\"ta_req\",\"outputs\":[\"alert\"],\"select\":{\"doc_path\":\"#doc_path\",\"host\":\"#host\",\"req_path\":\"#req_path\",\"tk\":\"#tk\",\"type\":\"#type\"},\"window\":1}','{\"alert_group\":\"{{tk}}-{{req_path}}-{{host}}\",\"display_url_id\":\"micro_bi_ajax\",\"level\":\"WARNING\",\"recover\":\"false\"}',0,'2021-05-28 11:55:05','2021-05-28 11:55:06'),(474,'用户体验','micro_service','browser','browser_apdex','{\"filters\":[{\"operator\":\"eq\",\"tag\":\"tk\",\"value\":\"$tk\"},{\"operator\":\"eq\",\"tag\":\"type\",\"value\":\"browser\"}],\"functions\":[{\"aggregator\":\"avg\",\"field\":\"plt\",\"operator\":\"gt\",\"value\":3000}],\"group\":[\"tk\",\"doc_path\",\"host\"],\"metric\":\"ta_timing\",\"outputs\":[\"alert\"],\"select\":{\"doc_path\":\"#doc_path\",\"host\":\"#host\",\"tk\":\"#tk\",\"type\":\"#type\"},\"window\":1}','{\"alert_group\":\"{{tk}}-{{doc_path}}-{{host}}\",\"display_url_id\":\"micro_bi_position\",\"level\":\"WARNING\",\"recover\":\"false\"}',0,'2021-05-28 11:55:05','2021-05-28 11:55:06'),(475,'域名访问性能','micro_service','browser','browser_host_req','{\"filters\":[{\"operator\":\"eq\",\"tag\":\"tk\",\"value\":\"$tk\"},{\"operator\":\"eq\",\"tag\":\"type\",\"value\":\"browser\"}],\"functions\":[{\"aggregator\":\"avg\",\"field\":\"plt\",\"operator\":\"gt\",\"value\":1000}],\"group\":[\"tk\",\"host\"],\"metric\":\"ta_timing\",\"outputs\":[\"alert\"],\"select\":{\"doc_path\":\"#doc_path\",\"host\":\"#host\",\"tk\":\"#tk\",\"type\":\"#type\"},\"window\":1}','{\"alert_group\":\"{{tk}}-{{host}}\",\"display_url_id\":\"micro_bi_domain\",\"level\":\"WARNING\",\"recover\":\"false\"}',0,'2021-05-28 11:55:05','2021-05-28 11:55:06'),(476,'页面访问性能','micro_service','browser','browser_page_req','{\"filters\":[{\"operator\":\"eq\",\"tag\":\"tk\",\"value\":\"$tk\"},{\"operator\":\"eq\",\"tag\":\"type\",\"value\":\"browser\"}],\"functions\":[{\"aggregator\":\"avg\",\"field\":\"plt\",\"operator\":\"gt\",\"value\":1000}],\"group\":[\"tk\",\"doc_path\",\"host\"],\"metric\":\"ta_timing\",\"outputs\":[\"alert\"],\"select\":{\"doc_path\":\"#doc_path\",\"host\":\"#host\",\"tk\":\"#tk\",\"type\":\"#type\"},\"window\":1}','{\"alert_group\":\"{{tk}}-{{doc_path}}-{{host}}\",\"display_url_id\":\"micro_bi_page\",\"level\":\"WARNING\",\"recover\":\"false\"}',0,'2021-05-28 11:55:05','2021-05-28 11:55:06'),(477,'脚本错误','micro_service','browser','browser_script_error','{\"filters\":[{\"operator\":\"eq\",\"tag\":\"tk\",\"value\":\"$tk\"},{\"operator\":\"eq\",\"tag\":\"type\",\"value\":\"browser\"}],\"functions\":[{\"aggregator\":\"sum\",\"field\":\"count\",\"operator\":\"gte\",\"value\":10}],\"group\":[\"tk\",\"doc_path\",\"host\"],\"metric\":\"ta_error\",\"outputs\":[\"alert\"],\"select\":{\"browser\":\"#browser\",\"count\":\"#count\",\"doc_path\":\"#doc_path\",\"host\":\"#host\",\"ip\":\"#ip\",\"source\":\"#source\",\"tk\":\"#tk\",\"type\":\"#type\",\"url\":\"#url\"},\"window\":1}','{\"alert_group\":\"{{tk}}-{{doc_path}}-{{host}}\",\"display_url_id\":\"micro_bi_script\",\"level\":\"WARNING\",\"recover\":\"false\"}',0,'2021-05-28 11:55:05','2021-05-28 11:55:06'),(478,'MySQL SLAVE DELAY ALERT','org','custom_addon','slave_dly_alert','{\"condition\":\"or\",\"filters\":[{\"operator\":\"in\",\"tag\":\"cluster_name\",\"value\":[\"$cluster_name\"]},{\"operator\":\"eq\",\"tag\":\"is_slave\",\"value\":\"true\"}],\"functions\":[{\"aggregator\":\"values\",\"field\":\"slave_slave_sql_running_state\",\"field_script\":\"function invoke(fields,tags){if (fields.slave_slave_sql_running_state == \'Slave has read all relay log; waiting for more updates\') {return \'no delay\'} return \'delay\';}\",\"operator\":\"all\",\"value\":\"delay\"},{\"aggregator\":\"max\",\"field\":\"slave_seconds_behind_master\",\"operator\":\"gt\",\"value\":1800}],\"group\":[\"addon_id\",\"server\"],\"metric\":\"mysql\",\"outputs\":[\"alert\"],\"select\":{\"addon_id\":\"#addon_id\",\"cluster_name\":\"#cluster_name\",\"server_id\":\"#server\"},\"window\":30}','{\"alert_group\":\"{{cluster_name}}-{{addon_id}}\",\"level\":\"WARNING\",\"recover\":\"false\"}',0,'2021-05-28 11:55:05','2021-05-28 11:55:06'),(479,'MySQL SLAVE SYNC ALERT','org','custom_addon','slave_sync_alert','{\"filters\":[{\"operator\":\"in\",\"tag\":\"cluster_name\",\"value\":[\"$cluster_name\"]},{\"operator\":\"eq\",\"tag\":\"is_slave\",\"value\":\"true\"}],\"functions\":[{\"aggregator\":\"max\",\"alias\":\"slave_slave_sync_ok_value\",\"field\":\"slave_slave_sync_ok\",\"field_script\":\"function invoke(fields,tags){if (fields.slave_slave_io_running == 0 || fields.slave_slave_sql_running == 0) {return 0} return 1}\",\"operator\":\"eq\",\"value\":0},{\"aggregator\":\"max\",\"alias\":\"slave_slave_io_running_value\",\"field\":\"slave_slave_io_running\"},{\"aggregator\":\"max\",\"alias\":\"slave_slave_sql_running_value\",\"field\":\"slave_slave_sql_running\"}],\"group\":[\"addon_id\",\"server\"],\"metric\":\"mysql\",\"outputs\":[\"alert\"],\"select\":{\"addon_id\":\"#addon_id\",\"cluster_name\":\"#cluster_name\",\"server_id\":\"#server\"},\"window\":1}','{\"alert_group\":\"{{cluster_name}}-{{addon_id}}\",\"level\":\"WARNING\",\"recover\":\"false\"}',0,'2021-05-28 11:55:05','2021-05-28 11:55:06'),(480,'平台中间件Cassandra GC次数异常','org','dice_addon','dice_addon_cassandra_gc_count','{\"filters\":[{\"operator\":\"in\",\"tag\":\"cluster_name\",\"value\":[\"$cluster_name\"]},{\"operator\":\"eq\",\"tag\":\"addon_id\",\"value\":\"cassandra\"},{\"operator\":\"like\",\"tag\":\"name\",\"value\":\"Old\"}],\"functions\":[{\"aggregator\":\"min\",\"field\":\"CollectionCount_min\",\"field_script\":\"function invoke(fields,tags){return fields.CollectionCount;}\"},{\"aggregator\":\"max\",\"field\":\"CollectionCount_max\",\"field_script\":\"function invoke(fields,tags){return fields.CollectionCount;}\"},{\"aggregator\":\"value\",\"field\":\"CollectionCount_win\",\"field_script\":\"function invoke(fields,tags){return fields.CollectionCount_max-fields.CollectionCount_min;}\",\"operator\":\"gte\",\"trigger\":\"aggregated\",\"value\":10}],\"group\":[\"cluster_name\",\"node_id\"],\"metrics\":[\"addon_java_GarbageCollector\"],\"outputs\":[\"alert\"],\"select\":{\"addon_id\":\"#addon_id\",\"addon_type\":\"#addon_type\",\"cluster_name\":\"#cluster_name\",\"node_host\":\"#jolokia_host\"},\"window\":3}','{\"alert_group\":\"{{cluster_name}}-{{addon_id}}\",\"display_url_id\":\"org_addon\",\"level\":\"WARNING\",\"recover\":\"false\",\"tickets_metric_key\":\"{{addon_id}}\"}',0,'2021-05-28 11:55:05','2021-05-28 11:55:06'),(481,'平台中间件Cassandra GC耗时异常','org','dice_addon','dice_addon_cassandra_gc_time','{\"filters\":[{\"operator\":\"in\",\"tag\":\"cluster_name\",\"value\":[\"$cluster_name\"]},{\"operator\":\"eq\",\"tag\":\"addon_id\",\"value\":\"cassandra\"},{\"operator\":\"like\",\"tag\":\"name\",\"value\":\"Old\"}],\"functions\":[{\"aggregator\":\"min\",\"field\":\"CollectionTime_min\",\"field_script\":\"function invoke(fields,tags){return fields.CollectionTime;}\"},{\"aggregator\":\"max\",\"field\":\"CollectionTime_max\",\"field_script\":\"function invoke(fields,tags){return fields.CollectionTime;}\"},{\"aggregator\":\"value\",\"field\":\"CollectionTime_win\",\"field_script\":\"function invoke(fields,tags){return fields.CollectionTime_max-fields.CollectionTime_min;}\",\"operator\":\"gte\",\"trigger\":\"aggregated\",\"value\":15000}],\"group\":[\"cluster_name\",\"node_id\"],\"metrics\":[\"addon_java_GarbageCollector\"],\"outputs\":[\"alert\"],\"select\":{\"addon_id\":\"#addon_id\",\"addon_type\":\"#addon_type\",\"cluster_name\":\"#cluster_name\",\"node_host\":\"#jolokia_host\"},\"window\":3}','{\"alert_group\":\"{{cluster_name}}-{{addon_id}}\",\"display_url_id\":\"org_addon\",\"level\":\"WARNING\",\"recover\":\"false\",\"tickets_metric_key\":\"{{addon_id}}\"}',0,'2021-05-28 11:55:05','2021-05-28 11:55:06'),(482,'平台中间件实例CPU状态','org','dice_addon','dice_addon_container_cpu','{\"filters\":[{\"operator\":\"in\",\"tag\":\"cluster_name\",\"value\":[\"$cluster_name\"]},{\"operator\":\"eq\",\"tag\":\"pod_namespace\",\"value\":\"default\"},{\"operator\":\"any\",\"tag\":\"addon_id\"}],\"functions\":[{\"aggregator\":\"avg\",\"field\":\"cpu_usage_percent\",\"field_script\":\"function invoke(fields,tags){return fields.cpu_limit===0?fields.cpu_usage_percent:fields.cpu_usage_percent/fields.cpu_limit}\",\"operator\":\"gte\",\"value\":95},{\"aggregator\":\"max\",\"alias\":\"cpu_limit_value\",\"field\":\"cpu_limit\"},{\"aggregator\":\"max\",\"alias\":\"cpu_allocation_value\",\"field\":\"cpu_allocation\"}],\"group\":[\"cluster_name\",\"container_id\"],\"metrics\":[\"docker_container_summary\"],\"outputs\":[\"alert\"],\"select\":{\"addon_id\":\"#addon_id\",\"cluster_name\":\"#cluster_name\",\"container_id\":\"#container_id\",\"host_ip\":\"#host_ip\",\"pod_name\":\"#pod_name\",\"pod_namespace\":\"#pod_namespace\"},\"window\":2}','{\"alert_group\":\"{{cluster_name}}-{{container_id}}\",\"level\":\"WARNING\",\"recover\":\"false\",\"tickets_metric_key\":\"{{container_id}}\"}',0,'2021-05-28 11:55:05','2021-05-28 11:55:06'),(483,'平台中间件异常退出','org','dice_addon','dice_addon_container_exit','{\"filters\":[{\"operator\":\"in\",\"tag\":\"cluster_name\",\"value\":[\"$cluster_name\"]},{\"operator\":\"eq\",\"tag\":\"pod_namespace\",\"value\":\"default\"},{\"operator\":\"any\",\"tag\":\"addon_id\"}],\"functions\":[{\"aggregator\":\"max\",\"field\":\"exitcode\",\"operator\":\"gt\",\"value\":0},{\"aggregator\":\"max\",\"field\":\"oomkilled\"},{\"aggregator\":\"value\",\"field\":\"pid\"},{\"aggregator\":\"max\",\"field\":\"finished_at\",\"field_script\":\"function invoke(fields,tags){if(fields.finished_at!=null\\u0026\\u0026fields.finished_at!=undefined) return fields.finished_at/1000000;return 0}\"},{\"aggregator\":\"max\",\"field\":\"started_at\",\"field_script\":\"function invoke(fields,tags){if(fields.started_at!=null\\u0026\\u0026fields.started_at!=undefined) return fields.started_at/1000000;return 0}\"},{\"aggregator\":\"value\",\"field\":\"finished_at\",\"field_script\":\"function invoke(fields,tags){if(fields.finished_at_max\\u003e0) return fields.finished_at_max;return \'-\'}\",\"trigger\":\"aggregated\"},{\"aggregator\":\"value\",\"field\":\"started_at\",\"field_script\":\"function invoke(fields,tags){if(fields.started_at_max\\u003e0) return fields.started_at_max;return \'-\'}\",\"trigger\":\"aggregated\"},{\"aggregator\":\"value\",\"field\":\"terminated_reason\",\"field_script\":\"function invoke(fields,tags){if(fields.oomkilled) return \'Out Of Memory\';return \'Error Exit Code \'+fields.exitcode_max;}\",\"trigger\":\"aggregated\"}],\"group\":[\"cluster_name\",\"pod_namespace\",\"pod_name\"],\"metrics\":[\"docker_container_summary\"],\"outputs\":[\"alert\"],\"select\":{\"addon_id\":\"#addon_id\",\"cluster_name\":\"#cluster_name\",\"container_id\":\"#container_id\",\"host_ip\":\"#host_ip\",\"pod_name\":\"#pod_name\",\"pod_namespace\":\"#pod_namespace\"},\"window\":1}','{\"alert_group\":\"{{cluster_name}}-{{container_id}}\",\"display_url_id\":\"org_pod\",\"level\":\"WARNING\",\"recover\":\"false\",\"tickets_metric_key\":\"{{container_id}}\"}',0,'2021-05-28 11:55:05','2021-05-28 11:55:06'),(484,'平台中间件实例内存状态','org','dice_addon','dice_addon_container_mem','{\"filters\":[{\"operator\":\"in\",\"tag\":\"cluster_name\",\"value\":[\"$cluster_name\"]},{\"operator\":\"eq\",\"tag\":\"pod_namespace\",\"value\":\"default\"},{\"operator\":\"any\",\"tag\":\"addon_id\"}],\"functions\":[{\"aggregator\":\"avg\",\"field\":\"mem_usage_percent\",\"operator\":\"gt\",\"value\":80},{\"aggregator\":\"max\",\"alias\":\"mem_usage_value\",\"field\":\"mem_usage\"},{\"aggregator\":\"max\",\"alias\":\"mem_limit_value\",\"field\":\"mem_limit\"},{\"aggregator\":\"max\",\"alias\":\"mem_max_value\",\"field\":\"mem_max_usage\"},{\"aggregator\":\"max\",\"alias\":\"mem_allocation_value\",\"field\":\"mem_allocation\"}],\"group\":[\"cluster_name\",\"container_id\"],\"metrics\":[\"docker_container_summary\"],\"outputs\":[\"alert\"],\"select\":{\"addon_id\":\"#addon_id\",\"cluster_name\":\"#cluster_name\",\"container_id\":\"#container_id\",\"host_ip\":\"#host_ip\",\"pod_name\":\"#pod_name\",\"pod_namespace\":\"#pod_namespace\"},\"window\":2}','{\"alert_group\":\"{{cluster_name}}-{{container_id}}\",\"level\":\"WARNING\",\"recover\":\"false\",\"tickets_metric_key\":\"{{container_id}}\"}',0,'2021-05-28 11:55:05','2021-05-28 11:55:06'),(485,'平台中间件实例Ready状态异常','org','dice_addon','dice_addon_container_ready','{\"filters\":[{\"operator\":\"in\",\"tag\":\"cluster_name\",\"value\":[\"$cluster_name\"]},{\"operator\":\"eq\",\"tag\":\"namespace\",\"value\":\"default\"},{\"operator\":\"any\",\"tag\":\"addon_id\"}],\"functions\":[{\"aggregator\":\"avg\",\"field\":\"not_ready_avg\",\"field_script\":\"function invoke(fields,tags){if(tags.daemonset_name){return fields.number_unavailable}else{if(tags.statefulset_name){return fields.replicas-fields.replicas_ready}else{if(tags.deployment_name){return fields.replicas_unavailable}}}return 0}\",\"operator\":\"gt\",\"value\":0},{\"aggregator\":\"max\",\"alias\":\"not_ready_value\",\"field\":\"not_ready\",\"field_script\":\"function invoke(fields,tags){if(tags.daemonset_name){return fields.number_unavailable}else{if(tags.statefulset_name){return fields.replicas-fields.replicas_ready}else{if(tags.deployment_name){return fields.replicas_unavailable}}}return 0}\"},{\"aggregator\":\"max\",\"alias\":\"ready_value\",\"field\":\"ready\",\"field_script\":\"function invoke(fields,tags){if(tags.daemonset_name){return fields.number_available}else{if(tags.statefulset_name){return fields.replicas_ready}else{if(tags.deployment_name){return fields.replicas_available}}}return 0}\"},{\"aggregator\":\"max\",\"alias\":\"total_value\",\"field\":\"total\",\"field_script\":\"function invoke(fields,tags){if(tags.daemonset_name){return fields.number_unavailable+fields.number_available}else{if(tags.statefulset_name){return fields.replicas}else{if(tags.deployment_name){return fields.replicas_unavailable+fields.replicas_available}}}return 0}\"},{\"aggregator\":\"value\",\"field\":\"resource_name\",\"field_script\":\"function invoke(fields,tags){if(tags.daemonset_name){return tags.daemonset_name}else{if(tags.statefulset_name){return tags.statefulset_name}else{if(tags.deployment_name){return tags.deployment_name}}}return null};\"}],\"group\":[\"cluster_name\",\"namespace\",\"daemonset_name\",\"statefulset_name\",\"deployment_name\"],\"metrics\":[\"kubernetes_daemonset\",\"kubernetes_statefulset\",\"kubernetes_deployment\"],\"outputs\":[\"alert\"],\"select\":{\"addon_id\":\"#addon_id\",\"cluster_name\":\"#cluster_name\",\"daemonset_name\":\"#daemonset_name\",\"deployment_name\":\"#deployment_name\",\"namespace\":\"#namespace\",\"statefulset_name\":\"#statefulset_name\"},\"window\":1}','{\"alert_group\":\"{{cluster_name}}-{{daemonset_name}}-{{statefulset_name}}-{{deployment_name}}\",\"level\":\"WARNING\",\"recover\":\"false\",\"tickets_metric_key\":\"{{daemonset_name}}-{{statefulset_name}}-{{deployment_name}}\"}',0,'2021-05-28 11:55:05','2021-05-28 11:55:06'),(486,'平台中间件Elasticsearch GC次数异常','org','dice_addon','dice_addon_elasticsearch_gc_count','{\"filters\":[{\"operator\":\"in\",\"tag\":\"cluster_name\",\"value\":[\"$cluster_name\"]},{\"operator\":\"eq\",\"tag\":\"addon_id\",\"value\":\"elasticsearch\"}],\"functions\":[{\"aggregator\":\"min\",\"field\":\"gc_collectors_old_collection_count\"},{\"aggregator\":\"max\",\"field\":\"gc_collectors_old_collection_count\"},{\"aggregator\":\"value\",\"field\":\"gc_collectors_old_collection_count_win\",\"field_script\":\"function invoke(fields,tags){return fields.gc_collectors_old_collection_count_max-fields.gc_collectors_old_collection_count_min;}\",\"operator\":\"gte\",\"trigger\":\"aggregated\",\"value\":10}],\"group\":[\"cluster_name\",\"node_id\"],\"metrics\":[\"elasticsearch_jvm\"],\"outputs\":[\"alert\"],\"select\":{\"addon_id\":\"#addon_id\",\"addon_type\":\"#addon_type\",\"cluster_name\":\"#cluster_name\",\"node_host\":\"#node_host\",\"node_id\":\"#node_id\",\"node_name\":\"#node_name\"},\"window\":3}','{\"alert_group\":\"{{cluster_name}}-{{addon_id}}\",\"display_url_id\":\"org_addon\",\"level\":\"WARNING\",\"recover\":\"false\",\"tickets_metric_key\":\"{{addon_id}}\"}',0,'2021-05-28 11:55:05','2021-05-28 11:55:06'),(487,'平台中间件Elasticsearch GC耗时异常','org','dice_addon','dice_addon_elasticsearch_gc_time','{\"filters\":[{\"operator\":\"in\",\"tag\":\"cluster_name\",\"value\":[\"$cluster_name\"]},{\"operator\":\"eq\",\"tag\":\"addon_id\",\"value\":\"elasticsearch\"}],\"functions\":[{\"aggregator\":\"min\",\"field\":\"gc_collectors_old_collection_time_in_millis\"},{\"aggregator\":\"max\",\"field\":\"gc_collectors_old_collection_time_in_millis\"},{\"aggregator\":\"value\",\"field\":\"gc_collectors_old_collection_time_in_millis_win\",\"field_script\":\"function invoke(fields,tags){return fields.gc_collectors_old_collection_time_in_millis_max-fields.gc_collectors_old_collection_time_in_millis_min;}\",\"operator\":\"gte\",\"trigger\":\"aggregated\",\"value\":15000}],\"group\":[\"cluster_name\",\"node_id\"],\"metrics\":[\"elasticsearch_jvm\"],\"outputs\":[\"alert\"],\"select\":{\"addon_id\":\"#addon_id\",\"addon_type\":\"#addon_type\",\"cluster_name\":\"#cluster_name\",\"node_host\":\"#node_host\",\"node_id\":\"#node_id\",\"node_name\":\"#node_name\"},\"window\":3}','{\"alert_group\":\"{{cluster_name}}-{{addon_id}}\",\"display_url_id\":\"org_addon\",\"level\":\"WARNING\",\"recover\":\"false\",\"tickets_metric_key\":\"{{addon_id}}\"}',0,'2021-05-28 11:55:05','2021-05-28 11:55:06'),(488,'平台中间件Kafka GC次数异常','org','dice_addon','dice_addon_kafka_gc_count','{\"filters\":[{\"operator\":\"in\",\"tag\":\"cluster_name\",\"value\":[\"$cluster_name\"]},{\"operator\":\"eq\",\"tag\":\"addon_id\",\"value\":\"kafka\"},{\"operator\":\"like\",\"tag\":\"name\",\"value\":\"Old\"}],\"functions\":[{\"aggregator\":\"min\",\"field\":\"CollectionCount\"},{\"aggregator\":\"max\",\"field\":\"CollectionCount\"},{\"aggregator\":\"value\",\"field\":\"CollectionCount_win\",\"field_script\":\"function invoke(fields,tags){return fields.CollectionCount_max-fields.CollectionCount_min;}\",\"operator\":\"gte\",\"trigger\":\"aggregated\",\"value\":10}],\"group\":[\"cluster_name\",\"node_id\"],\"metrics\":[\"addon_java_GarbageCollector\"],\"outputs\":[\"alert\"],\"select\":{\"addon_id\":\"#addon_id\",\"addon_type\":\"#addon_type\",\"cluster_name\":\"#cluster_name\",\"node_host\":\"#jolokia_host\"},\"window\":3}','{\"alert_group\":\"{{cluster_name}}-{{addon_id}}\",\"display_url_id\":\"org_addon\",\"level\":\"WARNING\",\"recover\":\"false\",\"tickets_metric_key\":\"{{addon_id}}\"}',0,'2021-05-28 11:55:05','2021-05-28 11:55:06'),(489,'平台中间件Kafka GC耗时异常','org','dice_addon','dice_addon_kafka_gc_time','{\"filters\":[{\"operator\":\"in\",\"tag\":\"cluster_name\",\"value\":[\"$cluster_name\"]},{\"operator\":\"eq\",\"tag\":\"addon_id\",\"value\":\"kafka\"},{\"operator\":\"like\",\"tag\":\"name\",\"value\":\"Old\"}],\"functions\":[{\"aggregator\":\"min\",\"field\":\"CollectionTime\"},{\"aggregator\":\"max\",\"field\":\"CollectionTime\"},{\"aggregator\":\"value\",\"field\":\"CollectionTime_win\",\"field_script\":\"function invoke(fields,tags){return fields.CollectionTime_max-fields.CollectionTime_min;}\",\"operator\":\"gte\",\"trigger\":\"aggregated\",\"value\":15000}],\"group\":[\"cluster_name\",\"node_id\"],\"metrics\":[\"addon_java_GarbageCollector\"],\"outputs\":[\"alert\"],\"select\":{\"addon_id\":\"#addon_id\",\"addon_type\":\"#addon_type\",\"cluster_name\":\"#cluster_name\",\"node_host\":\"#jolokia_host\"},\"window\":3}','{\"alert_group\":\"{{cluster_name}}-{{addon_id}}\",\"display_url_id\":\"org_addon\",\"level\":\"WARNING\",\"recover\":\"false\",\"tickets_metric_key\":\"{{addon_id}}\"}',0,'2021-05-28 11:55:05','2021-05-28 11:55:06'),(490,'平台中间件kafka消费堆积','org','dice_addon','dice_addon_kafka_lag','{\"filters\":[{\"operator\":\"in\",\"tag\":\"cluster_name\",\"value\":[\"$cluster_name\"]},{\"operator\":\"eq\",\"tag\":\"addon_id\",\"value\":\"kafka\"}],\"functions\":[{\"aggregator\":\"avg\",\"field\":\"lag\",\"operator\":\"gte\",\"value\":100000},{\"aggregator\":\"avg\",\"field\":\"consume_rate_per_sec\"},{\"aggregator\":\"avg\",\"field\":\"produce_rate_per_sec\"}],\"group\":[\"cluster_name\",\"addon_id\",\"group\",\"topic\"],\"metrics\":[\"kafka_consumer\"],\"outputs\":[\"alert\"],\"select\":{\"addon_id\":\"#addon_id\",\"addon_type\":\"#addon_type\",\"cluster_name\":\"#cluster_name\",\"group\":\"#group\",\"topic\":\"#topic\"},\"window\":3}','{\"alert_group\":\"{{cluster_name}}-{{group}}-{{topic}}\",\"display_url_id\":\"org_addon\",\"level\":\"WARNING\",\"recover\":\"false\",\"tickets_metric_key\":\"{{group}}-{{topic}}\"}',0,'2021-05-28 11:55:05','2021-05-28 11:55:06'),(491,'平台组件实例CPU状态','org','dice_component','dice_component_container_cpu','{\"filters\":[{\"operator\":\"in\",\"tag\":\"cluster_name\",\"value\":[\"$cluster_name\"]},{\"operator\":\"eq\",\"tag\":\"pod_namespace\",\"value\":\"default\"},{\"operator\":\"any\",\"tag\":\"component_name\"}],\"functions\":[{\"aggregator\":\"avg\",\"field\":\"cpu_usage_percent\",\"field_script\":\"function invoke(fields,tags){return fields.cpu_limit===0?fields.cpu_usage_percent:fields.cpu_usage_percent/fields.cpu_limit}\",\"operator\":\"gte\",\"value\":95},{\"aggregator\":\"max\",\"alias\":\"cpu_limit_value\",\"field\":\"cpu_limit\"},{\"aggregator\":\"max\",\"alias\":\"cpu_allocation_value\",\"field\":\"cpu_allocation\"}],\"group\":[\"cluster_name\",\"container_id\"],\"metrics\":[\"docker_container_summary\"],\"outputs\":[\"alert\"],\"select\":{\"cluster_name\":\"#cluster_name\",\"component_name\":\"#component_name\",\"container_id\":\"#container_id\",\"host_ip\":\"#host_ip\",\"pod_name\":\"#pod_name\",\"pod_namespace\":\"#pod_namespace\"},\"window\":2}','{\"alert_group\":\"{{cluster_name}}-{{container_id}}\",\"level\":\"WARNING\",\"recover\":\"false\",\"tickets_metric_key\":\"{{container_id}}\"}',0,'2021-05-28 11:55:05','2021-05-28 11:55:06'),(492,'平台组件异常退出','org','dice_component','dice_component_container_exit','{\"filters\":[{\"operator\":\"in\",\"tag\":\"cluster_name\",\"value\":[\"$cluster_name\"]},{\"operator\":\"eq\",\"tag\":\"pod_namespace\",\"value\":\"default\"},{\"operator\":\"any\",\"tag\":\"component_name\"}],\"functions\":[{\"aggregator\":\"max\",\"field\":\"exitcode\",\"operator\":\"gt\",\"value\":0},{\"aggregator\":\"max\",\"field\":\"oomkilled\"},{\"aggregator\":\"value\",\"field\":\"pid\"},{\"aggregator\":\"max\",\"field\":\"finished_at\",\"field_script\":\"function invoke(fields,tags){if(fields.finished_at!=null\\u0026\\u0026fields.finished_at!=undefined) return fields.finished_at/1000000;return 0}\"},{\"aggregator\":\"max\",\"field\":\"started_at\",\"field_script\":\"function invoke(fields,tags){if(fields.started_at!=null\\u0026\\u0026fields.started_at!=undefined) return fields.started_at/1000000;return 0}\"},{\"aggregator\":\"value\",\"field\":\"finished_at\",\"field_script\":\"function invoke(fields,tags){if(fields.finished_at_max\\u003e0) return fields.finished_at_max;return \'-\'}\",\"trigger\":\"aggregated\"},{\"aggregator\":\"value\",\"field\":\"started_at\",\"field_script\":\"function invoke(fields,tags){if(fields.started_at_max\\u003e0) return fields.started_at_max;return \'-\'}\",\"trigger\":\"aggregated\"},{\"aggregator\":\"value\",\"field\":\"terminated_reason\",\"field_script\":\"function invoke(fields,tags){if(fields.oomkilled) return \'Out Of Memory\';return \'Error Exit Code \'+fields.exitcode_max;}\",\"trigger\":\"aggregated\"}],\"group\":[\"cluster_name\",\"container_id\"],\"metrics\":[\"docker_container_summary\"],\"outputs\":[\"alert\"],\"select\":{\"cluster_name\":\"#cluster_name\",\"component_name\":\"#component_name\",\"container_id\":\"#container_id\",\"host_ip\":\"#host_ip\",\"pod_name\":\"#pod_name\",\"pod_namespace\":\"#pod_namespace\"},\"window\":1}','{\"alert_group\":\"{{cluster_name}}-{{container_id}}\",\"display_url_id\":\"org_pod\",\"level\":\"WARNING\",\"recover\":\"false\",\"tickets_metric_key\":\"{{container_id}}\"}',0,'2021-05-28 11:55:05','2021-05-28 11:55:06'),(493,'平台组件实例内存状态','org','dice_component','dice_component_container_mem','{\"filters\":[{\"operator\":\"in\",\"tag\":\"cluster_name\",\"value\":[\"$cluster_name\"]},{\"operator\":\"eq\",\"tag\":\"pod_namespace\",\"value\":\"default\"},{\"operator\":\"any\",\"tag\":\"component_name\"}],\"functions\":[{\"aggregator\":\"avg\",\"field\":\"mem_usage_percent\",\"operator\":\"gt\",\"value\":70},{\"aggregator\":\"max\",\"alias\":\"mem_usage_value\",\"field\":\"mem_usage\"},{\"aggregator\":\"max\",\"alias\":\"mem_limit_value\",\"field\":\"mem_limit\"},{\"aggregator\":\"max\",\"alias\":\"mem_max_usage_value\",\"field\":\"mem_max_usage\"},{\"aggregator\":\"max\",\"alias\":\"mem_allocation_value\",\"field\":\"mem_allocation\"}],\"group\":[\"cluster_name\",\"container_id\"],\"metrics\":[\"docker_container_summary\"],\"outputs\":[\"alert\"],\"select\":{\"cluster_name\":\"#cluster_name\",\"component_name\":\"#component_name\",\"container_id\":\"#container_id\",\"host_ip\":\"#host_ip\",\"pod_name\":\"#pod_name\",\"pod_namespace\":\"#pod_namespace\"},\"window\":2}','{\"alert_group\":\"{{cluster_name}}-{{container_id}}\",\"level\":\"WARNING\",\"recover\":\"false\",\"tickets_metric_key\":\"{{container_id}}\"}',0,'2021-05-28 11:55:05','2021-05-28 11:55:06'),(494,'平台组件实例Ready状态异常','org','dice_component','dice_component_container_ready','{\"filters\":[{\"operator\":\"in\",\"tag\":\"cluster_name\",\"value\":[\"$cluster_name\"]},{\"operator\":\"eq\",\"tag\":\"namespace\",\"value\":\"default\"},{\"operator\":\"any\",\"tag\":\"component_name\"}],\"functions\":[{\"aggregator\":\"avg\",\"field\":\"not_ready_avg\",\"field_script\":\"function invoke(fields,tags){if(tags.daemonset_name){return fields.number_unavailable}else{if(tags.statefulset_name){return fields.replicas-fields.replicas_ready}else{if(tags.deployment_name){return fields.replicas_unavailable}}}return 0}\",\"operator\":\"gt\",\"value\":0},{\"aggregator\":\"max\",\"alias\":\"not_ready_value\",\"field\":\"not_ready\",\"field_script\":\"function invoke(fields,tags){if(tags.daemonset_name){return fields.number_unavailable}else{if(tags.statefulset_name){return fields.replicas-fields.replicas_ready}else{if(tags.deployment_name){return fields.replicas_unavailable}}}return 0}\"},{\"aggregator\":\"max\",\"alias\":\"ready_value\",\"field\":\"ready\",\"field_script\":\"function invoke(fields,tags){if(tags.daemonset_name){return fields.number_available}else{if(tags.statefulset_name){return fields.replicas_ready}else{if(tags.deployment_name){return fields.replicas_available}}}return 0}\"},{\"aggregator\":\"max\",\"alias\":\"total_value\",\"field\":\"total\",\"field_script\":\"function invoke(fields,tags){if(tags.daemonset_name){return fields.number_unavailable+fields.number_available}else{if(tags.statefulset_name){return fields.replicas}else{if(tags.deployment_name){return fields.replicas_unavailable+fields.replicas_available}}}return 0}\"},{\"aggregator\":\"value\",\"field\":\"resource_name\",\"field_script\":\"function invoke(fields,tags){if(tags.daemonset_name){return tags.daemonset_name}else{if(tags.statefulset_name){return tags.statefulset_name}else{if(tags.deployment_name){return tags.deployment_name}}}return null};\"}],\"group\":[\"cluster_name\",\"namespace\",\"daemonset_name\",\"statefulset_name\",\"deployment_name\"],\"metrics\":[\"kubernetes_daemonset\",\"kubernetes_statefulset\",\"kubernetes_deployment\"],\"outputs\":[\"alert\"],\"select\":{\"cluster_name\":\"#cluster_name\",\"component_name\":\"#component_name\",\"daemonset_name\":\"#daemonset_name\",\"deployment_name\":\"#deployment_name\",\"namespace\":\"#namespace\",\"statefulset_name\":\"#statefulset_name\"},\"window\":3}','{\"alert_group\":\"{{cluster_name}}-{{daemonset_name}}-{{statefulset_name}}-{{deployment_name}}\",\"level\":\"WARNING\",\"recover\":\"false\",\"tickets_metric_key\":\"{{daemonset_name}}-{{statefulset_name}}-{{deployment_name}}\"}',0,'2021-05-28 11:55:05','2021-05-28 11:55:06'),(495,'平台组件Flink任务checkpoint延迟异常告警','org','dice_component','dice_component_flink_checkpoint_duration','{\"filters\":[{\"operator\":\"in\",\"tag\":\"cluster_name\",\"value\":[\"$cluster_name\"]}],\"functions\":[{\"aggregator\":\"max\",\"alias\":\"lastCheckpointDuration_value\",\"field\":\"lastCheckpointDuration\",\"operator\":\"gte\",\"value\":3000}],\"group\":[\"cluster_name\",\"container_id\",\"job_id\"],\"metric\":\"flink_jm_job\",\"outputs\":[\"alert\"],\"select\":{\"cluster_name\":\"#cluster_name\",\"host_ip\":\"#host_ip\",\"job_id\":\"#job_id\"},\"window\":1}','{\"alert_group\":\"{{cluster_name}}-{{container_id}}-{{job_id}}\",\"level\":\"WARNING\",\"recover\":\"false\",\"tickets_metric_key\":\"{{container_id}}-{{job_id}}\"}',0,'2021-05-28 11:55:05','2021-05-28 11:55:06'),(496,'平台组件Flink吞吐量异常告警','org','dice_component','dice_component_flink_throughput','{\"filters\":[{\"operator\":\"in\",\"tag\":\"cluster_name\",\"value\":[\"$cluster_name\"]}],\"functions\":[{\"aggregator\":\"max\",\"alias\":\"numRecordsOutPerSecond_count_value\",\"field\":\"numRecordsOutPerSecond_count\",\"operator\":\"eq\",\"value\":0}],\"group\":[\"cluster_name\",\"container_id\",\"job_id\",\"task_id\",\"subtask_index\",\"operator_id\"],\"metric\":\"flink_tm_operator\",\"outputs\":[\"alert\"],\"select\":{\"cluster_name\":\"#cluster_name\",\"host_ip\":\"#host_ip\",\"job_id\":\"#job_id\",\"operator_id\":\"#operator_id\",\"subtask_index\":\"#subtask_index\",\"tm_id\":\"#tm_id\"},\"window\":1}','{\"alert_group\":\"{{cluster_name}}-{{container_id}}-{{job_id}}\",\"level\":\"WARNING\",\"recover\":\"false\",\"tickets_metric_key\":\"{{container_id}}-{{job_id}}\"}',0,'2021-05-28 11:55:05','2021-05-28 11:55:06'),(497,'平台组件网盘不可用告警','org','dice_component','dice_component_gfs_status','{\"filters\":[{\"operator\":\"in\",\"tag\":\"cluster_name\",\"value\":[\"$cluster_name\"]}],\"functions\":[{\"aggregator\":\"values\",\"field\":\"status\",\"operator\":\"all\",\"value\":\"Disconnected\"}],\"group\":[\"cluster_name\",\"host_ip\"],\"metric\":\"glusterfs\",\"outputs\":[\"alert\"],\"select\":{\"cluster_name\":\"#cluster_name\",\"component_name\":\"#component_name\",\"host_ip\":\"#host_ip\",\"node_uuid\":\"#node_uuid\"},\"window\":5}','{\"alert_group\":\"{{cluster_name}}\",\"level\":\"WARNING\",\"recover\":\"false\",\"tickets_metric_key\":\"{{cluster_name}}\"}',0,'2021-05-28 11:55:05','2021-05-28 11:55:06'),(498,'平台组价日志存储保护器状态变化','org','dice_component','dice_component_log_protector','{\"filters\":[{\"operator\":\"in\",\"tag\":\"cluster_name\",\"value\":[\"$cluster_name\"]},{\"operator\":\"eq\",\"tag\":\"field\",\"value\":\"log_store_protector_triggered\"}],\"functions\":[{\"aggregator\":\"value\",\"field\":\"triggered\",\"operator\":\"eq\",\"value\":1}],\"group\":[\"cluster_name\"],\"metric\":\"dice_monitor\",\"outputs\":[\"alert\"],\"select\":{\"cluster_name\":\"#cluster_name\",\"cur_level\":\"#cur_level\",\"pre_level\":\"#pre_level\"},\"window\":1}','{\"alert_group\":\"{{cluster_name}}\",\"level\":\"WARNING\",\"recover\":\"false\",\"tickets_metric_key\":\"{{cluster_name}}\"}',0,'2021-05-28 11:55:05','2021-05-28 11:55:06'),(499,'kubernetes组件实例CPU状态','org','kubernetes','kubernetes_instance_cpu','{\"filters\":[{\"operator\":\"in\",\"tag\":\"cluster_name\",\"value\":[\"$cluster_name\"]},{\"operator\":\"eq\",\"tag\":\"pod_namespace\",\"value\":\"kube-system\"}],\"functions\":[{\"aggregator\":\"avg\",\"field\":\"cpu_usage_percent\",\"field_script\":\"function invoke(fields,tags){return fields.cpu_limit===0?fields.cpu_usage_percent:fields.cpu_usage_percent/fields.cpu_limit}\",\"operator\":\"gte\",\"value\":95},{\"aggregator\":\"max\",\"alias\":\"cpu_limit_value\",\"field\":\"cpu_limit\"},{\"aggregator\":\"max\",\"alias\":\"cpu_allocation_value\",\"field\":\"cpu_allocation\"}],\"group\":[\"cluster_name\",\"container_id\"],\"metrics\":[\"docker_container_summary\"],\"outputs\":[\"alert\"],\"select\":{\"cluster_name\":\"#cluster_name\",\"container_id\":\"#container_id\",\"host_ip\":\"#host_ip\",\"pod_name\":\"#pod_name\",\"pod_namespace\":\"#pod_namespace\"},\"window\":2}','{\"alert_group\":\"{{cluster_name}}-{{container_id}}\",\"level\":\"WARNING\",\"recover\":\"false\",\"tickets_metric_key\":\"{{container_id}}\"}',0,'2021-05-28 11:55:05','2021-05-28 11:55:06'),(500,'kubernetes组件异常退出','org','kubernetes','kubernetes_instance_exit','{\"filters\":[{\"operator\":\"in\",\"tag\":\"cluster_name\",\"value\":[\"$cluster_name\"]},{\"operator\":\"eq\",\"tag\":\"pod_namespace\",\"value\":\"kube-system\"}],\"functions\":[{\"aggregator\":\"max\",\"field\":\"exitcode\",\"operator\":\"gt\",\"value\":0},{\"aggregator\":\"max\",\"field\":\"oomkilled\"},{\"aggregator\":\"value\",\"field\":\"pid\"},{\"aggregator\":\"max\",\"field\":\"finished_at\",\"field_script\":\"function invoke(fields,tags){if(fields.finished_at!=null\\u0026\\u0026fields.finished_at!=undefined) return fields.finished_at/1000000;return 0}\"},{\"aggregator\":\"max\",\"field\":\"started_at\",\"field_script\":\"function invoke(fields,tags){if(fields.started_at!=null\\u0026\\u0026fields.started_at!=undefined) return fields.started_at/1000000;return 0}\"},{\"aggregator\":\"value\",\"field\":\"finished_at\",\"field_script\":\"function invoke(fields,tags){if(fields.finished_at_max\\u003e0) return fields.finished_at_max;return \'-\'}\",\"trigger\":\"aggregated\"},{\"aggregator\":\"value\",\"field\":\"started_at\",\"field_script\":\"function invoke(fields,tags){if(fields.started_at_max\\u003e0) return fields.started_at_max;return \'-\'}\",\"trigger\":\"aggregated\"},{\"aggregator\":\"value\",\"field\":\"terminated_reason\",\"field_script\":\"function invoke(fields,tags){if(fields.oomkilled) return \'Out Of Memory\';return \'Error Exit Code \'+fields.exitcode_max;}\",\"trigger\":\"aggregated\"}],\"group\":[\"cluster_name\",\"pod_namespace\",\"pod_name\"],\"metrics\":[\"docker_container_summary\"],\"outputs\":[\"alert\"],\"select\":{\"cluster_name\":\"#cluster_name\",\"component_name\":\"#component_name\",\"container_id\":\"#container_id\",\"host_ip\":\"#host_ip\",\"pod_name\":\"#pod_name\",\"pod_namespace\":\"#pod_namespace\"},\"window\":1}','{\"alert_group\":\"{{cluster_name}}-{{container_id}}\",\"display_url_id\":\"org_pod\",\"level\":\"WARNING\",\"recover\":\"false\",\"tickets_metric_key\":\"{{container_id}}\"}',0,'2021-05-28 11:55:05','2021-05-28 11:55:06'),(501,'kubernetes组件实例内存状态','org','kubernetes','kubernetes_instance_mem','{\"filters\":[{\"operator\":\"in\",\"tag\":\"cluster_name\",\"value\":[\"$cluster_name\"]},{\"operator\":\"eq\",\"tag\":\"pod_namespace\",\"value\":\"kube-system\"}],\"functions\":[{\"aggregator\":\"avg\",\"field\":\"mem_usage_percent\",\"operator\":\"gt\",\"value\":70},{\"aggregator\":\"max\",\"alias\":\"mem_usage_value\",\"field\":\"mem_usage\"},{\"aggregator\":\"max\",\"alias\":\"mem_limit_value\",\"field\":\"mem_limit\"},{\"aggregator\":\"max\",\"alias\":\"mem_max_usage_value\",\"field\":\"mem_max_usage\"},{\"aggregator\":\"max\",\"alias\":\"mem_allocation_value\",\"field\":\"mem_allocation\"}],\"group\":[\"cluster_name\",\"container_id\"],\"metrics\":[\"docker_container_summary\"],\"outputs\":[\"alert\"],\"select\":{\"cluster_name\":\"#cluster_name\",\"container_id\":\"#container_id\",\"host_ip\":\"#host_ip\",\"pod_name\":\"#pod_name\",\"pod_namespace\":\"#pod_namespace\"},\"window\":2}','{\"alert_group\":\"{{cluster_name}}-{{container_id}}\",\"level\":\"WARNING\",\"recover\":\"false\",\"tickets_metric_key\":\"{{container_id}}\"}',0,'2021-05-28 11:55:05','2021-05-28 11:55:06'),(502,'kubernetes组件实例Ready状态异常','org','kubernetes','kubernetes_instance_ready','{\"filters\":[{\"operator\":\"in\",\"tag\":\"cluster_name\",\"value\":[\"$cluster_name\"]},{\"operator\":\"eq\",\"tag\":\"namespace\",\"value\":\"kube-system\"}],\"functions\":[{\"aggregator\":\"avg\",\"field\":\"not_ready_avg\",\"field_script\":\"function invoke(fields,tags){if(tags.daemonset_name){return fields.number_unavailable}else{if(tags.statefulset_name){return fields.replicas-fields.replicas_ready}else{if(tags.deployment_name){return fields.replicas_unavailable}}}return 0}\",\"operator\":\"gt\",\"value\":0},{\"aggregator\":\"max\",\"alias\":\"not_ready_value\",\"field\":\"not_ready\",\"field_script\":\"function invoke(fields,tags){if(tags.daemonset_name){return fields.number_unavailable}else{if(tags.statefulset_name){return fields.replicas-fields.replicas_ready}else{if(tags.deployment_name){return fields.replicas_unavailable}}}return 0}\"},{\"aggregator\":\"max\",\"alias\":\"ready_value\",\"field\":\"ready\",\"field_script\":\"function invoke(fields,tags){if(tags.daemonset_name){return fields.number_available}else{if(tags.statefulset_name){return fields.replicas_ready}else{if(tags.deployment_name){return fields.replicas_available}}}return 0}\"},{\"aggregator\":\"max\",\"alias\":\"total_value\",\"field\":\"total\",\"field_script\":\"function invoke(fields,tags){if(tags.daemonset_name){return fields.number_unavailable+fields.number_available}else{if(tags.statefulset_name){return fields.replicas}else{if(tags.deployment_name){return fields.replicas_unavailable+fields.replicas_available}}}return 0}\"},{\"aggregator\":\"value\",\"field\":\"resource_name\",\"field_script\":\"function invoke(fields,tags){if(tags.daemonset_name){return tags.daemonset_name}else{if(tags.statefulset_name){return tags.statefulset_name}else{if(tags.deployment_name){return tags.deployment_name}}}return null};\"}],\"group\":[\"cluster_name\",\"namespace\",\"daemonset_name\",\"statefulset_name\",\"deployment_name\"],\"metrics\":[\"kubernetes_daemonset\",\"kubernetes_statefulset\",\"kubernetes_deployment\"],\"outputs\":[\"alert\"],\"select\":{\"cluster_name\":\"#cluster_name\",\"daemonset_name\":\"#daemonset_name\",\"deployment_name\":\"#deployment_name\",\"namespace\":\"#namespace\",\"statefulset_name\":\"#statefulset_name\"},\"window\":1}','{\"alert_group\":\"{{cluster_name}}-{{daemonset_name}}-{{statefulset_name}}-{{deployment_name}}\",\"level\":\"WARNING\",\"recover\":\"false\",\"tickets_metric_key\":\"{{daemonset_name}}-{{statefulset_name}}-{{deployment_name}}\"}',0,'2021-05-28 11:55:05','2021-05-28 11:55:06'),(503,'kubernetes节点异常','org','kubernetes','kubernetes_node','{\"filters\":[{\"operator\":\"in\",\"tag\":\"cluster_name\",\"value\":[\"$cluster_name\"]},{\"operator\":\"neq\",\"tag\":\"offline\",\"value\":\"true\"}],\"functions\":[{\"aggregator\":\"values\",\"field\":\"ready\",\"operator\":\"all\",\"value\":false},{\"aggregator\":\"max\",\"alias\":\"allocatable_pods_value\",\"field\":\"allocatable_pods\"},{\"aggregator\":\"max\",\"alias\":\"capacity_pods_value\",\"field\":\"capacity_pods\"},{\"aggregator\":\"max\",\"alias\":\"allocatable_cpu_cores_value\",\"field\":\"allocatable_cpu_cores\"},{\"aggregator\":\"max\",\"alias\":\"capacity_cpu_cores_value\",\"field\":\"capacity_cpu_cores\"},{\"aggregator\":\"max\",\"alias\":\"allocatable_memory_bytes_value\",\"field\":\"allocatable_memory_bytes\"},{\"aggregator\":\"max\",\"alias\":\"capacity_memory_bytes_value\",\"field\":\"capacity_memory_bytes\"}],\"group\":[\"cluster_name\",\"node_name\"],\"metrics\":[\"kubernetes_node\"],\"outputs\":[\"alert\"],\"select\":{\"cluster_name\":\"#cluster_name\",\"node_name\":\"#node_name\"},\"window\":1}','{\"alert_group\":\"{{cluster_name}}-{{node_name}}\",\"level\":\"WARNING\",\"recover\":\"false\",\"tickets_metric_key\":\"{{node_name}}\"}',0,'2021-05-28 11:55:05','2021-05-28 11:55:06'),(504,'机器CPU','org','machine','machine_cpu','{\"filters\":[{\"operator\":\"in\",\"tag\":\"cluster_name\",\"value\":[\"$cluster_name\"]}],\"functions\":[{\"aggregator\":\"avg\",\"field\":\"cpu_usage_active\",\"operator\":\"gte\",\"value\":95}],\"group\":[\"cluster_name\",\"host_ip\"],\"metric\":\"host_summary\",\"outputs\":[\"alert\"],\"select\":{\"cluster_name\":\"#cluster_name\",\"host_ip\":\"#host_ip\"},\"window\":5}','{\"alert_group\":\"{{cluster_name}}-{{host_ip}}\",\"display_url_id\":\"machine_cpu\",\"level\":\"WARNING\",\"recover\":\"false\",\"tickets_metric_key\":\"{{host_ip}}\"}',0,'2021-05-28 11:55:05','2021-05-28 11:55:06'),(505,'机器磁盘','org','machine','machine_disk','{\"filters\":[{\"operator\":\"in\",\"tag\":\"cluster_name\",\"value\":[\"$cluster_name\"]},{\"operator\":\"neq\",\"tag\":\"type\",\"value\":\"netdata\"}],\"functions\":[{\"aggregator\":\"max\",\"alias\":\"used_percent_value\",\"field\":\"used_percent\",\"operator\":\"gte\",\"value\":86},{\"aggregator\":\"max\",\"alias\":\"total_value\",\"field\":\"total\"}],\"group\":[\"host_ip\",\"device\"],\"metric\":\"disk\",\"outputs\":[\"alert\"],\"select\":{\"cluster_name\":\"#cluster_name\",\"device\":\"#device\",\"host_ip\":\"#host_ip\"},\"window\":5}','{\"alert_group\":\"{{cluster_name}}-{{host_ip}}-{{device}}\",\"display_url_id\":\"machine_disk\",\"level\":\"WARNING\",\"recover\":\"true\",\"tickets_metric_key\":\"{{host_ip}}\"}',0,'2021-05-28 11:55:05','2021-05-28 11:55:06'),(506,'磁盘Inode异常告警','org','machine','machine_disk_inode','{\"filters\":[{\"operator\":\"in\",\"tag\":\"cluster_name\",\"value\":[\"$cluster_name\"]},{\"operator\":\"neq\",\"tag\":\"type\",\"value\":\"netdata\"}],\"functions\":[{\"aggregator\":\"max\",\"alias\":\"inode_used_percent_value\",\"field\":\"inode_used_percent\",\"field_script\":\"function invoke(field, tag){ return field.inodes_used/field.inodes_total*100 }\",\"operator\":\"gte\",\"value\":85},{\"aggregator\":\"max\",\"alias\":\"inodes_total_value\",\"field\":\"inodes_total\"}],\"group\":[\"host_ip\",\"device\"],\"metric\":\"disk\",\"outputs\":[\"alert\"],\"select\":{\"cluster_name\":\"#cluster_name\",\"device\":\"#device\",\"host_ip\":\"#host_ip\"},\"window\":5}','{\"alert_group\":\"{{cluster_name}}-{{host_ip}}-{{device}}\",\"display_url_id\":\"machine_disk\",\"level\":\"WARNING\",\"recover\":\"true\",\"tickets_metric_key\":\"{{host_ip}}\"}',0,'2021-05-28 11:55:05','2021-05-28 11:55:06'),(507,'机器磁盘IO','org','machine','machine_disk_util','{\"filters\":[{\"operator\":\"in\",\"tag\":\"cluster_name\",\"value\":[\"$cluster_name\"]},{\"operator\":\"eq\",\"tag\":\"path\",\"value\":null}],\"functions\":[{\"aggregator\":\"p75\",\"field\":\"pct_util\",\"operator\":\"gte\",\"value\":95}],\"group\":[\"host_ip\"],\"metric\":\"disk\",\"outputs\":[\"alert\"],\"select\":{\"cluster_name\":\"#cluster_name\",\"host_ip\":\"#host_ip\"},\"window\":5}','{\"alert_group\":\"{{cluster_name}}-{{host_ip}}\",\"display_url_id\":\"machine_disk_io\",\"level\":\"WARNING\",\"recover\":\"true\",\"tickets_metric_key\":\"{{host_ip}}\"}',0,'2021-05-28 11:55:05','2021-05-28 11:55:06'),(508,'机器Load5','org','machine','machine_load5','{\"filters\":[{\"operator\":\"in\",\"tag\":\"cluster_name\",\"value\":[\"$cluster_name\"]}],\"functions\":[{\"aggregator\":\"avg\",\"field\":\"load5\",\"operator\":\"gte\",\"value_script\":\"function invoke(field,tag){ return field.n_cpus * 2.5 }\"}],\"group\":[\"host_ip\"],\"metric\":\"host_summary\",\"outputs\":[\"alert\"],\"select\":{\"cluster_name\":\"#cluster_name\",\"host_ip\":\"#host_ip\"},\"window\":5}','{\"alert_group\":\"{{cluster_name}}-{{host_ip}}\",\"display_url_id\":\"machine_load\",\"level\":\"WARNING\",\"recover\":\"true\",\"tickets_metric_key\":\"{{host_ip}}\"}',0,'2021-05-28 11:55:05','2021-05-28 11:55:06'),(509,'网盘','org','machine','machine_netdisk','{\"filters\":[{\"operator\":\"in\",\"tag\":\"cluster_name\",\"value\":[\"$cluster_name\"]},{\"operator\":\"eq\",\"tag\":\"type\",\"value\":\"netdata\"}],\"functions\":[{\"aggregator\":\"max\",\"alias\":\"used_percent_value\",\"field\":\"used_percent\",\"operator\":\"gte\",\"value\":75},{\"aggregator\":\"max\",\"alias\":\"total_value\",\"field\":\"total\"}],\"group\":null,\"metric\":\"disk\",\"outputs\":[\"alert\"],\"select\":{\"cluster_name\":\"#cluster_name\"},\"window\":5}','{\"alert_group\":\"{{cluster_name}}\",\"level\":\"WARNING\",\"recover\":\"true\",\"tickets_metric_key\":\"{{cluster_name}}\"}',0,'2021-05-28 11:55:05','2021-05-28 11:55:06'),(510,'网盘容量使用量异常告警','org','machine','machine_netdisk_used','{\"filters\":[{\"operator\":\"in\",\"tag\":\"cluster_name\",\"value\":[\"$cluster_name\"]},{\"operator\":\"eq\",\"tag\":\"type\",\"value\":\"netdata\"}],\"functions\":[{\"aggregator\":\"max\",\"alias\":\"used\",\"field\":\"used\",\"field_script\":\"function invoke(field, tag){ return field.used/1024/1024/1024 }\",\"operator\":\"gte\",\"value\":300},{\"aggregator\":\"max\",\"alias\":\"total\",\"field_script\":\"function invoke(field, tag){ return field.total/1024/1024/1024 }\"}],\"group\":null,\"metric\":\"disk\",\"outputs\":[\"alert\"],\"select\":{\"cluster_name\":\"#cluster_name\"},\"window\":5}','{\"alert_group\":\"{{cluster_name}}\",\"level\":\"WARNING\",\"recover\":\"true\",\"tickets_metric_key\":\"{{cluster_name}}\"}',0,'2021-05-28 11:55:05','2021-05-28 11:55:06'),(511,'机器宕机','org','machine','machine_status','{\"filters\":[{\"operator\":\"in\",\"tag\":\"cluster_name\",\"value\":[\"$cluster_name\"]}],\"functions\":[{\"aggregator\":\"values\",\"field\":\"status\",\"operator\":\"all\",\"value\":\"not_ready\"},{\"aggregator\":\"max\",\"alias\":\"last_timestamp_value\",\"field\":\"last_timestamp\"}],\"group\":[\"host_ip\"],\"metric\":\"machine_status\",\"outputs\":[\"alert\"],\"select\":{\"cluster_name\":\"#cluster_name\",\"host_ip\":\"#host_ip\"},\"window\":5}','{\"alert_group\":\"{{cluster_name}}-{{host_ip}}\",\"display_url_id\":\"machine_crash\",\"level\":\"WARNING\",\"recover\":\"true\",\"tickets_metric_key\":\"{{host_ip}}\"}',0,'2021-05-28 11:55:05','2021-05-28 11:55:06'),(512,'API网关实例CPU使用率异常','org','micro_service','api_gateway_cpu','{\"filters\":[{\"operator\":\"in\",\"tag\":\"cluster_name\",\"value\":[\"$cluster_name\"]},{\"operator\":\"in\",\"tag\":\"addon_type\",\"value\":[\"api-gateway\",\"postgresql\"]}],\"functions\":[{\"aggregator\":\"avg\",\"field\":\"cpu_usage_percent\",\"field_script\":\"function invoke(fields,tags){return fields.cpu_limit===0?fields.cpu_usage_percent:fields.cpu_usage_percent/fields.cpu_limit}\",\"operator\":\"gte\",\"value\":90},{\"aggregator\":\"max\",\"alias\":\"cpu_limit_value\",\"field\":\"cpu_limit\"},{\"aggregator\":\"max\",\"alias\":\"cpu_allocation_value\",\"field\":\"cpu_allocation\"}],\"group\":[\"container_id\"],\"metric\":\"docker_container_summary\",\"outputs\":[\"alert\"],\"select\":{\"addon_id\":\"#addon_id\",\"addon_type\":\"#addon_type\",\"cluster_name\":\"#cluster_name\",\"container_id\":\"#container_id\",\"host_ip\":\"#host_ip\",\"pod_name\":\"#pod_name\",\"pod_namespace\":\"#pod_namespace\"},\"window\":1}','{\"alert_group\":\"{{cluster_name}}-{{container_id}}\",\"level\":\"WARNING\",\"recover\":\"false\",\"tickets_metric_key\":\"{{container_id}}\"}',0,'2021-05-28 11:55:05','2021-05-28 11:55:06'),(513,'API网关实例内存使用率异常','org','micro_service','api_gateway_mem','{\"filters\":[{\"operator\":\"in\",\"tag\":\"cluster_name\",\"value\":[\"$cluster_name\"]},{\"operator\":\"in\",\"tag\":\"addon_type\",\"value\":[\"api-gateway\",\"postgresql\"]}],\"functions\":[{\"aggregator\":\"avg\",\"field\":\"mem_usage_percent\",\"operator\":\"gte\",\"value\":90},{\"aggregator\":\"max\",\"alias\":\"mem_usage_value\",\"field\":\"mem_usage\"},{\"aggregator\":\"max\",\"alias\":\"mem_limit_value\",\"field\":\"mem_limit\"},{\"aggregator\":\"max\",\"alias\":\"mem_max_usage_value\",\"field\":\"mem_max_usage\"}],\"group\":[\"container_id\"],\"metric\":\"docker_container_summary\",\"outputs\":[\"alert\"],\"select\":{\"addon_id\":\"#addon_id\",\"addon_type\":\"#addon_type\",\"cluster_name\":\"#cluster_name\",\"container_id\":\"#container_id\",\"host_ip\":\"#host_ip\",\"pod_name\":\"#pod_name\",\"pod_namespace\":\"#pod_namespace\"},\"window\":1}','{\"alert_group\":\"{{cluster_name}}-{{container_id}}\",\"level\":\"WARNING\",\"recover\":\"false\",\"tickets_metric_key\":\"{{container_id}}\"}',0,'2021-05-28 11:55:05','2021-05-28 11:55:06'),(514,'注册中心实例CPU使用率异常','org','micro_service','register_center_cpu','{\"filters\":[{\"operator\":\"in\",\"tag\":\"cluster_name\",\"value\":[\"$cluster_name\"]},{\"operator\":\"in\",\"tag\":\"addon_type\",\"value\":[\"nacos\",\"zkproxy\"]}],\"functions\":[{\"aggregator\":\"avg\",\"field\":\"cpu_usage_percent\",\"field_script\":\"function invoke(fields,tags){return fields.cpu_limit===0?fields.cpu_usage_percent:fields.cpu_usage_percent/fields.cpu_limit}\",\"operator\":\"gte\",\"value\":90},{\"aggregator\":\"max\",\"alias\":\"cpu_limit_value\",\"field\":\"cpu_limit\"},{\"aggregator\":\"max\",\"alias\":\"cpu_allocation_value\",\"field\":\"cpu_allocation\"}],\"group\":[\"container_id\"],\"metric\":\"docker_container_summary\",\"outputs\":[\"alert\"],\"select\":{\"addon_id\":\"#addon_id\",\"addon_type\":\"#addon_type\",\"cluster_name\":\"#cluster_name\",\"container_id\":\"#container_id\",\"host_ip\":\"#host_ip\",\"pod_name\":\"#pod_name\",\"pod_namespace\":\"#pod_namespace\"},\"window\":1}','{\"alert_group\":\"{{cluster_name}}-{{container_id}}\",\"level\":\"WARNING\",\"recover\":\"false\",\"tickets_metric_key\":\"{{container_id}}\"}',0,'2021-05-28 11:55:05','2021-05-28 11:55:06'),(515,'注册中心实例内存使用率异常','org','micro_service','register_center_mem','{\"filters\":[{\"operator\":\"in\",\"tag\":\"cluster_name\",\"value\":[\"$cluster_name\"]},{\"operator\":\"in\",\"tag\":\"addon_type\",\"value\":[\"nacos\",\"zkproxy\"]}],\"functions\":[{\"aggregator\":\"avg\",\"field\":\"mem_usage_percent\",\"operator\":\"gte\",\"value\":90},{\"aggregator\":\"max\",\"alias\":\"mem_usage_value\",\"field\":\"mem_usage\"},{\"aggregator\":\"max\",\"alias\":\"mem_limit_value\",\"field\":\"mem_limit\"},{\"aggregator\":\"max\",\"alias\":\"mem_max_usage_value\",\"field\":\"mem_max_usage\"}],\"group\":[\"container_id\"],\"metric\":\"docker_container_summary\",\"outputs\":[\"alert\"],\"select\":{\"addon_id\":\"#addon_id\",\"addon_type\":\"#addon_type\",\"cluster_name\":\"#cluster_name\",\"container_id\":\"#container_id\",\"host_ip\":\"#host_ip\",\"pod_name\":\"#pod_name\",\"pod_namespace\":\"#pod_namespace\"},\"window\":1}','{\"alert_group\":\"{{cluster_name}}-{{container_id}}\",\"level\":\"WARNING\",\"recover\":\"false\",\"tickets_metric_key\":\"{{container_id}}\"}',0,'2021-05-28 11:55:05','2021-05-28 11:55:06'),(516,'服务熔断通知告警','micro_service','micro_service','sidecar_circuit_breaker','{\"filters\":[{\"operator\":\"eq\",\"tag\":\"terminus_key\",\"value\":\"$terminus_key\"},{\"operator\":\"in\",\"tag\":\"application_id\",\"value\":[\"$application_id\"]}],\"functions\":[{\"aggregator\":\"sum\",\"field\":\"count\",\"operator\":\"gte\",\"value\":1}],\"group\":[\"service_name\"],\"metric\":\"sidecar_circuit_breaker\",\"outputs\":[\"alert\"],\"select\":{\"application_id\":\"#application_id\",\"application_name\":\"#application_name\",\"cluster_name\":\"#cluster_name\",\"host_ip\":\"#host_ip\",\"project_name\":\"#project_name\",\"runtime_name\":\"#runtime_name\",\"service_name\":\"#service_name\",\"terminus_key\":\"#terminus_key\",\"workspace\":\"#workspace\"},\"window\":1}','{\"alert_group\":\"{{terminus_key}}\",\"level\":\"WARNING\",\"recover\":\"false\",\"tickets_metric_key\":\"{{terminus_key}}\"}',0,'2021-05-28 11:55:05','2021-05-28 11:55:06'),(517,'ElasticSearch实例CPU使用率异常告警','org','addon','addon_elasticsearch_cpu','{\"filters\":[{\"operator\":\"in\",\"tag\":\"cluster_name\",\"value\":[\"$cluster_name\"]},{\"operator\":\"in\",\"tag\":\"addon_type\",\"value\":[\"terminus-elasticsearch\",\"elasticsearch-operator\"]}],\"functions\":[{\"aggregator\":\"avg\",\"field\":\"cpu_usage_percent\",\"field_script\":\"function invoke(fields,tags){return fields.cpu_limit===0?fields.cpu_usage_percent:fields.cpu_usage_percent/fields.cpu_limit}\",\"operator\":\"gte\",\"value\":90},{\"aggregator\":\"max\",\"alias\":\"cpu_limit_value\",\"field\":\"cpu_limit\"},{\"aggregator\":\"max\",\"alias\":\"cpu_allocation_value\",\"field\":\"cpu_allocation\"}],\"group\":[\"container_id\"],\"metric\":\"docker_container_summary\",\"outputs\":[\"alert\"],\"select\":{\"addon_id\":\"#addon_id\",\"addon_type\":\"#addon_type\",\"cluster_name\":\"#cluster_name\",\"container_id\":\"#container_id\",\"host_ip\":\"#host_ip\",\"pod_name\":\"#pod_name\",\"pod_namespace\":\"#pod_namespace\"},\"window\":1}','{\"alert_group\":\"{{cluster_name}}-{{container_id}}\",\"level\":\"WARNING\",\"recover\":\"false\",\"tickets_metric_key\":\"{{container_id}}\"}',0,'2021-05-28 11:55:06','2021-05-28 11:55:06'),(518,'Elasticsearch实例内存使用率异常告警','org','addon','addon_elasticsearch_mem','{\"filters\":[{\"operator\":\"in\",\"tag\":\"cluster_name\",\"value\":[\"$cluster_name\"]},{\"operator\":\"in\",\"tag\":\"addon_type\",\"value\":[\"terminus-elasticsearch\",\"elasticsearch-operator\"]}],\"functions\":[{\"aggregator\":\"avg\",\"field\":\"mem_usage_percent\",\"operator\":\"gte\",\"value\":90},{\"aggregator\":\"max\",\"alias\":\"mem_limit_value\",\"field\":\"mem_limit\"},{\"aggregator\":\"max\",\"alias\":\"mem_allocation_value\",\"field\":\"mem_allocation\"}],\"group\":[\"container_id\"],\"metric\":\"docker_container_summary\",\"outputs\":[\"alert\"],\"select\":{\"addon_id\":\"#addon_id\",\"addon_type\":\"#addon_type\",\"cluster_name\":\"#cluster_name\",\"container_id\":\"#container_id\",\"host_ip\":\"#host_ip\",\"pod_name\":\"#pod_name\",\"pod_namespace\":\"#pod_namespace\"},\"window\":1}','{\"alert_group\":\"{{cluster_name}}-{{container_id}}\",\"level\":\"WARNING\",\"recover\":\"false\",\"tickets_metric_key\":\"{{container_id}}\"}',0,'2021-05-28 11:55:06','2021-05-28 11:55:06'),(519,'MySQL实例CPU使用率异常告警','org','addon','addon_mysql_cpu','{\"filters\":[{\"operator\":\"in\",\"tag\":\"cluster_name\",\"value\":[\"$cluster_name\"]},{\"operator\":\"in\",\"tag\":\"addon_type\",\"value\":[\"mysql\"]}],\"functions\":[{\"aggregator\":\"avg\",\"field\":\"cpu_usage_percent\",\"field_script\":\"function invoke(fields,tags){return fields.cpu_limit===0?fields.cpu_usage_percent:fields.cpu_usage_percent/fields.cpu_limit}\",\"operator\":\"gte\",\"value\":90},{\"aggregator\":\"max\",\"alias\":\"cpu_limit_value\",\"field\":\"cpu_limit\"},{\"aggregator\":\"max\",\"alias\":\"cpu_allocation_value\",\"field\":\"cpu_allocation\"}],\"group\":[\"container_id\"],\"metric\":\"docker_container_summary\",\"outputs\":[\"alert\"],\"select\":{\"addon_id\":\"#addon_id\",\"addon_type\":\"#addon_type\",\"cluster_name\":\"#cluster_name\",\"container_id\":\"#container_id\",\"host_ip\":\"#host_ip\",\"pod_name\":\"#pod_name\",\"pod_namespace\":\"#pod_namespace\"},\"window\":1}','{\"alert_group\":\"{{cluster_name}}-{{container_id}}\",\"level\":\"WARNING\",\"recover\":\"false\",\"tickets_metric_key\":\"{{container_id}}\"}',0,'2021-05-28 11:55:06','2021-05-28 11:55:06'),(520,'MySQL实例内存使用率异常告警','org','addon','addon_mysql_mem','{\"filters\":[{\"operator\":\"in\",\"tag\":\"cluster_name\",\"value\":[\"$cluster_name\"]},{\"operator\":\"in\",\"tag\":\"addon_type\",\"value\":[\"mysql\"]}],\"functions\":[{\"aggregator\":\"avg\",\"field\":\"mem_usage_percent\",\"operator\":\"gte\",\"value\":85},{\"aggregator\":\"max\",\"alias\":\"mem_limit_value\",\"field\":\"mem_limit\"},{\"aggregator\":\"max\",\"alias\":\"mem_allocation_value\",\"field\":\"mem_allocation\"}],\"group\":[\"container_id\"],\"metric\":\"docker_container_summary\",\"outputs\":[\"alert\"],\"select\":{\"addon_id\":\"#addon_id\",\"addon_type\":\"#addon_type\",\"cluster_name\":\"#cluster_name\",\"container_id\":\"#container_id\",\"host_ip\":\"#host_ip\",\"pod_name\":\"#pod_name\",\"pod_namespace\":\"#pod_namespace\"},\"window\":1}','{\"alert_group\":\"{{cluster_name}}-{{container_id}}\",\"level\":\"WARNING\",\"recover\":\"false\",\"tickets_metric_key\":\"{{container_id}}\"}',0,'2021-05-28 11:55:06','2021-05-28 11:55:06'),(521,'MySQL实例主从同步异常告警','org','addon','addon_mysql_slave_status','{\"filters\":[{\"operator\":\"in\",\"tag\":\"cluster_name\",\"value\":[\"$cluster_name\"]},{\"operator\":\"eq\",\"tag\":\"is_slave\",\"value\":\"true\"}],\"functions\":[{\"aggregator\":\"max\",\"alias\":\"slave_slave_running_ok_value\",\"field\":\"slave_slave_running_ok\",\"field_script\":\"function invoke(fields,tags){return (fields.slave_slave_io_running==0 || fields.slave_slave_sql_running==0)?0:1}\",\"operator\":\"neq\",\"value\":1},{\"aggregator\":\"max\",\"alias\":\"slave_slave_sql_running_value\",\"field\":\"slave_slave_sql_running\"},{\"aggregator\":\"max\",\"alias\":\"slave_slave_io_running_value\",\"field\":\"slave_slave_io_running\"}],\"group\":[\"addon_id\",\"server\"],\"metric\":\"mysql\",\"outputs\":[\"alert\"],\"select\":{\"addon_id\":\"#addon_id\",\"cluster_name\":\"#cluster_name\",\"host_ip\":\"#host_ip\"},\"window\":1}','{\"alert_group\":\"{{cluster_name}}-{{addon_id}}\",\"level\":\"WARNING\",\"recover\":\"false\",\"tickets_metric_key\":\"{{addon_id}}\"}',0,'2021-05-28 11:55:06','2021-05-28 11:55:06'),(522,'redis实例内存使用率异常告警','org','addon','addon_redis_mem','{\"filters\":[{\"operator\":\"in\",\"tag\":\"cluster_name\",\"value\":[\"$cluster_name\"]},{\"operator\":\"in\",\"tag\":\"addon_type\",\"value\":[\"redis\"]}],\"functions\":[{\"aggregator\":\"avg\",\"field\":\"mem_usage_percent\",\"operator\":\"gte\",\"value\":85},{\"aggregator\":\"max\",\"alias\":\"mem_limit_value\",\"field\":\"mem_limit\"},{\"aggregator\":\"max\",\"alias\":\"mem_allocation_value\",\"field\":\"mem_allocation\"}],\"group\":[\"container_id\"],\"metric\":\"docker_container_summary\",\"outputs\":[\"alert\"],\"select\":{\"addon_id\":\"#addon_id\",\"addon_type\":\"#addon_type\",\"cluster_name\":\"#cluster_name\",\"container_id\":\"#container_id\",\"host_ip\":\"#host_ip\",\"pod_name\":\"#pod_name\",\"pod_namespace\":\"#pod_namespace\"},\"window\":1}','{\"alert_group\":\"{{cluster_name}}-{{container_id}}\",\"level\":\"WARNING\",\"recover\":\"false\",\"tickets_metric_key\":\"{{container_id}}\"}',0,'2021-05-28 11:55:06','2021-05-28 11:55:06'),(523,'Ajax接口访问性能','micro_service','app_browser','app_browser_ajax_req','{\"filters\":[{\"operator\":\"eq\",\"tag\":\"tk\",\"value\":\"$tk\"},{\"operator\":\"eq\",\"tag\":\"type\",\"value\":\"browser\"}],\"functions\":[{\"aggregator\":\"avg\",\"field\":\"tt\",\"operator\":\"gt\",\"value\":1000}],\"group\":[\"tk\",\"req_path\",\"host\"],\"metric\":\"ta_req\",\"outputs\":[\"alert\"],\"select\":{\"doc_path\":\"#doc_path\",\"host\":\"#host\",\"req_path\":\"#req_path\",\"tk\":\"#tk\",\"type\":\"#type\"},\"window\":1}','{\"alert_group\":\"{{tk}}-{{req_path}}-{{host}}\",\"display_url_id\":\"micro_bi_ajax\",\"level\":\"WARNING\",\"recover\":\"false\"}',0,'2021-05-28 11:55:06','2021-05-28 11:55:06'),(524,'用户体验','micro_service','app_browser','app_browser_apdex','{\"filters\":[{\"operator\":\"eq\",\"tag\":\"tk\",\"value\":\"$tk\"},{\"operator\":\"eq\",\"tag\":\"type\",\"value\":\"browser\"}],\"functions\":[{\"aggregator\":\"avg\",\"field\":\"plt\",\"operator\":\"gt\",\"value\":3000}],\"group\":[\"tk\",\"doc_path\",\"host\"],\"metric\":\"ta_timing\",\"outputs\":[\"alert\"],\"select\":{\"doc_path\":\"#doc_path\",\"host\":\"#host\",\"tk\":\"#tk\",\"type\":\"#type\"},\"window\":1}','{\"alert_group\":\"{{tk}}-{{doc_path}}-{{host}}\",\"display_url_id\":\"micro_bi_position\",\"level\":\"WARNING\",\"recover\":\"false\"}',0,'2021-05-28 11:55:06','2021-05-28 11:55:06'),(525,'域名访问性能','micro_service','app_browser','app_browser_host_req','{\"filters\":[{\"operator\":\"eq\",\"tag\":\"tk\",\"value\":\"$tk\"},{\"operator\":\"eq\",\"tag\":\"type\",\"value\":\"browser\"}],\"functions\":[{\"aggregator\":\"avg\",\"field\":\"plt\",\"operator\":\"gt\",\"value\":1000}],\"group\":[\"tk\",\"host\"],\"metric\":\"ta_timing\",\"outputs\":[\"alert\"],\"select\":{\"doc_path\":\"#doc_path\",\"host\":\"#host\",\"tk\":\"#tk\",\"type\":\"#type\"},\"window\":1}','{\"alert_group\":\"{{tk}}-{{host}}\",\"display_url_id\":\"micro_bi_domain\",\"level\":\"WARNING\",\"recover\":\"false\"}',0,'2021-05-28 11:55:06','2021-05-28 11:55:06'),(526,'页面访问性能','micro_service','app_browser','app_browser_page_req','{\"filters\":[{\"operator\":\"eq\",\"tag\":\"tk\",\"value\":\"$tk\"},{\"operator\":\"eq\",\"tag\":\"type\",\"value\":\"browser\"}],\"functions\":[{\"aggregator\":\"avg\",\"field\":\"plt\",\"operator\":\"gt\",\"value\":1000}],\"group\":[\"tk\",\"doc_path\",\"host\"],\"metric\":\"ta_timing\",\"outputs\":[\"alert\"],\"select\":{\"doc_path\":\"#doc_path\",\"host\":\"#host\",\"tk\":\"#tk\",\"type\":\"#type\"},\"window\":1}','{\"alert_group\":\"{{tk}}-{{doc_path}}-{{host}}\",\"display_url_id\":\"micro_bi_page\",\"level\":\"WARNING\",\"recover\":\"false\"}',0,'2021-05-28 11:55:06','2021-05-28 11:55:06'),(527,'脚本错误','micro_service','app_browser','app_browser_script_error','{\"filters\":[{\"operator\":\"eq\",\"tag\":\"tk\",\"value\":\"$tk\"},{\"operator\":\"eq\",\"tag\":\"type\",\"value\":\"browser\"}],\"functions\":[{\"aggregator\":\"sum\",\"field\":\"count\",\"operator\":\"gte\",\"value\":10}],\"group\":[\"tk\",\"doc_path\",\"host\"],\"metric\":\"ta_error\",\"outputs\":[\"alert\"],\"select\":{\"browser\":\"#browser\",\"count\":\"#count\",\"doc_path\":\"#doc_path\",\"host\":\"#host\",\"ip\":\"#ip\",\"source\":\"#source\",\"tk\":\"#tk\",\"type\":\"#type\",\"url\":\"#url\"},\"window\":1}','{\"alert_group\":\"{{tk}}-{{doc_path}}-{{host}}\",\"display_url_id\":\"micro_bi_script\",\"level\":\"WARNING\",\"recover\":\"false\"}',0,'2021-05-28 11:55:06','2021-05-28 11:55:06'),(528,'应用错误次数','micro_service','app_exception','app_exception_count','{\"filters\":[{\"operator\":\"eq\",\"tag\":\"terminus_key\",\"value\":\"$terminus_key\"},{\"operator\":\"in\",\"tag\":\"application_id\",\"value\":[\"$application_id\"]}],\"functions\":[{\"aggregator\":\"sum\",\"field\":\"count\",\"operator\":\"gte\",\"value\":20}],\"group\":[\"error_id\"],\"metric\":\"error_alert\",\"outputs\":[\"alert\"],\"select\":{\"application_id\":\"#application_id\",\"application_name\":\"#application_name\",\"class\":\"#class\",\"cluster_name\":\"#cluster_name\",\"error_id\":\"#error_id\",\"host_ip\":\"#host_ip\",\"instance_id\":\"#instance_id\",\"line\":\"#line\",\"method\":\"#method\",\"project_id\":\"#project_id\",\"project_name\":\"#project_name\",\"runtime_id\":\"#runtime_id\",\"runtime_name\":\"#runtime_name\",\"service_name\":\"#service_name\",\"terminus_key\":\"#terminus_key\",\"type\":\"#type\",\"workspace\":\"#workspace\"},\"window\":5}','{\"alert_group\":\"{{terminus_key}}-{{error_id}}\",\"display_url_id\":\"micro_error_detail\",\"level\":\"WARNING\",\"recover\":\"true\",\"tickets_metric_key\":\"{{error_id}}\"}',0,'2021-05-28 11:55:06','2021-05-28 11:55:06'),(529,'应用实例CPU使用率异常','micro_service','app_resource','app_resource_container_cpu','{\"filters\":[{\"operator\":\"eq\",\"tag\":\"terminus_key\",\"value\":\"$terminus_key\"},{\"operator\":\"in\",\"tag\":\"application_id\",\"value\":[\"$application_id\"]}],\"functions\":[{\"aggregator\":\"avg\",\"field\":\"cpu_usage_percent\",\"field_script\":\"function invoke(fields,tags){return fields.cpu_limit===0?fields.cpu_usage_percent:fields.cpu_usage_percent/fields.cpu_limit}\",\"operator\":\"gte\",\"value\":90},{\"aggregator\":\"max\",\"alias\":\"cpu_limit_value\",\"field\":\"cpu_limit\"},{\"aggregator\":\"max\",\"alias\":\"cpu_allocation_value\",\"field\":\"cpu_allocation\"}],\"group\":[\"container_id\"],\"metric\":\"docker_container_summary\",\"outputs\":[\"alert\"],\"select\":{\"application_id\":\"#application_id\",\"application_name\":\"#application_name\",\"cluster_name\":\"#cluster_name\",\"container_id\":\"#container_id\",\"host_ip\":\"#host_ip\",\"instance_id\":\"#instance_id\",\"project_id\":\"#project_id\",\"project_name\":\"#project_name\",\"runtime_id\":\"#runtime_id\",\"runtime_name\":\"#runtime_name\",\"service_name\":\"#service_name\",\"terminus_key\":\"#terminus_key\"},\"window\":1}','{\"alert_group\":\"{{terminus_key}}-{{container_id}}\",\"display_url_id\":\"workbench_runtime\",\"level\":\"WARNING\",\"recover\":\"true\",\"tickets_metric_key\":\"{{container_id}}\"}',0,'2021-05-28 11:55:06','2021-05-28 11:55:06'),(530,'应用实例内存使用率异常','micro_service','app_resource','app_resource_container_mem','{\"filters\":[{\"operator\":\"eq\",\"tag\":\"terminus_key\",\"value\":\"$terminus_key\"},{\"operator\":\"in\",\"tag\":\"application_id\",\"value\":[\"$application_id\"]}],\"functions\":[{\"aggregator\":\"avg\",\"field\":\"mem_usage_percent\",\"operator\":\"gte\",\"value\":90},{\"aggregator\":\"max\",\"alias\":\"mem_usage_value\",\"field\":\"mem_usage\"},{\"aggregator\":\"max\",\"alias\":\"mem_limit_value\",\"field\":\"mem_limit\"},{\"aggregator\":\"max\",\"alias\":\"mem_max_usage_value\",\"field\":\"mem_max_usage\"}],\"group\":[\"container_id\"],\"metric\":\"docker_container_summary\",\"outputs\":[\"alert\"],\"select\":{\"application_id\":\"#application_id\",\"application_name\":\"#application_name\",\"cluster_name\":\"#cluster_name\",\"container_id\":\"#container_id\",\"host_ip\":\"#host_ip\",\"instance_id\":\"#instance_id\",\"project_id\":\"#project_id\",\"project_name\":\"#project_name\",\"runtime_id\":\"#runtime_id\",\"runtime_name\":\"#runtime_name\",\"service_name\":\"#service_name\",\"terminus_key\":\"#terminus_key\"},\"window\":1}','{\"alert_group\":\"{{terminus_key}}-{{container_id}}\",\"display_url_id\":\"workbench_runtime\",\"level\":\"WARNING\",\"recover\":\"true\",\"tickets_metric_key\":\"{{container_id}}\"}',0,'2021-05-28 11:55:06','2021-05-28 11:55:06'),(531,'应用实例OOM','micro_service','app_resource','app_resource_container_oom','{\"filters\":[{\"operator\":\"eq\",\"tag\":\"terminus_key\",\"value\":\"$terminus_key\"},{\"operator\":\"in\",\"tag\":\"application_id\",\"value\":[\"$application_id\"]}],\"functions\":[{\"aggregator\":\"values\",\"field\":\"oomkilled\",\"operator\":\"contains\",\"value\":true}],\"group\":[\"container_id\"],\"metric\":\"docker_container_summary\",\"outputs\":[\"alert\"],\"select\":{\"application_id\":\"#application_id\",\"application_name\":\"#application_name\",\"cluster_name\":\"#cluster_name\",\"container_id\":\"#container_id\",\"host_ip\":\"#host_ip\",\"instance_id\":\"#instance_id\",\"project_id\":\"#project_id\",\"project_name\":\"#project_name\",\"runtime_id\":\"#runtime_id\",\"runtime_name\":\"#runtime_name\",\"service_name\":\"#service_name\",\"terminus_key\":\"#terminus_key\"},\"window\":1}','{\"alert_group\":\"{{terminus_key}}-{{container_id}}\",\"display_url_id\":\"workbench_runtime\",\"level\":\"WARNING\",\"recover\":\"false\",\"tickets_metric_key\":\"{{container_id}}\"}',0,'2021-05-28 11:55:06','2021-05-28 11:55:06'),(532,'应用JVM GC次数','micro_service','app_resource','app_resource_jvm_gc_count','{\"filters\":[{\"operator\":\"eq\",\"tag\":\"name\",\"value\":\"concurrentmarksweep\"},{\"operator\":\"eq\",\"tag\":\"terminus_key\",\"value\":\"$terminus_key\"},{\"operator\":\"in\",\"tag\":\"application_id\",\"value\":[\"$application_id\"]}],\"functions\":[{\"aggregator\":\"sum\",\"field\":\"count\",\"operator\":\"gte\",\"value\":5}],\"group\":[\"instance_id\"],\"metric\":\"jvm_gc\",\"outputs\":[\"alert\"],\"select\":{\"application_id\":\"#application_id\",\"application_name\":\"#application_name\",\"cluster_name\":\"#cluster_name\",\"host_ip\":\"#host_ip\",\"instance_id\":\"#instance_id\",\"project_id\":\"#project_id\",\"project_name\":\"#project_name\",\"runtime_id\":\"#runtime_id\",\"runtime_name\":\"#runtime_name\",\"service_name\":\"#service_name\",\"terminus_key\":\"#terminus_key\",\"workspace\":\"#workspace\"},\"window\":3}','{\"alert_group\":\"{{terminus_key}}-{{instance_id}}\",\"display_url_id\":\"micro_jvm\",\"level\":\"WARNING\",\"recover\":\"false\",\"tickets_metric_key\":\"{{instance_id}}\"}',0,'2021-05-28 11:55:06','2021-05-28 11:55:06'),(533,'应用JVM GC 耗时','micro_service','app_resource','app_resource_jvm_gc_time','{\"condition\":\"or\",\"filters\":[{\"operator\":\"eq\",\"tag\":\"name\",\"value\":\"concurrentmarksweep\"},{\"operator\":\"eq\",\"tag\":\"terminus_key\",\"value\":\"$terminus_key\"},{\"operator\":\"in\",\"tag\":\"application_id\",\"value\":[\"$application_id\"]}],\"functions\":[{\"aggregator\":\"max\",\"alias\":\"time_value\",\"field\":\"time\",\"operator\":\"gte\",\"value\":400},{\"aggregator\":\"sum\",\"field\":\"time\",\"operator\":\"gte\",\"value\":1000}],\"group\":[\"instance_id\"],\"metric\":\"jvm_gc\",\"outputs\":[\"alert\"],\"select\":{\"application_id\":\"#application_id\",\"application_name\":\"#application_name\",\"cluster_name\":\"#cluster_name\",\"host_ip\":\"#host_ip\",\"instance_id\":\"#instance_id\",\"project_id\":\"#project_id\",\"project_name\":\"#project_name\",\"runtime_id\":\"#runtime_id\",\"runtime_name\":\"#runtime_name\",\"service_name\":\"#service_name\",\"terminus_key\":\"#terminus_key\",\"workspace\":\"#workspace\"},\"window\":1}','{\"alert_group\":\"{{terminus_key}}-{{instance_id}}\",\"display_url_id\":\"micro_jvm\",\"level\":\"WARNING\",\"recover\":\"false\",\"tickets_metric_key\":\"{{instance_id}}\"}',0,'2021-05-28 11:55:06','2021-05-28 11:55:06'),(534,'应用JVM堆内存','micro_service','app_resource','app_resource_jvm_heap','{\"condition\":\"and\",\"filters\":[{\"operator\":\"eq\",\"tag\":\"name\",\"value\":\"heap_memory\"},{\"operator\":\"eq\",\"tag\":\"terminus_key\",\"value\":\"$terminus_key\"},{\"operator\":\"in\",\"tag\":\"application_id\",\"value\":[\"$application_id\"]}],\"functions\":[{\"aggregator\":\"avg\",\"field\":\"usage_percent\",\"field_script\":\"function invoke(field, tag){ return field.used / field.max * 100; }\",\"operator\":\"gte\",\"value\":75},{\"aggregator\":\"max\",\"alias\":\"used_value\",\"field\":\"used\"},{\"aggregator\":\"max\",\"alias\":\"max_value\",\"field\":\"max\"}],\"group\":[\"instance_id\"],\"metric\":\"jvm_memory\",\"outputs\":[\"alert\"],\"select\":{\"application_id\":\"#application_id\",\"application_name\":\"#application_name\",\"cluster_name\":\"#cluster_name\",\"host_ip\":\"#host_ip\",\"instance_id\":\"#instance_id\",\"project_id\":\"#project_id\",\"project_name\":\"#project_name\",\"runtime_id\":\"#runtime_id\",\"runtime_name\":\"#runtime_name\",\"service_name\":\"#service_name\",\"terminus_key\":\"#terminus_key\",\"workspace\":\"#workspace\"},\"window\":1}','{\"alert_group\":\"{{terminus_key}}-{{instance_id}}\",\"display_url_id\":\"micro_jvm\",\"level\":\"WARNING\",\"recover\":\"true\",\"tickets_metric_key\":\"{{instance_id}}\"}',0,'2021-05-28 11:55:06','2021-05-28 11:55:06'),(535,'应用NodeJS堆内存使用率','micro_service','app_resource','app_resource_nodejs_heap','{\"filters\":[{\"operator\":\"eq\",\"tag\":\"terminus_key\",\"value\":\"$terminus_key\"},{\"operator\":\"in\",\"tag\":\"application_id\",\"value\":[\"$application_id\"]}],\"functions\":[{\"aggregator\":\"avg\",\"field\":\"usage_percent\",\"field_script\":\"function invoke(field, tag){ if(!field.max) { return 0; } return field.rss / field.max * 100; }\",\"operator\":\"gte\",\"value\":75},{\"aggregator\":\"max\",\"alias\":\"heap_used_value\",\"field\":\"heap_used\"},{\"aggregator\":\"max\",\"alias\":\"heap_total_value\",\"field\":\"heap_total\"},{\"aggregator\":\"max\",\"alias\":\"rss_value\",\"field\":\"rss\"},{\"aggregator\":\"max\",\"alias\":\"max_value\",\"field\":\"max\"}],\"group\":[\"instance_id\"],\"metric\":\"nodejs_memory\",\"outputs\":[\"alert\"],\"select\":{\"application_id\":\"#application_id\",\"application_name\":\"#application_name\",\"cluster_name\":\"#cluster_name\",\"host_ip\":\"#host_ip\",\"instance_id\":\"#instance_id\",\"project_id\":\"#project_id\",\"project_name\":\"#project_name\",\"runtime_id\":\"#runtime_id\",\"runtime_name\":\"#runtime_name\",\"service_name\":\"#service_name\",\"terminus_key\":\"#terminus_key\",\"workspace\":\"#workspace\"},\"window\":1}','{\"alert_group\":\"{{terminus_key}}-{{instance_id}}\",\"display_url_id\":\"micro_nodejs\",\"level\":\"WARNING\",\"recover\":\"false\",\"tickets_metric_key\":\"{{instance_id}}\"}',0,'2021-05-28 11:55:06','2021-05-28 11:55:06'),(536,'页面内容改变','micro_service','app_status','app_status_browser','{\"alias\":\"status_page_browser\",\"filters\":[{\"operator\":\"eq\",\"tag\":\"terminus_key\",\"value\":\"$terminus_key\"},{\"operator\":\"eq\",\"tag\":\"type\",\"value\":\"browser\"}],\"functions\":[{\"aggregator\":\"min\",\"field\":\"diff_screenshot\",\"operator\":\"eq\",\"value\":false}],\"group\":[\"metric\"],\"metric\":\"status_page\",\"outputs\":[\"alert\"],\"select\":{\"metric_id\":\"#metric\",\"project_id\":\"#project_id\",\"project_name\":\"#project_name\",\"status_metric_name\":\"#metric_name\",\"terminus_key\":\"#terminus_key\",\"type\":\"#type\",\"url\":\"#url\",\"workspace\":\"#env\"},\"window\":1}','{\"alert_group\":\"{{terminus_key}}-{{metric_id}}\",\"display_url_id\":\"micro_status_detail\",\"level\":\"ERROR\",\"recover\":\"false\",\"tickets_metric_key\":\"{{metric_id}}\"}',0,'2021-05-28 11:55:06','2021-05-28 11:55:06'),(537,'主动监控HTTP状态异常','micro_service','app_status','app_status_code','{\"filters\":[{\"operator\":\"eq\",\"tag\":\"terminus_key\",\"value\":\"$terminus_key\"},{\"operator\":\"eq\",\"tag\":\"type\",\"value\":\"http\"}],\"functions\":[{\"aggregator\":\"sum\",\"field\":\"retry\"},{\"aggregator\":\"min\",\"field\":\"code\",\"operator\":\"gte\",\"value\":400}],\"group\":[\"metric\"],\"metric\":\"status_page\",\"outputs\":[\"alert\"],\"select\":{\"metric_id\":\"#metric\",\"project_id\":\"#project_id\",\"project_name\":\"#project_name\",\"status_metric_name\":\"#metric_name\",\"terminus_key\":\"#terminus_key\",\"type\":\"#type\",\"url\":\"#url\",\"workspace\":\"#env\"},\"window\":1}','{\"alert_group\":\"{{terminus_key}}-{{metric_id}}\",\"display_url_id\":\"micro_status_detail\",\"level\":\"ERROR\",\"recover\":\"true\",\"tickets_metric_key\":\"{{metric_id}}\"}',0,'2021-05-28 11:55:06','2021-05-28 11:55:06'),(538,'服务接口HTTP错误率异常','micro_service','app_transaction','app_transaction_http_path_error','{\"condition\":\"and\",\"filters\":[{\"operator\":\"eq\",\"tag\":\"target_terminus_key\",\"value\":\"$target_terminus_key\"},{\"operator\":\"in\",\"tag\":\"target_application_id\",\"value\":[\"$target_application_id\"]}],\"functions\":[{\"aggregator\":\"sum\",\"field\":\"elapsed_count\",\"operator\":\"gte\",\"value\":10},{\"aggregator\":\"sum\",\"field\":\"error_count\",\"field_script\":\"function invoke(field, tag){ if(field.http_status_code_mean \\u003c 500) { return 0; } return field.elapsed_count; }\"},{\"aggregator\":\"value\",\"field\":\"error_percent\",\"field_script\":\"function invoke(field, tag){ if(!field.elapsed_count_sum) return 0; return field.elapsed_count_sum === 0 ? 0 : (field.error_count_sum / field.elapsed_count_sum * 100);}\",\"operator\":\"gte\",\"trigger\":\"aggregated\",\"value\":50}],\"group\":[\"target_runtime_id\",\"target_service_name\",\"http_path\",\"http_method\"],\"metric\":\"application_http\",\"outputs\":[\"alert\"],\"select\":{\"application_id\":\"#target_application_id\",\"application_name\":\"#target_application_name\",\"http_method\":\"#http_method\",\"http_path\":\"#http_path\",\"http_url\":\"#http_url\",\"project_id\":\"#target_project_id\",\"project_name\":\"#target_project_name\",\"runtime_id\":\"#target_runtime_id\",\"runtime_name\":\"#target_runtime_name\",\"service_name\":\"#target_service_name\",\"terminus_key\":\"#target_terminus_key\",\"workspace\":\"#target_workspace\"},\"window\":1}','{\"alert_group\":\"{{target_terminus_key}}-{{target_runtime_id}}-{{target_service_name}}-{{http_path}}-{{http_method}}\",\"display_url_id\":\"micro_si_web\",\"level\":\"WARNING\",\"recover\":\"false\",\"tickets_metric_key\":\"{{target_application_id}}\"}',0,'2021-05-28 11:55:06','2021-05-28 11:55:06'),(539,'服务接口HTTP慢事务异常','micro_service','app_transaction','app_transaction_http_path_rt','{\"condition\":\"and\",\"filters\":[{\"operator\":\"eq\",\"tag\":\"target_terminus_key\",\"value\":\"$target_terminus_key\"},{\"operator\":\"in\",\"tag\":\"target_application_id\",\"value\":[\"$target_application_id\"]}],\"functions\":[{\"aggregator\":\"sum\",\"field\":\"elapsed\",\"field_script\":\"function invoke(field, tag){ return field.elapsed_sum / 1000000; }\"},{\"aggregator\":\"sum\",\"field\":\"elapsed_count\",\"operator\":\"gte\",\"value\":10},{\"aggregator\":\"value\",\"field\":\"elapsed_avg\",\"field_script\":\"function invoke(field, tag){ if(!field.elapsed_count_sum) return 0; return field.elapsed_count_sum === 0 ? 0 : (field.elapsed_sum / field.elapsed_count_sum);}\",\"operator\":\"gte\",\"trigger\":\"aggregated\",\"value\":3000}],\"group\":[\"target_runtime_id\",\"target_service_name\",\"http_path\",\"http_method\"],\"metric\":\"application_http\",\"outputs\":[\"alert\"],\"select\":{\"application_id\":\"#target_application_id\",\"application_name\":\"#target_application_name\",\"http_method\":\"#http_method\",\"http_path\":\"#http_path\",\"http_url\":\"#http_url\",\"project_id\":\"#target_project_id\",\"project_name\":\"#target_project_name\",\"runtime_id\":\"#target_runtime_id\",\"runtime_name\":\"#target_runtime_name\",\"service_name\":\"#target_service_name\",\"terminus_key\":\"#target_terminus_key\",\"workspace\":\"#target_workspace\"},\"window\":1}','{\"alert_group\":\"{{target_terminus_key}}-{{target_runtime_id}}-{{target_service_name}}-{{http_path}}-{{http_method}}\",\"display_url_id\":\"micro_si_web\",\"level\":\"WARNING\",\"recover\":\"false\",\"tickets_metric_key\":\"{{target_application_id}}\"}',0,'2021-05-28 11:55:06','2021-05-28 11:55:06'),(540,'服务HTTP错误率异常','micro_service','app_transaction','app_transaction_http_service_error','{\"condition\":\"and\",\"filters\":[{\"operator\":\"eq\",\"tag\":\"target_terminus_key\",\"value\":\"$target_terminus_key\"},{\"operator\":\"in\",\"tag\":\"target_application_id\",\"value\":[\"$target_application_id\"]}],\"functions\":[{\"aggregator\":\"sum\",\"field\":\"elapsed_count\"},{\"aggregator\":\"sum\",\"field\":\"error_count\",\"field_script\":\"function invoke(field, tag){ if(field.http_status_code_mean \\u003c 500) { return 0; } return field.elapsed_count; }\"},{\"aggregator\":\"value\",\"field\":\"error_percent\",\"field_script\":\"function invoke(field, tag){ if(!field.elapsed_count_sum) return 0; return field.elapsed_count_sum === 0 ? 0 : (field.error_count_sum / field.elapsed_count_sum * 100);}\",\"operator\":\"gte\",\"trigger\":\"aggregated\",\"value\":30}],\"group\":[\"target_runtime_id\",\"target_service_name\"],\"metric\":\"application_http\",\"outputs\":[\"alert\"],\"select\":{\"application_id\":\"#target_application_id\",\"application_name\":\"#target_application_name\",\"project_id\":\"#target_project_id\",\"project_name\":\"#target_project_name\",\"runtime_id\":\"#target_runtime_id\",\"runtime_name\":\"#target_runtime_name\",\"service_name\":\"#target_service_name\",\"terminus_key\":\"#target_terminus_key\",\"workspace\":\"#target_workspace\"},\"window\":1}','{\"alert_group\":\"{{target_terminus_key}}-{{target_runtime_id}}-{{target_service_name}}\",\"display_url_id\":\"micro_si_web\",\"level\":\"WARNING\",\"recover\":\"true\",\"tickets_metric_key\":\"{{target_application_id}}\"}',0,'2021-05-28 11:55:06','2021-05-28 11:55:06'),(541,'服务HTTP慢事务异常','micro_service','app_transaction','app_transaction_http_service_rt','{\"condition\":\"and\",\"filters\":[{\"operator\":\"eq\",\"tag\":\"target_terminus_key\",\"value\":\"$target_terminus_key\"},{\"operator\":\"in\",\"tag\":\"target_application_id\",\"value\":[\"$target_application_id\"]}],\"functions\":[{\"aggregator\":\"sum\",\"field\":\"elapsed\",\"field_script\":\"function invoke(field, tag){ return field.elapsed_sum / 1000000; }\"},{\"aggregator\":\"sum\",\"field\":\"elapsed_count\"},{\"aggregator\":\"value\",\"field\":\"elapsed_avg\",\"field_script\":\"function invoke(field, tag){ if(!field.elapsed_count_sum) return 0; return field.elapsed_count_sum === 0 ? 0 : (field.elapsed_sum / field.elapsed_count_sum);}\",\"operator\":\"gte\",\"trigger\":\"aggregated\",\"value\":1000}],\"group\":[\"target_runtime_id\",\"target_service_name\"],\"metric\":\"application_http\",\"outputs\":[\"alert\"],\"select\":{\"application_id\":\"#target_application_id\",\"application_name\":\"#target_application_name\",\"project_id\":\"#target_project_id\",\"project_name\":\"#target_project_name\",\"runtime_id\":\"#target_runtime_id\",\"runtime_name\":\"#target_runtime_name\",\"service_name\":\"#target_service_name\",\"terminus_key\":\"#target_terminus_key\",\"workspace\":\"#target_workspace\"},\"window\":1}','{\"alert_group\":\"{{target_terminus_key}}-{{target_runtime_id}}-{{target_service_name}}\",\"display_url_id\":\"micro_si_web\",\"level\":\"WARNING\",\"recover\":\"true\",\"tickets_metric_key\":\"{{target_application_id}}\"}',0,'2021-05-28 11:55:06','2021-05-28 11:55:06'),(542,'MySQL SLAVE DELAY ALERT','org','custom_addon','slave_dly_alert','{\"condition\":\"or\",\"filters\":[{\"operator\":\"in\",\"tag\":\"cluster_name\",\"value\":[\"$cluster_name\"]},{\"operator\":\"eq\",\"tag\":\"is_slave\",\"value\":\"true\"}],\"functions\":[{\"aggregator\":\"values\",\"field\":\"slave_slave_sql_running_state\",\"field_script\":\"function invoke(fields,tags){if (fields.slave_slave_sql_running_state == \'Slave has read all relay log; waiting for more updates\') {return \'no delay\'} return \'delay\';}\",\"operator\":\"all\",\"value\":\"delay\"},{\"aggregator\":\"max\",\"field\":\"slave_seconds_behind_master\",\"operator\":\"gt\",\"value\":1800}],\"group\":[\"addon_id\",\"server\"],\"metric\":\"mysql\",\"outputs\":[\"alert\"],\"select\":{\"addon_id\":\"#addon_id\",\"cluster_name\":\"#cluster_name\",\"server_id\":\"#server\"},\"window\":30}','{\"alert_group\":\"{{cluster_name}}-{{addon_id}}\",\"level\":\"WARNING\",\"recover\":\"false\"}',0,'2021-05-28 11:55:06','2021-05-28 11:55:06'),(543,'MySQL SLAVE SYNC ALERT','org','custom_addon','slave_sync_alert','{\"filters\":[{\"operator\":\"in\",\"tag\":\"cluster_name\",\"value\":[\"$cluster_name\"]},{\"operator\":\"eq\",\"tag\":\"is_slave\",\"value\":\"true\"}],\"functions\":[{\"aggregator\":\"max\",\"alias\":\"slave_slave_sync_ok_value\",\"field\":\"slave_slave_sync_ok\",\"field_script\":\"function invoke(fields,tags){if (fields.slave_slave_io_running == 0 || fields.slave_slave_sql_running == 0) {return 0} return 1}\",\"operator\":\"eq\",\"value\":0},{\"aggregator\":\"max\",\"alias\":\"slave_slave_io_running_value\",\"field\":\"slave_slave_io_running\"},{\"aggregator\":\"max\",\"alias\":\"slave_slave_sql_running_value\",\"field\":\"slave_slave_sql_running\"}],\"group\":[\"addon_id\",\"server\"],\"metric\":\"mysql\",\"outputs\":[\"alert\"],\"select\":{\"addon_id\":\"#addon_id\",\"cluster_name\":\"#cluster_name\",\"server_id\":\"#server\"},\"window\":1}','{\"alert_group\":\"{{cluster_name}}-{{addon_id}}\",\"level\":\"WARNING\",\"recover\":\"false\"}',0,'2021-05-28 11:55:06','2021-05-28 11:55:06'),(544,'平台中间件Cassandra GC次数异常','org','dice_addon','dice_addon_cassandra_gc_count','{\"filters\":[{\"operator\":\"in\",\"tag\":\"cluster_name\",\"value\":[\"$cluster_name\"]},{\"operator\":\"eq\",\"tag\":\"addon_id\",\"value\":\"cassandra\"},{\"operator\":\"like\",\"tag\":\"name\",\"value\":\"Old\"}],\"functions\":[{\"aggregator\":\"min\",\"field\":\"CollectionCount_min\",\"field_script\":\"function invoke(fields,tags){return fields.CollectionCount;}\"},{\"aggregator\":\"max\",\"field\":\"CollectionCount_max\",\"field_script\":\"function invoke(fields,tags){return fields.CollectionCount;}\"},{\"aggregator\":\"value\",\"field\":\"CollectionCount_win\",\"field_script\":\"function invoke(fields,tags){return fields.CollectionCount_max-fields.CollectionCount_min;}\",\"operator\":\"gte\",\"trigger\":\"aggregated\",\"value\":10}],\"group\":[\"cluster_name\",\"node_id\"],\"metrics\":[\"addon_java_GarbageCollector\"],\"outputs\":[\"alert\"],\"select\":{\"addon_id\":\"#addon_id\",\"addon_type\":\"#addon_type\",\"cluster_name\":\"#cluster_name\",\"node_host\":\"#jolokia_host\"},\"window\":3}','{\"alert_group\":\"{{cluster_name}}-{{addon_id}}\",\"display_url_id\":\"org_addon\",\"level\":\"WARNING\",\"recover\":\"false\",\"tickets_metric_key\":\"{{addon_id}}\"}',0,'2021-05-28 11:55:06','2021-05-28 11:55:06'),(545,'平台中间件Cassandra GC耗时异常','org','dice_addon','dice_addon_cassandra_gc_time','{\"filters\":[{\"operator\":\"in\",\"tag\":\"cluster_name\",\"value\":[\"$cluster_name\"]},{\"operator\":\"eq\",\"tag\":\"addon_id\",\"value\":\"cassandra\"},{\"operator\":\"like\",\"tag\":\"name\",\"value\":\"Old\"}],\"functions\":[{\"aggregator\":\"min\",\"field\":\"CollectionTime_min\",\"field_script\":\"function invoke(fields,tags){return fields.CollectionTime;}\"},{\"aggregator\":\"max\",\"field\":\"CollectionTime_max\",\"field_script\":\"function invoke(fields,tags){return fields.CollectionTime;}\"},{\"aggregator\":\"value\",\"field\":\"CollectionTime_win\",\"field_script\":\"function invoke(fields,tags){return fields.CollectionTime_max-fields.CollectionTime_min;}\",\"operator\":\"gte\",\"trigger\":\"aggregated\",\"value\":15000}],\"group\":[\"cluster_name\",\"node_id\"],\"metrics\":[\"addon_java_GarbageCollector\"],\"outputs\":[\"alert\"],\"select\":{\"addon_id\":\"#addon_id\",\"addon_type\":\"#addon_type\",\"cluster_name\":\"#cluster_name\",\"node_host\":\"#jolokia_host\"},\"window\":3}','{\"alert_group\":\"{{cluster_name}}-{{addon_id}}\",\"display_url_id\":\"org_addon\",\"level\":\"WARNING\",\"recover\":\"false\",\"tickets_metric_key\":\"{{addon_id}}\"}',0,'2021-05-28 11:55:06','2021-05-28 11:55:06'),(546,'平台中间件实例CPU状态','org','dice_addon','dice_addon_container_cpu','{\"filters\":[{\"operator\":\"in\",\"tag\":\"cluster_name\",\"value\":[\"$cluster_name\"]},{\"operator\":\"eq\",\"tag\":\"pod_namespace\",\"value\":\"default\"},{\"operator\":\"any\",\"tag\":\"addon_id\"}],\"functions\":[{\"aggregator\":\"avg\",\"field\":\"cpu_usage_percent\",\"field_script\":\"function invoke(fields,tags){return fields.cpu_limit===0?fields.cpu_usage_percent:fields.cpu_usage_percent/fields.cpu_limit}\",\"operator\":\"gte\",\"value\":95},{\"aggregator\":\"max\",\"alias\":\"cpu_limit_value\",\"field\":\"cpu_limit\"},{\"aggregator\":\"max\",\"alias\":\"cpu_allocation_value\",\"field\":\"cpu_allocation\"}],\"group\":[\"cluster_name\",\"container_id\"],\"metrics\":[\"docker_container_summary\"],\"outputs\":[\"alert\"],\"select\":{\"addon_id\":\"#addon_id\",\"cluster_name\":\"#cluster_name\",\"container_id\":\"#container_id\",\"host_ip\":\"#host_ip\",\"pod_name\":\"#pod_name\",\"pod_namespace\":\"#pod_namespace\"},\"window\":2}','{\"alert_group\":\"{{cluster_name}}-{{container_id}}\",\"level\":\"WARNING\",\"recover\":\"false\",\"tickets_metric_key\":\"{{container_id}}\"}',0,'2021-05-28 11:55:06','2021-05-28 11:55:06'),(547,'平台中间件异常退出','org','dice_addon','dice_addon_container_exit','{\"filters\":[{\"operator\":\"in\",\"tag\":\"cluster_name\",\"value\":[\"$cluster_name\"]},{\"operator\":\"eq\",\"tag\":\"pod_namespace\",\"value\":\"default\"},{\"operator\":\"any\",\"tag\":\"addon_id\"}],\"functions\":[{\"aggregator\":\"max\",\"field\":\"exitcode\",\"operator\":\"gt\",\"value\":0},{\"aggregator\":\"max\",\"field\":\"oomkilled\"},{\"aggregator\":\"value\",\"field\":\"pid\"},{\"aggregator\":\"max\",\"field\":\"finished_at\",\"field_script\":\"function invoke(fields,tags){if(fields.finished_at!=null\\u0026\\u0026fields.finished_at!=undefined) return fields.finished_at/1000000;return 0}\"},{\"aggregator\":\"max\",\"field\":\"started_at\",\"field_script\":\"function invoke(fields,tags){if(fields.started_at!=null\\u0026\\u0026fields.started_at!=undefined) return fields.started_at/1000000;return 0}\"},{\"aggregator\":\"value\",\"field\":\"finished_at\",\"field_script\":\"function invoke(fields,tags){if(fields.finished_at_max\\u003e0) return fields.finished_at_max;return \'-\'}\",\"trigger\":\"aggregated\"},{\"aggregator\":\"value\",\"field\":\"started_at\",\"field_script\":\"function invoke(fields,tags){if(fields.started_at_max\\u003e0) return fields.started_at_max;return \'-\'}\",\"trigger\":\"aggregated\"},{\"aggregator\":\"value\",\"field\":\"terminated_reason\",\"field_script\":\"function invoke(fields,tags){if(fields.oomkilled) return \'Out Of Memory\';return \'Error Exit Code \'+fields.exitcode_max;}\",\"trigger\":\"aggregated\"}],\"group\":[\"cluster_name\",\"pod_namespace\",\"pod_name\"],\"metrics\":[\"docker_container_summary\"],\"outputs\":[\"alert\"],\"select\":{\"addon_id\":\"#addon_id\",\"cluster_name\":\"#cluster_name\",\"container_id\":\"#container_id\",\"host_ip\":\"#host_ip\",\"pod_name\":\"#pod_name\",\"pod_namespace\":\"#pod_namespace\"},\"window\":1}','{\"alert_group\":\"{{cluster_name}}-{{container_id}}\",\"display_url_id\":\"org_pod\",\"level\":\"WARNING\",\"recover\":\"false\",\"tickets_metric_key\":\"{{container_id}}\"}',0,'2021-05-28 11:55:06','2021-05-28 11:55:06'),(548,'平台中间件实例内存状态','org','dice_addon','dice_addon_container_mem','{\"filters\":[{\"operator\":\"in\",\"tag\":\"cluster_name\",\"value\":[\"$cluster_name\"]},{\"operator\":\"eq\",\"tag\":\"pod_namespace\",\"value\":\"default\"},{\"operator\":\"any\",\"tag\":\"addon_id\"}],\"functions\":[{\"aggregator\":\"avg\",\"field\":\"mem_usage_percent\",\"operator\":\"gt\",\"value\":80},{\"aggregator\":\"max\",\"alias\":\"mem_usage_value\",\"field\":\"mem_usage\"},{\"aggregator\":\"max\",\"alias\":\"mem_limit_value\",\"field\":\"mem_limit\"},{\"aggregator\":\"max\",\"alias\":\"mem_max_value\",\"field\":\"mem_max_usage\"},{\"aggregator\":\"max\",\"alias\":\"mem_allocation_value\",\"field\":\"mem_allocation\"}],\"group\":[\"cluster_name\",\"container_id\"],\"metrics\":[\"docker_container_summary\"],\"outputs\":[\"alert\"],\"select\":{\"addon_id\":\"#addon_id\",\"cluster_name\":\"#cluster_name\",\"container_id\":\"#container_id\",\"host_ip\":\"#host_ip\",\"pod_name\":\"#pod_name\",\"pod_namespace\":\"#pod_namespace\"},\"window\":2}','{\"alert_group\":\"{{cluster_name}}-{{container_id}}\",\"level\":\"WARNING\",\"recover\":\"false\",\"tickets_metric_key\":\"{{container_id}}\"}',0,'2021-05-28 11:55:06','2021-05-28 11:55:06'),(549,'平台中间件实例Ready状态异常','org','dice_addon','dice_addon_container_ready','{\"filters\":[{\"operator\":\"in\",\"tag\":\"cluster_name\",\"value\":[\"$cluster_name\"]},{\"operator\":\"eq\",\"tag\":\"namespace\",\"value\":\"default\"},{\"operator\":\"any\",\"tag\":\"addon_id\"}],\"functions\":[{\"aggregator\":\"avg\",\"field\":\"not_ready_avg\",\"field_script\":\"function invoke(fields,tags){if(tags.daemonset_name){return fields.number_unavailable}else{if(tags.statefulset_name){return fields.replicas-fields.replicas_ready}else{if(tags.deployment_name){return fields.replicas_unavailable}}}return 0}\",\"operator\":\"gt\",\"value\":0},{\"aggregator\":\"max\",\"alias\":\"not_ready_value\",\"field\":\"not_ready\",\"field_script\":\"function invoke(fields,tags){if(tags.daemonset_name){return fields.number_unavailable}else{if(tags.statefulset_name){return fields.replicas-fields.replicas_ready}else{if(tags.deployment_name){return fields.replicas_unavailable}}}return 0}\"},{\"aggregator\":\"max\",\"alias\":\"ready_value\",\"field\":\"ready\",\"field_script\":\"function invoke(fields,tags){if(tags.daemonset_name){return fields.number_available}else{if(tags.statefulset_name){return fields.replicas_ready}else{if(tags.deployment_name){return fields.replicas_available}}}return 0}\"},{\"aggregator\":\"max\",\"alias\":\"total_value\",\"field\":\"total\",\"field_script\":\"function invoke(fields,tags){if(tags.daemonset_name){return fields.number_unavailable+fields.number_available}else{if(tags.statefulset_name){return fields.replicas}else{if(tags.deployment_name){return fields.replicas_unavailable+fields.replicas_available}}}return 0}\"},{\"aggregator\":\"value\",\"field\":\"resource_name\",\"field_script\":\"function invoke(fields,tags){if(tags.daemonset_name){return tags.daemonset_name}else{if(tags.statefulset_name){return tags.statefulset_name}else{if(tags.deployment_name){return tags.deployment_name}}}return null};\"}],\"group\":[\"cluster_name\",\"namespace\",\"daemonset_name\",\"statefulset_name\",\"deployment_name\"],\"metrics\":[\"kubernetes_daemonset\",\"kubernetes_statefulset\",\"kubernetes_deployment\"],\"outputs\":[\"alert\"],\"select\":{\"addon_id\":\"#addon_id\",\"cluster_name\":\"#cluster_name\",\"daemonset_name\":\"#daemonset_name\",\"deployment_name\":\"#deployment_name\",\"namespace\":\"#namespace\",\"statefulset_name\":\"#statefulset_name\"},\"window\":1}','{\"alert_group\":\"{{cluster_name}}-{{daemonset_name}}-{{statefulset_name}}-{{deployment_name}}\",\"level\":\"WARNING\",\"recover\":\"false\",\"tickets_metric_key\":\"{{daemonset_name}}-{{statefulset_name}}-{{deployment_name}}\"}',0,'2021-05-28 11:55:06','2021-05-28 11:55:06'),(550,'平台中间件Elasticsearch GC次数异常','org','dice_addon','dice_addon_elasticsearch_gc_count','{\"filters\":[{\"operator\":\"in\",\"tag\":\"cluster_name\",\"value\":[\"$cluster_name\"]},{\"operator\":\"eq\",\"tag\":\"addon_id\",\"value\":\"elasticsearch\"}],\"functions\":[{\"aggregator\":\"min\",\"field\":\"gc_collectors_old_collection_count\"},{\"aggregator\":\"max\",\"field\":\"gc_collectors_old_collection_count\"},{\"aggregator\":\"value\",\"field\":\"gc_collectors_old_collection_count_win\",\"field_script\":\"function invoke(fields,tags){return fields.gc_collectors_old_collection_count_max-fields.gc_collectors_old_collection_count_min;}\",\"operator\":\"gte\",\"trigger\":\"aggregated\",\"value\":10}],\"group\":[\"cluster_name\",\"node_id\"],\"metrics\":[\"elasticsearch_jvm\"],\"outputs\":[\"alert\"],\"select\":{\"addon_id\":\"#addon_id\",\"addon_type\":\"#addon_type\",\"cluster_name\":\"#cluster_name\",\"node_host\":\"#node_host\",\"node_id\":\"#node_id\",\"node_name\":\"#node_name\"},\"window\":3}','{\"alert_group\":\"{{cluster_name}}-{{addon_id}}\",\"display_url_id\":\"org_addon\",\"level\":\"WARNING\",\"recover\":\"false\",\"tickets_metric_key\":\"{{addon_id}}\"}',0,'2021-05-28 11:55:06','2021-05-28 11:55:06'),(551,'平台中间件Elasticsearch GC耗时异常','org','dice_addon','dice_addon_elasticsearch_gc_time','{\"filters\":[{\"operator\":\"in\",\"tag\":\"cluster_name\",\"value\":[\"$cluster_name\"]},{\"operator\":\"eq\",\"tag\":\"addon_id\",\"value\":\"elasticsearch\"}],\"functions\":[{\"aggregator\":\"min\",\"field\":\"gc_collectors_old_collection_time_in_millis\"},{\"aggregator\":\"max\",\"field\":\"gc_collectors_old_collection_time_in_millis\"},{\"aggregator\":\"value\",\"field\":\"gc_collectors_old_collection_time_in_millis_win\",\"field_script\":\"function invoke(fields,tags){return fields.gc_collectors_old_collection_time_in_millis_max-fields.gc_collectors_old_collection_time_in_millis_min;}\",\"operator\":\"gte\",\"trigger\":\"aggregated\",\"value\":15000}],\"group\":[\"cluster_name\",\"node_id\"],\"metrics\":[\"elasticsearch_jvm\"],\"outputs\":[\"alert\"],\"select\":{\"addon_id\":\"#addon_id\",\"addon_type\":\"#addon_type\",\"cluster_name\":\"#cluster_name\",\"node_host\":\"#node_host\",\"node_id\":\"#node_id\",\"node_name\":\"#node_name\"},\"window\":3}','{\"alert_group\":\"{{cluster_name}}-{{addon_id}}\",\"display_url_id\":\"org_addon\",\"level\":\"WARNING\",\"recover\":\"false\",\"tickets_metric_key\":\"{{addon_id}}\"}',0,'2021-05-28 11:55:06','2021-05-28 11:55:06'),(552,'平台中间件Kafka GC次数异常','org','dice_addon','dice_addon_kafka_gc_count','{\"filters\":[{\"operator\":\"in\",\"tag\":\"cluster_name\",\"value\":[\"$cluster_name\"]},{\"operator\":\"eq\",\"tag\":\"addon_id\",\"value\":\"kafka\"},{\"operator\":\"like\",\"tag\":\"name\",\"value\":\"Old\"}],\"functions\":[{\"aggregator\":\"min\",\"field\":\"CollectionCount\"},{\"aggregator\":\"max\",\"field\":\"CollectionCount\"},{\"aggregator\":\"value\",\"field\":\"CollectionCount_win\",\"field_script\":\"function invoke(fields,tags){return fields.CollectionCount_max-fields.CollectionCount_min;}\",\"operator\":\"gte\",\"trigger\":\"aggregated\",\"value\":10}],\"group\":[\"cluster_name\",\"node_id\"],\"metrics\":[\"addon_java_GarbageCollector\"],\"outputs\":[\"alert\"],\"select\":{\"addon_id\":\"#addon_id\",\"addon_type\":\"#addon_type\",\"cluster_name\":\"#cluster_name\",\"node_host\":\"#jolokia_host\"},\"window\":3}','{\"alert_group\":\"{{cluster_name}}-{{addon_id}}\",\"display_url_id\":\"org_addon\",\"level\":\"WARNING\",\"recover\":\"false\",\"tickets_metric_key\":\"{{addon_id}}\"}',0,'2021-05-28 11:55:06','2021-05-28 11:55:06'),(553,'平台中间件Kafka GC耗时异常','org','dice_addon','dice_addon_kafka_gc_time','{\"filters\":[{\"operator\":\"in\",\"tag\":\"cluster_name\",\"value\":[\"$cluster_name\"]},{\"operator\":\"eq\",\"tag\":\"addon_id\",\"value\":\"kafka\"},{\"operator\":\"like\",\"tag\":\"name\",\"value\":\"Old\"}],\"functions\":[{\"aggregator\":\"min\",\"field\":\"CollectionTime\"},{\"aggregator\":\"max\",\"field\":\"CollectionTime\"},{\"aggregator\":\"value\",\"field\":\"CollectionTime_win\",\"field_script\":\"function invoke(fields,tags){return fields.CollectionTime_max-fields.CollectionTime_min;}\",\"operator\":\"gte\",\"trigger\":\"aggregated\",\"value\":15000}],\"group\":[\"cluster_name\",\"node_id\"],\"metrics\":[\"addon_java_GarbageCollector\"],\"outputs\":[\"alert\"],\"select\":{\"addon_id\":\"#addon_id\",\"addon_type\":\"#addon_type\",\"cluster_name\":\"#cluster_name\",\"node_host\":\"#jolokia_host\"},\"window\":3}','{\"alert_group\":\"{{cluster_name}}-{{addon_id}}\",\"display_url_id\":\"org_addon\",\"level\":\"WARNING\",\"recover\":\"false\",\"tickets_metric_key\":\"{{addon_id}}\"}',0,'2021-05-28 11:55:06','2021-05-28 11:55:06'),(554,'平台中间件kafka消费堆积','org','dice_addon','dice_addon_kafka_lag','{\"filters\":[{\"operator\":\"in\",\"tag\":\"cluster_name\",\"value\":[\"$cluster_name\"]},{\"operator\":\"eq\",\"tag\":\"addon_id\",\"value\":\"kafka\"}],\"functions\":[{\"aggregator\":\"avg\",\"field\":\"lag\",\"operator\":\"gte\",\"value\":100000},{\"aggregator\":\"avg\",\"field\":\"consume_rate_per_sec\"},{\"aggregator\":\"avg\",\"field\":\"produce_rate_per_sec\"}],\"group\":[\"cluster_name\",\"addon_id\",\"group\",\"topic\"],\"metrics\":[\"kafka_consumer\"],\"outputs\":[\"alert\"],\"select\":{\"addon_id\":\"#addon_id\",\"addon_type\":\"#addon_type\",\"cluster_name\":\"#cluster_name\",\"group\":\"#group\",\"topic\":\"#topic\"},\"window\":3}','{\"alert_group\":\"{{cluster_name}}-{{group}}-{{topic}}\",\"display_url_id\":\"org_addon\",\"level\":\"WARNING\",\"recover\":\"false\",\"tickets_metric_key\":\"{{group}}-{{topic}}\"}',0,'2021-05-28 11:55:06','2021-05-28 11:55:06'),(555,'平台组件实例CPU状态','org','dice_component','dice_component_container_cpu','{\"filters\":[{\"operator\":\"in\",\"tag\":\"cluster_name\",\"value\":[\"$cluster_name\"]},{\"operator\":\"eq\",\"tag\":\"pod_namespace\",\"value\":\"default\"},{\"operator\":\"any\",\"tag\":\"component_name\"}],\"functions\":[{\"aggregator\":\"avg\",\"field\":\"cpu_usage_percent\",\"field_script\":\"function invoke(fields,tags){return fields.cpu_limit===0?fields.cpu_usage_percent:fields.cpu_usage_percent/fields.cpu_limit}\",\"operator\":\"gte\",\"value\":95},{\"aggregator\":\"max\",\"alias\":\"cpu_limit_value\",\"field\":\"cpu_limit\"},{\"aggregator\":\"max\",\"alias\":\"cpu_allocation_value\",\"field\":\"cpu_allocation\"}],\"group\":[\"cluster_name\",\"container_id\"],\"metrics\":[\"docker_container_summary\"],\"outputs\":[\"alert\"],\"select\":{\"cluster_name\":\"#cluster_name\",\"component_name\":\"#component_name\",\"container_id\":\"#container_id\",\"host_ip\":\"#host_ip\",\"pod_name\":\"#pod_name\",\"pod_namespace\":\"#pod_namespace\"},\"window\":2}','{\"alert_group\":\"{{cluster_name}}-{{container_id}}\",\"level\":\"WARNING\",\"recover\":\"false\",\"tickets_metric_key\":\"{{container_id}}\"}',0,'2021-05-28 11:55:06','2021-05-28 11:55:06'),(556,'平台组件异常退出','org','dice_component','dice_component_container_exit','{\"filters\":[{\"operator\":\"in\",\"tag\":\"cluster_name\",\"value\":[\"$cluster_name\"]},{\"operator\":\"eq\",\"tag\":\"pod_namespace\",\"value\":\"default\"},{\"operator\":\"any\",\"tag\":\"component_name\"}],\"functions\":[{\"aggregator\":\"max\",\"field\":\"exitcode\",\"operator\":\"gt\",\"value\":0},{\"aggregator\":\"max\",\"field\":\"oomkilled\"},{\"aggregator\":\"value\",\"field\":\"pid\"},{\"aggregator\":\"max\",\"field\":\"finished_at\",\"field_script\":\"function invoke(fields,tags){if(fields.finished_at!=null\\u0026\\u0026fields.finished_at!=undefined) return fields.finished_at/1000000;return 0}\"},{\"aggregator\":\"max\",\"field\":\"started_at\",\"field_script\":\"function invoke(fields,tags){if(fields.started_at!=null\\u0026\\u0026fields.started_at!=undefined) return fields.started_at/1000000;return 0}\"},{\"aggregator\":\"value\",\"field\":\"finished_at\",\"field_script\":\"function invoke(fields,tags){if(fields.finished_at_max\\u003e0) return fields.finished_at_max;return \'-\'}\",\"trigger\":\"aggregated\"},{\"aggregator\":\"value\",\"field\":\"started_at\",\"field_script\":\"function invoke(fields,tags){if(fields.started_at_max\\u003e0) return fields.started_at_max;return \'-\'}\",\"trigger\":\"aggregated\"},{\"aggregator\":\"value\",\"field\":\"terminated_reason\",\"field_script\":\"function invoke(fields,tags){if(fields.oomkilled) return \'Out Of Memory\';return \'Error Exit Code \'+fields.exitcode_max;}\",\"trigger\":\"aggregated\"}],\"group\":[\"cluster_name\",\"container_id\"],\"metrics\":[\"docker_container_summary\"],\"outputs\":[\"alert\"],\"select\":{\"cluster_name\":\"#cluster_name\",\"component_name\":\"#component_name\",\"container_id\":\"#container_id\",\"host_ip\":\"#host_ip\",\"pod_name\":\"#pod_name\",\"pod_namespace\":\"#pod_namespace\"},\"window\":1}','{\"alert_group\":\"{{cluster_name}}-{{container_id}}\",\"display_url_id\":\"org_pod\",\"level\":\"WARNING\",\"recover\":\"false\",\"tickets_metric_key\":\"{{container_id}}\"}',0,'2021-05-28 11:55:06','2021-05-28 11:55:06'),(557,'平台组件实例内存状态','org','dice_component','dice_component_container_mem','{\"filters\":[{\"operator\":\"in\",\"tag\":\"cluster_name\",\"value\":[\"$cluster_name\"]},{\"operator\":\"eq\",\"tag\":\"pod_namespace\",\"value\":\"default\"},{\"operator\":\"any\",\"tag\":\"component_name\"}],\"functions\":[{\"aggregator\":\"avg\",\"field\":\"mem_usage_percent\",\"operator\":\"gt\",\"value\":70},{\"aggregator\":\"max\",\"alias\":\"mem_usage_value\",\"field\":\"mem_usage\"},{\"aggregator\":\"max\",\"alias\":\"mem_limit_value\",\"field\":\"mem_limit\"},{\"aggregator\":\"max\",\"alias\":\"mem_max_usage_value\",\"field\":\"mem_max_usage\"},{\"aggregator\":\"max\",\"alias\":\"mem_allocation_value\",\"field\":\"mem_allocation\"}],\"group\":[\"cluster_name\",\"container_id\"],\"metrics\":[\"docker_container_summary\"],\"outputs\":[\"alert\"],\"select\":{\"cluster_name\":\"#cluster_name\",\"component_name\":\"#component_name\",\"container_id\":\"#container_id\",\"host_ip\":\"#host_ip\",\"pod_name\":\"#pod_name\",\"pod_namespace\":\"#pod_namespace\"},\"window\":2}','{\"alert_group\":\"{{cluster_name}}-{{container_id}}\",\"level\":\"WARNING\",\"recover\":\"false\",\"tickets_metric_key\":\"{{container_id}}\"}',0,'2021-05-28 11:55:06','2021-05-28 11:55:06'),(558,'平台组件实例Ready状态异常','org','dice_component','dice_component_container_ready','{\"filters\":[{\"operator\":\"in\",\"tag\":\"cluster_name\",\"value\":[\"$cluster_name\"]},{\"operator\":\"eq\",\"tag\":\"namespace\",\"value\":\"default\"},{\"operator\":\"any\",\"tag\":\"component_name\"}],\"functions\":[{\"aggregator\":\"avg\",\"field\":\"not_ready_avg\",\"field_script\":\"function invoke(fields,tags){if(tags.daemonset_name){return fields.number_unavailable}else{if(tags.statefulset_name){return fields.replicas-fields.replicas_ready}else{if(tags.deployment_name){return fields.replicas_unavailable}}}return 0}\",\"operator\":\"gt\",\"value\":0},{\"aggregator\":\"max\",\"alias\":\"not_ready_value\",\"field\":\"not_ready\",\"field_script\":\"function invoke(fields,tags){if(tags.daemonset_name){return fields.number_unavailable}else{if(tags.statefulset_name){return fields.replicas-fields.replicas_ready}else{if(tags.deployment_name){return fields.replicas_unavailable}}}return 0}\"},{\"aggregator\":\"max\",\"alias\":\"ready_value\",\"field\":\"ready\",\"field_script\":\"function invoke(fields,tags){if(tags.daemonset_name){return fields.number_available}else{if(tags.statefulset_name){return fields.replicas_ready}else{if(tags.deployment_name){return fields.replicas_available}}}return 0}\"},{\"aggregator\":\"max\",\"alias\":\"total_value\",\"field\":\"total\",\"field_script\":\"function invoke(fields,tags){if(tags.daemonset_name){return fields.number_unavailable+fields.number_available}else{if(tags.statefulset_name){return fields.replicas}else{if(tags.deployment_name){return fields.replicas_unavailable+fields.replicas_available}}}return 0}\"},{\"aggregator\":\"value\",\"field\":\"resource_name\",\"field_script\":\"function invoke(fields,tags){if(tags.daemonset_name){return tags.daemonset_name}else{if(tags.statefulset_name){return tags.statefulset_name}else{if(tags.deployment_name){return tags.deployment_name}}}return null};\"}],\"group\":[\"cluster_name\",\"namespace\",\"daemonset_name\",\"statefulset_name\",\"deployment_name\"],\"metrics\":[\"kubernetes_daemonset\",\"kubernetes_statefulset\",\"kubernetes_deployment\"],\"outputs\":[\"alert\"],\"select\":{\"cluster_name\":\"#cluster_name\",\"component_name\":\"#component_name\",\"daemonset_name\":\"#daemonset_name\",\"deployment_name\":\"#deployment_name\",\"namespace\":\"#namespace\",\"statefulset_name\":\"#statefulset_name\"},\"window\":3}','{\"alert_group\":\"{{cluster_name}}-{{daemonset_name}}-{{statefulset_name}}-{{deployment_name}}\",\"level\":\"WARNING\",\"recover\":\"false\",\"tickets_metric_key\":\"{{daemonset_name}}-{{statefulset_name}}-{{deployment_name}}\"}',0,'2021-05-28 11:55:06','2021-05-28 11:55:06'),(559,'平台组件Flink任务checkpoint延迟异常告警','org','dice_component','dice_component_flink_checkpoint_duration','{\"filters\":[{\"operator\":\"in\",\"tag\":\"cluster_name\",\"value\":[\"$cluster_name\"]}],\"functions\":[{\"aggregator\":\"max\",\"alias\":\"lastCheckpointDuration_value\",\"field\":\"lastCheckpointDuration\",\"operator\":\"gte\",\"value\":3000}],\"group\":[\"cluster_name\",\"container_id\",\"job_id\"],\"metric\":\"flink_jm_job\",\"outputs\":[\"alert\"],\"select\":{\"cluster_name\":\"#cluster_name\",\"host_ip\":\"#host_ip\",\"job_id\":\"#job_id\"},\"window\":1}','{\"alert_group\":\"{{cluster_name}}-{{container_id}}-{{job_id}}\",\"level\":\"WARNING\",\"recover\":\"false\",\"tickets_metric_key\":\"{{container_id}}-{{job_id}}\"}',0,'2021-05-28 11:55:06','2021-05-28 11:55:06'),(560,'平台组件Flink吞吐量异常告警','org','dice_component','dice_component_flink_throughput','{\"filters\":[{\"operator\":\"in\",\"tag\":\"cluster_name\",\"value\":[\"$cluster_name\"]}],\"functions\":[{\"aggregator\":\"max\",\"alias\":\"numRecordsOutPerSecond_count_value\",\"field\":\"numRecordsOutPerSecond_count\",\"operator\":\"eq\",\"value\":0}],\"group\":[\"cluster_name\",\"container_id\",\"job_id\",\"task_id\",\"subtask_index\",\"operator_id\"],\"metric\":\"flink_tm_operator\",\"outputs\":[\"alert\"],\"select\":{\"cluster_name\":\"#cluster_name\",\"host_ip\":\"#host_ip\",\"job_id\":\"#job_id\",\"operator_id\":\"#operator_id\",\"subtask_index\":\"#subtask_index\",\"tm_id\":\"#tm_id\"},\"window\":1}','{\"alert_group\":\"{{cluster_name}}-{{container_id}}-{{job_id}}\",\"level\":\"WARNING\",\"recover\":\"false\",\"tickets_metric_key\":\"{{container_id}}-{{job_id}}\"}',0,'2021-05-28 11:55:06','2021-05-28 11:55:06'),(561,'平台组件网盘不可用告警','org','dice_component','dice_component_gfs_status','{\"filters\":[{\"operator\":\"in\",\"tag\":\"cluster_name\",\"value\":[\"$cluster_name\"]}],\"functions\":[{\"aggregator\":\"values\",\"field\":\"status\",\"operator\":\"all\",\"value\":\"Disconnected\"}],\"group\":[\"cluster_name\",\"host_ip\"],\"metric\":\"glusterfs\",\"outputs\":[\"alert\"],\"select\":{\"cluster_name\":\"#cluster_name\",\"component_name\":\"#component_name\",\"host_ip\":\"#host_ip\",\"node_uuid\":\"#node_uuid\"},\"window\":5}','{\"alert_group\":\"{{cluster_name}}\",\"level\":\"WARNING\",\"recover\":\"false\",\"tickets_metric_key\":\"{{cluster_name}}\"}',0,'2021-05-28 11:55:06','2021-05-28 11:55:06'),(562,'平台组价日志存储保护器状态变化','org','dice_component','dice_component_log_protector','{\"filters\":[{\"operator\":\"in\",\"tag\":\"cluster_name\",\"value\":[\"$cluster_name\"]},{\"operator\":\"eq\",\"tag\":\"field\",\"value\":\"log_store_protector_triggered\"}],\"functions\":[{\"aggregator\":\"value\",\"field\":\"triggered\",\"operator\":\"eq\",\"value\":1}],\"group\":[\"cluster_name\"],\"metric\":\"dice_monitor\",\"outputs\":[\"alert\"],\"select\":{\"cluster_name\":\"#cluster_name\",\"cur_level\":\"#cur_level\",\"pre_level\":\"#pre_level\"},\"window\":1}','{\"alert_group\":\"{{cluster_name}}\",\"level\":\"WARNING\",\"recover\":\"false\",\"tickets_metric_key\":\"{{cluster_name}}\"}',0,'2021-05-28 11:55:06','2021-05-28 11:55:06'),(563,'kubernetes组件实例CPU状态','org','kubernetes','kubernetes_instance_cpu','{\"filters\":[{\"operator\":\"in\",\"tag\":\"cluster_name\",\"value\":[\"$cluster_name\"]},{\"operator\":\"eq\",\"tag\":\"pod_namespace\",\"value\":\"kube-system\"}],\"functions\":[{\"aggregator\":\"avg\",\"field\":\"cpu_usage_percent\",\"field_script\":\"function invoke(fields,tags){return fields.cpu_limit===0?fields.cpu_usage_percent:fields.cpu_usage_percent/fields.cpu_limit}\",\"operator\":\"gte\",\"value\":95},{\"aggregator\":\"max\",\"alias\":\"cpu_limit_value\",\"field\":\"cpu_limit\"},{\"aggregator\":\"max\",\"alias\":\"cpu_allocation_value\",\"field\":\"cpu_allocation\"}],\"group\":[\"cluster_name\",\"container_id\"],\"metrics\":[\"docker_container_summary\"],\"outputs\":[\"alert\"],\"select\":{\"cluster_name\":\"#cluster_name\",\"container_id\":\"#container_id\",\"host_ip\":\"#host_ip\",\"pod_name\":\"#pod_name\",\"pod_namespace\":\"#pod_namespace\"},\"window\":2}','{\"alert_group\":\"{{cluster_name}}-{{container_id}}\",\"level\":\"WARNING\",\"recover\":\"false\",\"tickets_metric_key\":\"{{container_id}}\"}',0,'2021-05-28 11:55:06','2021-05-28 11:55:06'),(564,'kubernetes组件异常退出','org','kubernetes','kubernetes_instance_exit','{\"filters\":[{\"operator\":\"in\",\"tag\":\"cluster_name\",\"value\":[\"$cluster_name\"]},{\"operator\":\"eq\",\"tag\":\"pod_namespace\",\"value\":\"kube-system\"}],\"functions\":[{\"aggregator\":\"max\",\"field\":\"exitcode\",\"operator\":\"gt\",\"value\":0},{\"aggregator\":\"max\",\"field\":\"oomkilled\"},{\"aggregator\":\"value\",\"field\":\"pid\"},{\"aggregator\":\"max\",\"field\":\"finished_at\",\"field_script\":\"function invoke(fields,tags){if(fields.finished_at!=null\\u0026\\u0026fields.finished_at!=undefined) return fields.finished_at/1000000;return 0}\"},{\"aggregator\":\"max\",\"field\":\"started_at\",\"field_script\":\"function invoke(fields,tags){if(fields.started_at!=null\\u0026\\u0026fields.started_at!=undefined) return fields.started_at/1000000;return 0}\"},{\"aggregator\":\"value\",\"field\":\"finished_at\",\"field_script\":\"function invoke(fields,tags){if(fields.finished_at_max\\u003e0) return fields.finished_at_max;return \'-\'}\",\"trigger\":\"aggregated\"},{\"aggregator\":\"value\",\"field\":\"started_at\",\"field_script\":\"function invoke(fields,tags){if(fields.started_at_max\\u003e0) return fields.started_at_max;return \'-\'}\",\"trigger\":\"aggregated\"},{\"aggregator\":\"value\",\"field\":\"terminated_reason\",\"field_script\":\"function invoke(fields,tags){if(fields.oomkilled) return \'Out Of Memory\';return \'Error Exit Code \'+fields.exitcode_max;}\",\"trigger\":\"aggregated\"}],\"group\":[\"cluster_name\",\"pod_namespace\",\"pod_name\"],\"metrics\":[\"docker_container_summary\"],\"outputs\":[\"alert\"],\"select\":{\"cluster_name\":\"#cluster_name\",\"component_name\":\"#component_name\",\"container_id\":\"#container_id\",\"host_ip\":\"#host_ip\",\"pod_name\":\"#pod_name\",\"pod_namespace\":\"#pod_namespace\"},\"window\":1}','{\"alert_group\":\"{{cluster_name}}-{{container_id}}\",\"display_url_id\":\"org_pod\",\"level\":\"WARNING\",\"recover\":\"false\",\"tickets_metric_key\":\"{{container_id}}\"}',0,'2021-05-28 11:55:06','2021-05-28 11:55:06'),(565,'kubernetes组件实例内存状态','org','kubernetes','kubernetes_instance_mem','{\"filters\":[{\"operator\":\"in\",\"tag\":\"cluster_name\",\"value\":[\"$cluster_name\"]},{\"operator\":\"eq\",\"tag\":\"pod_namespace\",\"value\":\"kube-system\"}],\"functions\":[{\"aggregator\":\"avg\",\"field\":\"mem_usage_percent\",\"operator\":\"gt\",\"value\":70},{\"aggregator\":\"max\",\"alias\":\"mem_usage_value\",\"field\":\"mem_usage\"},{\"aggregator\":\"max\",\"alias\":\"mem_limit_value\",\"field\":\"mem_limit\"},{\"aggregator\":\"max\",\"alias\":\"mem_max_usage_value\",\"field\":\"mem_max_usage\"},{\"aggregator\":\"max\",\"alias\":\"mem_allocation_value\",\"field\":\"mem_allocation\"}],\"group\":[\"cluster_name\",\"container_id\"],\"metrics\":[\"docker_container_summary\"],\"outputs\":[\"alert\"],\"select\":{\"cluster_name\":\"#cluster_name\",\"container_id\":\"#container_id\",\"host_ip\":\"#host_ip\",\"pod_name\":\"#pod_name\",\"pod_namespace\":\"#pod_namespace\"},\"window\":2}','{\"alert_group\":\"{{cluster_name}}-{{container_id}}\",\"level\":\"WARNING\",\"recover\":\"false\",\"tickets_metric_key\":\"{{container_id}}\"}',0,'2021-05-28 11:55:06','2021-05-28 11:55:06'),(566,'kubernetes组件实例Ready状态异常','org','kubernetes','kubernetes_instance_ready','{\"filters\":[{\"operator\":\"in\",\"tag\":\"cluster_name\",\"value\":[\"$cluster_name\"]},{\"operator\":\"eq\",\"tag\":\"namespace\",\"value\":\"kube-system\"}],\"functions\":[{\"aggregator\":\"avg\",\"field\":\"not_ready_avg\",\"field_script\":\"function invoke(fields,tags){if(tags.daemonset_name){return fields.number_unavailable}else{if(tags.statefulset_name){return fields.replicas-fields.replicas_ready}else{if(tags.deployment_name){return fields.replicas_unavailable}}}return 0}\",\"operator\":\"gt\",\"value\":0},{\"aggregator\":\"max\",\"alias\":\"not_ready_value\",\"field\":\"not_ready\",\"field_script\":\"function invoke(fields,tags){if(tags.daemonset_name){return fields.number_unavailable}else{if(tags.statefulset_name){return fields.replicas-fields.replicas_ready}else{if(tags.deployment_name){return fields.replicas_unavailable}}}return 0}\"},{\"aggregator\":\"max\",\"alias\":\"ready_value\",\"field\":\"ready\",\"field_script\":\"function invoke(fields,tags){if(tags.daemonset_name){return fields.number_available}else{if(tags.statefulset_name){return fields.replicas_ready}else{if(tags.deployment_name){return fields.replicas_available}}}return 0}\"},{\"aggregator\":\"max\",\"alias\":\"total_value\",\"field\":\"total\",\"field_script\":\"function invoke(fields,tags){if(tags.daemonset_name){return fields.number_unavailable+fields.number_available}else{if(tags.statefulset_name){return fields.replicas}else{if(tags.deployment_name){return fields.replicas_unavailable+fields.replicas_available}}}return 0}\"},{\"aggregator\":\"value\",\"field\":\"resource_name\",\"field_script\":\"function invoke(fields,tags){if(tags.daemonset_name){return tags.daemonset_name}else{if(tags.statefulset_name){return tags.statefulset_name}else{if(tags.deployment_name){return tags.deployment_name}}}return null};\"}],\"group\":[\"cluster_name\",\"namespace\",\"daemonset_name\",\"statefulset_name\",\"deployment_name\"],\"metrics\":[\"kubernetes_daemonset\",\"kubernetes_statefulset\",\"kubernetes_deployment\"],\"outputs\":[\"alert\"],\"select\":{\"cluster_name\":\"#cluster_name\",\"daemonset_name\":\"#daemonset_name\",\"deployment_name\":\"#deployment_name\",\"namespace\":\"#namespace\",\"statefulset_name\":\"#statefulset_name\"},\"window\":1}','{\"alert_group\":\"{{cluster_name}}-{{daemonset_name}}-{{statefulset_name}}-{{deployment_name}}\",\"level\":\"WARNING\",\"recover\":\"false\",\"tickets_metric_key\":\"{{daemonset_name}}-{{statefulset_name}}-{{deployment_name}}\"}',0,'2021-05-28 11:55:06','2021-05-28 11:55:06'),(567,'kubernetes节点异常','org','kubernetes','kubernetes_node','{\"filters\":[{\"operator\":\"in\",\"tag\":\"cluster_name\",\"value\":[\"$cluster_name\"]},{\"operator\":\"neq\",\"tag\":\"offline\",\"value\":\"true\"}],\"functions\":[{\"aggregator\":\"values\",\"field\":\"ready\",\"operator\":\"all\",\"value\":false},{\"aggregator\":\"max\",\"alias\":\"allocatable_pods_value\",\"field\":\"allocatable_pods\"},{\"aggregator\":\"max\",\"alias\":\"capacity_pods_value\",\"field\":\"capacity_pods\"},{\"aggregator\":\"max\",\"alias\":\"allocatable_cpu_cores_value\",\"field\":\"allocatable_cpu_cores\"},{\"aggregator\":\"max\",\"alias\":\"capacity_cpu_cores_value\",\"field\":\"capacity_cpu_cores\"},{\"aggregator\":\"max\",\"alias\":\"allocatable_memory_bytes_value\",\"field\":\"allocatable_memory_bytes\"},{\"aggregator\":\"max\",\"alias\":\"capacity_memory_bytes_value\",\"field\":\"capacity_memory_bytes\"}],\"group\":[\"cluster_name\",\"node_name\"],\"metrics\":[\"kubernetes_node\"],\"outputs\":[\"alert\"],\"select\":{\"cluster_name\":\"#cluster_name\",\"node_name\":\"#node_name\"},\"window\":1}','{\"alert_group\":\"{{cluster_name}}-{{node_name}}\",\"level\":\"WARNING\",\"recover\":\"false\",\"tickets_metric_key\":\"{{node_name}}\"}',0,'2021-05-28 11:55:06','2021-05-28 11:55:06'),(568,'机器CPU','org','machine','machine_cpu','{\"filters\":[{\"operator\":\"in\",\"tag\":\"cluster_name\",\"value\":[\"$cluster_name\"]}],\"functions\":[{\"aggregator\":\"avg\",\"field\":\"cpu_usage_active\",\"operator\":\"gte\",\"value\":95}],\"group\":[\"cluster_name\",\"host_ip\"],\"metric\":\"host_summary\",\"outputs\":[\"alert\"],\"select\":{\"cluster_name\":\"#cluster_name\",\"host_ip\":\"#host_ip\"},\"window\":5}','{\"alert_group\":\"{{cluster_name}}-{{host_ip}}\",\"display_url_id\":\"machine_cpu\",\"level\":\"WARNING\",\"recover\":\"true\",\"tickets_metric_key\":\"{{host_ip}}\"}',0,'2021-05-28 11:55:06','2021-05-28 11:55:06'),(569,'机器磁盘','org','machine','machine_disk','{\"filters\":[{\"operator\":\"in\",\"tag\":\"cluster_name\",\"value\":[\"$cluster_name\"]},{\"operator\":\"neq\",\"tag\":\"type\",\"value\":\"netdata\"}],\"functions\":[{\"aggregator\":\"max\",\"alias\":\"used_percent_value\",\"field\":\"used_percent\",\"operator\":\"gte\",\"value\":86},{\"aggregator\":\"max\",\"alias\":\"total_value\",\"field\":\"total\"}],\"group\":[\"host_ip\",\"device\"],\"metric\":\"disk\",\"outputs\":[\"alert\"],\"select\":{\"cluster_name\":\"#cluster_name\",\"device\":\"#device\",\"host_ip\":\"#host_ip\"},\"window\":5}','{\"alert_group\":\"{{cluster_name}}-{{host_ip}}-{{device}}\",\"display_url_id\":\"machine_disk\",\"level\":\"WARNING\",\"recover\":\"true\",\"tickets_metric_key\":\"{{host_ip}}\"}',0,'2021-05-28 11:55:06','2021-05-28 11:55:06'),(570,'磁盘Inode异常告警','org','machine','machine_disk_inode','{\"filters\":[{\"operator\":\"in\",\"tag\":\"cluster_name\",\"value\":[\"$cluster_name\"]},{\"operator\":\"neq\",\"tag\":\"type\",\"value\":\"netdata\"}],\"functions\":[{\"aggregator\":\"max\",\"alias\":\"inode_used_percent_value\",\"field\":\"inode_used_percent\",\"field_script\":\"function invoke(field, tag){ return field.inodes_used/field.inodes_total*100 }\",\"operator\":\"gte\",\"value\":85},{\"aggregator\":\"max\",\"alias\":\"inodes_total_value\",\"field\":\"inodes_total\"}],\"group\":[\"host_ip\",\"device\"],\"metric\":\"disk\",\"outputs\":[\"alert\"],\"select\":{\"cluster_name\":\"#cluster_name\",\"device\":\"#device\",\"host_ip\":\"#host_ip\"},\"window\":5}','{\"alert_group\":\"{{cluster_name}}-{{host_ip}}-{{device}}\",\"display_url_id\":\"machine_disk\",\"level\":\"WARNING\",\"recover\":\"true\",\"tickets_metric_key\":\"{{host_ip}}\"}',0,'2021-05-28 11:55:06','2021-05-28 11:55:06'),(571,'机器磁盘IO','org','machine','machine_disk_util','{\"filters\":[{\"operator\":\"in\",\"tag\":\"cluster_name\",\"value\":[\"$cluster_name\"]},{\"operator\":\"eq\",\"tag\":\"path\",\"value\":null}],\"functions\":[{\"aggregator\":\"p75\",\"field\":\"pct_util\",\"operator\":\"gte\",\"value\":95}],\"group\":[\"host_ip\"],\"metric\":\"disk\",\"outputs\":[\"alert\"],\"select\":{\"cluster_name\":\"#cluster_name\",\"host_ip\":\"#host_ip\"},\"window\":5}','{\"alert_group\":\"{{cluster_name}}-{{host_ip}}\",\"display_url_id\":\"machine_disk_io\",\"level\":\"WARNING\",\"recover\":\"true\",\"tickets_metric_key\":\"{{host_ip}}\"}',0,'2021-05-28 11:55:06','2021-05-28 11:55:06'),(572,'机器Load5','org','machine','machine_load5','{\"filters\":[{\"operator\":\"in\",\"tag\":\"cluster_name\",\"value\":[\"$cluster_name\"]}],\"functions\":[{\"aggregator\":\"avg\",\"field\":\"load5\",\"operator\":\"gte\",\"value\":20}],\"group\":[\"host_ip\"],\"metric\":\"host_summary\",\"outputs\":[\"alert\"],\"select\":{\"cluster_name\":\"#cluster_name\",\"host_ip\":\"#host_ip\"},\"window\":5}','{\"alert_group\":\"{{cluster_name}}-{{host_ip}}\",\"display_url_id\":\"machine_load\",\"level\":\"WARNING\",\"recover\":\"true\",\"tickets_metric_key\":\"{{host_ip}}\"}',0,'2021-05-28 11:55:06','2021-05-28 11:55:06'),(573,'网盘','org','machine','machine_netdisk','{\"filters\":[{\"operator\":\"in\",\"tag\":\"cluster_name\",\"value\":[\"$cluster_name\"]},{\"operator\":\"eq\",\"tag\":\"type\",\"value\":\"netdata\"}],\"functions\":[{\"aggregator\":\"max\",\"alias\":\"used_percent_value\",\"field\":\"used_percent\",\"operator\":\"gte\",\"value\":75},{\"aggregator\":\"max\",\"alias\":\"total_value\",\"field\":\"total\"}],\"group\":null,\"metric\":\"disk\",\"outputs\":[\"alert\"],\"select\":{\"cluster_name\":\"#cluster_name\"},\"window\":5}','{\"alert_group\":\"{{cluster_name}}\",\"level\":\"WARNING\",\"recover\":\"true\",\"tickets_metric_key\":\"{{cluster_name}}\"}',0,'2021-05-28 11:55:06','2021-05-28 11:55:06'),(574,'网盘容量使用量异常告警','org','machine','machine_netdisk_used','{\"filters\":[{\"operator\":\"in\",\"tag\":\"cluster_name\",\"value\":[\"$cluster_name\"]},{\"operator\":\"eq\",\"tag\":\"type\",\"value\":\"netdata\"}],\"functions\":[{\"aggregator\":\"max\",\"alias\":\"used\",\"field\":\"used\",\"field_script\":\"function invoke(field, tag){ return field.used/1024/1024/1024 }\",\"operator\":\"gte\",\"value\":300},{\"aggregator\":\"max\",\"alias\":\"total\",\"field_script\":\"function invoke(field, tag){ return field.total/1024/1024/1024 }\"}],\"group\":null,\"metric\":\"disk\",\"outputs\":[\"alert\"],\"select\":{\"cluster_name\":\"#cluster_name\"},\"window\":5}','{\"alert_group\":\"{{cluster_name}}\",\"level\":\"WARNING\",\"recover\":\"true\",\"tickets_metric_key\":\"{{cluster_name}}\"}',0,'2021-05-28 11:55:06','2021-05-28 11:55:06'),(575,'机器宕机','org','machine','machine_status','{\"filters\":[{\"operator\":\"in\",\"tag\":\"cluster_name\",\"value\":[\"$cluster_name\"]}],\"functions\":[{\"aggregator\":\"values\",\"field\":\"status\",\"operator\":\"all\",\"value\":\"not_ready\"},{\"aggregator\":\"max\",\"alias\":\"last_timestamp_value\",\"field\":\"last_timestamp\"}],\"group\":[\"host_ip\"],\"metric\":\"machine_status\",\"outputs\":[\"alert\"],\"select\":{\"cluster_name\":\"#cluster_name\",\"host_ip\":\"#host_ip\"},\"window\":5}','{\"alert_group\":\"{{cluster_name}}-{{host_ip}}\",\"display_url_id\":\"machine_crash\",\"level\":\"WARNING\",\"recover\":\"true\",\"tickets_metric_key\":\"{{host_ip}}\"}',0,'2021-05-28 11:55:06','2021-05-28 11:55:06'),(576,'API网关实例CPU使用率异常','org','micro_service','api_gateway_cpu','{\"filters\":[{\"operator\":\"in\",\"tag\":\"cluster_name\",\"value\":[\"$cluster_name\"]},{\"operator\":\"in\",\"tag\":\"addon_type\",\"value\":[\"api-gateway\",\"postgresql\"]}],\"functions\":[{\"aggregator\":\"avg\",\"field\":\"cpu_usage_percent\",\"field_script\":\"function invoke(fields,tags){return fields.cpu_limit===0?fields.cpu_usage_percent:fields.cpu_usage_percent/fields.cpu_limit}\",\"operator\":\"gte\",\"value\":90},{\"aggregator\":\"max\",\"alias\":\"cpu_limit_value\",\"field\":\"cpu_limit\"},{\"aggregator\":\"max\",\"alias\":\"cpu_allocation_value\",\"field\":\"cpu_allocation\"}],\"group\":[\"container_id\"],\"metric\":\"docker_container_summary\",\"outputs\":[\"alert\"],\"select\":{\"addon_id\":\"#addon_id\",\"addon_type\":\"#addon_type\",\"cluster_name\":\"#cluster_name\",\"container_id\":\"#container_id\",\"host_ip\":\"#host_ip\",\"pod_name\":\"#pod_name\",\"pod_namespace\":\"#pod_namespace\"},\"window\":1}','{\"alert_group\":\"{{cluster_name}}-{{container_id}}\",\"level\":\"WARNING\",\"recover\":\"false\",\"tickets_metric_key\":\"{{container_id}}\"}',0,'2021-05-28 11:55:06','2021-05-28 11:55:06'),(577,'API网关实例内存使用率异常','org','micro_service','api_gateway_mem','{\"filters\":[{\"operator\":\"in\",\"tag\":\"cluster_name\",\"value\":[\"$cluster_name\"]},{\"operator\":\"in\",\"tag\":\"addon_type\",\"value\":[\"api-gateway\",\"postgresql\"]}],\"functions\":[{\"aggregator\":\"avg\",\"field\":\"mem_usage_percent\",\"operator\":\"gte\",\"value\":90},{\"aggregator\":\"max\",\"alias\":\"mem_usage_value\",\"field\":\"mem_usage\"},{\"aggregator\":\"max\",\"alias\":\"mem_limit_value\",\"field\":\"mem_limit\"},{\"aggregator\":\"max\",\"alias\":\"mem_max_usage_value\",\"field\":\"mem_max_usage\"}],\"group\":[\"container_id\"],\"metric\":\"docker_container_summary\",\"outputs\":[\"alert\"],\"select\":{\"addon_id\":\"#addon_id\",\"addon_type\":\"#addon_type\",\"cluster_name\":\"#cluster_name\",\"container_id\":\"#container_id\",\"host_ip\":\"#host_ip\",\"pod_name\":\"#pod_name\",\"pod_namespace\":\"#pod_namespace\"},\"window\":1}','{\"alert_group\":\"{{cluster_name}}-{{container_id}}\",\"level\":\"WARNING\",\"recover\":\"false\",\"tickets_metric_key\":\"{{container_id}}\"}',0,'2021-05-28 11:55:06','2021-05-28 11:55:06'),(578,'注册中心实例CPU使用率异常','org','micro_service','register_center_cpu','{\"filters\":[{\"operator\":\"in\",\"tag\":\"cluster_name\",\"value\":[\"$cluster_name\"]},{\"operator\":\"in\",\"tag\":\"addon_type\",\"value\":[\"nacos\",\"zkproxy\"]}],\"functions\":[{\"aggregator\":\"avg\",\"field\":\"cpu_usage_percent\",\"field_script\":\"function invoke(fields,tags){return fields.cpu_limit===0?fields.cpu_usage_percent:fields.cpu_usage_percent/fields.cpu_limit}\",\"operator\":\"gte\",\"value\":90},{\"aggregator\":\"max\",\"alias\":\"cpu_limit_value\",\"field\":\"cpu_limit\"},{\"aggregator\":\"max\",\"alias\":\"cpu_allocation_value\",\"field\":\"cpu_allocation\"}],\"group\":[\"container_id\"],\"metric\":\"docker_container_summary\",\"outputs\":[\"alert\"],\"select\":{\"addon_id\":\"#addon_id\",\"addon_type\":\"#addon_type\",\"cluster_name\":\"#cluster_name\",\"container_id\":\"#container_id\",\"host_ip\":\"#host_ip\",\"pod_name\":\"#pod_name\",\"pod_namespace\":\"#pod_namespace\"},\"window\":1}','{\"alert_group\":\"{{cluster_name}}-{{container_id}}\",\"level\":\"WARNING\",\"recover\":\"false\",\"tickets_metric_key\":\"{{container_id}}\"}',0,'2021-05-28 11:55:06','2021-05-28 11:55:06'),(579,'注册中心实例内存使用率异常','org','micro_service','register_center_mem','{\"filters\":[{\"operator\":\"in\",\"tag\":\"cluster_name\",\"value\":[\"$cluster_name\"]},{\"operator\":\"in\",\"tag\":\"addon_type\",\"value\":[\"nacos\",\"zkproxy\"]}],\"functions\":[{\"aggregator\":\"avg\",\"field\":\"mem_usage_percent\",\"operator\":\"gte\",\"value\":90},{\"aggregator\":\"max\",\"alias\":\"mem_usage_value\",\"field\":\"mem_usage\"},{\"aggregator\":\"max\",\"alias\":\"mem_limit_value\",\"field\":\"mem_limit\"},{\"aggregator\":\"max\",\"alias\":\"mem_max_usage_value\",\"field\":\"mem_max_usage\"}],\"group\":[\"container_id\"],\"metric\":\"docker_container_summary\",\"outputs\":[\"alert\"],\"select\":{\"addon_id\":\"#addon_id\",\"addon_type\":\"#addon_type\",\"cluster_name\":\"#cluster_name\",\"container_id\":\"#container_id\",\"host_ip\":\"#host_ip\",\"pod_name\":\"#pod_name\",\"pod_namespace\":\"#pod_namespace\"},\"window\":1}','{\"alert_group\":\"{{cluster_name}}-{{container_id}}\",\"level\":\"WARNING\",\"recover\":\"false\",\"tickets_metric_key\":\"{{container_id}}\"}',0,'2021-05-28 11:55:06','2021-05-28 11:55:06'),(580,'服务熔断通知告警','micro_service','micro_service','sidecar_circuit_breaker','{\"filters\":[{\"operator\":\"eq\",\"tag\":\"terminus_key\",\"value\":\"$terminus_key\"},{\"operator\":\"in\",\"tag\":\"application_id\",\"value\":[\"$application_id\"]}],\"functions\":[{\"aggregator\":\"sum\",\"field\":\"count\",\"operator\":\"gte\",\"value\":1}],\"group\":[\"service_name\"],\"metric\":\"sidecar_circuit_breaker\",\"outputs\":[\"alert\"],\"select\":{\"application_id\":\"#application_id\",\"application_name\":\"#application_name\",\"cluster_name\":\"#cluster_name\",\"host_ip\":\"#host_ip\",\"project_name\":\"#project_name\",\"runtime_name\":\"#runtime_name\",\"service_name\":\"#service_name\",\"terminus_key\":\"#terminus_key\",\"workspace\":\"#workspace\"},\"window\":1}','{\"alert_group\":\"{{terminus_key}}\",\"level\":\"WARNING\",\"recover\":\"false\",\"tickets_metric_key\":\"{{terminus_key}}\"}',0,'2021-05-28 11:55:06','2021-05-28 11:55:06'),(581,'ElasticSearch实例CPU使用率异常告警','org','addon','addon_elasticsearch_cpu','{\"filters\":[{\"operator\":\"in\",\"tag\":\"cluster_name\",\"value\":[\"$cluster_name\"]},{\"operator\":\"in\",\"tag\":\"addon_type\",\"value\":[\"terminus-elasticsearch\",\"elasticsearch-operator\"]}],\"functions\":[{\"aggregator\":\"avg\",\"field\":\"cpu_usage_percent\",\"field_script\":\"function invoke(fields,tags){return fields.cpu_limit===0?fields.cpu_usage_percent:fields.cpu_usage_percent/fields.cpu_limit}\",\"operator\":\"gte\",\"value\":90},{\"aggregator\":\"max\",\"alias\":\"cpu_limit_value\",\"field\":\"cpu_limit\"},{\"aggregator\":\"max\",\"alias\":\"cpu_allocation_value\",\"field\":\"cpu_allocation\"}],\"group\":[\"container_id\"],\"metric\":\"docker_container_summary\",\"outputs\":[\"alert\"],\"select\":{\"addon_id\":\"#addon_id\",\"addon_type\":\"#addon_type\",\"cluster_name\":\"#cluster_name\",\"container_id\":\"#container_id\",\"host_ip\":\"#host_ip\",\"pod_name\":\"#pod_name\",\"pod_namespace\":\"#pod_namespace\"},\"window\":1}','{\"alert_group\":\"{{cluster_name}}-{{container_id}}\",\"level\":\"WARNING\",\"recover\":\"false\",\"tickets_metric_key\":\"{{container_id}}\"}',0,'2021-05-28 11:55:06','2021-05-28 11:55:07'),(582,'Elasticsearch实例内存使用率异常告警','org','addon','addon_elasticsearch_mem','{\"filters\":[{\"operator\":\"in\",\"tag\":\"cluster_name\",\"value\":[\"$cluster_name\"]},{\"operator\":\"in\",\"tag\":\"addon_type\",\"value\":[\"terminus-elasticsearch\",\"elasticsearch-operator\"]}],\"functions\":[{\"aggregator\":\"avg\",\"field\":\"mem_usage_percent\",\"operator\":\"gte\",\"value\":90},{\"aggregator\":\"max\",\"alias\":\"mem_limit_value\",\"field\":\"mem_limit\"},{\"aggregator\":\"max\",\"alias\":\"mem_allocation_value\",\"field\":\"mem_allocation\"}],\"group\":[\"container_id\"],\"metric\":\"docker_container_summary\",\"outputs\":[\"alert\"],\"select\":{\"addon_id\":\"#addon_id\",\"addon_type\":\"#addon_type\",\"cluster_name\":\"#cluster_name\",\"container_id\":\"#container_id\",\"host_ip\":\"#host_ip\",\"pod_name\":\"#pod_name\",\"pod_namespace\":\"#pod_namespace\"},\"window\":1}','{\"alert_group\":\"{{cluster_name}}-{{container_id}}\",\"level\":\"WARNING\",\"recover\":\"false\",\"tickets_metric_key\":\"{{container_id}}\"}',0,'2021-05-28 11:55:06','2021-05-28 11:55:07'),(583,'MySQL实例CPU使用率异常告警','org','addon','addon_mysql_cpu','{\"filters\":[{\"operator\":\"in\",\"tag\":\"cluster_name\",\"value\":[\"$cluster_name\"]},{\"operator\":\"in\",\"tag\":\"addon_type\",\"value\":[\"mysql\"]}],\"functions\":[{\"aggregator\":\"avg\",\"field\":\"cpu_usage_percent\",\"field_script\":\"function invoke(fields,tags){return fields.cpu_limit===0?fields.cpu_usage_percent:fields.cpu_usage_percent/fields.cpu_limit}\",\"operator\":\"gte\",\"value\":90},{\"aggregator\":\"max\",\"alias\":\"cpu_limit_value\",\"field\":\"cpu_limit\"},{\"aggregator\":\"max\",\"alias\":\"cpu_allocation_value\",\"field\":\"cpu_allocation\"}],\"group\":[\"container_id\"],\"metric\":\"docker_container_summary\",\"outputs\":[\"alert\"],\"select\":{\"addon_id\":\"#addon_id\",\"addon_type\":\"#addon_type\",\"cluster_name\":\"#cluster_name\",\"container_id\":\"#container_id\",\"host_ip\":\"#host_ip\",\"pod_name\":\"#pod_name\",\"pod_namespace\":\"#pod_namespace\"},\"window\":1}','{\"alert_group\":\"{{cluster_name}}-{{container_id}}\",\"level\":\"WARNING\",\"recover\":\"false\",\"tickets_metric_key\":\"{{container_id}}\"}',0,'2021-05-28 11:55:06','2021-05-28 11:55:07'),(584,'MySQL实例内存使用率异常告警','org','addon','addon_mysql_mem','{\"filters\":[{\"operator\":\"in\",\"tag\":\"cluster_name\",\"value\":[\"$cluster_name\"]},{\"operator\":\"in\",\"tag\":\"addon_type\",\"value\":[\"mysql\"]}],\"functions\":[{\"aggregator\":\"avg\",\"field\":\"mem_usage_percent\",\"operator\":\"gte\",\"value\":85},{\"aggregator\":\"max\",\"alias\":\"mem_limit_value\",\"field\":\"mem_limit\"},{\"aggregator\":\"max\",\"alias\":\"mem_allocation_value\",\"field\":\"mem_allocation\"}],\"group\":[\"container_id\"],\"metric\":\"docker_container_summary\",\"outputs\":[\"alert\"],\"select\":{\"addon_id\":\"#addon_id\",\"addon_type\":\"#addon_type\",\"cluster_name\":\"#cluster_name\",\"container_id\":\"#container_id\",\"host_ip\":\"#host_ip\",\"pod_name\":\"#pod_name\",\"pod_namespace\":\"#pod_namespace\"},\"window\":1}','{\"alert_group\":\"{{cluster_name}}-{{container_id}}\",\"level\":\"WARNING\",\"recover\":\"false\",\"tickets_metric_key\":\"{{container_id}}\"}',0,'2021-05-28 11:55:06','2021-05-28 11:55:07'),(585,'MySQL实例主从同步异常告警','org','addon','addon_mysql_slave_status','{\"filters\":[{\"operator\":\"in\",\"tag\":\"cluster_name\",\"value\":[\"$cluster_name\"]},{\"operator\":\"eq\",\"tag\":\"is_slave\",\"value\":\"true\"}],\"functions\":[{\"aggregator\":\"max\",\"alias\":\"slave_slave_running_ok_value\",\"field\":\"slave_slave_running_ok\",\"field_script\":\"function invoke(fields,tags){return (fields.slave_slave_io_running==0 || fields.slave_slave_sql_running==0)?0:1}\",\"operator\":\"neq\",\"value\":1},{\"aggregator\":\"max\",\"alias\":\"slave_slave_sql_running_value\",\"field\":\"slave_slave_sql_running\"},{\"aggregator\":\"max\",\"alias\":\"slave_slave_io_running_value\",\"field\":\"slave_slave_io_running\"}],\"group\":[\"addon_id\",\"server\"],\"metric\":\"mysql\",\"outputs\":[\"alert\"],\"select\":{\"addon_id\":\"#addon_id\",\"cluster_name\":\"#cluster_name\",\"host_ip\":\"#host_ip\"},\"window\":1}','{\"alert_group\":\"{{cluster_name}}-{{addon_id}}\",\"level\":\"WARNING\",\"recover\":\"false\",\"tickets_metric_key\":\"{{addon_id}}\"}',0,'2021-05-28 11:55:06','2021-05-28 11:55:07'),(586,'redis实例内存使用率异常告警','org','addon','addon_redis_mem','{\"filters\":[{\"operator\":\"in\",\"tag\":\"cluster_name\",\"value\":[\"$cluster_name\"]},{\"operator\":\"in\",\"tag\":\"addon_type\",\"value\":[\"redis\"]}],\"functions\":[{\"aggregator\":\"avg\",\"field\":\"mem_usage_percent\",\"operator\":\"gte\",\"value\":85},{\"aggregator\":\"max\",\"alias\":\"mem_limit_value\",\"field\":\"mem_limit\"},{\"aggregator\":\"max\",\"alias\":\"mem_allocation_value\",\"field\":\"mem_allocation\"}],\"group\":[\"container_id\"],\"metric\":\"docker_container_summary\",\"outputs\":[\"alert\"],\"select\":{\"addon_id\":\"#addon_id\",\"addon_type\":\"#addon_type\",\"cluster_name\":\"#cluster_name\",\"container_id\":\"#container_id\",\"host_ip\":\"#host_ip\",\"pod_name\":\"#pod_name\",\"pod_namespace\":\"#pod_namespace\"},\"window\":1}','{\"alert_group\":\"{{cluster_name}}-{{container_id}}\",\"level\":\"WARNING\",\"recover\":\"false\",\"tickets_metric_key\":\"{{container_id}}\"}',0,'2021-05-28 11:55:06','2021-05-28 11:55:07'),(587,'Ajax接口访问性能','micro_service','app_browser','app_browser_ajax_req','{\"filters\":[{\"operator\":\"eq\",\"tag\":\"tk\",\"value\":\"$tk\"},{\"operator\":\"eq\",\"tag\":\"type\",\"value\":\"browser\"}],\"functions\":[{\"aggregator\":\"avg\",\"field\":\"tt\",\"operator\":\"gt\",\"value\":1000}],\"group\":[\"tk\",\"req_path\",\"host\"],\"metric\":\"ta_req\",\"outputs\":[\"alert\"],\"select\":{\"doc_path\":\"#doc_path\",\"host\":\"#host\",\"req_path\":\"#req_path\",\"tk\":\"#tk\",\"type\":\"#type\"},\"window\":1}','{\"alert_group\":\"{{tk}}-{{req_path}}-{{host}}\",\"display_url_id\":\"micro_bi_ajax\",\"level\":\"WARNING\",\"recover\":\"false\"}',0,'2021-05-28 11:55:06','2021-05-28 11:55:07'),(588,'用户体验','micro_service','app_browser','app_browser_apdex','{\"filters\":[{\"operator\":\"eq\",\"tag\":\"tk\",\"value\":\"$tk\"},{\"operator\":\"eq\",\"tag\":\"type\",\"value\":\"browser\"}],\"functions\":[{\"aggregator\":\"avg\",\"field\":\"plt\",\"operator\":\"gt\",\"value\":3000}],\"group\":[\"tk\",\"doc_path\",\"host\"],\"metric\":\"ta_timing\",\"outputs\":[\"alert\"],\"select\":{\"doc_path\":\"#doc_path\",\"host\":\"#host\",\"tk\":\"#tk\",\"type\":\"#type\"},\"window\":1}','{\"alert_group\":\"{{tk}}-{{doc_path}}-{{host}}\",\"display_url_id\":\"micro_bi_position\",\"level\":\"WARNING\",\"recover\":\"false\"}',0,'2021-05-28 11:55:06','2021-05-28 11:55:07'),(589,'域名访问性能','micro_service','app_browser','app_browser_host_req','{\"filters\":[{\"operator\":\"eq\",\"tag\":\"tk\",\"value\":\"$tk\"},{\"operator\":\"eq\",\"tag\":\"type\",\"value\":\"browser\"}],\"functions\":[{\"aggregator\":\"avg\",\"field\":\"plt\",\"operator\":\"gt\",\"value\":1000}],\"group\":[\"tk\",\"host\"],\"metric\":\"ta_timing\",\"outputs\":[\"alert\"],\"select\":{\"doc_path\":\"#doc_path\",\"host\":\"#host\",\"tk\":\"#tk\",\"type\":\"#type\"},\"window\":1}','{\"alert_group\":\"{{tk}}-{{host}}\",\"display_url_id\":\"micro_bi_domain\",\"level\":\"WARNING\",\"recover\":\"false\"}',0,'2021-05-28 11:55:06','2021-05-28 11:55:07'),(590,'页面访问性能','micro_service','app_browser','app_browser_page_req','{\"filters\":[{\"operator\":\"eq\",\"tag\":\"tk\",\"value\":\"$tk\"},{\"operator\":\"eq\",\"tag\":\"type\",\"value\":\"browser\"}],\"functions\":[{\"aggregator\":\"avg\",\"field\":\"plt\",\"operator\":\"gt\",\"value\":1000}],\"group\":[\"tk\",\"doc_path\",\"host\"],\"metric\":\"ta_timing\",\"outputs\":[\"alert\"],\"select\":{\"doc_path\":\"#doc_path\",\"host\":\"#host\",\"tk\":\"#tk\",\"type\":\"#type\"},\"window\":1}','{\"alert_group\":\"{{tk}}-{{doc_path}}-{{host}}\",\"display_url_id\":\"micro_bi_page\",\"level\":\"WARNING\",\"recover\":\"false\"}',0,'2021-05-28 11:55:06','2021-05-28 11:55:07'),(591,'脚本错误','micro_service','app_browser','app_browser_script_error','{\"filters\":[{\"operator\":\"eq\",\"tag\":\"tk\",\"value\":\"$tk\"},{\"operator\":\"eq\",\"tag\":\"type\",\"value\":\"browser\"}],\"functions\":[{\"aggregator\":\"sum\",\"field\":\"count\",\"operator\":\"gte\",\"value\":10}],\"group\":[\"tk\",\"doc_path\",\"host\"],\"metric\":\"ta_error\",\"outputs\":[\"alert\"],\"select\":{\"browser\":\"#browser\",\"count\":\"#count\",\"doc_path\":\"#doc_path\",\"host\":\"#host\",\"ip\":\"#ip\",\"source\":\"#source\",\"tk\":\"#tk\",\"type\":\"#type\",\"url\":\"#url\"},\"window\":1}','{\"alert_group\":\"{{tk}}-{{doc_path}}-{{host}}\",\"display_url_id\":\"micro_bi_script\",\"level\":\"WARNING\",\"recover\":\"false\"}',0,'2021-05-28 11:55:06','2021-05-28 11:55:07'),(592,'应用错误次数','micro_service','app_exception','app_exception_count','{\"filters\":[{\"operator\":\"eq\",\"tag\":\"terminus_key\",\"value\":\"$terminus_key\"},{\"operator\":\"in\",\"tag\":\"application_id\",\"value\":[\"$application_id\"]}],\"functions\":[{\"aggregator\":\"sum\",\"field\":\"count\",\"operator\":\"gte\",\"value\":20}],\"group\":[\"error_id\"],\"metric\":\"error_alert\",\"outputs\":[\"alert\"],\"select\":{\"application_id\":\"#application_id\",\"application_name\":\"#application_name\",\"class\":\"#class\",\"cluster_name\":\"#cluster_name\",\"error_id\":\"#error_id\",\"host_ip\":\"#host_ip\",\"instance_id\":\"#instance_id\",\"line\":\"#line\",\"method\":\"#method\",\"project_id\":\"#project_id\",\"project_name\":\"#project_name\",\"runtime_id\":\"#runtime_id\",\"runtime_name\":\"#runtime_name\",\"service_name\":\"#service_name\",\"terminus_key\":\"#terminus_key\",\"type\":\"#type\",\"workspace\":\"#workspace\"},\"window\":5}','{\"alert_group\":\"{{terminus_key}}-{{error_id}}\",\"display_url_id\":\"micro_error_detail\",\"level\":\"WARNING\",\"recover\":\"true\",\"tickets_metric_key\":\"{{error_id}}\"}',0,'2021-05-28 11:55:06','2021-05-28 11:55:07'),(593,'应用实例CPU使用率异常','micro_service','app_resource','app_resource_container_cpu','{\"filters\":[{\"operator\":\"eq\",\"tag\":\"terminus_key\",\"value\":\"$terminus_key\"},{\"operator\":\"in\",\"tag\":\"application_id\",\"value\":[\"$application_id\"]}],\"functions\":[{\"aggregator\":\"avg\",\"field\":\"cpu_usage_percent\",\"field_script\":\"function invoke(fields,tags){return fields.cpu_limit===0?fields.cpu_usage_percent:fields.cpu_usage_percent/fields.cpu_limit}\",\"operator\":\"gte\",\"value\":90},{\"aggregator\":\"max\",\"alias\":\"cpu_limit_value\",\"field\":\"cpu_limit\"},{\"aggregator\":\"max\",\"alias\":\"cpu_allocation_value\",\"field\":\"cpu_allocation\"}],\"group\":[\"container_id\"],\"metric\":\"docker_container_summary\",\"outputs\":[\"alert\"],\"select\":{\"application_id\":\"#application_id\",\"application_name\":\"#application_name\",\"cluster_name\":\"#cluster_name\",\"container_id\":\"#container_id\",\"host_ip\":\"#host_ip\",\"instance_id\":\"#instance_id\",\"project_id\":\"#project_id\",\"project_name\":\"#project_name\",\"runtime_id\":\"#runtime_id\",\"runtime_name\":\"#runtime_name\",\"service_name\":\"#service_name\",\"terminus_key\":\"#terminus_key\"},\"window\":1}','{\"alert_group\":\"{{terminus_key}}-{{container_id}}\",\"display_url_id\":\"workbench_runtime\",\"level\":\"WARNING\",\"recover\":\"true\",\"tickets_metric_key\":\"{{container_id}}\"}',0,'2021-05-28 11:55:06','2021-05-28 11:55:07'),(594,'应用实例内存使用率异常','micro_service','app_resource','app_resource_container_mem','{\"filters\":[{\"operator\":\"eq\",\"tag\":\"terminus_key\",\"value\":\"$terminus_key\"},{\"operator\":\"in\",\"tag\":\"application_id\",\"value\":[\"$application_id\"]}],\"functions\":[{\"aggregator\":\"avg\",\"field\":\"mem_usage_percent\",\"operator\":\"gte\",\"value\":90},{\"aggregator\":\"max\",\"alias\":\"mem_usage_value\",\"field\":\"mem_usage\"},{\"aggregator\":\"max\",\"alias\":\"mem_limit_value\",\"field\":\"mem_limit\"},{\"aggregator\":\"max\",\"alias\":\"mem_max_usage_value\",\"field\":\"mem_max_usage\"}],\"group\":[\"container_id\"],\"metric\":\"docker_container_summary\",\"outputs\":[\"alert\"],\"select\":{\"application_id\":\"#application_id\",\"application_name\":\"#application_name\",\"cluster_name\":\"#cluster_name\",\"container_id\":\"#container_id\",\"host_ip\":\"#host_ip\",\"instance_id\":\"#instance_id\",\"project_id\":\"#project_id\",\"project_name\":\"#project_name\",\"runtime_id\":\"#runtime_id\",\"runtime_name\":\"#runtime_name\",\"service_name\":\"#service_name\",\"terminus_key\":\"#terminus_key\"},\"window\":1}','{\"alert_group\":\"{{terminus_key}}-{{container_id}}\",\"display_url_id\":\"workbench_runtime\",\"level\":\"WARNING\",\"recover\":\"true\",\"tickets_metric_key\":\"{{container_id}}\"}',0,'2021-05-28 11:55:06','2021-05-28 11:55:07'),(595,'应用实例OOM','micro_service','app_resource','app_resource_container_oom','{\"filters\":[{\"operator\":\"eq\",\"tag\":\"terminus_key\",\"value\":\"$terminus_key\"},{\"operator\":\"in\",\"tag\":\"application_id\",\"value\":[\"$application_id\"]}],\"functions\":[{\"aggregator\":\"values\",\"field\":\"oomkilled\",\"operator\":\"contains\",\"value\":true}],\"group\":[\"container_id\"],\"metric\":\"docker_container_summary\",\"outputs\":[\"alert\"],\"select\":{\"application_id\":\"#application_id\",\"application_name\":\"#application_name\",\"cluster_name\":\"#cluster_name\",\"container_id\":\"#container_id\",\"host_ip\":\"#host_ip\",\"instance_id\":\"#instance_id\",\"project_id\":\"#project_id\",\"project_name\":\"#project_name\",\"runtime_id\":\"#runtime_id\",\"runtime_name\":\"#runtime_name\",\"service_name\":\"#service_name\",\"terminus_key\":\"#terminus_key\"},\"window\":1}','{\"alert_group\":\"{{terminus_key}}-{{container_id}}\",\"display_url_id\":\"workbench_runtime\",\"level\":\"WARNING\",\"recover\":\"false\",\"tickets_metric_key\":\"{{container_id}}\"}',0,'2021-05-28 11:55:06','2021-05-28 11:55:07'),(596,'应用JVM GC次数','micro_service','app_resource','app_resource_jvm_gc_count','{\"filters\":[{\"operator\":\"eq\",\"tag\":\"name\",\"value\":\"concurrentmarksweep\"},{\"operator\":\"eq\",\"tag\":\"terminus_key\",\"value\":\"$terminus_key\"},{\"operator\":\"in\",\"tag\":\"application_id\",\"value\":[\"$application_id\"]}],\"functions\":[{\"aggregator\":\"sum\",\"field\":\"count\",\"operator\":\"gte\",\"value\":5}],\"group\":[\"instance_id\"],\"metric\":\"jvm_gc\",\"outputs\":[\"alert\"],\"select\":{\"application_id\":\"#application_id\",\"application_name\":\"#application_name\",\"cluster_name\":\"#cluster_name\",\"host_ip\":\"#host_ip\",\"instance_id\":\"#instance_id\",\"project_id\":\"#project_id\",\"project_name\":\"#project_name\",\"runtime_id\":\"#runtime_id\",\"runtime_name\":\"#runtime_name\",\"service_name\":\"#service_name\",\"terminus_key\":\"#terminus_key\",\"workspace\":\"#workspace\"},\"window\":3}','{\"alert_group\":\"{{terminus_key}}-{{instance_id}}\",\"display_url_id\":\"micro_jvm\",\"level\":\"WARNING\",\"recover\":\"false\",\"tickets_metric_key\":\"{{instance_id}}\"}',0,'2021-05-28 11:55:06','2021-05-28 11:55:07'),(597,'应用JVM GC 耗时','micro_service','app_resource','app_resource_jvm_gc_time','{\"condition\":\"or\",\"filters\":[{\"operator\":\"eq\",\"tag\":\"name\",\"value\":\"concurrentmarksweep\"},{\"operator\":\"eq\",\"tag\":\"terminus_key\",\"value\":\"$terminus_key\"},{\"operator\":\"in\",\"tag\":\"application_id\",\"value\":[\"$application_id\"]}],\"functions\":[{\"aggregator\":\"max\",\"alias\":\"time_value\",\"field\":\"time\",\"operator\":\"gte\",\"value\":400},{\"aggregator\":\"sum\",\"field\":\"time\",\"operator\":\"gte\",\"value\":1000}],\"group\":[\"instance_id\"],\"metric\":\"jvm_gc\",\"outputs\":[\"alert\"],\"select\":{\"application_id\":\"#application_id\",\"application_name\":\"#application_name\",\"cluster_name\":\"#cluster_name\",\"host_ip\":\"#host_ip\",\"instance_id\":\"#instance_id\",\"project_id\":\"#project_id\",\"project_name\":\"#project_name\",\"runtime_id\":\"#runtime_id\",\"runtime_name\":\"#runtime_name\",\"service_name\":\"#service_name\",\"terminus_key\":\"#terminus_key\",\"workspace\":\"#workspace\"},\"window\":1}','{\"alert_group\":\"{{terminus_key}}-{{instance_id}}\",\"display_url_id\":\"micro_jvm\",\"level\":\"WARNING\",\"recover\":\"false\",\"tickets_metric_key\":\"{{instance_id}}\"}',0,'2021-05-28 11:55:06','2021-05-28 11:55:07'),(598,'应用JVM堆内存','micro_service','app_resource','app_resource_jvm_heap','{\"condition\":\"and\",\"filters\":[{\"operator\":\"eq\",\"tag\":\"name\",\"value\":\"heap_memory\"},{\"operator\":\"eq\",\"tag\":\"terminus_key\",\"value\":\"$terminus_key\"},{\"operator\":\"in\",\"tag\":\"application_id\",\"value\":[\"$application_id\"]}],\"functions\":[{\"aggregator\":\"avg\",\"field\":\"usage_percent\",\"field_script\":\"function invoke(field, tag){ return field.used / field.max * 100; }\",\"operator\":\"gte\",\"value\":75},{\"aggregator\":\"max\",\"alias\":\"used_value\",\"field\":\"used\"},{\"aggregator\":\"max\",\"alias\":\"max_value\",\"field\":\"max\"}],\"group\":[\"instance_id\"],\"metric\":\"jvm_memory\",\"outputs\":[\"alert\"],\"select\":{\"application_id\":\"#application_id\",\"application_name\":\"#application_name\",\"cluster_name\":\"#cluster_name\",\"host_ip\":\"#host_ip\",\"instance_id\":\"#instance_id\",\"project_id\":\"#project_id\",\"project_name\":\"#project_name\",\"runtime_id\":\"#runtime_id\",\"runtime_name\":\"#runtime_name\",\"service_name\":\"#service_name\",\"terminus_key\":\"#terminus_key\",\"workspace\":\"#workspace\"},\"window\":1}','{\"alert_group\":\"{{terminus_key}}-{{instance_id}}\",\"display_url_id\":\"micro_jvm\",\"level\":\"WARNING\",\"recover\":\"true\",\"tickets_metric_key\":\"{{instance_id}}\"}',0,'2021-05-28 11:55:06','2021-05-28 11:55:07'),(599,'应用NodeJS堆内存使用率','micro_service','app_resource','app_resource_nodejs_heap','{\"filters\":[{\"operator\":\"eq\",\"tag\":\"terminus_key\",\"value\":\"$terminus_key\"},{\"operator\":\"in\",\"tag\":\"application_id\",\"value\":[\"$application_id\"]}],\"functions\":[{\"aggregator\":\"avg\",\"field\":\"usage_percent\",\"field_script\":\"function invoke(field, tag){ if(!field.max) { return 0; } return field.rss / field.max * 100; }\",\"operator\":\"gte\",\"value\":75},{\"aggregator\":\"max\",\"alias\":\"heap_used_value\",\"field\":\"heap_used\"},{\"aggregator\":\"max\",\"alias\":\"heap_total_value\",\"field\":\"heap_total\"},{\"aggregator\":\"max\",\"alias\":\"rss_value\",\"field\":\"rss\"},{\"aggregator\":\"max\",\"alias\":\"max_value\",\"field\":\"max\"}],\"group\":[\"instance_id\"],\"metric\":\"nodejs_memory\",\"outputs\":[\"alert\"],\"select\":{\"application_id\":\"#application_id\",\"application_name\":\"#application_name\",\"cluster_name\":\"#cluster_name\",\"host_ip\":\"#host_ip\",\"instance_id\":\"#instance_id\",\"project_id\":\"#project_id\",\"project_name\":\"#project_name\",\"runtime_id\":\"#runtime_id\",\"runtime_name\":\"#runtime_name\",\"service_name\":\"#service_name\",\"terminus_key\":\"#terminus_key\",\"workspace\":\"#workspace\"},\"window\":1}','{\"alert_group\":\"{{terminus_key}}-{{instance_id}}\",\"display_url_id\":\"micro_nodejs\",\"level\":\"WARNING\",\"recover\":\"false\",\"tickets_metric_key\":\"{{instance_id}}\"}',0,'2021-05-28 11:55:06','2021-05-28 11:55:07'),(600,'页面内容改变','micro_service','app_status','app_status_browser','{\"alias\":\"status_page_browser\",\"filters\":[{\"operator\":\"eq\",\"tag\":\"terminus_key\",\"value\":\"$terminus_key\"},{\"operator\":\"eq\",\"tag\":\"type\",\"value\":\"browser\"}],\"functions\":[{\"aggregator\":\"min\",\"field\":\"diff_screenshot\",\"operator\":\"eq\",\"value\":false}],\"group\":[\"metric\"],\"metric\":\"status_page\",\"outputs\":[\"alert\"],\"select\":{\"metric_id\":\"#metric\",\"project_id\":\"#project_id\",\"project_name\":\"#project_name\",\"status_metric_name\":\"#metric_name\",\"terminus_key\":\"#terminus_key\",\"type\":\"#type\",\"url\":\"#url\",\"workspace\":\"#env\"},\"window\":1}','{\"alert_group\":\"{{terminus_key}}-{{metric_id}}\",\"display_url_id\":\"micro_status_detail\",\"level\":\"ERROR\",\"recover\":\"false\",\"tickets_metric_key\":\"{{metric_id}}\"}',0,'2021-05-28 11:55:06','2021-05-28 11:55:07'),(601,'主动监控HTTP状态异常','micro_service','app_status','app_status_code','{\"filters\":[{\"operator\":\"eq\",\"tag\":\"terminus_key\",\"value\":\"$terminus_key\"},{\"operator\":\"eq\",\"tag\":\"type\",\"value\":\"http\"}],\"functions\":[{\"aggregator\":\"sum\",\"field\":\"retry\"},{\"aggregator\":\"min\",\"field\":\"code\",\"operator\":\"gte\",\"value\":400}],\"group\":[\"metric\"],\"metric\":\"status_page\",\"outputs\":[\"alert\"],\"select\":{\"metric_id\":\"#metric\",\"project_id\":\"#project_id\",\"project_name\":\"#project_name\",\"status_metric_name\":\"#metric_name\",\"terminus_key\":\"#terminus_key\",\"type\":\"#type\",\"url\":\"#url\",\"workspace\":\"#env\"},\"window\":1}','{\"alert_group\":\"{{terminus_key}}-{{metric_id}}\",\"display_url_id\":\"micro_status_detail\",\"level\":\"ERROR\",\"recover\":\"true\",\"tickets_metric_key\":\"{{metric_id}}\"}',0,'2021-05-28 11:55:06','2021-05-28 11:55:07'),(602,'服务接口HTTP错误率异常','micro_service','app_transaction','app_transaction_http_path_error','{\"condition\":\"and\",\"filters\":[{\"operator\":\"eq\",\"tag\":\"target_terminus_key\",\"value\":\"$target_terminus_key\"},{\"operator\":\"in\",\"tag\":\"target_application_id\",\"value\":[\"$target_application_id\"]}],\"functions\":[{\"aggregator\":\"sum\",\"field\":\"elapsed_count\",\"operator\":\"gte\",\"value\":10},{\"aggregator\":\"sum\",\"field\":\"error_count\",\"field_script\":\"function invoke(field, tag){ if(field.http_status_code_mean \\u003c 500) { return 0; } return field.elapsed_count; }\"},{\"aggregator\":\"value\",\"field\":\"error_percent\",\"field_script\":\"function invoke(field, tag){ if(!field.elapsed_count_sum) return 0; return field.elapsed_count_sum === 0 ? 0 : (field.error_count_sum / field.elapsed_count_sum * 100);}\",\"operator\":\"gte\",\"trigger\":\"aggregated\",\"value\":50}],\"group\":[\"target_runtime_id\",\"target_service_name\",\"http_path\",\"http_method\"],\"metric\":\"application_http\",\"outputs\":[\"alert\"],\"select\":{\"application_id\":\"#target_application_id\",\"application_name\":\"#target_application_name\",\"http_method\":\"#http_method\",\"http_path\":\"#http_path\",\"http_url\":\"#http_url\",\"project_id\":\"#target_project_id\",\"project_name\":\"#target_project_name\",\"runtime_id\":\"#target_runtime_id\",\"runtime_name\":\"#target_runtime_name\",\"service_name\":\"#target_service_name\",\"terminus_key\":\"#target_terminus_key\",\"workspace\":\"#target_workspace\"},\"window\":1}','{\"alert_group\":\"{{target_terminus_key}}-{{target_runtime_id}}-{{target_service_name}}-{{http_path}}-{{http_method}}\",\"display_url_id\":\"micro_si_web\",\"level\":\"WARNING\",\"recover\":\"false\",\"tickets_metric_key\":\"{{target_application_id}}\"}',0,'2021-05-28 11:55:06','2021-05-28 11:55:07'),(603,'服务接口HTTP慢事务异常','micro_service','app_transaction','app_transaction_http_path_rt','{\"condition\":\"and\",\"filters\":[{\"operator\":\"eq\",\"tag\":\"target_terminus_key\",\"value\":\"$target_terminus_key\"},{\"operator\":\"in\",\"tag\":\"target_application_id\",\"value\":[\"$target_application_id\"]}],\"functions\":[{\"aggregator\":\"sum\",\"field\":\"elapsed\",\"field_script\":\"function invoke(field, tag){ return field.elapsed_sum / 1000000; }\"},{\"aggregator\":\"sum\",\"field\":\"elapsed_count\",\"operator\":\"gte\",\"value\":10},{\"aggregator\":\"value\",\"field\":\"elapsed_avg\",\"field_script\":\"function invoke(field, tag){ if(!field.elapsed_count_sum) return 0; return field.elapsed_count_sum === 0 ? 0 : (field.elapsed_sum / field.elapsed_count_sum);}\",\"operator\":\"gte\",\"trigger\":\"aggregated\",\"value\":3000}],\"group\":[\"target_runtime_id\",\"target_service_name\",\"http_path\",\"http_method\"],\"metric\":\"application_http\",\"outputs\":[\"alert\"],\"select\":{\"application_id\":\"#target_application_id\",\"application_name\":\"#target_application_name\",\"http_method\":\"#http_method\",\"http_path\":\"#http_path\",\"http_url\":\"#http_url\",\"project_id\":\"#target_project_id\",\"project_name\":\"#target_project_name\",\"runtime_id\":\"#target_runtime_id\",\"runtime_name\":\"#target_runtime_name\",\"service_name\":\"#target_service_name\",\"terminus_key\":\"#target_terminus_key\",\"workspace\":\"#target_workspace\"},\"window\":1}','{\"alert_group\":\"{{target_terminus_key}}-{{target_runtime_id}}-{{target_service_name}}-{{http_path}}-{{http_method}}\",\"display_url_id\":\"micro_si_web\",\"level\":\"WARNING\",\"recover\":\"false\",\"tickets_metric_key\":\"{{target_application_id}}\"}',0,'2021-05-28 11:55:06','2021-05-28 11:55:07'),(604,'服务HTTP错误率异常','micro_service','app_transaction','app_transaction_http_service_error','{\"condition\":\"and\",\"filters\":[{\"operator\":\"eq\",\"tag\":\"target_terminus_key\",\"value\":\"$target_terminus_key\"},{\"operator\":\"in\",\"tag\":\"target_application_id\",\"value\":[\"$target_application_id\"]}],\"functions\":[{\"aggregator\":\"sum\",\"field\":\"elapsed_count\"},{\"aggregator\":\"sum\",\"field\":\"error_count\",\"field_script\":\"function invoke(field, tag){ if(field.http_status_code_mean \\u003c 500) { return 0; } return field.elapsed_count; }\"},{\"aggregator\":\"value\",\"field\":\"error_percent\",\"field_script\":\"function invoke(field, tag){ if(!field.elapsed_count_sum) return 0; return field.elapsed_count_sum === 0 ? 0 : (field.error_count_sum / field.elapsed_count_sum * 100);}\",\"operator\":\"gte\",\"trigger\":\"aggregated\",\"value\":30}],\"group\":[\"target_runtime_id\",\"target_service_name\"],\"metric\":\"application_http\",\"outputs\":[\"alert\"],\"select\":{\"application_id\":\"#target_application_id\",\"application_name\":\"#target_application_name\",\"project_id\":\"#target_project_id\",\"project_name\":\"#target_project_name\",\"runtime_id\":\"#target_runtime_id\",\"runtime_name\":\"#target_runtime_name\",\"service_name\":\"#target_service_name\",\"terminus_key\":\"#target_terminus_key\",\"workspace\":\"#target_workspace\"},\"window\":1}','{\"alert_group\":\"{{target_terminus_key}}-{{target_runtime_id}}-{{target_service_name}}\",\"display_url_id\":\"micro_si_web\",\"level\":\"WARNING\",\"recover\":\"true\",\"tickets_metric_key\":\"{{target_application_id}}\"}',0,'2021-05-28 11:55:06','2021-05-28 11:55:07'),(605,'服务HTTP慢事务异常','micro_service','app_transaction','app_transaction_http_service_rt','{\"condition\":\"and\",\"filters\":[{\"operator\":\"eq\",\"tag\":\"target_terminus_key\",\"value\":\"$target_terminus_key\"},{\"operator\":\"in\",\"tag\":\"target_application_id\",\"value\":[\"$target_application_id\"]}],\"functions\":[{\"aggregator\":\"sum\",\"field\":\"elapsed\",\"field_script\":\"function invoke(field, tag){ return field.elapsed_sum / 1000000; }\"},{\"aggregator\":\"sum\",\"field\":\"elapsed_count\"},{\"aggregator\":\"value\",\"field\":\"elapsed_avg\",\"field_script\":\"function invoke(field, tag){ if(!field.elapsed_count_sum) return 0; return field.elapsed_count_sum === 0 ? 0 : (field.elapsed_sum / field.elapsed_count_sum);}\",\"operator\":\"gte\",\"trigger\":\"aggregated\",\"value\":1000}],\"group\":[\"target_runtime_id\",\"target_service_name\"],\"metric\":\"application_http\",\"outputs\":[\"alert\"],\"select\":{\"application_id\":\"#target_application_id\",\"application_name\":\"#target_application_name\",\"project_id\":\"#target_project_id\",\"project_name\":\"#target_project_name\",\"runtime_id\":\"#target_runtime_id\",\"runtime_name\":\"#target_runtime_name\",\"service_name\":\"#target_service_name\",\"terminus_key\":\"#target_terminus_key\",\"workspace\":\"#target_workspace\"},\"window\":1}','{\"alert_group\":\"{{target_terminus_key}}-{{target_runtime_id}}-{{target_service_name}}\",\"display_url_id\":\"micro_si_web\",\"level\":\"WARNING\",\"recover\":\"true\",\"tickets_metric_key\":\"{{target_application_id}}\"}',0,'2021-05-28 11:55:06','2021-05-28 11:55:07'),(606,'MySQL SLAVE DELAY ALERT','org','custom_addon','slave_dly_alert','{\"condition\":\"or\",\"filters\":[{\"operator\":\"in\",\"tag\":\"cluster_name\",\"value\":[\"$cluster_name\"]},{\"operator\":\"eq\",\"tag\":\"is_slave\",\"value\":\"true\"}],\"functions\":[{\"aggregator\":\"values\",\"field\":\"slave_slave_sql_running_state\",\"field_script\":\"function invoke(fields,tags){if (fields.slave_slave_sql_running_state == \'Slave has read all relay log; waiting for more updates\') {return \'no delay\'} return \'delay\';}\",\"operator\":\"all\",\"value\":\"delay\"},{\"aggregator\":\"max\",\"field\":\"slave_seconds_behind_master\",\"operator\":\"gt\",\"value\":1800}],\"group\":[\"addon_id\",\"server\"],\"metric\":\"mysql\",\"outputs\":[\"alert\"],\"select\":{\"addon_id\":\"#addon_id\",\"cluster_name\":\"#cluster_name\",\"server_id\":\"#server\"},\"window\":30}','{\"alert_group\":\"{{cluster_name}}-{{addon_id}}\",\"level\":\"WARNING\",\"recover\":\"false\"}',0,'2021-05-28 11:55:06','2021-05-28 11:55:07'),(607,'MySQL SLAVE SYNC ALERT','org','custom_addon','slave_sync_alert','{\"filters\":[{\"operator\":\"in\",\"tag\":\"cluster_name\",\"value\":[\"$cluster_name\"]},{\"operator\":\"eq\",\"tag\":\"is_slave\",\"value\":\"true\"}],\"functions\":[{\"aggregator\":\"max\",\"alias\":\"slave_slave_sync_ok_value\",\"field\":\"slave_slave_sync_ok\",\"field_script\":\"function invoke(fields,tags){if (fields.slave_slave_io_running == 0 || fields.slave_slave_sql_running == 0) {return 0} return 1}\",\"operator\":\"eq\",\"value\":0},{\"aggregator\":\"max\",\"alias\":\"slave_slave_io_running_value\",\"field\":\"slave_slave_io_running\"},{\"aggregator\":\"max\",\"alias\":\"slave_slave_sql_running_value\",\"field\":\"slave_slave_sql_running\"}],\"group\":[\"addon_id\",\"server\"],\"metric\":\"mysql\",\"outputs\":[\"alert\"],\"select\":{\"addon_id\":\"#addon_id\",\"cluster_name\":\"#cluster_name\",\"server_id\":\"#server\"},\"window\":1}','{\"alert_group\":\"{{cluster_name}}-{{addon_id}}\",\"level\":\"WARNING\",\"recover\":\"false\"}',0,'2021-05-28 11:55:06','2021-05-28 11:55:07'),(608,'平台中间件Cassandra GC次数异常','org','dice_addon','dice_addon_cassandra_gc_count','{\"filters\":[{\"operator\":\"in\",\"tag\":\"cluster_name\",\"value\":[\"$cluster_name\"]},{\"operator\":\"eq\",\"tag\":\"addon_id\",\"value\":\"cassandra\"},{\"operator\":\"like\",\"tag\":\"name\",\"value\":\"Old\"}],\"functions\":[{\"aggregator\":\"min\",\"field\":\"CollectionCount_min\",\"field_script\":\"function invoke(fields,tags){return fields.CollectionCount;}\"},{\"aggregator\":\"max\",\"field\":\"CollectionCount_max\",\"field_script\":\"function invoke(fields,tags){return fields.CollectionCount;}\"},{\"aggregator\":\"value\",\"field\":\"CollectionCount_win\",\"field_script\":\"function invoke(fields,tags){return fields.CollectionCount_max-fields.CollectionCount_min;}\",\"operator\":\"gte\",\"trigger\":\"aggregated\",\"value\":10}],\"group\":[\"cluster_name\",\"node_id\"],\"metrics\":[\"addon_java_GarbageCollector\"],\"outputs\":[\"alert\"],\"select\":{\"addon_id\":\"#addon_id\",\"addon_type\":\"#addon_type\",\"cluster_name\":\"#cluster_name\",\"node_host\":\"#jolokia_host\"},\"window\":3}','{\"alert_group\":\"{{cluster_name}}-{{addon_id}}\",\"display_url_id\":\"org_addon\",\"level\":\"WARNING\",\"recover\":\"false\",\"tickets_metric_key\":\"{{addon_id}}\"}',0,'2021-05-28 11:55:06','2021-05-28 11:55:07'),(609,'平台中间件Cassandra GC耗时异常','org','dice_addon','dice_addon_cassandra_gc_time','{\"filters\":[{\"operator\":\"in\",\"tag\":\"cluster_name\",\"value\":[\"$cluster_name\"]},{\"operator\":\"eq\",\"tag\":\"addon_id\",\"value\":\"cassandra\"},{\"operator\":\"like\",\"tag\":\"name\",\"value\":\"Old\"}],\"functions\":[{\"aggregator\":\"min\",\"field\":\"CollectionTime_min\",\"field_script\":\"function invoke(fields,tags){return fields.CollectionTime;}\"},{\"aggregator\":\"max\",\"field\":\"CollectionTime_max\",\"field_script\":\"function invoke(fields,tags){return fields.CollectionTime;}\"},{\"aggregator\":\"value\",\"field\":\"CollectionTime_win\",\"field_script\":\"function invoke(fields,tags){return fields.CollectionTime_max-fields.CollectionTime_min;}\",\"operator\":\"gte\",\"trigger\":\"aggregated\",\"value\":15000}],\"group\":[\"cluster_name\",\"node_id\"],\"metrics\":[\"addon_java_GarbageCollector\"],\"outputs\":[\"alert\"],\"select\":{\"addon_id\":\"#addon_id\",\"addon_type\":\"#addon_type\",\"cluster_name\":\"#cluster_name\",\"node_host\":\"#jolokia_host\"},\"window\":3}','{\"alert_group\":\"{{cluster_name}}-{{addon_id}}\",\"display_url_id\":\"org_addon\",\"level\":\"WARNING\",\"recover\":\"false\",\"tickets_metric_key\":\"{{addon_id}}\"}',0,'2021-05-28 11:55:06','2021-05-28 11:55:07'),(610,'平台中间件实例CPU状态','org','dice_addon','dice_addon_container_cpu','{\"filters\":[{\"operator\":\"in\",\"tag\":\"cluster_name\",\"value\":[\"$cluster_name\"]},{\"operator\":\"eq\",\"tag\":\"pod_namespace\",\"value\":\"default\"},{\"operator\":\"any\",\"tag\":\"addon_id\"}],\"functions\":[{\"aggregator\":\"avg\",\"field\":\"cpu_usage_percent\",\"field_script\":\"function invoke(fields,tags){return fields.cpu_limit===0?fields.cpu_usage_percent:fields.cpu_usage_percent/fields.cpu_limit}\",\"operator\":\"gte\",\"value\":95},{\"aggregator\":\"max\",\"alias\":\"cpu_limit_value\",\"field\":\"cpu_limit\"},{\"aggregator\":\"max\",\"alias\":\"cpu_allocation_value\",\"field\":\"cpu_allocation\"}],\"group\":[\"cluster_name\",\"container_id\"],\"metrics\":[\"docker_container_summary\"],\"outputs\":[\"alert\"],\"select\":{\"addon_id\":\"#addon_id\",\"cluster_name\":\"#cluster_name\",\"container_id\":\"#container_id\",\"host_ip\":\"#host_ip\",\"pod_name\":\"#pod_name\",\"pod_namespace\":\"#pod_namespace\"},\"window\":2}','{\"alert_group\":\"{{cluster_name}}-{{container_id}}\",\"level\":\"WARNING\",\"recover\":\"false\",\"tickets_metric_key\":\"{{container_id}}\"}',0,'2021-05-28 11:55:06','2021-05-28 11:55:07'),(611,'平台中间件异常退出','org','dice_addon','dice_addon_container_exit','{\"filters\":[{\"operator\":\"in\",\"tag\":\"cluster_name\",\"value\":[\"$cluster_name\"]},{\"operator\":\"eq\",\"tag\":\"pod_namespace\",\"value\":\"default\"},{\"operator\":\"any\",\"tag\":\"addon_id\"}],\"functions\":[{\"aggregator\":\"max\",\"field\":\"exitcode\",\"operator\":\"gt\",\"value\":0},{\"aggregator\":\"max\",\"field\":\"oomkilled\"},{\"aggregator\":\"value\",\"field\":\"pid\"},{\"aggregator\":\"max\",\"field\":\"finished_at\",\"field_script\":\"function invoke(fields,tags){if(fields.finished_at!=null\\u0026\\u0026fields.finished_at!=undefined) return fields.finished_at/1000000;return 0}\"},{\"aggregator\":\"max\",\"field\":\"started_at\",\"field_script\":\"function invoke(fields,tags){if(fields.started_at!=null\\u0026\\u0026fields.started_at!=undefined) return fields.started_at/1000000;return 0}\"},{\"aggregator\":\"value\",\"field\":\"finished_at\",\"field_script\":\"function invoke(fields,tags){if(fields.finished_at_max\\u003e0) return fields.finished_at_max;return \'-\'}\",\"trigger\":\"aggregated\"},{\"aggregator\":\"value\",\"field\":\"started_at\",\"field_script\":\"function invoke(fields,tags){if(fields.started_at_max\\u003e0) return fields.started_at_max;return \'-\'}\",\"trigger\":\"aggregated\"},{\"aggregator\":\"value\",\"field\":\"terminated_reason\",\"field_script\":\"function invoke(fields,tags){if(fields.oomkilled) return \'Out Of Memory\';return \'Error Exit Code \'+fields.exitcode_max;}\",\"trigger\":\"aggregated\"}],\"group\":[\"cluster_name\",\"pod_namespace\",\"pod_name\"],\"metrics\":[\"docker_container_summary\"],\"outputs\":[\"alert\"],\"select\":{\"addon_id\":\"#addon_id\",\"cluster_name\":\"#cluster_name\",\"container_id\":\"#container_id\",\"host_ip\":\"#host_ip\",\"pod_name\":\"#pod_name\",\"pod_namespace\":\"#pod_namespace\"},\"window\":1}','{\"alert_group\":\"{{cluster_name}}-{{container_id}}\",\"display_url_id\":\"org_pod\",\"level\":\"WARNING\",\"recover\":\"false\",\"tickets_metric_key\":\"{{container_id}}\"}',0,'2021-05-28 11:55:06','2021-05-28 11:55:07'),(612,'平台中间件实例内存状态','org','dice_addon','dice_addon_container_mem','{\"filters\":[{\"operator\":\"in\",\"tag\":\"cluster_name\",\"value\":[\"$cluster_name\"]},{\"operator\":\"eq\",\"tag\":\"pod_namespace\",\"value\":\"default\"},{\"operator\":\"any\",\"tag\":\"addon_id\"}],\"functions\":[{\"aggregator\":\"avg\",\"field\":\"mem_usage_percent\",\"operator\":\"gt\",\"value\":80},{\"aggregator\":\"max\",\"alias\":\"mem_usage_value\",\"field\":\"mem_usage\"},{\"aggregator\":\"max\",\"alias\":\"mem_limit_value\",\"field\":\"mem_limit\"},{\"aggregator\":\"max\",\"alias\":\"mem_max_value\",\"field\":\"mem_max_usage\"},{\"aggregator\":\"max\",\"alias\":\"mem_allocation_value\",\"field\":\"mem_allocation\"}],\"group\":[\"cluster_name\",\"container_id\"],\"metrics\":[\"docker_container_summary\"],\"outputs\":[\"alert\"],\"select\":{\"addon_id\":\"#addon_id\",\"cluster_name\":\"#cluster_name\",\"container_id\":\"#container_id\",\"host_ip\":\"#host_ip\",\"pod_name\":\"#pod_name\",\"pod_namespace\":\"#pod_namespace\"},\"window\":2}','{\"alert_group\":\"{{cluster_name}}-{{container_id}}\",\"level\":\"WARNING\",\"recover\":\"false\",\"tickets_metric_key\":\"{{container_id}}\"}',0,'2021-05-28 11:55:06','2021-05-28 11:55:07'),(613,'平台中间件实例Ready状态异常','org','dice_addon','dice_addon_container_ready','{\"filters\":[{\"operator\":\"in\",\"tag\":\"cluster_name\",\"value\":[\"$cluster_name\"]},{\"operator\":\"eq\",\"tag\":\"namespace\",\"value\":\"default\"},{\"operator\":\"any\",\"tag\":\"addon_id\"}],\"functions\":[{\"aggregator\":\"avg\",\"field\":\"not_ready_avg\",\"field_script\":\"function invoke(fields,tags){if(tags.daemonset_name){return fields.number_unavailable}else{if(tags.statefulset_name){return fields.replicas-fields.replicas_ready}else{if(tags.deployment_name){return fields.replicas_unavailable}}}return 0}\",\"operator\":\"gt\",\"value\":0},{\"aggregator\":\"max\",\"alias\":\"not_ready_value\",\"field\":\"not_ready\",\"field_script\":\"function invoke(fields,tags){if(tags.daemonset_name){return fields.number_unavailable}else{if(tags.statefulset_name){return fields.replicas-fields.replicas_ready}else{if(tags.deployment_name){return fields.replicas_unavailable}}}return 0}\"},{\"aggregator\":\"max\",\"alias\":\"ready_value\",\"field\":\"ready\",\"field_script\":\"function invoke(fields,tags){if(tags.daemonset_name){return fields.number_available}else{if(tags.statefulset_name){return fields.replicas_ready}else{if(tags.deployment_name){return fields.replicas_available}}}return 0}\"},{\"aggregator\":\"max\",\"alias\":\"total_value\",\"field\":\"total\",\"field_script\":\"function invoke(fields,tags){if(tags.daemonset_name){return fields.number_unavailable+fields.number_available}else{if(tags.statefulset_name){return fields.replicas}else{if(tags.deployment_name){return fields.replicas_unavailable+fields.replicas_available}}}return 0}\"},{\"aggregator\":\"value\",\"field\":\"resource_name\",\"field_script\":\"function invoke(fields,tags){if(tags.daemonset_name){return tags.daemonset_name}else{if(tags.statefulset_name){return tags.statefulset_name}else{if(tags.deployment_name){return tags.deployment_name}}}return null};\"}],\"group\":[\"cluster_name\",\"namespace\",\"daemonset_name\",\"statefulset_name\",\"deployment_name\"],\"metrics\":[\"kubernetes_daemonset\",\"kubernetes_statefulset\",\"kubernetes_deployment\"],\"outputs\":[\"alert\"],\"select\":{\"addon_id\":\"#addon_id\",\"cluster_name\":\"#cluster_name\",\"daemonset_name\":\"#daemonset_name\",\"deployment_name\":\"#deployment_name\",\"namespace\":\"#namespace\",\"statefulset_name\":\"#statefulset_name\"},\"window\":1}','{\"alert_group\":\"{{cluster_name}}-{{daemonset_name}}-{{statefulset_name}}-{{deployment_name}}\",\"level\":\"WARNING\",\"recover\":\"false\",\"tickets_metric_key\":\"{{daemonset_name}}-{{statefulset_name}}-{{deployment_name}}\"}',0,'2021-05-28 11:55:06','2021-05-28 11:55:07'),(614,'平台中间件Elasticsearch GC次数异常','org','dice_addon','dice_addon_elasticsearch_gc_count','{\"filters\":[{\"operator\":\"in\",\"tag\":\"cluster_name\",\"value\":[\"$cluster_name\"]},{\"operator\":\"eq\",\"tag\":\"addon_id\",\"value\":\"elasticsearch\"}],\"functions\":[{\"aggregator\":\"min\",\"field\":\"gc_collectors_old_collection_count\"},{\"aggregator\":\"max\",\"field\":\"gc_collectors_old_collection_count\"},{\"aggregator\":\"value\",\"field\":\"gc_collectors_old_collection_count_win\",\"field_script\":\"function invoke(fields,tags){return fields.gc_collectors_old_collection_count_max-fields.gc_collectors_old_collection_count_min;}\",\"operator\":\"gte\",\"trigger\":\"aggregated\",\"value\":10}],\"group\":[\"cluster_name\",\"node_id\"],\"metrics\":[\"elasticsearch_jvm\"],\"outputs\":[\"alert\"],\"select\":{\"addon_id\":\"#addon_id\",\"addon_type\":\"#addon_type\",\"cluster_name\":\"#cluster_name\",\"node_host\":\"#node_host\",\"node_id\":\"#node_id\",\"node_name\":\"#node_name\"},\"window\":3}','{\"alert_group\":\"{{cluster_name}}-{{addon_id}}\",\"display_url_id\":\"org_addon\",\"level\":\"WARNING\",\"recover\":\"false\",\"tickets_metric_key\":\"{{addon_id}}\"}',0,'2021-05-28 11:55:06','2021-05-28 11:55:07'),(615,'平台中间件Elasticsearch GC耗时异常','org','dice_addon','dice_addon_elasticsearch_gc_time','{\"filters\":[{\"operator\":\"in\",\"tag\":\"cluster_name\",\"value\":[\"$cluster_name\"]},{\"operator\":\"eq\",\"tag\":\"addon_id\",\"value\":\"elasticsearch\"}],\"functions\":[{\"aggregator\":\"min\",\"field\":\"gc_collectors_old_collection_time_in_millis\"},{\"aggregator\":\"max\",\"field\":\"gc_collectors_old_collection_time_in_millis\"},{\"aggregator\":\"value\",\"field\":\"gc_collectors_old_collection_time_in_millis_win\",\"field_script\":\"function invoke(fields,tags){return fields.gc_collectors_old_collection_time_in_millis_max-fields.gc_collectors_old_collection_time_in_millis_min;}\",\"operator\":\"gte\",\"trigger\":\"aggregated\",\"value\":15000}],\"group\":[\"cluster_name\",\"node_id\"],\"metrics\":[\"elasticsearch_jvm\"],\"outputs\":[\"alert\"],\"select\":{\"addon_id\":\"#addon_id\",\"addon_type\":\"#addon_type\",\"cluster_name\":\"#cluster_name\",\"node_host\":\"#node_host\",\"node_id\":\"#node_id\",\"node_name\":\"#node_name\"},\"window\":3}','{\"alert_group\":\"{{cluster_name}}-{{addon_id}}\",\"display_url_id\":\"org_addon\",\"level\":\"WARNING\",\"recover\":\"false\",\"tickets_metric_key\":\"{{addon_id}}\"}',0,'2021-05-28 11:55:06','2021-05-28 11:55:07'),(616,'平台中间件Kafka GC次数异常','org','dice_addon','dice_addon_kafka_gc_count','{\"filters\":[{\"operator\":\"in\",\"tag\":\"cluster_name\",\"value\":[\"$cluster_name\"]},{\"operator\":\"eq\",\"tag\":\"addon_id\",\"value\":\"kafka\"},{\"operator\":\"like\",\"tag\":\"name\",\"value\":\"Old\"}],\"functions\":[{\"aggregator\":\"min\",\"field\":\"CollectionCount\"},{\"aggregator\":\"max\",\"field\":\"CollectionCount\"},{\"aggregator\":\"value\",\"field\":\"CollectionCount_win\",\"field_script\":\"function invoke(fields,tags){return fields.CollectionCount_max-fields.CollectionCount_min;}\",\"operator\":\"gte\",\"trigger\":\"aggregated\",\"value\":10}],\"group\":[\"cluster_name\",\"node_id\"],\"metrics\":[\"addon_java_GarbageCollector\"],\"outputs\":[\"alert\"],\"select\":{\"addon_id\":\"#addon_id\",\"addon_type\":\"#addon_type\",\"cluster_name\":\"#cluster_name\",\"node_host\":\"#jolokia_host\"},\"window\":3}','{\"alert_group\":\"{{cluster_name}}-{{addon_id}}\",\"display_url_id\":\"org_addon\",\"level\":\"WARNING\",\"recover\":\"false\",\"tickets_metric_key\":\"{{addon_id}}\"}',0,'2021-05-28 11:55:06','2021-05-28 11:55:07'),(617,'平台中间件Kafka GC耗时异常','org','dice_addon','dice_addon_kafka_gc_time','{\"filters\":[{\"operator\":\"in\",\"tag\":\"cluster_name\",\"value\":[\"$cluster_name\"]},{\"operator\":\"eq\",\"tag\":\"addon_id\",\"value\":\"kafka\"},{\"operator\":\"like\",\"tag\":\"name\",\"value\":\"Old\"}],\"functions\":[{\"aggregator\":\"min\",\"field\":\"CollectionTime\"},{\"aggregator\":\"max\",\"field\":\"CollectionTime\"},{\"aggregator\":\"value\",\"field\":\"CollectionTime_win\",\"field_script\":\"function invoke(fields,tags){return fields.CollectionTime_max-fields.CollectionTime_min;}\",\"operator\":\"gte\",\"trigger\":\"aggregated\",\"value\":15000}],\"group\":[\"cluster_name\",\"node_id\"],\"metrics\":[\"addon_java_GarbageCollector\"],\"outputs\":[\"alert\"],\"select\":{\"addon_id\":\"#addon_id\",\"addon_type\":\"#addon_type\",\"cluster_name\":\"#cluster_name\",\"node_host\":\"#jolokia_host\"},\"window\":3}','{\"alert_group\":\"{{cluster_name}}-{{addon_id}}\",\"display_url_id\":\"org_addon\",\"level\":\"WARNING\",\"recover\":\"false\",\"tickets_metric_key\":\"{{addon_id}}\"}',0,'2021-05-28 11:55:06','2021-05-28 11:55:07'),(618,'平台中间件kafka消费堆积','org','dice_addon','dice_addon_kafka_lag','{\"filters\":[{\"operator\":\"in\",\"tag\":\"cluster_name\",\"value\":[\"$cluster_name\"]},{\"operator\":\"eq\",\"tag\":\"addon_id\",\"value\":\"kafka\"}],\"functions\":[{\"aggregator\":\"avg\",\"field\":\"lag\",\"operator\":\"gte\",\"value\":100000},{\"aggregator\":\"avg\",\"field\":\"consume_rate_per_sec\"},{\"aggregator\":\"avg\",\"field\":\"produce_rate_per_sec\"}],\"group\":[\"cluster_name\",\"addon_id\",\"group\",\"topic\"],\"metrics\":[\"kafka_consumer\"],\"outputs\":[\"alert\"],\"select\":{\"addon_id\":\"#addon_id\",\"addon_type\":\"#addon_type\",\"cluster_name\":\"#cluster_name\",\"group\":\"#group\",\"topic\":\"#topic\"},\"window\":3}','{\"alert_group\":\"{{cluster_name}}-{{group}}-{{topic}}\",\"display_url_id\":\"org_addon\",\"level\":\"WARNING\",\"recover\":\"false\",\"tickets_metric_key\":\"{{group}}-{{topic}}\"}',0,'2021-05-28 11:55:06','2021-05-28 11:55:07'),(619,'平台组件实例CPU状态','org','dice_component','dice_component_container_cpu','{\"filters\":[{\"operator\":\"in\",\"tag\":\"cluster_name\",\"value\":[\"$cluster_name\"]},{\"operator\":\"eq\",\"tag\":\"pod_namespace\",\"value\":\"default\"},{\"operator\":\"any\",\"tag\":\"component_name\"}],\"functions\":[{\"aggregator\":\"avg\",\"field\":\"cpu_usage_percent\",\"field_script\":\"function invoke(fields,tags){return fields.cpu_limit===0?fields.cpu_usage_percent:fields.cpu_usage_percent/fields.cpu_limit}\",\"operator\":\"gte\",\"value\":95},{\"aggregator\":\"max\",\"alias\":\"cpu_limit_value\",\"field\":\"cpu_limit\"},{\"aggregator\":\"max\",\"alias\":\"cpu_allocation_value\",\"field\":\"cpu_allocation\"}],\"group\":[\"cluster_name\",\"container_id\"],\"metrics\":[\"docker_container_summary\"],\"outputs\":[\"alert\"],\"select\":{\"cluster_name\":\"#cluster_name\",\"component_name\":\"#component_name\",\"container_id\":\"#container_id\",\"host_ip\":\"#host_ip\",\"pod_name\":\"#pod_name\",\"pod_namespace\":\"#pod_namespace\"},\"window\":2}','{\"alert_group\":\"{{cluster_name}}-{{container_id}}\",\"level\":\"WARNING\",\"recover\":\"false\",\"tickets_metric_key\":\"{{container_id}}\"}',0,'2021-05-28 11:55:06','2021-05-28 11:55:07'),(620,'平台组件异常退出','org','dice_component','dice_component_container_exit','{\"filters\":[{\"operator\":\"in\",\"tag\":\"cluster_name\",\"value\":[\"$cluster_name\"]},{\"operator\":\"eq\",\"tag\":\"pod_namespace\",\"value\":\"default\"},{\"operator\":\"any\",\"tag\":\"component_name\"}],\"functions\":[{\"aggregator\":\"max\",\"field\":\"exitcode\",\"operator\":\"gt\",\"value\":0},{\"aggregator\":\"max\",\"field\":\"oomkilled\"},{\"aggregator\":\"value\",\"field\":\"pid\"},{\"aggregator\":\"max\",\"field\":\"finished_at\",\"field_script\":\"function invoke(fields,tags){if(fields.finished_at!=null\\u0026\\u0026fields.finished_at!=undefined) return fields.finished_at/1000000;return 0}\"},{\"aggregator\":\"max\",\"field\":\"started_at\",\"field_script\":\"function invoke(fields,tags){if(fields.started_at!=null\\u0026\\u0026fields.started_at!=undefined) return fields.started_at/1000000;return 0}\"},{\"aggregator\":\"value\",\"field\":\"finished_at\",\"field_script\":\"function invoke(fields,tags){if(fields.finished_at_max\\u003e0) return fields.finished_at_max;return \'-\'}\",\"trigger\":\"aggregated\"},{\"aggregator\":\"value\",\"field\":\"started_at\",\"field_script\":\"function invoke(fields,tags){if(fields.started_at_max\\u003e0) return fields.started_at_max;return \'-\'}\",\"trigger\":\"aggregated\"},{\"aggregator\":\"value\",\"field\":\"terminated_reason\",\"field_script\":\"function invoke(fields,tags){if(fields.oomkilled) return \'Out Of Memory\';return \'Error Exit Code \'+fields.exitcode_max;}\",\"trigger\":\"aggregated\"}],\"group\":[\"cluster_name\",\"container_id\"],\"metrics\":[\"docker_container_summary\"],\"outputs\":[\"alert\"],\"select\":{\"cluster_name\":\"#cluster_name\",\"component_name\":\"#component_name\",\"container_id\":\"#container_id\",\"host_ip\":\"#host_ip\",\"pod_name\":\"#pod_name\",\"pod_namespace\":\"#pod_namespace\"},\"window\":1}','{\"alert_group\":\"{{cluster_name}}-{{container_id}}\",\"display_url_id\":\"org_pod\",\"level\":\"WARNING\",\"recover\":\"false\",\"tickets_metric_key\":\"{{container_id}}\"}',0,'2021-05-28 11:55:06','2021-05-28 11:55:07'),(621,'平台组件实例内存状态','org','dice_component','dice_component_container_mem','{\"filters\":[{\"operator\":\"in\",\"tag\":\"cluster_name\",\"value\":[\"$cluster_name\"]},{\"operator\":\"eq\",\"tag\":\"pod_namespace\",\"value\":\"default\"},{\"operator\":\"any\",\"tag\":\"component_name\"}],\"functions\":[{\"aggregator\":\"avg\",\"field\":\"mem_usage_percent\",\"operator\":\"gt\",\"value\":70},{\"aggregator\":\"max\",\"alias\":\"mem_usage_value\",\"field\":\"mem_usage\"},{\"aggregator\":\"max\",\"alias\":\"mem_limit_value\",\"field\":\"mem_limit\"},{\"aggregator\":\"max\",\"alias\":\"mem_max_usage_value\",\"field\":\"mem_max_usage\"},{\"aggregator\":\"max\",\"alias\":\"mem_allocation_value\",\"field\":\"mem_allocation\"}],\"group\":[\"cluster_name\",\"container_id\"],\"metrics\":[\"docker_container_summary\"],\"outputs\":[\"alert\"],\"select\":{\"cluster_name\":\"#cluster_name\",\"component_name\":\"#component_name\",\"container_id\":\"#container_id\",\"host_ip\":\"#host_ip\",\"pod_name\":\"#pod_name\",\"pod_namespace\":\"#pod_namespace\"},\"window\":2}','{\"alert_group\":\"{{cluster_name}}-{{container_id}}\",\"level\":\"WARNING\",\"recover\":\"false\",\"tickets_metric_key\":\"{{container_id}}\"}',0,'2021-05-28 11:55:06','2021-05-28 11:55:07'),(622,'平台组件实例Ready状态异常','org','dice_component','dice_component_container_ready','{\"filters\":[{\"operator\":\"in\",\"tag\":\"cluster_name\",\"value\":[\"$cluster_name\"]},{\"operator\":\"eq\",\"tag\":\"namespace\",\"value\":\"default\"},{\"operator\":\"any\",\"tag\":\"component_name\"}],\"functions\":[{\"aggregator\":\"avg\",\"field\":\"not_ready_avg\",\"field_script\":\"function invoke(fields,tags){if(tags.daemonset_name){return fields.number_unavailable}else{if(tags.statefulset_name){return fields.replicas-fields.replicas_ready}else{if(tags.deployment_name){return fields.replicas_unavailable}}}return 0}\",\"operator\":\"gt\",\"value\":0},{\"aggregator\":\"max\",\"alias\":\"not_ready_value\",\"field\":\"not_ready\",\"field_script\":\"function invoke(fields,tags){if(tags.daemonset_name){return fields.number_unavailable}else{if(tags.statefulset_name){return fields.replicas-fields.replicas_ready}else{if(tags.deployment_name){return fields.replicas_unavailable}}}return 0}\"},{\"aggregator\":\"max\",\"alias\":\"ready_value\",\"field\":\"ready\",\"field_script\":\"function invoke(fields,tags){if(tags.daemonset_name){return fields.number_available}else{if(tags.statefulset_name){return fields.replicas_ready}else{if(tags.deployment_name){return fields.replicas_available}}}return 0}\"},{\"aggregator\":\"max\",\"alias\":\"total_value\",\"field\":\"total\",\"field_script\":\"function invoke(fields,tags){if(tags.daemonset_name){return fields.number_unavailable+fields.number_available}else{if(tags.statefulset_name){return fields.replicas}else{if(tags.deployment_name){return fields.replicas_unavailable+fields.replicas_available}}}return 0}\"},{\"aggregator\":\"value\",\"field\":\"resource_name\",\"field_script\":\"function invoke(fields,tags){if(tags.daemonset_name){return tags.daemonset_name}else{if(tags.statefulset_name){return tags.statefulset_name}else{if(tags.deployment_name){return tags.deployment_name}}}return null};\"}],\"group\":[\"cluster_name\",\"namespace\",\"daemonset_name\",\"statefulset_name\",\"deployment_name\"],\"metrics\":[\"kubernetes_daemonset\",\"kubernetes_statefulset\",\"kubernetes_deployment\"],\"outputs\":[\"alert\"],\"select\":{\"cluster_name\":\"#cluster_name\",\"component_name\":\"#component_name\",\"daemonset_name\":\"#daemonset_name\",\"deployment_name\":\"#deployment_name\",\"namespace\":\"#namespace\",\"statefulset_name\":\"#statefulset_name\"},\"window\":3}','{\"alert_group\":\"{{cluster_name}}-{{daemonset_name}}-{{statefulset_name}}-{{deployment_name}}\",\"level\":\"WARNING\",\"recover\":\"false\",\"tickets_metric_key\":\"{{daemonset_name}}-{{statefulset_name}}-{{deployment_name}}\"}',0,'2021-05-28 11:55:06','2021-05-28 11:55:07'),(623,'平台组件Flink任务checkpoint延迟异常告警','org','dice_component','dice_component_flink_checkpoint_duration','{\"filters\":[{\"operator\":\"in\",\"tag\":\"cluster_name\",\"value\":[\"$cluster_name\"]}],\"functions\":[{\"aggregator\":\"max\",\"alias\":\"lastCheckpointDuration_value\",\"field\":\"lastCheckpointDuration\",\"operator\":\"gte\",\"value\":3000}],\"group\":[\"cluster_name\",\"container_id\",\"job_id\"],\"metric\":\"flink_jm_job\",\"outputs\":[\"alert\"],\"select\":{\"cluster_name\":\"#cluster_name\",\"host_ip\":\"#host_ip\",\"job_id\":\"#job_id\"},\"window\":1}','{\"alert_group\":\"{{cluster_name}}-{{container_id}}-{{job_id}}\",\"level\":\"WARNING\",\"recover\":\"false\",\"tickets_metric_key\":\"{{container_id}}-{{job_id}}\"}',0,'2021-05-28 11:55:06','2021-05-28 11:55:07'),(624,'平台组件Flink吞吐量异常告警','org','dice_component','dice_component_flink_throughput','{\"filters\":[{\"operator\":\"in\",\"tag\":\"cluster_name\",\"value\":[\"$cluster_name\"]}],\"functions\":[{\"aggregator\":\"max\",\"alias\":\"numRecordsOutPerSecond_count_value\",\"field\":\"numRecordsOutPerSecond_count\",\"operator\":\"eq\",\"value\":0}],\"group\":[\"cluster_name\",\"container_id\",\"job_id\",\"task_id\",\"subtask_index\",\"operator_id\"],\"metric\":\"flink_tm_operator\",\"outputs\":[\"alert\"],\"select\":{\"cluster_name\":\"#cluster_name\",\"host_ip\":\"#host_ip\",\"job_id\":\"#job_id\",\"operator_id\":\"#operator_id\",\"subtask_index\":\"#subtask_index\",\"tm_id\":\"#tm_id\"},\"window\":1}','{\"alert_group\":\"{{cluster_name}}-{{container_id}}-{{job_id}}\",\"level\":\"WARNING\",\"recover\":\"false\",\"tickets_metric_key\":\"{{container_id}}-{{job_id}}\"}',0,'2021-05-28 11:55:06','2021-05-28 11:55:07'),(625,'平台组件网盘不可用告警','org','dice_component','dice_component_gfs_status','{\"filters\":[{\"operator\":\"in\",\"tag\":\"cluster_name\",\"value\":[\"$cluster_name\"]}],\"functions\":[{\"aggregator\":\"values\",\"field\":\"status\",\"operator\":\"all\",\"value\":\"Disconnected\"}],\"group\":[\"cluster_name\",\"host_ip\"],\"metric\":\"glusterfs\",\"outputs\":[\"alert\"],\"select\":{\"cluster_name\":\"#cluster_name\",\"component_name\":\"#component_name\",\"host_ip\":\"#host_ip\",\"node_uuid\":\"#node_uuid\"},\"window\":5}','{\"alert_group\":\"{{cluster_name}}\",\"level\":\"WARNING\",\"recover\":\"false\",\"tickets_metric_key\":\"{{cluster_name}}\"}',0,'2021-05-28 11:55:06','2021-05-28 11:55:07'),(626,'平台组价日志存储保护器状态变化','org','dice_component','dice_component_log_protector','{\"filters\":[{\"operator\":\"in\",\"tag\":\"cluster_name\",\"value\":[\"$cluster_name\"]},{\"operator\":\"eq\",\"tag\":\"field\",\"value\":\"log_store_protector_triggered\"}],\"functions\":[{\"aggregator\":\"value\",\"field\":\"triggered\",\"operator\":\"eq\",\"value\":1}],\"group\":[\"cluster_name\"],\"metric\":\"dice_monitor\",\"outputs\":[\"alert\"],\"select\":{\"cluster_name\":\"#cluster_name\",\"cur_level\":\"#cur_level\",\"pre_level\":\"#pre_level\"},\"window\":1}','{\"alert_group\":\"{{cluster_name}}\",\"level\":\"WARNING\",\"recover\":\"false\",\"tickets_metric_key\":\"{{cluster_name}}\"}',0,'2021-05-28 11:55:06','2021-05-28 11:55:07'),(627,'kubernetes组件实例CPU状态','org','kubernetes','kubernetes_instance_cpu','{\"filters\":[{\"operator\":\"in\",\"tag\":\"cluster_name\",\"value\":[\"$cluster_name\"]},{\"operator\":\"eq\",\"tag\":\"pod_namespace\",\"value\":\"kube-system\"}],\"functions\":[{\"aggregator\":\"avg\",\"field\":\"cpu_usage_percent\",\"field_script\":\"function invoke(fields,tags){return fields.cpu_limit===0?fields.cpu_usage_percent:fields.cpu_usage_percent/fields.cpu_limit}\",\"operator\":\"gte\",\"value\":95},{\"aggregator\":\"max\",\"alias\":\"cpu_limit_value\",\"field\":\"cpu_limit\"},{\"aggregator\":\"max\",\"alias\":\"cpu_allocation_value\",\"field\":\"cpu_allocation\"}],\"group\":[\"cluster_name\",\"container_id\"],\"metrics\":[\"docker_container_summary\"],\"outputs\":[\"alert\"],\"select\":{\"cluster_name\":\"#cluster_name\",\"container_id\":\"#container_id\",\"host_ip\":\"#host_ip\",\"pod_name\":\"#pod_name\",\"pod_namespace\":\"#pod_namespace\"},\"window\":2}','{\"alert_group\":\"{{cluster_name}}-{{container_id}}\",\"level\":\"WARNING\",\"recover\":\"false\",\"tickets_metric_key\":\"{{container_id}}\"}',0,'2021-05-28 11:55:06','2021-05-28 11:55:07'),(628,'kubernetes组件异常退出','org','kubernetes','kubernetes_instance_exit','{\"filters\":[{\"operator\":\"in\",\"tag\":\"cluster_name\",\"value\":[\"$cluster_name\"]},{\"operator\":\"eq\",\"tag\":\"pod_namespace\",\"value\":\"kube-system\"}],\"functions\":[{\"aggregator\":\"max\",\"field\":\"exitcode\",\"operator\":\"gt\",\"value\":0},{\"aggregator\":\"max\",\"field\":\"oomkilled\"},{\"aggregator\":\"value\",\"field\":\"pid\"},{\"aggregator\":\"max\",\"field\":\"finished_at\",\"field_script\":\"function invoke(fields,tags){if(fields.finished_at!=null\\u0026\\u0026fields.finished_at!=undefined) return fields.finished_at/1000000;return 0}\"},{\"aggregator\":\"max\",\"field\":\"started_at\",\"field_script\":\"function invoke(fields,tags){if(fields.started_at!=null\\u0026\\u0026fields.started_at!=undefined) return fields.started_at/1000000;return 0}\"},{\"aggregator\":\"value\",\"field\":\"finished_at\",\"field_script\":\"function invoke(fields,tags){if(fields.finished_at_max\\u003e0) return fields.finished_at_max;return \'-\'}\",\"trigger\":\"aggregated\"},{\"aggregator\":\"value\",\"field\":\"started_at\",\"field_script\":\"function invoke(fields,tags){if(fields.started_at_max\\u003e0) return fields.started_at_max;return \'-\'}\",\"trigger\":\"aggregated\"},{\"aggregator\":\"value\",\"field\":\"terminated_reason\",\"field_script\":\"function invoke(fields,tags){if(fields.oomkilled) return \'Out Of Memory\';return \'Error Exit Code \'+fields.exitcode_max;}\",\"trigger\":\"aggregated\"}],\"group\":[\"cluster_name\",\"pod_namespace\",\"pod_name\"],\"metrics\":[\"docker_container_summary\"],\"outputs\":[\"alert\"],\"select\":{\"cluster_name\":\"#cluster_name\",\"component_name\":\"#component_name\",\"container_id\":\"#container_id\",\"host_ip\":\"#host_ip\",\"pod_name\":\"#pod_name\",\"pod_namespace\":\"#pod_namespace\"},\"window\":1}','{\"alert_group\":\"{{cluster_name}}-{{container_id}}\",\"display_url_id\":\"org_pod\",\"level\":\"WARNING\",\"recover\":\"false\",\"tickets_metric_key\":\"{{container_id}}\"}',0,'2021-05-28 11:55:06','2021-05-28 11:55:07'),(629,'kubernetes组件实例内存状态','org','kubernetes','kubernetes_instance_mem','{\"filters\":[{\"operator\":\"in\",\"tag\":\"cluster_name\",\"value\":[\"$cluster_name\"]},{\"operator\":\"eq\",\"tag\":\"pod_namespace\",\"value\":\"kube-system\"}],\"functions\":[{\"aggregator\":\"avg\",\"field\":\"mem_usage_percent\",\"operator\":\"gt\",\"value\":70},{\"aggregator\":\"max\",\"alias\":\"mem_usage_value\",\"field\":\"mem_usage\"},{\"aggregator\":\"max\",\"alias\":\"mem_limit_value\",\"field\":\"mem_limit\"},{\"aggregator\":\"max\",\"alias\":\"mem_max_usage_value\",\"field\":\"mem_max_usage\"},{\"aggregator\":\"max\",\"alias\":\"mem_allocation_value\",\"field\":\"mem_allocation\"}],\"group\":[\"cluster_name\",\"container_id\"],\"metrics\":[\"docker_container_summary\"],\"outputs\":[\"alert\"],\"select\":{\"cluster_name\":\"#cluster_name\",\"container_id\":\"#container_id\",\"host_ip\":\"#host_ip\",\"pod_name\":\"#pod_name\",\"pod_namespace\":\"#pod_namespace\"},\"window\":2}','{\"alert_group\":\"{{cluster_name}}-{{container_id}}\",\"level\":\"WARNING\",\"recover\":\"false\",\"tickets_metric_key\":\"{{container_id}}\"}',0,'2021-05-28 11:55:06','2021-05-28 11:55:07'),(630,'kubernetes组件实例Ready状态异常','org','kubernetes','kubernetes_instance_ready','{\"filters\":[{\"operator\":\"in\",\"tag\":\"cluster_name\",\"value\":[\"$cluster_name\"]},{\"operator\":\"eq\",\"tag\":\"namespace\",\"value\":\"kube-system\"}],\"functions\":[{\"aggregator\":\"avg\",\"field\":\"not_ready_avg\",\"field_script\":\"function invoke(fields,tags){if(tags.daemonset_name){return fields.number_unavailable}else{if(tags.statefulset_name){return fields.replicas-fields.replicas_ready}else{if(tags.deployment_name){return fields.replicas_unavailable}}}return 0}\",\"operator\":\"gt\",\"value\":0},{\"aggregator\":\"max\",\"alias\":\"not_ready_value\",\"field\":\"not_ready\",\"field_script\":\"function invoke(fields,tags){if(tags.daemonset_name){return fields.number_unavailable}else{if(tags.statefulset_name){return fields.replicas-fields.replicas_ready}else{if(tags.deployment_name){return fields.replicas_unavailable}}}return 0}\"},{\"aggregator\":\"max\",\"alias\":\"ready_value\",\"field\":\"ready\",\"field_script\":\"function invoke(fields,tags){if(tags.daemonset_name){return fields.number_available}else{if(tags.statefulset_name){return fields.replicas_ready}else{if(tags.deployment_name){return fields.replicas_available}}}return 0}\"},{\"aggregator\":\"max\",\"alias\":\"total_value\",\"field\":\"total\",\"field_script\":\"function invoke(fields,tags){if(tags.daemonset_name){return fields.number_unavailable+fields.number_available}else{if(tags.statefulset_name){return fields.replicas}else{if(tags.deployment_name){return fields.replicas_unavailable+fields.replicas_available}}}return 0}\"},{\"aggregator\":\"value\",\"field\":\"resource_name\",\"field_script\":\"function invoke(fields,tags){if(tags.daemonset_name){return tags.daemonset_name}else{if(tags.statefulset_name){return tags.statefulset_name}else{if(tags.deployment_name){return tags.deployment_name}}}return null};\"}],\"group\":[\"cluster_name\",\"namespace\",\"daemonset_name\",\"statefulset_name\",\"deployment_name\"],\"metrics\":[\"kubernetes_daemonset\",\"kubernetes_statefulset\",\"kubernetes_deployment\"],\"outputs\":[\"alert\"],\"select\":{\"cluster_name\":\"#cluster_name\",\"daemonset_name\":\"#daemonset_name\",\"deployment_name\":\"#deployment_name\",\"namespace\":\"#namespace\",\"statefulset_name\":\"#statefulset_name\"},\"window\":1}','{\"alert_group\":\"{{cluster_name}}-{{daemonset_name}}-{{statefulset_name}}-{{deployment_name}}\",\"level\":\"WARNING\",\"recover\":\"false\",\"tickets_metric_key\":\"{{daemonset_name}}-{{statefulset_name}}-{{deployment_name}}\"}',0,'2021-05-28 11:55:06','2021-05-28 11:55:07'),(631,'kubernetes节点异常','org','kubernetes','kubernetes_node','{\"filters\":[{\"operator\":\"in\",\"tag\":\"cluster_name\",\"value\":[\"$cluster_name\"]},{\"operator\":\"neq\",\"tag\":\"offline\",\"value\":\"true\"}],\"functions\":[{\"aggregator\":\"values\",\"field\":\"ready\",\"operator\":\"all\",\"value\":false},{\"aggregator\":\"max\",\"alias\":\"allocatable_pods_value\",\"field\":\"allocatable_pods\"},{\"aggregator\":\"max\",\"alias\":\"capacity_pods_value\",\"field\":\"capacity_pods\"},{\"aggregator\":\"max\",\"alias\":\"allocatable_cpu_cores_value\",\"field\":\"allocatable_cpu_cores\"},{\"aggregator\":\"max\",\"alias\":\"capacity_cpu_cores_value\",\"field\":\"capacity_cpu_cores\"},{\"aggregator\":\"max\",\"alias\":\"allocatable_memory_bytes_value\",\"field\":\"allocatable_memory_bytes\"},{\"aggregator\":\"max\",\"alias\":\"capacity_memory_bytes_value\",\"field\":\"capacity_memory_bytes\"}],\"group\":[\"cluster_name\",\"node_name\"],\"metrics\":[\"kubernetes_node\"],\"outputs\":[\"alert\"],\"select\":{\"cluster_name\":\"#cluster_name\",\"node_name\":\"#node_name\"},\"window\":1}','{\"alert_group\":\"{{cluster_name}}-{{node_name}}\",\"level\":\"WARNING\",\"recover\":\"false\",\"tickets_metric_key\":\"{{node_name}}\"}',0,'2021-05-28 11:55:06','2021-05-28 11:55:07'),(632,'机器时钟一致性异常告警','org','machine','machine_cluster_clock','{\"filters\":[{\"operator\":\"in\",\"tag\":\"cluster_name\",\"value\":[\"$cluster_name\"]}],\"functions\":[{\"aggregator\":\"avg\",\"field\":\"elapsed_abs\",\"operator\":\"gte\",\"value\":5000},{\"aggregator\":\"avg\",\"alias\":\"send_timestamp\",\"field\":\"send_timestamp\"},{\"aggregator\":\"avg\",\"alias\":\"receive_timestamp\",\"field\":\"receive_timestamp\"}],\"group\":[\"cluster_name\",\"host_ip\"],\"metric\":\"cluster_clock\",\"outputs\":[\"alert\"],\"select\":{\"cluster_name\":\"#cluster_name\",\"host_ip\":\"#host_ip\",\"source_host_ip\":\"#source_host_ip\"},\"window\":5}','{\"alert_group\":\"{{cluster_name}}-{{host_ip}}\",\"display_url_id\":\"machine_cluster_clock\",\"level\":\"WARNING\",\"recover\":\"true\",\"tickets_metric_key\":\"{{host_ip}}\"}',0,'2021-05-28 11:55:06','2021-05-28 11:55:07'),(633,'机器CPU','org','machine','machine_cpu','{\"filters\":[{\"operator\":\"in\",\"tag\":\"cluster_name\",\"value\":[\"$cluster_name\"]}],\"functions\":[{\"aggregator\":\"avg\",\"field\":\"cpu_usage_active\",\"operator\":\"gte\",\"value\":95}],\"group\":[\"cluster_name\",\"host_ip\"],\"metric\":\"host_summary\",\"outputs\":[\"alert\"],\"select\":{\"cluster_name\":\"#cluster_name\",\"host_ip\":\"#host_ip\"},\"window\":5}','{\"alert_group\":\"{{cluster_name}}-{{host_ip}}\",\"display_url_id\":\"machine_cpu\",\"level\":\"WARNING\",\"recover\":\"true\",\"tickets_metric_key\":\"{{host_ip}}\"}',0,'2021-05-28 11:55:06','2021-05-28 11:55:07'),(634,'机器磁盘','org','machine','machine_disk','{\"filters\":[{\"operator\":\"in\",\"tag\":\"cluster_name\",\"value\":[\"$cluster_name\"]},{\"operator\":\"neq\",\"tag\":\"type\",\"value\":\"netdata\"}],\"functions\":[{\"aggregator\":\"max\",\"alias\":\"used_percent_value\",\"field\":\"used_percent\",\"operator\":\"gte\",\"value\":86},{\"aggregator\":\"max\",\"alias\":\"total_value\",\"field\":\"total\"}],\"group\":[\"host_ip\",\"device\"],\"metric\":\"disk\",\"outputs\":[\"alert\"],\"select\":{\"cluster_name\":\"#cluster_name\",\"device\":\"#device\",\"host_ip\":\"#host_ip\"},\"window\":5}','{\"alert_group\":\"{{cluster_name}}-{{host_ip}}-{{device}}\",\"display_url_id\":\"machine_disk\",\"level\":\"WARNING\",\"recover\":\"true\",\"tickets_metric_key\":\"{{host_ip}}\"}',0,'2021-05-28 11:55:06','2021-05-28 11:55:07'),(635,'磁盘Inode异常告警','org','machine','machine_disk_inode','{\"filters\":[{\"operator\":\"in\",\"tag\":\"cluster_name\",\"value\":[\"$cluster_name\"]},{\"operator\":\"neq\",\"tag\":\"type\",\"value\":\"netdata\"}],\"functions\":[{\"aggregator\":\"max\",\"alias\":\"inode_used_percent_value\",\"field\":\"inode_used_percent\",\"field_script\":\"function invoke(field, tag){ return field.inodes_used/field.inodes_total*100 }\",\"operator\":\"gte\",\"value\":85},{\"aggregator\":\"max\",\"alias\":\"inodes_total_value\",\"field\":\"inodes_total\"}],\"group\":[\"host_ip\",\"device\"],\"metric\":\"disk\",\"outputs\":[\"alert\"],\"select\":{\"cluster_name\":\"#cluster_name\",\"device\":\"#device\",\"host_ip\":\"#host_ip\"},\"window\":5}','{\"alert_group\":\"{{cluster_name}}-{{host_ip}}-{{device}}\",\"display_url_id\":\"machine_disk\",\"level\":\"WARNING\",\"recover\":\"true\",\"tickets_metric_key\":\"{{host_ip}}\"}',0,'2021-05-28 11:55:06','2021-05-28 11:55:07'),(636,'机器磁盘IO','org','machine','machine_disk_util','{\"filters\":[{\"operator\":\"in\",\"tag\":\"cluster_name\",\"value\":[\"$cluster_name\"]},{\"operator\":\"eq\",\"tag\":\"path\",\"value\":null}],\"functions\":[{\"aggregator\":\"p75\",\"field\":\"pct_util\",\"operator\":\"gte\",\"value\":95}],\"group\":[\"host_ip\"],\"metric\":\"disk\",\"outputs\":[\"alert\"],\"select\":{\"cluster_name\":\"#cluster_name\",\"host_ip\":\"#host_ip\"},\"window\":5}','{\"alert_group\":\"{{cluster_name}}-{{host_ip}}\",\"display_url_id\":\"machine_disk_io\",\"level\":\"WARNING\",\"recover\":\"true\",\"tickets_metric_key\":\"{{host_ip}}\"}',0,'2021-05-28 11:55:06','2021-05-28 11:55:07'),(637,'机器Load5','org','machine','machine_load5','{\"filters\":[{\"operator\":\"in\",\"tag\":\"cluster_name\",\"value\":[\"$cluster_name\"]}],\"functions\":[{\"aggregator\":\"avg\",\"field\":\"load5\",\"operator\":\"gte\",\"value\":20}],\"group\":[\"host_ip\"],\"metric\":\"host_summary\",\"outputs\":[\"alert\"],\"select\":{\"cluster_name\":\"#cluster_name\",\"host_ip\":\"#host_ip\"},\"window\":5}','{\"alert_group\":\"{{cluster_name}}-{{host_ip}}\",\"display_url_id\":\"machine_load\",\"level\":\"WARNING\",\"recover\":\"true\",\"tickets_metric_key\":\"{{host_ip}}\"}',0,'2021-05-28 11:55:06','2021-05-28 11:55:07'),(638,'网盘','org','machine','machine_netdisk','{\"filters\":[{\"operator\":\"in\",\"tag\":\"cluster_name\",\"value\":[\"$cluster_name\"]},{\"operator\":\"eq\",\"tag\":\"type\",\"value\":\"netdata\"}],\"functions\":[{\"aggregator\":\"max\",\"alias\":\"used_percent_value\",\"field\":\"used_percent\",\"operator\":\"gte\",\"value\":75},{\"aggregator\":\"max\",\"alias\":\"total_value\",\"field\":\"total\"}],\"group\":null,\"metric\":\"disk\",\"outputs\":[\"alert\"],\"select\":{\"cluster_name\":\"#cluster_name\"},\"window\":5}','{\"alert_group\":\"{{cluster_name}}\",\"level\":\"WARNING\",\"recover\":\"true\",\"tickets_metric_key\":\"{{cluster_name}}\"}',0,'2021-05-28 11:55:06','2021-05-28 11:55:07'),(639,'网盘容量使用量异常告警','org','machine','machine_netdisk_used','{\"filters\":[{\"operator\":\"in\",\"tag\":\"cluster_name\",\"value\":[\"$cluster_name\"]},{\"operator\":\"eq\",\"tag\":\"type\",\"value\":\"netdata\"}],\"functions\":[{\"aggregator\":\"max\",\"alias\":\"used\",\"field\":\"used\",\"field_script\":\"function invoke(field, tag){ return field.used/1024/1024/1024 }\",\"operator\":\"gte\",\"value\":300},{\"aggregator\":\"max\",\"alias\":\"total\",\"field_script\":\"function invoke(field, tag){ return field.total/1024/1024/1024 }\"}],\"group\":null,\"metric\":\"disk\",\"outputs\":[\"alert\"],\"select\":{\"cluster_name\":\"#cluster_name\"},\"window\":5}','{\"alert_group\":\"{{cluster_name}}\",\"level\":\"WARNING\",\"recover\":\"true\",\"tickets_metric_key\":\"{{cluster_name}}\"}',0,'2021-05-28 11:55:06','2021-05-28 11:55:07'),(640,'机器宕机','org','machine','machine_status','{\"filters\":[{\"operator\":\"in\",\"tag\":\"cluster_name\",\"value\":[\"$cluster_name\"]}],\"functions\":[{\"aggregator\":\"values\",\"field\":\"status\",\"operator\":\"all\",\"value\":\"not_ready\"},{\"aggregator\":\"max\",\"alias\":\"last_timestamp_value\",\"field\":\"last_timestamp\"}],\"group\":[\"host_ip\"],\"metric\":\"machine_status\",\"outputs\":[\"alert\"],\"select\":{\"cluster_name\":\"#cluster_name\",\"host_ip\":\"#host_ip\"},\"window\":5}','{\"alert_group\":\"{{cluster_name}}-{{host_ip}}\",\"display_url_id\":\"machine_crash\",\"level\":\"WARNING\",\"recover\":\"true\",\"tickets_metric_key\":\"{{host_ip}}\"}',0,'2021-05-28 11:55:06','2021-05-28 11:55:07'),(641,'API网关实例CPU使用率异常','org','micro_service','api_gateway_cpu','{\"filters\":[{\"operator\":\"in\",\"tag\":\"cluster_name\",\"value\":[\"$cluster_name\"]},{\"operator\":\"in\",\"tag\":\"addon_type\",\"value\":[\"api-gateway\",\"postgresql\"]}],\"functions\":[{\"aggregator\":\"avg\",\"field\":\"cpu_usage_percent\",\"field_script\":\"function invoke(fields,tags){return fields.cpu_limit===0?fields.cpu_usage_percent:fields.cpu_usage_percent/fields.cpu_limit}\",\"operator\":\"gte\",\"value\":90},{\"aggregator\":\"max\",\"alias\":\"cpu_limit_value\",\"field\":\"cpu_limit\"},{\"aggregator\":\"max\",\"alias\":\"cpu_allocation_value\",\"field\":\"cpu_allocation\"}],\"group\":[\"container_id\"],\"metric\":\"docker_container_summary\",\"outputs\":[\"alert\"],\"select\":{\"addon_id\":\"#addon_id\",\"addon_type\":\"#addon_type\",\"cluster_name\":\"#cluster_name\",\"container_id\":\"#container_id\",\"host_ip\":\"#host_ip\",\"pod_name\":\"#pod_name\",\"pod_namespace\":\"#pod_namespace\"},\"window\":1}','{\"alert_group\":\"{{cluster_name}}-{{container_id}}\",\"level\":\"WARNING\",\"recover\":\"false\",\"tickets_metric_key\":\"{{container_id}}\"}',0,'2021-05-28 11:55:06','2021-05-28 11:55:07'),(642,'API网关实例内存使用率异常','org','micro_service','api_gateway_mem','{\"filters\":[{\"operator\":\"in\",\"tag\":\"cluster_name\",\"value\":[\"$cluster_name\"]},{\"operator\":\"in\",\"tag\":\"addon_type\",\"value\":[\"api-gateway\",\"postgresql\"]}],\"functions\":[{\"aggregator\":\"avg\",\"field\":\"mem_usage_percent\",\"operator\":\"gte\",\"value\":90},{\"aggregator\":\"max\",\"alias\":\"mem_usage_value\",\"field\":\"mem_usage\"},{\"aggregator\":\"max\",\"alias\":\"mem_limit_value\",\"field\":\"mem_limit\"},{\"aggregator\":\"max\",\"alias\":\"mem_max_usage_value\",\"field\":\"mem_max_usage\"}],\"group\":[\"container_id\"],\"metric\":\"docker_container_summary\",\"outputs\":[\"alert\"],\"select\":{\"addon_id\":\"#addon_id\",\"addon_type\":\"#addon_type\",\"cluster_name\":\"#cluster_name\",\"container_id\":\"#container_id\",\"host_ip\":\"#host_ip\",\"pod_name\":\"#pod_name\",\"pod_namespace\":\"#pod_namespace\"},\"window\":1}','{\"alert_group\":\"{{cluster_name}}-{{container_id}}\",\"level\":\"WARNING\",\"recover\":\"false\",\"tickets_metric_key\":\"{{container_id}}\"}',0,'2021-05-28 11:55:06','2021-05-28 11:55:07'),(643,'注册中心实例CPU使用率异常','org','micro_service','register_center_cpu','{\"filters\":[{\"operator\":\"in\",\"tag\":\"cluster_name\",\"value\":[\"$cluster_name\"]},{\"operator\":\"in\",\"tag\":\"addon_type\",\"value\":[\"nacos\",\"zkproxy\"]}],\"functions\":[{\"aggregator\":\"avg\",\"field\":\"cpu_usage_percent\",\"field_script\":\"function invoke(fields,tags){return fields.cpu_limit===0?fields.cpu_usage_percent:fields.cpu_usage_percent/fields.cpu_limit}\",\"operator\":\"gte\",\"value\":90},{\"aggregator\":\"max\",\"alias\":\"cpu_limit_value\",\"field\":\"cpu_limit\"},{\"aggregator\":\"max\",\"alias\":\"cpu_allocation_value\",\"field\":\"cpu_allocation\"}],\"group\":[\"container_id\"],\"metric\":\"docker_container_summary\",\"outputs\":[\"alert\"],\"select\":{\"addon_id\":\"#addon_id\",\"addon_type\":\"#addon_type\",\"cluster_name\":\"#cluster_name\",\"container_id\":\"#container_id\",\"host_ip\":\"#host_ip\",\"pod_name\":\"#pod_name\",\"pod_namespace\":\"#pod_namespace\"},\"window\":1}','{\"alert_group\":\"{{cluster_name}}-{{container_id}}\",\"level\":\"WARNING\",\"recover\":\"false\",\"tickets_metric_key\":\"{{container_id}}\"}',0,'2021-05-28 11:55:06','2021-05-28 11:55:07'),(644,'注册中心实例内存使用率异常','org','micro_service','register_center_mem','{\"filters\":[{\"operator\":\"in\",\"tag\":\"cluster_name\",\"value\":[\"$cluster_name\"]},{\"operator\":\"in\",\"tag\":\"addon_type\",\"value\":[\"nacos\",\"zkproxy\"]}],\"functions\":[{\"aggregator\":\"avg\",\"field\":\"mem_usage_percent\",\"operator\":\"gte\",\"value\":90},{\"aggregator\":\"max\",\"alias\":\"mem_usage_value\",\"field\":\"mem_usage\"},{\"aggregator\":\"max\",\"alias\":\"mem_limit_value\",\"field\":\"mem_limit\"},{\"aggregator\":\"max\",\"alias\":\"mem_max_usage_value\",\"field\":\"mem_max_usage\"}],\"group\":[\"container_id\"],\"metric\":\"docker_container_summary\",\"outputs\":[\"alert\"],\"select\":{\"addon_id\":\"#addon_id\",\"addon_type\":\"#addon_type\",\"cluster_name\":\"#cluster_name\",\"container_id\":\"#container_id\",\"host_ip\":\"#host_ip\",\"pod_name\":\"#pod_name\",\"pod_namespace\":\"#pod_namespace\"},\"window\":1}','{\"alert_group\":\"{{cluster_name}}-{{container_id}}\",\"level\":\"WARNING\",\"recover\":\"false\",\"tickets_metric_key\":\"{{container_id}}\"}',0,'2021-05-28 11:55:06','2021-05-28 11:55:07'),(645,'服务熔断通知告警','micro_service','micro_service','sidecar_circuit_breaker','{\"filters\":[{\"operator\":\"eq\",\"tag\":\"terminus_key\",\"value\":\"$terminus_key\"},{\"operator\":\"in\",\"tag\":\"application_id\",\"value\":[\"$application_id\"]}],\"functions\":[{\"aggregator\":\"sum\",\"field\":\"count\",\"operator\":\"gte\",\"value\":1}],\"group\":[\"service_name\"],\"metric\":\"sidecar_circuit_breaker\",\"outputs\":[\"alert\"],\"select\":{\"application_id\":\"#application_id\",\"application_name\":\"#application_name\",\"cluster_name\":\"#cluster_name\",\"host_ip\":\"#host_ip\",\"project_name\":\"#project_name\",\"runtime_name\":\"#runtime_name\",\"service_name\":\"#service_name\",\"terminus_key\":\"#terminus_key\",\"workspace\":\"#workspace\"},\"window\":1}','{\"alert_group\":\"{{terminus_key}}\",\"level\":\"WARNING\",\"recover\":\"false\",\"tickets_metric_key\":\"{{terminus_key}}\"}',0,'2021-05-28 11:55:06','2021-05-28 11:55:07'),(646,'ElasticSearch实例CPU使用率异常告警','org','addon','addon_elasticsearch_cpu','{\"filters\":[{\"operator\":\"in\",\"tag\":\"cluster_name\",\"value\":[\"$cluster_name\"]},{\"operator\":\"in\",\"tag\":\"addon_type\",\"value\":[\"terminus-elasticsearch\",\"elasticsearch-operator\"]}],\"functions\":[{\"aggregator\":\"avg\",\"field\":\"cpu_usage_percent\",\"field_script\":\"function invoke(fields,tags){return fields.cpu_limit===0?fields.cpu_usage_percent:fields.cpu_usage_percent/fields.cpu_limit}\",\"operator\":\"gte\",\"value\":90},{\"aggregator\":\"max\",\"alias\":\"cpu_limit_value\",\"field\":\"cpu_limit\"},{\"aggregator\":\"max\",\"alias\":\"cpu_allocation_value\",\"field\":\"cpu_allocation\"}],\"group\":[\"container_id\"],\"metric\":\"docker_container_summary\",\"outputs\":[\"alert\"],\"select\":{\"addon_id\":\"#addon_id\",\"addon_type\":\"#addon_type\",\"cluster_name\":\"#cluster_name\",\"container_id\":\"#container_id\",\"host_ip\":\"#host_ip\",\"pod_name\":\"#pod_name\",\"pod_namespace\":\"#pod_namespace\"},\"window\":1}','{\"alert_group\":\"{{cluster_name}}-{{container_id}}\",\"level\":\"WARNING\",\"recover\":\"false\",\"tickets_metric_key\":\"{{container_id}}\"}',0,'2021-05-28 11:55:07','2021-05-28 13:53:57'),(647,'Elasticsearch实例内存使用率异常告警','org','addon','addon_elasticsearch_mem','{\"filters\":[{\"operator\":\"in\",\"tag\":\"cluster_name\",\"value\":[\"$cluster_name\"]},{\"operator\":\"in\",\"tag\":\"addon_type\",\"value\":[\"terminus-elasticsearch\",\"elasticsearch-operator\"]}],\"functions\":[{\"aggregator\":\"avg\",\"field\":\"mem_usage_percent\",\"operator\":\"gte\",\"value\":90},{\"aggregator\":\"max\",\"alias\":\"mem_limit_value\",\"field\":\"mem_limit\"},{\"aggregator\":\"max\",\"alias\":\"mem_allocation_value\",\"field\":\"mem_allocation\"}],\"group\":[\"container_id\"],\"metric\":\"docker_container_summary\",\"outputs\":[\"alert\"],\"select\":{\"addon_id\":\"#addon_id\",\"addon_type\":\"#addon_type\",\"cluster_name\":\"#cluster_name\",\"container_id\":\"#container_id\",\"host_ip\":\"#host_ip\",\"pod_name\":\"#pod_name\",\"pod_namespace\":\"#pod_namespace\"},\"window\":1}','{\"alert_group\":\"{{cluster_name}}-{{container_id}}\",\"level\":\"WARNING\",\"recover\":\"false\",\"tickets_metric_key\":\"{{container_id}}\"}',0,'2021-05-28 11:55:07','2021-05-28 13:53:57'),(648,'MySQL实例CPU使用率异常告警','org','addon','addon_mysql_cpu','{\"filters\":[{\"operator\":\"in\",\"tag\":\"cluster_name\",\"value\":[\"$cluster_name\"]},{\"operator\":\"in\",\"tag\":\"addon_type\",\"value\":[\"mysql\"]}],\"functions\":[{\"aggregator\":\"avg\",\"field\":\"cpu_usage_percent\",\"field_script\":\"function invoke(fields,tags){return fields.cpu_limit===0?fields.cpu_usage_percent:fields.cpu_usage_percent/fields.cpu_limit}\",\"operator\":\"gte\",\"value\":90},{\"aggregator\":\"max\",\"alias\":\"cpu_limit_value\",\"field\":\"cpu_limit\"},{\"aggregator\":\"max\",\"alias\":\"cpu_allocation_value\",\"field\":\"cpu_allocation\"}],\"group\":[\"container_id\"],\"metric\":\"docker_container_summary\",\"outputs\":[\"alert\"],\"select\":{\"addon_id\":\"#addon_id\",\"addon_type\":\"#addon_type\",\"cluster_name\":\"#cluster_name\",\"container_id\":\"#container_id\",\"host_ip\":\"#host_ip\",\"pod_name\":\"#pod_name\",\"pod_namespace\":\"#pod_namespace\"},\"window\":1}','{\"alert_group\":\"{{cluster_name}}-{{container_id}}\",\"level\":\"WARNING\",\"recover\":\"false\",\"tickets_metric_key\":\"{{container_id}}\"}',0,'2021-05-28 11:55:07','2021-05-28 13:53:57'),(649,'MySQL实例内存使用率异常告警','org','addon','addon_mysql_mem','{\"filters\":[{\"operator\":\"in\",\"tag\":\"cluster_name\",\"value\":[\"$cluster_name\"]},{\"operator\":\"in\",\"tag\":\"addon_type\",\"value\":[\"mysql\"]}],\"functions\":[{\"aggregator\":\"avg\",\"field\":\"mem_usage_percent\",\"operator\":\"gte\",\"value\":85},{\"aggregator\":\"max\",\"alias\":\"mem_limit_value\",\"field\":\"mem_limit\"},{\"aggregator\":\"max\",\"alias\":\"mem_allocation_value\",\"field\":\"mem_allocation\"}],\"group\":[\"container_id\"],\"metric\":\"docker_container_summary\",\"outputs\":[\"alert\"],\"select\":{\"addon_id\":\"#addon_id\",\"addon_type\":\"#addon_type\",\"cluster_name\":\"#cluster_name\",\"container_id\":\"#container_id\",\"host_ip\":\"#host_ip\",\"pod_name\":\"#pod_name\",\"pod_namespace\":\"#pod_namespace\"},\"window\":1}','{\"alert_group\":\"{{cluster_name}}-{{container_id}}\",\"level\":\"WARNING\",\"recover\":\"false\",\"tickets_metric_key\":\"{{container_id}}\"}',0,'2021-05-28 11:55:07','2021-05-28 13:53:57'),(650,'MySQL实例主从同步异常告警','org','addon','addon_mysql_slave_status','{\"filters\":[{\"operator\":\"in\",\"tag\":\"cluster_name\",\"value\":[\"$cluster_name\"]},{\"operator\":\"eq\",\"tag\":\"is_slave\",\"value\":\"true\"}],\"functions\":[{\"aggregator\":\"max\",\"alias\":\"slave_slave_running_ok_value\",\"field\":\"slave_slave_running_ok\",\"field_script\":\"function invoke(fields,tags){return (fields.slave_slave_io_running==0 || fields.slave_slave_sql_running==0)?0:1}\",\"operator\":\"neq\",\"value\":1},{\"aggregator\":\"max\",\"alias\":\"slave_slave_sql_running_value\",\"field\":\"slave_slave_sql_running\"},{\"aggregator\":\"max\",\"alias\":\"slave_slave_io_running_value\",\"field\":\"slave_slave_io_running\"}],\"group\":[\"addon_id\",\"server\"],\"metric\":\"mysql\",\"outputs\":[\"alert\"],\"select\":{\"addon_id\":\"#addon_id\",\"cluster_name\":\"#cluster_name\",\"host_ip\":\"#host_ip\"},\"window\":1}','{\"alert_group\":\"{{cluster_name}}-{{addon_id}}\",\"level\":\"WARNING\",\"recover\":\"false\",\"tickets_metric_key\":\"{{addon_id}}\"}',0,'2021-05-28 11:55:07','2021-05-28 13:53:57'),(651,'redis实例内存使用率异常告警','org','addon','addon_redis_mem','{\"filters\":[{\"operator\":\"in\",\"tag\":\"cluster_name\",\"value\":[\"$cluster_name\"]},{\"operator\":\"in\",\"tag\":\"addon_type\",\"value\":[\"redis\"]}],\"functions\":[{\"aggregator\":\"avg\",\"field\":\"mem_usage_percent\",\"operator\":\"gte\",\"value\":85},{\"aggregator\":\"max\",\"alias\":\"mem_limit_value\",\"field\":\"mem_limit\"},{\"aggregator\":\"max\",\"alias\":\"mem_allocation_value\",\"field\":\"mem_allocation\"}],\"group\":[\"container_id\"],\"metric\":\"docker_container_summary\",\"outputs\":[\"alert\"],\"select\":{\"addon_id\":\"#addon_id\",\"addon_type\":\"#addon_type\",\"cluster_name\":\"#cluster_name\",\"container_id\":\"#container_id\",\"host_ip\":\"#host_ip\",\"pod_name\":\"#pod_name\",\"pod_namespace\":\"#pod_namespace\"},\"window\":1}','{\"alert_group\":\"{{cluster_name}}-{{container_id}}\",\"level\":\"WARNING\",\"recover\":\"false\",\"tickets_metric_key\":\"{{container_id}}\"}',0,'2021-05-28 11:55:07','2021-05-28 13:53:57'),(652,'Ajax接口访问性能','micro_service','app_browser','app_browser_ajax_req','{\"filters\":[{\"operator\":\"eq\",\"tag\":\"tk\",\"value\":\"$tk\"},{\"operator\":\"eq\",\"tag\":\"type\",\"value\":\"browser\"}],\"functions\":[{\"aggregator\":\"avg\",\"field\":\"tt\",\"operator\":\"gt\",\"value\":1000}],\"group\":[\"tk\",\"req_path\",\"host\"],\"metric\":\"ta_req\",\"outputs\":[\"alert\"],\"select\":{\"doc_path\":\"#doc_path\",\"host\":\"#host\",\"req_path\":\"#req_path\",\"tk\":\"#tk\",\"type\":\"#type\"},\"window\":1}','{\"alert_group\":\"{{tk}}-{{req_path}}-{{host}}\",\"display_url_id\":\"micro_bi_ajax\",\"level\":\"WARNING\",\"recover\":\"false\"}',0,'2021-05-28 11:55:07','2021-05-28 13:53:57'),(653,'用户体验','micro_service','app_browser','app_browser_apdex','{\"filters\":[{\"operator\":\"eq\",\"tag\":\"tk\",\"value\":\"$tk\"},{\"operator\":\"eq\",\"tag\":\"type\",\"value\":\"browser\"}],\"functions\":[{\"aggregator\":\"avg\",\"field\":\"plt\",\"operator\":\"gt\",\"value\":3000}],\"group\":[\"tk\",\"doc_path\",\"host\"],\"metric\":\"ta_timing\",\"outputs\":[\"alert\"],\"select\":{\"doc_path\":\"#doc_path\",\"host\":\"#host\",\"tk\":\"#tk\",\"type\":\"#type\"},\"window\":1}','{\"alert_group\":\"{{tk}}-{{doc_path}}-{{host}}\",\"display_url_id\":\"micro_bi_position\",\"level\":\"WARNING\",\"recover\":\"false\"}',0,'2021-05-28 11:55:07','2021-05-28 13:53:57'),(654,'域名访问性能','micro_service','app_browser','app_browser_host_req','{\"filters\":[{\"operator\":\"eq\",\"tag\":\"tk\",\"value\":\"$tk\"},{\"operator\":\"eq\",\"tag\":\"type\",\"value\":\"browser\"}],\"functions\":[{\"aggregator\":\"avg\",\"field\":\"plt\",\"operator\":\"gt\",\"value\":1000}],\"group\":[\"tk\",\"host\"],\"metric\":\"ta_timing\",\"outputs\":[\"alert\"],\"select\":{\"doc_path\":\"#doc_path\",\"host\":\"#host\",\"tk\":\"#tk\",\"type\":\"#type\"},\"window\":1}','{\"alert_group\":\"{{tk}}-{{host}}\",\"display_url_id\":\"micro_bi_domain\",\"level\":\"WARNING\",\"recover\":\"false\"}',0,'2021-05-28 11:55:07','2021-05-28 13:53:57'),(655,'页面访问性能','micro_service','app_browser','app_browser_page_req','{\"filters\":[{\"operator\":\"eq\",\"tag\":\"tk\",\"value\":\"$tk\"},{\"operator\":\"eq\",\"tag\":\"type\",\"value\":\"browser\"}],\"functions\":[{\"aggregator\":\"avg\",\"field\":\"plt\",\"operator\":\"gt\",\"value\":1000}],\"group\":[\"tk\",\"doc_path\",\"host\"],\"metric\":\"ta_timing\",\"outputs\":[\"alert\"],\"select\":{\"doc_path\":\"#doc_path\",\"host\":\"#host\",\"tk\":\"#tk\",\"type\":\"#type\"},\"window\":1}','{\"alert_group\":\"{{tk}}-{{doc_path}}-{{host}}\",\"display_url_id\":\"micro_bi_page\",\"level\":\"WARNING\",\"recover\":\"false\"}',0,'2021-05-28 11:55:07','2021-05-28 13:53:57'),(656,'脚本错误','micro_service','app_browser','app_browser_script_error','{\"filters\":[{\"operator\":\"eq\",\"tag\":\"tk\",\"value\":\"$tk\"},{\"operator\":\"eq\",\"tag\":\"type\",\"value\":\"browser\"}],\"functions\":[{\"aggregator\":\"sum\",\"field\":\"count\",\"operator\":\"gte\",\"value\":10}],\"group\":[\"tk\",\"doc_path\",\"host\"],\"metric\":\"ta_error\",\"outputs\":[\"alert\"],\"select\":{\"browser\":\"#browser\",\"count\":\"#count\",\"doc_path\":\"#doc_path\",\"host\":\"#host\",\"ip\":\"#ip\",\"source\":\"#source\",\"tk\":\"#tk\",\"type\":\"#type\",\"url\":\"#url\"},\"window\":1}','{\"alert_group\":\"{{tk}}-{{doc_path}}-{{host}}\",\"display_url_id\":\"micro_bi_script\",\"level\":\"WARNING\",\"recover\":\"false\"}',0,'2021-05-28 11:55:07','2021-05-28 13:53:57'),(657,'应用错误次数','micro_service','app_exception','app_exception_count','{\"filters\":[{\"operator\":\"eq\",\"tag\":\"terminus_key\",\"value\":\"$terminus_key\"},{\"operator\":\"in\",\"tag\":\"application_id\",\"value\":[\"$application_id\"]}],\"functions\":[{\"aggregator\":\"sum\",\"field\":\"count\",\"operator\":\"gte\",\"value\":20}],\"group\":[\"error_id\"],\"metric\":\"error_alert\",\"outputs\":[\"alert\"],\"select\":{\"application_id\":\"#application_id\",\"application_name\":\"#application_name\",\"class\":\"#class\",\"cluster_name\":\"#cluster_name\",\"error_id\":\"#error_id\",\"host_ip\":\"#host_ip\",\"instance_id\":\"#instance_id\",\"line\":\"#line\",\"method\":\"#method\",\"project_id\":\"#project_id\",\"project_name\":\"#project_name\",\"runtime_id\":\"#runtime_id\",\"runtime_name\":\"#runtime_name\",\"service_name\":\"#service_name\",\"terminus_key\":\"#terminus_key\",\"type\":\"#type\",\"workspace\":\"#workspace\"},\"window\":5}','{\"alert_group\":\"{{terminus_key}}-{{error_id}}\",\"display_url_id\":\"micro_error_detail\",\"level\":\"WARNING\",\"recover\":\"true\",\"tickets_metric_key\":\"{{error_id}}\"}',0,'2021-05-28 11:55:07','2021-05-28 13:53:57'),(658,'应用实例CPU使用率异常','micro_service','app_resource','app_resource_container_cpu','{\"filters\":[{\"operator\":\"eq\",\"tag\":\"terminus_key\",\"value\":\"$terminus_key\"},{\"operator\":\"in\",\"tag\":\"application_id\",\"value\":[\"$application_id\"]}],\"functions\":[{\"aggregator\":\"avg\",\"field\":\"cpu_usage_percent\",\"field_script\":\"function invoke(fields,tags){return fields.cpu_limit===0?fields.cpu_usage_percent:fields.cpu_usage_percent/fields.cpu_limit}\",\"operator\":\"gte\",\"value\":90},{\"aggregator\":\"max\",\"alias\":\"cpu_limit_value\",\"field\":\"cpu_limit\"},{\"aggregator\":\"max\",\"alias\":\"cpu_allocation_value\",\"field\":\"cpu_allocation\"}],\"group\":[\"container_id\"],\"metric\":\"docker_container_summary\",\"outputs\":[\"alert\"],\"select\":{\"application_id\":\"#application_id\",\"application_name\":\"#application_name\",\"cluster_name\":\"#cluster_name\",\"container_id\":\"#container_id\",\"host_ip\":\"#host_ip\",\"instance_id\":\"#instance_id\",\"project_id\":\"#project_id\",\"project_name\":\"#project_name\",\"runtime_id\":\"#runtime_id\",\"runtime_name\":\"#runtime_name\",\"service_name\":\"#service_name\",\"terminus_key\":\"#terminus_key\"},\"window\":1}','{\"alert_group\":\"{{terminus_key}}-{{container_id}}\",\"display_url_id\":\"workbench_runtime\",\"level\":\"WARNING\",\"recover\":\"true\",\"tickets_metric_key\":\"{{container_id}}\"}',0,'2021-05-28 11:55:07','2021-05-28 13:53:57'),(659,'应用实例内存使用率异常','micro_service','app_resource','app_resource_container_mem','{\"filters\":[{\"operator\":\"eq\",\"tag\":\"terminus_key\",\"value\":\"$terminus_key\"},{\"operator\":\"in\",\"tag\":\"application_id\",\"value\":[\"$application_id\"]}],\"functions\":[{\"aggregator\":\"avg\",\"field\":\"mem_usage_percent\",\"operator\":\"gte\",\"value\":90},{\"aggregator\":\"max\",\"alias\":\"mem_usage_value\",\"field\":\"mem_usage\"},{\"aggregator\":\"max\",\"alias\":\"mem_limit_value\",\"field\":\"mem_limit\"},{\"aggregator\":\"max\",\"alias\":\"mem_max_usage_value\",\"field\":\"mem_max_usage\"}],\"group\":[\"container_id\"],\"metric\":\"docker_container_summary\",\"outputs\":[\"alert\"],\"select\":{\"application_id\":\"#application_id\",\"application_name\":\"#application_name\",\"cluster_name\":\"#cluster_name\",\"container_id\":\"#container_id\",\"host_ip\":\"#host_ip\",\"instance_id\":\"#instance_id\",\"project_id\":\"#project_id\",\"project_name\":\"#project_name\",\"runtime_id\":\"#runtime_id\",\"runtime_name\":\"#runtime_name\",\"service_name\":\"#service_name\",\"terminus_key\":\"#terminus_key\"},\"window\":1}','{\"alert_group\":\"{{terminus_key}}-{{container_id}}\",\"display_url_id\":\"workbench_runtime\",\"level\":\"WARNING\",\"recover\":\"true\",\"tickets_metric_key\":\"{{container_id}}\"}',0,'2021-05-28 11:55:07','2021-05-28 13:53:57'),(660,'应用实例OOM','micro_service','app_resource','app_resource_container_oom','{\"filters\":[{\"operator\":\"eq\",\"tag\":\"terminus_key\",\"value\":\"$terminus_key\"},{\"operator\":\"in\",\"tag\":\"application_id\",\"value\":[\"$application_id\"]}],\"functions\":[{\"aggregator\":\"values\",\"field\":\"oomkilled\",\"operator\":\"contains\",\"value\":true}],\"group\":[\"container_id\"],\"metric\":\"docker_container_summary\",\"outputs\":[\"alert\"],\"select\":{\"application_id\":\"#application_id\",\"application_name\":\"#application_name\",\"cluster_name\":\"#cluster_name\",\"container_id\":\"#container_id\",\"host_ip\":\"#host_ip\",\"instance_id\":\"#instance_id\",\"project_id\":\"#project_id\",\"project_name\":\"#project_name\",\"runtime_id\":\"#runtime_id\",\"runtime_name\":\"#runtime_name\",\"service_name\":\"#service_name\",\"terminus_key\":\"#terminus_key\"},\"window\":1}','{\"alert_group\":\"{{terminus_key}}-{{container_id}}\",\"display_url_id\":\"workbench_runtime\",\"level\":\"WARNING\",\"recover\":\"false\",\"tickets_metric_key\":\"{{container_id}}\"}',0,'2021-05-28 11:55:07','2021-05-28 13:53:57'),(661,'应用JVM GC次数','micro_service','app_resource','app_resource_jvm_gc_count','{\"filters\":[{\"operator\":\"eq\",\"tag\":\"name\",\"value\":\"concurrentmarksweep\"},{\"operator\":\"eq\",\"tag\":\"terminus_key\",\"value\":\"$terminus_key\"},{\"operator\":\"in\",\"tag\":\"application_id\",\"value\":[\"$application_id\"]}],\"functions\":[{\"aggregator\":\"sum\",\"field\":\"count\",\"operator\":\"gte\",\"value\":5}],\"group\":[\"instance_id\"],\"metric\":\"jvm_gc\",\"outputs\":[\"alert\"],\"select\":{\"application_id\":\"#application_id\",\"application_name\":\"#application_name\",\"cluster_name\":\"#cluster_name\",\"host_ip\":\"#host_ip\",\"instance_id\":\"#instance_id\",\"project_id\":\"#project_id\",\"project_name\":\"#project_name\",\"runtime_id\":\"#runtime_id\",\"runtime_name\":\"#runtime_name\",\"service_name\":\"#service_name\",\"terminus_key\":\"#terminus_key\",\"workspace\":\"#workspace\"},\"window\":3}','{\"alert_group\":\"{{terminus_key}}-{{instance_id}}\",\"display_url_id\":\"micro_jvm\",\"level\":\"WARNING\",\"recover\":\"false\",\"tickets_metric_key\":\"{{instance_id}}\"}',0,'2021-05-28 11:55:07','2021-05-28 13:53:57'),(662,'应用JVM GC 耗时','micro_service','app_resource','app_resource_jvm_gc_time','{\"condition\":\"or\",\"filters\":[{\"operator\":\"eq\",\"tag\":\"name\",\"value\":\"concurrentmarksweep\"},{\"operator\":\"eq\",\"tag\":\"terminus_key\",\"value\":\"$terminus_key\"},{\"operator\":\"in\",\"tag\":\"application_id\",\"value\":[\"$application_id\"]}],\"functions\":[{\"aggregator\":\"max\",\"alias\":\"time_value\",\"field\":\"time\",\"operator\":\"gte\",\"value\":400},{\"aggregator\":\"sum\",\"field\":\"time\",\"operator\":\"gte\",\"value\":1000}],\"group\":[\"instance_id\"],\"metric\":\"jvm_gc\",\"outputs\":[\"alert\"],\"select\":{\"application_id\":\"#application_id\",\"application_name\":\"#application_name\",\"cluster_name\":\"#cluster_name\",\"host_ip\":\"#host_ip\",\"instance_id\":\"#instance_id\",\"project_id\":\"#project_id\",\"project_name\":\"#project_name\",\"runtime_id\":\"#runtime_id\",\"runtime_name\":\"#runtime_name\",\"service_name\":\"#service_name\",\"terminus_key\":\"#terminus_key\",\"workspace\":\"#workspace\"},\"window\":1}','{\"alert_group\":\"{{terminus_key}}-{{instance_id}}\",\"display_url_id\":\"micro_jvm\",\"level\":\"WARNING\",\"recover\":\"false\",\"tickets_metric_key\":\"{{instance_id}}\"}',0,'2021-05-28 11:55:07','2021-05-28 13:53:57'),(663,'应用JVM堆内存','micro_service','app_resource','app_resource_jvm_heap','{\"condition\":\"and\",\"filters\":[{\"operator\":\"eq\",\"tag\":\"name\",\"value\":\"heap_memory\"},{\"operator\":\"eq\",\"tag\":\"terminus_key\",\"value\":\"$terminus_key\"},{\"operator\":\"in\",\"tag\":\"application_id\",\"value\":[\"$application_id\"]}],\"functions\":[{\"aggregator\":\"avg\",\"field\":\"usage_percent\",\"field_script\":\"function invoke(field, tag){ return field.used / field.max * 100; }\",\"operator\":\"gte\",\"value\":75},{\"aggregator\":\"max\",\"alias\":\"used_value\",\"field\":\"used\"},{\"aggregator\":\"max\",\"alias\":\"max_value\",\"field\":\"max\"}],\"group\":[\"instance_id\"],\"metric\":\"jvm_memory\",\"outputs\":[\"alert\"],\"select\":{\"application_id\":\"#application_id\",\"application_name\":\"#application_name\",\"cluster_name\":\"#cluster_name\",\"host_ip\":\"#host_ip\",\"instance_id\":\"#instance_id\",\"project_id\":\"#project_id\",\"project_name\":\"#project_name\",\"runtime_id\":\"#runtime_id\",\"runtime_name\":\"#runtime_name\",\"service_name\":\"#service_name\",\"terminus_key\":\"#terminus_key\",\"workspace\":\"#workspace\"},\"window\":1}','{\"alert_group\":\"{{terminus_key}}-{{instance_id}}\",\"display_url_id\":\"micro_jvm\",\"level\":\"WARNING\",\"recover\":\"true\",\"tickets_metric_key\":\"{{instance_id}}\"}',0,'2021-05-28 11:55:07','2021-05-28 13:53:57'),(664,'应用NodeJS堆内存使用率','micro_service','app_resource','app_resource_nodejs_heap','{\"filters\":[{\"operator\":\"eq\",\"tag\":\"terminus_key\",\"value\":\"$terminus_key\"},{\"operator\":\"in\",\"tag\":\"application_id\",\"value\":[\"$application_id\"]}],\"functions\":[{\"aggregator\":\"avg\",\"field\":\"usage_percent\",\"field_script\":\"function invoke(field, tag){ if(!field.max) { return 0; } return field.rss / field.max * 100; }\",\"operator\":\"gte\",\"value\":75},{\"aggregator\":\"max\",\"alias\":\"heap_used_value\",\"field\":\"heap_used\"},{\"aggregator\":\"max\",\"alias\":\"heap_total_value\",\"field\":\"heap_total\"},{\"aggregator\":\"max\",\"alias\":\"rss_value\",\"field\":\"rss\"},{\"aggregator\":\"max\",\"alias\":\"max_value\",\"field\":\"max\"}],\"group\":[\"instance_id\"],\"metric\":\"nodejs_memory\",\"outputs\":[\"alert\"],\"select\":{\"application_id\":\"#application_id\",\"application_name\":\"#application_name\",\"cluster_name\":\"#cluster_name\",\"host_ip\":\"#host_ip\",\"instance_id\":\"#instance_id\",\"project_id\":\"#project_id\",\"project_name\":\"#project_name\",\"runtime_id\":\"#runtime_id\",\"runtime_name\":\"#runtime_name\",\"service_name\":\"#service_name\",\"terminus_key\":\"#terminus_key\",\"workspace\":\"#workspace\"},\"window\":1}','{\"alert_group\":\"{{terminus_key}}-{{instance_id}}\",\"display_url_id\":\"micro_nodejs\",\"level\":\"WARNING\",\"recover\":\"false\",\"tickets_metric_key\":\"{{instance_id}}\"}',0,'2021-05-28 11:55:07','2021-05-28 13:53:57'),(665,'页面内容改变','micro_service','app_status','app_status_browser','{\"alias\":\"status_page_browser\",\"filters\":[{\"operator\":\"eq\",\"tag\":\"terminus_key\",\"value\":\"$terminus_key\"},{\"operator\":\"eq\",\"tag\":\"type\",\"value\":\"browser\"}],\"functions\":[{\"aggregator\":\"min\",\"field\":\"diff_screenshot\",\"operator\":\"eq\",\"value\":false}],\"group\":[\"metric\"],\"metric\":\"status_page\",\"outputs\":[\"alert\"],\"select\":{\"metric_id\":\"#metric\",\"project_id\":\"#project_id\",\"project_name\":\"#project_name\",\"status_metric_name\":\"#metric_name\",\"terminus_key\":\"#terminus_key\",\"type\":\"#type\",\"url\":\"#url\",\"workspace\":\"#env\"},\"window\":1}','{\"alert_group\":\"{{terminus_key}}-{{metric_id}}\",\"display_url_id\":\"micro_status_detail\",\"level\":\"ERROR\",\"recover\":\"false\",\"tickets_metric_key\":\"{{metric_id}}\"}',0,'2021-05-28 11:55:07','2021-05-28 13:53:57'),(666,'主动监控HTTP状态异常','micro_service','app_status','app_status_code','{\"filters\":[{\"operator\":\"eq\",\"tag\":\"terminus_key\",\"value\":\"$terminus_key\"},{\"operator\":\"eq\",\"tag\":\"type\",\"value\":\"http\"}],\"functions\":[{\"aggregator\":\"sum\",\"field\":\"retry\"},{\"aggregator\":\"min\",\"field\":\"code\",\"operator\":\"gte\",\"value\":400}],\"group\":[\"metric\"],\"metric\":\"status_page\",\"outputs\":[\"alert\"],\"select\":{\"metric_id\":\"#metric\",\"project_id\":\"#project_id\",\"project_name\":\"#project_name\",\"status_metric_name\":\"#metric_name\",\"terminus_key\":\"#terminus_key\",\"type\":\"#type\",\"url\":\"#url\",\"workspace\":\"#env\"},\"window\":1}','{\"alert_group\":\"{{terminus_key}}-{{metric_id}}\",\"display_url_id\":\"micro_status_detail\",\"level\":\"ERROR\",\"recover\":\"true\",\"tickets_metric_key\":\"{{metric_id}}\"}',0,'2021-05-28 11:55:07','2021-05-28 13:53:57'),(667,'服务接口HTTP错误率异常','micro_service','app_transaction','app_transaction_http_path_error','{\"condition\":\"and\",\"filters\":[{\"operator\":\"eq\",\"tag\":\"target_terminus_key\",\"value\":\"$target_terminus_key\"},{\"operator\":\"in\",\"tag\":\"target_application_id\",\"value\":[\"$target_application_id\"]}],\"functions\":[{\"aggregator\":\"sum\",\"field\":\"elapsed_count\",\"operator\":\"gte\",\"value\":10},{\"aggregator\":\"sum\",\"field\":\"error_count\",\"field_script\":\"function invoke(field, tag){ if(field.http_status_code_mean \\u003c 500) { return 0; } return field.elapsed_count; }\"},{\"aggregator\":\"value\",\"field\":\"error_percent\",\"field_script\":\"function invoke(field, tag){ if(!field.elapsed_count_sum) return 0; return field.elapsed_count_sum === 0 ? 0 : (field.error_count_sum / field.elapsed_count_sum * 100);}\",\"operator\":\"gte\",\"trigger\":\"aggregated\",\"value\":50}],\"group\":[\"target_runtime_id\",\"target_service_name\",\"http_path\",\"http_method\"],\"metric\":\"application_http\",\"outputs\":[\"alert\"],\"select\":{\"application_id\":\"#target_application_id\",\"application_name\":\"#target_application_name\",\"http_method\":\"#http_method\",\"http_path\":\"#http_path\",\"http_url\":\"#http_url\",\"project_id\":\"#target_project_id\",\"project_name\":\"#target_project_name\",\"runtime_id\":\"#target_runtime_id\",\"runtime_name\":\"#target_runtime_name\",\"service_name\":\"#target_service_name\",\"terminus_key\":\"#target_terminus_key\",\"workspace\":\"#target_workspace\"},\"window\":1}','{\"alert_group\":\"{{target_terminus_key}}-{{target_runtime_id}}-{{target_service_name}}-{{http_path}}-{{http_method}}\",\"display_url_id\":\"micro_si_web\",\"level\":\"WARNING\",\"recover\":\"false\",\"tickets_metric_key\":\"{{target_application_id}}\"}',0,'2021-05-28 11:55:07','2021-05-28 13:53:57'),(668,'服务接口HTTP慢事务异常','micro_service','app_transaction','app_transaction_http_path_rt','{\"condition\":\"and\",\"filters\":[{\"operator\":\"eq\",\"tag\":\"target_terminus_key\",\"value\":\"$target_terminus_key\"},{\"operator\":\"in\",\"tag\":\"target_application_id\",\"value\":[\"$target_application_id\"]}],\"functions\":[{\"aggregator\":\"sum\",\"field\":\"elapsed\",\"field_script\":\"function invoke(field, tag){ return field.elapsed_sum / 1000000; }\"},{\"aggregator\":\"sum\",\"field\":\"elapsed_count\",\"operator\":\"gte\",\"value\":10},{\"aggregator\":\"value\",\"field\":\"elapsed_avg\",\"field_script\":\"function invoke(field, tag){ if(!field.elapsed_count_sum) return 0; return field.elapsed_count_sum === 0 ? 0 : (field.elapsed_sum / field.elapsed_count_sum);}\",\"operator\":\"gte\",\"trigger\":\"aggregated\",\"value\":3000}],\"group\":[\"target_runtime_id\",\"target_service_name\",\"http_path\",\"http_method\"],\"metric\":\"application_http\",\"outputs\":[\"alert\"],\"select\":{\"application_id\":\"#target_application_id\",\"application_name\":\"#target_application_name\",\"http_method\":\"#http_method\",\"http_path\":\"#http_path\",\"http_url\":\"#http_url\",\"project_id\":\"#target_project_id\",\"project_name\":\"#target_project_name\",\"runtime_id\":\"#target_runtime_id\",\"runtime_name\":\"#target_runtime_name\",\"service_name\":\"#target_service_name\",\"terminus_key\":\"#target_terminus_key\",\"workspace\":\"#target_workspace\"},\"window\":1}','{\"alert_group\":\"{{target_terminus_key}}-{{target_runtime_id}}-{{target_service_name}}-{{http_path}}-{{http_method}}\",\"display_url_id\":\"micro_si_web\",\"level\":\"WARNING\",\"recover\":\"false\",\"tickets_metric_key\":\"{{target_application_id}}\"}',0,'2021-05-28 11:55:07','2021-05-28 13:53:57'),(669,'服务HTTP错误率异常','micro_service','app_transaction','app_transaction_http_service_error','{\"condition\":\"and\",\"filters\":[{\"operator\":\"eq\",\"tag\":\"target_terminus_key\",\"value\":\"$target_terminus_key\"},{\"operator\":\"in\",\"tag\":\"target_application_id\",\"value\":[\"$target_application_id\"]}],\"functions\":[{\"aggregator\":\"sum\",\"field\":\"elapsed_count\"},{\"aggregator\":\"sum\",\"field\":\"error_count\",\"field_script\":\"function invoke(field, tag){ if(field.http_status_code_mean \\u003c 500) { return 0; } return field.elapsed_count; }\"},{\"aggregator\":\"value\",\"field\":\"error_percent\",\"field_script\":\"function invoke(field, tag){ if(!field.elapsed_count_sum) return 0; return field.elapsed_count_sum === 0 ? 0 : (field.error_count_sum / field.elapsed_count_sum * 100);}\",\"operator\":\"gte\",\"trigger\":\"aggregated\",\"value\":30}],\"group\":[\"target_runtime_id\",\"target_service_name\"],\"metric\":\"application_http\",\"outputs\":[\"alert\"],\"select\":{\"application_id\":\"#target_application_id\",\"application_name\":\"#target_application_name\",\"project_id\":\"#target_project_id\",\"project_name\":\"#target_project_name\",\"runtime_id\":\"#target_runtime_id\",\"runtime_name\":\"#target_runtime_name\",\"service_name\":\"#target_service_name\",\"terminus_key\":\"#target_terminus_key\",\"workspace\":\"#target_workspace\"},\"window\":1}','{\"alert_group\":\"{{target_terminus_key}}-{{target_runtime_id}}-{{target_service_name}}\",\"display_url_id\":\"micro_si_web\",\"level\":\"WARNING\",\"recover\":\"true\",\"tickets_metric_key\":\"{{target_application_id}}\"}',0,'2021-05-28 11:55:07','2021-05-28 13:53:57'),(670,'服务HTTP慢事务异常','micro_service','app_transaction','app_transaction_http_service_rt','{\"condition\":\"and\",\"filters\":[{\"operator\":\"eq\",\"tag\":\"target_terminus_key\",\"value\":\"$target_terminus_key\"},{\"operator\":\"in\",\"tag\":\"target_application_id\",\"value\":[\"$target_application_id\"]}],\"functions\":[{\"aggregator\":\"sum\",\"field\":\"elapsed\",\"field_script\":\"function invoke(field, tag){ return field.elapsed_sum / 1000000; }\"},{\"aggregator\":\"sum\",\"field\":\"elapsed_count\"},{\"aggregator\":\"value\",\"field\":\"elapsed_avg\",\"field_script\":\"function invoke(field, tag){ if(!field.elapsed_count_sum) return 0; return field.elapsed_count_sum === 0 ? 0 : (field.elapsed_sum / field.elapsed_count_sum);}\",\"operator\":\"gte\",\"trigger\":\"aggregated\",\"value\":1000}],\"group\":[\"target_runtime_id\",\"target_service_name\"],\"metric\":\"application_http\",\"outputs\":[\"alert\"],\"select\":{\"application_id\":\"#target_application_id\",\"application_name\":\"#target_application_name\",\"project_id\":\"#target_project_id\",\"project_name\":\"#target_project_name\",\"runtime_id\":\"#target_runtime_id\",\"runtime_name\":\"#target_runtime_name\",\"service_name\":\"#target_service_name\",\"terminus_key\":\"#target_terminus_key\",\"workspace\":\"#target_workspace\"},\"window\":1}','{\"alert_group\":\"{{target_terminus_key}}-{{target_runtime_id}}-{{target_service_name}}\",\"display_url_id\":\"micro_si_web\",\"level\":\"WARNING\",\"recover\":\"true\",\"tickets_metric_key\":\"{{target_application_id}}\"}',0,'2021-05-28 11:55:07','2021-05-28 13:53:57'),(671,'MySQL SLAVE DELAY ALERT','org','custom_addon','slave_dly_alert','{\"condition\":\"or\",\"filters\":[{\"operator\":\"in\",\"tag\":\"cluster_name\",\"value\":[\"$cluster_name\"]},{\"operator\":\"eq\",\"tag\":\"is_slave\",\"value\":\"true\"}],\"functions\":[{\"aggregator\":\"values\",\"field\":\"slave_slave_sql_running_state\",\"field_script\":\"function invoke(fields,tags){if (fields.slave_slave_sql_running_state == \'Slave has read all relay log; waiting for more updates\') {return \'no delay\'} return \'delay\';}\",\"operator\":\"all\",\"value\":\"delay\"},{\"aggregator\":\"max\",\"field\":\"slave_seconds_behind_master\",\"operator\":\"gt\",\"value\":1800}],\"group\":[\"addon_id\",\"server\"],\"metric\":\"mysql\",\"outputs\":[\"alert\"],\"select\":{\"addon_id\":\"#addon_id\",\"cluster_name\":\"#cluster_name\",\"server_id\":\"#server\"},\"window\":30}','{\"alert_group\":\"{{cluster_name}}-{{addon_id}}\",\"level\":\"WARNING\",\"recover\":\"false\"}',0,'2021-05-28 11:55:07','2021-05-28 13:53:57'),(672,'MySQL SLAVE SYNC ALERT','org','custom_addon','slave_sync_alert','{\"filters\":[{\"operator\":\"in\",\"tag\":\"cluster_name\",\"value\":[\"$cluster_name\"]},{\"operator\":\"eq\",\"tag\":\"is_slave\",\"value\":\"true\"}],\"functions\":[{\"aggregator\":\"max\",\"alias\":\"slave_slave_sync_ok_value\",\"field\":\"slave_slave_sync_ok\",\"field_script\":\"function invoke(fields,tags){if (fields.slave_slave_io_running == 0 || fields.slave_slave_sql_running == 0) {return 0} return 1}\",\"operator\":\"eq\",\"value\":0},{\"aggregator\":\"max\",\"alias\":\"slave_slave_io_running_value\",\"field\":\"slave_slave_io_running\"},{\"aggregator\":\"max\",\"alias\":\"slave_slave_sql_running_value\",\"field\":\"slave_slave_sql_running\"}],\"group\":[\"addon_id\",\"server\"],\"metric\":\"mysql\",\"outputs\":[\"alert\"],\"select\":{\"addon_id\":\"#addon_id\",\"cluster_name\":\"#cluster_name\",\"server_id\":\"#server\"},\"window\":1}','{\"alert_group\":\"{{cluster_name}}-{{addon_id}}\",\"level\":\"WARNING\",\"recover\":\"false\"}',0,'2021-05-28 11:55:07','2021-05-28 13:53:57'),(673,'平台中间件Cassandra GC次数异常','org','dice_addon','dice_addon_cassandra_gc_count','{\"filters\":[{\"operator\":\"in\",\"tag\":\"cluster_name\",\"value\":[\"$cluster_name\"]},{\"operator\":\"eq\",\"tag\":\"addon_id\",\"value\":\"cassandra\"},{\"operator\":\"like\",\"tag\":\"name\",\"value\":\"Old\"}],\"functions\":[{\"aggregator\":\"min\",\"field\":\"CollectionCount_min\",\"field_script\":\"function invoke(fields,tags){return fields.CollectionCount;}\"},{\"aggregator\":\"max\",\"field\":\"CollectionCount_max\",\"field_script\":\"function invoke(fields,tags){return fields.CollectionCount;}\"},{\"aggregator\":\"value\",\"field\":\"CollectionCount_win\",\"field_script\":\"function invoke(fields,tags){return fields.CollectionCount_max-fields.CollectionCount_min;}\",\"operator\":\"gte\",\"trigger\":\"aggregated\",\"value\":10}],\"group\":[\"cluster_name\",\"node_id\"],\"metrics\":[\"addon_java_GarbageCollector\"],\"outputs\":[\"alert\"],\"select\":{\"addon_id\":\"#addon_id\",\"addon_type\":\"#addon_type\",\"cluster_name\":\"#cluster_name\",\"node_host\":\"#jolokia_host\"},\"window\":3}','{\"alert_group\":\"{{cluster_name}}-{{addon_id}}\",\"display_url_id\":\"org_addon\",\"level\":\"WARNING\",\"recover\":\"false\",\"tickets_metric_key\":\"{{addon_id}}\"}',0,'2021-05-28 11:55:07','2021-05-28 13:53:57'),(674,'平台中间件Cassandra GC耗时异常','org','dice_addon','dice_addon_cassandra_gc_time','{\"filters\":[{\"operator\":\"in\",\"tag\":\"cluster_name\",\"value\":[\"$cluster_name\"]},{\"operator\":\"eq\",\"tag\":\"addon_id\",\"value\":\"cassandra\"},{\"operator\":\"like\",\"tag\":\"name\",\"value\":\"Old\"}],\"functions\":[{\"aggregator\":\"min\",\"field\":\"CollectionTime_min\",\"field_script\":\"function invoke(fields,tags){return fields.CollectionTime;}\"},{\"aggregator\":\"max\",\"field\":\"CollectionTime_max\",\"field_script\":\"function invoke(fields,tags){return fields.CollectionTime;}\"},{\"aggregator\":\"value\",\"field\":\"CollectionTime_win\",\"field_script\":\"function invoke(fields,tags){return fields.CollectionTime_max-fields.CollectionTime_min;}\",\"operator\":\"gte\",\"trigger\":\"aggregated\",\"value\":15000}],\"group\":[\"cluster_name\",\"node_id\"],\"metrics\":[\"addon_java_GarbageCollector\"],\"outputs\":[\"alert\"],\"select\":{\"addon_id\":\"#addon_id\",\"addon_type\":\"#addon_type\",\"cluster_name\":\"#cluster_name\",\"node_host\":\"#jolokia_host\"},\"window\":3}','{\"alert_group\":\"{{cluster_name}}-{{addon_id}}\",\"display_url_id\":\"org_addon\",\"level\":\"WARNING\",\"recover\":\"false\",\"tickets_metric_key\":\"{{addon_id}}\"}',0,'2021-05-28 11:55:07','2021-05-28 13:53:57'),(675,'平台中间件实例CPU状态','org','dice_addon','dice_addon_container_cpu','{\"filters\":[{\"operator\":\"in\",\"tag\":\"cluster_name\",\"value\":[\"$cluster_name\"]},{\"operator\":\"eq\",\"tag\":\"pod_namespace\",\"value\":\"default\"},{\"operator\":\"any\",\"tag\":\"addon_id\"}],\"functions\":[{\"aggregator\":\"avg\",\"field\":\"cpu_usage_percent\",\"field_script\":\"function invoke(fields,tags){return fields.cpu_limit===0?fields.cpu_usage_percent:fields.cpu_usage_percent/fields.cpu_limit}\",\"operator\":\"gte\",\"value\":95},{\"aggregator\":\"max\",\"alias\":\"cpu_limit_value\",\"field\":\"cpu_limit\"},{\"aggregator\":\"max\",\"alias\":\"cpu_allocation_value\",\"field\":\"cpu_allocation\"}],\"group\":[\"cluster_name\",\"container_id\"],\"metrics\":[\"docker_container_summary\"],\"outputs\":[\"alert\"],\"select\":{\"addon_id\":\"#addon_id\",\"cluster_name\":\"#cluster_name\",\"container_id\":\"#container_id\",\"host_ip\":\"#host_ip\",\"pod_name\":\"#pod_name\",\"pod_namespace\":\"#pod_namespace\"},\"window\":2}','{\"alert_group\":\"{{cluster_name}}-{{container_id}}\",\"level\":\"WARNING\",\"recover\":\"false\",\"tickets_metric_key\":\"{{container_id}}\"}',0,'2021-05-28 11:55:07','2021-05-28 13:53:57'),(676,'平台中间件异常退出','org','dice_addon','dice_addon_container_exit','{\"filters\":[{\"operator\":\"in\",\"tag\":\"cluster_name\",\"value\":[\"$cluster_name\"]},{\"operator\":\"eq\",\"tag\":\"pod_namespace\",\"value\":\"default\"},{\"operator\":\"any\",\"tag\":\"addon_id\"}],\"functions\":[{\"aggregator\":\"max\",\"field\":\"exitcode\",\"operator\":\"gt\",\"value\":0},{\"aggregator\":\"max\",\"field\":\"oomkilled\"},{\"aggregator\":\"value\",\"field\":\"pid\"},{\"aggregator\":\"max\",\"field\":\"finished_at\",\"field_script\":\"function invoke(fields,tags){if(fields.finished_at!=null\\u0026\\u0026fields.finished_at!=undefined) return fields.finished_at/1000000;return 0}\"},{\"aggregator\":\"max\",\"field\":\"started_at\",\"field_script\":\"function invoke(fields,tags){if(fields.started_at!=null\\u0026\\u0026fields.started_at!=undefined) return fields.started_at/1000000;return 0}\"},{\"aggregator\":\"value\",\"field\":\"finished_at\",\"field_script\":\"function invoke(fields,tags){if(fields.finished_at_max\\u003e0) return fields.finished_at_max;return \'-\'}\",\"trigger\":\"aggregated\"},{\"aggregator\":\"value\",\"field\":\"started_at\",\"field_script\":\"function invoke(fields,tags){if(fields.started_at_max\\u003e0) return fields.started_at_max;return \'-\'}\",\"trigger\":\"aggregated\"},{\"aggregator\":\"value\",\"field\":\"terminated_reason\",\"field_script\":\"function invoke(fields,tags){if(fields.oomkilled) return \'Out Of Memory\';return \'Error Exit Code \'+fields.exitcode_max;}\",\"trigger\":\"aggregated\"}],\"group\":[\"cluster_name\",\"pod_namespace\",\"pod_name\"],\"metrics\":[\"docker_container_summary\"],\"outputs\":[\"alert\"],\"select\":{\"addon_id\":\"#addon_id\",\"cluster_name\":\"#cluster_name\",\"container_id\":\"#container_id\",\"host_ip\":\"#host_ip\",\"pod_name\":\"#pod_name\",\"pod_namespace\":\"#pod_namespace\"},\"window\":1}','{\"alert_group\":\"{{cluster_name}}-{{container_id}}\",\"display_url_id\":\"org_pod\",\"level\":\"WARNING\",\"recover\":\"false\",\"tickets_metric_key\":\"{{container_id}}\"}',0,'2021-05-28 11:55:07','2021-05-28 13:53:57'),(677,'平台中间件实例内存状态','org','dice_addon','dice_addon_container_mem','{\"filters\":[{\"operator\":\"in\",\"tag\":\"cluster_name\",\"value\":[\"$cluster_name\"]},{\"operator\":\"eq\",\"tag\":\"pod_namespace\",\"value\":\"default\"},{\"operator\":\"any\",\"tag\":\"addon_id\"}],\"functions\":[{\"aggregator\":\"avg\",\"field\":\"mem_usage_percent\",\"operator\":\"gt\",\"value\":80},{\"aggregator\":\"max\",\"alias\":\"mem_usage_value\",\"field\":\"mem_usage\"},{\"aggregator\":\"max\",\"alias\":\"mem_limit_value\",\"field\":\"mem_limit\"},{\"aggregator\":\"max\",\"alias\":\"mem_max_value\",\"field\":\"mem_max_usage\"},{\"aggregator\":\"max\",\"alias\":\"mem_allocation_value\",\"field\":\"mem_allocation\"}],\"group\":[\"cluster_name\",\"container_id\"],\"metrics\":[\"docker_container_summary\"],\"outputs\":[\"alert\"],\"select\":{\"addon_id\":\"#addon_id\",\"cluster_name\":\"#cluster_name\",\"container_id\":\"#container_id\",\"host_ip\":\"#host_ip\",\"pod_name\":\"#pod_name\",\"pod_namespace\":\"#pod_namespace\"},\"window\":2}','{\"alert_group\":\"{{cluster_name}}-{{container_id}}\",\"level\":\"WARNING\",\"recover\":\"false\",\"tickets_metric_key\":\"{{container_id}}\"}',0,'2021-05-28 11:55:07','2021-05-28 13:53:57'),(678,'平台中间件实例Ready状态异常','org','dice_addon','dice_addon_container_ready','{\"filters\":[{\"operator\":\"in\",\"tag\":\"cluster_name\",\"value\":[\"$cluster_name\"]},{\"operator\":\"eq\",\"tag\":\"namespace\",\"value\":\"default\"},{\"operator\":\"any\",\"tag\":\"addon_id\"}],\"functions\":[{\"aggregator\":\"max\",\"alias\":\"not_ready_value\",\"field\":\"not_ready\",\"field_script\":\"function invoke(fields,tags){if(tags.daemonset_name){return fields.number_unavailable}else{if(tags.statefulset_name){return fields.replicas-fields.replicas_ready}else{if(tags.deployment_name){return fields.replicas_unavailable}}}return 0}\",\"operator\":\"gt\",\"value\":0},{\"aggregator\":\"max\",\"alias\":\"ready_value\",\"field\":\"ready_value\",\"field_script\":\"function invoke(fields,tags){if(tags.daemonset_name){return fields.number_available}else{if(tags.statefulset_name){return fields.replicas_ready}else{if(tags.deployment_name){return fields.replicas_available}}}return 0}\"},{\"aggregator\":\"max\",\"alias\":\"total_value\",\"field\":\"total_value\",\"field_script\":\"function invoke(fields,tags){if(tags.daemonset_name){return fields.number_unavailable+fields.number_available}else{if(tags.statefulset_name){return fields.replicas}else{if(tags.deployment_name){return fields.replicas}}}return 0}\"},{\"aggregator\":\"value\",\"alias\":\"resource_name_value\",\"field\":\"resource_name_value\",\"field_script\":\"function invoke(fields,tags){if(tags.daemonset_name){return tags.daemonset_name}else{if(tags.statefulset_name){return tags.statefulset_name}else{if(tags.deployment_name){return tags.deployment_name}}}return null};\"}],\"group\":[\"cluster_name\",\"namespace\",\"daemonset_name\",\"statefulset_name\",\"deployment_name\"],\"metrics\":[\"kubernetes_daemonset\",\"kubernetes_statefulset\",\"kubernetes_deployment\"],\"outputs\":[\"alert\"],\"select\":{\"addon_id\":\"#addon_id\",\"cluster_name\":\"#cluster_name\",\"daemonset_name\":\"#daemonset_name\",\"deployment_name\":\"#deployment_name\",\"namespace\":\"#namespace\",\"statefulset_name\":\"#statefulset_name\"},\"window\":1}','{\"alert_group\":\"{{cluster_name}}-{{daemonset_name}}-{{statefulset_name}}-{{deployment_name}}\",\"level\":\"WARNING\",\"recover\":\"false\",\"tickets_metric_key\":\"{{daemonset_name}}-{{statefulset_name}}-{{deployment_name}}\"}',0,'2021-05-28 11:55:07','2021-05-28 13:53:57'),(679,'平台中间件Elasticsearch GC次数异常','org','dice_addon','dice_addon_elasticsearch_gc_count','{\"filters\":[{\"operator\":\"in\",\"tag\":\"cluster_name\",\"value\":[\"$cluster_name\"]},{\"operator\":\"eq\",\"tag\":\"addon_id\",\"value\":\"elasticsearch\"}],\"functions\":[{\"aggregator\":\"min\",\"field\":\"gc_collectors_old_collection_count\"},{\"aggregator\":\"max\",\"field\":\"gc_collectors_old_collection_count\"},{\"aggregator\":\"value\",\"field\":\"gc_collectors_old_collection_count_win\",\"field_script\":\"function invoke(fields,tags){return fields.gc_collectors_old_collection_count_max-fields.gc_collectors_old_collection_count_min;}\",\"operator\":\"gte\",\"trigger\":\"aggregated\",\"value\":10}],\"group\":[\"cluster_name\",\"node_id\"],\"metrics\":[\"elasticsearch_jvm\"],\"outputs\":[\"alert\"],\"select\":{\"addon_id\":\"#addon_id\",\"addon_type\":\"#addon_type\",\"cluster_name\":\"#cluster_name\",\"node_host\":\"#node_host\",\"node_id\":\"#node_id\",\"node_name\":\"#node_name\"},\"window\":3}','{\"alert_group\":\"{{cluster_name}}-{{addon_id}}\",\"display_url_id\":\"org_addon\",\"level\":\"WARNING\",\"recover\":\"false\",\"tickets_metric_key\":\"{{addon_id}}\"}',0,'2021-05-28 11:55:07','2021-05-28 13:53:57'),(680,'平台中间件Elasticsearch GC耗时异常','org','dice_addon','dice_addon_elasticsearch_gc_time','{\"filters\":[{\"operator\":\"in\",\"tag\":\"cluster_name\",\"value\":[\"$cluster_name\"]},{\"operator\":\"eq\",\"tag\":\"addon_id\",\"value\":\"elasticsearch\"}],\"functions\":[{\"aggregator\":\"min\",\"field\":\"gc_collectors_old_collection_time_in_millis\"},{\"aggregator\":\"max\",\"field\":\"gc_collectors_old_collection_time_in_millis\"},{\"aggregator\":\"value\",\"field\":\"gc_collectors_old_collection_time_in_millis_win\",\"field_script\":\"function invoke(fields,tags){return fields.gc_collectors_old_collection_time_in_millis_max-fields.gc_collectors_old_collection_time_in_millis_min;}\",\"operator\":\"gte\",\"trigger\":\"aggregated\",\"value\":15000}],\"group\":[\"cluster_name\",\"node_id\"],\"metrics\":[\"elasticsearch_jvm\"],\"outputs\":[\"alert\"],\"select\":{\"addon_id\":\"#addon_id\",\"addon_type\":\"#addon_type\",\"cluster_name\":\"#cluster_name\",\"node_host\":\"#node_host\",\"node_id\":\"#node_id\",\"node_name\":\"#node_name\"},\"window\":3}','{\"alert_group\":\"{{cluster_name}}-{{addon_id}}\",\"display_url_id\":\"org_addon\",\"level\":\"WARNING\",\"recover\":\"false\",\"tickets_metric_key\":\"{{addon_id}}\"}',0,'2021-05-28 11:55:07','2021-05-28 13:53:57'),(681,'平台中间件Kafka GC次数异常','org','dice_addon','dice_addon_kafka_gc_count','{\"filters\":[{\"operator\":\"in\",\"tag\":\"cluster_name\",\"value\":[\"$cluster_name\"]},{\"operator\":\"eq\",\"tag\":\"addon_id\",\"value\":\"kafka\"},{\"operator\":\"like\",\"tag\":\"name\",\"value\":\"Old\"}],\"functions\":[{\"aggregator\":\"min\",\"field\":\"CollectionCount\"},{\"aggregator\":\"max\",\"field\":\"CollectionCount\"},{\"aggregator\":\"value\",\"field\":\"CollectionCount_win\",\"field_script\":\"function invoke(fields,tags){return fields.CollectionCount_max-fields.CollectionCount_min;}\",\"operator\":\"gte\",\"trigger\":\"aggregated\",\"value\":10}],\"group\":[\"cluster_name\",\"node_id\"],\"metrics\":[\"addon_java_GarbageCollector\"],\"outputs\":[\"alert\"],\"select\":{\"addon_id\":\"#addon_id\",\"addon_type\":\"#addon_type\",\"cluster_name\":\"#cluster_name\",\"node_host\":\"#jolokia_host\"},\"window\":3}','{\"alert_group\":\"{{cluster_name}}-{{addon_id}}\",\"display_url_id\":\"org_addon\",\"level\":\"WARNING\",\"recover\":\"false\",\"tickets_metric_key\":\"{{addon_id}}\"}',0,'2021-05-28 11:55:07','2021-05-28 13:53:57'),(682,'平台中间件Kafka GC耗时异常','org','dice_addon','dice_addon_kafka_gc_time','{\"filters\":[{\"operator\":\"in\",\"tag\":\"cluster_name\",\"value\":[\"$cluster_name\"]},{\"operator\":\"eq\",\"tag\":\"addon_id\",\"value\":\"kafka\"},{\"operator\":\"like\",\"tag\":\"name\",\"value\":\"Old\"}],\"functions\":[{\"aggregator\":\"min\",\"field\":\"CollectionTime\"},{\"aggregator\":\"max\",\"field\":\"CollectionTime\"},{\"aggregator\":\"value\",\"field\":\"CollectionTime_win\",\"field_script\":\"function invoke(fields,tags){return fields.CollectionTime_max-fields.CollectionTime_min;}\",\"operator\":\"gte\",\"trigger\":\"aggregated\",\"value\":15000}],\"group\":[\"cluster_name\",\"node_id\"],\"metrics\":[\"addon_java_GarbageCollector\"],\"outputs\":[\"alert\"],\"select\":{\"addon_id\":\"#addon_id\",\"addon_type\":\"#addon_type\",\"cluster_name\":\"#cluster_name\",\"node_host\":\"#jolokia_host\"},\"window\":3}','{\"alert_group\":\"{{cluster_name}}-{{addon_id}}\",\"display_url_id\":\"org_addon\",\"level\":\"WARNING\",\"recover\":\"false\",\"tickets_metric_key\":\"{{addon_id}}\"}',0,'2021-05-28 11:55:07','2021-05-28 13:53:57'),(683,'平台中间件kafka消费堆积','org','dice_addon','dice_addon_kafka_lag','{\"filters\":[{\"operator\":\"in\",\"tag\":\"cluster_name\",\"value\":[\"$cluster_name\"]},{\"operator\":\"eq\",\"tag\":\"addon_id\",\"value\":\"kafka\"}],\"functions\":[{\"aggregator\":\"avg\",\"field\":\"lag\",\"operator\":\"gte\",\"value\":100000},{\"aggregator\":\"avg\",\"field\":\"consume_rate_per_sec\"},{\"aggregator\":\"avg\",\"field\":\"produce_rate_per_sec\"}],\"group\":[\"cluster_name\",\"addon_id\",\"group\",\"topic\"],\"metrics\":[\"kafka_consumer\"],\"outputs\":[\"alert\"],\"select\":{\"addon_id\":\"#addon_id\",\"addon_type\":\"#addon_type\",\"cluster_name\":\"#cluster_name\",\"group\":\"#group\",\"topic\":\"#topic\"},\"window\":3}','{\"alert_group\":\"{{cluster_name}}-{{group}}-{{topic}}\",\"display_url_id\":\"org_addon\",\"level\":\"WARNING\",\"recover\":\"false\",\"tickets_metric_key\":\"{{group}}-{{topic}}\"}',0,'2021-05-28 11:55:07','2021-05-28 13:53:57'),(684,'平台组件实例CPU状态','org','dice_component','dice_component_container_cpu','{\"filters\":[{\"operator\":\"in\",\"tag\":\"cluster_name\",\"value\":[\"$cluster_name\"]},{\"operator\":\"eq\",\"tag\":\"pod_namespace\",\"value\":\"default\"},{\"operator\":\"any\",\"tag\":\"component_name\"}],\"functions\":[{\"aggregator\":\"avg\",\"field\":\"cpu_usage_percent\",\"field_script\":\"function invoke(fields,tags){return fields.cpu_limit===0?fields.cpu_usage_percent:fields.cpu_usage_percent/fields.cpu_limit}\",\"operator\":\"gte\",\"value\":95},{\"aggregator\":\"max\",\"alias\":\"cpu_limit_value\",\"field\":\"cpu_limit\"},{\"aggregator\":\"max\",\"alias\":\"cpu_allocation_value\",\"field\":\"cpu_allocation\"}],\"group\":[\"cluster_name\",\"container_id\"],\"metrics\":[\"docker_container_summary\"],\"outputs\":[\"alert\"],\"select\":{\"cluster_name\":\"#cluster_name\",\"component_name\":\"#component_name\",\"container_id\":\"#container_id\",\"host_ip\":\"#host_ip\",\"pod_name\":\"#pod_name\",\"pod_namespace\":\"#pod_namespace\"},\"window\":2}','{\"alert_group\":\"{{cluster_name}}-{{container_id}}\",\"level\":\"WARNING\",\"recover\":\"false\",\"tickets_metric_key\":\"{{container_id}}\"}',0,'2021-05-28 11:55:07','2021-05-28 13:53:57'),(685,'平台组件异常退出','org','dice_component','dice_component_container_exit','{\"filters\":[{\"operator\":\"in\",\"tag\":\"cluster_name\",\"value\":[\"$cluster_name\"]},{\"operator\":\"eq\",\"tag\":\"pod_namespace\",\"value\":\"default\"},{\"operator\":\"any\",\"tag\":\"component_name\"}],\"functions\":[{\"aggregator\":\"max\",\"field\":\"exitcode\",\"operator\":\"gt\",\"value\":0},{\"aggregator\":\"max\",\"field\":\"oomkilled\"},{\"aggregator\":\"value\",\"field\":\"pid\"},{\"aggregator\":\"max\",\"field\":\"finished_at\",\"field_script\":\"function invoke(fields,tags){if(fields.finished_at!=null\\u0026\\u0026fields.finished_at!=undefined) return fields.finished_at/1000000;return 0}\"},{\"aggregator\":\"max\",\"field\":\"started_at\",\"field_script\":\"function invoke(fields,tags){if(fields.started_at!=null\\u0026\\u0026fields.started_at!=undefined) return fields.started_at/1000000;return 0}\"},{\"aggregator\":\"value\",\"field\":\"finished_at\",\"field_script\":\"function invoke(fields,tags){if(fields.finished_at_max\\u003e0) return fields.finished_at_max;return \'-\'}\",\"trigger\":\"aggregated\"},{\"aggregator\":\"value\",\"field\":\"started_at\",\"field_script\":\"function invoke(fields,tags){if(fields.started_at_max\\u003e0) return fields.started_at_max;return \'-\'}\",\"trigger\":\"aggregated\"},{\"aggregator\":\"value\",\"field\":\"terminated_reason\",\"field_script\":\"function invoke(fields,tags){if(fields.oomkilled) return \'Out Of Memory\';return \'Error Exit Code \'+fields.exitcode_max;}\",\"trigger\":\"aggregated\"}],\"group\":[\"cluster_name\",\"container_id\"],\"metrics\":[\"docker_container_summary\"],\"outputs\":[\"alert\"],\"select\":{\"cluster_name\":\"#cluster_name\",\"component_name\":\"#component_name\",\"container_id\":\"#container_id\",\"host_ip\":\"#host_ip\",\"pod_name\":\"#pod_name\",\"pod_namespace\":\"#pod_namespace\"},\"window\":1}','{\"alert_group\":\"{{cluster_name}}-{{container_id}}\",\"display_url_id\":\"org_pod\",\"level\":\"WARNING\",\"recover\":\"false\",\"tickets_metric_key\":\"{{container_id}}\"}',0,'2021-05-28 11:55:07','2021-05-28 13:53:57'),(686,'平台组件实例内存状态','org','dice_component','dice_component_container_mem','{\"filters\":[{\"operator\":\"in\",\"tag\":\"cluster_name\",\"value\":[\"$cluster_name\"]},{\"operator\":\"eq\",\"tag\":\"pod_namespace\",\"value\":\"default\"},{\"operator\":\"any\",\"tag\":\"component_name\"}],\"functions\":[{\"aggregator\":\"avg\",\"field\":\"mem_usage_percent\",\"operator\":\"gt\",\"value\":70},{\"aggregator\":\"max\",\"alias\":\"mem_usage_value\",\"field\":\"mem_usage\"},{\"aggregator\":\"max\",\"alias\":\"mem_limit_value\",\"field\":\"mem_limit\"},{\"aggregator\":\"max\",\"alias\":\"mem_max_usage_value\",\"field\":\"mem_max_usage\"},{\"aggregator\":\"max\",\"alias\":\"mem_allocation_value\",\"field\":\"mem_allocation\"}],\"group\":[\"cluster_name\",\"container_id\"],\"metrics\":[\"docker_container_summary\"],\"outputs\":[\"alert\"],\"select\":{\"cluster_name\":\"#cluster_name\",\"component_name\":\"#component_name\",\"container_id\":\"#container_id\",\"host_ip\":\"#host_ip\",\"pod_name\":\"#pod_name\",\"pod_namespace\":\"#pod_namespace\"},\"window\":2}','{\"alert_group\":\"{{cluster_name}}-{{container_id}}\",\"level\":\"WARNING\",\"recover\":\"false\",\"tickets_metric_key\":\"{{container_id}}\"}',0,'2021-05-28 11:55:07','2021-05-28 13:53:57'),(687,'平台组件实例Ready状态异常','org','dice_component','dice_component_container_ready','{\"filters\":[{\"operator\":\"in\",\"tag\":\"cluster_name\",\"value\":[\"$cluster_name\"]},{\"operator\":\"eq\",\"tag\":\"namespace\",\"value\":\"default\"},{\"operator\":\"any\",\"tag\":\"component_name\"}],\"functions\":[{\"aggregator\":\"max\",\"alias\":\"not_ready_value\",\"field\":\"not_ready\",\"field_script\":\"function invoke(fields,tags){if(tags.daemonset_name){return fields.number_unavailable}else{if(tags.statefulset_name){return fields.replicas-fields.replicas_ready}else{if(tags.deployment_name){return fields.replicas_unavailable}}}return 0}\",\"operator\":\"gt\",\"value\":0},{\"aggregator\":\"max\",\"alias\":\"ready_value\",\"field\":\"ready_value\",\"field_script\":\"function invoke(fields,tags){if(tags.daemonset_name){return fields.number_available}else{if(tags.statefulset_name){return fields.replicas_ready}else{if(tags.deployment_name){return fields.replicas_available}}}return 0}\"},{\"aggregator\":\"max\",\"alias\":\"total_value\",\"field\":\"total_value\",\"field_script\":\"function invoke(fields,tags){if(tags.daemonset_name){return fields.number_unavailable+fields.number_available}else{if(tags.statefulset_name){return fields.replicas}else{if(tags.deployment_name){return fields.replicas}}}return 0}\"},{\"aggregator\":\"value\",\"alias\":\"resource_name_value\",\"field\":\"resource_name_value\",\"field_script\":\"function invoke(fields,tags){if(tags.daemonset_name){return tags.daemonset_name}else{if(tags.statefulset_name){return tags.statefulset_name}else{if(tags.deployment_name){return tags.deployment_name}}}return null};\"}],\"group\":[\"cluster_name\",\"namespace\",\"daemonset_name\",\"statefulset_name\",\"deployment_name\"],\"metrics\":[\"kubernetes_daemonset\",\"kubernetes_statefulset\",\"kubernetes_deployment\"],\"outputs\":[\"alert\"],\"select\":{\"cluster_name\":\"#cluster_name\",\"component_name\":\"#component_name\",\"daemonset_name\":\"#daemonset_name\",\"deployment_name\":\"#deployment_name\",\"namespace\":\"#namespace\",\"statefulset_name\":\"#statefulset_name\"},\"window\":3}','{\"alert_group\":\"{{cluster_name}}-{{daemonset_name}}-{{statefulset_name}}-{{deployment_name}}\",\"level\":\"WARNING\",\"recover\":\"false\",\"tickets_metric_key\":\"{{daemonset_name}}-{{statefulset_name}}-{{deployment_name}}\"}',0,'2021-05-28 11:55:07','2021-05-28 13:53:57'),(688,'平台组件Flink任务checkpoint延迟异常告警','org','dice_component','dice_component_flink_checkpoint_duration','{\"filters\":[{\"operator\":\"in\",\"tag\":\"cluster_name\",\"value\":[\"$cluster_name\"]}],\"functions\":[{\"aggregator\":\"max\",\"alias\":\"lastCheckpointDuration_value\",\"field\":\"lastCheckpointDuration\",\"operator\":\"gte\",\"value\":3000}],\"group\":[\"cluster_name\",\"container_id\",\"job_id\"],\"metric\":\"flink_jm_job\",\"outputs\":[\"alert\"],\"select\":{\"cluster_name\":\"#cluster_name\",\"host_ip\":\"#host_ip\",\"job_id\":\"#job_id\"},\"window\":1}','{\"alert_group\":\"{{cluster_name}}-{{container_id}}-{{job_id}}\",\"level\":\"WARNING\",\"recover\":\"false\",\"tickets_metric_key\":\"{{container_id}}-{{job_id}}\"}',0,'2021-05-28 11:55:07','2021-05-28 13:53:57'),(689,'平台组件Flink吞吐量异常告警','org','dice_component','dice_component_flink_throughput','{\"filters\":[{\"operator\":\"in\",\"tag\":\"cluster_name\",\"value\":[\"$cluster_name\"]}],\"functions\":[{\"aggregator\":\"max\",\"alias\":\"numRecordsOutPerSecond_count_value\",\"field\":\"numRecordsOutPerSecond_count\",\"operator\":\"eq\",\"value\":0}],\"group\":[\"cluster_name\",\"container_id\",\"job_id\",\"task_id\",\"subtask_index\",\"operator_id\"],\"metric\":\"flink_tm_operator\",\"outputs\":[\"alert\"],\"select\":{\"cluster_name\":\"#cluster_name\",\"host_ip\":\"#host_ip\",\"job_id\":\"#job_id\",\"operator_id\":\"#operator_id\",\"subtask_index\":\"#subtask_index\",\"tm_id\":\"#tm_id\"},\"window\":1}','{\"alert_group\":\"{{cluster_name}}-{{container_id}}-{{job_id}}\",\"level\":\"WARNING\",\"recover\":\"false\",\"tickets_metric_key\":\"{{container_id}}-{{job_id}}\"}',0,'2021-05-28 11:55:07','2021-05-28 13:53:57'),(690,'平台组件网盘不可用告警','org','dice_component','dice_component_gfs_status','{\"filters\":[{\"operator\":\"in\",\"tag\":\"cluster_name\",\"value\":[\"$cluster_name\"]}],\"functions\":[{\"aggregator\":\"values\",\"field\":\"status\",\"operator\":\"all\",\"value\":\"Disconnected\"}],\"group\":[\"cluster_name\",\"host_ip\"],\"metric\":\"glusterfs\",\"outputs\":[\"alert\"],\"select\":{\"cluster_name\":\"#cluster_name\",\"component_name\":\"#component_name\",\"host_ip\":\"#host_ip\",\"node_uuid\":\"#node_uuid\"},\"window\":5}','{\"alert_group\":\"{{cluster_name}}\",\"level\":\"WARNING\",\"recover\":\"false\",\"tickets_metric_key\":\"{{cluster_name}}\"}',0,'2021-05-28 11:55:07','2021-05-28 13:53:57'),(691,'平台组价日志存储保护器状态变化','org','dice_component','dice_component_log_protector','{\"filters\":[{\"operator\":\"in\",\"tag\":\"cluster_name\",\"value\":[\"$cluster_name\"]},{\"operator\":\"eq\",\"tag\":\"field\",\"value\":\"log_store_protector_triggered\"}],\"functions\":[{\"aggregator\":\"value\",\"field\":\"triggered\",\"operator\":\"eq\",\"value\":1}],\"group\":[\"cluster_name\"],\"metric\":\"dice_monitor\",\"outputs\":[\"alert\"],\"select\":{\"cluster_name\":\"#cluster_name\",\"cur_level\":\"#cur_level\",\"pre_level\":\"#pre_level\"},\"window\":1}','{\"alert_group\":\"{{cluster_name}}\",\"level\":\"WARNING\",\"recover\":\"false\",\"tickets_metric_key\":\"{{cluster_name}}\"}',0,'2021-05-28 11:55:07','2021-05-28 13:53:57'),(692,'kubernetes组件实例CPU状态','org','kubernetes','kubernetes_instance_cpu','{\"filters\":[{\"operator\":\"in\",\"tag\":\"cluster_name\",\"value\":[\"$cluster_name\"]},{\"operator\":\"eq\",\"tag\":\"pod_namespace\",\"value\":\"kube-system\"}],\"functions\":[{\"aggregator\":\"avg\",\"field\":\"cpu_usage_percent\",\"field_script\":\"function invoke(fields,tags){return fields.cpu_limit===0?fields.cpu_usage_percent:fields.cpu_usage_percent/fields.cpu_limit}\",\"operator\":\"gte\",\"value\":95},{\"aggregator\":\"max\",\"alias\":\"cpu_limit_value\",\"field\":\"cpu_limit\"},{\"aggregator\":\"max\",\"alias\":\"cpu_allocation_value\",\"field\":\"cpu_allocation\"}],\"group\":[\"cluster_name\",\"container_id\"],\"metrics\":[\"docker_container_summary\"],\"outputs\":[\"alert\"],\"select\":{\"cluster_name\":\"#cluster_name\",\"container_id\":\"#container_id\",\"host_ip\":\"#host_ip\",\"pod_name\":\"#pod_name\",\"pod_namespace\":\"#pod_namespace\"},\"window\":2}','{\"alert_group\":\"{{cluster_name}}-{{container_id}}\",\"level\":\"WARNING\",\"recover\":\"false\",\"tickets_metric_key\":\"{{container_id}}\"}',0,'2021-05-28 11:55:07','2021-05-28 13:53:57'),(693,'kubernetes组件异常退出','org','kubernetes','kubernetes_instance_exit','{\"filters\":[{\"operator\":\"in\",\"tag\":\"cluster_name\",\"value\":[\"$cluster_name\"]},{\"operator\":\"eq\",\"tag\":\"pod_namespace\",\"value\":\"kube-system\"}],\"functions\":[{\"aggregator\":\"max\",\"field\":\"exitcode\",\"operator\":\"gt\",\"value\":0},{\"aggregator\":\"max\",\"field\":\"oomkilled\"},{\"aggregator\":\"value\",\"field\":\"pid\"},{\"aggregator\":\"max\",\"field\":\"finished_at\",\"field_script\":\"function invoke(fields,tags){if(fields.finished_at!=null\\u0026\\u0026fields.finished_at!=undefined) return fields.finished_at/1000000;return 0}\"},{\"aggregator\":\"max\",\"field\":\"started_at\",\"field_script\":\"function invoke(fields,tags){if(fields.started_at!=null\\u0026\\u0026fields.started_at!=undefined) return fields.started_at/1000000;return 0}\"},{\"aggregator\":\"value\",\"field\":\"finished_at\",\"field_script\":\"function invoke(fields,tags){if(fields.finished_at_max\\u003e0) return fields.finished_at_max;return \'-\'}\",\"trigger\":\"aggregated\"},{\"aggregator\":\"value\",\"field\":\"started_at\",\"field_script\":\"function invoke(fields,tags){if(fields.started_at_max\\u003e0) return fields.started_at_max;return \'-\'}\",\"trigger\":\"aggregated\"},{\"aggregator\":\"value\",\"field\":\"terminated_reason\",\"field_script\":\"function invoke(fields,tags){if(fields.oomkilled) return \'Out Of Memory\';return \'Error Exit Code \'+fields.exitcode_max;}\",\"trigger\":\"aggregated\"}],\"group\":[\"cluster_name\",\"pod_namespace\",\"pod_name\"],\"metrics\":[\"docker_container_summary\"],\"outputs\":[\"alert\"],\"select\":{\"cluster_name\":\"#cluster_name\",\"component_name\":\"#component_name\",\"container_id\":\"#container_id\",\"host_ip\":\"#host_ip\",\"pod_name\":\"#pod_name\",\"pod_namespace\":\"#pod_namespace\"},\"window\":1}','{\"alert_group\":\"{{cluster_name}}-{{container_id}}\",\"display_url_id\":\"org_pod\",\"level\":\"WARNING\",\"recover\":\"false\",\"tickets_metric_key\":\"{{container_id}}\"}',0,'2021-05-28 11:55:07','2021-05-28 13:53:57'),(694,'kubernetes组件实例内存状态','org','kubernetes','kubernetes_instance_mem','{\"filters\":[{\"operator\":\"in\",\"tag\":\"cluster_name\",\"value\":[\"$cluster_name\"]},{\"operator\":\"eq\",\"tag\":\"pod_namespace\",\"value\":\"kube-system\"}],\"functions\":[{\"aggregator\":\"avg\",\"field\":\"mem_usage_percent\",\"operator\":\"gt\",\"value\":70},{\"aggregator\":\"max\",\"alias\":\"mem_usage_value\",\"field\":\"mem_usage\"},{\"aggregator\":\"max\",\"alias\":\"mem_limit_value\",\"field\":\"mem_limit\"},{\"aggregator\":\"max\",\"alias\":\"mem_max_usage_value\",\"field\":\"mem_max_usage\"},{\"aggregator\":\"max\",\"alias\":\"mem_allocation_value\",\"field\":\"mem_allocation\"}],\"group\":[\"cluster_name\",\"container_id\"],\"metrics\":[\"docker_container_summary\"],\"outputs\":[\"alert\"],\"select\":{\"cluster_name\":\"#cluster_name\",\"container_id\":\"#container_id\",\"host_ip\":\"#host_ip\",\"pod_name\":\"#pod_name\",\"pod_namespace\":\"#pod_namespace\"},\"window\":2}','{\"alert_group\":\"{{cluster_name}}-{{container_id}}\",\"level\":\"WARNING\",\"recover\":\"false\",\"tickets_metric_key\":\"{{container_id}}\"}',0,'2021-05-28 11:55:07','2021-05-28 13:53:57'),(695,'kubernetes组件实例Ready状态异常','org','kubernetes','kubernetes_instance_ready','{\"filters\":[{\"operator\":\"in\",\"tag\":\"cluster_name\",\"value\":[\"$cluster_name\"]},{\"operator\":\"eq\",\"tag\":\"namespace\",\"value\":\"kube-system\"}],\"functions\":[{\"aggregator\":\"max\",\"alias\":\"not_ready_value\",\"field\":\"not_ready\",\"field_script\":\"function invoke(fields,tags){if(tags.daemonset_name){return fields.number_unavailable}else{if(tags.statefulset_name){return fields.replicas-fields.replicas_ready}else{if(tags.deployment_name){return fields.replicas_unavailable}}}return 0}\",\"operator\":\"gt\",\"value\":0},{\"aggregator\":\"max\",\"alias\":\"ready_value\",\"field\":\"ready_value\",\"field_script\":\"function invoke(fields,tags){if(tags.daemonset_name){return fields.number_available}else{if(tags.statefulset_name){return fields.replicas_ready}else{if(tags.deployment_name){return fields.replicas_available}}}return 0}\"},{\"aggregator\":\"max\",\"alias\":\"total_value\",\"field\":\"total_value\",\"field_script\":\"function invoke(fields,tags){if(tags.daemonset_name){return fields.number_unavailable+fields.number_available}else{if(tags.statefulset_name){return fields.replicas}else{if(tags.deployment_name){return fields.replicas}}}return 0}\"},{\"aggregator\":\"value\",\"alias\":\"resource_name_value\",\"field\":\"resource_name_value\",\"field_script\":\"function invoke(fields,tags){if(tags.daemonset_name){return tags.daemonset_name}else{if(tags.statefulset_name){return tags.statefulset_name}else{if(tags.deployment_name){return tags.deployment_name}}}return null};\"}],\"group\":[\"cluster_name\",\"namespace\",\"daemonset_name\",\"statefulset_name\",\"deployment_name\"],\"metrics\":[\"kubernetes_daemonset\",\"kubernetes_statefulset\",\"kubernetes_deployment\"],\"outputs\":[\"alert\"],\"select\":{\"cluster_name\":\"#cluster_name\",\"daemonset_name\":\"#daemonset_name\",\"deployment_name\":\"#deployment_name\",\"namespace\":\"#namespace\",\"statefulset_name\":\"#statefulset_name\"},\"window\":1}','{\"alert_group\":\"{{cluster_name}}-{{daemonset_name}}-{{statefulset_name}}-{{deployment_name}}\",\"level\":\"WARNING\",\"recover\":\"false\",\"tickets_metric_key\":\"{{daemonset_name}}-{{statefulset_name}}-{{deployment_name}}\"}',0,'2021-05-28 11:55:07','2021-05-28 13:53:57'),(696,'kubernetes节点异常','org','kubernetes','kubernetes_node','{\"filters\":[{\"operator\":\"in\",\"tag\":\"cluster_name\",\"value\":[\"$cluster_name\"]},{\"operator\":\"neq\",\"tag\":\"offline\",\"value\":\"true\"}],\"functions\":[{\"aggregator\":\"values\",\"field\":\"ready\",\"operator\":\"all\",\"value\":false},{\"aggregator\":\"max\",\"alias\":\"allocatable_pods_value\",\"field\":\"allocatable_pods\"},{\"aggregator\":\"max\",\"alias\":\"capacity_pods_value\",\"field\":\"capacity_pods\"},{\"aggregator\":\"max\",\"alias\":\"allocatable_cpu_cores_value\",\"field\":\"allocatable_cpu_cores\"},{\"aggregator\":\"max\",\"alias\":\"capacity_cpu_cores_value\",\"field\":\"capacity_cpu_cores\"},{\"aggregator\":\"max\",\"alias\":\"allocatable_memory_bytes_value\",\"field\":\"allocatable_memory_bytes\"},{\"aggregator\":\"max\",\"alias\":\"capacity_memory_bytes_value\",\"field\":\"capacity_memory_bytes\"}],\"group\":[\"cluster_name\",\"node_name\"],\"metrics\":[\"kubernetes_node\"],\"outputs\":[\"alert\"],\"select\":{\"cluster_name\":\"#cluster_name\",\"node_name\":\"#node_name\"},\"window\":1}','{\"alert_group\":\"{{cluster_name}}-{{node_name}}\",\"level\":\"WARNING\",\"recover\":\"false\",\"tickets_metric_key\":\"{{node_name}}\"}',0,'2021-05-28 11:55:07','2021-05-28 13:53:57'),(697,'机器时钟一致性异常告警','org','machine','machine_cluster_clock','{\"filters\":[{\"operator\":\"in\",\"tag\":\"cluster_name\",\"value\":[\"$cluster_name\"]}],\"functions\":[{\"aggregator\":\"avg\",\"field\":\"elapsed_abs\",\"operator\":\"gte\",\"value\":5000},{\"aggregator\":\"avg\",\"alias\":\"send_timestamp\",\"field\":\"send_timestamp\"},{\"aggregator\":\"avg\",\"alias\":\"receive_timestamp\",\"field\":\"receive_timestamp\"}],\"group\":[\"cluster_name\",\"host_ip\"],\"metric\":\"cluster_clock\",\"outputs\":[\"alert\"],\"select\":{\"cluster_name\":\"#cluster_name\",\"host_ip\":\"#host_ip\",\"source_host_ip\":\"#source_host_ip\"},\"window\":5}','{\"alert_group\":\"{{cluster_name}}-{{host_ip}}\",\"display_url_id\":\"machine_cluster_clock\",\"level\":\"WARNING\",\"recover\":\"true\",\"tickets_metric_key\":\"{{host_ip}}\"}',0,'2021-05-28 11:55:07','2021-05-28 13:53:57'),(698,'机器CPU','org','machine','machine_cpu','{\"filters\":[{\"operator\":\"in\",\"tag\":\"cluster_name\",\"value\":[\"$cluster_name\"]}],\"functions\":[{\"aggregator\":\"avg\",\"field\":\"cpu_usage_active\",\"operator\":\"gte\",\"value\":95}],\"group\":[\"cluster_name\",\"host_ip\"],\"metric\":\"host_summary\",\"outputs\":[\"alert\"],\"select\":{\"cluster_name\":\"#cluster_name\",\"host_ip\":\"#host_ip\"},\"window\":5}','{\"alert_group\":\"{{cluster_name}}-{{host_ip}}\",\"display_url_id\":\"machine_cpu\",\"level\":\"WARNING\",\"recover\":\"true\",\"tickets_metric_key\":\"{{host_ip}}\"}',0,'2021-05-28 11:55:07','2021-05-28 13:53:57'),(699,'机器磁盘','org','machine','machine_disk','{\"filters\":[{\"operator\":\"in\",\"tag\":\"cluster_name\",\"value\":[\"$cluster_name\"]},{\"operator\":\"neq\",\"tag\":\"type\",\"value\":\"netdata\"}],\"functions\":[{\"aggregator\":\"max\",\"alias\":\"used_percent_value\",\"field\":\"used_percent\",\"operator\":\"gte\",\"value\":86},{\"aggregator\":\"max\",\"alias\":\"total_value\",\"field\":\"total\"}],\"group\":[\"host_ip\",\"device\"],\"metric\":\"disk\",\"outputs\":[\"alert\"],\"select\":{\"cluster_name\":\"#cluster_name\",\"device\":\"#device\",\"host_ip\":\"#host_ip\"},\"window\":5}','{\"alert_group\":\"{{cluster_name}}-{{host_ip}}-{{device}}\",\"display_url_id\":\"machine_disk\",\"level\":\"WARNING\",\"recover\":\"true\",\"tickets_metric_key\":\"{{host_ip}}\"}',0,'2021-05-28 11:55:07','2021-05-28 13:53:57'),(700,'磁盘Inode异常告警','org','machine','machine_disk_inode','{\"filters\":[{\"operator\":\"in\",\"tag\":\"cluster_name\",\"value\":[\"$cluster_name\"]},{\"operator\":\"neq\",\"tag\":\"type\",\"value\":\"netdata\"}],\"functions\":[{\"aggregator\":\"max\",\"alias\":\"inode_used_percent_value\",\"field\":\"inode_used_percent\",\"field_script\":\"function invoke(field, tag){ return field.inodes_used/field.inodes_total*100 }\",\"operator\":\"gte\",\"value\":85},{\"aggregator\":\"max\",\"alias\":\"inodes_total_value\",\"field\":\"inodes_total\"}],\"group\":[\"host_ip\",\"device\"],\"metric\":\"disk\",\"outputs\":[\"alert\"],\"select\":{\"cluster_name\":\"#cluster_name\",\"device\":\"#device\",\"host_ip\":\"#host_ip\"},\"window\":5}','{\"alert_group\":\"{{cluster_name}}-{{host_ip}}-{{device}}\",\"display_url_id\":\"machine_disk\",\"level\":\"WARNING\",\"recover\":\"true\",\"tickets_metric_key\":\"{{host_ip}}\"}',0,'2021-05-28 11:55:07','2021-05-28 13:53:57'),(701,'机器磁盘IO','org','machine','machine_disk_util','{\"filters\":[{\"operator\":\"in\",\"tag\":\"cluster_name\",\"value\":[\"$cluster_name\"]},{\"operator\":\"eq\",\"tag\":\"path\",\"value\":null}],\"functions\":[{\"aggregator\":\"p75\",\"field\":\"pct_util\",\"operator\":\"gte\",\"value\":95}],\"group\":[\"host_ip\"],\"metric\":\"disk\",\"outputs\":[\"alert\"],\"select\":{\"cluster_name\":\"#cluster_name\",\"host_ip\":\"#host_ip\"},\"window\":5}','{\"alert_group\":\"{{cluster_name}}-{{host_ip}}\",\"display_url_id\":\"machine_disk_io\",\"level\":\"WARNING\",\"recover\":\"true\",\"tickets_metric_key\":\"{{host_ip}}\"}',0,'2021-05-28 11:55:07','2021-05-28 13:53:57'),(702,'机器Load5','org','machine','machine_load5','{\"filters\":[{\"operator\":\"in\",\"tag\":\"cluster_name\",\"value\":[\"$cluster_name\"]}],\"functions\":[{\"aggregator\":\"avg\",\"field\":\"load5\",\"operator\":\"gte\",\"value\":20}],\"group\":[\"host_ip\"],\"metric\":\"host_summary\",\"outputs\":[\"alert\"],\"select\":{\"cluster_name\":\"#cluster_name\",\"host_ip\":\"#host_ip\"},\"window\":5}','{\"alert_group\":\"{{cluster_name}}-{{host_ip}}\",\"display_url_id\":\"machine_load\",\"level\":\"WARNING\",\"recover\":\"true\",\"tickets_metric_key\":\"{{host_ip}}\"}',0,'2021-05-28 11:55:07','2021-05-28 13:53:57'),(703,'网盘','org','machine','machine_netdisk','{\"filters\":[{\"operator\":\"in\",\"tag\":\"cluster_name\",\"value\":[\"$cluster_name\"]},{\"operator\":\"eq\",\"tag\":\"type\",\"value\":\"netdata\"}],\"functions\":[{\"aggregator\":\"max\",\"alias\":\"used_percent_value\",\"field\":\"used_percent\",\"operator\":\"gte\",\"value\":75},{\"aggregator\":\"max\",\"alias\":\"total_value\",\"field\":\"total\"}],\"group\":null,\"metric\":\"disk\",\"outputs\":[\"alert\"],\"select\":{\"cluster_name\":\"#cluster_name\"},\"window\":5}','{\"alert_group\":\"{{cluster_name}}\",\"level\":\"WARNING\",\"recover\":\"true\",\"tickets_metric_key\":\"{{cluster_name}}\"}',0,'2021-05-28 11:55:07','2021-05-28 13:53:57'),(704,'网盘容量使用量异常告警','org','machine','machine_netdisk_used','{\"filters\":[{\"operator\":\"in\",\"tag\":\"cluster_name\",\"value\":[\"$cluster_name\"]},{\"operator\":\"eq\",\"tag\":\"type\",\"value\":\"netdata\"}],\"functions\":[{\"aggregator\":\"max\",\"alias\":\"used\",\"field\":\"used\",\"field_script\":\"function invoke(field, tag){ return field.used/1024/1024/1024 }\",\"operator\":\"gte\",\"value\":300},{\"aggregator\":\"max\",\"alias\":\"total\",\"field_script\":\"function invoke(field, tag){ return field.total/1024/1024/1024 }\"}],\"group\":null,\"metric\":\"disk\",\"outputs\":[\"alert\"],\"select\":{\"cluster_name\":\"#cluster_name\"},\"window\":5}','{\"alert_group\":\"{{cluster_name}}\",\"level\":\"WARNING\",\"recover\":\"true\",\"tickets_metric_key\":\"{{cluster_name}}\"}',0,'2021-05-28 11:55:07','2021-05-28 13:53:57'),(705,'机器宕机','org','machine','machine_status','{\"filters\":[{\"operator\":\"in\",\"tag\":\"cluster_name\",\"value\":[\"$cluster_name\"]}],\"functions\":[{\"aggregator\":\"values\",\"field\":\"status\",\"operator\":\"all\",\"value\":\"not_ready\"},{\"aggregator\":\"max\",\"alias\":\"last_timestamp_value\",\"field\":\"last_timestamp\"}],\"group\":[\"host_ip\"],\"metric\":\"machine_status\",\"outputs\":[\"alert\"],\"select\":{\"cluster_name\":\"#cluster_name\",\"host_ip\":\"#host_ip\"},\"window\":5}','{\"alert_group\":\"{{cluster_name}}-{{host_ip}}\",\"display_url_id\":\"machine_crash\",\"level\":\"WARNING\",\"recover\":\"true\",\"tickets_metric_key\":\"{{host_ip}}\"}',0,'2021-05-28 11:55:07','2021-05-28 13:53:57'),(706,'API网关实例CPU使用率异常','org','micro_service','api_gateway_cpu','{\"filters\":[{\"operator\":\"in\",\"tag\":\"cluster_name\",\"value\":[\"$cluster_name\"]},{\"operator\":\"in\",\"tag\":\"addon_type\",\"value\":[\"api-gateway\",\"postgresql\"]}],\"functions\":[{\"aggregator\":\"avg\",\"field\":\"cpu_usage_percent\",\"field_script\":\"function invoke(fields,tags){return fields.cpu_limit===0?fields.cpu_usage_percent:fields.cpu_usage_percent/fields.cpu_limit}\",\"operator\":\"gte\",\"value\":90},{\"aggregator\":\"max\",\"alias\":\"cpu_limit_value\",\"field\":\"cpu_limit\"},{\"aggregator\":\"max\",\"alias\":\"cpu_allocation_value\",\"field\":\"cpu_allocation\"}],\"group\":[\"container_id\"],\"metric\":\"docker_container_summary\",\"outputs\":[\"alert\"],\"select\":{\"addon_id\":\"#addon_id\",\"addon_type\":\"#addon_type\",\"cluster_name\":\"#cluster_name\",\"container_id\":\"#container_id\",\"host_ip\":\"#host_ip\",\"pod_name\":\"#pod_name\",\"pod_namespace\":\"#pod_namespace\"},\"window\":1}','{\"alert_group\":\"{{cluster_name}}-{{container_id}}\",\"level\":\"WARNING\",\"recover\":\"false\",\"tickets_metric_key\":\"{{container_id}}\"}',0,'2021-05-28 11:55:07','2021-05-28 13:53:57'),(707,'API网关实例内存使用率异常','org','micro_service','api_gateway_mem','{\"filters\":[{\"operator\":\"in\",\"tag\":\"cluster_name\",\"value\":[\"$cluster_name\"]},{\"operator\":\"in\",\"tag\":\"addon_type\",\"value\":[\"api-gateway\",\"postgresql\"]}],\"functions\":[{\"aggregator\":\"avg\",\"field\":\"mem_usage_percent\",\"operator\":\"gte\",\"value\":90},{\"aggregator\":\"max\",\"alias\":\"mem_usage_value\",\"field\":\"mem_usage\"},{\"aggregator\":\"max\",\"alias\":\"mem_limit_value\",\"field\":\"mem_limit\"},{\"aggregator\":\"max\",\"alias\":\"mem_max_usage_value\",\"field\":\"mem_max_usage\"}],\"group\":[\"container_id\"],\"metric\":\"docker_container_summary\",\"outputs\":[\"alert\"],\"select\":{\"addon_id\":\"#addon_id\",\"addon_type\":\"#addon_type\",\"cluster_name\":\"#cluster_name\",\"container_id\":\"#container_id\",\"host_ip\":\"#host_ip\",\"pod_name\":\"#pod_name\",\"pod_namespace\":\"#pod_namespace\"},\"window\":1}','{\"alert_group\":\"{{cluster_name}}-{{container_id}}\",\"level\":\"WARNING\",\"recover\":\"false\",\"tickets_metric_key\":\"{{container_id}}\"}',0,'2021-05-28 11:55:07','2021-05-28 13:53:57'),(708,'注册中心实例CPU使用率异常','org','micro_service','register_center_cpu','{\"filters\":[{\"operator\":\"in\",\"tag\":\"cluster_name\",\"value\":[\"$cluster_name\"]},{\"operator\":\"in\",\"tag\":\"addon_type\",\"value\":[\"nacos\",\"zkproxy\"]}],\"functions\":[{\"aggregator\":\"avg\",\"field\":\"cpu_usage_percent\",\"field_script\":\"function invoke(fields,tags){return fields.cpu_limit===0?fields.cpu_usage_percent:fields.cpu_usage_percent/fields.cpu_limit}\",\"operator\":\"gte\",\"value\":90},{\"aggregator\":\"max\",\"alias\":\"cpu_limit_value\",\"field\":\"cpu_limit\"},{\"aggregator\":\"max\",\"alias\":\"cpu_allocation_value\",\"field\":\"cpu_allocation\"}],\"group\":[\"container_id\"],\"metric\":\"docker_container_summary\",\"outputs\":[\"alert\"],\"select\":{\"addon_id\":\"#addon_id\",\"addon_type\":\"#addon_type\",\"cluster_name\":\"#cluster_name\",\"container_id\":\"#container_id\",\"host_ip\":\"#host_ip\",\"pod_name\":\"#pod_name\",\"pod_namespace\":\"#pod_namespace\"},\"window\":1}','{\"alert_group\":\"{{cluster_name}}-{{container_id}}\",\"level\":\"WARNING\",\"recover\":\"false\",\"tickets_metric_key\":\"{{container_id}}\"}',0,'2021-05-28 11:55:07','2021-05-28 13:53:57'),(709,'注册中心实例内存使用率异常','org','micro_service','register_center_mem','{\"filters\":[{\"operator\":\"in\",\"tag\":\"cluster_name\",\"value\":[\"$cluster_name\"]},{\"operator\":\"in\",\"tag\":\"addon_type\",\"value\":[\"nacos\",\"zkproxy\"]}],\"functions\":[{\"aggregator\":\"avg\",\"field\":\"mem_usage_percent\",\"operator\":\"gte\",\"value\":90},{\"aggregator\":\"max\",\"alias\":\"mem_usage_value\",\"field\":\"mem_usage\"},{\"aggregator\":\"max\",\"alias\":\"mem_limit_value\",\"field\":\"mem_limit\"},{\"aggregator\":\"max\",\"alias\":\"mem_max_usage_value\",\"field\":\"mem_max_usage\"}],\"group\":[\"container_id\"],\"metric\":\"docker_container_summary\",\"outputs\":[\"alert\"],\"select\":{\"addon_id\":\"#addon_id\",\"addon_type\":\"#addon_type\",\"cluster_name\":\"#cluster_name\",\"container_id\":\"#container_id\",\"host_ip\":\"#host_ip\",\"pod_name\":\"#pod_name\",\"pod_namespace\":\"#pod_namespace\"},\"window\":1}','{\"alert_group\":\"{{cluster_name}}-{{container_id}}\",\"level\":\"WARNING\",\"recover\":\"false\",\"tickets_metric_key\":\"{{container_id}}\"}',0,'2021-05-28 11:55:07','2021-05-28 13:53:57'),(710,'服务熔断通知告警','micro_service','micro_service','sidecar_circuit_breaker','{\"filters\":[{\"operator\":\"eq\",\"tag\":\"terminus_key\",\"value\":\"$terminus_key\"},{\"operator\":\"in\",\"tag\":\"application_id\",\"value\":[\"$application_id\"]}],\"functions\":[{\"aggregator\":\"sum\",\"field\":\"count\",\"operator\":\"gte\",\"value\":1}],\"group\":[\"service_name\"],\"metric\":\"sidecar_circuit_breaker\",\"outputs\":[\"alert\"],\"select\":{\"application_id\":\"#application_id\",\"application_name\":\"#application_name\",\"cluster_name\":\"#cluster_name\",\"host_ip\":\"#host_ip\",\"project_name\":\"#project_name\",\"runtime_name\":\"#runtime_name\",\"service_name\":\"#service_name\",\"terminus_key\":\"#terminus_key\",\"workspace\":\"#workspace\"},\"window\":1}','{\"alert_group\":\"{{terminus_key}}\",\"level\":\"WARNING\",\"recover\":\"false\",\"tickets_metric_key\":\"{{terminus_key}}\"}',0,'2021-05-28 11:55:07','2021-05-28 13:53:57'),(711,'ElasticSearch实例CPU使用率异常告警','org','addon','addon_elasticsearch_cpu','{\"filters\":[{\"operator\":\"in\",\"tag\":\"cluster_name\",\"value\":[\"$cluster_name\"]},{\"operator\":\"in\",\"tag\":\"addon_type\",\"value\":[\"terminus-elasticsearch\",\"elasticsearch-operator\"]}],\"functions\":[{\"aggregator\":\"avg\",\"field\":\"cpu_usage_percent\",\"field_script\":\"function invoke(fields,tags){return fields.cpu_limit===0?fields.cpu_usage_percent:fields.cpu_usage_percent/fields.cpu_limit}\",\"operator\":\"gte\",\"value\":90},{\"aggregator\":\"max\",\"alias\":\"cpu_limit_value\",\"field\":\"cpu_limit\"},{\"aggregator\":\"max\",\"alias\":\"cpu_allocation_value\",\"field\":\"cpu_allocation\"}],\"group\":[\"container_id\"],\"metric\":\"docker_container_summary\",\"outputs\":[\"alert\"],\"select\":{\"addon_id\":\"#addon_id\",\"addon_type\":\"#addon_type\",\"cluster_name\":\"#cluster_name\",\"container_id\":\"#container_id\",\"host_ip\":\"#host_ip\",\"pod_name\":\"#pod_name\",\"pod_namespace\":\"#pod_namespace\"},\"window\":1}','{\"alert_group\":\"{{cluster_name}}-{{container_id}}\",\"level\":\"WARNING\",\"recover\":\"false\",\"tickets_metric_key\":\"{{container_id}}\"}',0,'2021-05-28 13:53:57','2021-05-28 13:53:57'),(712,'Elasticsearch实例内存使用率异常告警','org','addon','addon_elasticsearch_mem','{\"filters\":[{\"operator\":\"in\",\"tag\":\"cluster_name\",\"value\":[\"$cluster_name\"]},{\"operator\":\"in\",\"tag\":\"addon_type\",\"value\":[\"terminus-elasticsearch\",\"elasticsearch-operator\"]}],\"functions\":[{\"aggregator\":\"avg\",\"field\":\"mem_usage_percent\",\"operator\":\"gte\",\"value\":90},{\"aggregator\":\"max\",\"alias\":\"mem_limit_value\",\"field\":\"mem_limit\"},{\"aggregator\":\"max\",\"alias\":\"mem_allocation_value\",\"field\":\"mem_allocation\"}],\"group\":[\"container_id\"],\"metric\":\"docker_container_summary\",\"outputs\":[\"alert\"],\"select\":{\"addon_id\":\"#addon_id\",\"addon_type\":\"#addon_type\",\"cluster_name\":\"#cluster_name\",\"container_id\":\"#container_id\",\"host_ip\":\"#host_ip\",\"pod_name\":\"#pod_name\",\"pod_namespace\":\"#pod_namespace\"},\"window\":1}','{\"alert_group\":\"{{cluster_name}}-{{container_id}}\",\"level\":\"WARNING\",\"recover\":\"false\",\"tickets_metric_key\":\"{{container_id}}\"}',0,'2021-05-28 13:53:57','2021-05-28 13:53:57'),(713,'MySQL实例CPU使用率异常告警','org','addon','addon_mysql_cpu','{\"filters\":[{\"operator\":\"in\",\"tag\":\"cluster_name\",\"value\":[\"$cluster_name\"]},{\"operator\":\"in\",\"tag\":\"addon_type\",\"value\":[\"mysql\"]}],\"functions\":[{\"aggregator\":\"avg\",\"field\":\"cpu_usage_percent\",\"field_script\":\"function invoke(fields,tags){return fields.cpu_limit===0?fields.cpu_usage_percent:fields.cpu_usage_percent/fields.cpu_limit}\",\"operator\":\"gte\",\"value\":90},{\"aggregator\":\"max\",\"alias\":\"cpu_limit_value\",\"field\":\"cpu_limit\"},{\"aggregator\":\"max\",\"alias\":\"cpu_allocation_value\",\"field\":\"cpu_allocation\"}],\"group\":[\"container_id\"],\"metric\":\"docker_container_summary\",\"outputs\":[\"alert\"],\"select\":{\"addon_id\":\"#addon_id\",\"addon_type\":\"#addon_type\",\"cluster_name\":\"#cluster_name\",\"container_id\":\"#container_id\",\"host_ip\":\"#host_ip\",\"pod_name\":\"#pod_name\",\"pod_namespace\":\"#pod_namespace\"},\"window\":1}','{\"alert_group\":\"{{cluster_name}}-{{container_id}}\",\"level\":\"WARNING\",\"recover\":\"false\",\"tickets_metric_key\":\"{{container_id}}\"}',0,'2021-05-28 13:53:57','2021-05-28 13:53:57'),(714,'MySQL实例内存使用率异常告警','org','addon','addon_mysql_mem','{\"filters\":[{\"operator\":\"in\",\"tag\":\"cluster_name\",\"value\":[\"$cluster_name\"]},{\"operator\":\"in\",\"tag\":\"addon_type\",\"value\":[\"mysql\"]}],\"functions\":[{\"aggregator\":\"avg\",\"field\":\"mem_usage_percent\",\"operator\":\"gte\",\"value\":85},{\"aggregator\":\"max\",\"alias\":\"mem_limit_value\",\"field\":\"mem_limit\"},{\"aggregator\":\"max\",\"alias\":\"mem_allocation_value\",\"field\":\"mem_allocation\"}],\"group\":[\"container_id\"],\"metric\":\"docker_container_summary\",\"outputs\":[\"alert\"],\"select\":{\"addon_id\":\"#addon_id\",\"addon_type\":\"#addon_type\",\"cluster_name\":\"#cluster_name\",\"container_id\":\"#container_id\",\"host_ip\":\"#host_ip\",\"pod_name\":\"#pod_name\",\"pod_namespace\":\"#pod_namespace\"},\"window\":1}','{\"alert_group\":\"{{cluster_name}}-{{container_id}}\",\"level\":\"WARNING\",\"recover\":\"false\",\"tickets_metric_key\":\"{{container_id}}\"}',0,'2021-05-28 13:53:57','2021-05-28 13:53:57'),(715,'MySQL实例主从同步异常告警','org','addon','addon_mysql_slave_status','{\"filters\":[{\"operator\":\"in\",\"tag\":\"cluster_name\",\"value\":[\"$cluster_name\"]},{\"operator\":\"eq\",\"tag\":\"is_slave\",\"value\":\"true\"}],\"functions\":[{\"aggregator\":\"max\",\"alias\":\"slave_slave_running_ok_value\",\"field\":\"slave_slave_running_ok\",\"field_script\":\"function invoke(fields,tags){return (fields.slave_slave_io_running==0 || fields.slave_slave_sql_running==0)?0:1}\",\"operator\":\"neq\",\"value\":1},{\"aggregator\":\"max\",\"alias\":\"slave_slave_sql_running_value\",\"field\":\"slave_slave_sql_running\"},{\"aggregator\":\"max\",\"alias\":\"slave_slave_io_running_value\",\"field\":\"slave_slave_io_running\"}],\"group\":[\"addon_id\",\"server\"],\"metric\":\"mysql\",\"outputs\":[\"alert\"],\"select\":{\"addon_id\":\"#addon_id\",\"cluster_name\":\"#cluster_name\",\"host_ip\":\"#host_ip\"},\"window\":1}','{\"alert_group\":\"{{cluster_name}}-{{addon_id}}\",\"level\":\"WARNING\",\"recover\":\"false\",\"tickets_metric_key\":\"{{addon_id}}\"}',0,'2021-05-28 13:53:57','2021-05-28 13:53:57'),(716,'redis实例内存使用率异常告警','org','addon','addon_redis_mem','{\"filters\":[{\"operator\":\"in\",\"tag\":\"cluster_name\",\"value\":[\"$cluster_name\"]},{\"operator\":\"in\",\"tag\":\"addon_type\",\"value\":[\"redis\"]}],\"functions\":[{\"aggregator\":\"avg\",\"field\":\"mem_usage_percent\",\"operator\":\"gte\",\"value\":85},{\"aggregator\":\"max\",\"alias\":\"mem_limit_value\",\"field\":\"mem_limit\"},{\"aggregator\":\"max\",\"alias\":\"mem_allocation_value\",\"field\":\"mem_allocation\"}],\"group\":[\"container_id\"],\"metric\":\"docker_container_summary\",\"outputs\":[\"alert\"],\"select\":{\"addon_id\":\"#addon_id\",\"addon_type\":\"#addon_type\",\"cluster_name\":\"#cluster_name\",\"container_id\":\"#container_id\",\"host_ip\":\"#host_ip\",\"pod_name\":\"#pod_name\",\"pod_namespace\":\"#pod_namespace\"},\"window\":1}','{\"alert_group\":\"{{cluster_name}}-{{container_id}}\",\"level\":\"WARNING\",\"recover\":\"false\",\"tickets_metric_key\":\"{{container_id}}\"}',0,'2021-05-28 13:53:57','2021-05-28 13:53:57'),(717,'Ajax接口访问性能','micro_service','app_browser','app_browser_ajax_req','{\"filters\":[{\"operator\":\"eq\",\"tag\":\"tk\",\"value\":\"$tk\"},{\"operator\":\"eq\",\"tag\":\"type\",\"value\":\"browser\"}],\"functions\":[{\"aggregator\":\"avg\",\"field\":\"tt\",\"operator\":\"gt\",\"value\":1000}],\"group\":[\"tk\",\"req_path\",\"host\"],\"metric\":\"ta_req\",\"outputs\":[\"alert\"],\"select\":{\"doc_path\":\"#doc_path\",\"host\":\"#host\",\"req_path\":\"#req_path\",\"tk\":\"#tk\",\"type\":\"#type\"},\"window\":1}','{\"alert_group\":\"{{tk}}-{{req_path}}-{{host}}\",\"display_url_id\":\"micro_bi_ajax\",\"level\":\"WARNING\",\"recover\":\"false\"}',0,'2021-05-28 13:53:57','2021-05-28 13:53:57'),(718,'用户体验','micro_service','app_browser','app_browser_apdex','{\"filters\":[{\"operator\":\"eq\",\"tag\":\"tk\",\"value\":\"$tk\"},{\"operator\":\"eq\",\"tag\":\"type\",\"value\":\"browser\"}],\"functions\":[{\"aggregator\":\"avg\",\"field\":\"plt\",\"operator\":\"gt\",\"value\":3000}],\"group\":[\"tk\",\"doc_path\",\"host\"],\"metric\":\"ta_timing\",\"outputs\":[\"alert\"],\"select\":{\"doc_path\":\"#doc_path\",\"host\":\"#host\",\"tk\":\"#tk\",\"type\":\"#type\"},\"window\":1}','{\"alert_group\":\"{{tk}}-{{doc_path}}-{{host}}\",\"display_url_id\":\"micro_bi_position\",\"level\":\"WARNING\",\"recover\":\"false\"}',0,'2021-05-28 13:53:57','2021-05-28 13:53:57'),(719,'域名访问性能','micro_service','app_browser','app_browser_host_req','{\"filters\":[{\"operator\":\"eq\",\"tag\":\"tk\",\"value\":\"$tk\"},{\"operator\":\"eq\",\"tag\":\"type\",\"value\":\"browser\"}],\"functions\":[{\"aggregator\":\"avg\",\"field\":\"plt\",\"operator\":\"gt\",\"value\":1000}],\"group\":[\"tk\",\"host\"],\"metric\":\"ta_timing\",\"outputs\":[\"alert\"],\"select\":{\"doc_path\":\"#doc_path\",\"host\":\"#host\",\"tk\":\"#tk\",\"type\":\"#type\"},\"window\":1}','{\"alert_group\":\"{{tk}}-{{host}}\",\"display_url_id\":\"micro_bi_domain\",\"level\":\"WARNING\",\"recover\":\"false\"}',0,'2021-05-28 13:53:57','2021-05-28 13:53:57'),(720,'页面访问性能','micro_service','app_browser','app_browser_page_req','{\"filters\":[{\"operator\":\"eq\",\"tag\":\"tk\",\"value\":\"$tk\"},{\"operator\":\"eq\",\"tag\":\"type\",\"value\":\"browser\"}],\"functions\":[{\"aggregator\":\"avg\",\"field\":\"plt\",\"operator\":\"gt\",\"value\":1000}],\"group\":[\"tk\",\"doc_path\",\"host\"],\"metric\":\"ta_timing\",\"outputs\":[\"alert\"],\"select\":{\"doc_path\":\"#doc_path\",\"host\":\"#host\",\"tk\":\"#tk\",\"type\":\"#type\"},\"window\":1}','{\"alert_group\":\"{{tk}}-{{doc_path}}-{{host}}\",\"display_url_id\":\"micro_bi_page\",\"level\":\"WARNING\",\"recover\":\"false\"}',0,'2021-05-28 13:53:57','2021-05-28 13:53:57'),(721,'脚本错误','micro_service','app_browser','app_browser_script_error','{\"filters\":[{\"operator\":\"eq\",\"tag\":\"tk\",\"value\":\"$tk\"},{\"operator\":\"eq\",\"tag\":\"type\",\"value\":\"browser\"}],\"functions\":[{\"aggregator\":\"sum\",\"field\":\"count\",\"operator\":\"gte\",\"value\":10}],\"group\":[\"tk\",\"doc_path\",\"host\"],\"metric\":\"ta_error\",\"outputs\":[\"alert\"],\"select\":{\"browser\":\"#browser\",\"count\":\"#count\",\"doc_path\":\"#doc_path\",\"host\":\"#host\",\"ip\":\"#ip\",\"source\":\"#source\",\"tk\":\"#tk\",\"type\":\"#type\",\"url\":\"#url\"},\"window\":1}','{\"alert_group\":\"{{tk}}-{{doc_path}}-{{host}}\",\"display_url_id\":\"micro_bi_script\",\"level\":\"WARNING\",\"recover\":\"false\"}',0,'2021-05-28 13:53:57','2021-05-28 13:53:57'),(722,'应用错误次数','micro_service','app_exception','app_exception_count','{\"filters\":[{\"operator\":\"eq\",\"tag\":\"terminus_key\",\"value\":\"$terminus_key\"},{\"operator\":\"in\",\"tag\":\"application_id\",\"value\":[\"$application_id\"]}],\"functions\":[{\"aggregator\":\"sum\",\"field\":\"count\",\"operator\":\"gte\",\"value\":20}],\"group\":[\"error_id\"],\"metric\":\"error_alert\",\"outputs\":[\"alert\"],\"select\":{\"application_id\":\"#application_id\",\"application_name\":\"#application_name\",\"class\":\"#class\",\"cluster_name\":\"#cluster_name\",\"error_id\":\"#error_id\",\"host_ip\":\"#host_ip\",\"instance_id\":\"#instance_id\",\"line\":\"#line\",\"method\":\"#method\",\"project_id\":\"#project_id\",\"project_name\":\"#project_name\",\"runtime_id\":\"#runtime_id\",\"runtime_name\":\"#runtime_name\",\"service_name\":\"#service_name\",\"terminus_key\":\"#terminus_key\",\"type\":\"#type\",\"workspace\":\"#workspace\"},\"window\":5}','{\"alert_group\":\"{{terminus_key}}-{{error_id}}\",\"display_url_id\":\"micro_error_detail\",\"level\":\"WARNING\",\"recover\":\"true\",\"tickets_metric_key\":\"{{error_id}}\"}',0,'2021-05-28 13:53:57','2021-05-28 13:53:57'),(723,'应用实例CPU使用率异常','micro_service','app_resource','app_resource_container_cpu','{\"filters\":[{\"operator\":\"eq\",\"tag\":\"terminus_key\",\"value\":\"$terminus_key\"},{\"operator\":\"in\",\"tag\":\"application_id\",\"value\":[\"$application_id\"]}],\"functions\":[{\"aggregator\":\"avg\",\"field\":\"cpu_usage_percent\",\"field_script\":\"function invoke(fields,tags){return fields.cpu_limit===0?fields.cpu_usage_percent:fields.cpu_usage_percent/fields.cpu_limit}\",\"operator\":\"gte\",\"value\":90},{\"aggregator\":\"max\",\"alias\":\"cpu_limit_value\",\"field\":\"cpu_limit\"},{\"aggregator\":\"max\",\"alias\":\"cpu_allocation_value\",\"field\":\"cpu_allocation\"}],\"group\":[\"container_id\"],\"metric\":\"docker_container_summary\",\"outputs\":[\"alert\"],\"select\":{\"application_id\":\"#application_id\",\"application_name\":\"#application_name\",\"cluster_name\":\"#cluster_name\",\"container_id\":\"#container_id\",\"host_ip\":\"#host_ip\",\"instance_id\":\"#instance_id\",\"project_id\":\"#project_id\",\"project_name\":\"#project_name\",\"runtime_id\":\"#runtime_id\",\"runtime_name\":\"#runtime_name\",\"service_name\":\"#service_name\",\"terminus_key\":\"#terminus_key\"},\"window\":1}','{\"alert_group\":\"{{terminus_key}}-{{container_id}}\",\"display_url_id\":\"workbench_runtime\",\"level\":\"WARNING\",\"recover\":\"true\",\"tickets_metric_key\":\"{{container_id}}\"}',0,'2021-05-28 13:53:57','2021-05-28 13:53:57'),(724,'应用实例内存使用率异常','micro_service','app_resource','app_resource_container_mem','{\"filters\":[{\"operator\":\"eq\",\"tag\":\"terminus_key\",\"value\":\"$terminus_key\"},{\"operator\":\"in\",\"tag\":\"application_id\",\"value\":[\"$application_id\"]}],\"functions\":[{\"aggregator\":\"avg\",\"field\":\"mem_usage_percent\",\"operator\":\"gte\",\"value\":90},{\"aggregator\":\"max\",\"alias\":\"mem_usage_value\",\"field\":\"mem_usage\"},{\"aggregator\":\"max\",\"alias\":\"mem_limit_value\",\"field\":\"mem_limit\"},{\"aggregator\":\"max\",\"alias\":\"mem_max_usage_value\",\"field\":\"mem_max_usage\"}],\"group\":[\"container_id\"],\"metric\":\"docker_container_summary\",\"outputs\":[\"alert\"],\"select\":{\"application_id\":\"#application_id\",\"application_name\":\"#application_name\",\"cluster_name\":\"#cluster_name\",\"container_id\":\"#container_id\",\"host_ip\":\"#host_ip\",\"instance_id\":\"#instance_id\",\"project_id\":\"#project_id\",\"project_name\":\"#project_name\",\"runtime_id\":\"#runtime_id\",\"runtime_name\":\"#runtime_name\",\"service_name\":\"#service_name\",\"terminus_key\":\"#terminus_key\"},\"window\":1}','{\"alert_group\":\"{{terminus_key}}-{{container_id}}\",\"display_url_id\":\"workbench_runtime\",\"level\":\"WARNING\",\"recover\":\"true\",\"tickets_metric_key\":\"{{container_id}}\"}',0,'2021-05-28 13:53:57','2021-05-28 13:53:57'),(725,'应用实例OOM','micro_service','app_resource','app_resource_container_oom','{\"filters\":[{\"operator\":\"eq\",\"tag\":\"terminus_key\",\"value\":\"$terminus_key\"},{\"operator\":\"in\",\"tag\":\"application_id\",\"value\":[\"$application_id\"]}],\"functions\":[{\"aggregator\":\"values\",\"field\":\"oomkilled\",\"operator\":\"contains\",\"value\":true}],\"group\":[\"container_id\"],\"metric\":\"docker_container_summary\",\"outputs\":[\"alert\"],\"select\":{\"application_id\":\"#application_id\",\"application_name\":\"#application_name\",\"cluster_name\":\"#cluster_name\",\"container_id\":\"#container_id\",\"host_ip\":\"#host_ip\",\"instance_id\":\"#instance_id\",\"project_id\":\"#project_id\",\"project_name\":\"#project_name\",\"runtime_id\":\"#runtime_id\",\"runtime_name\":\"#runtime_name\",\"service_name\":\"#service_name\",\"terminus_key\":\"#terminus_key\"},\"window\":1}','{\"alert_group\":\"{{terminus_key}}-{{container_id}}\",\"display_url_id\":\"workbench_runtime\",\"level\":\"WARNING\",\"recover\":\"false\",\"tickets_metric_key\":\"{{container_id}}\"}',0,'2021-05-28 13:53:57','2021-05-28 13:53:57'),(726,'应用JVM GC次数','micro_service','app_resource','app_resource_jvm_gc_count','{\"filters\":[{\"operator\":\"eq\",\"tag\":\"name\",\"value\":\"concurrentmarksweep\"},{\"operator\":\"eq\",\"tag\":\"terminus_key\",\"value\":\"$terminus_key\"},{\"operator\":\"in\",\"tag\":\"application_id\",\"value\":[\"$application_id\"]}],\"functions\":[{\"aggregator\":\"sum\",\"field\":\"count\",\"operator\":\"gte\",\"value\":5}],\"group\":[\"instance_id\"],\"metric\":\"jvm_gc\",\"outputs\":[\"alert\"],\"select\":{\"application_id\":\"#application_id\",\"application_name\":\"#application_name\",\"cluster_name\":\"#cluster_name\",\"host_ip\":\"#host_ip\",\"instance_id\":\"#instance_id\",\"project_id\":\"#project_id\",\"project_name\":\"#project_name\",\"runtime_id\":\"#runtime_id\",\"runtime_name\":\"#runtime_name\",\"service_name\":\"#service_name\",\"terminus_key\":\"#terminus_key\",\"workspace\":\"#workspace\"},\"window\":3}','{\"alert_group\":\"{{terminus_key}}-{{instance_id}}\",\"display_url_id\":\"micro_jvm\",\"level\":\"WARNING\",\"recover\":\"false\",\"tickets_metric_key\":\"{{instance_id}}\"}',0,'2021-05-28 13:53:57','2021-05-28 13:53:57'),(727,'应用JVM GC 耗时','micro_service','app_resource','app_resource_jvm_gc_time','{\"condition\":\"or\",\"filters\":[{\"operator\":\"eq\",\"tag\":\"name\",\"value\":\"concurrentmarksweep\"},{\"operator\":\"eq\",\"tag\":\"terminus_key\",\"value\":\"$terminus_key\"},{\"operator\":\"in\",\"tag\":\"application_id\",\"value\":[\"$application_id\"]}],\"functions\":[{\"aggregator\":\"max\",\"alias\":\"time_value\",\"field\":\"time\",\"operator\":\"gte\",\"value\":400},{\"aggregator\":\"sum\",\"field\":\"time\",\"operator\":\"gte\",\"value\":1000}],\"group\":[\"instance_id\"],\"metric\":\"jvm_gc\",\"outputs\":[\"alert\"],\"select\":{\"application_id\":\"#application_id\",\"application_name\":\"#application_name\",\"cluster_name\":\"#cluster_name\",\"host_ip\":\"#host_ip\",\"instance_id\":\"#instance_id\",\"project_id\":\"#project_id\",\"project_name\":\"#project_name\",\"runtime_id\":\"#runtime_id\",\"runtime_name\":\"#runtime_name\",\"service_name\":\"#service_name\",\"terminus_key\":\"#terminus_key\",\"workspace\":\"#workspace\"},\"window\":1}','{\"alert_group\":\"{{terminus_key}}-{{instance_id}}\",\"display_url_id\":\"micro_jvm\",\"level\":\"WARNING\",\"recover\":\"false\",\"tickets_metric_key\":\"{{instance_id}}\"}',0,'2021-05-28 13:53:57','2021-05-28 13:53:57'),(728,'应用JVM堆内存','micro_service','app_resource','app_resource_jvm_heap','{\"condition\":\"and\",\"filters\":[{\"operator\":\"eq\",\"tag\":\"name\",\"value\":\"heap_memory\"},{\"operator\":\"eq\",\"tag\":\"terminus_key\",\"value\":\"$terminus_key\"},{\"operator\":\"in\",\"tag\":\"application_id\",\"value\":[\"$application_id\"]}],\"functions\":[{\"aggregator\":\"avg\",\"field\":\"usage_percent\",\"field_script\":\"function invoke(field, tag){ return field.used / field.max * 100; }\",\"operator\":\"gte\",\"value\":75},{\"aggregator\":\"max\",\"alias\":\"used_value\",\"field\":\"used\"},{\"aggregator\":\"max\",\"alias\":\"max_value\",\"field\":\"max\"}],\"group\":[\"instance_id\"],\"metric\":\"jvm_memory\",\"outputs\":[\"alert\"],\"select\":{\"application_id\":\"#application_id\",\"application_name\":\"#application_name\",\"cluster_name\":\"#cluster_name\",\"host_ip\":\"#host_ip\",\"instance_id\":\"#instance_id\",\"project_id\":\"#project_id\",\"project_name\":\"#project_name\",\"runtime_id\":\"#runtime_id\",\"runtime_name\":\"#runtime_name\",\"service_name\":\"#service_name\",\"terminus_key\":\"#terminus_key\",\"workspace\":\"#workspace\"},\"window\":1}','{\"alert_group\":\"{{terminus_key}}-{{instance_id}}\",\"display_url_id\":\"micro_jvm\",\"level\":\"WARNING\",\"recover\":\"true\",\"tickets_metric_key\":\"{{instance_id}}\"}',0,'2021-05-28 13:53:57','2021-05-28 13:53:57'),(729,'应用NodeJS堆内存使用率','micro_service','app_resource','app_resource_nodejs_heap','{\"filters\":[{\"operator\":\"eq\",\"tag\":\"terminus_key\",\"value\":\"$terminus_key\"},{\"operator\":\"in\",\"tag\":\"application_id\",\"value\":[\"$application_id\"]}],\"functions\":[{\"aggregator\":\"avg\",\"field\":\"usage_percent\",\"field_script\":\"function invoke(field, tag){ if(!field.max) { return 0; } return field.rss / field.max * 100; }\",\"operator\":\"gte\",\"value\":75},{\"aggregator\":\"max\",\"alias\":\"heap_used_value\",\"field\":\"heap_used\"},{\"aggregator\":\"max\",\"alias\":\"heap_total_value\",\"field\":\"heap_total\"},{\"aggregator\":\"max\",\"alias\":\"rss_value\",\"field\":\"rss\"},{\"aggregator\":\"max\",\"alias\":\"max_value\",\"field\":\"max\"}],\"group\":[\"instance_id\"],\"metric\":\"nodejs_memory\",\"outputs\":[\"alert\"],\"select\":{\"application_id\":\"#application_id\",\"application_name\":\"#application_name\",\"cluster_name\":\"#cluster_name\",\"host_ip\":\"#host_ip\",\"instance_id\":\"#instance_id\",\"project_id\":\"#project_id\",\"project_name\":\"#project_name\",\"runtime_id\":\"#runtime_id\",\"runtime_name\":\"#runtime_name\",\"service_name\":\"#service_name\",\"terminus_key\":\"#terminus_key\",\"workspace\":\"#workspace\"},\"window\":1}','{\"alert_group\":\"{{terminus_key}}-{{instance_id}}\",\"display_url_id\":\"micro_nodejs\",\"level\":\"WARNING\",\"recover\":\"false\",\"tickets_metric_key\":\"{{instance_id}}\"}',0,'2021-05-28 13:53:57','2021-05-28 13:53:57'),(730,'页面内容改变','micro_service','app_status','app_status_browser','{\"alias\":\"status_page_browser\",\"filters\":[{\"operator\":\"eq\",\"tag\":\"terminus_key\",\"value\":\"$terminus_key\"},{\"operator\":\"eq\",\"tag\":\"type\",\"value\":\"browser\"}],\"functions\":[{\"aggregator\":\"min\",\"field\":\"diff_screenshot\",\"operator\":\"eq\",\"value\":false}],\"group\":[\"metric\"],\"metric\":\"status_page\",\"outputs\":[\"alert\"],\"select\":{\"metric_id\":\"#metric\",\"project_id\":\"#project_id\",\"project_name\":\"#project_name\",\"status_metric_name\":\"#metric_name\",\"terminus_key\":\"#terminus_key\",\"type\":\"#type\",\"url\":\"#url\",\"workspace\":\"#env\"},\"window\":1}','{\"alert_group\":\"{{terminus_key}}-{{metric_id}}\",\"display_url_id\":\"micro_status_detail\",\"level\":\"ERROR\",\"recover\":\"false\",\"tickets_metric_key\":\"{{metric_id}}\"}',0,'2021-05-28 13:53:57','2021-05-28 13:53:57'),(731,'主动监控HTTP状态异常','micro_service','app_status','app_status_code','{\"filters\":[{\"operator\":\"eq\",\"tag\":\"terminus_key\",\"value\":\"$terminus_key\"},{\"operator\":\"eq\",\"tag\":\"type\",\"value\":\"http\"}],\"functions\":[{\"aggregator\":\"sum\",\"field\":\"retry\"},{\"aggregator\":\"min\",\"field\":\"code\",\"operator\":\"gte\",\"value\":400}],\"group\":[\"metric\"],\"metric\":\"status_page\",\"outputs\":[\"alert\"],\"select\":{\"metric_id\":\"#metric\",\"project_id\":\"#project_id\",\"project_name\":\"#project_name\",\"status_metric_name\":\"#metric_name\",\"terminus_key\":\"#terminus_key\",\"type\":\"#type\",\"url\":\"#url\",\"workspace\":\"#env\"},\"window\":1}','{\"alert_group\":\"{{terminus_key}}-{{metric_id}}\",\"display_url_id\":\"micro_status_detail\",\"level\":\"ERROR\",\"recover\":\"true\",\"tickets_metric_key\":\"{{metric_id}}\"}',0,'2021-05-28 13:53:57','2021-05-28 13:53:57'),(732,'服务接口HTTP错误率异常','micro_service','app_transaction','app_transaction_http_path_error','{\"condition\":\"and\",\"filters\":[{\"operator\":\"eq\",\"tag\":\"target_terminus_key\",\"value\":\"$target_terminus_key\"},{\"operator\":\"in\",\"tag\":\"target_application_id\",\"value\":[\"$target_application_id\"]}],\"functions\":[{\"aggregator\":\"sum\",\"field\":\"elapsed_count\",\"operator\":\"gte\",\"value\":10},{\"aggregator\":\"sum\",\"field\":\"error_count\",\"field_script\":\"function invoke(field, tag){ if(field.http_status_code_mean \\u003c 500) { return 0; } return field.elapsed_count; }\"},{\"aggregator\":\"value\",\"field\":\"error_percent\",\"field_script\":\"function invoke(field, tag){ if(!field.elapsed_count_sum) return 0; return field.elapsed_count_sum === 0 ? 0 : (field.error_count_sum / field.elapsed_count_sum * 100);}\",\"operator\":\"gte\",\"trigger\":\"aggregated\",\"value\":50}],\"group\":[\"target_runtime_id\",\"target_service_name\",\"http_path\",\"http_method\"],\"metric\":\"application_http\",\"outputs\":[\"alert\"],\"select\":{\"application_id\":\"#target_application_id\",\"application_name\":\"#target_application_name\",\"http_method\":\"#http_method\",\"http_path\":\"#http_path\",\"http_url\":\"#http_url\",\"project_id\":\"#target_project_id\",\"project_name\":\"#target_project_name\",\"runtime_id\":\"#target_runtime_id\",\"runtime_name\":\"#target_runtime_name\",\"service_name\":\"#target_service_name\",\"terminus_key\":\"#target_terminus_key\",\"workspace\":\"#target_workspace\"},\"window\":1}','{\"alert_group\":\"{{target_terminus_key}}-{{target_runtime_id}}-{{target_service_name}}-{{http_path}}-{{http_method}}\",\"display_url_id\":\"micro_si_web\",\"level\":\"WARNING\",\"recover\":\"false\",\"tickets_metric_key\":\"{{target_application_id}}\"}',0,'2021-05-28 13:53:57','2021-05-28 13:53:57'),(733,'服务接口HTTP慢事务异常','micro_service','app_transaction','app_transaction_http_path_rt','{\"condition\":\"and\",\"filters\":[{\"operator\":\"eq\",\"tag\":\"target_terminus_key\",\"value\":\"$target_terminus_key\"},{\"operator\":\"in\",\"tag\":\"target_application_id\",\"value\":[\"$target_application_id\"]}],\"functions\":[{\"aggregator\":\"sum\",\"field\":\"elapsed\",\"field_script\":\"function invoke(field, tag){ return field.elapsed_sum / 1000000; }\"},{\"aggregator\":\"sum\",\"field\":\"elapsed_count\",\"operator\":\"gte\",\"value\":10},{\"aggregator\":\"value\",\"field\":\"elapsed_avg\",\"field_script\":\"function invoke(field, tag){ if(!field.elapsed_count_sum) return 0; return field.elapsed_count_sum === 0 ? 0 : (field.elapsed_sum / field.elapsed_count_sum);}\",\"operator\":\"gte\",\"trigger\":\"aggregated\",\"value\":3000}],\"group\":[\"target_runtime_id\",\"target_service_name\",\"http_path\",\"http_method\"],\"metric\":\"application_http\",\"outputs\":[\"alert\"],\"select\":{\"application_id\":\"#target_application_id\",\"application_name\":\"#target_application_name\",\"http_method\":\"#http_method\",\"http_path\":\"#http_path\",\"http_url\":\"#http_url\",\"project_id\":\"#target_project_id\",\"project_name\":\"#target_project_name\",\"runtime_id\":\"#target_runtime_id\",\"runtime_name\":\"#target_runtime_name\",\"service_name\":\"#target_service_name\",\"terminus_key\":\"#target_terminus_key\",\"workspace\":\"#target_workspace\"},\"window\":1}','{\"alert_group\":\"{{target_terminus_key}}-{{target_runtime_id}}-{{target_service_name}}-{{http_path}}-{{http_method}}\",\"display_url_id\":\"micro_si_web\",\"level\":\"WARNING\",\"recover\":\"false\",\"tickets_metric_key\":\"{{target_application_id}}\"}',0,'2021-05-28 13:53:57','2021-05-28 13:53:57'),(734,'服务HTTP错误率异常','micro_service','app_transaction','app_transaction_http_service_error','{\"condition\":\"and\",\"filters\":[{\"operator\":\"eq\",\"tag\":\"target_terminus_key\",\"value\":\"$target_terminus_key\"},{\"operator\":\"in\",\"tag\":\"target_application_id\",\"value\":[\"$target_application_id\"]}],\"functions\":[{\"aggregator\":\"sum\",\"field\":\"elapsed_count\"},{\"aggregator\":\"sum\",\"field\":\"error_count\",\"field_script\":\"function invoke(field, tag){ if(field.http_status_code_mean \\u003c 500) { return 0; } return field.elapsed_count; }\"},{\"aggregator\":\"value\",\"field\":\"error_percent\",\"field_script\":\"function invoke(field, tag){ if(!field.elapsed_count_sum) return 0; return field.elapsed_count_sum === 0 ? 0 : (field.error_count_sum / field.elapsed_count_sum * 100);}\",\"operator\":\"gte\",\"trigger\":\"aggregated\",\"value\":30}],\"group\":[\"target_runtime_id\",\"target_service_name\"],\"metric\":\"application_http\",\"outputs\":[\"alert\"],\"select\":{\"application_id\":\"#target_application_id\",\"application_name\":\"#target_application_name\",\"project_id\":\"#target_project_id\",\"project_name\":\"#target_project_name\",\"runtime_id\":\"#target_runtime_id\",\"runtime_name\":\"#target_runtime_name\",\"service_name\":\"#target_service_name\",\"terminus_key\":\"#target_terminus_key\",\"workspace\":\"#target_workspace\"},\"window\":1}','{\"alert_group\":\"{{target_terminus_key}}-{{target_runtime_id}}-{{target_service_name}}\",\"display_url_id\":\"micro_si_web\",\"level\":\"WARNING\",\"recover\":\"true\",\"tickets_metric_key\":\"{{target_application_id}}\"}',0,'2021-05-28 13:53:57','2021-05-28 13:53:57'),(735,'服务HTTP慢事务异常','micro_service','app_transaction','app_transaction_http_service_rt','{\"condition\":\"and\",\"filters\":[{\"operator\":\"eq\",\"tag\":\"target_terminus_key\",\"value\":\"$target_terminus_key\"},{\"operator\":\"in\",\"tag\":\"target_application_id\",\"value\":[\"$target_application_id\"]}],\"functions\":[{\"aggregator\":\"sum\",\"field\":\"elapsed\",\"field_script\":\"function invoke(field, tag){ return field.elapsed_sum / 1000000; }\"},{\"aggregator\":\"sum\",\"field\":\"elapsed_count\"},{\"aggregator\":\"value\",\"field\":\"elapsed_avg\",\"field_script\":\"function invoke(field, tag){ if(!field.elapsed_count_sum) return 0; return field.elapsed_count_sum === 0 ? 0 : (field.elapsed_sum / field.elapsed_count_sum);}\",\"operator\":\"gte\",\"trigger\":\"aggregated\",\"value\":1000}],\"group\":[\"target_runtime_id\",\"target_service_name\"],\"metric\":\"application_http\",\"outputs\":[\"alert\"],\"select\":{\"application_id\":\"#target_application_id\",\"application_name\":\"#target_application_name\",\"project_id\":\"#target_project_id\",\"project_name\":\"#target_project_name\",\"runtime_id\":\"#target_runtime_id\",\"runtime_name\":\"#target_runtime_name\",\"service_name\":\"#target_service_name\",\"terminus_key\":\"#target_terminus_key\",\"workspace\":\"#target_workspace\"},\"window\":1}','{\"alert_group\":\"{{target_terminus_key}}-{{target_runtime_id}}-{{target_service_name}}\",\"display_url_id\":\"micro_si_web\",\"level\":\"WARNING\",\"recover\":\"true\",\"tickets_metric_key\":\"{{target_application_id}}\"}',0,'2021-05-28 13:53:57','2021-05-28 13:53:57'),(736,'MySQL SLAVE DELAY ALERT','org','custom_addon','slave_dly_alert','{\"condition\":\"or\",\"filters\":[{\"operator\":\"in\",\"tag\":\"cluster_name\",\"value\":[\"$cluster_name\"]},{\"operator\":\"eq\",\"tag\":\"is_slave\",\"value\":\"true\"}],\"functions\":[{\"aggregator\":\"values\",\"field\":\"slave_slave_sql_running_state\",\"field_script\":\"function invoke(fields,tags){if (fields.slave_slave_sql_running_state == \'Slave has read all relay log; waiting for more updates\') {return \'no delay\'} return \'delay\';}\",\"operator\":\"all\",\"value\":\"delay\"},{\"aggregator\":\"max\",\"field\":\"slave_seconds_behind_master\",\"operator\":\"gt\",\"value\":1800}],\"group\":[\"addon_id\",\"server\"],\"metric\":\"mysql\",\"outputs\":[\"alert\"],\"select\":{\"addon_id\":\"#addon_id\",\"cluster_name\":\"#cluster_name\",\"server_id\":\"#server\"},\"window\":30}','{\"alert_group\":\"{{cluster_name}}-{{addon_id}}\",\"level\":\"WARNING\",\"recover\":\"false\"}',0,'2021-05-28 13:53:57','2021-05-28 13:53:57'),(737,'MySQL SLAVE SYNC ALERT','org','custom_addon','slave_sync_alert','{\"filters\":[{\"operator\":\"in\",\"tag\":\"cluster_name\",\"value\":[\"$cluster_name\"]},{\"operator\":\"eq\",\"tag\":\"is_slave\",\"value\":\"true\"}],\"functions\":[{\"aggregator\":\"max\",\"alias\":\"slave_slave_sync_ok_value\",\"field\":\"slave_slave_sync_ok\",\"field_script\":\"function invoke(fields,tags){if (fields.slave_slave_io_running == 0 || fields.slave_slave_sql_running == 0) {return 0} return 1}\",\"operator\":\"eq\",\"value\":0},{\"aggregator\":\"max\",\"alias\":\"slave_slave_io_running_value\",\"field\":\"slave_slave_io_running\"},{\"aggregator\":\"max\",\"alias\":\"slave_slave_sql_running_value\",\"field\":\"slave_slave_sql_running\"}],\"group\":[\"addon_id\",\"server\"],\"metric\":\"mysql\",\"outputs\":[\"alert\"],\"select\":{\"addon_id\":\"#addon_id\",\"cluster_name\":\"#cluster_name\",\"server_id\":\"#server\"},\"window\":1}','{\"alert_group\":\"{{cluster_name}}-{{addon_id}}\",\"level\":\"WARNING\",\"recover\":\"false\"}',0,'2021-05-28 13:53:57','2021-05-28 13:53:57'),(738,'平台中间件Cassandra GC次数异常','org','dice_addon','dice_addon_cassandra_gc_count','{\"filters\":[{\"operator\":\"in\",\"tag\":\"cluster_name\",\"value\":[\"$cluster_name\"]},{\"operator\":\"eq\",\"tag\":\"addon_id\",\"value\":\"cassandra\"},{\"operator\":\"like\",\"tag\":\"name\",\"value\":\"Old\"}],\"functions\":[{\"aggregator\":\"min\",\"field\":\"CollectionCount_min\",\"field_script\":\"function invoke(fields,tags){return fields.CollectionCount;}\"},{\"aggregator\":\"max\",\"field\":\"CollectionCount_max\",\"field_script\":\"function invoke(fields,tags){return fields.CollectionCount;}\"},{\"aggregator\":\"value\",\"field\":\"CollectionCount_win\",\"field_script\":\"function invoke(fields,tags){return fields.CollectionCount_max-fields.CollectionCount_min;}\",\"operator\":\"gte\",\"trigger\":\"aggregated\",\"value\":10}],\"group\":[\"cluster_name\",\"node_id\"],\"metrics\":[\"addon_java_GarbageCollector\"],\"outputs\":[\"alert\"],\"select\":{\"_meta\":\"#_meta\",\"_metric_scope\":\"#_metric_scope\",\"_metric_scope_id\":\"#_metric_scope_id\",\"addon_id\":\"#addon_id\",\"addon_type\":\"#addon_type\",\"cluster_name\":\"#cluster_name\",\"node_host\":\"#jolokia_host\",\"org_name\":\"#org_name\"},\"window\":3}','{\"alert_group\":\"{{cluster_name}}-{{addon_id}}\",\"display_url_id\":\"org_addon\",\"level\":\"WARNING\",\"recover\":\"false\",\"tickets_metric_key\":\"{{addon_id}}\"}',0,'2021-05-28 13:53:57','2021-05-28 13:53:57'),(739,'平台中间件Cassandra GC耗时异常','org','dice_addon','dice_addon_cassandra_gc_time','{\"filters\":[{\"operator\":\"in\",\"tag\":\"cluster_name\",\"value\":[\"$cluster_name\"]},{\"operator\":\"eq\",\"tag\":\"addon_id\",\"value\":\"cassandra\"},{\"operator\":\"like\",\"tag\":\"name\",\"value\":\"Old\"}],\"functions\":[{\"aggregator\":\"min\",\"field\":\"CollectionTime_min\",\"field_script\":\"function invoke(fields,tags){return fields.CollectionTime;}\"},{\"aggregator\":\"max\",\"field\":\"CollectionTime_max\",\"field_script\":\"function invoke(fields,tags){return fields.CollectionTime;}\"},{\"aggregator\":\"value\",\"field\":\"CollectionTime_win\",\"field_script\":\"function invoke(fields,tags){return fields.CollectionTime_max-fields.CollectionTime_min;}\",\"operator\":\"gte\",\"trigger\":\"aggregated\",\"value\":15000}],\"group\":[\"cluster_name\",\"node_id\"],\"metrics\":[\"addon_java_GarbageCollector\"],\"outputs\":[\"alert\"],\"select\":{\"_meta\":\"#_meta\",\"_metric_scope\":\"#_metric_scope\",\"_metric_scope_id\":\"#_metric_scope_id\",\"addon_id\":\"#addon_id\",\"addon_type\":\"#addon_type\",\"cluster_name\":\"#cluster_name\",\"node_host\":\"#jolokia_host\",\"org_name\":\"#org_name\"},\"window\":3}','{\"alert_group\":\"{{cluster_name}}-{{addon_id}}\",\"display_url_id\":\"org_addon\",\"level\":\"WARNING\",\"recover\":\"false\",\"tickets_metric_key\":\"{{addon_id}}\"}',0,'2021-05-28 13:53:57','2021-05-28 13:53:57'),(740,'平台中间件实例CPU状态','org','dice_addon','dice_addon_container_cpu','{\"filters\":[{\"operator\":\"in\",\"tag\":\"cluster_name\",\"value\":[\"$cluster_name\"]},{\"operator\":\"eq\",\"tag\":\"pod_namespace\",\"value\":\"default\"},{\"operator\":\"any\",\"tag\":\"addon_id\"}],\"functions\":[{\"aggregator\":\"avg\",\"field\":\"cpu_usage_percent\",\"field_script\":\"function invoke(fields,tags){return fields.cpu_limit===0?fields.cpu_usage_percent:fields.cpu_usage_percent/fields.cpu_limit}\",\"operator\":\"gte\",\"value\":95},{\"aggregator\":\"max\",\"alias\":\"cpu_limit_value\",\"field\":\"cpu_limit\"},{\"aggregator\":\"max\",\"alias\":\"cpu_allocation_value\",\"field\":\"cpu_allocation\"}],\"group\":[\"cluster_name\",\"container_id\"],\"metrics\":[\"docker_container_summary\"],\"outputs\":[\"alert\"],\"select\":{\"_meta\":\"#_meta\",\"_metric_scope\":\"#_metric_scope\",\"_metric_scope_id\":\"#_metric_scope_id\",\"addon_id\":\"#addon_id\",\"cluster_name\":\"#cluster_name\",\"container_id\":\"#container_id\",\"host_ip\":\"#host_ip\",\"org_name\":\"#org_name\",\"pod_name\":\"#pod_name\",\"pod_namespace\":\"#pod_namespace\"},\"window\":2}','{\"alert_group\":\"{{cluster_name}}-{{container_id}}\",\"level\":\"WARNING\",\"recover\":\"false\",\"tickets_metric_key\":\"{{container_id}}\"}',0,'2021-05-28 13:53:57','2021-05-28 13:53:57'),(741,'平台中间件异常退出','org','dice_addon','dice_addon_container_exit','{\"filters\":[{\"operator\":\"in\",\"tag\":\"cluster_name\",\"value\":[\"$cluster_name\"]},{\"operator\":\"eq\",\"tag\":\"pod_namespace\",\"value\":\"default\"},{\"operator\":\"any\",\"tag\":\"addon_id\"}],\"functions\":[{\"aggregator\":\"max\",\"field\":\"exitcode\",\"operator\":\"gt\",\"value\":0},{\"aggregator\":\"max\",\"field\":\"oomkilled\"},{\"aggregator\":\"value\",\"field\":\"pid\"},{\"aggregator\":\"max\",\"field\":\"finished_at\",\"field_script\":\"function invoke(fields,tags){if(fields.finished_at!=null\\u0026\\u0026fields.finished_at!=undefined) return fields.finished_at/1000000;return 0}\"},{\"aggregator\":\"max\",\"field\":\"started_at\",\"field_script\":\"function invoke(fields,tags){if(fields.started_at!=null\\u0026\\u0026fields.started_at!=undefined) return fields.started_at/1000000;return 0}\"},{\"aggregator\":\"value\",\"field\":\"finished_at\",\"field_script\":\"function invoke(fields,tags){if(fields.finished_at_max\\u003e0) return fields.finished_at_max;return \'-\'}\",\"trigger\":\"aggregated\"},{\"aggregator\":\"value\",\"field\":\"started_at\",\"field_script\":\"function invoke(fields,tags){if(fields.started_at_max\\u003e0) return fields.started_at_max;return \'-\'}\",\"trigger\":\"aggregated\"},{\"aggregator\":\"value\",\"field\":\"terminated_reason\",\"field_script\":\"function invoke(fields,tags){if(fields.oomkilled) return \'Out Of Memory\';return \'Error Exit Code \'+fields.exitcode_max;}\",\"trigger\":\"aggregated\"}],\"group\":[\"cluster_name\",\"pod_namespace\",\"pod_name\"],\"metrics\":[\"docker_container_summary\"],\"outputs\":[\"alert\"],\"select\":{\"_meta\":\"#_meta\",\"_metric_scope\":\"#_metric_scope\",\"_metric_scope_id\":\"#_metric_scope_id\",\"addon_id\":\"#addon_id\",\"cluster_name\":\"#cluster_name\",\"container_id\":\"#container_id\",\"host_ip\":\"#host_ip\",\"org_name\":\"#org_name\",\"pod_name\":\"#pod_name\",\"pod_namespace\":\"#pod_namespace\"},\"window\":1}','{\"alert_group\":\"{{cluster_name}}-{{container_id}}\",\"display_url_id\":\"org_pod\",\"level\":\"FATAL\",\"recover\":\"false\",\"tickets_metric_key\":\"{{container_id}}\"}',0,'2021-05-28 13:53:57','2021-05-28 13:53:57'),(742,'平台中间件实例内存状态','org','dice_addon','dice_addon_container_mem','{\"filters\":[{\"operator\":\"in\",\"tag\":\"cluster_name\",\"value\":[\"$cluster_name\"]},{\"operator\":\"eq\",\"tag\":\"pod_namespace\",\"value\":\"default\"},{\"operator\":\"any\",\"tag\":\"addon_id\"}],\"functions\":[{\"aggregator\":\"avg\",\"field\":\"mem_usage_percent\",\"operator\":\"gt\",\"value\":80},{\"aggregator\":\"max\",\"alias\":\"mem_usage_value\",\"field\":\"mem_usage\"},{\"aggregator\":\"max\",\"alias\":\"mem_limit_value\",\"field\":\"mem_limit\"},{\"aggregator\":\"max\",\"alias\":\"mem_max_value\",\"field\":\"mem_max_usage\"},{\"aggregator\":\"max\",\"alias\":\"mem_allocation_value\",\"field\":\"mem_allocation\"}],\"group\":[\"cluster_name\",\"container_id\"],\"metrics\":[\"docker_container_summary\"],\"outputs\":[\"alert\"],\"select\":{\"_meta\":\"#_meta\",\"_metric_scope\":\"#_metric_scope\",\"_metric_scope_id\":\"#_metric_scope_id\",\"addon_id\":\"#addon_id\",\"cluster_name\":\"#cluster_name\",\"container_id\":\"#container_id\",\"host_ip\":\"#host_ip\",\"org_name\":\"#org_name\",\"pod_name\":\"#pod_name\",\"pod_namespace\":\"#pod_namespace\"},\"window\":2}','{\"alert_group\":\"{{cluster_name}}-{{container_id}}\",\"level\":\"WARNING\",\"recover\":\"false\",\"tickets_metric_key\":\"{{container_id}}\"}',0,'2021-05-28 13:53:57','2021-05-28 13:53:57'),(743,'平台中间件实例Ready状态异常','org','dice_addon','dice_addon_container_ready','{\"filters\":[{\"operator\":\"in\",\"tag\":\"cluster_name\",\"value\":[\"$cluster_name\"]},{\"operator\":\"eq\",\"tag\":\"namespace\",\"value\":\"default\"},{\"operator\":\"any\",\"tag\":\"addon_id\"}],\"functions\":[{\"aggregator\":\"max\",\"alias\":\"not_ready_value\",\"field\":\"not_ready\",\"field_script\":\"function invoke(fields,tags){if(tags.daemonset_name){return fields.number_unavailable}else{if(tags.statefulset_name){return fields.replicas-fields.replicas_ready}else{if(tags.deployment_name){return fields.replicas_unavailable}}}return 0}\",\"operator\":\"gt\",\"value\":0},{\"aggregator\":\"max\",\"alias\":\"ready_value\",\"field\":\"ready_value\",\"field_script\":\"function invoke(fields,tags){if(tags.daemonset_name){return fields.number_available}else{if(tags.statefulset_name){return fields.replicas_ready}else{if(tags.deployment_name){return fields.replicas_available}}}return 0}\"},{\"aggregator\":\"max\",\"alias\":\"total_value\",\"field\":\"total_value\",\"field_script\":\"function invoke(fields,tags){if(tags.daemonset_name){return fields.number_unavailable+fields.number_available}else{if(tags.statefulset_name){return fields.replicas}else{if(tags.deployment_name){return fields.replicas}}}return 0}\"},{\"aggregator\":\"value\",\"alias\":\"resource_name_value\",\"field\":\"resource_name_value\",\"field_script\":\"function invoke(fields,tags){if(tags.daemonset_name){return tags.daemonset_name}else{if(tags.statefulset_name){return tags.statefulset_name}else{if(tags.deployment_name){return tags.deployment_name}}}return null};\"}],\"group\":[\"cluster_name\",\"namespace\",\"daemonset_name\",\"statefulset_name\",\"deployment_name\"],\"metrics\":[\"kubernetes_daemonset\",\"kubernetes_statefulset\",\"kubernetes_deployment\"],\"outputs\":[\"alert\"],\"select\":{\"_meta\":\"#_meta\",\"_metric_scope\":\"#_metric_scope\",\"_metric_scope_id\":\"#_metric_scope_id\",\"addon_id\":\"#addon_id\",\"cluster_name\":\"#cluster_name\",\"daemonset_name\":\"#daemonset_name\",\"deployment_name\":\"#deployment_name\",\"namespace\":\"#namespace\",\"org_name\":\"#org_name\",\"statefulset_name\":\"#statefulset_name\"},\"window\":1}','{\"alert_group\":\"{{cluster_name}}-{{daemonset_name}}-{{statefulset_name}}-{{deployment_name}}\",\"level\":\"FATAL\",\"recover\":\"false\",\"tickets_metric_key\":\"{{daemonset_name}}-{{statefulset_name}}-{{deployment_name}}\"}',0,'2021-05-28 13:53:57','2021-05-28 13:53:57'),(744,'平台中间件Elasticsearch GC次数异常','org','dice_addon','dice_addon_elasticsearch_gc_count','{\"filters\":[{\"operator\":\"in\",\"tag\":\"cluster_name\",\"value\":[\"$cluster_name\"]},{\"operator\":\"eq\",\"tag\":\"addon_id\",\"value\":\"elasticsearch\"}],\"functions\":[{\"aggregator\":\"min\",\"field\":\"gc_collectors_old_collection_count\"},{\"aggregator\":\"max\",\"field\":\"gc_collectors_old_collection_count\"},{\"aggregator\":\"value\",\"field\":\"gc_collectors_old_collection_count_win\",\"field_script\":\"function invoke(fields,tags){return fields.gc_collectors_old_collection_count_max-fields.gc_collectors_old_collection_count_min;}\",\"operator\":\"gte\",\"trigger\":\"aggregated\",\"value\":10}],\"group\":[\"cluster_name\",\"node_id\"],\"metrics\":[\"elasticsearch_jvm\"],\"outputs\":[\"alert\"],\"select\":{\"_meta\":\"#_meta\",\"_metric_scope\":\"#_metric_scope\",\"_metric_scope_id\":\"#_metric_scope_id\",\"addon_id\":\"#addon_id\",\"addon_type\":\"#addon_type\",\"cluster_name\":\"#cluster_name\",\"node_host\":\"#node_host\",\"node_id\":\"#node_id\",\"node_name\":\"#node_name\",\"org_name\":\"#org_name\"},\"window\":3}','{\"alert_group\":\"{{cluster_name}}-{{addon_id}}\",\"display_url_id\":\"org_addon\",\"level\":\"WARNING\",\"recover\":\"false\",\"tickets_metric_key\":\"{{addon_id}}\"}',0,'2021-05-28 13:53:57','2021-05-28 13:53:57'),(745,'平台中间件Elasticsearch GC耗时异常','org','dice_addon','dice_addon_elasticsearch_gc_time','{\"filters\":[{\"operator\":\"in\",\"tag\":\"cluster_name\",\"value\":[\"$cluster_name\"]},{\"operator\":\"eq\",\"tag\":\"addon_id\",\"value\":\"elasticsearch\"}],\"functions\":[{\"aggregator\":\"min\",\"field\":\"gc_collectors_old_collection_time_in_millis\"},{\"aggregator\":\"max\",\"field\":\"gc_collectors_old_collection_time_in_millis\"},{\"aggregator\":\"value\",\"field\":\"gc_collectors_old_collection_time_in_millis_win\",\"field_script\":\"function invoke(fields,tags){return fields.gc_collectors_old_collection_time_in_millis_max-fields.gc_collectors_old_collection_time_in_millis_min;}\",\"operator\":\"gte\",\"trigger\":\"aggregated\",\"value\":15000}],\"group\":[\"cluster_name\",\"node_id\"],\"metrics\":[\"elasticsearch_jvm\"],\"outputs\":[\"alert\"],\"select\":{\"_meta\":\"#_meta\",\"_metric_scope\":\"#_metric_scope\",\"_metric_scope_id\":\"#_metric_scope_id\",\"addon_id\":\"#addon_id\",\"addon_type\":\"#addon_type\",\"cluster_name\":\"#cluster_name\",\"node_host\":\"#node_host\",\"node_id\":\"#node_id\",\"node_name\":\"#node_name\",\"org_name\":\"#org_name\"},\"window\":3}','{\"alert_group\":\"{{cluster_name}}-{{addon_id}}\",\"display_url_id\":\"org_addon\",\"level\":\"WARNING\",\"recover\":\"false\",\"tickets_metric_key\":\"{{addon_id}}\"}',0,'2021-05-28 13:53:57','2021-05-28 13:53:57'),(746,'平台中间件Kafka GC次数异常','org','dice_addon','dice_addon_kafka_gc_count','{\"filters\":[{\"operator\":\"in\",\"tag\":\"cluster_name\",\"value\":[\"$cluster_name\"]},{\"operator\":\"eq\",\"tag\":\"addon_id\",\"value\":\"kafka\"},{\"operator\":\"like\",\"tag\":\"name\",\"value\":\"Old\"}],\"functions\":[{\"aggregator\":\"min\",\"field\":\"CollectionCount\"},{\"aggregator\":\"max\",\"field\":\"CollectionCount\"},{\"aggregator\":\"value\",\"field\":\"CollectionCount_win\",\"field_script\":\"function invoke(fields,tags){return fields.CollectionCount_max-fields.CollectionCount_min;}\",\"operator\":\"gte\",\"trigger\":\"aggregated\",\"value\":10}],\"group\":[\"cluster_name\",\"node_id\"],\"metrics\":[\"addon_java_GarbageCollector\"],\"outputs\":[\"alert\"],\"select\":{\"_meta\":\"#_meta\",\"_metric_scope\":\"#_metric_scope\",\"_metric_scope_id\":\"#_metric_scope_id\",\"addon_id\":\"#addon_id\",\"addon_type\":\"#addon_type\",\"cluster_name\":\"#cluster_name\",\"node_host\":\"#jolokia_host\",\"org_name\":\"#org_name\"},\"window\":3}','{\"alert_group\":\"{{cluster_name}}-{{addon_id}}\",\"display_url_id\":\"org_addon\",\"level\":\"WARNING\",\"recover\":\"false\",\"tickets_metric_key\":\"{{addon_id}}\"}',0,'2021-05-28 13:53:57','2021-05-28 13:53:57'),(747,'平台中间件Kafka GC耗时异常','org','dice_addon','dice_addon_kafka_gc_time','{\"filters\":[{\"operator\":\"in\",\"tag\":\"cluster_name\",\"value\":[\"$cluster_name\"]},{\"operator\":\"eq\",\"tag\":\"addon_id\",\"value\":\"kafka\"},{\"operator\":\"like\",\"tag\":\"name\",\"value\":\"Old\"}],\"functions\":[{\"aggregator\":\"min\",\"field\":\"CollectionTime\"},{\"aggregator\":\"max\",\"field\":\"CollectionTime\"},{\"aggregator\":\"value\",\"field\":\"CollectionTime_win\",\"field_script\":\"function invoke(fields,tags){return fields.CollectionTime_max-fields.CollectionTime_min;}\",\"operator\":\"gte\",\"trigger\":\"aggregated\",\"value\":15000}],\"group\":[\"cluster_name\",\"node_id\"],\"metrics\":[\"addon_java_GarbageCollector\"],\"outputs\":[\"alert\"],\"select\":{\"_meta\":\"#_meta\",\"_metric_scope\":\"#_metric_scope\",\"_metric_scope_id\":\"#_metric_scope_id\",\"addon_id\":\"#addon_id\",\"addon_type\":\"#addon_type\",\"cluster_name\":\"#cluster_name\",\"node_host\":\"#jolokia_host\",\"org_name\":\"#org_name\"},\"window\":3}','{\"alert_group\":\"{{cluster_name}}-{{addon_id}}\",\"display_url_id\":\"org_addon\",\"level\":\"WARNING\",\"recover\":\"false\",\"tickets_metric_key\":\"{{addon_id}}\"}',0,'2021-05-28 13:53:57','2021-05-28 13:53:57'),(748,'平台中间件kafka消费堆积','org','dice_addon','dice_addon_kafka_lag','{\"filters\":[{\"operator\":\"in\",\"tag\":\"cluster_name\",\"value\":[\"$cluster_name\"]},{\"operator\":\"eq\",\"tag\":\"addon_id\",\"value\":\"kafka\"}],\"functions\":[{\"aggregator\":\"avg\",\"field\":\"lag\",\"operator\":\"gte\",\"value\":100000},{\"aggregator\":\"avg\",\"field\":\"consume_rate_per_sec\"},{\"aggregator\":\"avg\",\"field\":\"produce_rate_per_sec\"}],\"group\":[\"cluster_name\",\"addon_id\",\"group\",\"topic\"],\"metrics\":[\"kafka_consumer\"],\"outputs\":[\"alert\"],\"select\":{\"_meta\":\"#_meta\",\"_metric_scope\":\"#_metric_scope\",\"_metric_scope_id\":\"#_metric_scope_id\",\"addon_id\":\"#addon_id\",\"addon_type\":\"#addon_type\",\"cluster_name\":\"#cluster_name\",\"group\":\"#group\",\"org_name\":\"#org_name\",\"topic\":\"#topic\"},\"window\":3}','{\"alert_group\":\"{{cluster_name}}-{{group}}-{{topic}}\",\"display_url_id\":\"org_addon\",\"level\":\"WARNING\",\"recover\":\"false\",\"tickets_metric_key\":\"{{group}}-{{topic}}\"}',0,'2021-05-28 13:53:57','2021-05-28 13:53:57'),(749,'平台组件实例CPU状态','org','dice_component','dice_component_container_cpu','{\"filters\":[{\"operator\":\"in\",\"tag\":\"cluster_name\",\"value\":[\"$cluster_name\"]},{\"operator\":\"eq\",\"tag\":\"pod_namespace\",\"value\":\"default\"},{\"operator\":\"any\",\"tag\":\"component_name\"}],\"functions\":[{\"aggregator\":\"avg\",\"field\":\"cpu_usage_percent\",\"field_script\":\"function invoke(fields,tags){return fields.cpu_limit===0?fields.cpu_usage_percent:fields.cpu_usage_percent/fields.cpu_limit}\",\"operator\":\"gte\",\"value\":95},{\"aggregator\":\"max\",\"alias\":\"cpu_limit_value\",\"field\":\"cpu_limit\"},{\"aggregator\":\"max\",\"alias\":\"cpu_allocation_value\",\"field\":\"cpu_allocation\"}],\"group\":[\"cluster_name\",\"container_id\"],\"metrics\":[\"docker_container_summary\"],\"outputs\":[\"alert\"],\"select\":{\"_meta\":\"#_meta\",\"_metric_scope\":\"#_metric_scope\",\"_metric_scope_id\":\"#_metric_scope_id\",\"cluster_name\":\"#cluster_name\",\"component_name\":\"#component_name\",\"container_id\":\"#container_id\",\"host_ip\":\"#host_ip\",\"org_name\":\"#org_name\",\"pod_name\":\"#pod_name\",\"pod_namespace\":\"#pod_namespace\"},\"window\":2}','{\"alert_group\":\"{{cluster_name}}-{{container_id}}\",\"level\":\"WARNING\",\"recover\":\"false\",\"tickets_metric_key\":\"{{container_id}}\"}',0,'2021-05-28 13:53:57','2021-05-28 13:53:57'),(750,'平台组件异常退出','org','dice_component','dice_component_container_exit','{\"filters\":[{\"operator\":\"in\",\"tag\":\"cluster_name\",\"value\":[\"$cluster_name\"]},{\"operator\":\"eq\",\"tag\":\"pod_namespace\",\"value\":\"default\"},{\"operator\":\"any\",\"tag\":\"component_name\"}],\"functions\":[{\"aggregator\":\"max\",\"field\":\"exitcode\",\"operator\":\"gt\",\"value\":0},{\"aggregator\":\"max\",\"field\":\"oomkilled\"},{\"aggregator\":\"value\",\"field\":\"pid\"},{\"aggregator\":\"max\",\"field\":\"finished_at\",\"field_script\":\"function invoke(fields,tags){if(fields.finished_at!=null\\u0026\\u0026fields.finished_at!=undefined) return fields.finished_at/1000000;return 0}\"},{\"aggregator\":\"max\",\"field\":\"started_at\",\"field_script\":\"function invoke(fields,tags){if(fields.started_at!=null\\u0026\\u0026fields.started_at!=undefined) return fields.started_at/1000000;return 0}\"},{\"aggregator\":\"value\",\"field\":\"finished_at\",\"field_script\":\"function invoke(fields,tags){if(fields.finished_at_max\\u003e0) return fields.finished_at_max;return \'-\'}\",\"trigger\":\"aggregated\"},{\"aggregator\":\"value\",\"field\":\"started_at\",\"field_script\":\"function invoke(fields,tags){if(fields.started_at_max\\u003e0) return fields.started_at_max;return \'-\'}\",\"trigger\":\"aggregated\"},{\"aggregator\":\"value\",\"field\":\"terminated_reason\",\"field_script\":\"function invoke(fields,tags){if(fields.oomkilled) return \'Out Of Memory\';return \'Error Exit Code \'+fields.exitcode_max;}\",\"trigger\":\"aggregated\"}],\"group\":[\"cluster_name\",\"container_id\"],\"metrics\":[\"docker_container_summary\"],\"outputs\":[\"alert\"],\"select\":{\"_meta\":\"#_meta\",\"_metric_scope\":\"#_metric_scope\",\"_metric_scope_id\":\"#_metric_scope_id\",\"cluster_name\":\"#cluster_name\",\"component_name\":\"#component_name\",\"container_id\":\"#container_id\",\"host_ip\":\"#host_ip\",\"org_name\":\"#org_name\",\"pod_name\":\"#pod_name\",\"pod_namespace\":\"#pod_namespace\"},\"window\":1}','{\"alert_group\":\"{{cluster_name}}-{{container_id}}\",\"display_url_id\":\"org_pod\",\"level\":\"WARNING\",\"recover\":\"false\",\"tickets_metric_key\":\"{{container_id}}\"}',0,'2021-05-28 13:53:57','2021-05-28 13:53:57'),(751,'平台组件实例内存状态','org','dice_component','dice_component_container_mem','{\"filters\":[{\"operator\":\"in\",\"tag\":\"cluster_name\",\"value\":[\"$cluster_name\"]},{\"operator\":\"eq\",\"tag\":\"pod_namespace\",\"value\":\"default\"},{\"operator\":\"any\",\"tag\":\"component_name\"}],\"functions\":[{\"aggregator\":\"avg\",\"field\":\"mem_usage_percent\",\"operator\":\"gt\",\"value\":70},{\"aggregator\":\"max\",\"alias\":\"mem_usage_value\",\"field\":\"mem_usage\"},{\"aggregator\":\"max\",\"alias\":\"mem_limit_value\",\"field\":\"mem_limit\"},{\"aggregator\":\"max\",\"alias\":\"mem_max_usage_value\",\"field\":\"mem_max_usage\"},{\"aggregator\":\"max\",\"alias\":\"mem_allocation_value\",\"field\":\"mem_allocation\"}],\"group\":[\"cluster_name\",\"container_id\"],\"metrics\":[\"docker_container_summary\"],\"outputs\":[\"alert\"],\"select\":{\"_meta\":\"#_meta\",\"_metric_scope\":\"#_metric_scope\",\"_metric_scope_id\":\"#_metric_scope_id\",\"cluster_name\":\"#cluster_name\",\"component_name\":\"#component_name\",\"container_id\":\"#container_id\",\"host_ip\":\"#host_ip\",\"org_name\":\"#org_name\",\"pod_name\":\"#pod_name\",\"pod_namespace\":\"#pod_namespace\"},\"window\":2}','{\"alert_group\":\"{{cluster_name}}-{{container_id}}\",\"level\":\"WARNING\",\"recover\":\"false\",\"tickets_metric_key\":\"{{container_id}}\"}',0,'2021-05-28 13:53:57','2021-05-28 13:53:57'),(752,'平台组件实例Ready状态异常','org','dice_component','dice_component_container_ready','{\"filters\":[{\"operator\":\"in\",\"tag\":\"cluster_name\",\"value\":[\"$cluster_name\"]},{\"operator\":\"eq\",\"tag\":\"namespace\",\"value\":\"default\"},{\"operator\":\"any\",\"tag\":\"component_name\"}],\"functions\":[{\"aggregator\":\"max\",\"alias\":\"not_ready_value\",\"field\":\"not_ready\",\"field_script\":\"function invoke(fields,tags){if(tags.daemonset_name){return fields.number_unavailable}else{if(tags.statefulset_name){return fields.replicas-fields.replicas_ready}else{if(tags.deployment_name){return fields.replicas_unavailable}}}return 0}\",\"operator\":\"gt\",\"value\":0},{\"aggregator\":\"max\",\"alias\":\"ready_value\",\"field\":\"ready_value\",\"field_script\":\"function invoke(fields,tags){if(tags.daemonset_name){return fields.number_available}else{if(tags.statefulset_name){return fields.replicas_ready}else{if(tags.deployment_name){return fields.replicas_available}}}return 0}\"},{\"aggregator\":\"max\",\"alias\":\"total_value\",\"field\":\"total_value\",\"field_script\":\"function invoke(fields,tags){if(tags.daemonset_name){return fields.number_unavailable+fields.number_available}else{if(tags.statefulset_name){return fields.replicas}else{if(tags.deployment_name){return fields.replicas}}}return 0}\"},{\"aggregator\":\"value\",\"alias\":\"resource_name_value\",\"field\":\"resource_name_value\",\"field_script\":\"function invoke(fields,tags){if(tags.daemonset_name){return tags.daemonset_name}else{if(tags.statefulset_name){return tags.statefulset_name}else{if(tags.deployment_name){return tags.deployment_name}}}return null};\"}],\"group\":[\"cluster_name\",\"namespace\",\"daemonset_name\",\"statefulset_name\",\"deployment_name\"],\"metrics\":[\"kubernetes_daemonset\",\"kubernetes_statefulset\",\"kubernetes_deployment\"],\"outputs\":[\"alert\"],\"select\":{\"_meta\":\"#_meta\",\"_metric_scope\":\"#_metric_scope\",\"_metric_scope_id\":\"#_metric_scope_id\",\"cluster_name\":\"#cluster_name\",\"component_name\":\"#component_name\",\"daemonset_name\":\"#daemonset_name\",\"deployment_name\":\"#deployment_name\",\"namespace\":\"#namespace\",\"org_name\":\"#org_name\",\"statefulset_name\":\"#statefulset_name\"},\"window\":3}','{\"alert_group\":\"{{cluster_name}}-{{daemonset_name}}-{{statefulset_name}}-{{deployment_name}}\",\"level\":\"WARNING\",\"recover\":\"false\",\"tickets_metric_key\":\"{{daemonset_name}}-{{statefulset_name}}-{{deployment_name}}\"}',0,'2021-05-28 13:53:57','2021-05-28 13:53:57'),(753,'平台组件Flink任务checkpoint延迟异常告警','org','dice_component','dice_component_flink_checkpoint_duration','{\"filters\":[{\"operator\":\"in\",\"tag\":\"cluster_name\",\"value\":[\"$cluster_name\"]}],\"functions\":[{\"aggregator\":\"max\",\"alias\":\"lastCheckpointDuration_value\",\"field\":\"lastCheckpointDuration\",\"operator\":\"gte\",\"value\":3000}],\"group\":[\"cluster_name\",\"container_id\",\"job_id\"],\"metric\":\"flink_jm_job\",\"outputs\":[\"alert\"],\"select\":{\"cluster_name\":\"#cluster_name\",\"host_ip\":\"#host_ip\",\"job_id\":\"#job_id\"},\"window\":1}','{\"alert_group\":\"{{cluster_name}}-{{container_id}}-{{job_id}}\",\"level\":\"WARNING\",\"recover\":\"false\",\"tickets_metric_key\":\"{{container_id}}-{{job_id}}\"}',0,'2021-05-28 13:53:57','2021-05-28 13:53:57'),(754,'平台组件Flink吞吐量异常告警','org','dice_component','dice_component_flink_throughput','{\"filters\":[{\"operator\":\"in\",\"tag\":\"cluster_name\",\"value\":[\"$cluster_name\"]}],\"functions\":[{\"aggregator\":\"max\",\"alias\":\"numRecordsOutPerSecond_count_value\",\"field\":\"numRecordsOutPerSecond_count\",\"operator\":\"eq\",\"value\":0}],\"group\":[\"cluster_name\",\"container_id\",\"job_id\",\"task_id\",\"subtask_index\",\"operator_id\"],\"metric\":\"flink_tm_operator\",\"outputs\":[\"alert\"],\"select\":{\"cluster_name\":\"#cluster_name\",\"host_ip\":\"#host_ip\",\"job_id\":\"#job_id\",\"operator_id\":\"#operator_id\",\"subtask_index\":\"#subtask_index\",\"tm_id\":\"#tm_id\"},\"window\":1}','{\"alert_group\":\"{{cluster_name}}-{{container_id}}-{{job_id}}\",\"level\":\"WARNING\",\"recover\":\"false\",\"tickets_metric_key\":\"{{container_id}}-{{job_id}}\"}',0,'2021-05-28 13:53:57','2021-05-28 13:53:57'),(755,'平台组件网盘不可用告警','org','dice_component','dice_component_gfs_status','{\"filters\":[{\"operator\":\"in\",\"tag\":\"cluster_name\",\"value\":[\"$cluster_name\"]}],\"functions\":[{\"aggregator\":\"values\",\"field\":\"status\",\"operator\":\"all\",\"value\":\"Disconnected\"}],\"group\":[\"cluster_name\",\"host_ip\"],\"metric\":\"glusterfs\",\"outputs\":[\"alert\"],\"select\":{\"cluster_name\":\"#cluster_name\",\"component_name\":\"#component_name\",\"host_ip\":\"#host_ip\",\"node_uuid\":\"#node_uuid\"},\"window\":5}','{\"alert_group\":\"{{cluster_name}}\",\"level\":\"FATAL\",\"recover\":\"false\",\"tickets_metric_key\":\"{{cluster_name}}\"}',0,'2021-05-28 13:53:57','2021-05-28 13:53:57'),(756,'平台组价日志存储保护器状态变化','org','dice_component','dice_component_log_protector','{\"filters\":[{\"operator\":\"in\",\"tag\":\"cluster_name\",\"value\":[\"$cluster_name\"]},{\"operator\":\"eq\",\"tag\":\"field\",\"value\":\"log_store_protector_triggered\"}],\"functions\":[{\"aggregator\":\"value\",\"field\":\"triggered\",\"operator\":\"eq\",\"value\":1}],\"group\":[\"cluster_name\"],\"metric\":\"dice_monitor\",\"outputs\":[\"alert\"],\"select\":{\"cluster_name\":\"#cluster_name\",\"cur_level\":\"#cur_level\",\"pre_level\":\"#pre_level\"},\"window\":1}','{\"alert_group\":\"{{cluster_name}}\",\"level\":\"INFO\",\"recover\":\"false\",\"tickets_metric_key\":\"{{cluster_name}}\"}',0,'2021-05-28 13:53:57','2021-05-28 13:53:57'),(757,'kubernetes组件实例CPU状态','org','kubernetes','kubernetes_instance_cpu','{\"filters\":[{\"operator\":\"in\",\"tag\":\"cluster_name\",\"value\":[\"$cluster_name\"]},{\"operator\":\"eq\",\"tag\":\"pod_namespace\",\"value\":\"kube-system\"}],\"functions\":[{\"aggregator\":\"avg\",\"field\":\"cpu_usage_percent\",\"field_script\":\"function invoke(fields,tags){return fields.cpu_limit===0?fields.cpu_usage_percent:fields.cpu_usage_percent/fields.cpu_limit}\",\"operator\":\"gte\",\"value\":95},{\"aggregator\":\"max\",\"alias\":\"cpu_limit_value\",\"field\":\"cpu_limit\"},{\"aggregator\":\"max\",\"alias\":\"cpu_allocation_value\",\"field\":\"cpu_allocation\"}],\"group\":[\"cluster_name\",\"container_id\"],\"metrics\":[\"docker_container_summary\"],\"outputs\":[\"alert\"],\"select\":{\"_meta\":\"#_meta\",\"_metric_scope\":\"#_metric_scope\",\"_metric_scope_id\":\"#_metric_scope_id\",\"cluster_name\":\"#cluster_name\",\"component_name\":\"#pod_name\",\"container_id\":\"#container_id\",\"host_ip\":\"#host_ip\",\"org_name\":\"#org_name\",\"pod_name\":\"#pod_name\",\"pod_namespace\":\"#pod_namespace\"},\"window\":2}','{\"alert_group\":\"{{cluster_name}}-{{container_id}}\",\"level\":\"WARNING\",\"recover\":\"false\",\"tickets_metric_key\":\"{{container_id}}\"}',0,'2021-05-28 13:53:57','2021-05-28 13:53:57'),(758,'kubernetes组件异常退出','org','kubernetes','kubernetes_instance_exit','{\"filters\":[{\"operator\":\"in\",\"tag\":\"cluster_name\",\"value\":[\"$cluster_name\"]},{\"operator\":\"eq\",\"tag\":\"pod_namespace\",\"value\":\"kube-system\"}],\"functions\":[{\"aggregator\":\"max\",\"field\":\"exitcode\",\"operator\":\"gt\",\"value\":0},{\"aggregator\":\"max\",\"field\":\"oomkilled\"},{\"aggregator\":\"value\",\"field\":\"pid\"},{\"aggregator\":\"max\",\"field\":\"finished_at\",\"field_script\":\"function invoke(fields,tags){if(fields.finished_at!=null\\u0026\\u0026fields.finished_at!=undefined) return fields.finished_at/1000000;return 0}\"},{\"aggregator\":\"max\",\"field\":\"started_at\",\"field_script\":\"function invoke(fields,tags){if(fields.started_at!=null\\u0026\\u0026fields.started_at!=undefined) return fields.started_at/1000000;return 0}\"},{\"aggregator\":\"value\",\"field\":\"finished_at\",\"field_script\":\"function invoke(fields,tags){if(fields.finished_at_max\\u003e0) return fields.finished_at_max;return \'-\'}\",\"trigger\":\"aggregated\"},{\"aggregator\":\"value\",\"field\":\"started_at\",\"field_script\":\"function invoke(fields,tags){if(fields.started_at_max\\u003e0) return fields.started_at_max;return \'-\'}\",\"trigger\":\"aggregated\"},{\"aggregator\":\"value\",\"field\":\"terminated_reason\",\"field_script\":\"function invoke(fields,tags){if(fields.oomkilled) return \'Out Of Memory\';return \'Error Exit Code \'+fields.exitcode_max;}\",\"trigger\":\"aggregated\"}],\"group\":[\"cluster_name\",\"pod_namespace\",\"pod_name\"],\"metrics\":[\"docker_container_summary\"],\"outputs\":[\"alert\"],\"select\":{\"_meta\":\"#_meta\",\"_metric_scope\":\"#_metric_scope\",\"_metric_scope_id\":\"#_metric_scope_id\",\"cluster_name\":\"#cluster_name\",\"component_name\":\"#component_name\",\"container_id\":\"#container_id\",\"host_ip\":\"#host_ip\",\"org_name\":\"#org_name\",\"pod_name\":\"#pod_name\",\"pod_namespace\":\"#pod_namespace\"},\"window\":1}','{\"alert_group\":\"{{cluster_name}}-{{container_id}}\",\"display_url_id\":\"org_pod\",\"level\":\"WARNING\",\"recover\":\"false\",\"tickets_metric_key\":\"{{container_id}}\"}',0,'2021-05-28 13:53:57','2021-05-28 13:53:57'),(759,'kubernetes组件实例内存状态','org','kubernetes','kubernetes_instance_mem','{\"filters\":[{\"operator\":\"in\",\"tag\":\"cluster_name\",\"value\":[\"$cluster_name\"]},{\"operator\":\"eq\",\"tag\":\"pod_namespace\",\"value\":\"kube-system\"}],\"functions\":[{\"aggregator\":\"avg\",\"field\":\"mem_usage_percent\",\"operator\":\"gt\",\"value\":70},{\"aggregator\":\"max\",\"alias\":\"mem_usage_value\",\"field\":\"mem_usage\"},{\"aggregator\":\"max\",\"alias\":\"mem_limit_value\",\"field\":\"mem_limit\"},{\"aggregator\":\"max\",\"alias\":\"mem_max_usage_value\",\"field\":\"mem_max_usage\"},{\"aggregator\":\"max\",\"alias\":\"mem_allocation_value\",\"field\":\"mem_allocation\"}],\"group\":[\"cluster_name\",\"container_id\"],\"metrics\":[\"docker_container_summary\"],\"outputs\":[\"alert\"],\"select\":{\"_meta\":\"#_meta\",\"_metric_scope\":\"#_metric_scope\",\"_metric_scope_id\":\"#_metric_scope_id\",\"cluster_name\":\"#cluster_name\",\"component_name\":\"#pod_name\",\"container_id\":\"#container_id\",\"host_ip\":\"#host_ip\",\"org_name\":\"#org_name\",\"pod_name\":\"#pod_name\",\"pod_namespace\":\"#pod_namespace\"},\"window\":2}','{\"alert_group\":\"{{cluster_name}}-{{container_id}}\",\"level\":\"WARNING\",\"recover\":\"false\",\"tickets_metric_key\":\"{{container_id}}\"}',0,'2021-05-28 13:53:57','2021-05-28 13:53:57'),(760,'kubernetes组件实例Ready状态异常','org','kubernetes','kubernetes_instance_ready','{\"filters\":[{\"operator\":\"in\",\"tag\":\"cluster_name\",\"value\":[\"$cluster_name\"]},{\"operator\":\"eq\",\"tag\":\"namespace\",\"value\":\"kube-system\"}],\"functions\":[{\"aggregator\":\"max\",\"alias\":\"not_ready_value\",\"field\":\"not_ready\",\"field_script\":\"function invoke(fields,tags){if(tags.daemonset_name){return fields.number_unavailable}else{if(tags.statefulset_name){return fields.replicas-fields.replicas_ready}else{if(tags.deployment_name){return fields.replicas_unavailable}}}return 0}\",\"operator\":\"gt\",\"value\":0},{\"aggregator\":\"max\",\"alias\":\"ready_value\",\"field\":\"ready_value\",\"field_script\":\"function invoke(fields,tags){if(tags.daemonset_name){return fields.number_available}else{if(tags.statefulset_name){return fields.replicas_ready}else{if(tags.deployment_name){return fields.replicas_available}}}return 0}\"},{\"aggregator\":\"max\",\"alias\":\"total_value\",\"field\":\"total_value\",\"field_script\":\"function invoke(fields,tags){if(tags.daemonset_name){return fields.number_unavailable+fields.number_available}else{if(tags.statefulset_name){return fields.replicas}else{if(tags.deployment_name){return fields.replicas}}}return 0}\"},{\"aggregator\":\"value\",\"alias\":\"resource_name_value\",\"field\":\"resource_name_value\",\"field_script\":\"function invoke(fields,tags){if(tags.daemonset_name){return tags.daemonset_name}else{if(tags.statefulset_name){return tags.statefulset_name}else{if(tags.deployment_name){return tags.deployment_name}}}return null};\"}],\"group\":[\"cluster_name\",\"namespace\",\"daemonset_name\",\"statefulset_name\",\"deployment_name\"],\"metrics\":[\"kubernetes_daemonset\",\"kubernetes_statefulset\",\"kubernetes_deployment\"],\"outputs\":[\"alert\"],\"select\":{\"_meta\":\"#_meta\",\"_metric_scope\":\"#_metric_scope\",\"_metric_scope_id\":\"#_metric_scope_id\",\"cluster_name\":\"#cluster_name\",\"component_name\":\"#resource_name_value\",\"daemonset_name\":\"#daemonset_name\",\"deployment_name\":\"#deployment_name\",\"namespace\":\"#namespace\",\"org_name\":\"#org_name\",\"statefulset_name\":\"#statefulset_name\"},\"window\":1}','{\"alert_group\":\"{{cluster_name}}-{{daemonset_name}}-{{statefulset_name}}-{{deployment_name}}\",\"level\":\"FATAL\",\"recover\":\"false\",\"tickets_metric_key\":\"{{daemonset_name}}-{{statefulset_name}}-{{deployment_name}}\"}',0,'2021-05-28 13:53:57','2021-05-28 13:53:57'),(761,'kubernetes节点异常','org','kubernetes','kubernetes_node','{\"filters\":[{\"operator\":\"in\",\"tag\":\"cluster_name\",\"value\":[\"$cluster_name\"]},{\"operator\":\"neq\",\"tag\":\"offline\",\"value\":\"true\"}],\"functions\":[{\"aggregator\":\"values\",\"field\":\"ready\",\"operator\":\"all\",\"value\":false},{\"aggregator\":\"max\",\"alias\":\"allocatable_pods_value\",\"field\":\"allocatable_pods\"},{\"aggregator\":\"max\",\"alias\":\"capacity_pods_value\",\"field\":\"capacity_pods\"},{\"aggregator\":\"max\",\"alias\":\"allocatable_cpu_cores_value\",\"field\":\"allocatable_cpu_cores\"},{\"aggregator\":\"max\",\"alias\":\"capacity_cpu_cores_value\",\"field\":\"capacity_cpu_cores\"},{\"aggregator\":\"max\",\"alias\":\"allocatable_memory_bytes_value\",\"field\":\"allocatable_memory_bytes\"},{\"aggregator\":\"max\",\"alias\":\"capacity_memory_bytes_value\",\"field\":\"capacity_memory_bytes\"}],\"group\":[\"cluster_name\",\"node_name\"],\"metrics\":[\"kubernetes_node\"],\"outputs\":[\"alert\"],\"select\":{\"_meta\":\"#_meta\",\"_metric_scope\":\"#_metric_scope\",\"_metric_scope_id\":\"#_metric_scope_id\",\"cluster_name\":\"#cluster_name\",\"component_name\":\"#node_name\",\"node_name\":\"#node_name\",\"org_name\":\"#org_name\"},\"window\":1}','{\"alert_group\":\"{{cluster_name}}-{{node_name}}\",\"level\":\"WARNING\",\"recover\":\"false\",\"tickets_metric_key\":\"{{node_name}}\"}',0,'2021-05-28 13:53:57','2021-05-28 13:53:57'),(762,'机器时钟一致性异常告警','org','machine','machine_cluster_clock','{\"filters\":[{\"operator\":\"in\",\"tag\":\"cluster_name\",\"value\":[\"$cluster_name\"]}],\"functions\":[{\"aggregator\":\"avg\",\"field\":\"elapsed_abs\",\"operator\":\"gte\",\"value\":5000},{\"aggregator\":\"avg\",\"alias\":\"send_timestamp\",\"field\":\"send_timestamp\"},{\"aggregator\":\"avg\",\"alias\":\"receive_timestamp\",\"field\":\"receive_timestamp\"}],\"group\":[\"cluster_name\",\"host_ip\"],\"metric\":\"cluster_clock\",\"outputs\":[\"alert\"],\"select\":{\"_meta\":\"#_meta\",\"_metric_scope\":\"#_metric_scope\",\"_metric_scope_id\":\"#_metric_scope_id\",\"cluster_name\":\"#cluster_name\",\"host_ip\":\"#host_ip\",\"labels\":\"#labels\",\"org_name\":\"#org_name\",\"source_host_ip\":\"#source_host_ip\"},\"window\":5}','{\"alert_group\":\"{{cluster_name}}-{{host_ip}}\",\"display_url_id\":\"machine_cluster_clock\",\"level\":\"WARNING\",\"recover\":\"true\",\"tickets_metric_key\":\"{{host_ip}}\"}',0,'2021-05-28 13:53:57','2021-05-28 13:53:57'),(763,'机器CPU','org','machine','machine_cpu','{\"filters\":[{\"operator\":\"in\",\"tag\":\"cluster_name\",\"value\":[\"$cluster_name\"]}],\"functions\":[{\"aggregator\":\"avg\",\"field\":\"cpu_usage_active\",\"operator\":\"gte\",\"value\":95}],\"group\":[\"cluster_name\",\"host_ip\"],\"metric\":\"host_summary\",\"outputs\":[\"alert\"],\"select\":{\"_meta\":\"#_meta\",\"_metric_scope\":\"#_metric_scope\",\"_metric_scope_id\":\"#_metric_scope_id\",\"cluster_name\":\"#cluster_name\",\"host_ip\":\"#host_ip\",\"labels\":\"#labels\",\"org_name\":\"#org_name\"},\"window\":5}','{\"alert_group\":\"{{cluster_name}}-{{host_ip}}\",\"display_url_id\":\"machine_cpu\",\"level\":\"WARNING\",\"recover\":\"true\",\"tickets_metric_key\":\"{{host_ip}}\"}',0,'2021-05-28 13:53:57','2021-05-28 13:53:57'),(764,'机器磁盘','org','machine','machine_disk','{\"filters\":[{\"operator\":\"in\",\"tag\":\"cluster_name\",\"value\":[\"$cluster_name\"]},{\"operator\":\"neq\",\"tag\":\"type\",\"value\":\"netdata\"}],\"functions\":[{\"aggregator\":\"max\",\"alias\":\"used_percent_value\",\"field\":\"used_percent\",\"operator\":\"gte\",\"value\":86},{\"aggregator\":\"max\",\"alias\":\"total_value\",\"field\":\"total\"}],\"group\":[\"host_ip\",\"device\"],\"metric\":\"disk\",\"outputs\":[\"alert\"],\"select\":{\"_meta\":\"#_meta\",\"_metric_scope\":\"#_metric_scope\",\"_metric_scope_id\":\"#_metric_scope_id\",\"cluster_name\":\"#cluster_name\",\"device\":\"#device\",\"host_ip\":\"#host_ip\",\"labels\":\"#labels\",\"org_name\":\"#org_name\"},\"window\":5}','{\"alert_group\":\"{{cluster_name}}-{{host_ip}}-{{device}}\",\"display_url_id\":\"machine_disk\",\"level\":\"WARNING\",\"recover\":\"true\",\"tickets_metric_key\":\"{{host_ip}}\"}',0,'2021-05-28 13:53:57','2021-05-28 13:53:57'),(765,'磁盘Inode异常告警','org','machine','machine_disk_inode','{\"filters\":[{\"operator\":\"in\",\"tag\":\"cluster_name\",\"value\":[\"$cluster_name\"]},{\"operator\":\"neq\",\"tag\":\"type\",\"value\":\"netdata\"}],\"functions\":[{\"aggregator\":\"max\",\"alias\":\"inode_used_percent_value\",\"field\":\"inode_used_percent\",\"field_script\":\"function invoke(field, tag){ return field.inodes_used/field.inodes_total*100 }\",\"operator\":\"gte\",\"value\":85},{\"aggregator\":\"max\",\"alias\":\"inodes_total_value\",\"field\":\"inodes_total\"}],\"group\":[\"host_ip\",\"device\"],\"metric\":\"disk\",\"outputs\":[\"alert\"],\"select\":{\"_meta\":\"#_meta\",\"_metric_scope\":\"#_metric_scope\",\"_metric_scope_id\":\"#_metric_scope_id\",\"cluster_name\":\"#cluster_name\",\"device\":\"#device\",\"host_ip\":\"#host_ip\",\"labels\":\"#labels\",\"org_name\":\"#org_name\"},\"window\":5}','{\"alert_group\":\"{{cluster_name}}-{{host_ip}}-{{device}}\",\"display_url_id\":\"machine_disk\",\"level\":\"WARNING\",\"recover\":\"true\",\"tickets_metric_key\":\"{{host_ip}}\"}',0,'2021-05-28 13:53:57','2021-05-28 13:53:57'),(766,'机器磁盘IO','org','machine','machine_disk_util','{\"filters\":[{\"operator\":\"in\",\"tag\":\"cluster_name\",\"value\":[\"$cluster_name\"]},{\"operator\":\"eq\",\"tag\":\"path\",\"value\":null}],\"functions\":[{\"aggregator\":\"p75\",\"field\":\"pct_util\",\"operator\":\"gte\",\"value\":95}],\"group\":[\"host_ip\"],\"metric\":\"disk\",\"outputs\":[\"alert\"],\"select\":{\"_meta\":\"#_meta\",\"_metric_scope\":\"#_metric_scope\",\"_metric_scope_id\":\"#_metric_scope_id\",\"cluster_name\":\"#cluster_name\",\"host_ip\":\"#host_ip\",\"labels\":\"#labels\",\"org_name\":\"#org_name\"},\"window\":5}','{\"alert_group\":\"{{cluster_name}}-{{host_ip}}\",\"display_url_id\":\"machine_disk_io\",\"level\":\"WARNING\",\"recover\":\"true\",\"tickets_metric_key\":\"{{host_ip}}\"}',0,'2021-05-28 13:53:57','2021-05-28 13:53:57'),(767,'机器Load5','org','machine','machine_load5','{\"filters\":[{\"operator\":\"in\",\"tag\":\"cluster_name\",\"value\":[\"$cluster_name\"]}],\"functions\":[{\"aggregator\":\"avg\",\"field\":\"load5\",\"operator\":\"gte\",\"value\":20}],\"group\":[\"host_ip\"],\"metric\":\"host_summary\",\"outputs\":[\"alert\"],\"select\":{\"_meta\":\"#_meta\",\"_metric_scope\":\"#_metric_scope\",\"_metric_scope_id\":\"#_metric_scope_id\",\"cluster_name\":\"#cluster_name\",\"host_ip\":\"#host_ip\",\"labels\":\"#labels\",\"org_name\":\"#org_name\"},\"window\":5}','{\"alert_group\":\"{{cluster_name}}-{{host_ip}}\",\"display_url_id\":\"machine_load\",\"level\":\"WARNING\",\"recover\":\"true\",\"tickets_metric_key\":\"{{host_ip}}\"}',0,'2021-05-28 13:53:57','2021-05-28 13:53:57'),(768,'网盘','org','machine','machine_netdisk','{\"filters\":[{\"operator\":\"in\",\"tag\":\"cluster_name\",\"value\":[\"$cluster_name\"]},{\"operator\":\"eq\",\"tag\":\"type\",\"value\":\"netdata\"}],\"functions\":[{\"aggregator\":\"max\",\"alias\":\"used_percent_value\",\"field\":\"used_percent\",\"operator\":\"gte\",\"value\":75},{\"aggregator\":\"max\",\"alias\":\"total_value\",\"field\":\"total\"}],\"group\":null,\"metric\":\"disk\",\"outputs\":[\"alert\"],\"select\":{\"_meta\":\"#_meta\",\"_metric_scope\":\"#_metric_scope\",\"_metric_scope_id\":\"#_metric_scope_id\",\"cluster_name\":\"#cluster_name\",\"labels\":\"#labels\",\"org_name\":\"#org_name\"},\"window\":5}','{\"alert_group\":\"{{cluster_name}}\",\"level\":\"WARNING\",\"recover\":\"true\",\"tickets_metric_key\":\"{{cluster_name}}\"}',0,'2021-05-28 13:53:57','2021-05-28 13:53:57'),(769,'网盘容量使用量异常告警','org','machine','machine_netdisk_used','{\"filters\":[{\"operator\":\"in\",\"tag\":\"cluster_name\",\"value\":[\"$cluster_name\"]},{\"operator\":\"eq\",\"tag\":\"type\",\"value\":\"netdata\"}],\"functions\":[{\"aggregator\":\"max\",\"alias\":\"used\",\"field\":\"used\",\"field_script\":\"function invoke(field, tag){ return field.used/1024/1024/1024 }\",\"operator\":\"gte\",\"value\":300},{\"aggregator\":\"max\",\"alias\":\"total\",\"field_script\":\"function invoke(field, tag){ return field.total/1024/1024/1024 }\"}],\"group\":null,\"metric\":\"disk\",\"outputs\":[\"alert\"],\"select\":{\"_meta\":\"#_meta\",\"_metric_scope\":\"#_metric_scope\",\"_metric_scope_id\":\"#_metric_scope_id\",\"cluster_name\":\"#cluster_name\",\"labels\":\"#labels\",\"org_name\":\"#org_name\"},\"window\":5}','{\"alert_group\":\"{{cluster_name}}\",\"level\":\"WARNING\",\"recover\":\"true\",\"tickets_metric_key\":\"{{cluster_name}}\"}',0,'2021-05-28 13:53:57','2021-05-28 13:53:57'),(770,'机器宕机','org','machine','machine_status','{\"filters\":[{\"operator\":\"in\",\"tag\":\"cluster_name\",\"value\":[\"$cluster_name\"]}],\"functions\":[{\"aggregator\":\"values\",\"field\":\"status\",\"operator\":\"all\",\"value\":\"not_ready\"},{\"aggregator\":\"max\",\"alias\":\"last_timestamp_value\",\"field\":\"last_timestamp\"}],\"group\":[\"host_ip\"],\"metric\":\"machine_status\",\"outputs\":[\"alert\"],\"select\":{\"_meta\":\"#_meta\",\"_metric_scope\":\"#_metric_scope\",\"_metric_scope_id\":\"#_metric_scope_id\",\"cluster_name\":\"#cluster_name\",\"host_ip\":\"#host_ip\",\"labels\":\"#labels\",\"org_name\":\"#org_name\"},\"window\":5}','{\"alert_group\":\"{{cluster_name}}-{{host_ip}}\",\"display_url_id\":\"machine_crash\",\"level\":\"FATAL\",\"recover\":\"true\",\"tickets_metric_key\":\"{{host_ip}}\"}',0,'2021-05-28 13:53:57','2021-05-28 13:53:57'),(771,'API网关实例CPU使用率异常','org','micro_service','api_gateway_cpu','{\"filters\":[{\"operator\":\"in\",\"tag\":\"cluster_name\",\"value\":[\"$cluster_name\"]},{\"operator\":\"in\",\"tag\":\"addon_type\",\"value\":[\"api-gateway\",\"postgresql\"]}],\"functions\":[{\"aggregator\":\"avg\",\"field\":\"cpu_usage_percent\",\"field_script\":\"function invoke(fields,tags){return fields.cpu_limit===0?fields.cpu_usage_percent:fields.cpu_usage_percent/fields.cpu_limit}\",\"operator\":\"gte\",\"value\":90},{\"aggregator\":\"max\",\"alias\":\"cpu_limit_value\",\"field\":\"cpu_limit\"},{\"aggregator\":\"max\",\"alias\":\"cpu_allocation_value\",\"field\":\"cpu_allocation\"}],\"group\":[\"container_id\"],\"metric\":\"docker_container_summary\",\"outputs\":[\"alert\"],\"select\":{\"addon_id\":\"#addon_id\",\"addon_type\":\"#addon_type\",\"cluster_name\":\"#cluster_name\",\"container_id\":\"#container_id\",\"host_ip\":\"#host_ip\",\"pod_name\":\"#pod_name\",\"pod_namespace\":\"#pod_namespace\"},\"window\":1}','{\"alert_group\":\"{{cluster_name}}-{{container_id}}\",\"level\":\"WARNING\",\"recover\":\"false\",\"tickets_metric_key\":\"{{container_id}}\"}',0,'2021-05-28 13:53:57','2021-05-28 13:53:57'),(772,'API网关实例内存使用率异常','org','micro_service','api_gateway_mem','{\"filters\":[{\"operator\":\"in\",\"tag\":\"cluster_name\",\"value\":[\"$cluster_name\"]},{\"operator\":\"in\",\"tag\":\"addon_type\",\"value\":[\"api-gateway\",\"postgresql\"]}],\"functions\":[{\"aggregator\":\"avg\",\"field\":\"mem_usage_percent\",\"operator\":\"gte\",\"value\":90},{\"aggregator\":\"max\",\"alias\":\"mem_usage_value\",\"field\":\"mem_usage\"},{\"aggregator\":\"max\",\"alias\":\"mem_limit_value\",\"field\":\"mem_limit\"},{\"aggregator\":\"max\",\"alias\":\"mem_max_usage_value\",\"field\":\"mem_max_usage\"}],\"group\":[\"container_id\"],\"metric\":\"docker_container_summary\",\"outputs\":[\"alert\"],\"select\":{\"addon_id\":\"#addon_id\",\"addon_type\":\"#addon_type\",\"cluster_name\":\"#cluster_name\",\"container_id\":\"#container_id\",\"host_ip\":\"#host_ip\",\"pod_name\":\"#pod_name\",\"pod_namespace\":\"#pod_namespace\"},\"window\":1}','{\"alert_group\":\"{{cluster_name}}-{{container_id}}\",\"level\":\"WARNING\",\"recover\":\"false\",\"tickets_metric_key\":\"{{container_id}}\"}',0,'2021-05-28 13:53:57','2021-05-28 13:53:57'),(773,'注册中心实例CPU使用率异常','org','micro_service','register_center_cpu','{\"filters\":[{\"operator\":\"in\",\"tag\":\"cluster_name\",\"value\":[\"$cluster_name\"]},{\"operator\":\"in\",\"tag\":\"addon_type\",\"value\":[\"nacos\",\"zkproxy\"]}],\"functions\":[{\"aggregator\":\"avg\",\"field\":\"cpu_usage_percent\",\"field_script\":\"function invoke(fields,tags){return fields.cpu_limit===0?fields.cpu_usage_percent:fields.cpu_usage_percent/fields.cpu_limit}\",\"operator\":\"gte\",\"value\":90},{\"aggregator\":\"max\",\"alias\":\"cpu_limit_value\",\"field\":\"cpu_limit\"},{\"aggregator\":\"max\",\"alias\":\"cpu_allocation_value\",\"field\":\"cpu_allocation\"}],\"group\":[\"container_id\"],\"metric\":\"docker_container_summary\",\"outputs\":[\"alert\"],\"select\":{\"addon_id\":\"#addon_id\",\"addon_type\":\"#addon_type\",\"cluster_name\":\"#cluster_name\",\"container_id\":\"#container_id\",\"host_ip\":\"#host_ip\",\"pod_name\":\"#pod_name\",\"pod_namespace\":\"#pod_namespace\"},\"window\":1}','{\"alert_group\":\"{{cluster_name}}-{{container_id}}\",\"level\":\"WARNING\",\"recover\":\"false\",\"tickets_metric_key\":\"{{container_id}}\"}',0,'2021-05-28 13:53:57','2021-05-28 13:53:57'),(774,'注册中心实例内存使用率异常','org','micro_service','register_center_mem','{\"filters\":[{\"operator\":\"in\",\"tag\":\"cluster_name\",\"value\":[\"$cluster_name\"]},{\"operator\":\"in\",\"tag\":\"addon_type\",\"value\":[\"nacos\",\"zkproxy\"]}],\"functions\":[{\"aggregator\":\"avg\",\"field\":\"mem_usage_percent\",\"operator\":\"gte\",\"value\":90},{\"aggregator\":\"max\",\"alias\":\"mem_usage_value\",\"field\":\"mem_usage\"},{\"aggregator\":\"max\",\"alias\":\"mem_limit_value\",\"field\":\"mem_limit\"},{\"aggregator\":\"max\",\"alias\":\"mem_max_usage_value\",\"field\":\"mem_max_usage\"}],\"group\":[\"container_id\"],\"metric\":\"docker_container_summary\",\"outputs\":[\"alert\"],\"select\":{\"addon_id\":\"#addon_id\",\"addon_type\":\"#addon_type\",\"cluster_name\":\"#cluster_name\",\"container_id\":\"#container_id\",\"host_ip\":\"#host_ip\",\"pod_name\":\"#pod_name\",\"pod_namespace\":\"#pod_namespace\"},\"window\":1}','{\"alert_group\":\"{{cluster_name}}-{{container_id}}\",\"level\":\"WARNING\",\"recover\":\"false\",\"tickets_metric_key\":\"{{container_id}}\"}',0,'2021-05-28 13:53:57','2021-05-28 13:53:57'),(775,'服务熔断通知告警','micro_service','micro_service','sidecar_circuit_breaker','{\"filters\":[{\"operator\":\"eq\",\"tag\":\"terminus_key\",\"value\":\"$terminus_key\"},{\"operator\":\"in\",\"tag\":\"application_id\",\"value\":[\"$application_id\"]}],\"functions\":[{\"aggregator\":\"sum\",\"field\":\"count\",\"operator\":\"gte\",\"value\":1}],\"group\":[\"service_name\"],\"metric\":\"sidecar_circuit_breaker\",\"outputs\":[\"alert\"],\"select\":{\"application_id\":\"#application_id\",\"application_name\":\"#application_name\",\"cluster_name\":\"#cluster_name\",\"host_ip\":\"#host_ip\",\"project_name\":\"#project_name\",\"runtime_name\":\"#runtime_name\",\"service_name\":\"#service_name\",\"terminus_key\":\"#terminus_key\",\"workspace\":\"#workspace\"},\"window\":1}','{\"alert_group\":\"{{terminus_key}}\",\"level\":\"WARNING\",\"recover\":\"false\",\"tickets_metric_key\":\"{{terminus_key}}\"}',0,'2021-05-28 13:53:57','2021-05-28 13:53:57'),(776,'ElasticSearch实例CPU使用率异常告警','org','addon','addon_elasticsearch_cpu','{\"filters\":[{\"operator\":\"in\",\"tag\":\"cluster_name\",\"value\":[\"$cluster_name\"]},{\"operator\":\"in\",\"tag\":\"addon_type\",\"value\":[\"terminus-elasticsearch\",\"elasticsearch-operator\"]}],\"functions\":[{\"aggregator\":\"avg\",\"field\":\"cpu_usage_percent\",\"field_script\":\"function invoke(fields,tags){return fields.cpu_limit===0?fields.cpu_usage_percent:fields.cpu_usage_percent/fields.cpu_limit}\",\"operator\":\"gte\",\"value\":90},{\"aggregator\":\"max\",\"alias\":\"cpu_limit_value\",\"field\":\"cpu_limit\"},{\"aggregator\":\"max\",\"alias\":\"cpu_allocation_value\",\"field\":\"cpu_allocation\"}],\"group\":[\"container_id\"],\"metric\":\"docker_container_summary\",\"outputs\":[\"alert\"],\"select\":{\"addon_id\":\"#addon_id\",\"addon_type\":\"#addon_type\",\"cluster_name\":\"#cluster_name\",\"container_id\":\"#container_id\",\"host_ip\":\"#host_ip\",\"pod_name\":\"#pod_name\",\"pod_namespace\":\"#pod_namespace\"},\"window\":1}','{\"alert_group\":\"{{cluster_name}}-{{container_id}}\",\"level\":\"WARNING\",\"recover\":\"false\",\"tickets_metric_key\":\"{{container_id}}\"}',1,'2021-05-28 13:53:57','2021-05-28 13:53:57'),(777,'Elasticsearch实例内存使用率异常告警','org','addon','addon_elasticsearch_mem','{\"filters\":[{\"operator\":\"in\",\"tag\":\"cluster_name\",\"value\":[\"$cluster_name\"]},{\"operator\":\"in\",\"tag\":\"addon_type\",\"value\":[\"terminus-elasticsearch\",\"elasticsearch-operator\"]}],\"functions\":[{\"aggregator\":\"avg\",\"field\":\"mem_usage_percent\",\"operator\":\"gte\",\"value\":90},{\"aggregator\":\"max\",\"alias\":\"mem_limit_value\",\"field\":\"mem_limit\"},{\"aggregator\":\"max\",\"alias\":\"mem_allocation_value\",\"field\":\"mem_allocation\"}],\"group\":[\"container_id\"],\"metric\":\"docker_container_summary\",\"outputs\":[\"alert\"],\"select\":{\"addon_id\":\"#addon_id\",\"addon_type\":\"#addon_type\",\"cluster_name\":\"#cluster_name\",\"container_id\":\"#container_id\",\"host_ip\":\"#host_ip\",\"pod_name\":\"#pod_name\",\"pod_namespace\":\"#pod_namespace\"},\"window\":1}','{\"alert_group\":\"{{cluster_name}}-{{container_id}}\",\"level\":\"WARNING\",\"recover\":\"false\",\"tickets_metric_key\":\"{{container_id}}\"}',1,'2021-05-28 13:53:57','2021-05-28 13:53:57'),(778,'MySQL实例CPU使用率异常告警','org','addon','addon_mysql_cpu','{\"filters\":[{\"operator\":\"in\",\"tag\":\"cluster_name\",\"value\":[\"$cluster_name\"]},{\"operator\":\"in\",\"tag\":\"addon_type\",\"value\":[\"mysql\"]}],\"functions\":[{\"aggregator\":\"avg\",\"field\":\"cpu_usage_percent\",\"field_script\":\"function invoke(fields,tags){return fields.cpu_limit===0?fields.cpu_usage_percent:fields.cpu_usage_percent/fields.cpu_limit}\",\"operator\":\"gte\",\"value\":90},{\"aggregator\":\"max\",\"alias\":\"cpu_limit_value\",\"field\":\"cpu_limit\"},{\"aggregator\":\"max\",\"alias\":\"cpu_allocation_value\",\"field\":\"cpu_allocation\"}],\"group\":[\"container_id\"],\"metric\":\"docker_container_summary\",\"outputs\":[\"alert\"],\"select\":{\"addon_id\":\"#addon_id\",\"addon_type\":\"#addon_type\",\"cluster_name\":\"#cluster_name\",\"container_id\":\"#container_id\",\"host_ip\":\"#host_ip\",\"pod_name\":\"#pod_name\",\"pod_namespace\":\"#pod_namespace\"},\"window\":1}','{\"alert_group\":\"{{cluster_name}}-{{container_id}}\",\"level\":\"WARNING\",\"recover\":\"false\",\"tickets_metric_key\":\"{{container_id}}\"}',1,'2021-05-28 13:53:57','2021-05-28 13:53:57'),(779,'MySQL实例内存使用率异常告警','org','addon','addon_mysql_mem','{\"filters\":[{\"operator\":\"in\",\"tag\":\"cluster_name\",\"value\":[\"$cluster_name\"]},{\"operator\":\"in\",\"tag\":\"addon_type\",\"value\":[\"mysql\"]}],\"functions\":[{\"aggregator\":\"avg\",\"field\":\"mem_usage_percent\",\"operator\":\"gte\",\"value\":85},{\"aggregator\":\"max\",\"alias\":\"mem_limit_value\",\"field\":\"mem_limit\"},{\"aggregator\":\"max\",\"alias\":\"mem_allocation_value\",\"field\":\"mem_allocation\"}],\"group\":[\"container_id\"],\"metric\":\"docker_container_summary\",\"outputs\":[\"alert\"],\"select\":{\"addon_id\":\"#addon_id\",\"addon_type\":\"#addon_type\",\"cluster_name\":\"#cluster_name\",\"container_id\":\"#container_id\",\"host_ip\":\"#host_ip\",\"pod_name\":\"#pod_name\",\"pod_namespace\":\"#pod_namespace\"},\"window\":1}','{\"alert_group\":\"{{cluster_name}}-{{container_id}}\",\"level\":\"WARNING\",\"recover\":\"false\",\"tickets_metric_key\":\"{{container_id}}\"}',1,'2021-05-28 13:53:57','2021-05-28 13:53:57'),(780,'MySQL实例主从同步异常告警','org','addon','addon_mysql_slave_status','{\"filters\":[{\"operator\":\"in\",\"tag\":\"cluster_name\",\"value\":[\"$cluster_name\"]},{\"operator\":\"eq\",\"tag\":\"is_slave\",\"value\":\"true\"}],\"functions\":[{\"aggregator\":\"max\",\"alias\":\"slave_slave_running_ok_value\",\"field\":\"slave_slave_running_ok\",\"field_script\":\"function invoke(fields,tags){return (fields.slave_slave_io_running==0 || fields.slave_slave_sql_running==0)?0:1}\",\"operator\":\"neq\",\"value\":1},{\"aggregator\":\"max\",\"alias\":\"slave_slave_sql_running_value\",\"field\":\"slave_slave_sql_running\"},{\"aggregator\":\"max\",\"alias\":\"slave_slave_io_running_value\",\"field\":\"slave_slave_io_running\"}],\"group\":[\"addon_id\",\"server\"],\"metric\":\"mysql\",\"outputs\":[\"alert\"],\"select\":{\"addon_id\":\"#addon_id\",\"cluster_name\":\"#cluster_name\",\"host_ip\":\"#host_ip\"},\"window\":1}','{\"alert_group\":\"{{cluster_name}}-{{addon_id}}\",\"level\":\"WARNING\",\"recover\":\"false\",\"tickets_metric_key\":\"{{addon_id}}\"}',1,'2021-05-28 13:53:57','2021-05-28 13:53:57'),(781,'redis实例内存使用率异常告警','org','addon','addon_redis_mem','{\"filters\":[{\"operator\":\"in\",\"tag\":\"cluster_name\",\"value\":[\"$cluster_name\"]},{\"operator\":\"in\",\"tag\":\"addon_type\",\"value\":[\"redis\"]}],\"functions\":[{\"aggregator\":\"avg\",\"field\":\"mem_usage_percent\",\"operator\":\"gte\",\"value\":85},{\"aggregator\":\"max\",\"alias\":\"mem_limit_value\",\"field\":\"mem_limit\"},{\"aggregator\":\"max\",\"alias\":\"mem_allocation_value\",\"field\":\"mem_allocation\"}],\"group\":[\"container_id\"],\"metric\":\"docker_container_summary\",\"outputs\":[\"alert\"],\"select\":{\"addon_id\":\"#addon_id\",\"addon_type\":\"#addon_type\",\"cluster_name\":\"#cluster_name\",\"container_id\":\"#container_id\",\"host_ip\":\"#host_ip\",\"pod_name\":\"#pod_name\",\"pod_namespace\":\"#pod_namespace\"},\"window\":1}','{\"alert_group\":\"{{cluster_name}}-{{container_id}}\",\"level\":\"WARNING\",\"recover\":\"false\",\"tickets_metric_key\":\"{{container_id}}\"}',1,'2021-05-28 13:53:57','2021-05-28 13:53:57'),(782,'Ajax接口访问性能','micro_service','app_browser','app_browser_ajax_req','{\"filters\":[{\"operator\":\"eq\",\"tag\":\"tk\",\"value\":\"$tk\"},{\"operator\":\"eq\",\"tag\":\"type\",\"value\":\"browser\"}],\"functions\":[{\"aggregator\":\"avg\",\"field\":\"tt\",\"operator\":\"gt\",\"value\":1000}],\"group\":[\"tk\",\"req_path\",\"host\"],\"metric\":\"ta_req\",\"outputs\":[\"alert\"],\"select\":{\"doc_path\":\"#doc_path\",\"host\":\"#host\",\"req_path\":\"#req_path\",\"tk\":\"#tk\",\"type\":\"#type\"},\"window\":1}','{\"alert_group\":\"{{tk}}-{{req_path}}-{{host}}\",\"display_url_id\":\"micro_bi_ajax\",\"level\":\"WARNING\",\"recover\":\"false\"}',1,'2021-05-28 13:53:57','2021-05-28 13:53:57'),(783,'用户体验','micro_service','app_browser','app_browser_apdex','{\"filters\":[{\"operator\":\"eq\",\"tag\":\"tk\",\"value\":\"$tk\"},{\"operator\":\"eq\",\"tag\":\"type\",\"value\":\"browser\"}],\"functions\":[{\"aggregator\":\"avg\",\"field\":\"plt\",\"operator\":\"gt\",\"value\":3000}],\"group\":[\"tk\",\"doc_path\",\"host\"],\"metric\":\"ta_timing\",\"outputs\":[\"alert\"],\"select\":{\"doc_path\":\"#doc_path\",\"host\":\"#host\",\"tk\":\"#tk\",\"type\":\"#type\"},\"window\":1}','{\"alert_group\":\"{{tk}}-{{doc_path}}-{{host}}\",\"display_url_id\":\"micro_bi_position\",\"level\":\"WARNING\",\"recover\":\"false\"}',1,'2021-05-28 13:53:57','2021-05-28 13:53:57'),(784,'域名访问性能','micro_service','app_browser','app_browser_host_req','{\"filters\":[{\"operator\":\"eq\",\"tag\":\"tk\",\"value\":\"$tk\"},{\"operator\":\"eq\",\"tag\":\"type\",\"value\":\"browser\"}],\"functions\":[{\"aggregator\":\"avg\",\"field\":\"plt\",\"operator\":\"gt\",\"value\":1000}],\"group\":[\"tk\",\"host\"],\"metric\":\"ta_timing\",\"outputs\":[\"alert\"],\"select\":{\"doc_path\":\"#doc_path\",\"host\":\"#host\",\"tk\":\"#tk\",\"type\":\"#type\"},\"window\":1}','{\"alert_group\":\"{{tk}}-{{host}}\",\"display_url_id\":\"micro_bi_domain\",\"level\":\"WARNING\",\"recover\":\"false\"}',1,'2021-05-28 13:53:57','2021-05-28 13:53:57'),(785,'页面访问性能','micro_service','app_browser','app_browser_page_req','{\"filters\":[{\"operator\":\"eq\",\"tag\":\"tk\",\"value\":\"$tk\"},{\"operator\":\"eq\",\"tag\":\"type\",\"value\":\"browser\"}],\"functions\":[{\"aggregator\":\"avg\",\"field\":\"plt\",\"operator\":\"gt\",\"value\":1000}],\"group\":[\"tk\",\"doc_path\",\"host\"],\"metric\":\"ta_timing\",\"outputs\":[\"alert\"],\"select\":{\"doc_path\":\"#doc_path\",\"host\":\"#host\",\"tk\":\"#tk\",\"type\":\"#type\"},\"window\":1}','{\"alert_group\":\"{{tk}}-{{doc_path}}-{{host}}\",\"display_url_id\":\"micro_bi_page\",\"level\":\"WARNING\",\"recover\":\"false\"}',1,'2021-05-28 13:53:57','2021-05-28 13:53:57'),(786,'脚本错误','micro_service','app_browser','app_browser_script_error','{\"filters\":[{\"operator\":\"eq\",\"tag\":\"tk\",\"value\":\"$tk\"},{\"operator\":\"eq\",\"tag\":\"type\",\"value\":\"browser\"}],\"functions\":[{\"aggregator\":\"sum\",\"field\":\"count\",\"operator\":\"gte\",\"value\":10}],\"group\":[\"tk\",\"doc_path\",\"host\"],\"metric\":\"ta_error\",\"outputs\":[\"alert\"],\"select\":{\"browser\":\"#browser\",\"count\":\"#count\",\"doc_path\":\"#doc_path\",\"host\":\"#host\",\"ip\":\"#ip\",\"source\":\"#source\",\"tk\":\"#tk\",\"type\":\"#type\",\"url\":\"#url\"},\"window\":1}','{\"alert_group\":\"{{tk}}-{{doc_path}}-{{host}}\",\"display_url_id\":\"micro_bi_script\",\"level\":\"WARNING\",\"recover\":\"false\"}',1,'2021-05-28 13:53:57','2021-05-28 13:53:57'),(787,'应用错误次数','micro_service','app_exception','app_exception_count','{\"filters\":[{\"operator\":\"eq\",\"tag\":\"terminus_key\",\"value\":\"$terminus_key\"},{\"operator\":\"in\",\"tag\":\"application_id\",\"value\":[\"$application_id\"]}],\"functions\":[{\"aggregator\":\"sum\",\"field\":\"count\",\"operator\":\"gte\",\"value\":20}],\"group\":[\"error_id\"],\"metric\":\"error_alert\",\"outputs\":[\"alert\"],\"select\":{\"application_id\":\"#application_id\",\"application_name\":\"#application_name\",\"class\":\"#class\",\"cluster_name\":\"#cluster_name\",\"error_id\":\"#error_id\",\"host_ip\":\"#host_ip\",\"instance_id\":\"#instance_id\",\"line\":\"#line\",\"method\":\"#method\",\"project_id\":\"#project_id\",\"project_name\":\"#project_name\",\"runtime_id\":\"#runtime_id\",\"runtime_name\":\"#runtime_name\",\"service_name\":\"#service_name\",\"terminus_key\":\"#terminus_key\",\"type\":\"#type\",\"workspace\":\"#workspace\"},\"window\":5}','{\"alert_group\":\"{{terminus_key}}-{{error_id}}\",\"display_url_id\":\"micro_error_detail\",\"level\":\"WARNING\",\"recover\":\"true\",\"tickets_metric_key\":\"{{error_id}}\"}',1,'2021-05-28 13:53:57','2021-05-28 13:53:57'),(788,'应用实例CPU使用率异常','micro_service','app_resource','app_resource_container_cpu','{\"filters\":[{\"operator\":\"eq\",\"tag\":\"terminus_key\",\"value\":\"$terminus_key\"},{\"operator\":\"in\",\"tag\":\"application_id\",\"value\":[\"$application_id\"]}],\"functions\":[{\"aggregator\":\"avg\",\"field\":\"cpu_usage_percent\",\"field_script\":\"function invoke(fields,tags){return fields.cpu_limit===0?fields.cpu_usage_percent:fields.cpu_usage_percent/fields.cpu_limit}\",\"operator\":\"gte\",\"value\":90},{\"aggregator\":\"max\",\"alias\":\"cpu_limit_value\",\"field\":\"cpu_limit\"},{\"aggregator\":\"max\",\"alias\":\"cpu_allocation_value\",\"field\":\"cpu_allocation\"}],\"group\":[\"container_id\"],\"metric\":\"docker_container_summary\",\"outputs\":[\"alert\"],\"select\":{\"application_id\":\"#application_id\",\"application_name\":\"#application_name\",\"cluster_name\":\"#cluster_name\",\"container_id\":\"#container_id\",\"host_ip\":\"#host_ip\",\"instance_id\":\"#instance_id\",\"project_id\":\"#project_id\",\"project_name\":\"#project_name\",\"runtime_id\":\"#runtime_id\",\"runtime_name\":\"#runtime_name\",\"service_name\":\"#service_name\",\"terminus_key\":\"#terminus_key\"},\"window\":1}','{\"alert_group\":\"{{terminus_key}}-{{container_id}}\",\"display_url_id\":\"workbench_runtime\",\"level\":\"WARNING\",\"recover\":\"true\",\"tickets_metric_key\":\"{{container_id}}\"}',1,'2021-05-28 13:53:57','2021-05-28 13:53:57'),(789,'应用实例内存使用率异常','micro_service','app_resource','app_resource_container_mem','{\"filters\":[{\"operator\":\"eq\",\"tag\":\"terminus_key\",\"value\":\"$terminus_key\"},{\"operator\":\"in\",\"tag\":\"application_id\",\"value\":[\"$application_id\"]}],\"functions\":[{\"aggregator\":\"avg\",\"field\":\"mem_usage_percent\",\"operator\":\"gte\",\"value\":90},{\"aggregator\":\"max\",\"alias\":\"mem_usage_value\",\"field\":\"mem_usage\"},{\"aggregator\":\"max\",\"alias\":\"mem_limit_value\",\"field\":\"mem_limit\"},{\"aggregator\":\"max\",\"alias\":\"mem_max_usage_value\",\"field\":\"mem_max_usage\"}],\"group\":[\"container_id\"],\"metric\":\"docker_container_summary\",\"outputs\":[\"alert\"],\"select\":{\"application_id\":\"#application_id\",\"application_name\":\"#application_name\",\"cluster_name\":\"#cluster_name\",\"container_id\":\"#container_id\",\"host_ip\":\"#host_ip\",\"instance_id\":\"#instance_id\",\"project_id\":\"#project_id\",\"project_name\":\"#project_name\",\"runtime_id\":\"#runtime_id\",\"runtime_name\":\"#runtime_name\",\"service_name\":\"#service_name\",\"terminus_key\":\"#terminus_key\"},\"window\":1}','{\"alert_group\":\"{{terminus_key}}-{{container_id}}\",\"display_url_id\":\"workbench_runtime\",\"level\":\"WARNING\",\"recover\":\"true\",\"tickets_metric_key\":\"{{container_id}}\"}',1,'2021-05-28 13:53:57','2021-05-28 13:53:57'),(790,'应用实例OOM','micro_service','app_resource','app_resource_container_oom','{\"filters\":[{\"operator\":\"eq\",\"tag\":\"terminus_key\",\"value\":\"$terminus_key\"},{\"operator\":\"in\",\"tag\":\"application_id\",\"value\":[\"$application_id\"]}],\"functions\":[{\"aggregator\":\"values\",\"field\":\"oomkilled\",\"operator\":\"contains\",\"value\":true}],\"group\":[\"container_id\"],\"metric\":\"docker_container_summary\",\"outputs\":[\"alert\"],\"select\":{\"application_id\":\"#application_id\",\"application_name\":\"#application_name\",\"cluster_name\":\"#cluster_name\",\"container_id\":\"#container_id\",\"host_ip\":\"#host_ip\",\"instance_id\":\"#instance_id\",\"project_id\":\"#project_id\",\"project_name\":\"#project_name\",\"runtime_id\":\"#runtime_id\",\"runtime_name\":\"#runtime_name\",\"service_name\":\"#service_name\",\"terminus_key\":\"#terminus_key\"},\"window\":1}','{\"alert_group\":\"{{terminus_key}}-{{container_id}}\",\"display_url_id\":\"workbench_runtime\",\"level\":\"WARNING\",\"recover\":\"false\",\"tickets_metric_key\":\"{{container_id}}\"}',1,'2021-05-28 13:53:57','2021-05-28 13:53:57'),(791,'应用JVM GC次数','micro_service','app_resource','app_resource_jvm_gc_count','{\"filters\":[{\"operator\":\"eq\",\"tag\":\"name\",\"value\":\"concurrentmarksweep\"},{\"operator\":\"eq\",\"tag\":\"terminus_key\",\"value\":\"$terminus_key\"},{\"operator\":\"in\",\"tag\":\"application_id\",\"value\":[\"$application_id\"]}],\"functions\":[{\"aggregator\":\"sum\",\"field\":\"count\",\"operator\":\"gte\",\"value\":5}],\"group\":[\"instance_id\"],\"metric\":\"jvm_gc\",\"outputs\":[\"alert\"],\"select\":{\"application_id\":\"#application_id\",\"application_name\":\"#application_name\",\"cluster_name\":\"#cluster_name\",\"host_ip\":\"#host_ip\",\"instance_id\":\"#instance_id\",\"project_id\":\"#project_id\",\"project_name\":\"#project_name\",\"runtime_id\":\"#runtime_id\",\"runtime_name\":\"#runtime_name\",\"service_name\":\"#service_name\",\"terminus_key\":\"#terminus_key\",\"workspace\":\"#workspace\"},\"window\":3}','{\"alert_group\":\"{{terminus_key}}-{{instance_id}}\",\"display_url_id\":\"micro_jvm\",\"level\":\"WARNING\",\"recover\":\"false\",\"tickets_metric_key\":\"{{instance_id}}\"}',1,'2021-05-28 13:53:57','2021-05-28 13:53:57'),(792,'应用JVM GC 耗时','micro_service','app_resource','app_resource_jvm_gc_time','{\"condition\":\"or\",\"filters\":[{\"operator\":\"eq\",\"tag\":\"name\",\"value\":\"concurrentmarksweep\"},{\"operator\":\"eq\",\"tag\":\"terminus_key\",\"value\":\"$terminus_key\"},{\"operator\":\"in\",\"tag\":\"application_id\",\"value\":[\"$application_id\"]}],\"functions\":[{\"aggregator\":\"max\",\"alias\":\"time_value\",\"field\":\"time\",\"operator\":\"gte\",\"value\":400},{\"aggregator\":\"sum\",\"field\":\"time\",\"operator\":\"gte\",\"value\":1000}],\"group\":[\"instance_id\"],\"metric\":\"jvm_gc\",\"outputs\":[\"alert\"],\"select\":{\"application_id\":\"#application_id\",\"application_name\":\"#application_name\",\"cluster_name\":\"#cluster_name\",\"host_ip\":\"#host_ip\",\"instance_id\":\"#instance_id\",\"project_id\":\"#project_id\",\"project_name\":\"#project_name\",\"runtime_id\":\"#runtime_id\",\"runtime_name\":\"#runtime_name\",\"service_name\":\"#service_name\",\"terminus_key\":\"#terminus_key\",\"workspace\":\"#workspace\"},\"window\":1}','{\"alert_group\":\"{{terminus_key}}-{{instance_id}}\",\"display_url_id\":\"micro_jvm\",\"level\":\"WARNING\",\"recover\":\"false\",\"tickets_metric_key\":\"{{instance_id}}\"}',1,'2021-05-28 13:53:57','2021-05-28 13:53:57'),(793,'应用JVM堆内存','micro_service','app_resource','app_resource_jvm_heap','{\"condition\":\"and\",\"filters\":[{\"operator\":\"eq\",\"tag\":\"name\",\"value\":\"heap_memory\"},{\"operator\":\"eq\",\"tag\":\"terminus_key\",\"value\":\"$terminus_key\"},{\"operator\":\"in\",\"tag\":\"application_id\",\"value\":[\"$application_id\"]}],\"functions\":[{\"aggregator\":\"avg\",\"field\":\"usage_percent\",\"field_script\":\"function invoke(field, tag){ return field.used / field.max * 100; }\",\"operator\":\"gte\",\"value\":75},{\"aggregator\":\"max\",\"alias\":\"used_value\",\"field\":\"used\"},{\"aggregator\":\"max\",\"alias\":\"max_value\",\"field\":\"max\"}],\"group\":[\"instance_id\"],\"metric\":\"jvm_memory\",\"outputs\":[\"alert\"],\"select\":{\"application_id\":\"#application_id\",\"application_name\":\"#application_name\",\"cluster_name\":\"#cluster_name\",\"host_ip\":\"#host_ip\",\"instance_id\":\"#instance_id\",\"project_id\":\"#project_id\",\"project_name\":\"#project_name\",\"runtime_id\":\"#runtime_id\",\"runtime_name\":\"#runtime_name\",\"service_name\":\"#service_name\",\"terminus_key\":\"#terminus_key\",\"workspace\":\"#workspace\"},\"window\":1}','{\"alert_group\":\"{{terminus_key}}-{{instance_id}}\",\"display_url_id\":\"micro_jvm\",\"level\":\"WARNING\",\"recover\":\"true\",\"tickets_metric_key\":\"{{instance_id}}\"}',1,'2021-05-28 13:53:57','2021-05-28 13:53:57'),(794,'应用NodeJS堆内存使用率','micro_service','app_resource','app_resource_nodejs_heap','{\"filters\":[{\"operator\":\"eq\",\"tag\":\"terminus_key\",\"value\":\"$terminus_key\"},{\"operator\":\"in\",\"tag\":\"application_id\",\"value\":[\"$application_id\"]}],\"functions\":[{\"aggregator\":\"avg\",\"field\":\"usage_percent\",\"field_script\":\"function invoke(field, tag){ if(!field.max) { return 0; } return field.rss / field.max * 100; }\",\"operator\":\"gte\",\"value\":75},{\"aggregator\":\"max\",\"alias\":\"heap_used_value\",\"field\":\"heap_used\"},{\"aggregator\":\"max\",\"alias\":\"heap_total_value\",\"field\":\"heap_total\"},{\"aggregator\":\"max\",\"alias\":\"rss_value\",\"field\":\"rss\"},{\"aggregator\":\"max\",\"alias\":\"max_value\",\"field\":\"max\"}],\"group\":[\"instance_id\"],\"metric\":\"nodejs_memory\",\"outputs\":[\"alert\"],\"select\":{\"application_id\":\"#application_id\",\"application_name\":\"#application_name\",\"cluster_name\":\"#cluster_name\",\"host_ip\":\"#host_ip\",\"instance_id\":\"#instance_id\",\"project_id\":\"#project_id\",\"project_name\":\"#project_name\",\"runtime_id\":\"#runtime_id\",\"runtime_name\":\"#runtime_name\",\"service_name\":\"#service_name\",\"terminus_key\":\"#terminus_key\",\"workspace\":\"#workspace\"},\"window\":1}','{\"alert_group\":\"{{terminus_key}}-{{instance_id}}\",\"display_url_id\":\"micro_nodejs\",\"level\":\"WARNING\",\"recover\":\"false\",\"tickets_metric_key\":\"{{instance_id}}\"}',1,'2021-05-28 13:53:57','2021-05-28 13:53:57'),(795,'页面内容改变','micro_service','app_status','app_status_browser','{\"alias\":\"status_page_browser\",\"filters\":[{\"operator\":\"eq\",\"tag\":\"terminus_key\",\"value\":\"$terminus_key\"},{\"operator\":\"eq\",\"tag\":\"type\",\"value\":\"browser\"}],\"functions\":[{\"aggregator\":\"min\",\"field\":\"diff_screenshot\",\"operator\":\"eq\",\"value\":false}],\"group\":[\"metric\"],\"metric\":\"status_page\",\"outputs\":[\"alert\"],\"select\":{\"metric_id\":\"#metric\",\"project_id\":\"#project_id\",\"project_name\":\"#project_name\",\"status_metric_name\":\"#metric_name\",\"terminus_key\":\"#terminus_key\",\"type\":\"#type\",\"url\":\"#url\",\"workspace\":\"#env\"},\"window\":1}','{\"alert_group\":\"{{terminus_key}}-{{metric_id}}\",\"display_url_id\":\"micro_status_detail\",\"level\":\"ERROR\",\"recover\":\"false\",\"tickets_metric_key\":\"{{metric_id}}\"}',1,'2021-05-28 13:53:57','2021-05-28 13:53:57'),(796,'主动监控HTTP状态异常','micro_service','app_status','app_status_code','{\"filters\":[{\"operator\":\"eq\",\"tag\":\"terminus_key\",\"value\":\"$terminus_key\"},{\"operator\":\"eq\",\"tag\":\"type\",\"value\":\"http\"}],\"functions\":[{\"aggregator\":\"sum\",\"field\":\"retry\"},{\"aggregator\":\"min\",\"field\":\"code\",\"operator\":\"gte\",\"value\":400}],\"group\":[\"metric\"],\"metric\":\"status_page\",\"outputs\":[\"alert\"],\"select\":{\"metric_id\":\"#metric\",\"project_id\":\"#project_id\",\"project_name\":\"#project_name\",\"status_metric_name\":\"#metric_name\",\"terminus_key\":\"#terminus_key\",\"type\":\"#type\",\"url\":\"#url\",\"workspace\":\"#env\"},\"window\":1}','{\"alert_group\":\"{{terminus_key}}-{{metric_id}}\",\"display_url_id\":\"micro_status_detail\",\"level\":\"ERROR\",\"recover\":\"true\",\"tickets_metric_key\":\"{{metric_id}}\"}',1,'2021-05-28 13:53:57','2021-05-28 13:53:57'),(797,'服务接口HTTP错误率异常','micro_service','app_transaction','app_transaction_http_path_error','{\"condition\":\"and\",\"filters\":[{\"operator\":\"eq\",\"tag\":\"target_terminus_key\",\"value\":\"$target_terminus_key\"},{\"operator\":\"in\",\"tag\":\"target_application_id\",\"value\":[\"$target_application_id\"]}],\"functions\":[{\"aggregator\":\"sum\",\"field\":\"elapsed_count\",\"operator\":\"gte\",\"value\":10},{\"aggregator\":\"sum\",\"field\":\"error_count\",\"field_script\":\"function invoke(field, tag){ if(field.http_status_code_mean \\u003c 500) { return 0; } return field.elapsed_count; }\"},{\"aggregator\":\"value\",\"field\":\"error_percent\",\"field_script\":\"function invoke(field, tag){ if(!field.elapsed_count_sum) return 0; return field.elapsed_count_sum === 0 ? 0 : (field.error_count_sum / field.elapsed_count_sum * 100);}\",\"operator\":\"gte\",\"trigger\":\"aggregated\",\"value\":50}],\"group\":[\"target_runtime_id\",\"target_service_name\",\"http_path\",\"http_method\"],\"metric\":\"application_http\",\"outputs\":[\"alert\"],\"select\":{\"application_id\":\"#target_application_id\",\"application_name\":\"#target_application_name\",\"http_method\":\"#http_method\",\"http_path\":\"#http_path\",\"http_url\":\"#http_url\",\"project_id\":\"#target_project_id\",\"project_name\":\"#target_project_name\",\"runtime_id\":\"#target_runtime_id\",\"runtime_name\":\"#target_runtime_name\",\"service_name\":\"#target_service_name\",\"terminus_key\":\"#target_terminus_key\",\"workspace\":\"#target_workspace\"},\"window\":1}','{\"alert_group\":\"{{target_terminus_key}}-{{target_runtime_id}}-{{target_service_name}}-{{http_path}}-{{http_method}}\",\"display_url_id\":\"micro_si_web\",\"level\":\"WARNING\",\"recover\":\"false\",\"tickets_metric_key\":\"{{target_application_id}}\"}',1,'2021-05-28 13:53:57','2021-05-28 13:53:57'),(798,'服务接口HTTP慢事务异常','micro_service','app_transaction','app_transaction_http_path_rt','{\"condition\":\"and\",\"filters\":[{\"operator\":\"eq\",\"tag\":\"target_terminus_key\",\"value\":\"$target_terminus_key\"},{\"operator\":\"in\",\"tag\":\"target_application_id\",\"value\":[\"$target_application_id\"]}],\"functions\":[{\"aggregator\":\"sum\",\"field\":\"elapsed\",\"field_script\":\"function invoke(field, tag){ return field.elapsed_sum / 1000000; }\"},{\"aggregator\":\"sum\",\"field\":\"elapsed_count\",\"operator\":\"gte\",\"value\":10},{\"aggregator\":\"value\",\"field\":\"elapsed_avg\",\"field_script\":\"function invoke(field, tag){ if(!field.elapsed_count_sum) return 0; return field.elapsed_count_sum === 0 ? 0 : (field.elapsed_sum / field.elapsed_count_sum);}\",\"operator\":\"gte\",\"trigger\":\"aggregated\",\"value\":3000}],\"group\":[\"target_runtime_id\",\"target_service_name\",\"http_path\",\"http_method\"],\"metric\":\"application_http\",\"outputs\":[\"alert\"],\"select\":{\"application_id\":\"#target_application_id\",\"application_name\":\"#target_application_name\",\"http_method\":\"#http_method\",\"http_path\":\"#http_path\",\"http_url\":\"#http_url\",\"project_id\":\"#target_project_id\",\"project_name\":\"#target_project_name\",\"runtime_id\":\"#target_runtime_id\",\"runtime_name\":\"#target_runtime_name\",\"service_name\":\"#target_service_name\",\"terminus_key\":\"#target_terminus_key\",\"workspace\":\"#target_workspace\"},\"window\":1}','{\"alert_group\":\"{{target_terminus_key}}-{{target_runtime_id}}-{{target_service_name}}-{{http_path}}-{{http_method}}\",\"display_url_id\":\"micro_si_web\",\"level\":\"WARNING\",\"recover\":\"false\",\"tickets_metric_key\":\"{{target_application_id}}\"}',1,'2021-05-28 13:53:57','2021-05-28 13:53:57'),(799,'服务HTTP错误率异常','micro_service','app_transaction','app_transaction_http_service_error','{\"condition\":\"and\",\"filters\":[{\"operator\":\"eq\",\"tag\":\"target_terminus_key\",\"value\":\"$target_terminus_key\"},{\"operator\":\"in\",\"tag\":\"target_application_id\",\"value\":[\"$target_application_id\"]}],\"functions\":[{\"aggregator\":\"sum\",\"field\":\"elapsed_count\"},{\"aggregator\":\"sum\",\"field\":\"error_count\",\"field_script\":\"function invoke(field, tag){ if(field.http_status_code_mean \\u003c 500) { return 0; } return field.elapsed_count; }\"},{\"aggregator\":\"value\",\"field\":\"error_percent\",\"field_script\":\"function invoke(field, tag){ if(!field.elapsed_count_sum) return 0; return field.elapsed_count_sum === 0 ? 0 : (field.error_count_sum / field.elapsed_count_sum * 100);}\",\"operator\":\"gte\",\"trigger\":\"aggregated\",\"value\":30}],\"group\":[\"target_runtime_id\",\"target_service_name\"],\"metric\":\"application_http\",\"outputs\":[\"alert\"],\"select\":{\"application_id\":\"#target_application_id\",\"application_name\":\"#target_application_name\",\"project_id\":\"#target_project_id\",\"project_name\":\"#target_project_name\",\"runtime_id\":\"#target_runtime_id\",\"runtime_name\":\"#target_runtime_name\",\"service_name\":\"#target_service_name\",\"terminus_key\":\"#target_terminus_key\",\"workspace\":\"#target_workspace\"},\"window\":1}','{\"alert_group\":\"{{target_terminus_key}}-{{target_runtime_id}}-{{target_service_name}}\",\"display_url_id\":\"micro_si_web\",\"level\":\"WARNING\",\"recover\":\"true\",\"tickets_metric_key\":\"{{target_application_id}}\"}',1,'2021-05-28 13:53:57','2021-05-28 13:53:57'),(800,'服务HTTP慢事务异常','micro_service','app_transaction','app_transaction_http_service_rt','{\"condition\":\"and\",\"filters\":[{\"operator\":\"eq\",\"tag\":\"target_terminus_key\",\"value\":\"$target_terminus_key\"},{\"operator\":\"in\",\"tag\":\"target_application_id\",\"value\":[\"$target_application_id\"]}],\"functions\":[{\"aggregator\":\"sum\",\"field\":\"elapsed\",\"field_script\":\"function invoke(field, tag){ return field.elapsed_sum / 1000000; }\"},{\"aggregator\":\"sum\",\"field\":\"elapsed_count\"},{\"aggregator\":\"value\",\"field\":\"elapsed_avg\",\"field_script\":\"function invoke(field, tag){ if(!field.elapsed_count_sum) return 0; return field.elapsed_count_sum === 0 ? 0 : (field.elapsed_sum / field.elapsed_count_sum);}\",\"operator\":\"gte\",\"trigger\":\"aggregated\",\"value\":1000}],\"group\":[\"target_runtime_id\",\"target_service_name\"],\"metric\":\"application_http\",\"outputs\":[\"alert\"],\"select\":{\"application_id\":\"#target_application_id\",\"application_name\":\"#target_application_name\",\"project_id\":\"#target_project_id\",\"project_name\":\"#target_project_name\",\"runtime_id\":\"#target_runtime_id\",\"runtime_name\":\"#target_runtime_name\",\"service_name\":\"#target_service_name\",\"terminus_key\":\"#target_terminus_key\",\"workspace\":\"#target_workspace\"},\"window\":1}','{\"alert_group\":\"{{target_terminus_key}}-{{target_runtime_id}}-{{target_service_name}}\",\"display_url_id\":\"micro_si_web\",\"level\":\"WARNING\",\"recover\":\"true\",\"tickets_metric_key\":\"{{target_application_id}}\"}',1,'2021-05-28 13:53:57','2021-05-28 13:53:57'),(801,'MySQL SLAVE DELAY ALERT','org','custom_addon','slave_dly_alert','{\"condition\":\"or\",\"filters\":[{\"operator\":\"in\",\"tag\":\"cluster_name\",\"value\":[\"$cluster_name\"]},{\"operator\":\"eq\",\"tag\":\"is_slave\",\"value\":\"true\"}],\"functions\":[{\"aggregator\":\"values\",\"field\":\"slave_slave_sql_running_state\",\"field_script\":\"function invoke(fields,tags){if (fields.slave_slave_sql_running_state == \'Slave has read all relay log; waiting for more updates\') {return \'no delay\'} return \'delay\';}\",\"operator\":\"all\",\"value\":\"delay\"},{\"aggregator\":\"max\",\"field\":\"slave_seconds_behind_master\",\"operator\":\"gt\",\"value\":1800}],\"group\":[\"addon_id\",\"server\"],\"metric\":\"mysql\",\"outputs\":[\"alert\"],\"select\":{\"addon_id\":\"#addon_id\",\"cluster_name\":\"#cluster_name\",\"server_id\":\"#server\"},\"window\":30}','{\"alert_group\":\"{{cluster_name}}-{{addon_id}}\",\"level\":\"WARNING\",\"recover\":\"false\"}',1,'2021-05-28 13:53:57','2021-05-28 13:53:57'),(802,'MySQL SLAVE SYNC ALERT','org','custom_addon','slave_sync_alert','{\"filters\":[{\"operator\":\"in\",\"tag\":\"cluster_name\",\"value\":[\"$cluster_name\"]},{\"operator\":\"eq\",\"tag\":\"is_slave\",\"value\":\"true\"}],\"functions\":[{\"aggregator\":\"max\",\"alias\":\"slave_slave_sync_ok_value\",\"field\":\"slave_slave_sync_ok\",\"field_script\":\"function invoke(fields,tags){if (fields.slave_slave_io_running == 0 || fields.slave_slave_sql_running == 0) {return 0} return 1}\",\"operator\":\"eq\",\"value\":0},{\"aggregator\":\"max\",\"alias\":\"slave_slave_io_running_value\",\"field\":\"slave_slave_io_running\"},{\"aggregator\":\"max\",\"alias\":\"slave_slave_sql_running_value\",\"field\":\"slave_slave_sql_running\"}],\"group\":[\"addon_id\",\"server\"],\"metric\":\"mysql\",\"outputs\":[\"alert\"],\"select\":{\"addon_id\":\"#addon_id\",\"cluster_name\":\"#cluster_name\",\"server_id\":\"#server\"},\"window\":1}','{\"alert_group\":\"{{cluster_name}}-{{addon_id}}\",\"level\":\"WARNING\",\"recover\":\"false\"}',1,'2021-05-28 13:53:57','2021-05-28 13:53:57'),(803,'平台中间件Cassandra GC次数异常','org','dice_addon','dice_addon_cassandra_gc_count','{\"filters\":[{\"operator\":\"in\",\"tag\":\"cluster_name\",\"value\":[\"$cluster_name\"]},{\"operator\":\"eq\",\"tag\":\"addon_id\",\"value\":\"cassandra\"},{\"operator\":\"like\",\"tag\":\"name\",\"value\":\"Old\"}],\"functions\":[{\"aggregator\":\"min\",\"field\":\"CollectionCount_min\",\"field_script\":\"function invoke(fields,tags){return fields.CollectionCount;}\"},{\"aggregator\":\"max\",\"field\":\"CollectionCount_max\",\"field_script\":\"function invoke(fields,tags){return fields.CollectionCount;}\"},{\"aggregator\":\"value\",\"field\":\"CollectionCount_win\",\"field_script\":\"function invoke(fields,tags){return fields.CollectionCount_max-fields.CollectionCount_min;}\",\"operator\":\"gte\",\"trigger\":\"aggregated\",\"value\":10}],\"group\":[\"cluster_name\",\"node_id\"],\"metrics\":[\"addon_java_GarbageCollector\"],\"outputs\":[\"alert\"],\"select\":{\"_meta\":\"#_meta\",\"_metric_scope\":\"#_metric_scope\",\"_metric_scope_id\":\"#_metric_scope_id\",\"addon_id\":\"#addon_id\",\"addon_type\":\"#addon_type\",\"cluster_name\":\"#cluster_name\",\"node_host\":\"#jolokia_host\",\"org_name\":\"#org_name\"},\"window\":3}','{\"alert_group\":\"{{cluster_name}}-{{addon_id}}\",\"display_url_id\":\"org_addon\",\"level\":\"WARNING\",\"recover\":\"false\",\"tickets_metric_key\":\"{{addon_id}}\"}',1,'2021-05-28 13:53:57','2021-05-28 13:53:57'),(804,'平台中间件Cassandra GC耗时异常','org','dice_addon','dice_addon_cassandra_gc_time','{\"filters\":[{\"operator\":\"in\",\"tag\":\"cluster_name\",\"value\":[\"$cluster_name\"]},{\"operator\":\"eq\",\"tag\":\"addon_id\",\"value\":\"cassandra\"},{\"operator\":\"like\",\"tag\":\"name\",\"value\":\"Old\"}],\"functions\":[{\"aggregator\":\"min\",\"field\":\"CollectionTime_min\",\"field_script\":\"function invoke(fields,tags){return fields.CollectionTime;}\"},{\"aggregator\":\"max\",\"field\":\"CollectionTime_max\",\"field_script\":\"function invoke(fields,tags){return fields.CollectionTime;}\"},{\"aggregator\":\"value\",\"field\":\"CollectionTime_win\",\"field_script\":\"function invoke(fields,tags){return fields.CollectionTime_max-fields.CollectionTime_min;}\",\"operator\":\"gte\",\"trigger\":\"aggregated\",\"value\":15000}],\"group\":[\"cluster_name\",\"node_id\"],\"metrics\":[\"addon_java_GarbageCollector\"],\"outputs\":[\"alert\"],\"select\":{\"_meta\":\"#_meta\",\"_metric_scope\":\"#_metric_scope\",\"_metric_scope_id\":\"#_metric_scope_id\",\"addon_id\":\"#addon_id\",\"addon_type\":\"#addon_type\",\"cluster_name\":\"#cluster_name\",\"node_host\":\"#jolokia_host\",\"org_name\":\"#org_name\"},\"window\":3}','{\"alert_group\":\"{{cluster_name}}-{{addon_id}}\",\"display_url_id\":\"org_addon\",\"level\":\"WARNING\",\"recover\":\"false\",\"tickets_metric_key\":\"{{addon_id}}\"}',1,'2021-05-28 13:53:57','2021-05-28 13:53:57'),(805,'平台中间件实例CPU状态','org','dice_addon','dice_addon_container_cpu','{\"filters\":[{\"operator\":\"in\",\"tag\":\"cluster_name\",\"value\":[\"$cluster_name\"]},{\"operator\":\"eq\",\"tag\":\"pod_namespace\",\"value\":\"default\"},{\"operator\":\"any\",\"tag\":\"addon_id\"}],\"functions\":[{\"aggregator\":\"avg\",\"field\":\"cpu_usage_percent\",\"field_script\":\"function invoke(fields,tags){return fields.cpu_limit===0?fields.cpu_usage_percent:fields.cpu_usage_percent/fields.cpu_limit}\",\"operator\":\"gte\",\"value\":95},{\"aggregator\":\"max\",\"alias\":\"cpu_limit_value\",\"field\":\"cpu_limit\"},{\"aggregator\":\"max\",\"alias\":\"cpu_allocation_value\",\"field\":\"cpu_allocation\"}],\"group\":[\"cluster_name\",\"container_id\"],\"metrics\":[\"docker_container_summary\"],\"outputs\":[\"alert\"],\"select\":{\"_meta\":\"#_meta\",\"_metric_scope\":\"#_metric_scope\",\"_metric_scope_id\":\"#_metric_scope_id\",\"addon_id\":\"#addon_id\",\"cluster_name\":\"#cluster_name\",\"container_id\":\"#container_id\",\"host_ip\":\"#host_ip\",\"org_name\":\"#org_name\",\"pod_name\":\"#pod_name\",\"pod_namespace\":\"#pod_namespace\"},\"window\":2}','{\"alert_group\":\"{{cluster_name}}-{{container_id}}\",\"level\":\"WARNING\",\"recover\":\"false\",\"tickets_metric_key\":\"{{container_id}}\"}',1,'2021-05-28 13:53:57','2021-05-28 13:53:57'),(806,'平台中间件异常退出','org','dice_addon','dice_addon_container_exit','{\"filters\":[{\"operator\":\"in\",\"tag\":\"cluster_name\",\"value\":[\"$cluster_name\"]},{\"operator\":\"eq\",\"tag\":\"pod_namespace\",\"value\":\"default\"},{\"operator\":\"any\",\"tag\":\"addon_id\"}],\"functions\":[{\"aggregator\":\"max\",\"field\":\"exitcode\",\"operator\":\"gt\",\"value\":0},{\"aggregator\":\"max\",\"field\":\"oomkilled\"},{\"aggregator\":\"value\",\"field\":\"pid\"},{\"aggregator\":\"max\",\"field\":\"finished_at\",\"field_script\":\"function invoke(fields,tags){if(fields.finished_at!=null\\u0026\\u0026fields.finished_at!=undefined) return fields.finished_at/1000000;return 0}\"},{\"aggregator\":\"max\",\"field\":\"started_at\",\"field_script\":\"function invoke(fields,tags){if(fields.started_at!=null\\u0026\\u0026fields.started_at!=undefined) return fields.started_at/1000000;return 0}\"},{\"aggregator\":\"value\",\"field\":\"finished_at\",\"field_script\":\"function invoke(fields,tags){if(fields.finished_at_max\\u003e0) return fields.finished_at_max;return \'-\'}\",\"trigger\":\"aggregated\"},{\"aggregator\":\"value\",\"field\":\"started_at\",\"field_script\":\"function invoke(fields,tags){if(fields.started_at_max\\u003e0) return fields.started_at_max;return \'-\'}\",\"trigger\":\"aggregated\"},{\"aggregator\":\"value\",\"field\":\"terminated_reason\",\"field_script\":\"function invoke(fields,tags){if(fields.oomkilled) return \'Out Of Memory\';return \'Error Exit Code \'+fields.exitcode_max;}\",\"trigger\":\"aggregated\"}],\"group\":[\"cluster_name\",\"pod_namespace\",\"pod_name\"],\"metrics\":[\"docker_container_summary\"],\"outputs\":[\"alert\"],\"select\":{\"_meta\":\"#_meta\",\"_metric_scope\":\"#_metric_scope\",\"_metric_scope_id\":\"#_metric_scope_id\",\"addon_id\":\"#addon_id\",\"cluster_name\":\"#cluster_name\",\"container_id\":\"#container_id\",\"host_ip\":\"#host_ip\",\"org_name\":\"#org_name\",\"pod_name\":\"#pod_name\",\"pod_namespace\":\"#pod_namespace\"},\"window\":1}','{\"alert_group\":\"{{cluster_name}}-{{container_id}}\",\"display_url_id\":\"org_pod\",\"level\":\"FATAL\",\"recover\":\"false\",\"tickets_metric_key\":\"{{container_id}}\"}',1,'2021-05-28 13:53:57','2021-05-28 13:53:57'),(807,'平台中间件实例内存状态','org','dice_addon','dice_addon_container_mem','{\"filters\":[{\"operator\":\"in\",\"tag\":\"cluster_name\",\"value\":[\"$cluster_name\"]},{\"operator\":\"eq\",\"tag\":\"pod_namespace\",\"value\":\"default\"},{\"operator\":\"any\",\"tag\":\"addon_id\"}],\"functions\":[{\"aggregator\":\"avg\",\"field\":\"mem_usage_percent\",\"operator\":\"gt\",\"value\":80},{\"aggregator\":\"max\",\"alias\":\"mem_usage_value\",\"field\":\"mem_usage\"},{\"aggregator\":\"max\",\"alias\":\"mem_limit_value\",\"field\":\"mem_limit\"},{\"aggregator\":\"max\",\"alias\":\"mem_max_value\",\"field\":\"mem_max_usage\"},{\"aggregator\":\"max\",\"alias\":\"mem_allocation_value\",\"field\":\"mem_allocation\"}],\"group\":[\"cluster_name\",\"container_id\"],\"metrics\":[\"docker_container_summary\"],\"outputs\":[\"alert\"],\"select\":{\"_meta\":\"#_meta\",\"_metric_scope\":\"#_metric_scope\",\"_metric_scope_id\":\"#_metric_scope_id\",\"addon_id\":\"#addon_id\",\"cluster_name\":\"#cluster_name\",\"container_id\":\"#container_id\",\"host_ip\":\"#host_ip\",\"org_name\":\"#org_name\",\"pod_name\":\"#pod_name\",\"pod_namespace\":\"#pod_namespace\"},\"window\":2}','{\"alert_group\":\"{{cluster_name}}-{{container_id}}\",\"level\":\"WARNING\",\"recover\":\"false\",\"tickets_metric_key\":\"{{container_id}}\"}',1,'2021-05-28 13:53:57','2021-05-28 13:53:57'),(808,'平台中间件实例Ready状态异常','org','dice_addon','dice_addon_container_ready','{\"filters\":[{\"operator\":\"in\",\"tag\":\"cluster_name\",\"value\":[\"$cluster_name\"]},{\"operator\":\"eq\",\"tag\":\"namespace\",\"value\":\"default\"},{\"operator\":\"any\",\"tag\":\"addon_id\"}],\"functions\":[{\"aggregator\":\"max\",\"alias\":\"not_ready_value\",\"field\":\"not_ready\",\"field_script\":\"function invoke(fields,tags){if(tags.daemonset_name){return fields.number_unavailable}else{if(tags.statefulset_name){return fields.replicas-fields.replicas_ready}else{if(tags.deployment_name){return fields.replicas_unavailable}}}return 0}\",\"operator\":\"gt\",\"value\":0},{\"aggregator\":\"max\",\"alias\":\"ready_value\",\"field\":\"ready_value\",\"field_script\":\"function invoke(fields,tags){if(tags.daemonset_name){return fields.number_available}else{if(tags.statefulset_name){return fields.replicas_ready}else{if(tags.deployment_name){return fields.replicas_available}}}return 0}\"},{\"aggregator\":\"max\",\"alias\":\"total_value\",\"field\":\"total_value\",\"field_script\":\"function invoke(fields,tags){if(tags.daemonset_name){return fields.number_unavailable+fields.number_available}else{if(tags.statefulset_name){return fields.replicas}else{if(tags.deployment_name){return fields.replicas}}}return 0}\"},{\"aggregator\":\"value\",\"alias\":\"resource_name_value\",\"field\":\"resource_name_value\",\"field_script\":\"function invoke(fields,tags){if(tags.daemonset_name){return tags.daemonset_name}else{if(tags.statefulset_name){return tags.statefulset_name}else{if(tags.deployment_name){return tags.deployment_name}}}return null};\"}],\"group\":[\"cluster_name\",\"namespace\",\"daemonset_name\",\"statefulset_name\",\"deployment_name\"],\"metrics\":[\"kubernetes_daemonset\",\"kubernetes_statefulset\",\"kubernetes_deployment\"],\"outputs\":[\"alert\"],\"select\":{\"_meta\":\"#_meta\",\"_metric_scope\":\"#_metric_scope\",\"_metric_scope_id\":\"#_metric_scope_id\",\"addon_id\":\"#addon_id\",\"cluster_name\":\"#cluster_name\",\"daemonset_name\":\"#daemonset_name\",\"deployment_name\":\"#deployment_name\",\"namespace\":\"#namespace\",\"org_name\":\"#org_name\",\"statefulset_name\":\"#statefulset_name\"},\"window\":1}','{\"alert_group\":\"{{cluster_name}}-{{daemonset_name}}-{{statefulset_name}}-{{deployment_name}}\",\"level\":\"FATAL\",\"recover\":\"false\",\"tickets_metric_key\":\"{{daemonset_name}}-{{statefulset_name}}-{{deployment_name}}\"}',1,'2021-05-28 13:53:57','2021-05-28 13:53:57'),(809,'平台中间件Elasticsearch GC次数异常','org','dice_addon','dice_addon_elasticsearch_gc_count','{\"filters\":[{\"operator\":\"in\",\"tag\":\"cluster_name\",\"value\":[\"$cluster_name\"]},{\"operator\":\"eq\",\"tag\":\"addon_id\",\"value\":\"elasticsearch\"}],\"functions\":[{\"aggregator\":\"min\",\"field\":\"gc_collectors_old_collection_count\"},{\"aggregator\":\"max\",\"field\":\"gc_collectors_old_collection_count\"},{\"aggregator\":\"value\",\"field\":\"gc_collectors_old_collection_count_win\",\"field_script\":\"function invoke(fields,tags){return fields.gc_collectors_old_collection_count_max-fields.gc_collectors_old_collection_count_min;}\",\"operator\":\"gte\",\"trigger\":\"aggregated\",\"value\":10}],\"group\":[\"cluster_name\",\"node_id\"],\"metrics\":[\"elasticsearch_jvm\"],\"outputs\":[\"alert\"],\"select\":{\"_meta\":\"#_meta\",\"_metric_scope\":\"#_metric_scope\",\"_metric_scope_id\":\"#_metric_scope_id\",\"addon_id\":\"#addon_id\",\"addon_type\":\"#addon_type\",\"cluster_name\":\"#cluster_name\",\"node_host\":\"#node_host\",\"node_id\":\"#node_id\",\"node_name\":\"#node_name\",\"org_name\":\"#org_name\"},\"window\":3}','{\"alert_group\":\"{{cluster_name}}-{{addon_id}}\",\"display_url_id\":\"org_addon\",\"level\":\"WARNING\",\"recover\":\"false\",\"tickets_metric_key\":\"{{addon_id}}\"}',1,'2021-05-28 13:53:57','2021-05-28 13:53:57'),(810,'平台中间件Elasticsearch GC耗时异常','org','dice_addon','dice_addon_elasticsearch_gc_time','{\"filters\":[{\"operator\":\"in\",\"tag\":\"cluster_name\",\"value\":[\"$cluster_name\"]},{\"operator\":\"eq\",\"tag\":\"addon_id\",\"value\":\"elasticsearch\"}],\"functions\":[{\"aggregator\":\"min\",\"field\":\"gc_collectors_old_collection_time_in_millis\"},{\"aggregator\":\"max\",\"field\":\"gc_collectors_old_collection_time_in_millis\"},{\"aggregator\":\"value\",\"field\":\"gc_collectors_old_collection_time_in_millis_win\",\"field_script\":\"function invoke(fields,tags){return fields.gc_collectors_old_collection_time_in_millis_max-fields.gc_collectors_old_collection_time_in_millis_min;}\",\"operator\":\"gte\",\"trigger\":\"aggregated\",\"value\":15000}],\"group\":[\"cluster_name\",\"node_id\"],\"metrics\":[\"elasticsearch_jvm\"],\"outputs\":[\"alert\"],\"select\":{\"_meta\":\"#_meta\",\"_metric_scope\":\"#_metric_scope\",\"_metric_scope_id\":\"#_metric_scope_id\",\"addon_id\":\"#addon_id\",\"addon_type\":\"#addon_type\",\"cluster_name\":\"#cluster_name\",\"node_host\":\"#node_host\",\"node_id\":\"#node_id\",\"node_name\":\"#node_name\",\"org_name\":\"#org_name\"},\"window\":3}','{\"alert_group\":\"{{cluster_name}}-{{addon_id}}\",\"display_url_id\":\"org_addon\",\"level\":\"WARNING\",\"recover\":\"false\",\"tickets_metric_key\":\"{{addon_id}}\"}',1,'2021-05-28 13:53:57','2021-05-28 13:53:57'),(811,'平台中间件Kafka GC次数异常','org','dice_addon','dice_addon_kafka_gc_count','{\"filters\":[{\"operator\":\"in\",\"tag\":\"cluster_name\",\"value\":[\"$cluster_name\"]},{\"operator\":\"eq\",\"tag\":\"addon_id\",\"value\":\"kafka\"},{\"operator\":\"like\",\"tag\":\"name\",\"value\":\"Old\"}],\"functions\":[{\"aggregator\":\"min\",\"field\":\"CollectionCount\"},{\"aggregator\":\"max\",\"field\":\"CollectionCount\"},{\"aggregator\":\"value\",\"field\":\"CollectionCount_win\",\"field_script\":\"function invoke(fields,tags){return fields.CollectionCount_max-fields.CollectionCount_min;}\",\"operator\":\"gte\",\"trigger\":\"aggregated\",\"value\":10}],\"group\":[\"cluster_name\",\"node_id\"],\"metrics\":[\"addon_java_GarbageCollector\"],\"outputs\":[\"alert\"],\"select\":{\"_meta\":\"#_meta\",\"_metric_scope\":\"#_metric_scope\",\"_metric_scope_id\":\"#_metric_scope_id\",\"addon_id\":\"#addon_id\",\"addon_type\":\"#addon_type\",\"cluster_name\":\"#cluster_name\",\"node_host\":\"#jolokia_host\",\"org_name\":\"#org_name\"},\"window\":3}','{\"alert_group\":\"{{cluster_name}}-{{addon_id}}\",\"display_url_id\":\"org_addon\",\"level\":\"WARNING\",\"recover\":\"false\",\"tickets_metric_key\":\"{{addon_id}}\"}',1,'2021-05-28 13:53:57','2021-05-28 13:53:57'),(812,'平台中间件Kafka GC耗时异常','org','dice_addon','dice_addon_kafka_gc_time','{\"filters\":[{\"operator\":\"in\",\"tag\":\"cluster_name\",\"value\":[\"$cluster_name\"]},{\"operator\":\"eq\",\"tag\":\"addon_id\",\"value\":\"kafka\"},{\"operator\":\"like\",\"tag\":\"name\",\"value\":\"Old\"}],\"functions\":[{\"aggregator\":\"min\",\"field\":\"CollectionTime\"},{\"aggregator\":\"max\",\"field\":\"CollectionTime\"},{\"aggregator\":\"value\",\"field\":\"CollectionTime_win\",\"field_script\":\"function invoke(fields,tags){return fields.CollectionTime_max-fields.CollectionTime_min;}\",\"operator\":\"gte\",\"trigger\":\"aggregated\",\"value\":15000}],\"group\":[\"cluster_name\",\"node_id\"],\"metrics\":[\"addon_java_GarbageCollector\"],\"outputs\":[\"alert\"],\"select\":{\"_meta\":\"#_meta\",\"_metric_scope\":\"#_metric_scope\",\"_metric_scope_id\":\"#_metric_scope_id\",\"addon_id\":\"#addon_id\",\"addon_type\":\"#addon_type\",\"cluster_name\":\"#cluster_name\",\"node_host\":\"#jolokia_host\",\"org_name\":\"#org_name\"},\"window\":3}','{\"alert_group\":\"{{cluster_name}}-{{addon_id}}\",\"display_url_id\":\"org_addon\",\"level\":\"WARNING\",\"recover\":\"false\",\"tickets_metric_key\":\"{{addon_id}}\"}',1,'2021-05-28 13:53:57','2021-05-28 13:53:57'),(813,'平台中间件kafka消费堆积','org','dice_addon','dice_addon_kafka_lag','{\"filters\":[{\"operator\":\"in\",\"tag\":\"cluster_name\",\"value\":[\"$cluster_name\"]},{\"operator\":\"eq\",\"tag\":\"addon_id\",\"value\":\"kafka\"}],\"functions\":[{\"aggregator\":\"avg\",\"field\":\"lag\",\"operator\":\"gte\",\"value\":100000},{\"aggregator\":\"avg\",\"field\":\"consume_rate_per_sec\"},{\"aggregator\":\"avg\",\"field\":\"produce_rate_per_sec\"}],\"group\":[\"cluster_name\",\"addon_id\",\"group\",\"topic\"],\"metrics\":[\"kafka_consumer\"],\"outputs\":[\"alert\"],\"select\":{\"_meta\":\"#_meta\",\"_metric_scope\":\"#_metric_scope\",\"_metric_scope_id\":\"#_metric_scope_id\",\"addon_id\":\"#addon_id\",\"addon_type\":\"#addon_type\",\"cluster_name\":\"#cluster_name\",\"group\":\"#group\",\"org_name\":\"#org_name\",\"topic\":\"#topic\"},\"window\":3}','{\"alert_group\":\"{{cluster_name}}-{{group}}-{{topic}}\",\"display_url_id\":\"org_addon\",\"level\":\"WARNING\",\"recover\":\"false\",\"tickets_metric_key\":\"{{group}}-{{topic}}\"}',1,'2021-05-28 13:53:57','2021-05-28 13:53:57'),(814,'平台组件实例CPU状态','org','dice_component','dice_component_container_cpu','{\"filters\":[{\"operator\":\"in\",\"tag\":\"cluster_name\",\"value\":[\"$cluster_name\"]},{\"operator\":\"eq\",\"tag\":\"pod_namespace\",\"value\":\"default\"},{\"operator\":\"any\",\"tag\":\"component_name\"}],\"functions\":[{\"aggregator\":\"avg\",\"field\":\"cpu_usage_percent\",\"field_script\":\"function invoke(fields,tags){return fields.cpu_limit===0?fields.cpu_usage_percent:fields.cpu_usage_percent/fields.cpu_limit}\",\"operator\":\"gte\",\"value\":95},{\"aggregator\":\"max\",\"alias\":\"cpu_limit_value\",\"field\":\"cpu_limit\"},{\"aggregator\":\"max\",\"alias\":\"cpu_allocation_value\",\"field\":\"cpu_allocation\"}],\"group\":[\"cluster_name\",\"container_id\"],\"metrics\":[\"docker_container_summary\"],\"outputs\":[\"alert\"],\"select\":{\"_meta\":\"#_meta\",\"_metric_scope\":\"#_metric_scope\",\"_metric_scope_id\":\"#_metric_scope_id\",\"cluster_name\":\"#cluster_name\",\"component_name\":\"#component_name\",\"container_id\":\"#container_id\",\"host_ip\":\"#host_ip\",\"org_name\":\"#org_name\",\"pod_name\":\"#pod_name\",\"pod_namespace\":\"#pod_namespace\"},\"window\":2}','{\"alert_group\":\"{{cluster_name}}-{{container_id}}\",\"level\":\"WARNING\",\"recover\":\"false\",\"tickets_metric_key\":\"{{container_id}}\"}',1,'2021-05-28 13:53:57','2021-05-28 13:53:57'),(815,'平台组件异常退出','org','dice_component','dice_component_container_exit','{\"filters\":[{\"operator\":\"in\",\"tag\":\"cluster_name\",\"value\":[\"$cluster_name\"]},{\"operator\":\"eq\",\"tag\":\"pod_namespace\",\"value\":\"default\"},{\"operator\":\"any\",\"tag\":\"component_name\"}],\"functions\":[{\"aggregator\":\"max\",\"field\":\"exitcode\",\"operator\":\"gt\",\"value\":0},{\"aggregator\":\"max\",\"field\":\"oomkilled\"},{\"aggregator\":\"value\",\"field\":\"pid\"},{\"aggregator\":\"max\",\"field\":\"finished_at\",\"field_script\":\"function invoke(fields,tags){if(fields.finished_at!=null\\u0026\\u0026fields.finished_at!=undefined) return fields.finished_at/1000000;return 0}\"},{\"aggregator\":\"max\",\"field\":\"started_at\",\"field_script\":\"function invoke(fields,tags){if(fields.started_at!=null\\u0026\\u0026fields.started_at!=undefined) return fields.started_at/1000000;return 0}\"},{\"aggregator\":\"value\",\"field\":\"finished_at\",\"field_script\":\"function invoke(fields,tags){if(fields.finished_at_max\\u003e0) return fields.finished_at_max;return \'-\'}\",\"trigger\":\"aggregated\"},{\"aggregator\":\"value\",\"field\":\"started_at\",\"field_script\":\"function invoke(fields,tags){if(fields.started_at_max\\u003e0) return fields.started_at_max;return \'-\'}\",\"trigger\":\"aggregated\"},{\"aggregator\":\"value\",\"field\":\"terminated_reason\",\"field_script\":\"function invoke(fields,tags){if(fields.oomkilled) return \'Out Of Memory\';return \'Error Exit Code \'+fields.exitcode_max;}\",\"trigger\":\"aggregated\"}],\"group\":[\"cluster_name\",\"container_id\"],\"metrics\":[\"docker_container_summary\"],\"outputs\":[\"alert\"],\"select\":{\"_meta\":\"#_meta\",\"_metric_scope\":\"#_metric_scope\",\"_metric_scope_id\":\"#_metric_scope_id\",\"cluster_name\":\"#cluster_name\",\"component_name\":\"#component_name\",\"container_id\":\"#container_id\",\"host_ip\":\"#host_ip\",\"org_name\":\"#org_name\",\"pod_name\":\"#pod_name\",\"pod_namespace\":\"#pod_namespace\"},\"window\":1}','{\"alert_group\":\"{{cluster_name}}-{{container_id}}\",\"display_url_id\":\"org_pod\",\"level\":\"WARNING\",\"recover\":\"false\",\"tickets_metric_key\":\"{{container_id}}\"}',1,'2021-05-28 13:53:57','2021-05-28 13:53:57'),(816,'平台组件实例内存状态','org','dice_component','dice_component_container_mem','{\"filters\":[{\"operator\":\"in\",\"tag\":\"cluster_name\",\"value\":[\"$cluster_name\"]},{\"operator\":\"eq\",\"tag\":\"pod_namespace\",\"value\":\"default\"},{\"operator\":\"any\",\"tag\":\"component_name\"}],\"functions\":[{\"aggregator\":\"avg\",\"field\":\"mem_usage_percent\",\"operator\":\"gt\",\"value\":70},{\"aggregator\":\"max\",\"alias\":\"mem_usage_value\",\"field\":\"mem_usage\"},{\"aggregator\":\"max\",\"alias\":\"mem_limit_value\",\"field\":\"mem_limit\"},{\"aggregator\":\"max\",\"alias\":\"mem_max_usage_value\",\"field\":\"mem_max_usage\"},{\"aggregator\":\"max\",\"alias\":\"mem_allocation_value\",\"field\":\"mem_allocation\"}],\"group\":[\"cluster_name\",\"container_id\"],\"metrics\":[\"docker_container_summary\"],\"outputs\":[\"alert\"],\"select\":{\"_meta\":\"#_meta\",\"_metric_scope\":\"#_metric_scope\",\"_metric_scope_id\":\"#_metric_scope_id\",\"cluster_name\":\"#cluster_name\",\"component_name\":\"#component_name\",\"container_id\":\"#container_id\",\"host_ip\":\"#host_ip\",\"org_name\":\"#org_name\",\"pod_name\":\"#pod_name\",\"pod_namespace\":\"#pod_namespace\"},\"window\":2}','{\"alert_group\":\"{{cluster_name}}-{{container_id}}\",\"level\":\"WARNING\",\"recover\":\"false\",\"tickets_metric_key\":\"{{container_id}}\"}',1,'2021-05-28 13:53:57','2021-05-28 13:53:57'),(817,'平台组件实例Ready状态异常','org','dice_component','dice_component_container_ready','{\"filters\":[{\"operator\":\"in\",\"tag\":\"cluster_name\",\"value\":[\"$cluster_name\"]},{\"operator\":\"eq\",\"tag\":\"namespace\",\"value\":\"default\"},{\"operator\":\"any\",\"tag\":\"component_name\"}],\"functions\":[{\"aggregator\":\"max\",\"alias\":\"not_ready_value\",\"field\":\"not_ready\",\"field_script\":\"function invoke(fields,tags){if(tags.daemonset_name){return fields.number_unavailable}else{if(tags.statefulset_name){return fields.replicas-fields.replicas_ready}else{if(tags.deployment_name){return fields.replicas_unavailable}}}return 0}\",\"operator\":\"gt\",\"value\":0},{\"aggregator\":\"max\",\"alias\":\"ready_value\",\"field\":\"ready_value\",\"field_script\":\"function invoke(fields,tags){if(tags.daemonset_name){return fields.number_available}else{if(tags.statefulset_name){return fields.replicas_ready}else{if(tags.deployment_name){return fields.replicas_available}}}return 0}\"},{\"aggregator\":\"max\",\"alias\":\"total_value\",\"field\":\"total_value\",\"field_script\":\"function invoke(fields,tags){if(tags.daemonset_name){return fields.number_unavailable+fields.number_available}else{if(tags.statefulset_name){return fields.replicas}else{if(tags.deployment_name){return fields.replicas}}}return 0}\"},{\"aggregator\":\"value\",\"alias\":\"resource_name_value\",\"field\":\"resource_name_value\",\"field_script\":\"function invoke(fields,tags){if(tags.daemonset_name){return tags.daemonset_name}else{if(tags.statefulset_name){return tags.statefulset_name}else{if(tags.deployment_name){return tags.deployment_name}}}return null};\"}],\"group\":[\"cluster_name\",\"namespace\",\"daemonset_name\",\"statefulset_name\",\"deployment_name\"],\"metrics\":[\"kubernetes_daemonset\",\"kubernetes_statefulset\",\"kubernetes_deployment\"],\"outputs\":[\"alert\"],\"select\":{\"_meta\":\"#_meta\",\"_metric_scope\":\"#_metric_scope\",\"_metric_scope_id\":\"#_metric_scope_id\",\"cluster_name\":\"#cluster_name\",\"component_name\":\"#component_name\",\"daemonset_name\":\"#daemonset_name\",\"deployment_name\":\"#deployment_name\",\"namespace\":\"#namespace\",\"org_name\":\"#org_name\",\"statefulset_name\":\"#statefulset_name\"},\"window\":3}','{\"alert_group\":\"{{cluster_name}}-{{daemonset_name}}-{{statefulset_name}}-{{deployment_name}}\",\"level\":\"WARNING\",\"recover\":\"false\",\"tickets_metric_key\":\"{{daemonset_name}}-{{statefulset_name}}-{{deployment_name}}\"}',1,'2021-05-28 13:53:57','2021-05-28 13:53:57'),(818,'平台组件Flink任务checkpoint延迟异常告警','org','dice_component','dice_component_flink_checkpoint_duration','{\"filters\":[{\"operator\":\"in\",\"tag\":\"cluster_name\",\"value\":[\"$cluster_name\"]}],\"functions\":[{\"aggregator\":\"max\",\"alias\":\"lastCheckpointDuration_value\",\"field\":\"lastCheckpointDuration\",\"operator\":\"gte\",\"value\":3000}],\"group\":[\"cluster_name\",\"container_id\",\"job_id\"],\"metric\":\"flink_jm_job\",\"outputs\":[\"alert\"],\"select\":{\"cluster_name\":\"#cluster_name\",\"host_ip\":\"#host_ip\",\"job_id\":\"#job_id\"},\"window\":1}','{\"alert_group\":\"{{cluster_name}}-{{container_id}}-{{job_id}}\",\"level\":\"WARNING\",\"recover\":\"false\",\"tickets_metric_key\":\"{{container_id}}-{{job_id}}\"}',1,'2021-05-28 13:53:57','2021-05-28 13:53:57'),(819,'平台组件Flink吞吐量异常告警','org','dice_component','dice_component_flink_throughput','{\"filters\":[{\"operator\":\"in\",\"tag\":\"cluster_name\",\"value\":[\"$cluster_name\"]}],\"functions\":[{\"aggregator\":\"max\",\"alias\":\"numRecordsOutPerSecond_count_value\",\"field\":\"numRecordsOutPerSecond_count\",\"operator\":\"eq\",\"value\":0}],\"group\":[\"cluster_name\",\"container_id\",\"job_id\",\"task_id\",\"subtask_index\",\"operator_id\"],\"metric\":\"flink_tm_operator\",\"outputs\":[\"alert\"],\"select\":{\"cluster_name\":\"#cluster_name\",\"host_ip\":\"#host_ip\",\"job_id\":\"#job_id\",\"operator_id\":\"#operator_id\",\"subtask_index\":\"#subtask_index\",\"tm_id\":\"#tm_id\"},\"window\":1}','{\"alert_group\":\"{{cluster_name}}-{{container_id}}-{{job_id}}\",\"level\":\"WARNING\",\"recover\":\"false\",\"tickets_metric_key\":\"{{container_id}}-{{job_id}}\"}',1,'2021-05-28 13:53:57','2021-05-28 13:53:57'),(820,'平台组件网盘不可用告警','org','dice_component','dice_component_gfs_status','{\"filters\":[{\"operator\":\"in\",\"tag\":\"cluster_name\",\"value\":[\"$cluster_name\"]}],\"functions\":[{\"aggregator\":\"values\",\"field\":\"status\",\"operator\":\"all\",\"value\":\"Disconnected\"}],\"group\":[\"cluster_name\",\"host_ip\"],\"metric\":\"glusterfs\",\"outputs\":[\"alert\"],\"select\":{\"cluster_name\":\"#cluster_name\",\"component_name\":\"#component_name\",\"host_ip\":\"#host_ip\",\"node_uuid\":\"#node_uuid\"},\"window\":5}','{\"alert_group\":\"{{cluster_name}}\",\"level\":\"FATAL\",\"recover\":\"false\",\"tickets_metric_key\":\"{{cluster_name}}\"}',1,'2021-05-28 13:53:57','2021-05-28 13:53:57'),(821,'平台组价日志存储保护器状态变化','org','dice_component','dice_component_log_protector','{\"filters\":[{\"operator\":\"in\",\"tag\":\"cluster_name\",\"value\":[\"$cluster_name\"]},{\"operator\":\"eq\",\"tag\":\"field\",\"value\":\"log_store_protector_triggered\"}],\"functions\":[{\"aggregator\":\"value\",\"field\":\"triggered\",\"operator\":\"eq\",\"value\":1}],\"group\":[\"cluster_name\"],\"metric\":\"dice_monitor\",\"outputs\":[\"alert\"],\"select\":{\"cluster_name\":\"#cluster_name\",\"cur_level\":\"#cur_level\",\"pre_level\":\"#pre_level\"},\"window\":1}','{\"alert_group\":\"{{cluster_name}}\",\"level\":\"INFO\",\"recover\":\"false\",\"tickets_metric_key\":\"{{cluster_name}}\"}',1,'2021-05-28 13:53:57','2021-05-28 13:53:57'),(822,'kubernetes组件实例CPU状态','org','kubernetes','kubernetes_instance_cpu','{\"filters\":[{\"operator\":\"in\",\"tag\":\"cluster_name\",\"value\":[\"$cluster_name\"]},{\"operator\":\"eq\",\"tag\":\"pod_namespace\",\"value\":\"kube-system\"}],\"functions\":[{\"aggregator\":\"avg\",\"field\":\"cpu_usage_percent\",\"field_script\":\"function invoke(fields,tags){return fields.cpu_limit===0?fields.cpu_usage_percent:fields.cpu_usage_percent/fields.cpu_limit}\",\"operator\":\"gte\",\"value\":95},{\"aggregator\":\"max\",\"alias\":\"cpu_limit_value\",\"field\":\"cpu_limit\"},{\"aggregator\":\"max\",\"alias\":\"cpu_allocation_value\",\"field\":\"cpu_allocation\"}],\"group\":[\"cluster_name\",\"container_id\"],\"metrics\":[\"docker_container_summary\"],\"outputs\":[\"alert\"],\"select\":{\"_meta\":\"#_meta\",\"_metric_scope\":\"#_metric_scope\",\"_metric_scope_id\":\"#_metric_scope_id\",\"cluster_name\":\"#cluster_name\",\"component_name\":\"#pod_name\",\"container_id\":\"#container_id\",\"host_ip\":\"#host_ip\",\"org_name\":\"#org_name\",\"pod_name\":\"#pod_name\",\"pod_namespace\":\"#pod_namespace\"},\"window\":2}','{\"alert_group\":\"{{cluster_name}}-{{container_id}}\",\"level\":\"WARNING\",\"recover\":\"false\",\"tickets_metric_key\":\"{{container_id}}\"}',1,'2021-05-28 13:53:57','2021-05-28 13:53:57'),(823,'kubernetes组件异常退出','org','kubernetes','kubernetes_instance_exit','{\"filters\":[{\"operator\":\"in\",\"tag\":\"cluster_name\",\"value\":[\"$cluster_name\"]},{\"operator\":\"eq\",\"tag\":\"pod_namespace\",\"value\":\"kube-system\"}],\"functions\":[{\"aggregator\":\"max\",\"field\":\"exitcode\",\"operator\":\"gt\",\"value\":0},{\"aggregator\":\"max\",\"field\":\"oomkilled\"},{\"aggregator\":\"value\",\"field\":\"pid\"},{\"aggregator\":\"max\",\"field\":\"finished_at\",\"field_script\":\"function invoke(fields,tags){if(fields.finished_at!=null\\u0026\\u0026fields.finished_at!=undefined) return fields.finished_at/1000000;return 0}\"},{\"aggregator\":\"max\",\"field\":\"started_at\",\"field_script\":\"function invoke(fields,tags){if(fields.started_at!=null\\u0026\\u0026fields.started_at!=undefined) return fields.started_at/1000000;return 0}\"},{\"aggregator\":\"value\",\"field\":\"finished_at\",\"field_script\":\"function invoke(fields,tags){if(fields.finished_at_max\\u003e0) return fields.finished_at_max;return \'-\'}\",\"trigger\":\"aggregated\"},{\"aggregator\":\"value\",\"field\":\"started_at\",\"field_script\":\"function invoke(fields,tags){if(fields.started_at_max\\u003e0) return fields.started_at_max;return \'-\'}\",\"trigger\":\"aggregated\"},{\"aggregator\":\"value\",\"field\":\"terminated_reason\",\"field_script\":\"function invoke(fields,tags){if(fields.oomkilled) return \'Out Of Memory\';return \'Error Exit Code \'+fields.exitcode_max;}\",\"trigger\":\"aggregated\"}],\"group\":[\"cluster_name\",\"pod_namespace\",\"pod_name\"],\"metrics\":[\"docker_container_summary\"],\"outputs\":[\"alert\"],\"select\":{\"_meta\":\"#_meta\",\"_metric_scope\":\"#_metric_scope\",\"_metric_scope_id\":\"#_metric_scope_id\",\"cluster_name\":\"#cluster_name\",\"component_name\":\"#component_name\",\"container_id\":\"#container_id\",\"host_ip\":\"#host_ip\",\"org_name\":\"#org_name\",\"pod_name\":\"#pod_name\",\"pod_namespace\":\"#pod_namespace\"},\"window\":1}','{\"alert_group\":\"{{cluster_name}}-{{container_id}}\",\"display_url_id\":\"org_pod\",\"level\":\"FATAL\",\"recover\":\"false\",\"tickets_metric_key\":\"{{container_id}}\"}',1,'2021-05-28 13:53:57','2021-05-28 13:53:57'),(824,'kubernetes组件实例内存状态','org','kubernetes','kubernetes_instance_mem','{\"filters\":[{\"operator\":\"in\",\"tag\":\"cluster_name\",\"value\":[\"$cluster_name\"]},{\"operator\":\"eq\",\"tag\":\"pod_namespace\",\"value\":\"kube-system\"}],\"functions\":[{\"aggregator\":\"avg\",\"field\":\"mem_usage_percent\",\"operator\":\"gt\",\"value\":70},{\"aggregator\":\"max\",\"alias\":\"mem_usage_value\",\"field\":\"mem_usage\"},{\"aggregator\":\"max\",\"alias\":\"mem_limit_value\",\"field\":\"mem_limit\"},{\"aggregator\":\"max\",\"alias\":\"mem_max_usage_value\",\"field\":\"mem_max_usage\"},{\"aggregator\":\"max\",\"alias\":\"mem_allocation_value\",\"field\":\"mem_allocation\"}],\"group\":[\"cluster_name\",\"container_id\"],\"metrics\":[\"docker_container_summary\"],\"outputs\":[\"alert\"],\"select\":{\"_meta\":\"#_meta\",\"_metric_scope\":\"#_metric_scope\",\"_metric_scope_id\":\"#_metric_scope_id\",\"cluster_name\":\"#cluster_name\",\"component_name\":\"#pod_name\",\"container_id\":\"#container_id\",\"host_ip\":\"#host_ip\",\"org_name\":\"#org_name\",\"pod_name\":\"#pod_name\",\"pod_namespace\":\"#pod_namespace\"},\"window\":2}','{\"alert_group\":\"{{cluster_name}}-{{container_id}}\",\"level\":\"WARNING\",\"recover\":\"false\",\"tickets_metric_key\":\"{{container_id}}\"}',1,'2021-05-28 13:53:57','2021-05-28 13:53:57'),(825,'kubernetes组件实例Ready状态异常','org','kubernetes','kubernetes_instance_ready','{\"filters\":[{\"operator\":\"in\",\"tag\":\"cluster_name\",\"value\":[\"$cluster_name\"]},{\"operator\":\"eq\",\"tag\":\"namespace\",\"value\":\"kube-system\"}],\"functions\":[{\"aggregator\":\"max\",\"alias\":\"not_ready_value\",\"field\":\"not_ready\",\"field_script\":\"function invoke(fields,tags){if(tags.daemonset_name){return fields.number_unavailable}else{if(tags.statefulset_name){return fields.replicas-fields.replicas_ready}else{if(tags.deployment_name){return fields.replicas_unavailable}}}return 0}\",\"operator\":\"gt\",\"value\":0},{\"aggregator\":\"max\",\"alias\":\"ready_value\",\"field\":\"ready_value\",\"field_script\":\"function invoke(fields,tags){if(tags.daemonset_name){return fields.number_available}else{if(tags.statefulset_name){return fields.replicas_ready}else{if(tags.deployment_name){return fields.replicas_available}}}return 0}\"},{\"aggregator\":\"max\",\"alias\":\"total_value\",\"field\":\"total_value\",\"field_script\":\"function invoke(fields,tags){if(tags.daemonset_name){return fields.number_unavailable+fields.number_available}else{if(tags.statefulset_name){return fields.replicas}else{if(tags.deployment_name){return fields.replicas}}}return 0}\"},{\"aggregator\":\"value\",\"alias\":\"resource_name_value\",\"field\":\"resource_name_value\",\"field_script\":\"function invoke(fields,tags){if(tags.daemonset_name){return tags.daemonset_name}else{if(tags.statefulset_name){return tags.statefulset_name}else{if(tags.deployment_name){return tags.deployment_name}}}return null};\"}],\"group\":[\"cluster_name\",\"namespace\",\"daemonset_name\",\"statefulset_name\",\"deployment_name\"],\"metrics\":[\"kubernetes_daemonset\",\"kubernetes_statefulset\",\"kubernetes_deployment\"],\"outputs\":[\"alert\"],\"select\":{\"_meta\":\"#_meta\",\"_metric_scope\":\"#_metric_scope\",\"_metric_scope_id\":\"#_metric_scope_id\",\"cluster_name\":\"#cluster_name\",\"component_name\":\"#resource_name_value\",\"daemonset_name\":\"#daemonset_name\",\"deployment_name\":\"#deployment_name\",\"namespace\":\"#namespace\",\"org_name\":\"#org_name\",\"statefulset_name\":\"#statefulset_name\"},\"window\":1}','{\"alert_group\":\"{{cluster_name}}-{{daemonset_name}}-{{statefulset_name}}-{{deployment_name}}\",\"level\":\"FATAL\",\"recover\":\"false\",\"tickets_metric_key\":\"{{daemonset_name}}-{{statefulset_name}}-{{deployment_name}}\"}',1,'2021-05-28 13:53:57','2021-05-28 13:53:57'),(826,'kubernetes节点异常','org','kubernetes','kubernetes_node','{\"filters\":[{\"operator\":\"in\",\"tag\":\"cluster_name\",\"value\":[\"$cluster_name\"]},{\"operator\":\"neq\",\"tag\":\"offline\",\"value\":\"true\"}],\"functions\":[{\"aggregator\":\"values\",\"field\":\"ready\",\"operator\":\"all\",\"value\":false},{\"aggregator\":\"max\",\"alias\":\"allocatable_pods_value\",\"field\":\"allocatable_pods\"},{\"aggregator\":\"max\",\"alias\":\"capacity_pods_value\",\"field\":\"capacity_pods\"},{\"aggregator\":\"max\",\"alias\":\"allocatable_cpu_cores_value\",\"field\":\"allocatable_cpu_cores\"},{\"aggregator\":\"max\",\"alias\":\"capacity_cpu_cores_value\",\"field\":\"capacity_cpu_cores\"},{\"aggregator\":\"max\",\"alias\":\"allocatable_memory_bytes_value\",\"field\":\"allocatable_memory_bytes\"},{\"aggregator\":\"max\",\"alias\":\"capacity_memory_bytes_value\",\"field\":\"capacity_memory_bytes\"}],\"group\":[\"cluster_name\",\"node_name\"],\"metrics\":[\"kubernetes_node\"],\"outputs\":[\"alert\"],\"select\":{\"_meta\":\"#_meta\",\"_metric_scope\":\"#_metric_scope\",\"_metric_scope_id\":\"#_metric_scope_id\",\"cluster_name\":\"#cluster_name\",\"component_name\":\"#node_name\",\"node_name\":\"#node_name\",\"org_name\":\"#org_name\"},\"window\":1}','{\"alert_group\":\"{{cluster_name}}-{{node_name}}\",\"level\":\"WARNING\",\"recover\":\"false\",\"tickets_metric_key\":\"{{node_name}}\"}',1,'2021-05-28 13:53:57','2021-05-28 13:53:57'),(827,'机器时钟一致性异常告警','org','machine','machine_cluster_clock','{\"filters\":[{\"operator\":\"in\",\"tag\":\"cluster_name\",\"value\":[\"$cluster_name\"]}],\"functions\":[{\"aggregator\":\"avg\",\"field\":\"elapsed_abs\",\"operator\":\"gte\",\"value\":5000},{\"aggregator\":\"avg\",\"alias\":\"send_timestamp\",\"field\":\"send_timestamp\"},{\"aggregator\":\"avg\",\"alias\":\"receive_timestamp\",\"field\":\"receive_timestamp\"}],\"group\":[\"cluster_name\",\"host_ip\"],\"metric\":\"cluster_clock\",\"outputs\":[\"alert\"],\"select\":{\"_meta\":\"#_meta\",\"_metric_scope\":\"#_metric_scope\",\"_metric_scope_id\":\"#_metric_scope_id\",\"cluster_name\":\"#cluster_name\",\"host_ip\":\"#host_ip\",\"labels\":\"#labels\",\"org_name\":\"#org_name\",\"source_host_ip\":\"#source_host_ip\"},\"window\":5}','{\"alert_group\":\"{{cluster_name}}-{{host_ip}}\",\"display_url_id\":\"machine_cluster_clock\",\"level\":\"WARNING\",\"recover\":\"true\",\"tickets_metric_key\":\"{{host_ip}}\"}',1,'2021-05-28 13:53:57','2021-05-28 13:53:57'),(828,'机器CPU','org','machine','machine_cpu','{\"filters\":[{\"operator\":\"in\",\"tag\":\"cluster_name\",\"value\":[\"$cluster_name\"]}],\"functions\":[{\"aggregator\":\"avg\",\"field\":\"cpu_usage_active\",\"operator\":\"gte\",\"value\":95}],\"group\":[\"cluster_name\",\"host_ip\"],\"metric\":\"host_summary\",\"outputs\":[\"alert\"],\"select\":{\"_meta\":\"#_meta\",\"_metric_scope\":\"#_metric_scope\",\"_metric_scope_id\":\"#_metric_scope_id\",\"cluster_name\":\"#cluster_name\",\"host_ip\":\"#host_ip\",\"labels\":\"#labels\",\"org_name\":\"#org_name\"},\"window\":5}','{\"alert_group\":\"{{cluster_name}}-{{host_ip}}\",\"display_url_id\":\"machine_cpu\",\"level\":\"WARNING\",\"recover\":\"true\",\"tickets_metric_key\":\"{{host_ip}}\"}',1,'2021-05-28 13:53:57','2021-05-28 13:53:57'),(829,'机器磁盘','org','machine','machine_disk','{\"filters\":[{\"operator\":\"in\",\"tag\":\"cluster_name\",\"value\":[\"$cluster_name\"]},{\"operator\":\"neq\",\"tag\":\"type\",\"value\":\"netdata\"}],\"functions\":[{\"aggregator\":\"max\",\"alias\":\"used_percent_value\",\"field\":\"used_percent\",\"operator\":\"gte\",\"value\":86},{\"aggregator\":\"max\",\"alias\":\"total_value\",\"field\":\"total\"}],\"group\":[\"host_ip\",\"device\"],\"metric\":\"disk\",\"outputs\":[\"alert\"],\"select\":{\"_meta\":\"#_meta\",\"_metric_scope\":\"#_metric_scope\",\"_metric_scope_id\":\"#_metric_scope_id\",\"cluster_name\":\"#cluster_name\",\"device\":\"#device\",\"host_ip\":\"#host_ip\",\"labels\":\"#labels\",\"org_name\":\"#org_name\"},\"window\":5}','{\"alert_group\":\"{{cluster_name}}-{{host_ip}}-{{device}}\",\"display_url_id\":\"machine_disk\",\"level\":\"WARNING\",\"recover\":\"true\",\"tickets_metric_key\":\"{{host_ip}}\"}',1,'2021-05-28 13:53:57','2021-05-28 13:53:57'),(830,'磁盘Inode异常告警','org','machine','machine_disk_inode','{\"filters\":[{\"operator\":\"in\",\"tag\":\"cluster_name\",\"value\":[\"$cluster_name\"]},{\"operator\":\"neq\",\"tag\":\"type\",\"value\":\"netdata\"}],\"functions\":[{\"aggregator\":\"max\",\"alias\":\"inode_used_percent_value\",\"field\":\"inode_used_percent\",\"field_script\":\"function invoke(field, tag){ return field.inodes_used/field.inodes_total*100 }\",\"operator\":\"gte\",\"value\":85},{\"aggregator\":\"max\",\"alias\":\"inodes_total_value\",\"field\":\"inodes_total\"}],\"group\":[\"host_ip\",\"device\"],\"metric\":\"disk\",\"outputs\":[\"alert\"],\"select\":{\"_meta\":\"#_meta\",\"_metric_scope\":\"#_metric_scope\",\"_metric_scope_id\":\"#_metric_scope_id\",\"cluster_name\":\"#cluster_name\",\"device\":\"#device\",\"host_ip\":\"#host_ip\",\"labels\":\"#labels\",\"org_name\":\"#org_name\"},\"window\":5}','{\"alert_group\":\"{{cluster_name}}-{{host_ip}}-{{device}}\",\"display_url_id\":\"machine_disk\",\"level\":\"WARNING\",\"recover\":\"true\",\"tickets_metric_key\":\"{{host_ip}}\"}',1,'2021-05-28 13:53:57','2021-05-28 13:53:57'),(831,'机器磁盘IO','org','machine','machine_disk_util','{\"filters\":[{\"operator\":\"in\",\"tag\":\"cluster_name\",\"value\":[\"$cluster_name\"]},{\"operator\":\"eq\",\"tag\":\"path\",\"value\":null}],\"functions\":[{\"aggregator\":\"p75\",\"field\":\"pct_util\",\"operator\":\"gte\",\"value\":95}],\"group\":[\"host_ip\"],\"metric\":\"disk\",\"outputs\":[\"alert\"],\"select\":{\"_meta\":\"#_meta\",\"_metric_scope\":\"#_metric_scope\",\"_metric_scope_id\":\"#_metric_scope_id\",\"cluster_name\":\"#cluster_name\",\"host_ip\":\"#host_ip\",\"labels\":\"#labels\",\"org_name\":\"#org_name\"},\"window\":5}','{\"alert_group\":\"{{cluster_name}}-{{host_ip}}\",\"display_url_id\":\"machine_disk_io\",\"level\":\"WARNING\",\"recover\":\"true\",\"tickets_metric_key\":\"{{host_ip}}\"}',1,'2021-05-28 13:53:57','2021-05-28 13:53:57'),(832,'机器Load5','org','machine','machine_load5','{\"filters\":[{\"operator\":\"in\",\"tag\":\"cluster_name\",\"value\":[\"$cluster_name\"]}],\"functions\":[{\"aggregator\":\"avg\",\"field\":\"load5\",\"operator\":\"gte\",\"value\":20}],\"group\":[\"host_ip\"],\"metric\":\"host_summary\",\"outputs\":[\"alert\"],\"select\":{\"_meta\":\"#_meta\",\"_metric_scope\":\"#_metric_scope\",\"_metric_scope_id\":\"#_metric_scope_id\",\"cluster_name\":\"#cluster_name\",\"host_ip\":\"#host_ip\",\"labels\":\"#labels\",\"org_name\":\"#org_name\"},\"window\":5}','{\"alert_group\":\"{{cluster_name}}-{{host_ip}}\",\"display_url_id\":\"machine_load\",\"level\":\"WARNING\",\"recover\":\"true\",\"tickets_metric_key\":\"{{host_ip}}\"}',1,'2021-05-28 13:53:57','2021-05-28 13:53:57'),(833,'网盘','org','machine','machine_netdisk','{\"filters\":[{\"operator\":\"in\",\"tag\":\"cluster_name\",\"value\":[\"$cluster_name\"]},{\"operator\":\"eq\",\"tag\":\"type\",\"value\":\"netdata\"}],\"functions\":[{\"aggregator\":\"max\",\"alias\":\"used_percent_value\",\"field\":\"used_percent\",\"operator\":\"gte\",\"value\":75},{\"aggregator\":\"max\",\"alias\":\"total_value\",\"field\":\"total\"}],\"group\":null,\"metric\":\"disk\",\"outputs\":[\"alert\"],\"select\":{\"_meta\":\"#_meta\",\"_metric_scope\":\"#_metric_scope\",\"_metric_scope_id\":\"#_metric_scope_id\",\"cluster_name\":\"#cluster_name\",\"labels\":\"#labels\",\"org_name\":\"#org_name\"},\"window\":5}','{\"alert_group\":\"{{cluster_name}}\",\"level\":\"WARNING\",\"recover\":\"true\",\"tickets_metric_key\":\"{{cluster_name}}\"}',1,'2021-05-28 13:53:57','2021-05-28 13:53:57'),(834,'网盘容量使用量异常告警','org','machine','machine_netdisk_used','{\"filters\":[{\"operator\":\"in\",\"tag\":\"cluster_name\",\"value\":[\"$cluster_name\"]},{\"operator\":\"eq\",\"tag\":\"type\",\"value\":\"netdata\"}],\"functions\":[{\"aggregator\":\"max\",\"alias\":\"used\",\"field\":\"used\",\"field_script\":\"function invoke(field, tag){ return field.used/1024/1024/1024 }\",\"operator\":\"gte\",\"value\":300},{\"aggregator\":\"max\",\"alias\":\"total\",\"field_script\":\"function invoke(field, tag){ return field.total/1024/1024/1024 }\"}],\"group\":null,\"metric\":\"disk\",\"outputs\":[\"alert\"],\"select\":{\"_meta\":\"#_meta\",\"_metric_scope\":\"#_metric_scope\",\"_metric_scope_id\":\"#_metric_scope_id\",\"cluster_name\":\"#cluster_name\",\"labels\":\"#labels\",\"org_name\":\"#org_name\"},\"window\":5}','{\"alert_group\":\"{{cluster_name}}\",\"level\":\"WARNING\",\"recover\":\"true\",\"tickets_metric_key\":\"{{cluster_name}}\"}',1,'2021-05-28 13:53:57','2021-05-28 13:53:57'),(835,'机器宕机','org','machine','machine_status','{\"filters\":[{\"operator\":\"in\",\"tag\":\"cluster_name\",\"value\":[\"$cluster_name\"]}],\"functions\":[{\"aggregator\":\"values\",\"field\":\"status\",\"operator\":\"all\",\"value\":\"not_ready\"},{\"aggregator\":\"max\",\"alias\":\"last_timestamp_value\",\"field\":\"last_timestamp\"}],\"group\":[\"host_ip\"],\"metric\":\"machine_status\",\"outputs\":[\"alert\"],\"select\":{\"_meta\":\"#_meta\",\"_metric_scope\":\"#_metric_scope\",\"_metric_scope_id\":\"#_metric_scope_id\",\"cluster_name\":\"#cluster_name\",\"host_ip\":\"#host_ip\",\"labels\":\"#labels\",\"org_name\":\"#org_name\"},\"window\":5}','{\"alert_group\":\"{{cluster_name}}-{{host_ip}}\",\"display_url_id\":\"machine_crash\",\"level\":\"FATAL\",\"recover\":\"true\",\"tickets_metric_key\":\"{{host_ip}}\"}',1,'2021-05-28 13:53:57','2021-05-28 13:53:57'),(836,'API网关实例CPU使用率异常','org','micro_service','api_gateway_cpu','{\"filters\":[{\"operator\":\"in\",\"tag\":\"cluster_name\",\"value\":[\"$cluster_name\"]},{\"operator\":\"in\",\"tag\":\"addon_type\",\"value\":[\"api-gateway\",\"postgresql\"]}],\"functions\":[{\"aggregator\":\"avg\",\"field\":\"cpu_usage_percent\",\"field_script\":\"function invoke(fields,tags){return fields.cpu_limit===0?fields.cpu_usage_percent:fields.cpu_usage_percent/fields.cpu_limit}\",\"operator\":\"gte\",\"value\":90},{\"aggregator\":\"max\",\"alias\":\"cpu_limit_value\",\"field\":\"cpu_limit\"},{\"aggregator\":\"max\",\"alias\":\"cpu_allocation_value\",\"field\":\"cpu_allocation\"}],\"group\":[\"container_id\"],\"metric\":\"docker_container_summary\",\"outputs\":[\"alert\"],\"select\":{\"addon_id\":\"#addon_id\",\"addon_type\":\"#addon_type\",\"cluster_name\":\"#cluster_name\",\"container_id\":\"#container_id\",\"host_ip\":\"#host_ip\",\"pod_name\":\"#pod_name\",\"pod_namespace\":\"#pod_namespace\"},\"window\":1}','{\"alert_group\":\"{{cluster_name}}-{{container_id}}\",\"level\":\"WARNING\",\"recover\":\"false\",\"tickets_metric_key\":\"{{container_id}}\"}',1,'2021-05-28 13:53:57','2021-05-28 13:53:57'),(837,'API网关实例内存使用率异常','org','micro_service','api_gateway_mem','{\"filters\":[{\"operator\":\"in\",\"tag\":\"cluster_name\",\"value\":[\"$cluster_name\"]},{\"operator\":\"in\",\"tag\":\"addon_type\",\"value\":[\"api-gateway\",\"postgresql\"]}],\"functions\":[{\"aggregator\":\"avg\",\"field\":\"mem_usage_percent\",\"operator\":\"gte\",\"value\":90},{\"aggregator\":\"max\",\"alias\":\"mem_usage_value\",\"field\":\"mem_usage\"},{\"aggregator\":\"max\",\"alias\":\"mem_limit_value\",\"field\":\"mem_limit\"},{\"aggregator\":\"max\",\"alias\":\"mem_max_usage_value\",\"field\":\"mem_max_usage\"}],\"group\":[\"container_id\"],\"metric\":\"docker_container_summary\",\"outputs\":[\"alert\"],\"select\":{\"addon_id\":\"#addon_id\",\"addon_type\":\"#addon_type\",\"cluster_name\":\"#cluster_name\",\"container_id\":\"#container_id\",\"host_ip\":\"#host_ip\",\"pod_name\":\"#pod_name\",\"pod_namespace\":\"#pod_namespace\"},\"window\":1}','{\"alert_group\":\"{{cluster_name}}-{{container_id}}\",\"level\":\"WARNING\",\"recover\":\"false\",\"tickets_metric_key\":\"{{container_id}}\"}',1,'2021-05-28 13:53:57','2021-05-28 13:53:57'),(838,'注册中心实例CPU使用率异常','org','micro_service','register_center_cpu','{\"filters\":[{\"operator\":\"in\",\"tag\":\"cluster_name\",\"value\":[\"$cluster_name\"]},{\"operator\":\"in\",\"tag\":\"addon_type\",\"value\":[\"nacos\",\"zkproxy\"]}],\"functions\":[{\"aggregator\":\"avg\",\"field\":\"cpu_usage_percent\",\"field_script\":\"function invoke(fields,tags){return fields.cpu_limit===0?fields.cpu_usage_percent:fields.cpu_usage_percent/fields.cpu_limit}\",\"operator\":\"gte\",\"value\":90},{\"aggregator\":\"max\",\"alias\":\"cpu_limit_value\",\"field\":\"cpu_limit\"},{\"aggregator\":\"max\",\"alias\":\"cpu_allocation_value\",\"field\":\"cpu_allocation\"}],\"group\":[\"container_id\"],\"metric\":\"docker_container_summary\",\"outputs\":[\"alert\"],\"select\":{\"addon_id\":\"#addon_id\",\"addon_type\":\"#addon_type\",\"cluster_name\":\"#cluster_name\",\"container_id\":\"#container_id\",\"host_ip\":\"#host_ip\",\"pod_name\":\"#pod_name\",\"pod_namespace\":\"#pod_namespace\"},\"window\":1}','{\"alert_group\":\"{{cluster_name}}-{{container_id}}\",\"level\":\"WARNING\",\"recover\":\"false\",\"tickets_metric_key\":\"{{container_id}}\"}',1,'2021-05-28 13:53:57','2021-05-28 13:53:57'),(839,'注册中心实例内存使用率异常','org','micro_service','register_center_mem','{\"filters\":[{\"operator\":\"in\",\"tag\":\"cluster_name\",\"value\":[\"$cluster_name\"]},{\"operator\":\"in\",\"tag\":\"addon_type\",\"value\":[\"nacos\",\"zkproxy\"]}],\"functions\":[{\"aggregator\":\"avg\",\"field\":\"mem_usage_percent\",\"operator\":\"gte\",\"value\":90},{\"aggregator\":\"max\",\"alias\":\"mem_usage_value\",\"field\":\"mem_usage\"},{\"aggregator\":\"max\",\"alias\":\"mem_limit_value\",\"field\":\"mem_limit\"},{\"aggregator\":\"max\",\"alias\":\"mem_max_usage_value\",\"field\":\"mem_max_usage\"}],\"group\":[\"container_id\"],\"metric\":\"docker_container_summary\",\"outputs\":[\"alert\"],\"select\":{\"addon_id\":\"#addon_id\",\"addon_type\":\"#addon_type\",\"cluster_name\":\"#cluster_name\",\"container_id\":\"#container_id\",\"host_ip\":\"#host_ip\",\"pod_name\":\"#pod_name\",\"pod_namespace\":\"#pod_namespace\"},\"window\":1}','{\"alert_group\":\"{{cluster_name}}-{{container_id}}\",\"level\":\"WARNING\",\"recover\":\"false\",\"tickets_metric_key\":\"{{container_id}}\"}',1,'2021-05-28 13:53:57','2021-05-28 13:53:57'),(840,'服务熔断通知告警','micro_service','micro_service','sidecar_circuit_breaker','{\"filters\":[{\"operator\":\"eq\",\"tag\":\"terminus_key\",\"value\":\"$terminus_key\"},{\"operator\":\"in\",\"tag\":\"application_id\",\"value\":[\"$application_id\"]}],\"functions\":[{\"aggregator\":\"sum\",\"field\":\"count\",\"operator\":\"gte\",\"value\":1}],\"group\":[\"service_name\"],\"metric\":\"sidecar_circuit_breaker\",\"outputs\":[\"alert\"],\"select\":{\"application_id\":\"#application_id\",\"application_name\":\"#application_name\",\"cluster_name\":\"#cluster_name\",\"host_ip\":\"#host_ip\",\"project_name\":\"#project_name\",\"runtime_name\":\"#runtime_name\",\"service_name\":\"#service_name\",\"terminus_key\":\"#terminus_key\",\"workspace\":\"#workspace\"},\"window\":1}','{\"alert_group\":\"{{terminus_key}}\",\"level\":\"WARNING\",\"recover\":\"false\",\"tickets_metric_key\":\"{{terminus_key}}\"}',1,'2021-05-28 13:53:57','2021-05-28 13:53:57');

CREATE TABLE `sp_customize_alert` (
  `id` bigint(20) NOT NULL AUTO_INCREMENT COMMENT '主键ID',
  `name` varchar(64) NOT NULL COMMENT '告警名称',
  `alert_type` varchar(32) NOT NULL COMMENT '类型',
  `alert_scope` varchar(32) NOT NULL COMMENT '告警所在的组织域，包含org、project和app',
  `alert_scope_id` varchar(128) NOT NULL DEFAULT '' COMMENT '告警范围id',
  `attributes` varchar(1024) NOT NULL COMMENT '扩展属性JSON',
  `enable` int(1) NOT NULL DEFAULT '1' COMMENT '告警开关',
  `create_time` timestamp NOT NULL DEFAULT CURRENT_TIMESTAMP COMMENT '告警创建时间',
  `update_time` timestamp NOT NULL DEFAULT CURRENT_TIMESTAMP ON UPDATE CURRENT_TIMESTAMP COMMENT '告警更新时间',
  PRIMARY KEY (`id`),
  UNIQUE KEY `uniq_scope_X_name` (`alert_scope_id`,`name`,`alert_scope`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COMMENT='自定义告警';

CREATE TABLE `sp_customize_alert_notify_template` (
  `id` bigint(20) NOT NULL AUTO_INCREMENT COMMENT '主键ID',
  `name` varchar(64) NOT NULL COMMENT '名称',
  `customize_alert_id` bigint(20) NOT NULL COMMENT '自定义告警ID',
  `alert_type` varchar(32) NOT NULL COMMENT '类型',
  `alert_index` varchar(128) NOT NULL COMMENT '索引',
  `target` varchar(255) NOT NULL COMMENT '发送类型',
  `trigger` varchar(255) NOT NULL COMMENT '触发类似，alert| recovery',
  `title` varchar(4096) NOT NULL COMMENT '模板标题',
  `template` varchar(4096) NOT NULL COMMENT '模板JSON，包含cyle、agg、operator、value、unit等信息',
  `formats` varchar(4096) NOT NULL DEFAULT '{}' COMMENT '字段格式化定义',
  `version` varchar(255) NOT NULL DEFAULT '1.0' COMMENT '版本',
  `create_time` datetime NOT NULL DEFAULT CURRENT_TIMESTAMP COMMENT '创建时间',
  `update_time` datetime NOT NULL DEFAULT CURRENT_TIMESTAMP ON UPDATE CURRENT_TIMESTAMP COMMENT '修改时间',
  `enable` tinyint(1) NOT NULL DEFAULT '1' COMMENT '逻辑删除',
  PRIMARY KEY (`id`),
  KEY `idx_customize_alert_id` (`customize_alert_id`),
  KEY `idx_alert_index` (`alert_index`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COMMENT='自定义告警模板表';

CREATE TABLE `sp_customize_alert_rule` (
  `id` bigint(20) NOT NULL AUTO_INCREMENT COMMENT '主键ID',
  `name` varchar(64) NOT NULL COMMENT '名称',
  `customize_alert_id` bigint(20) NOT NULL COMMENT '自定义告警ID',
  `alert_scope` varchar(32) NOT NULL COMMENT '告警所在的组织域，包含org、project和app',
  `alert_scope_id` varchar(128) NOT NULL COMMENT '告警所在的组织ID',
  `alert_type` varchar(32) NOT NULL COMMENT '类型',
  `alert_index` varchar(128) NOT NULL COMMENT '索引',
  `template` varchar(4096) NOT NULL COMMENT '模板JSON，包含cyle、agg、operator、value、unit等信息',
  `attributes` varchar(1024) NOT NULL COMMENT '扩展属性JSON，包含is_recovery是否恢复后告警',
  `enable` tinyint(1) NOT NULL DEFAULT '1' COMMENT '逻辑删除',
  `create_time` datetime NOT NULL DEFAULT CURRENT_TIMESTAMP COMMENT '创建时间',
  `update_time` datetime NOT NULL DEFAULT CURRENT_TIMESTAMP ON UPDATE CURRENT_TIMESTAMP COMMENT '修改时间',
  PRIMARY KEY (`id`),
  KEY `idx_customize_alert_id` (`customize_alert_id`),
  KEY `idx_scope_id` (`alert_scope_id`),
  KEY `idx_alert_index` (`alert_index`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COMMENT='自定义告警规则表';

CREATE TABLE `sp_dashboard_block` (
  `id` varchar(64) NOT NULL COMMENT '主键ID',
  `name` varchar(32) NOT NULL COMMENT '名称',
  `desc` varchar(255) DEFAULT NULL COMMENT '描述',
  `domain` varchar(255) DEFAULT NULL,
  `scope` varchar(255) DEFAULT NULL,
  `scope_id` varchar(255) DEFAULT NULL,
  `view_config` text NOT NULL COMMENT '数据配置',
  `data_config` text NOT NULL COMMENT '数据配置',
  `created_at` datetime DEFAULT NULL COMMENT '创建时间',
  `updated_at` datetime DEFAULT NULL COMMENT '修改时间',
  `version` varchar(32) NOT NULL,
  PRIMARY KEY (`id`),
  UNIQUE KEY `id` (`name`,`scope`,`scope_id`,`id`),
  UNIQUE KEY `Scope` (`name`,`scope`,`scope_id`,`id`),
  UNIQUE KEY `ScopeID` (`name`,`scope`,`scope_id`,`id`),
  UNIQUE KEY `Name` (`name`,`scope`,`scope_id`,`id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8 COMMENT='用户配置的自定义大盘表';

CREATE TABLE `sp_dashboard_block_system` (
  `id` varchar(64) NOT NULL COMMENT '主键ID',
  `name` varchar(32) NOT NULL COMMENT '名称',
  `desc` varchar(255) DEFAULT NULL COMMENT '描述',
  `domain` varchar(255) DEFAULT NULL,
  `scope` varchar(255) DEFAULT NULL,
  `scope_id` varchar(255) DEFAULT NULL,
  `view_config` text NOT NULL COMMENT '图表配置',
  `data_config` text COMMENT '数据配置',
  `created_at` datetime DEFAULT NULL COMMENT '创建时间',
  `updated_at` datetime DEFAULT NULL COMMENT '修改时间',
  `version` varchar(32) NOT NULL,
  PRIMARY KEY (`id`),
  UNIQUE KEY `id` (`id`),
  UNIQUE KEY `Scope` (`name`,`scope`,`scope_id`),
  UNIQUE KEY `ScopeID` (`name`,`scope`,`scope_id`),
  UNIQUE KEY `Name` (`name`,`scope`,`scope_id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8 COMMENT='系统内置的大盘配置表';


INSERT INTO `sp_dashboard_block_system` (`id`, `name`, `desc`, `domain`, `scope`, `scope_id`, `view_config`, `data_config`, `created_at`, `updated_at`, `version`) VALUES ('apim_client','API管理-客户端视角','客户端视角','','org','terminus','[{\"w\":8,\"h\":3,\"x\":0,\"y\":0,\"i\":\"view-c99ebac8\",\"view\":{\"title\":\"\",\"description\":\"\",\"chartType\":\"card\",\"dataSourceType\":\"api\",\"staticData\":{},\"config\":{\"optionProps\":{\"isMoreThanOneDay\":false}},\"api\":{\"url\":\"/api/apim/metrics/agg_kong\",\"query\":{\"alias_sum.succ_sum\":\"请求成功总和\",\"chartType\":\"card\",\"end\":1605077182581,\"format\":\"chartv2\",\"start\":1605073582581,\"sum\":[\"succ_sum\"]},\"body\":null,\"header\":null,\"extraData\":{\"activedMetricGroups\":[\"other\",\"other@agg_kong\"],\"activedMetrics\":[{\"aggregation\":\"sum\",\"key\":\"1\",\"metric\":\"agg_kong-succ_sum\"}],\"filters\":[{\"key\":\"1005\",\"method\":\"eq\",\"tag\":\"tags.pack\",\"value\":\"{{endpoint}}\"},{\"key\":\"893\",\"method\":\"eq\",\"tag\":\"tags.dpid\",\"value\":\"{{projectID}}\"},{\"key\":\"781\",\"method\":\"eq\",\"tag\":\"tags.denv\",\"value\":\"{{workspace}}\"},{\"key\":\"5\",\"method\":\"eq\",\"tag\":\"tags.csmr\",\"value\":\"{{client}}\"}],\"group\":[]}},\"controls\":null}},{\"w\":8,\"h\":3,\"x\":8,\"y\":0,\"i\":\"view-c5b66c0c\",\"view\":{\"title\":\"\",\"description\":\"\",\"chartType\":\"card\",\"dataSourceType\":\"api\",\"staticData\":{},\"config\":{\"optionProps\":{\"isMoreThanOneDay\":false}},\"api\":{\"url\":\"/api/apim/metrics/agg_kong\",\"query\":{\"alias_sum.err_sum\":\"请求出错总和\",\"chartType\":\"card\",\"end\":1605077182581,\"format\":\"chartv2\",\"start\":1605073582581,\"sum\":[\"err_sum\"]},\"body\":null,\"header\":null,\"extraData\":{\"activedMetricGroups\":[\"other\",\"other@agg_kong\"],\"activedMetrics\":[{\"aggregation\":\"sum\",\"key\":\"39\",\"metric\":\"agg_kong-err_sum\"}],\"filters\":[{\"key\":\"1485\",\"method\":\"eq\",\"tag\":\"tags.pack\",\"value\":\"{{endpoint}}\"},{\"key\":\"1373\",\"method\":\"eq\",\"tag\":\"tags.dpid\",\"value\":\"{{projectID}}\"},{\"key\":\"1261\",\"method\":\"eq\",\"tag\":\"tags.denv\",\"value\":\"{{workspace}}\"},{\"key\":\"1152\",\"method\":\"eq\",\"tag\":\"tags.csmr\",\"value\":\"{{client}}\"}],\"group\":[]}},\"controls\":null}},{\"w\":8,\"h\":3,\"x\":16,\"y\":0,\"i\":\"view-0978244c\",\"view\":{\"title\":\"\",\"description\":\"\",\"chartType\":\"card\",\"dataSourceType\":\"api\",\"staticData\":{},\"config\":{\"optionProps\":{\"isMoreThanOneDay\":false}},\"api\":{\"url\":\"/api/apim/metrics/agg_kong\",\"query\":{\"alias_avg.reql_mean\":\"请求延时平均值\",\"avg\":[\"reql_mean\"],\"chartType\":\"card\",\"end\":1605077182581,\"format\":\"chartv2\",\"start\":1605073582581},\"body\":null,\"header\":null,\"extraData\":{\"activedMetricGroups\":[\"other\",\"other@agg_kong\"],\"activedMetrics\":[{\"aggregation\":\"avg\",\"key\":\"154\",\"metric\":\"agg_kong-reql_mean\"}],\"filters\":[{\"key\":\"530\",\"method\":\"eq\",\"tag\":\"tags.denv\",\"value\":\"{{workspace}}\"},{\"key\":\"418\",\"method\":\"eq\",\"tag\":\"tags.dpid\",\"value\":\"{{projectID}}\"},{\"key\":\"307\",\"method\":\"eq\",\"tag\":\"tags.pack\",\"value\":\"{{endpoint}}\"},{\"key\":\"164\",\"method\":\"eq\",\"tag\":\"tags.csmr\",\"value\":\"{{client}}\"}],\"group\":[]}},\"controls\":null}},{\"w\":12,\"h\":9,\"x\":0,\"y\":3,\"i\":\"view-65868916\",\"view\":{\"title\":\"流量总览\",\"description\":\"\",\"chartType\":\"chart:line\",\"dataSourceType\":\"api\",\"staticData\":{},\"config\":{\"optionProps\":{\"isMoreThanOneDay\":false,\"noAreaColor\":true}},\"api\":{\"url\":\"/api/apim/metrics/agg_kong/histogram\",\"query\":{\"alias_sum.err_sum\":\"请求出错总和\",\"alias_sum.lim_sum\":\"请求被限流总和\",\"alias_sum.succ_sum\":\"请求成功总和\",\"chartType\":\"chart:line\",\"end\":1605077182581,\"format\":\"chartv2\",\"start\":1605073582581,\"sum\":[\"succ_sum\",\"lim_sum\",\"err_sum\"]},\"body\":null,\"header\":null,\"extraData\":{\"activedMetricGroups\":[\"other\",\"other@agg_kong\"],\"activedMetrics\":[{\"aggregation\":\"sum\",\"key\":\"3391\",\"metric\":\"agg_kong-succ_sum\"},{\"aggregation\":\"sum\",\"key\":\"3361\",\"metric\":\"agg_kong-lim_sum\"},{\"aggregation\":\"sum\",\"key\":\"1656\",\"metric\":\"agg_kong-err_sum\"}],\"filters\":[{\"key\":\"1915\",\"method\":\"eq\",\"tag\":\"tags.pack\",\"value\":\"{{endpoint}}\"},{\"key\":\"1838\",\"method\":\"eq\",\"tag\":\"tags.dpid\",\"value\":\"{{projectID}}\"},{\"key\":\"1761\",\"method\":\"eq\",\"tag\":\"tags.denv\",\"value\":\"{{workspace}}\"},{\"key\":\"1669\",\"method\":\"eq\",\"tag\":\"tags.csmr\",\"value\":\"{{client}}\"}],\"group\":[]}},\"controls\":[{}]}},{\"w\":12,\"h\":9,\"x\":12,\"y\":3,\"i\":\"view-627169bc\",\"view\":{\"title\":\"平均时延\",\"description\":\"\",\"chartType\":\"chart:line\",\"dataSourceType\":\"api\",\"staticData\":{},\"config\":{\"optionProps\":{\"isMoreThanOneDay\":false,\"noAreaColor\":true}},\"api\":{\"url\":\"/api/apim/metrics/agg_kong/histogram\",\"query\":{\"alias_avg.reql_mean\":\"请求延时平均值\",\"alias_avg.upl_mean\":\"后端服务延时平均值\",\"avg\":[\"upl_mean\",\"reql_mean\"],\"chartType\":\"chart:line\",\"end\":1605077182581,\"format\":\"chartv2\",\"start\":1605073582581},\"body\":null,\"header\":null,\"extraData\":{\"activedMetricGroups\":[\"other\",\"other@agg_kong\"],\"activedMetrics\":[{\"aggregation\":\"avg\",\"key\":\"2034\",\"metric\":\"agg_kong-upl_mean\"},{\"aggregation\":\"avg\",\"key\":\"2033\",\"metric\":\"agg_kong-reql_mean\"}],\"filters\":[{\"key\":\"2320\",\"method\":\"eq\",\"tag\":\"tags.denv\",\"value\":\"{{workspace}}\"},{\"key\":\"2243\",\"method\":\"eq\",\"tag\":\"tags.dpid\",\"value\":\"{{projectID}}\"},{\"key\":\"2167\",\"method\":\"eq\",\"tag\":\"tags.pack\",\"value\":\"{{endpoint}}\"},{\"key\":\"2073\",\"method\":\"eq\",\"tag\":\"tags.csmr\",\"value\":\"{{client}}\"}],\"group\":[]}},\"controls\":[{}]}},{\"w\":12,\"h\":10,\"x\":0,\"y\":12,\"i\":\"view-c327ff5b\",\"view\":{\"title\":\"响应状态码分布\",\"description\":\"\",\"chartType\":\"chart:pie\",\"dataSourceType\":\"api\",\"staticData\":{},\"config\":{\"optionProps\":{\"isMoreThanOneDay\":false}},\"api\":{\"url\":\"/api/apim/metrics/agg_kong\",\"query\":{\"alias_last.tags.hts\":\"HTTP 状态码\",\"alias_sum.cnt_sum\":\"总调用量总和\",\"chartType\":\"chart:pie\",\"end\":1605077182581,\"format\":\"chartv2\",\"group\":\"(tags.hts)\",\"match_tags.hts\":\"*\",\"start\":1605073582581,\"sum\":[\"cnt_sum\"]},\"body\":null,\"header\":null,\"extraData\":{\"activedMetricGroups\":[\"other\",\"other@agg_kong\"],\"activedMetrics\":[{\"aggregation\":\"sum\",\"key\":\"2523\",\"metric\":\"agg_kong-cnt_sum\"}],\"filters\":[{\"key\":\"153\",\"method\":\"match\",\"tag\":\"tags.hts\",\"value\":\"*\"},{\"key\":\"2777\",\"method\":\"eq\",\"tag\":\"tags.pack\",\"value\":\"{{endpoint}}\"},{\"key\":\"2700\",\"method\":\"eq\",\"tag\":\"tags.dpid\",\"value\":\"{{projectID}}\"},{\"key\":\"2623\",\"method\":\"eq\",\"tag\":\"tags.denv\",\"value\":\"{{workspace}}\"},{\"key\":\"2533\",\"method\":\"eq\",\"tag\":\"tags.csmr\",\"value\":\"{{client}}\"}],\"group\":[\"tags.hts\"]}},\"controls\":null}},{\"w\":12,\"h\":10,\"x\":12,\"y\":12,\"i\":\"view-c49ffc2e\",\"view\":{\"title\":\"请求出错分类\",\"description\":\"\",\"chartType\":\"chart:line\",\"dataSourceType\":\"api\",\"staticData\":{},\"config\":{\"optionProps\":{\"isMoreThanOneDay\":false,\"noAreaColor\":true}},\"api\":{\"url\":\"/api/apim/metrics/agg_kong/histogram\",\"query\":{\"alias_sum.cerr_sum\":\"客户端出错(4XX)总和\",\"alias_sum.serr_sum\":\"服务端出错(5XX)总和\",\"chartType\":\"chart:line\",\"end\":1605077182581,\"format\":\"chartv2\",\"start\":1605073582581,\"sum\":[\"serr_sum\",\"cerr_sum\"]},\"body\":null,\"header\":null,\"extraData\":{\"activedMetricGroups\":[\"other\",\"other@agg_kong\"],\"activedMetrics\":[{\"aggregation\":\"sum\",\"key\":\"2932\",\"metric\":\"agg_kong-serr_sum\"},{\"aggregation\":\"sum\",\"key\":\"2919\",\"metric\":\"agg_kong-cerr_sum\"}],\"filters\":[{\"key\":\"3215\",\"method\":\"eq\",\"tag\":\"tags.denv\",\"value\":\"{{workspace}}\"},{\"key\":\"3124\",\"method\":\"eq\",\"tag\":\"tags.dpid\",\"value\":\"{{projectID}}\"},{\"key\":\"3048\",\"method\":\"eq\",\"tag\":\"tags.pack\",\"value\":\"{{endpoint}}\"},{\"key\":\"2960\",\"method\":\"eq\",\"tag\":\"tags.csmr\",\"value\":\"{{client}}\"}],\"group\":[]}},\"controls\":[{}]}}]','[]','2020-10-29 20:02:25','2020-11-11 14:46:58',''),('apim_summary','API管理-流量概览','流量概览','','org','terminus','[{\"w\":8,\"h\":8,\"x\":0,\"y\":0,\"i\":\"view-5468ee74\",\"view\":{\"title\":\"调用量\",\"description\":\"\",\"chartType\":\"chart:line\",\"dataSourceType\":\"api\",\"staticData\":{},\"config\":{\"optionProps\":{\"isLabel\":false,\"isMoreThanOneDay\":false,\"noAreaColor\":true}},\"api\":{\"url\":\"/api/apim/metrics/agg_kong/histogram\",\"query\":{\"alias_last.tags.hts\":\"HTTP 状态码\",\"alias_sum.cnt_sum\":\"总调用量总和\",\"chartType\":\"chart:line\",\"end\":1605077486766,\"format\":\"chartv2\",\"group\":\"(tags.hts)\",\"match_tags.hts\":[\"*\"],\"start\":1605073886766,\"sum\":[\"cnt_sum\"]},\"body\":null,\"header\":null,\"extraData\":{\"activedMetricGroups\":[\"other\",\"other@agg_kong\"],\"activedMetrics\":[{\"aggregation\":\"sum\",\"key\":\"1\",\"metric\":\"agg_kong-cnt_sum\"}],\"filters\":[{\"key\":\"307\",\"method\":\"match\",\"tag\":\"tags.hts\",\"value\":\"*\"},{\"key\":\"75\",\"method\":\"eq\",\"tag\":\"tags.pack\",\"value\":\"{{endpoint}}\"},{\"key\":\"14\",\"method\":\"eq\",\"tag\":\"tags.denv\",\"value\":\"{{workspace}}\"},{\"key\":\"5\",\"method\":\"eq\",\"tag\":\"tags.dpid\",\"value\":\"{{projectID}}\"}],\"group\":[\"tags.hts\"]}},\"controls\":[{}]}},{\"w\":8,\"h\":8,\"x\":16,\"y\":0,\"i\":\"view-6e99af1f\",\"view\":{\"title\":\"调用延时\",\"description\":\"\",\"chartType\":\"chart:line\",\"dataSourceType\":\"api\",\"staticData\":{},\"config\":{\"optionProps\":{\"isMoreThanOneDay\":false,\"noAreaColor\":true}},\"api\":{\"url\":\"/api/apim/metrics/agg_kong/histogram\",\"query\":{\"alias_avg.reql_mean\":\"请求延时平均值\",\"alias_avg.upl_mean\":\"后端服务延时平均值\",\"avg\":[\"upl_mean\",\"reql_mean\"],\"chartType\":\"chart:line\",\"end\":1605077486766,\"format\":\"chartv2\",\"start\":1605073886766},\"body\":null,\"header\":null,\"extraData\":{\"activedMetricGroups\":[\"other\",\"other@agg_kong\"],\"activedMetrics\":[{\"aggregation\":\"avg\",\"key\":\"237\",\"metric\":\"agg_kong-upl_mean\"},{\"aggregation\":\"avg\",\"key\":\"236\",\"metric\":\"agg_kong-reql_mean\"}],\"filters\":[{\"key\":\"322\",\"method\":\"eq\",\"tag\":\"tags.pack\",\"value\":\"{{endpoint}}\"},{\"key\":\"290\",\"method\":\"eq\",\"tag\":\"tags.denv\",\"value\":\"{{workspace}}\"},{\"key\":\"245\",\"method\":\"eq\",\"tag\":\"tags.dpid\",\"value\":\"{{projectID}}\"}],\"group\":[]}},\"controls\":[{}]}},{\"w\":8,\"h\":8,\"x\":8,\"y\":0,\"i\":\"view-9147223e\",\"view\":{\"title\":\"客户端占比\",\"description\":\"\",\"chartType\":\"chart:pie\",\"dataSourceType\":\"api\",\"staticData\":{},\"config\":{\"optionProps\":{\"isMoreThanOneDay\":false}},\"api\":{\"url\":\"/api/apim/metrics/agg_kong\",\"query\":{\"alias_last.tags.csmr\":\"客户端\",\"alias_sum.cnt_sum\":\"总调用量总和\",\"chartType\":\"chart:pie\",\"end\":1605077486766,\"format\":\"chartv2\",\"group\":\"(tags.csmr)\",\"match_tags.csmr\":\"*\",\"start\":1605073886766,\"sum\":[\"cnt_sum\"]},\"body\":null,\"header\":null,\"extraData\":{\"activedMetricGroups\":[\"other\",\"other@agg_kong\"],\"activedMetrics\":[{\"aggregation\":\"sum\",\"key\":\"207\",\"metric\":\"agg_kong-cnt_sum\"}],\"filters\":[{\"key\":\"12\",\"method\":\"match\",\"tag\":\"tags.csmr\",\"value\":\"*\"},{\"key\":\"160\",\"method\":\"eq\",\"tag\":\"tags.denv\",\"value\":\"{{workspace}}\"},{\"key\":\"128\",\"method\":\"eq\",\"tag\":\"tags.dpid\",\"value\":\"{{projectID}}\"},{\"key\":\"82\",\"method\":\"eq\",\"tag\":\"tags.pack\",\"value\":\"{{endpoint}}\"}],\"group\":[\"tags.csmr\"]}},\"controls\":null}}]','[]','2020-10-28 19:06:06','2020-11-11 14:52:58',''),('bug','缺陷统计','','','org','terminus','[{\"w\":12,\"h\":10,\"x\":0,\"y\":0,\"i\":\"view-f6623ce7\",\"view\":{\"title\":\"缺陷按状态分布\",\"description\":\"\",\"chartType\":\"chart:pie\",\"dataSourceType\":\"api\",\"staticData\":{},\"config\":{\"optionProps\":{\"isMoreThanOneDay\":false}},\"api\":{\"url\":\"/api/project/metrics/issue_metrics_statistics\",\"query\":{\"alias_last.tags.issue_state\":\"issue_state\",\"alias_sum.counts\":\"counts总和\",\"chartType\":\"chart:pie\",\"eq_tags.issue_type\":\"BUG\",\"format\":\"chartv2\",\"trans_group\":\"true\",\"group\":\"(tags.issue_state)\",\"sum\":[\"counts\"]},\"body\":null,\"header\":null,\"extraData\":{\"activedMetricGroups\":[\"other\",\"other@issue_metrics_statistics\"],\"activedMetrics\":[{\"aggregation\":\"sum\",\"key\":\"691\",\"metric\":\"issue_metrics_statistics-counts\"}],\"filters\":[{\"key\":\"9\",\"method\":\"eq\",\"tag\":\"tags.issue_type\",\"value\":\"BUG\"}],\"group\":[\"tags.issue_state\"]}},\"controls\":null}},{\"w\":24,\"h\":9,\"x\":0,\"y\":10,\"i\":\"view-fd2ecfbe\",\"view\":{\"title\":\"缺陷新增 / 关闭趋势\",\"description\":\"\",\"chartType\":\"chart:line\",\"dataSourceType\":\"api\",\"staticData\":{},\"config\":{\"optionProps\":{\"isMoreThanOneDay\":true,\"noAreaColor\":true,\"moreThanOneDayFormat\":\"M/D\"},\"option\":{\"yAxis\":[{\"name\":\"\"}]}},\"api\":{\"url\":\"/api/project/metrics/issue_add_or_repair_metrics_statistics/histogram\",\"query\":{\"chartType\":\"chart:line\",\"interval\":\"24h\",\"format\":\"chartv2\",\"start\":\"${start}\",\"end\":\"${end}\",\"sum\":[\"bug_add_counts\",\"bug_repair_counts\"]},\"body\":null,\"header\":null,\"extraData\":{\"activedMetricGroups\":[\"other\",\"other@issue_add_or_repair_metrics_statistics\"],\"activedMetrics\":[{\"aggregation\":\"sum\",\"key\":\"263\",\"metric\":\"issue_add_or_repair_metrics_statistics-bug_add_or_repair_counts\"}],\"filters\":[],\"group\":[\"tags.bug_add_or_repair_type\"]}},\"controls\":[{}]}},{\"w\":12,\"h\":10,\"x\":12,\"y\":0,\"i\":\"view-1e86c4a6\",\"view\":{\"title\":\"缺陷按严重等级分布\",\"description\":\"\",\"chartType\":\"chart:pie\",\"dataSourceType\":\"api\",\"staticData\":{},\"config\":{\"optionProps\":{\"isMoreThanOneDay\":false}},\"api\":{\"url\":\"/api/project/metrics/issue_metrics_statistics\",\"query\":{\"alias_last.tags.issue_severity\":\"issue_severity\",\"alias_sum.counts\":\"counts总和\",\"chartType\":\"chart:pie\",\"eq_tags.issue_type\":\"BUG\",\"format\":\"chartv2\",\"trans_group\":\"true\",\"group\":\"(tags.issue_severity)\",\"sum\":[\"counts\"]},\"body\":null,\"header\":null,\"extraData\":{\"activedMetricGroups\":[\"other\",\"other@issue_metrics_statistics\"],\"activedMetrics\":[{\"aggregation\":\"sum\",\"key\":\"459\",\"metric\":\"issue_metrics_statistics-counts\"}],\"filters\":[{\"key\":\"24\",\"method\":\"eq\",\"tag\":\"tags.issue_type\",\"value\":\"BUG\"}],\"group\":[\"tags.issue_severity\"]}},\"controls\":null}},{\"w\":12,\"h\":5,\"x\":12,\"y\":37,\"i\":\"view-91fd7d1f\",\"view\":{\"title\":\"缺陷平均响应时间 (天)\",\"description\":\"\",\"chartType\":\"card\",\"dataSourceType\":\"api\",\"staticData\":{},\"config\":{\"optionProps\":{\"isMoreThanOneDay\":false}},\"api\":{\"url\":\"/api/project/metrics/issue_metrics_statistics\",\"query\":{\"alias_avg.issue_response_time\":\"issue_response_time平均值\",\"avg\":[\"issue_response_time\"],\"chartType\":\"card\",\"eq_tags.issue_state\":\"CLOSED\",\"eq_tags.issue_type\":\"BUG\",\"format\":\"chartv2\"},\"body\":null,\"header\":null,\"extraData\":{\"activedMetricGroups\":[\"other\",\"other@issue_metrics_statistics\"],\"activedMetrics\":[{\"aggregation\":\"avg\",\"key\":\"604\",\"metric\":\"issue_metrics_statistics-issue_response_time\"}],\"filters\":[{\"key\":\"346\",\"method\":\"eq\",\"tag\":\"tags.issue_state\",\"value\":\"CLOSED\"},{\"key\":\"84\",\"method\":\"eq\",\"tag\":\"tags.issue_type\",\"value\":\"BUG\"}],\"group\":[]}},\"controls\":null}},{\"w\":12,\"h\":5,\"x\":0,\"y\":37,\"i\":\"view-d8d99372\",\"view\":{\"title\":\"缺陷平均修复工作量（人天)\",\"description\":\"\",\"chartType\":\"card\",\"dataSourceType\":\"api\",\"staticData\":{},\"config\":{\"optionProps\":{\"isMoreThanOneDay\":false}},\"api\":{\"url\":\"/api/project/metrics/issue_metrics_statistics\",\"query\":{\"alias_avg.issue_elapsed_time\":\"issue_elapsed_time平均值\",\"avg\":[\"issue_elapsed_time\"],\"chartType\":\"card\",\"eq_tags.issue_state\":\"CLOSED\",\"eq_tags.issue_type\":\"BUG\",\"format\":\"chartv2\"},\"body\":null,\"header\":null,\"extraData\":{\"activedMetricGroups\":[\"other\",\"other@issue_metrics_statistics\"],\"activedMetrics\":[{\"aggregation\":\"avg\",\"key\":\"308\",\"metric\":\"issue_metrics_statistics-issue_elapsed_time\"}],\"filters\":[{\"key\":\"269\",\"method\":\"eq\",\"tag\":\"tags.issue_state\",\"value\":\"CLOSED\"},{\"key\":\"191\",\"method\":\"eq\",\"tag\":\"tags.issue_type\",\"value\":\"BUG\"}],\"group\":[]}},\"controls\":null}},{\"w\":24,\"h\":10,\"x\":0,\"y\":42,\"i\":\"view-8b1ee412\",\"view\":{\"title\":\"缺陷按优先级分布\",\"description\":\"\",\"chartType\":\"chart:bar\",\"dataSourceType\":\"api\",\"staticData\":{},\"config\":{\"optionProps\":{\"isMoreThanOneDay\":false},\"option\":{\"yAxis\":[{\"name\":\"\"}]}},\"api\":{\"url\":\"/api/project/metrics/issue_metrics_statistics/histogram\",\"query\":{\"alias_last.tags.issue_user_nick\":\"issue_user_nick\",\"alias_sum.counts\":\"counts总和\",\"alias_sum.not_close\":\"not_close总和\",\"chartType\":\"chart:bar\",\"eq_tags.issue_type\":\"BUG\",\"format\":\"chartv2\",\"limit\":1000,\"group\":\"(tags.issue_user_nick)\",\"sum\":[\"not_close\",\"counts\"]},\"body\":null,\"header\":null,\"extraData\":{\"activedMetricGroups\":[\"other\",\"other@issue_metrics_statistics\"],\"activedMetrics\":[{\"aggregation\":\"sum\",\"key\":\"170\",\"metric\":\"issue_metrics_statistics-not_close\"},{\"aggregation\":\"sum\",\"key\":\"154\",\"metric\":\"issue_metrics_statistics-counts\"}],\"filters\":[{\"key\":\"269\",\"method\":\"eq\",\"tag\":\"tags.issue_type\",\"value\":\"BUG\"}],\"group\":[\"tags.issue_user_nick\"]}},\"controls\":[{\"key\":\"eq_tags.issue_priority\",\"options\":[{\"name\":\"低\",\"value\":\"LOW\"},{\"name\":\"中\",\"value\":\"NORMAL\"},{\"name\":\"高\",\"value\":\"HIGH\"},{\"name\":\"紧急\",\"value\":\"URGENT\"}],\"type\":\"select\"}]}},{\"w\":24,\"h\":9,\"x\":0,\"y\":28,\"i\":\"view-a844c5b7\",\"view\":{\"title\":\"缺陷按重新打开分布\",\"description\":\"\",\"chartType\":\"chart:bar\",\"dataSourceType\":\"api\",\"staticData\":{},\"config\":{\"optionProps\":{\"isMoreThanOneDay\":false},\"option\":{\"yAxis\":[{\"name\":\"\"}]}},\"api\":{\"url\":\"/api/project/metrics/issue_metrics_statistics/histogram\",\"query\":{\"alias_last.tags.issue_user_nick\":\"issue_user_nick\",\"alias_sum.is_re_open_FATAL\":\"is_re_open_FATAL总和\",\"alias_sum.is_re_open_NORMAL\":\"is_re_open_NORMAL总和\",\"alias_sum.is_re_open_SERIOUS\":\"is_re_open_SERIOUS总和\",\"alias_sum.is_re_open_SLIGHT\":\"is_re_open_SLIGHT总和\",\"alias_sum.is_re_open_SUGGEST\":\"is_re_open_SUGGEST总和\",\"chartType\":\"chart:bar\",\"eq_tags.issue_type\":\"BUG\",\"format\":\"chartv2\",\"limit\":1000,\"group\":\"(tags.issue_user_nick)\",\"sum\":[\"is_re_open_SUGGEST\",\"is_re_open_SLIGHT\",\"is_re_open_SERIOUS\",\"is_re_open_NORMAL\",\"is_re_open_FATAL\"]},\"body\":null,\"header\":null,\"extraData\":{\"activedMetricGroups\":[\"other\",\"other@issue_metrics_statistics\"],\"activedMetrics\":[{\"aggregation\":\"sum\",\"key\":\"1755\",\"metric\":\"issue_metrics_statistics-is_re_open_SUGGEST\"},{\"aggregation\":\"sum\",\"key\":\"1721\",\"metric\":\"issue_metrics_statistics-is_re_open_SLIGHT\"},{\"aggregation\":\"sum\",\"key\":\"1687\",\"metric\":\"issue_metrics_statistics-is_re_open_SERIOUS\"},{\"aggregation\":\"sum\",\"key\":\"1653\",\"metric\":\"issue_metrics_statistics-is_re_open_NORMAL\"},{\"aggregation\":\"sum\",\"key\":\"1637\",\"metric\":\"issue_metrics_statistics-is_re_open_FATAL\"}],\"filters\":[{\"key\":\"1871\",\"method\":\"eq\",\"tag\":\"tags.issue_type\",\"value\":\"BUG\"}],\"group\":[\"tags.issue_user_nick\"]}},\"controls\":null}},{\"w\":24,\"h\":9,\"x\":0,\"y\":19,\"i\":\"view-7fb8a372\",\"view\":{\"title\":\"缺陷按人员分布\",\"description\":\"\",\"chartType\":\"chart:bar\",\"dataSourceType\":\"api\",\"staticData\":{},\"config\":{\"optionProps\":{\"isMoreThanOneDay\":false},\"option\":{\"yAxis\":[{\"name\":\"\"}]}},\"api\":{\"url\":\"/api/project/metrics/issue_metrics_statistics/histogram\",\"query\":{\"alias_last.tags.issue_user_nick\":\"issue_user_nick\",\"alias_sum.counts\":\"counts总和\",\"alias_sum.not_close\":\"not_close总和\",\"chartType\":\"chart:bar\",\"eq_tags.issue_type\":\"BUG\",\"format\":\"chartv2\",\"limit\":1000,\"group\":\"(tags.issue_user_nick)\",\"sum\":[\"not_close\",\"counts\"]},\"body\":null,\"header\":null,\"extraData\":{\"activedMetricGroups\":[\"other\",\"other@issue_metrics_statistics\"],\"activedMetrics\":[{\"aggregation\":\"sum\",\"key\":\"645\",\"metric\":\"issue_metrics_statistics-not_close\"},{\"aggregation\":\"sum\",\"key\":\"635\",\"metric\":\"issue_metrics_statistics-counts\"}],\"filters\":[{\"key\":\"667\",\"method\":\"eq\",\"tag\":\"tags.issue_type\",\"value\":\"BUG\"}],\"group\":[\"tags.issue_user_nick\"]}},\"controls\":[{\"key\":\"eq_tags.issue_severity\",\"options\":[{\"name\":\"建议\",\"value\":\"SUGGEST\"},{\"name\":\"轻微\",\"value\":\"SLIGHT\"},{\"name\":\"严重\",\"value\":\"SERIOUS\"},{\"name\":\"致命\",\"value\":\"FATAL\"},{\"name\":\"一般\",\"value\":\"NORMAL\"}],\"type\":\"select\"}]}}]','[]','2020-09-10 13:11:24','2020-09-10 13:27:18',''),('daily','运维日报模版','运维日报模版','','report','org','[{\"w\":8,\"h\":3,\"x\":0,\"y\":4,\"i\":\"d11\",\"view\":{\"title\":\"异常机器\",\"description\":\"\",\"chartType\":\"card\",\"dataSourceType\":\"static\",\"staticData\":null,\"config\":{},\"api\":{\"url\":\"/api/metrics/alert_resource\",\"query\":{\"align\":false,\"cardinality\":\"tags.host_ip\",\"end\":\"now\",\"filter_alert_type\":\"machine\",\"filter_dice_org_id\":\"\",\"filter_trigger\":\"alert\",\"format\":\"chartv2\",\"start\":\"before_24h\"},\"body\":{},\"header\":{}}}},{\"w\":8,\"h\":3,\"x\":8,\"y\":4,\"i\":\"d12\",\"view\":{\"title\":\"异常服务\",\"description\":\"\",\"chartType\":\"card\",\"dataSourceType\":\"static\",\"staticData\":null,\"config\":{},\"api\":{\"url\":\"/api/metrics/alert_resource\",\"query\":{\"align\":false,\"cardinality\":\"(tags.runtime_id,tags.service_name)\",\"end\":\"now\",\"filter_dice_org_id\":\"\",\"filter_trigger\":\"alert\",\"format\":\"chartv2\",\"match_alert_type\":\"app_*\",\"start\":\"before_24h\"},\"body\":{},\"header\":{}}}},{\"w\":8,\"h\":3,\"x\":16,\"y\":4,\"i\":\"d13\",\"view\":{\"title\":\"异常Addons\",\"description\":\"\",\"chartType\":\"card\",\"dataSourceType\":\"static\",\"staticData\":null,\"config\":{},\"api\":{\"url\":\"/api/metrics/alert_resource\",\"query\":{\"align\":false,\"cardinality\":\"tags.addon_id\",\"end\":\"now\",\"filter_alert_type\":\"addon\",\"filter_dice_org_id\":\"\",\"filter_trigger\":\"alert\",\"format\":\"chartv2\",\"start\":\"before_24h\"},\"body\":{},\"header\":{}}}},{\"w\":24,\"h\":9,\"x\":0,\"y\":7,\"i\":\"d21\",\"view\":{\"title\":\"告警类别分析\",\"description\":\"\",\"chartType\":\"chart:pie\",\"dataSourceType\":\"static\",\"staticData\":null,\"config\":{},\"api\":{\"url\":\"/api/metrics/alert_resource\",\"query\":{\"align\":false,\"count\":\"((return doc.containsKey(\'tags.alert_name\')?doc[\'tags.alert_name\'].value:doc[\'tags.alert_index\'].value))\",\"end\":\"now\",\"filter_dice_org_id\":\"\",\"filter_trigger\":\"alert\",\"format\":\"chartv2\",\"group\":\"((doc.containsKey(\'tags.alert_name\')?doc[\'tags.alert_name\'].value:doc[\'tags.alert_index\'].value))\",\"start\":\"before_24h\"},\"body\":{},\"header\":{}}}},{\"w\":24,\"h\":13,\"x\":0,\"y\":17,\"i\":\"d31\",\"view\":{\"title\":\"机器异常持续时间\",\"description\":\"\",\"chartType\":\"chart:bar\",\"dataSourceType\":\"static\",\"staticData\":null,\"config\":{},\"api\":{\"url\":\"/api/metrics/alert_resource/histogram\",\"query\":{\"align\":false,\"end\":\"now\",\"filter_alert_type\":\"machine\",\"filter_dice_org_id\":\"\",\"limit\":10,\"points\":\"7\",\"sort\":\"sum_fields.trigger_duration\",\"start\":\"before_24h\",\"sum\":\"fields.trigger_duration\"},\"body\":{},\"header\":{}}}},{\"w\":24,\"h\":13,\"x\":0,\"y\":31,\"i\":\"d41\",\"view\":{\"title\":\"机器平均负载 Top10\",\"description\":\"\",\"chartType\":\"table\",\"dataSourceType\":\"static\",\"staticData\":null,\"config\":{},\"api\":{\"url\":\"/api/metrics/cluster_resource\",\"query\":{\"align\":false,\"avg\":\"load5\",\"end\":\"now\",\"filter_org_name\":\"\",\"format\":\"chartv2\",\"group\":\"host_ip\",\"last\":\"tags.host_ip\",\"limit\":10,\"sort\":\"avg_load5\",\"start\":\"before_24h\"},\"body\":{},\"header\":{}}}},{\"w\":24,\"h\":13,\"x\":0,\"y\":45,\"i\":\"d51\",\"view\":{\"title\":\"机器磁盘使用 Top10\",\"description\":\"\",\"chartType\":\"table\",\"dataSourceType\":\"static\",\"staticData\":null,\"config\":{},\"api\":{\"url\":\"/api/metrics/cluster_resource\",\"query\":{\"align\":false,\"end\":\"now\",\"filter_org_name\":\"\",\"format\":\"chartv2\",\"group\":\"host_ip\",\"last\":\"tags.host_ip\",\"limit\":10,\"max\":\"disk_used\",\"sort\":\"max_disk_used\",\"start\":\"before_24h\"},\"body\":{},\"header\":{}}}},{\"w\":24,\"h\":13,\"x\":0,\"y\":59,\"i\":\"d61\",\"view\":{\"title\":\"服务OOM次数 Top10\",\"description\":\"\",\"chartType\":\"table\",\"dataSourceType\":\"static\",\"staticData\":null,\"config\":{},\"api\":{\"url\":\"/api/metrics/service_resource\",\"query\":{\"align\":false,\"cardinality\":\"tags.container_id\",\"end\":\"now\",\"field_eq_oomkilled\":\"b:true\",\"filter_instance_type\":\"service\",\"filter_org_name\":\"\",\"format\":\"chartv2\",\"group\":\"service_id\",\"last\":[\"tags.service_name\",\"tags.project_name\",\"tags.application_name\"],\"limit\":10,\"sort\":\"cardinality_tags.container_id\",\"start\":\"before_24h\"},\"body\":{},\"header\":{}}}},{\"w\":24,\"h\":13,\"x\":0,\"y\":73,\"i\":\"d71\",\"view\":{\"title\":\"应用JVM告警次数 TOP10\",\"description\":\"\",\"chartType\":\"table\",\"dataSourceType\":\"static\",\"staticData\":null,\"config\":{},\"api\":{\"url\":\"/api/metrics/alert_resource\",\"query\":{\"start\":\"before_24h\",\"end\":\"now\",\"format\":\"chartv2\",\"filter_dice_org_id\":\"\",\"filter_alert_type\":\"app_resource\",\"match_alert_index\":\"*jvm*\",\"align\":false,\"group\":\"tags.application_id\",\"count\":[\"fields.count_sum\",\"fields.time_sum\",\"fields.usage_percent_avg\"],\"last\":[\"tags.application_name\",\"tags.service_name\",\"tags.project_name\"],\"limit\":10,\"sort\":\"count_fields.usage_percent_avg\"},\"body\":{},\"header\":{}}}},{\"w\":24,\"h\":13,\"x\":0,\"y\":87,\"i\":\"d81\",\"view\":{\"title\":\"应用CPU告警次数 TOP10\",\"description\":\"\",\"chartType\":\"table\",\"dataSourceType\":\"static\",\"staticData\":null,\"config\":{},\"api\":{\"url\":\"/api/metrics/alert_resource\",\"query\":{\"start\":\"before_24h\",\"end\":\"now\",\"format\":\"chartv2\",\"filter_dice_org_id\":\"\",\"filter_alert_type\":\"app_resource\",\"match_alert_index\":\"app_resource_container_cpu\",\"align\":false,\"group\":\"tags.application_id\",\"count\":\"fields.allocation_value\",\"last\":[\"tags.application_name\",\"tags.service_name\",\"tags.project_name\"],\"limit\":10,\"sort\":\"count_fields.allocation_value\"},\"body\":{},\"header\":{}}}},{\"w\":24,\"h\":13,\"x\":0,\"y\":101,\"i\":\"d91\",\"view\":{\"title\":\"应用错误次数 Top10\",\"description\":\"\",\"chartType\":\"table\",\"dataSourceType\":\"static\",\"staticData\":null,\"config\":{},\"api\":{\"url\":\"/api/metrics/error_resource\",\"query\":{\"align\":false,\"end\":\"now\",\"format\":\"chartv2\",\"group\":\"(service_name,runtime_id)\",\"last\":[\"tags.service_name\",\"tags.application_name\",\"tags.project_name\"],\"limit\":10,\"sort\":\"sum_count\",\"start\":\"before_24h\",\"sum\":\"count\",\"filter_org_name\":\"\"},\"body\":{},\"header\":{}}}},{\"w\":24,\"h\":13,\"x\":0,\"y\":115,\"i\":\"d101\",\"view\":{\"title\":\"应用慢事务次数 TOP10\",\"description\":\"\",\"chartType\":\"table\",\"dataSourceType\":\"static\",\"staticData\":null,\"api\":{\"url\":\"/api/metrics/app_http_slow_resource\",\"query\":{\"start\":\"before_24h\",\"end\":\"now\",\"align\":false,\"format\":\"chartv2\",\"sort\":\"count_fields.elapsed_count\",\"group\":\"target_application_id\",\"limit\":10,\"count\":\"elapsed_count\",\"last\":[\"tags.target_application_name\",\"tags.target_service_name\",\"tags.target_project_name\"],\"filter_org_name\":\"\"},\"body\":{},\"method\":\"GET\",\"header\":{}}}},{\"w\":24,\"h\":13,\"x\":0,\"y\":129,\"i\":\"d111\",\"view\":{\"title\":\"应用SQL慢查询次数 TOP10\",\"description\":\"\",\"chartType\":\"table\",\"dataSourceType\":\"static\",\"staticData\":null,\"config\":{},\"api\":{\"url\":\"/api/metrics/app_db_resource\",\"query\":{\"start\":\"before_24h\",\"end\":\"now\",\"format\":\"chartv2\",\"filter_org_name\":\"\",\"align\":false,\"group\":\"tags.source_application_id\",\"count\":\"elapsed_count\",\"last\":[\"tags.source_application_name\",\"tags.source_service_name\",\"tags.source_project_name\"],\"limit\":10,\"sort\":\"count_elapsed_count\"},\"body\":{},\"header\":{}}}}]',NULL,'2020-06-13 18:19:14','2021-05-28 11:55:06',''),('exception_analysis','exception_analysis','',NULL,'micro_service','global','[{\"h\":10,\"i\":\"view-1qwUXZqM\",\"view\":{\"api\":{\"body\":{\"from\":[\"error_count\"],\"groupby\":[\"time()\"],\"select\":[{\"alias\":\"typejp0SuUOW\",\"expr\":\"time()\"},{\"alias\":\"value7sFuzU7F\",\"expr\":\"round_float(sum(count::field), 2)\"}]},\"extraData\":null,\"header\":null,\"method\":\"post\",\"query\":{\"end\":\"{{endTime}}\",\"epoch\":\"ms\",\"filter__metric_scope\":\"micro_service\",\"filter__metric_scope_id\":\"{{terminusKey}}\",\"filter_exception\":\"{{exceptionType}}\",\"filter_service_id\":\"{{serviceId}}\",\"filter_service_name\":\"{{serviceName}}\",\"format\":\"chartv2\",\"ql\":\"influxql:ast\",\"start\":\"{{startTime}}\",\"type\":\"_\"},\"url\":\"/api/tmc/metrics-query\"},\"chartType\":\"chart:bar\",\"config\":{\"dataSourceConfig\":{\"activedMetricGroups\":[\"error_count\"],\"typeDimensions\":[{\"alias\":\"时间\",\"key\":\"typejp0SuUOW\",\"type\":\"time\"}],\"valueDimensions\":[{\"aggregation\":\"sum\",\"alias\":\"次数\",\"field\":\"error_count-count::field\",\"key\":\"value7sFuzU7F\",\"resultType\":\"number\",\"type\":\"field\"}]}},\"controls\":null,\"dataSourceType\":\"api\",\"description\":\"\",\"staticData\":null,\"title\":\"异常趋势\"},\"w\":24,\"x\":0,\"y\":0},{\"h\":10,\"i\":\"view-7LXO3tsG\",\"view\":{\"api\":{\"method\":\"get\",\"query\":{\"end\":\"{{endTime}}\",\"exceptionType\":\"{{exceptionType}}\",\"limit\":\"{{limit}}\",\"serviceId\":\"{{serviceId}}\",\"serviceName\":\"{{serviceName}}\",\"sort\":\"{{sort}}\",\"start\":\"{{startTime}}\",\"terminusKey\":\"{{terminusKey}}\"},\"url\":\"/api/apm/topology/exception/message\"},\"chartType\":\"table\",\"config\":{\"dataSourceConfig\":{\"valueDimensions\":[{\"alias\":\"实例 ID\",\"key\":\"instance_id\",\"resultType\":\"number\",\"type\":\"field\"},{\"alias\":\"异常类型\",\"key\":\"exception_type\",\"resultType\":\"string\",\"type\":\"field\"},{\"alias\":\"Class\",\"key\":\"class\",\"resultType\":\"string\",\"type\":\"field\"},{\"alias\":\"Method\",\"key\":\"method\",\"resultType\":\"string\",\"type\":\"field\"},{\"alias\":\"异常消息\",\"key\":\"message\",\"resultType\":\"string\",\"type\":\"field\"},{\"alias\":\"时间\",\"key\":\"time\",\"resultType\":\"string\",\"type\":\"field\"},{\"alias\":\"次数\",\"key\":\"count\",\"resultType\":\"number\",\"type\":\"field\"}]},\"optionProps\":{\"isMoreThanOneDay\":true,\"moreThanOneDayFormat\":\"M/D\"}},\"controls\":null,\"dataSourceType\":\"api\",\"description\":\"\",\"staticData\":null,\"title\":\"异常列表\"},\"w\":24,\"x\":0,\"y\":10}]',NULL,NULL,NULL,'v2'),('global_overview','global_overview','',NULL,'micro_service','global','[{\"h\":4,\"i\":\"view-global-micro_service_overview\",\"view\":{\"api\":{\"method\":\"get\",\"query\":{\"end\":\"{{endTime}}\",\"scope\":\"micro_service\",\"start\":\"{{startTime}}\",\"terminusKey\":\"{{terminusKey}}\"},\"url\":\"/api/apm/topology/overview\"},\"chartType\":\"card\",\"config\":{\"dataSourceConfig\":{\"valueDimensions\":[{\"alias\":\"服务\",\"key\":\"service_count\",\"resultType\":\"number\",\"type\":\"field\"},{\"alias\":\"运行实例\",\"key\":\"service_running_instance_count\",\"resultType\":\"number\",\"type\":\"field\"},{\"alias\":\"错误请求\",\"key\":\"service_error_req_count\",\"resultType\":\"number\",\"type\":\"field\"},{\"alias\":\"服务异常\",\"key\":\"service_exception_count\",\"resultType\":\"number\",\"type\":\"field\"},{\"alias\":\"告警次数\",\"key\":\"alert_count\",\"resultType\":\"number\",\"type\":\"field\"}]},\"optionProps\":{\"isMoreThanOneDay\":false}},\"dataSourceType\":\"api\",\"description\":\"\",\"staticData\":{},\"title\":\"全局概览\"},\"w\":24,\"x\":0,\"y\":0}]',NULL,NULL,NULL,'v2'),('global_request','global_request','',NULL,'micro_service','global','[{\"h\":7,\"i\":\"view-rsjAvNf9\",\"view\":{\"api\":{\"body\":{\"from\":[\"application_http_service\",\"application_db_service\",\"application_rpc_service\",\"application_mq_service\",\"application_cache_service\"],\"groupby\":[\"target_service_name::tag\"],\"limit\":3,\"orderby\":[{\"dir\":\"DESC\",\"expr\":\"sum(count_sum::field)\"}],\"select\":[{\"alias\":\"typeLkQi9B9p\",\"expr\":\"target_service_name::tag\"},{\"alias\":\"valueCLP0s7v0\",\"expr\":\"round_float(sum(count_sum::field), 2)\"}]},\"extraData\":null,\"header\":null,\"method\":\"post\",\"query\":{\"end\":\"{{endTime}}\",\"filter__metric_scope_id\":\"{{terminusKey}}\",\"format\":\"chartv2\",\"ql\":\"influxql:ast\",\"start\":\"{{startTime}}\",\"type\":\"_\"},\"url\":\"/api/tmc/metrics-query\"},\"chartType\":\"table\",\"config\":{\"dataSourceConfig\":{\"activedMetricGroups\":[\"application_http_service\"],\"limit\":3,\"typeDimensions\":[{\"alias\":\"服务\",\"key\":\"typeLkQi9B9p\",\"resultType\":\"string\",\"type\":\"field\"}],\"valueDimensions\":[{\"aggregation\":\"sum\",\"alias\":\"次数\",\"key\":\"valueCLP0s7v0\",\"resultType\":\"number\",\"type\":\"field\"}]},\"optionProps\":{\"isMoreThanOneDay\":false,\"moreThanOneDayFormat\":\"M/D\"}},\"controls\":null,\"dataSourceType\":\"api\",\"description\":\"\",\"staticData\":{},\"title\":\"请求事务 TOP 3\"},\"w\":24,\"x\":0,\"y\":0},{\"h\":7,\"i\":\"view-ou4ssGmm\",\"view\":{\"api\":{\"body\":{\"from\":[\"application_http_error\",\"application_db_error\",\"application_rpc_error\",\"application_mq_error\",\"application_cache_error\"],\"groupby\":[\"target_service_name::tag\"],\"limit\":3,\"orderby\":[{\"dir\":\"DESC\",\"expr\":\"sum(elapsed_count::field)\"}],\"select\":[{\"alias\":\"typeA8qIXdnz\",\"expr\":\"target_service_name::tag\"},{\"alias\":\"valueb3jOhFB8\",\"expr\":\"round_float(sum(elapsed_count::field), 2)\"}]},\"extraData\":null,\"header\":null,\"method\":\"post\",\"query\":{\"end\":\"{{endTime}}\",\"filter__metric_scope\":\"micro_service\",\"filter__metric_scope_id\":\"{{terminusKey}}\",\"format\":\"chartv2\",\"ql\":\"influxql:ast\",\"start\":\"{{startTime}}\",\"type\":\"_\"},\"url\":\"/api/tmc/metrics-query\"},\"chartType\":\"table\",\"config\":{\"dataSourceConfig\":{\"activedMetricGroups\":[\"application_http_error\"],\"limit\":3,\"sortDimensions\":[{\"aggregation\":\"sum\",\"alias\":\"请求次数\",\"key\":\"sortJR0cQzZ8\",\"resultType\":\"number\",\"sort\":\"DESC\",\"type\":\"sort\"}],\"typeDimensions\":[{\"alias\":\"服务\",\"key\":\"typeA8qIXdnz\",\"resultType\":\"string\",\"type\":\"field\"}],\"valueDimensions\":[{\"alias\":\"次数\",\"key\":\"valueb3jOhFB8\",\"resultType\":\"number\",\"type\":\"field\"}]},\"optionProps\":{\"isMoreThanOneDay\":false,\"moreThanOneDayFormat\":\"M/D\"}},\"controls\":null,\"dataSourceType\":\"api\",\"description\":\"\",\"staticData\":{},\"title\":\"错误请求 TOP 3\"},\"w\":24,\"x\":0,\"y\":8},{\"h\":7,\"i\":\"view-yYMtijHa\",\"view\":{\"api\":{\"body\":{\"from\":[\"error_count\"],\"groupby\":[\"service_name::tag\"],\"limit\":3,\"orderby\":[{\"dir\":\"DESC\",\"expr\":\"sum(count::field)\"}],\"select\":[{\"alias\":\"typegNGz17tG\",\"expr\":\"service_name::tag\"},{\"alias\":\"value33vjO49J\",\"expr\":\"round_float(sum(count::field), 2)\"}]},\"extraData\":null,\"header\":null,\"method\":\"post\",\"query\":{\"end\":\"{{endTime}}\",\"filter__metric_scope\":\"micro_service\",\"filter__metric_scope_id\":\"{{terminusKey}}\",\"format\":\"chartv2\",\"ql\":\"influxql:ast\",\"start\":\"{{startTime}}\",\"type\":\"_\"},\"url\":\"/api/tmc/metrics-query\"},\"chartType\":\"table\",\"config\":{\"dataSourceConfig\":{\"activedMetricGroups\":[\"error_count\"],\"limit\":3,\"sortDimensions\":[{\"aggregation\":\"sum\",\"alias\":\"请求次数\",\"field\":\"error_count-count::field\",\"key\":\"sortwjwBN97R\",\"resultType\":\"number\",\"sort\":\"DESC\",\"type\":\"sort\"}],\"typeDimensions\":[{\"alias\":\"服务\",\"field\":\"error_count-service_name::tag\",\"key\":\"typegNGz17tG\",\"resultType\":\"string\",\"type\":\"field\"}],\"valueDimensions\":[{\"aggregation\":\"sum\",\"alias\":\"次数\",\"field\":\"error_count-count::field\",\"key\":\"value33vjO49J\",\"resultType\":\"number\",\"type\":\"field\"}]},\"optionProps\":{\"isMoreThanOneDay\":false,\"moreThanOneDayFormat\":\"M/D\"}},\"controls\":null,\"dataSourceType\":\"api\",\"description\":\"\",\"staticData\":{},\"title\":\"服务异常 TOP 3\"},\"w\":24,\"x\":0,\"y\":17}]',NULL,NULL,NULL,'v2'),('organization_cluster_status','organization_cluster_status','',NULL,'micro_service','global','[{\"h\":9,\"i\":\"view-JOhL0CXv\",\"view\":{\"api\":{\"body\":null,\"extraData\":null,\"header\":null,\"method\":\"get\",\"query\":{\"end\":\"{{endTime}}\",\"format\":\"chartv2\",\"q\":\"SELECT component_name::tag as component, map(max(health_status::field), 0,\'健康\',1,\'警告\',2,\'故障\',3,\'严重故障\') as status, message::tag as message  FROM leaf_component_status WHERE component_group::tag = \'dice_component\' AND cluster_name::tag = \'{{clusterName}}\'  GROUP BY component_name::tag ORDER BY max(health_status::field) DESC \",\"ql\":\"influxql\",\"start\":\"{{startTime}}\",\"type\":\"_\"},\"url\":\"/api/orgCenter/metrics-query\"},\"chartType\":\"table\",\"config\":{\"dataSourceConfig\":{\"activedMetricGroups\":[\"other\",\"other@leaf_component_status\"],\"customTime\":\"5min\",\"isSqlMode\":true,\"resultFilters\":[{\"alias\":\"component_group\",\"field\":\"leaf_component_status-component_group::tag\",\"filter\":{\"operation\":\"=\",\"value\":\"dice_component\"},\"key\":\"filterXEKejEbT\",\"resultType\":\"string\",\"type\":\"filter\"}],\"sortDimensions\":[{\"aggregation\":\"max\",\"alias\":\"health_status\",\"field\":\"leaf_component_status-health_status::field\",\"key\":\"sortTzIkS6lj\",\"resultType\":\"number\",\"sort\":\"DESC\",\"type\":\"sort\"}],\"sql\":{\"from\":\"leaf_component_status\",\"fromSource\":[\"other\",\"other@leaf_component_status\"],\"groupBy\":\"component_name::tag\",\"orderBy\":\"max(health_status::field) DESC\",\"select\":\"component_name::tag as component, map(max(health_status::field), 0,\'健康\',1,\'警告\',2,\'故障\',3,\'严重故障\') as status, message::tag as message \",\"where\":\"component_group::tag = \'dice_component\' AND cluster_name::tag = \'{{clusterName}}\' \"},\"typeDimensions\":[{\"alias\":\"component_name\",\"field\":\"leaf_component_status-component_name::tag\",\"key\":\"typeCMRAY4es\",\"resultType\":\"string\",\"type\":\"field\"}],\"valueDimensions\":[{\"alias\":\"health_status\",\"field\":\"leaf_component_status-health_status::field\",\"key\":\"valuezllYIcc7\",\"resultType\":\"number\",\"type\":\"field\"},{\"alias\":\"message\",\"field\":\"leaf_component_status-message::tag\",\"key\":\"valueQ4n5l9uh\",\"resultType\":\"string\",\"type\":\"field\"}]},\"optionProps\":{\"isMoreThanOneDay\":false,\"moreThanOneDayFormat\":\"M/D\"}},\"controls\":null,\"dataSourceType\":\"api\",\"description\":\"\",\"staticData\":{},\"title\":\"集群组件状态\"},\"w\":24,\"x\":0,\"y\":0},{\"h\":9,\"i\":\"view-G4LpQfk7\",\"view\":{\"api\":{\"body\":null,\"extraData\":null,\"header\":null,\"method\":\"get\",\"query\":{\"end\":\"{{endTime}}\",\"format\":\"chartv2\",\"q\":\"SELECT component_name::tag as component, map(max(health_status::field), 0,\'健康\',1,\'警告\',2,\'故障\',3,\'严重故障\') as status, message::tag as message  FROM leaf_component_status WHERE component_group::tag = \'machine\'  AND cluster_name::tag = \'{{clusterName}}\'  GROUP BY component_name::tag \",\"ql\":\"influxql\",\"start\":\"{{startTime}}\",\"type\":\"_\"},\"url\":\"/api/orgCenter/metrics-query\"},\"chartType\":\"table\",\"config\":{\"dataSourceConfig\":{\"activedMetricGroups\":[\"other\",\"other@leaf_component_status\"],\"customTime\":\"5min\",\"isSqlMode\":true,\"resultFilters\":[{\"alias\":\"component_group\",\"field\":\"leaf_component_status-component_group::tag\",\"filter\":{\"operation\":\"=\",\"value\":\"machine\"},\"key\":\"filterQvEuKUkB\",\"resultType\":\"string\",\"type\":\"filter\"}],\"sortDimensions\":[{\"aggregation\":\"max\",\"alias\":\"health_status\",\"field\":\"leaf_component_status-health_status::field\",\"key\":\"sort738b838Z\",\"resultType\":\"number\",\"sort\":\"DESC\",\"type\":\"sort\"}],\"sql\":{\"from\":\"leaf_component_status\",\"fromSource\":[\"other\",\"other@leaf_component_status\"],\"groupBy\":\"component_name::tag\",\"select\":\"component_name::tag as component, map(max(health_status::field), 0,\'健康\',1,\'警告\',2,\'故障\',3,\'严重故障\') as status, message::tag as message \",\"where\":\"component_group::tag = \'machine\'  AND cluster_name::tag = \'{{clusterName}}\' \"},\"typeDimensions\":[{\"alias\":\"component_name\",\"field\":\"leaf_component_status-component_name::tag\",\"key\":\"type5AKxHUDZ\",\"resultType\":\"string\",\"type\":\"field\"}],\"valueDimensions\":[{\"aggregation\":\"max\",\"alias\":\"health_status\",\"field\":\"leaf_component_status-health_status::field\",\"key\":\"valueAdJeTWFE\",\"resultType\":\"number\",\"type\":\"field\"},{\"alias\":\"message\",\"field\":\"leaf_component_status-message::tag\",\"key\":\"valuen746dfKr\",\"resultType\":\"string\",\"type\":\"field\"}]},\"optionProps\":{\"isMoreThanOneDay\":false,\"moreThanOneDayFormat\":\"M/D\"}},\"controls\":null,\"dataSourceType\":\"api\",\"description\":\"\",\"staticData\":{},\"title\":\"集群节点状态\"},\"w\":24,\"x\":0,\"y\":9},{\"h\":9,\"i\":\"view-Ecrdq0jI\",\"view\":{\"api\":{\"body\":null,\"extraData\":null,\"header\":null,\"method\":\"get\",\"query\":{\"end\":\"{{endTime}}\",\"format\":\"chartv2\",\"q\":\"SELECT component_name::tag as component, map(health_status::field, 0,\'健康\',1,\'警告\',2,\'故障\',3,\'严重故障\') AS status, message::tag as message  FROM leaf_component_status WHERE component_group::tag = \'kubernetes\'  AND cluster_name::tag = \'{{clusterName}}\'  GROUP BY component_name::tag ORDER BY max(health_status::field) DESC \",\"ql\":\"influxql\",\"start\":\"{{startTime}}\",\"type\":\"_\"},\"url\":\"/api/orgCenter/metrics-query\"},\"chartType\":\"table\",\"config\":{\"dataSourceConfig\":{\"customTime\":\"5min\",\"isSqlMode\":true,\"sql\":{\"from\":\"leaf_component_status\",\"fromSource\":[\"other\",\"other@leaf_component_status\"],\"groupBy\":\"component_name::tag\",\"orderBy\":\"max(health_status::field) DESC\",\"select\":\"component_name::tag as component, map(health_status::field, 0,\'健康\',1,\'警告\',2,\'故障\',3,\'严重故障\') AS status, message::tag as message \",\"where\":\"component_group::tag = \'kubernetes\'  AND cluster_name::tag = \'{{clusterName}}\' \"}},\"optionProps\":{\"isMoreThanOneDay\":false,\"moreThanOneDayFormat\":\"M/D\"}},\"controls\":null,\"dataSourceType\":\"api\",\"description\":\"\",\"staticData\":{},\"title\":\"kubernetes状态\"},\"w\":24,\"x\":0,\"y\":18},{\"h\":9,\"i\":\"view-tgogQI1P\",\"view\":{\"api\":{\"body\":null,\"extraData\":null,\"header\":null,\"method\":\"get\",\"query\":{\"end\":\"{{endTime}}\",\"format\":\"chartv2\",\"q\":\"SELECT component_name::tag as component, map(health_status::field, 0,\'健康\',1,\'警告\',2,\'故障\',3,\'严重故障\') AS status, message::tag as message  FROM leaf_component_status WHERE component_group::tag = \'dice_addon\' AND cluster_name::tag = \'{{clusterName}}\'  GROUP BY component_name::tag ORDER BY max(health_status::field) DESC \",\"ql\":\"influxql\",\"start\":\"{{startTime}}\",\"type\":\"_\"},\"url\":\"/api/orgCenter/metrics-query\"},\"chartType\":\"table\",\"config\":{\"dataSourceConfig\":{\"customTime\":\"5min\",\"isSqlMode\":true,\"sql\":{\"from\":\"leaf_component_status\",\"fromSource\":[\"other\",\"other@leaf_component_status\"],\"groupBy\":\"component_name::tag\",\"orderBy\":\"max(health_status::field) DESC\",\"select\":\"component_name::tag as component, map(health_status::field, 0,\'健康\',1,\'警告\',2,\'故障\',3,\'严重故障\') AS status, message::tag as message \",\"where\":\"component_group::tag = \'dice_addon\' AND cluster_name::tag = \'{{clusterName}}\' \"}},\"optionProps\":{\"isMoreThanOneDay\":false,\"moreThanOneDayFormat\":\"M/D\"}},\"controls\":null,\"dataSourceType\":\"api\",\"description\":\"\",\"staticData\":{},\"title\":\"集群中间件状态\"},\"w\":24,\"x\":0,\"y\":27}]',NULL,NULL,NULL,'v2'),('process_analysis_java','process_analysis_java','',NULL,'micro_service','global','[{\"h\":10,\"i\":\"view-gsdGSmsE\",\"view\":{\"api\":{\"body\":{\"from\":[\"docker_container_summary\"],\"groupby\":[\"time()\"],\"select\":[{\"alias\":\"typeoQEtA1Qu\",\"expr\":\"time()\"},{\"alias\":\"valuea5DMGiam\",\"expr\":\"avg(cpu_usage_percent::field)\"}]},\"extraData\":null,\"header\":null,\"method\":\"post\",\"query\":{\"end\":\"{{endTime}}\",\"epoch\":\"ms\",\"filter_service_id\":\"{{serviceId}}\",\"filter_service_instance_id\":\"{{instanceId}}\",\"filter_service_name\":\"{{serviceName}}\",\"filter_terminus_key\":\"{{terminusKey}}\",\"format\":\"chartv2\",\"ql\":\"influxql:ast\",\"start\":\"{{startTime}}\",\"type\":\"_\"},\"url\":\"/api/tmc/metrics-query\"},\"chartType\":\"chart:line\",\"config\":{\"dataSourceConfig\":{\"activedMetricGroups\":[\"docker_container_summary\"],\"typeDimensions\":[{\"alias\":\"时间\",\"key\":\"typeoQEtA1Qu\",\"type\":\"time\"}],\"valueDimensions\":[{\"alias\":\"core\",\"key\":\"valuea5DMGiam\",\"resultType\":\"number\",\"type\":\"field\"}]},\"optionProps\":{\"invalidToZero\":true,\"noAreaColor\":true}},\"controls\":null,\"dataSourceType\":\"api\",\"description\":\"\",\"staticData\":null,\"title\":\"容器CPU\"},\"w\":12,\"x\":0,\"y\":0},{\"h\":10,\"i\":\"view-Vk0NhIvt\",\"view\":{\"api\":{\"body\":{\"from\":[\"docker_container_summary\"],\"groupby\":[\"time()\"],\"select\":[{\"alias\":\"typeSf2rck4P\",\"expr\":\"time()\"},{\"alias\":\"valuektRpqNyO\",\"expr\":\"round_float(avg(mem_limit::field), 2)\"},{\"alias\":\"value9IeT8Ivv\",\"expr\":\"round_float(avg(mem_usage::field), 2)\"}]},\"extraData\":null,\"header\":null,\"method\":\"post\",\"query\":{\"end\":\"{{endTime}}\",\"epoch\":\"ms\",\"filter__metric_scope\":\"micro_service\",\"filter__metric_scope_id\":\"{{terminusKey}}\",\"filter_service_id\":\"{{serviceId}}\",\"filter_service_instance_id\":\"{{instanceId}}\",\"filter_service_name\":\"{{serviceName}}\",\"format\":\"chartv2\",\"ql\":\"influxql:ast\",\"start\":\"{{startTime}}\",\"type\":\"_\"},\"url\":\"/api/tmc/metrics-query\"},\"chartType\":\"chart:line\",\"config\":{\"dataSourceConfig\":{\"activedMetricGroups\":[\"other\",\"other@docker_container_summary\"],\"typeDimensions\":[{\"alias\":\"时间\",\"key\":\"typeSf2rck4P\",\"type\":\"time\"}],\"valueDimensions\":[{\"alias\":\"最大值\",\"field\":\"docker_container_summary-mem_limit::field\",\"key\":\"valuektRpqNyO\",\"resultType\":\"number\",\"type\":\"field\",\"unit\":{\"type\":\"CAPACITY\",\"unit\":\"B\"}},{\"alias\":\"已使用\",\"field\":\"docker_container_summary-mem_usage::field\",\"key\":\"value9IeT8Ivv\",\"resultType\":\"number\",\"type\":\"field\",\"unit\":{\"type\":\"CAPACITY\",\"unit\":\"B\"}}]},\"optionProps\":{\"invalidToZero\":true,\"isMoreThanOneDay\":false,\"noAreaColor\":true}},\"controls\":null,\"dataSourceType\":\"api\",\"description\":\"\",\"staticData\":{},\"title\":\"容器内存\"},\"w\":12,\"x\":12,\"y\":0},{\"h\":10,\"i\":\"view-U78akBad\",\"view\":{\"api\":{\"body\":{\"from\":[\"jvm_memory\"],\"groupby\":[\"time()\"],\"select\":[{\"alias\":\"typeIt2X6865\",\"expr\":\"time()\"},{\"alias\":\"valueKRHMRLK2\",\"expr\":\"round_float(avg(used::field), 2)\"}]},\"extraData\":null,\"header\":null,\"method\":\"post\",\"query\":{\"end\":\"{{endTime}}\",\"epoch\":\"ms\",\"eq_name\":\"heap_memory\",\"filter__metric_scope\":\"micro_service\",\"filter__metric_scope_id\":\"{{terminusKey}}\",\"filter_service_id\":\"{{serviceId}}\",\"filter_service_instance_id\":\"{{instanceId}}\",\"filter_service_name\":\"{{serviceName}}\",\"format\":\"chartv2\",\"ql\":\"influxql:ast\",\"start\":\"{{startTime}}\",\"type\":\"_\"},\"url\":\"/api/tmc/metrics-query\"},\"chartType\":\"chart:line\",\"config\":{\"dataSourceConfig\":{\"activedMetricGroups\":[\"application_jvm\",\"application_jvm_memory\",\"application_jvm_memory_heap\"],\"typeDimensions\":[{\"alias\":\"时间\",\"key\":\"typeIt2X6865\",\"type\":\"time\"}],\"valueDimensions\":[{\"alias\":\"已使用\",\"field\":\"jvm_memory-used::field\",\"key\":\"valueKRHMRLK2\",\"resultType\":\"number\",\"type\":\"field\",\"unit\":{\"type\":\"CAPACITY\",\"unit\":\"B\"}}]},\"optionProps\":{\"invalidToZero\":true,\"noAreaColor\":true}},\"controls\":null,\"dataSourceType\":\"api\",\"description\":\"\",\"staticData\":null,\"title\":\"Heap Memory Usage\"},\"w\":12,\"x\":0,\"y\":10},{\"h\":10,\"i\":\"view-lgddxxPr\",\"view\":{\"api\":{\"body\":{\"from\":[\"jvm_memory\"],\"groupby\":[\"time()\"],\"select\":[{\"alias\":\"typeM0DAUMLM\",\"expr\":\"time()\"},{\"alias\":\"value8nx5VIig\",\"expr\":\"round_float(avg(used::field), 2)\"}]},\"extraData\":null,\"header\":null,\"method\":\"post\",\"query\":{\"end\":\"{{endTime}}\",\"epoch\":\"ms\",\"eq_name\":\"non_heap_memory\",\"filter__metric_scope\":\"micro_service\",\"filter__metric_scope_id\":\"{{terminusKey}}\",\"filter_service_id\":\"{{serviceId}}\",\"filter_service_instance_id\":\"{{instanceId}}\",\"filter_service_name\":\"{{serviceName}}\",\"format\":\"chartv2\",\"ql\":\"influxql:ast\",\"start\":\"{{startTime}}\",\"type\":\"_\"},\"url\":\"/api/tmc/metrics-query\"},\"chartType\":\"chart:line\",\"config\":{\"dataSourceConfig\":{\"activedMetricGroups\":[\"application_jvm\",\"application_jvm_memory\",\"application_jvm_memory_non_heap\"],\"typeDimensions\":[{\"alias\":\"时间\",\"key\":\"typeM0DAUMLM\",\"type\":\"time\"}],\"valueDimensions\":[{\"alias\":\"已使用\",\"field\":\"jvm_memory-used::field\",\"key\":\"value8nx5VIig\",\"resultType\":\"number\",\"type\":\"field\",\"unit\":{\"type\":\"CAPACITY\",\"unit\":\"B\"}}]},\"optionProps\":{\"invalidToZero\":true,\"noAreaColor\":true}},\"controls\":null,\"dataSourceType\":\"api\",\"description\":\"\",\"staticData\":null,\"title\":\"Non Heap Memory Usage\"},\"w\":12,\"x\":12,\"y\":10},{\"h\":10,\"i\":\"view-246IruiQ\",\"view\":{\"api\":{\"body\":{\"from\":[\"jvm_memory\"],\"groupby\":[\"time()\"],\"select\":[{\"alias\":\"typePnIyzrBO\",\"expr\":\"time()\"},{\"alias\":\"valueIXILX6JH\",\"expr\":\"round_float(avg(used::field), 2)\"}]},\"extraData\":null,\"header\":null,\"method\":\"post\",\"query\":{\"end\":\"{{endTime}}\",\"epoch\":\"ms\",\"filter__metric_scope\":\"micro_service\",\"filter__metric_scope_id\":\"{{terminusKey}}\",\"filter_service_id\":\"{{serviceId}}\",\"filter_service_instance_id\":\"{{instanceId}}\",\"filter_service_name\":\"{{serviceName}}\",\"format\":\"chartv2\",\"match_name\":\"*_eden_space\",\"ql\":\"influxql:ast\",\"start\":\"{{startTime}}\",\"type\":\"_\"},\"url\":\"/api/tmc/metrics-query\"},\"chartType\":\"chart:line\",\"config\":{\"dataSourceConfig\":{\"activedMetricGroups\":[\"application_jvm\",\"application_jvm_memory\",\"application_jvm_memory_ps_eden_space\"],\"typeDimensions\":[{\"alias\":\"时间\",\"key\":\"typePnIyzrBO\",\"type\":\"time\"}],\"valueDimensions\":[{\"alias\":\"已使用\",\"field\":\"jvm_memory-used::field\",\"key\":\"valueIXILX6JH\",\"resultType\":\"number\",\"type\":\"field\",\"unit\":{\"type\":\"CAPACITY\",\"unit\":\"B\"}}]},\"optionProps\":{\"invalidToZero\":true,\"noAreaColor\":true}},\"controls\":null,\"dataSourceType\":\"api\",\"description\":\"\",\"staticData\":null,\"title\":\"Eden Space\"},\"w\":8,\"x\":0,\"y\":20},{\"h\":10,\"i\":\"view-AzNTzbgm\",\"view\":{\"api\":{\"body\":{\"from\":[\"jvm_memory\"],\"groupby\":[\"time()\"],\"select\":[{\"alias\":\"typeqDJ0hjqO\",\"expr\":\"time()\"},{\"alias\":\"valueNQr0xQ5n\",\"expr\":\"round_float(avg(used::field), 2)\"}]},\"extraData\":null,\"header\":null,\"method\":\"post\",\"query\":{\"end\":\"{{endTime}}\",\"epoch\":\"ms\",\"filter__metric_scope\":\"micro_service\",\"filter__metric_scope_id\":\"{{terminusKey}}\",\"filter_service_id\":\"{{serviceId}}\",\"filter_service_instance_id\":\"{{instanceId}}\",\"filter_service_name\":\"{{serviceName}}\",\"format\":\"chartv2\",\"match_name\":\"*_old_gen\",\"ql\":\"influxql:ast\",\"start\":\"{{startTime}}\",\"type\":\"_\"},\"url\":\"/api/tmc/metrics-query\"},\"chartType\":\"chart:line\",\"config\":{\"dataSourceConfig\":{\"activedMetricGroups\":[\"application_jvm\",\"application_jvm_memory\",\"application_jvm_memory_ps_old_gen\"],\"typeDimensions\":[{\"alias\":\"时间\",\"key\":\"typeqDJ0hjqO\",\"type\":\"time\"}],\"valueDimensions\":[{\"alias\":\"已使用\",\"field\":\"jvm_memory-used::field\",\"key\":\"valueNQr0xQ5n\",\"resultType\":\"number\",\"type\":\"field\",\"unit\":{\"type\":\"CAPACITY\",\"unit\":\"B\"}}]},\"optionProps\":{\"invalidToZero\":true,\"noAreaColor\":true}},\"controls\":null,\"dataSourceType\":\"api\",\"description\":\"\",\"staticData\":null,\"title\":\"Old Gen\"},\"w\":8,\"x\":8,\"y\":20},{\"h\":10,\"i\":\"view-gXyQwxmE\",\"view\":{\"api\":{\"body\":{\"from\":[\"jvm_memory\"],\"groupby\":[\"time()\"],\"select\":[{\"alias\":\"typeWqvqa3pT\",\"expr\":\"time()\"},{\"alias\":\"value8pbaaXGT\",\"expr\":\"round_float(avg(used::field), 2)\"}]},\"extraData\":null,\"header\":null,\"method\":\"post\",\"query\":{\"end\":\"{{endTime}}\",\"epoch\":\"ms\",\"filter__metric_scope\":\"micro_service\",\"filter__metric_scope_id\":\"{{terminusKey}}\",\"filter_service_id\":\"{{serviceId}}\",\"filter_service_instance_id\":\"{{instanceId}}\",\"filter_service_name\":\"{{serviceName}}\",\"format\":\"chartv2\",\"match_name\":\"*_survivor_space\",\"ql\":\"influxql:ast\",\"start\":\"{{startTime}}\",\"type\":\"_\"},\"url\":\"/api/tmc/metrics-query\"},\"chartType\":\"chart:line\",\"config\":{\"dataSourceConfig\":{\"activedMetricGroups\":[\"application_jvm\",\"application_jvm_memory\",\"application_jvm_memory_ps_surv_space\"],\"typeDimensions\":[{\"alias\":\"时间\",\"key\":\"typeWqvqa3pT\",\"type\":\"time\"}],\"valueDimensions\":[{\"alias\":\"已使用\",\"field\":\"jvm_memory-used::field\",\"key\":\"value8pbaaXGT\",\"resultType\":\"number\",\"type\":\"field\",\"unit\":{\"type\":\"CAPACITY\",\"unit\":\"B\"}}]},\"optionProps\":{\"invalidToZero\":true,\"noAreaColor\":true}},\"controls\":null,\"dataSourceType\":\"api\",\"description\":\"\",\"staticData\":null,\"title\":\"Survivor Space\"},\"w\":8,\"x\":16,\"y\":20},{\"h\":10,\"i\":\"view-BMxjOM9K\",\"view\":{\"api\":{\"body\":{\"from\":[\"jvm_class_loader\"],\"groupby\":[\"time()\"],\"select\":[{\"alias\":\"typefmoF7423\",\"expr\":\"time()\"},{\"alias\":\"value9xCtZWjF\",\"expr\":\"round_float(avg(loaded::field), 2)\"},{\"alias\":\"unloaded\",\"expr\":\"round_float(avg(unloaded::field), 2)\"}]},\"extraData\":null,\"header\":null,\"method\":\"post\",\"query\":{\"end\":\"{{endTime}}\",\"epoch\":\"ms\",\"filter__metric_scope\":\"micro_service\",\"filter__metric_scope_id\":\"{{terminusKey}}\",\"filter_service_id\":\"{{serviceId}}\",\"filter_service_instance_id\":\"{{instanceId}}\",\"filter_service_name\":\"{{serviceName}}\",\"format\":\"chartv2\",\"ql\":\"influxql:ast\",\"start\":\"{{startTime}}\",\"type\":\"_\"},\"url\":\"/api/tmc/metrics-query\"},\"chartType\":\"chart:line\",\"config\":{\"dataSourceConfig\":{\"activedMetricGroups\":[\"jvm_class_loader\"],\"typeDimensions\":[{\"alias\":\"时间\",\"key\":\"typefmoF7423\",\"type\":\"time\"}],\"valueDimensions\":[{\"alias\":\"loaded\",\"key\":\"value9xCtZWjF\",\"resultType\":\"number\",\"type\":\"field\"},{\"alias\":\"unloaded\",\"key\":\"unloaded\",\"resultType\":\"number\",\"type\":\"field\"}]},\"optionProps\":{\"invalidToZero\":true,\"noAreaColor\":true}},\"controls\":null,\"dataSourceType\":\"api\",\"description\":\"\",\"staticData\":null,\"title\":\"Class Count\"},\"w\":12,\"x\":0,\"y\":30},{\"h\":10,\"i\":\"view-xRTxHcRk\",\"view\":{\"api\":{\"body\":{\"from\":[\"jvm_thread\"],\"groupby\":[\"time()\",\"name::tag\"],\"select\":[{\"alias\":\"typee8m4zICn\",\"expr\":\"time()\"},{\"alias\":\"typeQ4CnDlec\",\"expr\":\"name::tag\"},{\"alias\":\"valuerNVC3hQN\",\"expr\":\"round_float(avg(state::field), 2)\"}]},\"extraData\":null,\"header\":null,\"method\":\"post\",\"query\":{\"end\":\"{{endTime}}\",\"epoch\":\"ms\",\"filter__metric_scope\":\"micro_service\",\"filter__metric_scope_id\":\"{{terminusKey}}\",\"filter_service_id\":\"{{serviceId}}\",\"filter_service_instance_id\":\"{{instanceId}}\",\"filter_service_name\":\"{{serviceName}}\",\"format\":\"chartv2\",\"ql\":\"influxql:ast\",\"start\":\"{{startTime}}\",\"type\":\"_\"},\"url\":\"/api/tmc/metrics-query\"},\"chartType\":\"chart:line\",\"config\":{\"dataSourceConfig\":{\"activedMetricGroups\":[\"application_jvm\",\"application_jvm_thread\"],\"typeDimensions\":[{\"alias\":\"时间\",\"key\":\"typee8m4zICn\",\"type\":\"time\"},{\"alias\":\"名称\",\"field\":\"jvm_thread-name::tag\",\"key\":\"typeQ4CnDlec\",\"resultType\":\"string\",\"type\":\"field\"}],\"valueDimensions\":[{\"aggregation\":\"count\",\"alias\":\"State\",\"field\":\"jvm_thread-state::field\",\"key\":\"valuerNVC3hQN\",\"resultType\":\"number\",\"type\":\"field\"}]},\"optionProps\":{\"invalidToZero\":true,\"isMoreThanOneDay\":false,\"noAreaColor\":true}},\"controls\":null,\"dataSourceType\":\"api\",\"description\":\"\",\"staticData\":{},\"title\":\"JVM Thread\"},\"w\":12,\"x\":12,\"y\":30},{\"h\":10,\"i\":\"view-VBpDgZEB\",\"view\":{\"api\":{\"body\":{\"from\":[\"docker_container_summary\"],\"groupby\":[\"time()\"],\"limit\":1,\"select\":[{\"alias\":\"typefJayqUa2\",\"expr\":\"time()\"},{\"alias\":\"valuevcb3aWnu\",\"expr\":\"round_float(avg(blk_reads::field), 2)\"},{\"alias\":\"value5hQ0Ce2S\",\"expr\":\"round_float(avg(blk_writes::field), 2)\"}]},\"extraData\":null,\"header\":null,\"method\":\"post\",\"query\":{\"end\":\"{{endTime}}\",\"epoch\":\"ms\",\"filter_service_id\":\"{{serviceId}}\",\"filter_service_instance_id\":\"{{instanceId}}\",\"filter_service_name\":\"{{serviceName}}\",\"filter_terminus_key\":\"{{terminusKey}}\",\"format\":\"chartv2\",\"ql\":\"influxql:ast\",\"start\":\"{{startTime}}\",\"type\":\"_\"},\"url\":\"/api/tmc/metrics-query\"},\"chartType\":\"chart:line\",\"config\":{\"dataSourceConfig\":{\"activedMetricGroups\":[\"docker_container_summary\"],\"typeDimensions\":[{\"alias\":\"时间\",\"key\":\"typefJayqUa2\",\"type\":\"time\"}],\"valueDimensions\":[{\"alias\":\"读取\",\"key\":\"valuevcb3aWnu\",\"resultType\":\"number\",\"type\":\"field\",\"unit\":{\"type\":\"TRAFFIC\",\"unit\":\"B/S\"}},{\"alias\":\"写入\",\"key\":\"value5hQ0Ce2S\",\"resultType\":\"number\",\"type\":\"field\",\"unit\":{\"type\":\"TRAFFIC\",\"unit\":\"B/S\"}}]},\"optionProps\":{\"invalidToZero\":true,\"noAreaColor\":true}},\"controls\":null,\"dataSourceType\":\"api\",\"description\":\"\",\"staticData\":null,\"title\":\"磁盘IO\"},\"w\":12,\"x\":0,\"y\":40},{\"h\":10,\"i\":\"view-5zpoQd6g\",\"view\":{\"api\":{\"body\":{\"from\":[\"docker_container_summary\"],\"groupby\":[\"time(1m)\"],\"select\":[{\"alias\":\"typefJayqUa1\",\"expr\":\"time()\"},{\"alias\":\"valuex5rrfADW\",\"expr\":\"round_float(avg(rx_bytes::field)/60, 2)\"},{\"alias\":\"valueezORvCqz\",\"expr\":\"round_float(avg(tx_bytes::field)/60, 2)\"}]},\"extraData\":null,\"header\":null,\"method\":\"post\",\"query\":{\"end\":\"{{endTime}}\",\"epoch\":\"ms\",\"filter_service_id\":\"{{serviceId}}\",\"filter_service_instance_id\":\"{{instanceId}}\",\"filter_service_name\":\"{{serviceName}}\",\"filter_terminus_key\":\"{{terminusKey}}\",\"format\":\"chartv2\",\"ql\":\"influxql:ast\",\"start\":\"{{startTime}}\",\"type\":\"_\"},\"url\":\"/api/tmc/metrics-query\"},\"chartType\":\"chart:line\",\"config\":{\"dataSourceConfig\":{\"activedMetricGroups\":[\"docker_container_summary\"],\"typeDimensions\":[{\"alias\":\"时间\",\"key\":\"typefJayqUa1\",\"type\":\"time\"}],\"valueDimensions\":[{\"alias\":\"接收\",\"key\":\"valuex5rrfADW\",\"resultType\":\"number\",\"type\":\"field\",\"unit\":{\"type\":\"TRAFFIC\",\"unit\":\"B/S\"}},{\"alias\":\"发送\",\"key\":\"valueezORvCqz\",\"resultType\":\"number\",\"type\":\"field\",\"unit\":{\"type\":\"TRAFFIC\",\"unit\":\"B/S\"}}]},\"optionProps\":{\"invalidToZero\":true,\"noAreaColor\":true}},\"controls\":null,\"dataSourceType\":\"api\",\"description\":\"\",\"staticData\":null,\"title\":\"容器网络\"},\"w\":12,\"x\":12,\"y\":40}]',NULL,NULL,NULL,'v2'),('process_analysis_nodejs','process_analysis_nodejs','',NULL,'micro_service','global','[{\"h\":10,\"i\":\"view-hfpm2BQF\",\"view\":{\"api\":{\"body\":{\"from\":[\"nodejs_memory\"],\"groupby\":[\"time()\"],\"select\":[{\"alias\":\"typemiYT3xEp\",\"expr\":\"time()\"},{\"alias\":\"value4luY4MgI\",\"expr\":\"round_float(avg(heap_used::field), 2)\"}]},\"extraData\":null,\"header\":null,\"method\":\"post\",\"query\":{\"end\":\"{{endTime}}\",\"epoch\":\"ms\",\"filter__metric_scope\":\"micro_service\",\"filter__metric_scope_id\":\"{{terminusKey}}\",\"filter_service_id\":\"{{serviceId}}\",\"filter_service_instance_id\":\"{{instanceId}}\",\"filter_service_name\":\"{{serviceName}}\",\"filter_terminus_key\":\"{{terminusKey}}\",\"format\":\"chartv2\",\"ql\":\"influxql:ast\",\"start\":\"{{startTime}}\",\"type\":\"_\"},\"url\":\"/api/tmc/metrics-query\"},\"chartType\":\"chart:line\",\"config\":{\"dataSourceConfig\":{\"activedMetricGroups\":[\"nodejs_memory\"],\"typeDimensions\":[{\"alias\":\"时间\",\"key\":\"typemiYT3xEp\",\"type\":\"time\"}],\"valueDimensions\":[{\"alias\":\"Usage\",\"key\":\"value4luY4MgI\",\"resultType\":\"number\",\"type\":\"field\"}]},\"optionProps\":{\"invalidToZero\":true,\"isMoreThanOneDay\":false,\"noAreaColor\":true}},\"controls\":null,\"dataSourceType\":\"api\",\"description\":\"\",\"staticData\":{},\"title\":\"Heap Memory Usage\"},\"w\":12,\"x\":0,\"y\":0},{\"h\":10,\"i\":\"view-2afmeXcs\",\"view\":{\"api\":{\"body\":{\"from\":[\"nodejs_memory\"],\"groupby\":[\"time()\"],\"select\":[{\"alias\":\"typeCTERAG2L\",\"expr\":\"time()\"},{\"alias\":\"value2zRwbFet\",\"expr\":\"round_float(avg(external::field), 2)\"}]},\"extraData\":null,\"header\":null,\"method\":\"post\",\"query\":{\"end\":\"{{endTime}}\",\"epoch\":\"ms\",\"filter__metric_scope\":\"micro_service\",\"filter__metric_scope_id\":\"{{terminusKey}}\",\"filter_service_id\":\"{{serviceId}}\",\"filter_service_instance_id\":\"{{instanceId}}\",\"filter_service_name\":\"{{serviceName}}\",\"filter_terminus_key\":\"{{terminusKey}}\",\"format\":\"chartv2\",\"ql\":\"influxql:ast\",\"start\":\"{{startTime}}\",\"type\":\"_\"},\"url\":\"/api/tmc/metrics-query\"},\"chartType\":\"chart:line\",\"config\":{\"dataSourceConfig\":{\"activedMetricGroups\":[\"nodejs_memory\"],\"typeDimensions\":[{\"alias\":\"时间\",\"key\":\"typeCTERAG2L\",\"type\":\"time\"}],\"valueDimensions\":[{\"alias\":\"MB\",\"key\":\"value2zRwbFet\",\"resultType\":\"number\",\"type\":\"field\"}]},\"optionProps\":{\"invalidToZero\":true,\"isMoreThanOneDay\":false,\"noAreaColor\":true}},\"controls\":null,\"dataSourceType\":\"api\",\"description\":\"\",\"staticData\":{},\"title\":\"Non Heap Memory Usage\"},\"w\":12,\"x\":12,\"y\":0},{\"h\":9,\"i\":\"view-0JahfhFo\",\"view\":{\"api\":{\"body\":{\"from\":[\"nodejs_cluster\"],\"groupby\":[\"time()\"],\"select\":[{\"alias\":\"typeTDo594ut\",\"expr\":\"time()\"},{\"alias\":\"valueogVBbdfi\",\"expr\":\"round_float(sum(count::field), 2)\"}]},\"extraData\":null,\"header\":null,\"method\":\"post\",\"query\":{\"end\":\"{{endTime}}\",\"epoch\":\"ms\",\"filter__metric_scope\":\"micro_service\",\"filter__metric_scope_id\":\"{{terminusKey}}\",\"filter_service_id\":\"{{serviceId}}\",\"filter_service_instance_id\":\"{{instanceId}}\",\"filter_service_name\":\"{{serviceName}}\",\"format\":\"chartv2\",\"ql\":\"influxql:ast\",\"start\":\"{{startTime}}\",\"type\":\"_\"},\"url\":\"/api/tmc/metrics-query\"},\"chartType\":\"chart:line\",\"config\":{\"dataSourceConfig\":{\"activedMetricGroups\":[\"nodejs_cluster\"],\"typeDimensions\":[{\"alias\":\"时间\",\"key\":\"typeTDo594ut\",\"type\":\"time\"}],\"valueDimensions\":[{\"alias\":\"次数\",\"key\":\"valueogVBbdfi\",\"resultType\":\"number\",\"type\":\"field\"}]},\"optionProps\":{\"invalidToZero\":true,\"noAreaColor\":true}},\"controls\":null,\"dataSourceType\":\"api\",\"description\":\"\",\"staticData\":null,\"title\":\"Cluster Count\"},\"w\":12,\"x\":0,\"y\":10},{\"h\":9,\"i\":\"view-kKuIcxbz\",\"view\":{\"api\":{\"body\":{\"from\":[\"nodejs_async_resource\"],\"groupby\":[\"time()\"],\"select\":[{\"alias\":\"typezZSh0it6\",\"expr\":\"time()\"},{\"alias\":\"valueK4VKq3YC\",\"expr\":\"round_float(sum(count::field), 2)\"}]},\"extraData\":null,\"header\":null,\"method\":\"post\",\"query\":{\"end\":\"{{endTime}}\",\"epoch\":\"ms\",\"filter__metric_scope\":\"micro_service\",\"filter__metric_scope_id\":\"{{terminusKey}}\",\"filter_service_id\":\"{{serviceId}}\",\"filter_service_instance_id\":\"{{instanceId}}\",\"filter_service_name\":\"{{serviceName}}\",\"format\":\"chartv2\",\"ql\":\"influxql:ast\",\"start\":\"{{startTime}}\",\"type\":\"_\"},\"url\":\"/api/tmc/metrics-query\"},\"chartType\":\"chart:line\",\"config\":{\"dataSourceConfig\":{\"activedMetricGroups\":[\"nodejs_async_resource\"],\"typeDimensions\":[{\"alias\":\"时间\",\"key\":\"typezZSh0it6\",\"type\":\"time\"}],\"valueDimensions\":[{\"alias\":\"次数\",\"key\":\"valueK4VKq3YC\",\"resultType\":\"number\",\"type\":\"field\"}]},\"optionProps\":{\"invalidToZero\":true,\"noAreaColor\":true}},\"controls\":null,\"dataSourceType\":\"api\",\"description\":\"\",\"staticData\":null,\"title\":\"Async Resources\"},\"w\":12,\"x\":12,\"y\":10}]',NULL,NULL,NULL,'v2'),('services','services','',NULL,'micro_service','global','[{\"h\":9,\"i\":\"view-4EaRR6U6\",\"view\":{\"api\":{\"method\":\"get\",\"query\":{\"end\":\"{{endTime}}\",\"serviceName\":\"{{serviceName}}\",\"start\":\"{{startTime}}\",\"terminusKey\":\"{{terminusKey}}\"},\"url\":\"/api/apm/topology/services\"},\"chartType\":\"table\",\"config\":{\"dataSourceConfig\":{\"valueDimensions\":[{\"aggregation\":\"sum\",\"alias\":\"服务名称\",\"key\":\"service_name\",\"resultType\":\"string\",\"type\":\"field\"},{\"aggregation\":\"sum\",\"alias\":\"请求次数\",\"key\":\"req_count\",\"resultType\":\"number\",\"type\":\"field\"},{\"alias\":\"请求错误数\",\"key\":\"req_error_count\",\"resultType\":\"number\",\"type\":\"field\"},{\"aggregation\":\"avg\",\"alias\":\"平均延迟(ms)\",\"key\":\"avg_req_time\",\"resultType\":\"number\",\"type\":\"field\"},{\"alias\":\"运行实例数\",\"key\":\"running_stopped_instance_count\",\"resultType\":\"string\",\"type\":\"field\"}]},\"optionProps\":{\"isMoreThanOneDay\":true,\"moreThanOneDayFormat\":\"M/D\",\"rowClick\":{\"name\":\"jumpToDetail\",\"value\":\"service_name\"}}},\"dataSourceType\":\"api\",\"description\":\"\",\"staticData\":null,\"title\":\"服务列表\"},\"w\":24,\"x\":0,\"y\":0}]',NULL,NULL,NULL,'v2'),('service_analysis','service_analysis','',NULL,'micro_service','global','[{\"h\":12,\"i\":\"view-yJsgVtEN\",\"view\":{\"api\":{\"method\":\"get\",\"query\":{\"end\":\"{{endTime}}\",\"serviceId\":\"{{serviceId}}\",\"serviceName\":\"{{serviceName}}\",\"start\":\"{{startTime}}\",\"terminusKey\":\"{{terminusKey}}\"},\"url\":\"/api/apm/topology/service/instances\"},\"chartType\":\"table\",\"config\":{\"dataSourceConfig\":{\"activedMetricGroups\":[\"application_service_node\"],\"limit\":50,\"valueDimensions\":[{\"alias\":\"实例 ID\",\"key\":\"serviceInstanceId\",\"resultType\":\"string\",\"type\":\"field\"},{\"alias\":\"运行时版本\",\"key\":\"platformVersion\",\"resultType\":\"string\",\"type\":\"field\"},{\"alias\":\"启动时间\",\"key\":\"startTime\",\"resultType\":\"number\",\"type\":\"field\"},{\"alias\":\"最后心跳时间\",\"key\":\"lastHeartbeatTime\",\"resultType\":\"number\",\"type\":\"field\"},{\"alias\":\"状态\",\"key\":\"instanceState\",\"resultType\":\"string\",\"type\":\"field\"}]},\"optionProps\":{\"isMoreThanOneDay\":false,\"moreThanOneDayFormat\":\"YYYY/MM/DD\",\"noAreaColor\":true}},\"controls\":null,\"dataSourceType\":\"api\",\"description\":\"\",\"staticData\":{},\"title\":\"服务实例\"},\"w\":24,\"x\":0,\"y\":0},{\"h\":10,\"i\":\"view-WlIYS74f\",\"view\":{\"api\":{\"body\":{\"from\":[\"application_http\"],\"groupby\":[\"time()\"],\"select\":[{\"alias\":\"typeTRtdbCxL\",\"expr\":\"time()\"},{\"alias\":\"valueEOWkNhFW\",\"expr\":\"round_float(sum(elapsed_count::field), 2)\"}]},\"extraData\":null,\"header\":null,\"method\":\"post\",\"query\":{\"end\":\"{{endTime}}\",\"epoch\":\"ms\",\"filter__metric_scope\":\"micro_service\",\"filter__metric_scope_id\":\"{{terminusKey}}\",\"filter_target_application_id\":\"{{applicationId}}\",\"filter_target_service_name\":\"{{serviceName}}\",\"filter_terminus_key\":\"{{terminusKey}}\",\"format\":\"chartv2\",\"ql\":\"influxql:ast\",\"start\":\"{{startTime}}\",\"type\":\"_\"},\"url\":\"/api/tmc/metrics-query\"},\"chartType\":\"chart:line\",\"config\":{\"dataSourceConfig\":{\"activedMetricGroups\":[\"application_http\"],\"typeDimensions\":[{\"alias\":\"时间\",\"key\":\"typeTRtdbCxL\",\"type\":\"time\"}],\"valueDimensions\":[{\"aggregation\":\"sum\",\"alias\":\"请求量\",\"field\":\"application_http-elapsed_count::field\",\"key\":\"valueEOWkNhFW\",\"resultType\":\"number\",\"type\":\"field\"}]},\"optionProps\":{\"invalidToZero\":true,\"isMoreThanOneDay\":false,\"noAreaColor\":true}},\"controls\":null,\"dataSourceType\":\"api\",\"description\":\"\",\"staticData\":{},\"title\":\"接口请求量\"},\"w\":12,\"x\":0,\"y\":24},{\"h\":10,\"i\":\"view-NDNpI1k5\",\"view\":{\"api\":{\"body\":{\"from\":[\"application_http\"],\"groupby\":[\"time()\"],\"select\":[{\"alias\":\"typeCHGOKy9u\",\"expr\":\"time()\"},{\"alias\":\"valueA3dJ0k10\",\"expr\":\"sum(elapsed_sum::field)/sum(elapsed_count::field)\"}]},\"extraData\":null,\"header\":null,\"method\":\"post\",\"query\":{\"end\":\"{{endTime}}\",\"epoch\":\"ms\",\"filter__metric_scope\":\"micro_service\",\"filter__metric_scope_id\":\"{{terminusKey}}\",\"filter_target_application_id\":\"{{applicationId}}\",\"filter_target_service_name\":\"{{serviceName}}\",\"filter_terminus_key\":\"{{terminusKey}}\",\"format\":\"chartv2\",\"ql\":\"influxql:ast\",\"start\":\"{{startTime}}\",\"type\":\"_\"},\"url\":\"/api/tmc/metrics-query\"},\"chartType\":\"chart:line\",\"config\":{\"dataSourceConfig\":{\"activedMetricGroups\":[\"application_http\"],\"typeDimensions\":[{\"alias\":\"时间\",\"key\":\"typeCHGOKy9u\",\"type\":\"time\"}],\"valueDimensions\":[{\"alias\":\"平均延迟(ms)\",\"expr\":\"sum(elapsed_sum::field)/sum(elapsed_count::field)\",\"key\":\"valueA3dJ0k10\",\"type\":\"expr\",\"unit\":{\"type\":\"TIME\",\"unit\":\"ns\"}}]},\"optionProps\":{\"invalidToZero\":true,\"isConnectNulls\":true,\"isMoreThanOneDay\":false,\"noAreaColor\":true,\"nullDisplay\":0}},\"controls\":null,\"dataSourceType\":\"api\",\"description\":\"\",\"staticData\":{},\"title\":\"请求延迟\"},\"w\":12,\"x\":12,\"y\":24},{\"h\":9,\"i\":\"view-gHh8GdKx\",\"view\":{\"api\":{\"body\":{\"from\":[\"application_http\"],\"groupby\":[\"time()\",\"http_status_code::tag\"],\"select\":[{\"alias\":\"type269Zbamy\",\"expr\":\"time()\"},{\"alias\":\"typeBng48cgD\",\"expr\":\"http_status_code::tag\"},{\"alias\":\"valueGRdav3nr\",\"expr\":\"round_float(sum(elapsed_count::field), 2)\"}]},\"extraData\":null,\"header\":null,\"method\":\"post\",\"query\":{\"end\":\"{{endTime}}\",\"epoch\":\"ms\",\"filter__metric_scope\":\"micro_service\",\"filter__metric_scope_id\":\"{{terminusKey}}\",\"filter_target_application_id\":\"{{applicationId}}\",\"filter_target_service_name\":\"{{serviceName}}\",\"filter_terminus_key\":\"{{terminusKey}}\",\"format\":\"chartv2\",\"ql\":\"influxql:ast\",\"start\":\"{{startTime}}\",\"type\":\"_\"},\"url\":\"/api/tmc/metrics-query\"},\"chartType\":\"chart:line\",\"config\":{\"dataSourceConfig\":{\"activedMetricGroups\":[\"application_http\"],\"typeDimensions\":[{\"alias\":\"时间\",\"key\":\"type269Zbamy\",\"type\":\"time\"},{\"alias\":\"HTTP状态码\",\"field\":\"application_http-http_status_code::tag\",\"key\":\"typeBng48cgD\",\"resultType\":\"string\",\"type\":\"field\"}],\"valueDimensions\":[{\"aggregation\":\"sum\",\"alias\":\"请求量\",\"field\":\"application_http-elapsed_count::field\",\"key\":\"valueGRdav3nr\",\"resultType\":\"number\",\"type\":\"field\"}]},\"optionProps\":{\"invalidToZero\":true,\"isMoreThanOneDay\":false,\"noAreaColor\":true}},\"controls\":null,\"dataSourceType\":\"api\",\"description\":\"\",\"staticData\":{},\"title\":\"HTTP 状态\"},\"w\":12,\"x\":0,\"y\":34},{\"h\":9,\"i\":\"view-FOwzRMTP\",\"view\":{\"api\":{\"body\":{\"from\":[\"error_count\"],\"groupby\":[\"time()\"],\"select\":[{\"alias\":\"typeJKRnc75E\",\"expr\":\"time()\"},{\"alias\":\"valueXTEB69H8\",\"expr\":\"round_float(sum(count::field), 2)\"}]},\"extraData\":null,\"header\":null,\"method\":\"post\",\"query\":{\"end\":\"{{endTime}}\",\"epoch\":\"ms\",\"filter_application_id\":\"{{applicationId}}\",\"filter_service_name\":\"{{serviceName}}\",\"filter_terminus_key\":\"{{terminusKey}}\",\"format\":\"chartv2\",\"ql\":\"influxql:ast\",\"start\":\"{{startTime}}\",\"type\":\"_\"},\"url\":\"/api/tmc/metrics-query\"},\"chartType\":\"chart:line\",\"config\":{\"dataSourceConfig\":{\"activedMetricGroups\":[\"error_count\"],\"typeDimensions\":[{\"alias\":\"时间\",\"key\":\"typeJKRnc75E\",\"type\":\"time\"}],\"valueDimensions\":[{\"alias\":\"次数\",\"key\":\"valueXTEB69H8\",\"resultType\":\"number\",\"type\":\"field\"}]},\"optionProps\":{\"invalidToZero\":true,\"isMoreThanOneDay\":false,\"noAreaColor\":true}},\"controls\":null,\"dataSourceType\":\"api\",\"description\":\"\",\"staticData\":{},\"title\":\"服务异常\"},\"w\":12,\"x\":12,\"y\":34},{\"h\":12,\"i\":\"view-NsSwxxe0\",\"view\":{\"api\":{\"body\":{\"from\":[\"analyzer_alert\"],\"groupby\":[\"time()\"],\"select\":[{\"alias\":\"type441teal6\",\"expr\":\"time()\"},{\"alias\":\"valueynJmzYoH\",\"expr\":\"round_float(count(terminus_key::tag), 2)\"}]},\"extraData\":null,\"header\":null,\"method\":\"post\",\"query\":{\"end\":\"{{endTime}}\",\"epoch\":\"ms\",\"filter_application_id\":\"{{applicationId}}\",\"filter_service_name\":\"{{serviceName}}\",\"filter_terminus_key\":\"{{terminusKey}}\",\"format\":\"chartv2\",\"ql\":\"influxql:ast\",\"start\":\"{{startTime}}\",\"type\":\"_\"},\"url\":\"/api/tmc/metrics-query\"},\"chartType\":\"chart:bar\",\"config\":{\"dataSourceConfig\":{\"activedMetricGroups\":[\"analyzer_alert\"],\"typeDimensions\":[{\"alias\":\"时间\",\"key\":\"type441teal6\",\"type\":\"time\"}],\"valueDimensions\":[{\"alias\":\"次数\",\"key\":\"valueynJmzYoH\",\"resultType\":\"number\",\"type\":\"field\"}]}},\"controls\":null,\"dataSourceType\":\"api\",\"description\":\"\",\"staticData\":null,\"title\":\"服务告警事件\"},\"w\":24,\"x\":0,\"y\":12}]',NULL,NULL,NULL,'v2'),('topology_node_cache','topology_node_cache','',NULL,'micro_service','global','[{\"h\":10,\"i\":\"view-kV69Moc4\",\"view\":{\"api\":{\"body\":{\"from\":[\"application_cache_service\"],\"groupby\":[\"time()\"],\"select\":[{\"alias\":\"typeFxiuOiOf\",\"expr\":\"time()\"},{\"alias\":\"valueYaLkGKG1\",\"expr\":\"round_float(sum(count_sum::field), 2)\"}],\"where\":[\"host::tag=\'{{host}}\'\"]},\"extraData\":null,\"header\":null,\"method\":\"post\",\"query\":{\"end\":\"{{endTime}}\",\"epoch\":\"ms\",\"filter__metric_scope\":\"micro_service\",\"filter__metric_scope_id\":\"{{terminusKey}}\",\"format\":\"chartv2\",\"ql\":\"influxql:ast\",\"start\":\"{{startTime}}\",\"type\":\"_\"},\"url\":\"/api/tmc/metrics-query\"},\"chartType\":\"chart:line\",\"config\":{\"dataSourceConfig\":{\"activedMetricGroups\":[\"application_cache_service\"],\"resultFilters\":[{\"alias\":\"主机\",\"field\":\"application_cache_service-host::tag\",\"filter\":{\"operation\":\"=\",\"value\":\"{{host}}\"},\"key\":\"filter7m5S3zhY\",\"resultType\":\"string\",\"type\":\"filter\"}],\"typeDimensions\":[{\"alias\":\"时间\",\"key\":\"typeFxiuOiOf\",\"type\":\"time\"}],\"valueDimensions\":[{\"aggregation\":\"sum\",\"alias\":\"请求次数\",\"field\":\"application_cache_service-count_sum::field\",\"key\":\"valueYaLkGKG1\",\"resultType\":\"number\",\"type\":\"field\"}]},\"optionProps\":{\"invalidToZero\":true,\"isConnectNulls\":true,\"isMoreThanOneDay\":false,\"noAreaColor\":true,\"nullDisplay\":\"--\"}},\"controls\":null,\"dataSourceType\":\"api\",\"description\":\"\",\"staticData\":{},\"title\":\"吞吐量\"},\"w\":24,\"x\":0,\"y\":0},{\"h\":10,\"i\":\"view-raHXzLcO\",\"view\":{\"api\":{\"body\":{\"from\":[\"application_cache_service\"],\"groupby\":[\"time()\"],\"select\":[{\"alias\":\"type6jWJnYDU\",\"expr\":\"time()\"},{\"alias\":\"value4fg9lHMB\",\"expr\":\"sum(elapsed_sum::field)/sum(count_sum::field)\"}],\"where\":[\"host::tag=\'{{host}}\'\"]},\"extraData\":null,\"header\":null,\"method\":\"post\",\"query\":{\"end\":\"{{endTime}}\",\"epoch\":\"ms\",\"filter__metric_scope\":\"micro_service\",\"filter__metric_scope_id\":\"{{terminusKey}}\",\"format\":\"chartv2\",\"ql\":\"influxql:ast\",\"start\":\"{{startTime}}\",\"type\":\"_\"},\"url\":\"/api/tmc/metrics-query\"},\"chartType\":\"chart:line\",\"config\":{\"dataSourceConfig\":{\"activedMetricGroups\":[\"application_cache_service\"],\"resultFilters\":[{\"alias\":\"主机\",\"field\":\"application_cache_service-host::tag\",\"filter\":{\"operation\":\"=\",\"value\":\"{{host}}\"},\"key\":\"filterZCeYWbcE\",\"resultType\":\"string\",\"type\":\"filter\"}],\"typeDimensions\":[{\"alias\":\"时间\",\"key\":\"type6jWJnYDU\",\"type\":\"time\"}],\"valueDimensions\":[{\"alias\":\"平均延迟(ms)\",\"expr\":\"sum(elapsed_sum::field)/sum(count_sum::field)\",\"key\":\"value4fg9lHMB\",\"type\":\"expr\",\"unit\":{\"type\":\"TIME\",\"unit\":\"ns\"}}]},\"optionProps\":{\"invalidToZero\":true,\"isConnectNulls\":true,\"isMoreThanOneDay\":false,\"noAreaColor\":true,\"nullDisplay\":\"--\"}},\"controls\":null,\"dataSourceType\":\"api\",\"description\":\"\",\"staticData\":{},\"title\":\"响应时间\"},\"w\":24,\"x\":0,\"y\":10}]',NULL,NULL,NULL,'v2'),('topology_node_db','topology_node_db','',NULL,'micro_service','global','[{\"h\":10,\"i\":\"view-kV69Moc4\",\"view\":{\"api\":{\"body\":{\"from\":[\"application_db_service\"],\"groupby\":[\"time()\"],\"select\":[{\"alias\":\"typeFxiuOiOf\",\"expr\":\"time()\"},{\"alias\":\"valueYaLkGKG1\",\"expr\":\"round_float(sum(count_sum::field), 2)\"}],\"where\":[\"host::tag=\'{{host}}\'\"]},\"extraData\":null,\"header\":null,\"method\":\"post\",\"query\":{\"end\":\"{{endTime}}\",\"epoch\":\"ms\",\"filter__metric_scope\":\"micro_service\",\"filter__metric_scope_id\":\"{{terminusKey}}\",\"format\":\"chartv2\",\"ql\":\"influxql:ast\",\"start\":\"{{startTime}}\",\"type\":\"_\"},\"url\":\"/api/tmc/metrics-query\"},\"chartType\":\"chart:line\",\"config\":{\"dataSourceConfig\":{\"activedMetricGroups\":[\"application_db_service\"],\"resultFilters\":[{\"alias\":\"主机\",\"field\":\"application_db_service-host::tag\",\"filter\":{\"operation\":\"=\",\"value\":\"{{host}}\"},\"key\":\"filter7m5S3zhY\",\"resultType\":\"string\",\"type\":\"filter\"}],\"typeDimensions\":[{\"alias\":\"时间\",\"key\":\"typeFxiuOiOf\",\"type\":\"time\"}],\"valueDimensions\":[{\"aggregation\":\"sum\",\"alias\":\"请求次数\",\"field\":\"application_db_service-count_sum::field\",\"key\":\"valueYaLkGKG1\",\"resultType\":\"number\",\"type\":\"field\"}]},\"optionProps\":{\"invalidToZero\":true,\"isConnectNulls\":true,\"isMoreThanOneDay\":false,\"noAreaColor\":true,\"nullDisplay\":\"--\"}},\"controls\":null,\"dataSourceType\":\"api\",\"description\":\"\",\"staticData\":{},\"title\":\"吞吐量\"},\"w\":24,\"x\":0,\"y\":0},{\"h\":10,\"i\":\"view-raHXzLcO\",\"view\":{\"api\":{\"body\":{\"from\":[\"application_db_service\"],\"groupby\":[\"time()\"],\"select\":[{\"alias\":\"type6jWJnYDU\",\"expr\":\"time()\"},{\"alias\":\"value4fg9lHMB\",\"expr\":\"sum(elapsed_sum::field)/sum(count_sum::field)\"}],\"where\":[\"host::tag=\'{{host}}\'\"]},\"extraData\":null,\"header\":null,\"method\":\"post\",\"query\":{\"end\":\"{{endTime}}\",\"epoch\":\"ms\",\"filter__metric_scope\":\"micro_service\",\"filter__metric_scope_id\":\"{{terminusKey}}\",\"format\":\"chartv2\",\"ql\":\"influxql:ast\",\"start\":\"{{startTime}}\",\"type\":\"_\"},\"url\":\"/api/tmc/metrics-query\"},\"chartType\":\"chart:line\",\"config\":{\"dataSourceConfig\":{\"activedMetricGroups\":[\"application_db_service\"],\"resultFilters\":[{\"alias\":\"主机\",\"field\":\"application_db_service-host::tag\",\"filter\":{\"operation\":\"=\",\"value\":\"{{host}}\"},\"key\":\"filterZCeYWbcE\",\"resultType\":\"string\",\"type\":\"filter\"}],\"typeDimensions\":[{\"alias\":\"时间\",\"key\":\"type6jWJnYDU\",\"type\":\"time\"}],\"valueDimensions\":[{\"alias\":\"平均延迟(ms)\",\"expr\":\"sum(elapsed_sum::field)/sum(count_sum::field)\",\"key\":\"value4fg9lHMB\",\"type\":\"expr\",\"unit\":{\"type\":\"TIME\",\"unit\":\"ns\"}}]},\"optionProps\":{\"invalidToZero\":true,\"isConnectNulls\":true,\"isMoreThanOneDay\":false,\"noAreaColor\":true,\"nullDisplay\":\"--\"}},\"controls\":null,\"dataSourceType\":\"api\",\"description\":\"\",\"staticData\":{},\"title\":\"响应时间\"},\"w\":24,\"x\":0,\"y\":10}]',NULL,NULL,NULL,'v2'),('topology_node_gateway','topology_node_gateway','',NULL,'micro_service','global','[{\"h\":7,\"i\":\"view-VrLq6JXO\",\"view\":{\"api\":{\"body\":{\"from\":[\"application_http\"],\"groupby\":[\"req_host::tag\"],\"limit\":3,\"orderby\":[{\"dir\":\"DESC\",\"expr\":\"sum(elapsed_count::field)\"}],\"select\":[{\"alias\":\"typeTybZBDTL\",\"expr\":\"req_host::tag\"},{\"alias\":\"valuebD64VaGD\",\"expr\":\"round_float(sum(elapsed_count::field), 2)\"}],\"where\":[\"target_addon_type::tag=\'ApiGateway\'\"]},\"extraData\":null,\"header\":null,\"method\":\"post\",\"query\":{\"end\":\"{{endTime}}\",\"filter__metric_scope\":\"micro_service\",\"filter__metric_scope_id\":\"{{terminusKey}}\",\"format\":\"chartv2\",\"ql\":\"influxql:ast\",\"start\":\"{{startTime}}\",\"type\":\"_\"},\"url\":\"/api/tmc/metrics-query\"},\"chartType\":\"table\",\"config\":{\"dataSourceConfig\":{\"activedMetricGroups\":[\"application_http\"],\"customTime\":\"this-year\",\"limit\":3,\"resultFilters\":[{\"alias\":\"Target Addon Type\",\"field\":\"application_http-target_addon_type::tag\",\"filter\":{\"operation\":\"=\",\"value\":\"ApiGateway\"},\"key\":\"filterx3BvagjC\",\"resultType\":\"string\",\"type\":\"filter\"}],\"sortDimensions\":[{\"aggregation\":\"sum\",\"alias\":\"请求次数\",\"field\":\"application_http-elapsed_count::field\",\"key\":\"sort9zKC6Rue\",\"resultType\":\"number\",\"sort\":\"DESC\",\"type\":\"sort\"}],\"typeDimensions\":[{\"alias\":\"域名\",\"field\":\"application_http-req_host::tag\",\"key\":\"typeTybZBDTL\",\"resultType\":\"string\",\"type\":\"field\"}],\"valueDimensions\":[{\"aggregation\":\"sum\",\"alias\":\"请求次数\",\"field\":\"application_http-elapsed_count::field\",\"key\":\"valuebD64VaGD\",\"resultType\":\"number\",\"type\":\"field\"}]},\"optionProps\":{\"isMoreThanOneDay\":true,\"moreThanOneDayFormat\":\"M/D\"}},\"controls\":null,\"dataSourceType\":\"api\",\"description\":\"\",\"staticData\":{},\"title\":\"域名请求 TOP 3\"},\"w\":24,\"x\":0,\"y\":0},{\"h\":9,\"i\":\"view-jipKAIYk\",\"view\":{\"api\":{\"body\":{\"from\":[\"application_http\"],\"groupby\":[\"time()\"],\"select\":[{\"alias\":\"typeQXtBniA6\",\"expr\":\"time()\"},{\"alias\":\"valueA2KagOZF\",\"expr\":\"round_float(sum(elapsed_count::field), 2)\"}],\"where\":[\"target_addon_type::tag=\'ApiGateway\'\"]},\"extraData\":null,\"header\":null,\"method\":\"post\",\"query\":{\"end\":\"{{endTime}}\",\"epoch\":\"ms\",\"filter__metric_scope\":\"micro_service\",\"filter__metric_scope_id\":\"{{terminusKey}}\",\"format\":\"chartv2\",\"ql\":\"influxql:ast\",\"start\":\"{{startTime}}\",\"type\":\"_\"},\"url\":\"/api/tmc/metrics-query\"},\"chartType\":\"chart:line\",\"config\":{\"dataSourceConfig\":{\"activedMetricGroups\":[\"application_http\"],\"resultFilters\":[{\"alias\":\"Target Addon Type\",\"field\":\"application_http-target_addon_type::tag\",\"filter\":{\"operation\":\"=\",\"value\":\"ApiGateway\"},\"key\":\"filterb105rFvK\",\"resultType\":\"string\",\"type\":\"filter\"}],\"typeDimensions\":[{\"alias\":\"时间\",\"key\":\"typeQXtBniA6\",\"type\":\"time\"}],\"valueDimensions\":[{\"aggregation\":\"sum\",\"alias\":\"请求次数\",\"field\":\"application_http-elapsed_count::field\",\"key\":\"valueA2KagOZF\",\"resultType\":\"number\",\"type\":\"field\"}]},\"optionProps\":{\"invalidToZero\":true,\"noAreaColor\":true}},\"controls\":null,\"dataSourceType\":\"api\",\"description\":\"\",\"staticData\":{},\"title\":\"吞吐量\"},\"w\":24,\"x\":0,\"y\":8},{\"h\":9,\"i\":\"view-R1FREHx6\",\"view\":{\"api\":{\"body\":{\"from\":[\"application_http\"],\"groupby\":[\"time()\"],\"select\":[{\"alias\":\"type336bqk8x\",\"expr\":\"time()\"},{\"alias\":\"valueywTyWVde\",\"expr\":\"round_float(avg(elapsed_mean::field), 2)\"}],\"where\":[\"target_addon_type::tag=\'ApiGateway\'\"]},\"extraData\":null,\"header\":null,\"method\":\"post\",\"query\":{\"end\":\"{{endTime}}\",\"epoch\":\"ms\",\"filter__metric_scope\":\"micro_service\",\"filter__metric_scope_id\":\"{{terminusKey}}\",\"format\":\"chartv2\",\"ql\":\"influxql:ast\",\"start\":\"{{startTime}}\",\"type\":\"_\"},\"url\":\"/api/tmc/metrics-query\"},\"chartType\":\"chart:line\",\"config\":{\"dataSourceConfig\":{\"activedMetricGroups\":[\"application_http\"],\"resultFilters\":[{\"alias\":\"Target Addon Type\",\"field\":\"application_http-target_addon_type::tag\",\"filter\":{\"operation\":\"=\",\"value\":\"ApiGateway\"},\"key\":\"filterj1hRfnyW\",\"resultType\":\"string\",\"type\":\"filter\"}],\"typeDimensions\":[{\"alias\":\"时间\",\"key\":\"type336bqk8x\",\"type\":\"time\"}],\"valueDimensions\":[{\"aggregation\":\"avg\",\"alias\":\"平均延迟（ms）\",\"field\":\"application_http-elapsed_mean::field\",\"key\":\"valueywTyWVde\",\"resultType\":\"number\",\"type\":\"field\"}]},\"optionProps\":{\"invalidToZero\":true,\"noAreaColor\":true}},\"controls\":null,\"dataSourceType\":\"api\",\"description\":\"\",\"staticData\":{},\"title\":\"响应时间\"},\"w\":24,\"x\":0,\"y\":17}]',NULL,NULL,NULL,'v2'),('topology_node_mq','topology_node_mq','',NULL,'micro_service','global','[{\"h\":10,\"i\":\"view-kV69Moc4\",\"view\":{\"api\":{\"body\":{\"from\":[\"application_mq_service\"],\"groupby\":[\"time()\"],\"select\":[{\"alias\":\"typeFxiuOiOf\",\"expr\":\"time()\"},{\"alias\":\"valueYaLkGKG1\",\"expr\":\"round_float(sum(count_sum::field), 2)\"}],\"where\":[\"host::tag=\'{{host}}\'\"]},\"extraData\":null,\"header\":null,\"method\":\"post\",\"query\":{\"end\":\"{{endTime}}\",\"epoch\":\"ms\",\"filter__metric_scope\":\"micro_service\",\"filter__metric_scope_id\":\"{{terminusKey}}\",\"format\":\"chartv2\",\"ql\":\"influxql:ast\",\"start\":\"{{startTime}}\",\"type\":\"_\"},\"url\":\"/api/tmc/metrics-query\"},\"chartType\":\"chart:line\",\"config\":{\"dataSourceConfig\":{\"activedMetricGroups\":[\"application_mq_service\"],\"resultFilters\":[{\"alias\":\"主机\",\"field\":\"application_mq_service-host::tag\",\"filter\":{\"operation\":\"=\",\"value\":\"{{host}}\"},\"key\":\"filter7m5S3zhY\",\"resultType\":\"string\",\"type\":\"filter\"}],\"typeDimensions\":[{\"alias\":\"时间\",\"key\":\"typeFxiuOiOf\",\"type\":\"time\"}],\"valueDimensions\":[{\"aggregation\":\"sum\",\"alias\":\"请求次数\",\"field\":\"application_mq_service-count_sum::field\",\"key\":\"valueYaLkGKG1\",\"resultType\":\"number\",\"type\":\"field\"}]},\"optionProps\":{\"invalidToZero\":true,\"isConnectNulls\":true,\"isMoreThanOneDay\":false,\"noAreaColor\":true,\"nullDisplay\":\"--\"}},\"controls\":null,\"dataSourceType\":\"api\",\"description\":\"\",\"staticData\":{},\"title\":\"吞吐量\"},\"w\":24,\"x\":0,\"y\":0},{\"h\":10,\"i\":\"view-raHXzLcO\",\"view\":{\"api\":{\"body\":{\"from\":[\"application_mq_service\"],\"groupby\":[\"time()\"],\"select\":[{\"alias\":\"type6jWJnYDU\",\"expr\":\"time()\"},{\"alias\":\"value4fg9lHMB\",\"expr\":\"sum(elapsed_sum::field)/sum(count_sum::field)\"}],\"where\":[\"host::tag=\'{{host}}\'\"]},\"extraData\":null,\"header\":null,\"method\":\"post\",\"query\":{\"end\":\"{{endTime}}\",\"epoch\":\"ms\",\"filter__metric_scope\":\"micro_service\",\"filter__metric_scope_id\":\"{{terminusKey}}\",\"format\":\"chartv2\",\"ql\":\"influxql:ast\",\"start\":\"{{startTime}}\",\"type\":\"_\"},\"url\":\"/api/tmc/metrics-query\"},\"chartType\":\"chart:line\",\"config\":{\"dataSourceConfig\":{\"activedMetricGroups\":[\"application_mq_service\"],\"resultFilters\":[{\"alias\":\"主机\",\"field\":\"application_mq_service-host::tag\",\"filter\":{\"operation\":\"=\",\"value\":\"{{host}}\"},\"key\":\"filterZCeYWbcE\",\"resultType\":\"string\",\"type\":\"filter\"}],\"typeDimensions\":[{\"alias\":\"时间\",\"key\":\"type6jWJnYDU\",\"type\":\"time\"}],\"valueDimensions\":[{\"alias\":\"平均延迟(ms)\",\"expr\":\"sum(elapsed_sum::field)/sum(count_sum::field)\",\"key\":\"value4fg9lHMB\",\"type\":\"expr\",\"unit\":{\"type\":\"TIME\",\"unit\":\"ns\"}}]},\"optionProps\":{\"invalidToZero\":true,\"isConnectNulls\":true,\"isMoreThanOneDay\":false,\"noAreaColor\":true,\"nullDisplay\":\"--\"}},\"controls\":null,\"dataSourceType\":\"api\",\"description\":\"\",\"staticData\":{},\"title\":\"响应时间\"},\"w\":24,\"x\":0,\"y\":10}]',NULL,NULL,NULL,'v2'),('topology_node_service','topology_node_service','',NULL,'micro_service','global','[{\"h\":4,\"i\":\"view-micro_service_overview\",\"view\":{\"api\":{\"method\":\"get\",\"query\":{\"end\":\"{{endTime}}\",\"scope\":\"micro_service\",\"serviceId\":\"{{serviceId}}\",\"serviceName\":\"{{serviceName}}\",\"start\":\"{{startTime}}\",\"terminusKey\":\"{{terminusKey}}\"},\"url\":\"/api/apm/topology/service/overview\"},\"chartType\":\"card\",\"config\":{\"dataSourceConfig\":{\"valueDimensions\":[{\"alias\":\"运行中实例\",\"key\":\"running_instances\",\"resultType\":\"number\",\"type\":\"field\"},{\"alias\":\"已停止实例\",\"key\":\"stopped_instances\",\"resultType\":\"number\",\"type\":\"field\"},{\"alias\":\"错误请求\",\"key\":\"service_error_req_count\",\"resultType\":\"number\",\"type\":\"field\"},{\"alias\":\"服务异常\",\"key\":\"service_exception_count\",\"resultType\":\"number\",\"type\":\"field\"},{\"alias\":\"告警次数\",\"key\":\"alert_count\",\"resultType\":\"number\",\"type\":\"field\"}]},\"optionProps\":{\"isMoreThanOneDay\":false}},\"dataSourceType\":\"api\",\"description\":\"\",\"staticData\":{},\"title\":\"服务概览\"},\"w\":24,\"x\":0,\"y\":0},{\"h\":8,\"i\":\"view-service-request-translation\",\"view\":{\"api\":{\"method\":\"get\",\"query\":{\"end\":\"{{endTime}}\",\"scope\":\"micro_service\",\"serviceId\":\"{{serviceId}}\",\"serviceName\":\"{{serviceName}}\",\"start\":\"{{startTime}}\",\"terminusKey\":\"{{terminusKey}}\"},\"url\":\"/api/apm/topology/service/requests\"},\"chartType\":\"table\",\"config\":{\"dataSourceConfig\":{\"valueDimensions\":[{\"aggregation\":\"sum\",\"alias\":\"事务类型\",\"key\":\"requestType\",\"resultType\":\"string\",\"type\":\"field\"},{\"aggregation\":\"sum\",\"alias\":\"调用次数\",\"key\":\"requestCount\",\"resultType\":\"number\",\"type\":\"field\"},{\"aggregation\":\"avg\",\"alias\":\"平均响应时间（ms）\",\"key\":\"requestAvgTime\",\"resultType\":\"number\",\"type\":\"field\"},{\"alias\":\"错误率 (%)\",\"key\":\"requestErrorRate\",\"resultType\":\"number\",\"type\":\"field\"}]},\"optionProps\":{\"invalidToZero\":true,\"isMoreThanOneDay\":true,\"moreThanOneDayFormat\":\"M/D\"}},\"dataSourceType\":\"api\",\"description\":\"\",\"staticData\":null,\"title\":\"事务分析\"},\"w\":24,\"x\":0,\"y\":9},{\"h\":8,\"i\":\"view-q9ybiy3z\",\"view\":{\"api\":{\"body\":{\"from\":[\"application_http\"],\"groupby\":[\"time()\"],\"select\":[{\"alias\":\"typeRvHzWW3T\",\"expr\":\"time()\"},{\"alias\":\"valueoTl2ugqu\",\"expr\":\"round_float(sum(elapsed_count::field), 2)\"}],\"where\":[\"target_service_name::tag=\'{{serviceName}}\'\"]},\"extraData\":null,\"header\":null,\"method\":\"post\",\"query\":{\"end\":\"{{endTime}}\",\"epoch\":\"ms\",\"filter__metric_scope\":\"micro_service\",\"filter__metric_scope_id\":\"{{terminusKey}}\",\"filter_target_application_id\":\"{{applicationId}}\",\"format\":\"chartv2\",\"ql\":\"influxql:ast\",\"start\":\"{{startTime}}\",\"type\":\"_\"},\"url\":\"/api/tmc/metrics-query\"},\"chartType\":\"chart:line\",\"config\":{\"dataSourceConfig\":{\"activedMetricGroups\":[\"application_http\"],\"resultFilters\":[{\"alias\":\"目标服务名称\",\"field\":\"application_http-target_service_name::tag\",\"filter\":{\"operation\":\"=\",\"value\":\"{{serviceName}}\"},\"key\":\"filterRpvruLuG\",\"resultType\":\"string\",\"type\":\"filter\"}],\"typeDimensions\":[{\"alias\":\"时间\",\"key\":\"typeRvHzWW3T\",\"type\":\"time\"}],\"valueDimensions\":[{\"aggregation\":\"sum\",\"alias\":\"HTTP 请求次数\",\"field\":\"application_http-elapsed_count::field\",\"key\":\"valueoTl2ugqu\",\"resultType\":\"number\",\"type\":\"field\"}]},\"optionProps\":{\"invalidToZero\":true,\"isConnectNulls\":true,\"isMoreThanOneDay\":true,\"noAreaColor\":true,\"nullDisplay\":\"--\"}},\"controls\":null,\"dataSourceType\":\"api\",\"description\":\"\",\"staticData\":{},\"title\":\"吞吐量\"},\"w\":24,\"x\":0,\"y\":18}]',NULL,NULL,NULL,'v2'),('translation_analysis_cache','translation_analysis_cache','',NULL,'micro_service','global','[{\"h\":9,\"i\":\"view-1XA1pzWR\",\"view\":{\"api\":{\"body\":{\"from\":[\"application_cache\"],\"groupby\":[\"time()\"],\"select\":[{\"alias\":\"typegq99wZs2\",\"expr\":\"time()\"},{\"alias\":\"valueSR6vrde7\",\"expr\":\"round_float(count(elapsed_count::field), 2)\"}],\"where\":[\"db_statement::tag=~/.*{{subSearch}}.*/\"]},\"extraData\":null,\"header\":null,\"method\":\"post\",\"query\":{\"end\":\"{{endTime}}\",\"epoch\":\"ms\",\"filter__metric_scope\":\"micro_service\",\"filter__metric_scope_id\":\"{{terminusKey}}\",\"filter_source_service_id\":\"{{serviceId}}\",\"filter_terminus_key\":\"{{terminusKey}}\",\"format\":\"chartv2\",\"ql\":\"influxql:ast\",\"search\":\"{{search}}\",\"serviceName\":\"{{serviceName}}\",\"start\":\"{{startTime}}\",\"type\":\"_\"},\"url\":\"/api/tmc/metrics-query\"},\"chartType\":\"chart:bar\",\"config\":{\"dataSourceConfig\":{\"activedMetricGroups\":[\"application_cache\",\"application_cahce_request\"],\"typeDimensions\":[{\"alias\":\"时间\",\"key\":\"typegq99wZs2\",\"timeFormat\":\"YYYY/MM/DD\",\"timeInterval\":{\"unit\":\"m\",\"value\":1},\"type\":\"time\"}],\"valueDimensions\":[{\"aggregation\":\"count\",\"alias\":\"请求次数\",\"field\":\"application_cache-elapsed_count::field\",\"key\":\"valueSR6vrde7\",\"resultType\":\"number\",\"type\":\"field\"}]},\"optionProps\":{\"isMoreThanOneDay\":true,\"moreThanOneDayFormat\":\"YYYY/MM/DD\"}},\"controls\":null,\"dataSourceType\":\"api\",\"description\":\"\",\"staticData\":{},\"title\":\"服务请求\"},\"w\":11,\"x\":0,\"y\":0},{\"h\":9,\"i\":\"view-J4SwjHDP\",\"view\":{\"api\":{\"body\":{\"from\":[\"application_cache\"],\"groupby\":[\"time()\"],\"select\":[{\"alias\":\"typeQuPvs7M2\",\"expr\":\"time()\"},{\"alias\":\"valueCxbcWuWT\",\"expr\":\"round_float(avg(elapsed_mean::field), 2)\"}],\"where\":[\"db_statement::tag=~/.*{{subSearch}}.*/\"]},\"extraData\":null,\"header\":null,\"method\":\"post\",\"query\":{\"end\":\"{{endTime}}\",\"epoch\":\"ms\",\"filter__metric_scope\":\"micro_service\",\"filter__metric_scope_id\":\"{{terminusKey}}\",\"filter_source_service_id\":\"{{serviceId}}\",\"filter_terminus_key\":\"{{terminusKey}}\",\"format\":\"chartv2\",\"ql\":\"influxql:ast\",\"serviceName\":\"{{serviceName}}\",\"start\":\"{{startTime}}\",\"type\":\"_\"},\"url\":\"/api/tmc/metrics-query\"},\"chartType\":\"chart:line\",\"config\":{\"dataSourceConfig\":{\"activedMetricGroups\":[\"application_cache\",\"application_cache_request\"],\"typeDimensions\":[{\"alias\":\"时间\",\"key\":\"typeQuPvs7M2\",\"timeFormat\":\"YYYY/MM/DD\",\"timeInterval\":{\"unit\":\"m\",\"value\":1},\"type\":\"time\"}],\"valueDimensions\":[{\"aggregation\":\"avg\",\"alias\":\"平均响应时间\",\"field\":\"application_cache-elapsed_mean::field\",\"key\":\"valueCxbcWuWT\",\"resultType\":\"number\",\"type\":\"field\",\"unit\":{\"type\":\"TIME\",\"unit\":\"ns\"}}]},\"optionProps\":{\"isMoreThanOneDay\":true,\"moreThanOneDayFormat\":\"YYYY/MM/DD\",\"noAreaColor\":true}},\"controls\":null,\"dataSourceType\":\"api\",\"description\":\"\",\"staticData\":{},\"title\":\"请求延迟\"},\"w\":13,\"x\":11,\"y\":0},{\"h\":10,\"i\":\"view-lVTYdASX\",\"view\":{\"api\":{\"body\":null,\"extraData\":null,\"header\":null,\"method\":\"get\",\"query\":{\"end\":\"{{endTime}}\",\"filterServiceName\":\"{{serviceName}}\",\"layer\":\"cache\",\"search\":\"{{search}}\",\"serviceId\":\"{{serviceId}}\",\"sort\":\"{{sort}}\",\"start\":\"{{startTime}}\",\"terminusKey\":\"{{terminusKey}}\"},\"url\":\"/api/apm/topology/translation/db\"},\"chartType\":\"table\",\"config\":{\"dataSourceConfig\":{\"valueDimensions\":[{\"alias\":\"执行语句\",\"key\":\"operation\",\"resultType\":\"string\",\"type\":\"field\"},{\"alias\":\"缓存类型\",\"key\":\"db_type\",\"resultType\":\"string\",\"type\":\"field\"},{\"alias\":\"缓存实例\",\"key\":\"db_instance\",\"resultType\":\"string\",\"type\":\"field\"},{\"alias\":\"缓存地址\",\"key\":\"db_host\",\"resultType\":\"string\",\"type\":\"field\"},{\"alias\":\"调用次数\",\"key\":\"call_count\",\"resultType\":\"number\",\"type\":\"field\"},{\"alias\":\"慢调用次数\",\"key\":\"slow_elapsed_count\",\"resultType\":\"number\",\"type\":\"field\"},{\"alias\":\"平均延迟\",\"key\":\"avg_elapsed\",\"resultType\":\"string\",\"type\":\"field\"}]},\"optionProps\":{\"isMoreThanOneDay\":true,\"moreThanOneDayFormat\":\"M/D\",\"rowClick\":{\"name\":\"searchTranslation\",\"value\":\"operation\"}}},\"controls\":null,\"dataSourceType\":\"api\",\"description\":\"\",\"staticData\":{},\"title\":\"缓存调用\"},\"w\":24,\"x\":0,\"y\":9}]',NULL,NULL,NULL,'v2'),('translation_analysis_database','translation_analysis_database','',NULL,'micro_service','global','[{\"h\":9,\"i\":\"view-1XA1pzWR\",\"view\":{\"api\":{\"body\":{\"from\":[\"application_db\"],\"groupby\":[\"time()\"],\"select\":[{\"alias\":\"typegq99wZs2\",\"expr\":\"time()\"},{\"alias\":\"valueSR6vrde7\",\"expr\":\"round_float(count(elapsed_count::field), 2)\"}],\"where\":[\"db_statement::tag=~/.*{{subSearch}}.*/\"]},\"extraData\":null,\"header\":null,\"method\":\"post\",\"query\":{\"end\":\"{{endTime}}\",\"epoch\":\"ms\",\"filter__metric_scope\":\"micro_service\",\"filter__metric_scope_id\":\"{{terminusKey}}\",\"filter_source_service_id\":\"{{serviceId}}\",\"filter_terminus_key\":\"{{terminusKey}}\",\"format\":\"chartv2\",\"ql\":\"influxql:ast\",\"serviceName\":\"{{serviceName}}\",\"start\":\"{{startTime}}\",\"type\":\"_\"},\"url\":\"/api/tmc/metrics-query\"},\"chartType\":\"chart:bar\",\"config\":{\"dataSourceConfig\":{\"activedMetricGroups\":[\"application_db\",\"application_db_request\"],\"typeDimensions\":[{\"alias\":\"时间\",\"key\":\"typegq99wZs2\",\"timeFormat\":\"YYYY/MM/DD\",\"timeInterval\":{\"unit\":\"m\",\"value\":1},\"type\":\"time\"}],\"valueDimensions\":[{\"aggregation\":\"count\",\"alias\":\"请求次数\",\"field\":\"application_db-elapsed_count::field\",\"key\":\"valueSR6vrde7\",\"resultType\":\"number\",\"type\":\"field\"}]},\"optionProps\":{\"isMoreThanOneDay\":false,\"moreThanOneDayFormat\":\"YYYY/MM/DD\"}},\"controls\":null,\"dataSourceType\":\"api\",\"description\":\"\",\"staticData\":{},\"title\":\"服务请求\"},\"w\":11,\"x\":0,\"y\":0},{\"h\":9,\"i\":\"view-J4SwjHDP\",\"view\":{\"api\":{\"body\":{\"from\":[\"application_db\"],\"groupby\":[\"time()\"],\"select\":[{\"alias\":\"typeQuPvs7M2\",\"expr\":\"time()\"},{\"alias\":\"valueCxbcWuWT\",\"expr\":\"round_float(avg(elapsed_mean::field), 2)\"}],\"where\":[\"db_statement::tag=~/.*{{subSearch}}.*/\"]},\"extraData\":null,\"header\":null,\"method\":\"post\",\"query\":{\"end\":\"{{endTime}}\",\"epoch\":\"ms\",\"filter__metric_scope\":\"micro_service\",\"filter__metric_scope_id\":\"{{terminusKey}}\",\"filter_source_service_id\":\"{{serviceId}}\",\"filter_terminus_key\":\"{{terminusKey}}\",\"format\":\"chartv2\",\"ql\":\"influxql:ast\",\"serviceName\":\"{{serviceName}}\",\"start\":\"{{startTime}}\",\"type\":\"_\"},\"url\":\"/api/tmc/metrics-query\"},\"chartType\":\"chart:line\",\"config\":{\"dataSourceConfig\":{\"activedMetricGroups\":[\"application_db\",\"application_db_request\"],\"typeDimensions\":[{\"alias\":\"时间\",\"key\":\"typeQuPvs7M2\",\"timeFormat\":\"YYYY/MM/DD\",\"timeInterval\":{\"unit\":\"m\",\"value\":1},\"type\":\"time\"}],\"valueDimensions\":[{\"aggregation\":\"avg\",\"alias\":\"平均响应时间\",\"field\":\"application_db-elapsed_mean::field\",\"key\":\"valueCxbcWuWT\",\"resultType\":\"number\",\"type\":\"field\",\"unit\":{\"type\":\"TIME\",\"unit\":\"ns\"}}]},\"optionProps\":{\"isMoreThanOneDay\":false,\"moreThanOneDayFormat\":\"YYYY/MM/DD\",\"noAreaColor\":true}},\"controls\":null,\"dataSourceType\":\"api\",\"description\":\"\",\"staticData\":{},\"title\":\"请求延迟\"},\"w\":13,\"x\":11,\"y\":0},{\"h\":10,\"i\":\"view-lVTYdASX\",\"view\":{\"api\":{\"body\":null,\"extraData\":null,\"header\":null,\"method\":\"get\",\"query\":{\"end\":\"{{endTime}}\",\"filterServiceName\":\"{{serviceName}}\",\"layer\":\"db\",\"search\":\"{{search}}\",\"serviceId\":\"{{serviceId}}\",\"sort\":\"{{sort}}\",\"start\":\"{{startTime}}\",\"terminusKey\":\"{{terminusKey}}\"},\"url\":\"/api/apm/topology/translation/db\"},\"chartType\":\"table\",\"config\":{\"dataSourceConfig\":{\"valueDimensions\":[{\"alias\":\"SQL\",\"key\":\"operation\",\"resultType\":\"string\",\"type\":\"field\"},{\"alias\":\"数据库类型\",\"key\":\"db_type\",\"resultType\":\"string\",\"type\":\"field\"},{\"alias\":\"数据库实例\",\"key\":\"db_instance\",\"resultType\":\"string\",\"type\":\"field\"},{\"alias\":\"数据库地址\",\"key\":\"db_host\",\"resultType\":\"string\",\"type\":\"field\"},{\"alias\":\"调用次数\",\"key\":\"call_count\",\"resultType\":\"number\",\"type\":\"field\"},{\"alias\":\"慢调用次数\",\"key\":\"slow_elapsed_count\",\"resultType\":\"number\",\"type\":\"field\"},{\"alias\":\"平均延迟\",\"key\":\"avg_elapsed\",\"resultType\":\"string\",\"type\":\"field\"}]},\"optionProps\":{\"isMoreThanOneDay\":true,\"moreThanOneDayFormat\":\"M/D\",\"rowClick\":{\"name\":\"searchTranslation\",\"value\":\"operation\"}}},\"controls\":null,\"dataSourceType\":\"api\",\"description\":\"\",\"staticData\":{},\"title\":\"数据库调用\"},\"w\":24,\"x\":0,\"y\":9}]',NULL,NULL,NULL,'v2'),('translation_analysis_http','translation_analysis_http','',NULL,'micro_service','global','[{\"h\":11,\"i\":\"view-UQW30sdQ\",\"view\":{\"api\":{\"body\":{\"from\":[\"application_http\"],\"groupby\":[\"time()\"],\"select\":[{\"alias\":\"typeHWstw9Kl\",\"expr\":\"time()\"},{\"alias\":\"valuensYW3soM\",\"expr\":\"round_float(count(elapsed_count::field), 2)\"}],\"where\":[\"http_path::tag=~/.*{{subSearch}}.*/\"]},\"extraData\":null,\"header\":null,\"method\":\"post\",\"query\":{\"end\":\"{{endTime}}\",\"epoch\":\"ms\",\"filter__metric_scope\":\"micro_service\",\"filter__metric_scope_id\":\"{{terminusKey}}\",\"filter_target_service_id\":\"{{serviceId}}\",\"filter_terminus_key\":\"{{terminusKey}}\",\"format\":\"chartv2\",\"ql\":\"influxql:ast\",\"serviceName\":\"{{serviceName}}\",\"start\":\"{{startTime}}\",\"type\":\"_\"},\"url\":\"/api/tmc/metrics-query\"},\"chartType\":\"chart:bar\",\"config\":{\"dataSourceConfig\":{\"activedMetricGroups\":[\"application_http\",\"application_http_request\"],\"typeDimensions\":[{\"alias\":\"时间\",\"key\":\"typeHWstw9Kl\",\"timeField\":{},\"timeFormat\":\"YYYY/MM/DD\",\"timeInterval\":{\"unit\":\"m\",\"value\":1},\"type\":\"time\"}],\"valueDimensions\":[{\"aggregation\":\"count\",\"alias\":\"请求次数\",\"field\":\"application_http-elapsed_count::field\",\"key\":\"valuensYW3soM\",\"resultType\":\"number\",\"type\":\"field\"}]},\"optionProps\":{\"isConnectNulls\":false,\"isLabel\":false,\"isMoreThanOneDay\":true,\"moreThanOneDayFormat\":\"YYYY/MM/DD\"}},\"controls\":null,\"dataSourceType\":\"api\",\"description\":\"\",\"staticData\":{},\"title\":\"服务请求\"},\"w\":12,\"x\":0,\"y\":10},{\"h\":11,\"i\":\"view-WPTjI5ir\",\"view\":{\"api\":{\"body\":{\"from\":[\"application_http\"],\"groupby\":[\"time()\"],\"select\":[{\"alias\":\"type2jCjYVIp\",\"expr\":\"time()\"},{\"alias\":\"valueZjrFmhZg\",\"expr\":\"round_float(avg(elapsed_mean::field), 2)\"}],\"where\":[\"http_path::tag=~/.*{{subSearch}}.*/\"]},\"extraData\":null,\"header\":null,\"method\":\"post\",\"query\":{\"end\":\"{{endTime}}\",\"epoch\":\"ms\",\"filter__metric_scope\":\"micro_service\",\"filter__metric_scope_id\":\"{{terminusKey}}\",\"filter_target_service_id\":\"{{serviceId}}\",\"filter_terminus_key\":\"{{terminusKey}}\",\"format\":\"chartv2\",\"ql\":\"influxql:ast\",\"serviceName\":\"{{serviceName}}\",\"start\":\"{{startTime}}\",\"type\":\"_\"},\"url\":\"/api/tmc/metrics-query\"},\"chartType\":\"chart:line\",\"config\":{\"dataSourceConfig\":{\"activedMetricGroups\":[\"application_http\",\"application_http_request\"],\"typeDimensions\":[{\"alias\":\"时间\",\"key\":\"type2jCjYVIp\",\"timeFormat\":\"YYYY/MM/DD\",\"timeInterval\":{\"unit\":\"m\",\"value\":1},\"type\":\"time\"}],\"valueDimensions\":[{\"aggregation\":\"avg\",\"alias\":\"平均响应时间\",\"field\":\"application_http-elapsed_mean::field\",\"key\":\"valueZjrFmhZg\",\"resultType\":\"number\",\"type\":\"field\",\"unit\":{\"type\":\"TIME\",\"unit\":\"ns\"}}]},\"optionProps\":{\"isMoreThanOneDay\":true,\"moreThanOneDayFormat\":\"YYYY/MM/DD\",\"noAreaColor\":true}},\"controls\":null,\"dataSourceType\":\"api\",\"description\":\"\",\"staticData\":{},\"title\":\"请求延迟\"},\"w\":12,\"x\":12,\"y\":10},{\"h\":10,\"i\":\"view-lVTYdASX\",\"view\":{\"api\":{\"body\":null,\"extraData\":null,\"header\":null,\"method\":\"get\",\"query\":{\"end\":\"{{endTime}}\",\"filterServiceName\":\"{{serviceName}}\",\"layer\":\"http\",\"search\":\"{{search}}\",\"serviceId\":\"{{serviceId}}\",\"sort\":\"{{sort}}\",\"start\":\"{{startTime}}\",\"terminusKey\":\"{{terminusKey}}\"},\"url\":\"/api/apm/topology/translation\"},\"chartType\":\"table\",\"config\":{\"dataSourceConfig\":{\"valueDimensions\":[{\"alias\":\"事务名称\",\"key\":\"translation_name\",\"resultType\":\"string\",\"type\":\"field\"},{\"alias\":\"调用次数\",\"key\":\"elapsed_count\",\"resultType\":\"number\",\"type\":\"field\"},{\"alias\":\"错误次数\",\"key\":\"error_count\",\"resultType\":\"number\",\"type\":\"field\"},{\"alias\":\"慢调用次数\",\"key\":\"slow_elapsed_count\",\"resultType\":\"number\",\"type\":\"field\"},{\"alias\":\"平均延迟\",\"key\":\"avg_elapsed\",\"resultType\":\"string\",\"type\":\"field\"}]},\"optionProps\":{\"isMoreThanOneDay\":true,\"moreThanOneDayFormat\":\"M/D\",\"rowClick\":{\"name\":\"searchTranslation\",\"value\":\"translation_name\"}}},\"controls\":null,\"dataSourceType\":\"api\",\"description\":\"\",\"staticData\":{},\"title\":\"HTTP事务\"},\"w\":24,\"x\":0,\"y\":0},{\"h\":9,\"i\":\"view-FlQBcOqT\",\"view\":{\"api\":{\"body\":null,\"extraData\":null,\"header\":null,\"method\":\"get\",\"query\":{\"end\":\"{{endTime}}\",\"filter__metric_scope\":\"micro_service\",\"filter__metric_scope_id\":\"{{terminusKey}}\",\"filter_target_service_id\":\"{{serviceId}}\",\"filter_terminus_key\":\"{{terminusKey}}\",\"format\":\"chartv2\",\"q\":\"SELECT http_path::tag as URL,format_time(timestamp,\'2006-01-02 15:04:05\') as 时间,format_duration(max(elapsed_max::field),\'\',2) as 最大耗时,format_duration(min(elapsed_min::field),\'\',2) as 最小耗时 FROM application_http WHERE http_path::tag=~/.*{{subSearch}}.*/ AND target_service_name::tag=~/.*{{serviceName}}.*/ GROUP BY http_path::tag ORDER BY avg(elapsed_mean::field) DESC LIMIT 50 \",\"ql\":\"influxql\",\"start\":\"{{startTime}}\",\"type\":\"_\"},\"url\":\"/api/tmc/metrics-query\"},\"chartType\":\"table\",\"config\":{\"dataSourceConfig\":{\"isSqlMode\":true,\"sql\":{\"from\":\"application_http_slow\",\"fromSource\":[\"application_http\",\"application_http_slow\"],\"groupBy\":\"http_path::tag\",\"limit\":50,\"orderBy\":\"\",\"select\":\"http_path::tag as URL,format_time(timestamp,\'2006-01-02 15:04:05\') as 时间,format_duration(elapsed_max::field,\'\',2) as 最大耗时,format_duration(elapsed_min::field,\'\',2) as 最小耗时\",\"where\":[\"http_path::tag=~/.*{{subSearch}}.*/\"]}},\"optionProps\":{\"isMoreThanOneDay\":true,\"moreThanOneDayFormat\":\"M/D\",\"rowClick\":{\"name\":\"traceSlowTranslation\",\"value\":\"URL\"}}},\"controls\":null,\"dataSourceType\":\"api\",\"description\":\"\",\"staticData\":{},\"title\":\"慢事务追踪top50\"},\"w\":14,\"x\":0,\"y\":21},{\"h\":9,\"i\":\"view-sCRTdIQb\",\"view\":{\"api\":{\"body\":null,\"extraData\":null,\"header\":null,\"method\":\"get\",\"query\":{\"end\":\"{{endTime}}\",\"filter__metric_scope\":\"micro_service\",\"filter__metric_scope_id\":\"{{terminusKey}}\",\"filter_target_service_id\":\"{{serviceId}}\",\"filter_terminus_key\":\"{{terminusKey}}\",\"format\":\"chartv2\",\"q\":\"SELECT http_path::tag as URL,format_time(timestamp,\'2006-01-02 15:04:05\') as 时间 FROM application_http_error WHERE http_path::tag=~/.*{{subSearch}}.*/ AND target_service_name::tag=~/.*{{serviceName}}.*/ GROUP BY http_path::tag ORDER BY max(timestamp) DESC LIMIT 50 \",\"ql\":\"influxql\",\"serviceName\":\"{{serviceName}}\",\"start\":\"{{startTime}}\",\"type\":\"_\"},\"url\":\"/api/tmc/metrics-query\"},\"chartType\":\"table\",\"config\":{\"dataSourceConfig\":{\"isSqlMode\":true,\"sql\":{\"from\":\"application_http_error\",\"fromSource\":[\"application_http\",\"application_http_error\"],\"groupBy\":\"http_path::tag\",\"limit\":50,\"select\":\"http_path::tag as URL,format_time(timestamp,\'2006-01-02 15:04:05\') as 时间\",\"where\":[\"http_path::tag=~/.*{{subSearch}}.*/\"]}},\"optionProps\":{\"isMoreThanOneDay\":true,\"moreThanOneDayFormat\":\"M/D\",\"rowClick\":{\"name\":\"traceSlowTranslation\",\"value\":\"URL\"}}},\"controls\":null,\"dataSourceType\":\"api\",\"description\":\"\",\"staticData\":{},\"title\":\"错误事务追踪Top50\"},\"w\":10,\"x\":14,\"y\":21}]',NULL,NULL,NULL,'v2'),('translation_analysis_rpc','translation_analysis_rpc','',NULL,'micro_service','global','[{\"h\":11,\"i\":\"view-UQW30sdQ\",\"view\":{\"api\":{\"body\":{\"from\":[\"application_rpc\"],\"groupby\":[\"time()\"],\"select\":[{\"alias\":\"typeHWstw9Kl\",\"expr\":\"time()\"},{\"alias\":\"valueV71fTatk\",\"expr\":\"round_float(count(elapsed_count::field), 2)\"}],\"where\":[\"dubbo_method::tag=~/.*{{subSearch}}.*/\"]},\"extraData\":null,\"header\":null,\"method\":\"post\",\"query\":{\"end\":\"{{endTime}}\",\"epoch\":\"ms\",\"filter__metric_scope\":\"micro_service\",\"filter__metric_scope_id\":\"{{terminusKey}}\",\"filter_target_service_id\":\"{{serviceId}}\",\"filter_terminus_key\":\"{{terminusKey}}\",\"format\":\"chartv2\",\"ql\":\"influxql:ast\",\"serviceName\":\"{{serviceName}}\",\"start\":\"{{startTime}}\",\"type\":\"_\"},\"url\":\"/api/tmc/metrics-query\"},\"chartType\":\"chart:bar\",\"config\":{\"dataSourceConfig\":{\"activedMetricGroups\":[\"application_rpc\",\"application_rpc_request\"],\"typeDimensions\":[{\"alias\":\"时间\",\"key\":\"typeHWstw9Kl\",\"timeField\":{},\"timeFormat\":\"YYYY/MM/DD\",\"timeInterval\":{\"unit\":\"m\",\"value\":1},\"type\":\"time\"}],\"valueDimensions\":[{\"aggregation\":\"count\",\"alias\":\"请求次数\",\"field\":\"application_rpc-elapsed_count::field\",\"key\":\"valueV71fTatk\",\"resultType\":\"number\",\"type\":\"field\"}]},\"optionProps\":{\"isConnectNulls\":false,\"isLabel\":false,\"isMoreThanOneDay\":true,\"moreThanOneDayFormat\":\"YYYY/MM/DD\"}},\"controls\":null,\"dataSourceType\":\"api\",\"description\":\"\",\"staticData\":{},\"title\":\"服务请求\"},\"w\":12,\"x\":0,\"y\":10},{\"h\":11,\"i\":\"view-WPTjI5ir\",\"view\":{\"api\":{\"body\":{\"from\":[\"application_rpc\"],\"groupby\":[\"time()\"],\"select\":[{\"alias\":\"type2jCjYVIp\",\"expr\":\"time()\"},{\"alias\":\"valueaecENLIN\",\"expr\":\"round_float(avg(elapsed_mean::field), 2)\"}],\"where\":[\"dubbo_method::tag=~/.*{{subSearch}}.*/\"]},\"extraData\":null,\"header\":null,\"method\":\"post\",\"query\":{\"end\":\"{{endTime}}\",\"epoch\":\"ms\",\"filter__metric_scope\":\"micro_service\",\"filter__metric_scope_id\":\"{{terminusKey}}\",\"filter_target_service_id\":\"{{serviceId}}\",\"filter_terminus_key\":\"{{terminusKey}}\",\"format\":\"chartv2\",\"ql\":\"influxql:ast\",\"serviceName\":\"{{serviceName}}\",\"start\":\"{{startTime}}\",\"type\":\"_\"},\"url\":\"/api/tmc/metrics-query\"},\"chartType\":\"chart:line\",\"config\":{\"dataSourceConfig\":{\"activedMetricGroups\":[\"application_rpc\",\"application_rpc_request\"],\"typeDimensions\":[{\"alias\":\"时间\",\"key\":\"type2jCjYVIp\",\"timeFormat\":\"YYYY/MM/DD\",\"timeInterval\":{\"unit\":\"m\",\"value\":1},\"type\":\"time\"}],\"valueDimensions\":[{\"aggregation\":\"avg\",\"alias\":\"请求耗时平均值\",\"field\":\"application_rpc-elapsed_mean::field\",\"key\":\"valueaecENLIN\",\"resultType\":\"number\",\"type\":\"field\",\"unit\":{\"type\":\"TIME\",\"unit\":\"ns\"}}]},\"optionProps\":{\"isMoreThanOneDay\":true,\"moreThanOneDayFormat\":\"YYYY/MM/DD\",\"noAreaColor\":true}},\"controls\":null,\"dataSourceType\":\"api\",\"description\":\"\",\"staticData\":{},\"title\":\"请求延迟\"},\"w\":12,\"x\":12,\"y\":10},{\"h\":10,\"i\":\"view-lVTYdASX\",\"view\":{\"api\":{\"body\":null,\"extraData\":null,\"header\":null,\"method\":\"get\",\"query\":{\"end\":\"{{endTime}}\",\"filterServiceName\":\"{{serviceName}}\",\"layer\":\"rpc\",\"search\":\"{{search}}\",\"serviceId\":\"{{serviceId}}\",\"sort\":\"{{sort}}\",\"start\":\"{{startTime}}\",\"terminusKey\":\"{{terminusKey}}\"},\"url\":\"/api/apm/topology/translation\"},\"chartType\":\"table\",\"config\":{\"dataSourceConfig\":{\"valueDimensions\":[{\"alias\":\"事务名称\",\"key\":\"translation_name\",\"resultType\":\"string\",\"type\":\"field\"},{\"alias\":\"调用次数\",\"key\":\"elapsed_count\",\"resultType\":\"number\",\"type\":\"field\"},{\"alias\":\"错误次数\",\"key\":\"error_count\",\"resultType\":\"number\",\"type\":\"field\"},{\"alias\":\"慢调用次数\",\"key\":\"slow_elapsed_count\",\"resultType\":\"number\",\"type\":\"field\"},{\"alias\":\"平均延迟\",\"key\":\"avg_elapsed\",\"resultType\":\"string\",\"type\":\"field\"}]},\"optionProps\":{\"isMoreThanOneDay\":true,\"moreThanOneDayFormat\":\"M/D\",\"rowClick\":{\"name\":\"searchTranslation\",\"value\":\"translation_name\"}}},\"controls\":null,\"dataSourceType\":\"api\",\"description\":\"\",\"staticData\":{},\"title\":\"RPC事务\"},\"w\":24,\"x\":0,\"y\":0},{\"h\":9,\"i\":\"view-FlQBcOqT\",\"view\":{\"api\":{\"body\":null,\"extraData\":null,\"header\":null,\"method\":\"get\",\"query\":{\"end\":\"{{endTime}}\",\"filter__metric_scope\":\"micro_service\",\"filter__metric_scope_id\":\"{{terminusKey}}\",\"filter_target_service_id\":\"{{serviceId}}\",\"filter_terminus_key\":\"{{terminusKey}}\",\"format\":\"chartv2\",\"q\":\"SELECT dubbo_service::tag as Service,dubbo_method::tag as Method,format_time(timestamp,\'2006-01-02 15:04:05\') as 时间,format_duration(elapsed_max::field,\'\',2) as 最大耗时,format_duration(elapsed_min::field,\'\',2) as 最小耗时 FROM application_rpc_slow WHERE dubbo_method::tag=~/.*{{subSearch}}.*/ AND target_service_name::tag=~/.*{{serviceName}}.*/ GROUP BY dubbo_method::tag ORDER BY avg(elapsed_mean::field) DESC LIMIT 50 \",\"ql\":\"influxql\",\"start\":\"{{startTime}}\",\"type\":\"_\"},\"url\":\"/api/tmc/metrics-query\"},\"chartType\":\"table\",\"config\":{\"dataSourceConfig\":{\"isSqlMode\":true,\"sql\":{\"from\":\"application_rpc_slow\",\"fromSource\":[\"application_rpc\",\"application_rpc_slow\"],\"groupBy\":\"dubbo_method::tag\",\"limit\":50,\"orderBy\":\"\",\"select\":\"dubbo_method::tag as Method,format_time(timestamp,\'2006-01-02 15:04:05\') as 时间,format_duration(elapsed_max::field,\'\',2) as 最大耗时,format_duration(elapsed_min::field,\'\',2) as 最小耗时\",\"where\":[\"dubbo_method::tag=~/.*{{subSearch}}.*/\"]}},\"optionProps\":{\"isMoreThanOneDay\":true,\"moreThanOneDayFormat\":\"M/D\",\"rowClick\":{\"name\":\"traceSlowTranslation\",\"value\":\"Method\"}}},\"controls\":null,\"dataSourceType\":\"api\",\"description\":\"\",\"staticData\":{},\"title\":\"慢事务追踪top50\"},\"w\":14,\"x\":0,\"y\":21},{\"h\":9,\"i\":\"view-sCRTdIQb\",\"view\":{\"api\":{\"body\":null,\"extraData\":null,\"header\":null,\"method\":\"get\",\"query\":{\"end\":\"{{endTime}}\",\"filter__metric_scope\":\"micro_service\",\"filter__metric_scope_id\":\"{{terminusKey}}\",\"filter_target_service_id\":\"{{serviceId}}\",\"format\":\"chartv2\",\"q\":\"SELECT dubbo_service::tag as Service,dubbo_method::tag as Method,format_time(timestamp,\'2006-01-02 15:04:05\') as 时间 FROM application_rpc_error WHERE dubbo_method::tag=~/.*{{subSearch}}.*/ AND target_service_name::tag=~/.*{{serviceName}}.*/ GROUP BY dubbo_method::tag ORDER BY max(timestamp) DESC  LIMIT 50 \",\"ql\":\"influxql\",\"serviceName\":\"{{serviceName}}\",\"start\":\"{{startTime}}\",\"type\":\"_\"},\"url\":\"/api/tmc/metrics-query\"},\"chartType\":\"table\",\"config\":{\"dataSourceConfig\":{\"isSqlMode\":true,\"sql\":{\"from\":\"application_rpc_error\",\"fromSource\":[\"application_rpc\",\"application_rpc_error\"],\"groupBy\":\"dubbo_method::tag\",\"limit\":50,\"select\":\"dubbo_method::tag as Method,format_time(timestamp,\'2006-01-02 15:04:05\') as 时间\",\"where\":\"dubbo_method::tag=~/.*{{subSearch}}.*/\"}},\"optionProps\":{\"isMoreThanOneDay\":true,\"moreThanOneDayFormat\":\"M/D\",\"rowClick\":{\"name\":\"traceSlowTranslation\",\"value\":\"Method\"}}},\"controls\":null,\"dataSourceType\":\"api\",\"description\":\"\",\"staticData\":{},\"title\":\"错误事务追踪Top50\"},\"w\":10,\"x\":14,\"y\":21}]',NULL,NULL,NULL,'v2'),('weekly','运维周报模版','运维周报模版','','report','org','[{\"w\":4,\"h\":4,\"x\":0,\"y\":1,\"i\":\"d12\",\"view\":{\"title\":\"集群资源概况\",\"description\":\"\",\"chartType\":\"card\",\"dataSourceType\":\"static\",\"staticData\":null,\"config\":{},\"api\":{\"url\":\"/api/metrics/cluster_resource\",\"query\":{\"align\":false,\"cardinality\":\"tags.cluster_name\",\"end\":\"now\",\"filter_org_name\":\"\",\"format\":\"chartv2\",\"start\":\"before_5m\"},\"body\":{},\"header\":{}}}},{\"w\":4,\"h\":4,\"x\":4,\"y\":1,\"i\":\"d11\",\"view\":{\"title\":\" \",\"description\":\"\",\"chartType\":\"card\",\"dataSourceType\":\"static\",\"staticData\":null,\"config\":{},\"api\":{\"url\":\"/api/metrics/cluster_resource\",\"query\":{\"align\":false,\"cardinality\":\"tags.host_ip\",\"end\":\"now\",\"filter_org_name\":\"\",\"format\":\"chartv2\",\"start\":\"before_5m\"},\"body\":{},\"header\":{}}}},{\"w\":4,\"h\":4,\"x\":8,\"y\":1,\"i\":\"d13\",\"view\":{\"title\":\" \",\"description\":\"\",\"chartType\":\"card\",\"dataSourceType\":\"static\",\"staticData\":null,\"config\":{},\"api\":{\"url\":\"/api/metrics/cluster_resource\",\"query\":{\"align\":false,\"end\":\"now\",\"filter_org_name\":\"\",\"format\":\"chartv2\",\"group_reduce\":\"{group=tags.host_ip\\u0026last=fields.n_cpus\\u0026reduce=sum}\",\"start\":\"before_5m\"},\"body\":{},\"header\":{}}}},{\"w\":4,\"h\":4,\"x\":12,\"y\":1,\"i\":\"d14\",\"view\":{\"title\":\" \",\"description\":\"\",\"chartType\":\"card\",\"dataSourceType\":\"static\",\"staticData\":null,\"config\":{},\"api\":{\"url\":\"/api/metrics/cluster_resource\",\"query\":{\"align\":false,\"end\":\"now\",\"filter_org_name\":\"\",\"format\":\"chartv2\",\"group_reduce\":\"{group=tags.host_ip\\u0026last=fields.mem_total\\u0026reduce=sum}\",\"start\":\"before_5m\"},\"body\":{},\"header\":{}}}},{\"w\":4,\"h\":4,\"x\":16,\"y\":1,\"i\":\"d15\",\"view\":{\"title\":\" \",\"description\":\"\",\"chartType\":\"card\",\"dataSourceType\":\"static\",\"staticData\":null,\"config\":{},\"api\":{\"url\":\"/api/metrics/cluster_resource\",\"query\":{\"align\":false,\"end\":\"now\",\"filter_org_name\":\"\",\"format\":\"chartv2\",\"group_reduce\":\"{group=tags.host_ip\\u0026last=fields.cpu_request_total\\u0026reduce=sum}\",\"start\":\"before_5m\"},\"body\":{},\"header\":{}}}},{\"w\":4,\"h\":4,\"x\":20,\"y\":1,\"i\":\"d16\",\"view\":{\"title\":\" \",\"description\":\"\",\"chartType\":\"card\",\"dataSourceType\":\"static\",\"staticData\":null,\"config\":{},\"api\":{\"url\":\"/api/metrics/cluster_resource\",\"query\":{\"align\":false,\"end\":\"now\",\"filter_org_name\":\"\",\"format\":\"chartv2\",\"group_reduce\":\"{group=tags.host_ip\\u0026last=fields.mem_request_total\\u0026reduce=sum}\",\"start\":\"before_5m\"},\"body\":{},\"header\":{}}}},{\"w\":4,\"h\":4,\"x\":0,\"y\":5,\"i\":\"d21\",\"view\":{\"title\":\"项目资源概况\",\"description\":\"\",\"chartType\":\"card\",\"dataSourceType\":\"static\",\"staticData\":null,\"config\":{},\"api\":{\"url\":\"/api/metrics/project_resource\",\"query\":{\"align\":false,\"cardinality\":\"tags.project_id\",\"end\":\"now\",\"filter_org_name\":\"\",\"format\":\"chartv2\",\"start\":\"before_5m\"},\"body\":{},\"header\":{}}}},{\"w\":4,\"h\":4,\"x\":4,\"y\":5,\"i\":\"d22\",\"view\":{\"title\":\" \",\"description\":\"\",\"chartType\":\"card\",\"dataSourceType\":\"static\",\"staticData\":null,\"config\":{},\"api\":{\"url\":\"/api/metrics/project_resource\",\"query\":{\"align\":false,\"cardinality\":\"tags.service_id\",\"end\":\"now\",\"filter_org_name\":\"\",\"format\":\"chartv2\",\"start\":\"before_5m\"},\"body\":{},\"header\":{}}}},{\"w\":4,\"h\":4,\"x\":8,\"y\":5,\"i\":\"d23\",\"view\":{\"title\":\" \",\"description\":\"\",\"chartType\":\"card\",\"dataSourceType\":\"static\",\"staticData\":null,\"config\":{},\"api\":{\"url\":\"/api/metrics/project_resource\",\"query\":{\"align\":false,\"cardinality\":\"tags.container_id\",\"end\":\"now\",\"filter_instance_type\":\"service\",\"filter_org_name\":\"\",\"format\":\"chartv2\",\"start\":\"before_5m\"},\"body\":{},\"header\":{}}}},{\"w\":4,\"h\":4,\"x\":12,\"y\":5,\"i\":\"d24\",\"view\":{\"title\":\" \",\"description\":\"\",\"chartType\":\"card\",\"dataSourceType\":\"static\",\"staticData\":null,\"config\":{},\"api\":{\"url\":\"/api/metrics/project_resource\",\"query\":{\"align\":false,\"cardinality\":\"tags.addon_id\",\"end\":\"now\",\"filter_instance_type\":\"addon\",\"filter_org_name\":\"\",\"format\":\"chartv2\",\"match_project_id\":\"*\",\"start\":\"before_5m\"},\"body\":{},\"header\":{}}}},{\"w\":4,\"h\":4,\"x\":16,\"y\":5,\"i\":\"d25\",\"view\":{\"title\":\" \",\"description\":\"\",\"chartType\":\"card\",\"dataSourceType\":\"static\",\"staticData\":null,\"config\":{},\"api\":{\"url\":\"/api/metrics/project_resource\",\"query\":{\"align\":false,\"end\":\"now\",\"filter_org_name\":\"\",\"format\":\"chartv2\",\"group_reduce\":\"{group=tags.container_id\\u0026last=fields.cpu_allocation\\u0026reduce=sum}\",\"match_project_id\":\"*\",\"start\":\"before_1m\"},\"body\":{},\"header\":{}}}},{\"w\":4,\"h\":4,\"x\":20,\"y\":5,\"i\":\"d26\",\"view\":{\"title\":\" \",\"description\":\"\",\"chartType\":\"card\",\"dataSourceType\":\"static\",\"staticData\":null,\"config\":{},\"api\":{\"url\":\"/api/metrics/project_resource\",\"query\":{\"align\":false,\"end\":\"now\",\"filter_org_name\":\"\",\"format\":\"chartv2\",\"group_reduce\":\"{group=tags.container_id\\u0026last=fields.mem_allocation\\u0026reduce=sum}\",\"match_project_id\":\"*\",\"start\":\"before_5m\"},\"body\":{},\"header\":{}}}},{\"w\":24,\"h\":9,\"x\":0,\"y\":10,\"i\":\"d31\",\"view\":{\"title\":\"集群机器概况\",\"description\":\"\",\"chartType\":\"table\",\"dataSourceType\":\"static\",\"staticData\":null,\"config\":{},\"api\":{\"url\":\"/api/metrics/cluster_resource\",\"query\":{\"align\":false,\"cardinality\":\"tags.host_ip\",\"end\":\"now\",\"filter_org_name\":\"\",\"format\":\"chartv2\",\"group\":\"tags.cluster_name\",\"last\":\"tags.cluster_name\",\"start\":\"before_5m\"},\"body\":{},\"header\":{}}}},{\"w\":24,\"h\":9,\"x\":0,\"y\":20,\"i\":\"d41\",\"view\":{\"title\":\"每日CPU分配\",\"description\":\"\",\"chartType\":\"chart:line\",\"dataSourceType\":\"static\",\"staticData\":null,\"config\":{\"optionProps\":{\"isMoreThanOneDay\":true,\"moreThanOneDayFormat\":\"M/D\"}},\"api\":{\"url\":\"/api/metrics/cluster_resource/histogram\",\"query\":{\"align\":false,\"end\":\"now\",\"filter_org_name\":\"\",\"group_reduce\":\"{group=tags.host_ip\\u0026last=fields.cpu_request_total\\u0026reduce=sum}\",\"points\":7,\"start\":\"before_168h\"},\"body\":{},\"header\":{}}}},{\"w\":24,\"h\":9,\"x\":0,\"y\":30,\"i\":\"d51\",\"view\":{\"title\":\"每日内存分配\",\"description\":\"\",\"chartType\":\"chart:line\",\"dataSourceType\":\"static\",\"staticData\":null,\"config\":{\"optionProps\":{\"isMoreThanOneDay\":true,\"moreThanOneDayFormat\":\"M/D\"}},\"api\":{\"url\":\"/api/metrics/cluster_resource/histogram\",\"query\":{\"align\":false,\"end\":\"now\",\"filter_org_name\":\"\",\"group_reduce\":\"{group=tags.host_ip\\u0026last=fields.mem_request_total\\u0026reduce=sum}\",\"points\":7,\"start\":\"before_168h\"},\"body\":{},\"header\":{}}}},{\"w\":24,\"h\":9,\"x\":0,\"y\":40,\"i\":\"d61\",\"view\":{\"title\":\"机器每日CPU最大使用率\",\"description\":\"\",\"chartType\":\"chart:line\",\"dataSourceType\":\"static\",\"staticData\":null,\"config\":{\"optionProps\":{\"isMoreThanOneDay\":true,\"moreThanOneDayFormat\":\"M/D\"}},\"api\":{\"url\":\"/api/metrics/cluster_resource/histogram\",\"query\":{\"align\":false,\"end\":\"now\",\"filter_org_name\":\"\",\"max\":\"cpu_usage_active\",\"points\":7,\"start\":\"before_168h\"},\"body\":{},\"header\":{}}}},{\"w\":24,\"h\":13,\"x\":0,\"y\":50,\"i\":\"d71\",\"view\":{\"title\":\"机器CPU使用率告警次数 TOP10\",\"description\":\"\",\"chartType\":\"table\",\"dataSourceType\":\"static\",\"staticData\":null,\"config\":{},\"api\":{\"url\":\"/api/metrics/alert_resource\",\"query\":{\"align\":false,\"count\":\"tags.alert_id\",\"end\":\"now\",\"filter_alert_index\":\"machine_cpu\",\"filter_alert_type\":\"machine\",\"filter_dice_org_id\":\"\",\"format\":\"chartv2\",\"group\":\"tags.host_ip\",\"last\":\"tags.host_ip\",\"limit\":10,\"sort\":\"count_tags.alert_id\",\"start\":\"before_168h\"},\"body\":{},\"header\":{}}}},{\"w\":24,\"h\":9,\"x\":0,\"y\":64,\"i\":\"d81\",\"view\":{\"title\":\"机器每日磁盘最大使用率\",\"description\":\"不包含网盘使用率\",\"chartType\":\"chart:line\",\"dataSourceType\":\"static\",\"staticData\":null,\"config\":{\"optionProps\":{\"isMoreThanOneDay\":true,\"moreThanOneDayFormat\":\"M/D\"}},\"api\":{\"url\":\"/api/metrics/cluster_resource/histogram\",\"query\":{\"align\":false,\"end\":\"now\",\"filter_org_name\":\"\",\"max\":\"disk_used_percent\",\"points\":7,\"start\":\"before_168h\"},\"body\":{},\"header\":{}}}},{\"w\":24,\"h\":13,\"x\":0,\"y\":74,\"i\":\"d91\",\"view\":{\"title\":\"机器磁盘使用率告警次数 TOP10\",\"description\":\"不包含网盘使用率告警次数\",\"chartType\":\"table\",\"dataSourceType\":\"static\",\"staticData\":null,\"config\":{},\"api\":{\"url\":\"/api/metrics/alert_resource\",\"query\":{\"align\":false,\"count\":\"tags.alert_id\",\"end\":\"now\",\"filter_alert_index\":\"machine_disk\",\"filter_alert_type\":\"machine\",\"filter_dice_org_id\":\"\",\"format\":\"chartv2\",\"group\":\"tags.host_ip\",\"last\":\"tags.host_ip\",\"limit\":10,\"sort\":\"count_tags.alert_id\",\"start\":\"before_168h\"},\"body\":{},\"header\":{}}}},{\"w\":24,\"h\":9,\"x\":0,\"y\":88,\"i\":\"d111\",\"view\":{\"title\":\"异常机器数\",\"description\":\"\",\"chartType\":\"chart:line\",\"dataSourceType\":\"static\",\"staticData\":null,\"config\":{\"optionProps\":{\"isMoreThanOneDay\":true,\"moreThanOneDayFormat\":\"M/D\"}},\"api\":{\"url\":\"/api/metrics/alert_resource/histogram\",\"query\":{\"align\":false,\"cardinality\":\"tags.host_ip\",\"end\":\"now\",\"filter_alert_type\":\"machine\",\"filter_dice_org_id\":\"\",\"filter_trigger\":\"alert\",\"points\":\"7\",\"start\":\"before_168h\"},\"body\":{},\"header\":{}}}},{\"w\":24,\"h\":9,\"x\":0,\"y\":98,\"i\":\"d121\",\"view\":{\"title\":\"机器异常持续时间\",\"description\":\"\",\"chartType\":\"chart:line\",\"dataSourceType\":\"static\",\"staticData\":null,\"config\":{\"optionProps\":{\"isMoreThanOneDay\":true,\"moreThanOneDayFormat\":\"M/D\",\"unit\":\"min\"}},\"api\":{\"url\":\"/api/metrics/alert_resource/histogram\",\"query\":{\"align\":false,\"end\":\"now\",\"filter_alert_type\":\"machine\",\"filter_dice_org_id\":\"\",\"points\":\"7\",\"start\":\"before_168h\",\"sum\":\"fields.trigger_duration\"},\"body\":{},\"header\":{}}}},{\"w\":24,\"h\":9,\"x\":0,\"y\":108,\"i\":\"d131\",\"view\":{\"title\":\"告警类别分析\",\"description\":\"\",\"chartType\":\"chart:pie\",\"dataSourceType\":\"static\",\"staticData\":null,\"config\":{},\"api\":{\"url\":\"/api/metrics/alert_resource\",\"query\":{\"count\":\"tags.alert_type\",\"end\":\"now\",\"filter_dice_org_id\":\"\",\"filter_trigger\":\"alert\",\"format\":\"chartv2\",\"group\":\"alert_type\",\"start\":\"before_168h\"},\"body\":{},\"header\":{}}}},{\"w\":24,\"h\":9,\"x\":0,\"y\":118,\"i\":\"d141\",\"view\":{\"title\":\"告警趋势\",\"description\":\"\",\"chartType\":\"chart:line\",\"dataSourceType\":\"static\",\"staticData\":null,\"config\":{\"optionProps\":{\"isMoreThanOneDay\":true,\"moreThanOneDayFormat\":\"M/D\"}},\"api\":{\"url\":\"/api/metrics/alert_resource/histogram\",\"query\":{\"align\":false,\"count\":\"tags.alert_id\",\"end\":\"now\",\"filter_dice_org_id\":\"\",\"filter_trigger\":\"alert\",\"group\":\"cluster_name\",\"points\":\"7\",\"start\":\"before_168h\"},\"body\":{},\"header\":{}}}},{\"w\":24,\"h\":9,\"x\":0,\"y\":128,\"i\":\"d151\",\"view\":{\"title\":\"中间件告警趋势\",\"description\":\"\",\"chartType\":\"chart:line\",\"dataSourceType\":\"static\",\"staticData\":null,\"config\":{\"optionProps\":{\"isMoreThanOneDay\":true,\"moreThanOneDayFormat\":\"M/D\"}},\"api\":{\"url\":\"/api/metrics/alert_resource/histogram\",\"query\":{\"align\":false,\"count\":\"tags.alert_id\",\"end\":\"now\",\"filter_alert_type\":\"addon\",\"filter_dice_org_id\":\"\",\"filter_trigger\":\"alert\",\"points\":\"7\",\"start\":\"before_168h\"},\"body\":{},\"header\":{}}}},{\"w\":24,\"h\":9,\"x\":0,\"y\":138,\"i\":\"d161\",\"view\":{\"title\":\"kubernetes告警量趋势\",\"description\":\"\",\"chartType\":\"chart:line\",\"dataSourceType\":\"static\",\"staticData\":null,\"config\":{\"optionProps\":{\"isMoreThanOneDay\":true,\"moreThanOneDayFormat\":\"M/D\"}},\"api\":{\"url\":\"/api/metrics/alert_resource/histogram\",\"query\":{\"align\":false,\"count\":\"tags.alert_id\",\"end\":\"now\",\"filter_alert_type\":\"kubernetes\",\"filter_dice_org_id\":\"\",\"filter_trigger\":\"alert\",\"match_alert_index\":\"kubernetes_*\",\"points\":\"7\",\"start\":\"before_168h\"},\"body\":{},\"header\":{}}}},{\"w\":24,\"h\":13,\"x\":0,\"y\":148,\"i\":\"d171\",\"view\":{\"title\":\"应用JVM告警次数 TOP10\",\"description\":\"以堆内存告警次数排序\",\"chartType\":\"table\",\"dataSourceType\":\"static\",\"staticData\":null,\"config\":{},\"api\":{\"url\":\"/api/metrics/alert_resource\",\"query\":{\"align\":false,\"count\":[\"fields.time_sum\",\"fields.usage_percent_avg\",\"fields.count_sum\"],\"end\":\"now\",\"filter_alert_type\":\"app_resource\",\"filter_dice_org_id\":\"\",\"format\":\"chartv2\",\"group\":\"tags.application_id\",\"last\":[\"tags.project_name\",\"tags.service_name\",\"tags.application_name\"],\"limit\":10,\"match_alert_index\":\"*jvm*\",\"sort\":\"count_fields.usage_percent_avg\",\"start\":\"before_168h\"},\"body\":{},\"header\":{}}}},{\"w\":24,\"h\":13,\"x\":0,\"y\":162,\"i\":\"d181\",\"view\":{\"title\":\"应用慢事务次数 TOP10\",\"description\":\"\",\"chartType\":\"table\",\"dataSourceType\":\"static\",\"staticData\":null,\"config\":{},\"api\":{\"url\":\"/api/metrics/app_http_slow_resource\",\"query\":{\"align\":false,\"count\":\"elapsed_count\",\"end\":\"now\",\"filter_org_name\":\"\",\"format\":\"chartv2\",\"group\":\"target_application_id\",\"last\":[\"tags.target_application_name\",\"tags.target_service_name\",\"tags.target_project_name\"],\"limit\":10,\"sort\":\"count_fields.elapsed_count\",\"start\":\"before_168h\"},\"body\":{},\"header\":{}}}},{\"w\":24,\"h\":13,\"x\":0,\"y\":176,\"i\":\"d191\",\"view\":{\"title\":\"应用错误次数 TOP10\",\"description\":\"\",\"chartType\":\"table\",\"dataSourceType\":\"static\",\"staticData\":null,\"config\":{},\"api\":{\"url\":\"/api/metrics/error_resource\",\"query\":{\"align\":false,\"end\":\"now\",\"filter_org_name\":\"\",\"format\":\"chartv2\",\"group\":\"(service_name,runtime_id)\",\"last\":[\"tags.service_name\",\"tags.application_name\",\"tags.project_name\"],\"limit\":10,\"sort\":\"sum_count\",\"start\":\"before_168h\",\"sum\":\"count\"},\"body\":{},\"header\":{}}}},{\"w\":24,\"h\":13,\"x\":0,\"y\":190,\"i\":\"d201\",\"view\":{\"title\":\"应用慢SQL次数 TOP10\",\"description\":\"\",\"chartType\":\"table\",\"dataSourceType\":\"static\",\"staticData\":null,\"config\":{},\"api\":{\"url\":\"/api/metrics/app_db_resource\",\"query\":{\"align\":false,\"count\":\"elapsed_count\",\"end\":\"now\",\"filter_org_name\":\"\",\"format\":\"chartv2\",\"group\":\"source_application_id\",\"last\":[\"tags.source_project_name\",\"tags.source_service_name\",\"tags.source_application_name\"],\"limit\":10,\"sort\":\"count_elapsed_count\",\"start\":\"before_168h\"},\"body\":{},\"header\":{}}}},{\"w\":24,\"h\":13,\"x\":0,\"y\":204,\"i\":\"d211\",\"view\":{\"title\":\"应用http请求错误次数 TOP10\",\"description\":\"\",\"chartType\":\"table\",\"dataSourceType\":\"static\",\"staticData\":null,\"config\":{},\"api\":{\"url\":\"/api/metrics/app_http_error_resource\",\"query\":{\"align\":false,\"count\":\"elapsed_count\",\"end\":\"now\",\"filter_org_name\":\"\",\"format\":\"chartv2\",\"group\":\"target_application_id\",\"last\":[\"tags.target_application_name\",\"tags.target_project_name\",\"tags.target_service_name\"],\"limit\":10,\"sort\":\"count_elapsed_count\",\"start\":\"before_168h\"},\"body\":{},\"header\":{}}}},{\"w\":24,\"h\":9,\"x\":0,\"y\":218,\"i\":\"d221\",\"view\":{\"title\":\"服务和Addon OOM次数\",\"description\":\"\",\"chartType\":\"chart:bar\",\"dataSourceType\":\"static\",\"staticData\":null,\"config\":{\"optionProps\":{\"isMoreThanOneDay\":true,\"moreThanOneDayFormat\":\"M/D\"}},\"api\":{\"url\":\"/api/metrics/project_resource/histogram\",\"query\":{\"align\":false,\"count\":[\"tags.service_id\",\"tags.addon_id\"],\"end\":\"now\",\"field_eq_oomkilled\":\"b:true\",\"filter_org_name\":\"\",\"match_project_id\":\"*\",\"points\":\"7\",\"start\":\"before_168h\"},\"body\":{},\"header\":{}}}},{\"w\":24,\"h\":13,\"x\":0,\"y\":228,\"i\":\"d231\",\"view\":{\"title\":\"项目OOM次数 Top10\",\"description\":\"根据服务OOM次数排序\",\"chartType\":\"table\",\"dataSourceType\":\"static\",\"staticData\":null,\"config\":{},\"api\":{\"url\":\"/api/metrics/project_oom_resource\",\"query\":{\"align\":false,\"count\":[\"tags.service_id\",\"tags.addon_id\"],\"end\":\"now\",\"field_eq_oomkilled\":\"b:true\",\"filter_org_name\":\"\",\"format\":\"chartv2\",\"group\":\"tags.project_id\",\"last\":\"tags.project_name\",\"limit\":10,\"sort\":\"count_tags.service_id\",\"start\":\"before_168h\"},\"body\":{},\"header\":{}}}},{\"w\":24,\"h\":9,\"x\":0,\"y\":242,\"i\":\"d241\",\"view\":{\"title\":\"API网关流量\",\"description\":\"\",\"chartType\":\"chart:line\",\"dataSourceType\":\"static\",\"staticData\":null,\"config\":{\"optionProps\":{\"isMoreThanOneDay\":true,\"moreThanOneDayFormat\":\"M/D\"}},\"api\":{\"url\":\"/api/metrics/app_resource/histogram\",\"query\":{\"align\":false,\"end\":\"now\",\"filter_org_name\":\"\",\"filter_target_addon_id\":\"ApiGateway\",\"points\":\"7\",\"start\":\"before_168h\",\"sum\":\"elapsed_count\"},\"body\":{},\"header\":{}}}}]',NULL,'2020-06-13 18:19:06','2020-06-13 18:19:06',''),('working','工时统计','','','org','terminus','[{\"w\":12,\"h\":9,\"x\":0,\"y\":0,\"i\":\"view-98ae03fd\",\"view\":{\"title\":\"实际工作量 (人天)\",\"description\":\"\",\"chartType\":\"card\",\"dataSourceType\":\"api\",\"staticData\":{},\"config\":{\"optionProps\":{\"isMoreThanOneDay\":false}},\"api\":{\"url\":\"/api/project/metrics/issue_metrics_statistics\",\"query\":{\"alias_sum.issue_elapsed_time\":\"issue_elapsed_time总和\",\"chartType\":\"card\",\"format\":\"chartv2\",\"sum\":[\"issue_elapsed_time\"]},\"body\":null,\"header\":null,\"extraData\":{\"activedMetricGroups\":[\"other\",\"other@issue_metrics_statistics\"],\"activedMetrics\":[{\"aggregation\":\"sum\",\"key\":\"5\",\"metric\":\"issue_metrics_statistics-issue_elapsed_time\"}],\"filters\":[],\"group\":[]}}}},{\"w\":12,\"h\":9,\"x\":12,\"y\":0,\"i\":\"view-73d60bcb\",\"view\":{\"title\":\"预计工作量 (人天)\",\"description\":\"\",\"chartType\":\"card\",\"dataSourceType\":\"api\",\"staticData\":{},\"config\":{\"optionProps\":{\"isMoreThanOneDay\":false}},\"api\":{\"url\":\"/api/project/metrics/issue_metrics_statistics\",\"query\":{\"alias_sum.issue_estimate_time\":\"issue_estimate_time总和\",\"chartType\":\"card\",\"format\":\"chartv2\",\"sum\":[\"issue_estimate_time\"]},\"body\":null,\"header\":null,\"extraData\":{\"activedMetricGroups\":[\"other\",\"other@issue_metrics_statistics\"],\"activedMetrics\":[{\"aggregation\":\"sum\",\"key\":\"16\",\"metric\":\"issue_metrics_statistics-issue_estimate_time\"}],\"filters\":[],\"group\":[]}}}},{\"w\":24,\"h\":9,\"x\":0,\"y\":9,\"i\":\"view-cdb72329\",\"view\":{\"title\":\"成员工作量分布 (人天)\",\"description\":\"\",\"chartType\":\"chart:bar\",\"dataSourceType\":\"api\",\"staticData\":{},\"config\":{\"optionProps\":{\"isMoreThanOneDay\":false},\"option\":{\"yAxis\":[{\"name\":\"\"}]}},\"api\":{\"url\":\"/api/project/metrics/issue_metrics_statistics/histogram\",\"query\":{\"alias_last.tags.issue_user_nick\":\"issue_user_nick\",\"alias_sum.issue_elapsed_time\":\"issue_elapsed_time总和\",\"alias_sum.issue_estimate_time\":\"issue_estimate_time总和\",\"chartType\":\"chart:bar\",\"format\":\"chartv2\",\"limit\":1000,\"group\":\"(tags.issue_user_nick)\",\"sum\":[\"issue_estimate_time\",\"issue_elapsed_time\"]},\"body\":null,\"header\":null,\"extraData\":{\"activedMetricGroups\":[\"other\",\"other@issue_metrics_statistics\"],\"activedMetrics\":[{\"aggregation\":\"sum\",\"key\":\"50\",\"metric\":\"issue_metrics_statistics-issue_estimate_time\"},{\"aggregation\":\"sum\",\"key\":\"40\",\"metric\":\"issue_metrics_statistics-issue_elapsed_time\"}],\"filters\":[],\"group\":[\"tags.issue_user_nick\"]}}}},{\"w\":12,\"h\":9,\"x\":0,\"y\":28,\"i\":\"view-2161e559\",\"view\":{\"title\":\"缺陷 耗时TOP10 (人天)\",\"description\":\"\",\"chartType\":\"chart:bar\",\"dataSourceType\":\"api\",\"staticData\":{},\"config\":{\"optionProps\":{\"isMoreThanOneDay\":false},\"option\":{\"yAxis\":[{\"name\":\"\"}]}},\"api\":{\"url\":\"/api/project/metrics/issue_metrics_statistics/histogram\",\"query\":{\"alias_last.tags.issue_title\":\"issue_title\",\"alias_sum.issue_elapsed_time\":\"issue_elapsed_time总和\",\"chartType\":\"chart:bar\",\"eq_tags.issue_type\":\"BUG\",\"format\":\"chartv2\",\"group\":\"(tags.issue_title)\",\"limit\":10,\"sort\":\"sum_issue_elapsed_time\",\"sum\":[\"issue_elapsed_time\"]},\"body\":null,\"header\":null,\"extraData\":{\"activedMetricGroups\":[\"other\",\"other@issue_metrics_statistics\"],\"activedMetrics\":[{\"aggregation\":\"sum\",\"key\":\"235\",\"metric\":\"issue_metrics_statistics-issue_elapsed_time\"}],\"filters\":[{\"key\":\"245\",\"method\":\"eq\",\"tag\":\"tags.issue_type\",\"value\":\"BUG\"}],\"group\":[\"tags.issue_title\"],\"limit\":10}}}},{\"w\":12,\"h\":9,\"x\":12,\"y\":28,\"i\":\"view-1e55a4eb\",\"view\":{\"title\":\"任务 耗时TOP10 (人天)\",\"description\":\"\",\"chartType\":\"chart:bar\",\"dataSourceType\":\"api\",\"staticData\":{},\"config\":{\"optionProps\":{\"isMoreThanOneDay\":false},\"option\":{\"yAxis\":[{\"name\":\"\"}]}},\"api\":{\"url\":\"/api/project/metrics/issue_metrics_statistics/histogram\",\"query\":{\"alias_last.tags.issue_title\":\"issue_title\",\"alias_sum.issue_elapsed_time\":\"issue_elapsed_time总和\",\"chartType\":\"chart:bar\",\"eq_tags.issue_type\":\"TASK\",\"format\":\"chartv2\",\"group\":\"(tags.issue_title)\",\"limit\":10,\"sort\":\"sum_issue_elapsed_time\",\"sum\":[\"issue_elapsed_time\"]},\"body\":null,\"header\":null,\"extraData\":{\"activedMetricGroups\":[\"other\",\"other@issue_metrics_statistics\"],\"activedMetrics\":[{\"aggregation\":\"sum\",\"key\":\"347\",\"metric\":\"issue_metrics_statistics-issue_elapsed_time\"}],\"filters\":[{\"key\":\"357\",\"method\":\"eq\",\"tag\":\"tags.issue_type\",\"value\":\"TASK\"}],\"group\":[\"tags.issue_title\"],\"limit\":10}}}},{\"w\":24,\"h\":10,\"x\":0,\"y\":18,\"i\":\"view-970a9935\",\"view\":{\"title\":\"人员事件分布 (个)\",\"description\":\"\",\"chartType\":\"chart:bar\",\"dataSourceType\":\"api\",\"staticData\":{},\"config\":{\"optionProps\":{\"isMoreThanOneDay\":false},\"option\":{\"yAxis\":[{\"name\":\"\"}]}},\"api\":{\"url\":\"/api/project/metrics/issue_metrics_statistics/histogram\",\"query\":{\"alias_last.tags.issue_user_nick\":\"issue_user_nick\",\"alias_sum.issue_type_BUG\":\"issue_type_BUG总和\",\"alias_sum.issue_type_TASK\":\"issue_type_TASK总和\",\"chartType\":\"chart:bar\",\"format\":\"chartv2\",\"limit\":1000,\"group\":\"(tags.issue_user_nick)\",\"sum\":[\"issue_type_TASK\",\"issue_type_BUG\"]},\"body\":null,\"header\":null,\"extraData\":{\"activedMetricGroups\":[\"other\",\"other@issue_metrics_statistics\"],\"activedMetrics\":[{\"aggregation\":\"sum\",\"key\":\"659\",\"metric\":\"issue_metrics_statistics-issue_type_TASK\"},{\"aggregation\":\"sum\",\"key\":\"649\",\"metric\":\"issue_metrics_statistics-issue_type_BUG\"}],\"filters\":[],\"group\":[\"tags.issue_user_nick\"]}}}}]','[]','2020-09-10 13:11:24','2020-09-10 13:27:18','');

CREATE TABLE `sp_diagnosis` (
  `id` varchar(191) NOT NULL COMMENT '主键ID',
  `scope` varchar(255) NOT NULL COMMENT 'diagnosis作用域',
  `scope_id` varchar(255) NOT NULL COMMENT 'diagnosis作用域Id',
  `diagnosis_object` varchar(191) NOT NULL COMMENT '被diagnosis的目标id',
  `request_token` varchar(766) NOT NULL COMMENT 'diagnosis请求token',
  `state` varchar(191) NOT NULL COMMENT '状态',
  `attributes` varchar(4096) NOT NULL COMMENT '附加属性，作为UI展示',
  `create_time` datetime NOT NULL DEFAULT CURRENT_TIMESTAMP COMMENT '创建时间',
  `update_time` datetime NOT NULL DEFAULT CURRENT_TIMESTAMP ON UPDATE CURRENT_TIMESTAMP COMMENT '修改时间',
  PRIMARY KEY (`id`),
  KEY `DIAGNOSIS_OBJECT_INDEX` (`diagnosis_object`),
  KEY `STATE_INDEX` (`state`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COMMENT='监控diagnosis记录表';

CREATE TABLE `sp_diagnosis_actions` (
  `id` bigint(20) NOT NULL AUTO_INCREMENT COMMENT '主键ID',
  `diagnosis_id` varchar(191) NOT NULL COMMENT 'diagnosis唯一标识',
  `action` varchar(255) NOT NULL COMMENT '操作',
  `state` varchar(255) NOT NULL COMMENT '状态',
  `config` varchar(4096) NOT NULL COMMENT 'config',
  `create_time` datetime NOT NULL DEFAULT CURRENT_TIMESTAMP COMMENT '创建时间',
  `update_time` datetime NOT NULL DEFAULT CURRENT_TIMESTAMP ON UPDATE CURRENT_TIMESTAMP COMMENT '修改时间',
  PRIMARY KEY (`id`),
  KEY `DIAGNOSIS_ID_INDEX` (`diagnosis_id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COMMENT='监控diagnosis的子操作表';

CREATE TABLE `sp_diagnosis_resource` (
  `id` bigint(20) NOT NULL AUTO_INCREMENT COMMENT '主键ID',
  `resource_id` varchar(255) NOT NULL COMMENT '资源唯一标志',
  `diagnosis_id` varchar(255) NOT NULL COMMENT 'diagnosis唯一标识',
  `resource` varchar(255) NOT NULL COMMENT '资源',
  `state` varchar(255) NOT NULL COMMENT '状态',
  `config` varchar(4096) NOT NULL COMMENT '注入到资源的配置JSON',
  `condition` varchar(4096) NOT NULL COMMENT '记录资源最后一次状态的JSON详细数据',
  `create_time` datetime NOT NULL DEFAULT CURRENT_TIMESTAMP COMMENT '创建时间',
  `update_time` datetime NOT NULL DEFAULT CURRENT_TIMESTAMP ON UPDATE CURRENT_TIMESTAMP COMMENT '修改时间',
  PRIMARY KEY (`id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COMMENT='监控diagnosis资源管理表';

CREATE TABLE `sp_diagnosis_state` (
  `id` bigint(20) NOT NULL AUTO_INCREMENT COMMENT '主键ID',
  `diagnosis_id` varchar(255) NOT NULL COMMENT 'diagnosis唯一标识',
  `state` varchar(191) NOT NULL COMMENT '状态',
  `reason` varchar(255) NOT NULL COMMENT '当前状态正在执行的操作',
  `version` varchar(255) NOT NULL COMMENT '状态版本，用于记录锁',
  `create_time` datetime NOT NULL DEFAULT CURRENT_TIMESTAMP COMMENT '创建时间',
  `update_time` datetime NOT NULL DEFAULT CURRENT_TIMESTAMP ON UPDATE CURRENT_TIMESTAMP COMMENT '修改时间',
  PRIMARY KEY (`id`),
  KEY `STATE_INDEX` (`state`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COMMENT='监控diagnosis状态表';

CREATE TABLE `sp_log_metric_config` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `org_id` int(11) NOT NULL,
  `org_name` varchar(128) NOT NULL DEFAULT '',
  `scope` varchar(32) NOT NULL,
  `scope_id` varchar(64) NOT NULL,
  `name` varchar(128) NOT NULL,
  `metric` varchar(128) NOT NULL,
  `filters` text NOT NULL,
  `processors` text NOT NULL,
  `enable` tinyint(1) NOT NULL,
  `create_time` datetime NOT NULL,
  `update_time` datetime NOT NULL,
  PRIMARY KEY (`id`),
  UNIQUE KEY `metric_unique` (`metric`) USING BTREE,
  UNIQUE KEY `scope_name_unique` (`scope`,`scope_id`,`name`) USING BTREE
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COMMENT='日志分析规则配置表';

CREATE TABLE `sp_metric_meta` (
  `id` int(11) NOT NULL AUTO_INCREMENT COMMENT '主键',
  `scope` varchar(64) NOT NULL,
  `scope_id` varchar(64) NOT NULL,
  `group` varchar(128) NOT NULL,
  `metric` varchar(128) NOT NULL,
  `name` varchar(128) NOT NULL,
  `tags` text NOT NULL,
  `fields` text NOT NULL,
  `create_time` datetime NOT NULL,
  `update_time` datetime NOT NULL,
  PRIMARY KEY (`id`),
  UNIQUE KEY `query_index` (`scope`,`scope_id`,`metric`) USING BTREE
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COMMENT='日志分析生成的metric元数据存储';

CREATE TABLE `sp_metric_metas` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `metric` varchar(64) NOT NULL,
  `meta_metric` varchar(64) NOT NULL,
  `name` varchar(64) NOT NULL,
  `type` char(16) NOT NULL,
  `unit` char(16) NOT NULL,
  `force_tags` text,
  `group_id` varchar(32) NOT NULL,
  `created_at` datetime DEFAULT NULL,
  `updated_at` datetime DEFAULT NULL,
  PRIMARY KEY (`id`),
  UNIQUE KEY `metric_id` (`metric`,`meta_metric`,`group_id`),
  KEY `idx_group_id` (`group_id`)
) ENGINE=InnoDB AUTO_INCREMENT=273 DEFAULT CHARSET=utf8mb4 COMMENT='监控图表元数据配置';


INSERT INTO `sp_metric_metas` (`id`, `metric`, `meta_metric`, `name`, `type`, `unit`, `force_tags`, `group_id`, `created_at`, `updated_at`) VALUES (205,'cpu_usage_active','host_summary','CPUUtilisation','number','%',NULL,'system_cpu','2020-07-27 15:11:37','2020-07-27 15:11:37'),(206,'cpu_limit_total','host_summary','CPU Total','number','',NULL,'system_cpu','2020-07-27 15:11:37','2020-07-27 15:11:37'),(207,'load1','host_summary','load1','number','',NULL,'system_load','2020-07-27 15:11:37','2020-07-27 15:11:37'),(208,'load5','host_summary','load5','number','',NULL,'system_load','2020-07-27 15:11:37','2020-07-27 15:11:37'),(209,'load15','host_summary','load15','number','',NULL,'system_load','2020-07-27 15:11:37','2020-07-27 15:11:37'),(210,'mem_used_percent','host_summary','MemoryUtilisation','number','%',NULL,'system_mem','2020-07-27 15:11:37','2020-07-27 15:11:37'),(211,'mem_used','host_summary','mem_used','number','bytes',NULL,'system_mem','2020-07-27 15:11:37','2020-07-27 15:11:37'),(212,'mem_limit_total','host_summary','mem_limit_total','number','bytes',NULL,'system_mem','2020-07-27 15:11:37','2020-07-27 15:11:37'),(213,'used_percent','disk','DiskUtilisation','number','%',NULL,'system_disk','2020-07-27 15:11:37','2020-07-27 15:11:37'),(214,'used','disk','used','number','bytes',NULL,'system_disk','2020-07-27 15:11:37','2020-07-27 15:11:37'),(215,'total','disk','total','number','bytes',NULL,'system_disk','2020-07-27 15:11:37','2020-07-27 15:11:37'),(216,'read_rate','disk','read_rate','number','bytes/s',NULL,'system_disk','2020-07-27 15:11:37','2020-07-27 15:11:37'),(217,'write_rate','disk','write_rate','number','bytes/s',NULL,'system_disk','2020-07-27 15:11:37','2020-07-27 15:11:37'),(218,'inodes_used','disk','inodes_used','number','bytes',NULL,'system_disk','2020-07-27 15:11:37','2020-07-27 15:11:37'),(219,'inodes_total','disk','inodes_total','number','bytes',NULL,'system_disk','2020-07-27 15:11:37','2020-07-27 15:11:37'),(220,'inodes_free','disk','inodes_free','number','bytes',NULL,'system_disk','2020-07-27 15:11:37','2020-07-27 15:11:37'),(221,'recv_rate','net','recv_rate','number','bytes/s',NULL,'system_net','2020-07-27 15:11:37','2020-07-27 15:11:37'),(222,'send_rate','net','send_rate','number','bytes/s',NULL,'system_net','2020-07-27 15:11:37','2020-07-27 15:11:37'),(223,'drop_out','net','drop_out','number','count',NULL,'system_net','2020-07-27 15:11:37','2020-07-27 15:11:37'),(224,'drop_in','net','drop_in','number','count',NULL,'system_net','2020-07-27 15:11:37','2020-07-27 15:11:37'),(225,'pkg_recv_rate','net','pkg_recv_rate','number','count/s',NULL,'system_net','2020-07-27 15:11:37','2020-07-27 15:11:37'),(226,'pkg_send_rate','net','pkg_send_rate','number','count/s',NULL,'system_net','2020-07-27 15:11:37','2020-07-27 15:11:37'),(227,'packets_recv','net','packets_recv','number','count',NULL,'system_net','2020-07-27 15:11:37','2020-07-27 15:11:37'),(228,'packets_sent','net','packets_sent','number','count',NULL,'system_net','2020-07-27 15:11:37','2020-07-27 15:11:37'),(229,'bytes_recv','net','bytes_recv','number','bytes',NULL,'system_net','2020-07-27 15:11:37','2020-07-27 15:11:37'),(230,'bytes_sent','net','bytes_sent','number','bytes',NULL,'system_net','2020-07-27 15:11:37','2020-07-27 15:11:37'),(231,'err_in','net','err_in','number','count',NULL,'system_net','2020-07-27 15:11:37','2020-07-27 15:11:37'),(232,'err_out','net','err_out','number','count',NULL,'system_net','2020-07-27 15:11:37','2020-07-27 15:11:37'),(233,'tcp_currestab','net','tcp_currestab','number','count',NULL,'system_net','2020-07-27 15:11:37','2020-07-27 15:11:37'),(234,'tcp_retranssegs','net','tcp_retranssegs','number','count',NULL,'system_net','2020-07-27 15:11:37','2020-07-27 15:11:37'),(235,'cpu_usage_percent','docker_container_summary','CPUUtilisation','number','%',NULL,'dice_application_cpu','2020-07-27 15:11:37','2020-07-27 15:11:37'),(236,'cpu_limit','docker_container_summary','cpu_limit','number','',NULL,'dice_application_cpu','2020-07-27 15:11:37','2020-07-27 15:11:37'),(237,'cpu_allocation','docker_container_summary','cpu_allocation','number','',NULL,'dice_application_cpu','2020-07-27 15:11:37','2020-07-27 15:11:37'),(238,'mem_usage_percent','docker_container_summary','MemoryUtilisation','number','%',NULL,'dice_application_mem','2020-07-27 15:11:38','2020-07-27 15:11:38'),(239,'mem_usage','docker_container_summary','mem_usage','number','bytes',NULL,'dice_application_mem','2020-07-27 15:11:38','2020-07-27 15:11:38'),(240,'mem_limit','docker_container_summary','mem_limit','number','bytes',NULL,'dice_application_mem','2020-07-27 15:11:38','2020-07-27 15:11:38'),(241,'blk_read_bytes','docker_container_summary','blk_read_bytes','number','bytes',NULL,'dice_application_disk','2020-07-27 15:11:38','2020-07-27 15:11:38'),(242,'blk_write_bytes','docker_container_summary','blk_write_bytes','number','bytes',NULL,'dice_application_disk','2020-07-27 15:11:38','2020-07-27 15:11:38'),(243,'rx_bytes','docker_container_summary','rx_bytes','number','bytes',NULL,'dice_application_net','2020-07-27 15:11:38','2020-07-27 15:11:38'),(244,'tx_bytes','docker_container_summary','tx_bytes','number','bytes',NULL,'dice_application_net','2020-07-27 15:11:38','2020-07-27 15:11:38'),(245,'rx_errors','docker_container_summary','rx_errors','number','count',NULL,'dice_application_net','2020-07-27 15:11:38','2020-07-27 15:11:38'),(246,'tx_errors','docker_container_summary','tx_errors','number','count',NULL,'dice_application_net','2020-07-27 15:11:38','2020-07-27 15:11:38'),(247,'threads_connected','mysql','threads_connected','number','count',NULL,'dice_addon_mysql','2020-07-27 15:11:38','2020-07-27 15:11:38'),(248,'slow_queries','mysql','slow_queries','number','count',NULL,'dice_addon_mysql','2020-07-27 15:11:38','2020-07-27 15:11:38'),(249,'queries','mysql','queries','number','count',NULL,'dice_addon_mysql','2020-07-27 15:11:38','2020-07-27 15:11:38'),(250,'cpu_usage_percent','docker_container_summary','CPUUtilisation','number','%','{      \"addon_type\": \"mysql\"    }','dice_addon_mysql','2020-07-27 15:11:38','2020-07-27 15:11:38'),(251,'mem_usage_percent','docker_container_summary','MemoryUtilisation','number','%','{      \"addon_type\": \"mysql\"    }','dice_addon_mysql','2020-07-27 15:11:38','2020-07-27 15:11:38'),(252,'clients','redis','clients','number','count',NULL,'dice_addon_mysql','2020-07-27 15:11:38','2020-07-27 15:11:38'),(253,'cpu_usage_percent','docker_container_summary','CPUUtilisation','number','%','{      \"addon_type\": \"redis\"    }','dice_addon_redis','2020-07-27 15:11:38','2020-07-27 15:11:38'),(254,'mem_usage_percent','docker_container_summary','MemoryUtilisation','number','%','{      \"addon_type\": \"redis\"    }','dice_addon_redis','2020-07-27 15:11:38','2020-07-27 15:11:38'),(255,'cpu_total','aliyun_ecs','CPUUtilisation','number','%',NULL,'aliyun_ecs','2020-07-27 15:11:38','2020-07-27 15:11:38'),(256,'load_1m','aliyun_ecs','load_1m','number','',NULL,'aliyun_ecs','2020-07-27 15:11:38','2020-07-27 15:11:38'),(257,'load_5m','aliyun_ecs','load_5m','number','',NULL,'aliyun_ecs','2020-07-27 15:11:38','2020-07-27 15:11:38'),(258,'load_15m','aliyun_ecs','load_15m','number','',NULL,'aliyun_ecs','2020-07-27 15:11:38','2020-07-27 15:11:38'),(259,'memory_usedutilization','aliyun_ecs','MemoryUtilisation','number','%',NULL,'aliyun_ecs','2020-07-27 15:11:38','2020-07-27 15:11:38'),(260,'diskusage_used','aliyun_ecs','DiskUtilisation','number','%',NULL,'aliyun_ecs','2020-07-27 15:11:38','2020-07-27 15:11:38'),(261,'DiskUsage','aliyun_rds','DiskUsage','number','%',NULL,'aliyun_rds','2020-07-27 15:11:38','2020-07-27 15:11:38'),(262,'ConnectionUsage','aliyun_rds','ConnectionUsage','number','%',NULL,'aliyun_rds','2020-07-27 15:11:38','2020-07-27 15:11:38'),(263,'CpuUsage','aliyun_rds','CPUUtilisation','number','%',NULL,'aliyun_rds','2020-07-27 15:11:38','2020-07-27 15:11:38'),(264,'MemoryUsage','aliyun_rds','MemoryUtilisation','number','%',NULL,'aliyun_rds','2020-07-27 15:11:38','2020-07-27 15:11:38'),(265,'acl_blocks_5m','aliyun_waf','acl_blocks_5m','number','',NULL,'aliyun_waf','2020-07-27 15:11:38','2020-07-27 15:11:38'),(266,'cc_blocks_5m','aliyun_waf','cc_blocks_5m','number','',NULL,'aliyun_waf','2020-07-27 15:11:38','2020-07-27 15:11:38'),(267,'qps','aliyun_waf','qps','number','',NULL,'aliyun_waf','2020-07-27 15:11:38','2020-07-27 15:11:38'),(268,'waf_blocks_5m','aliyun_waf','waf_blocks_5m','number','',NULL,'aliyun_waf','2020-07-27 15:11:38','2020-07-27 15:11:38'),(269,'TrafficTX','aliyun_apigateway','TrafficTX','number','bits/s',NULL,'aliyun_apigateway','2020-07-27 15:11:38','2020-07-27 15:11:38'),(270,'TrafficRX','aliyun_apigateway','TrafficRX','number','bits/s',NULL,'aliyun_apigateway','2020-07-27 15:11:38','2020-07-27 15:11:38'),(271,'SumQPS','aliyun_apigateway','SumQPS','number','count/s',NULL,'aliyun_apigateway','2020-07-27 15:11:38','2020-07-27 15:11:38'),(272,'Latency','aliyun_apigateway','Latency','number','ms',NULL,'aliyun_apigateway','2020-07-27 15:11:38','2020-07-27 15:11:38');

CREATE TABLE `sp_monitor_config` (
  `id` int(11) NOT NULL AUTO_INCREMENT COMMENT '主键',
  `org_id` int(11) NOT NULL COMMENT '企业ID',
  `org_name` varchar(64) NOT NULL DEFAULT '' COMMENT '企业名',
  `type` varchar(64) NOT NULL COMMENT 'log、metric',
  `names` varchar(255) NOT NULL COMMENT '名称,支持通配符*,支持逗号分隔',
  `filters` varchar(4096) NOT NULL DEFAULT '' COMMENT '数组,层级高的在前面,[{"key":"project_id","value":"1"}]',
  `config` varchar(1024) NOT NULL DEFAULT '' COMMENT '具体配置,{"ttl":"168h"}',
  `create_time` datetime NOT NULL COMMENT '创建时间',
  `update_time` datetime NOT NULL COMMENT '更新时间',
  `enable` tinyint(1) NOT NULL COMMENT '是否启用',
  `key` varchar(32) NOT NULL DEFAULT '' COMMENT '配置唯一标示',
  `hash` varchar(64) NOT NULL COMMENT 'hash(org_id,type,names+filters)',
  PRIMARY KEY (`id`),
  UNIQUE KEY `unique_keys` (`hash`) USING BTREE
) ENGINE=InnoDB AUTO_INCREMENT=9 DEFAULT CHARSET=utf8mb4 COMMENT='实际监控配置表';

CREATE TABLE `sp_monitor_config_register` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `scope` varchar(32) NOT NULL COMMENT 'org',
  `scope_id` varchar(64) NOT NULL DEFAULT '' COMMENT 'org_id',
  `namespace` varchar(255) NOT NULL COMMENT 'dev,test,staging,prod,other',
  `type` varchar(64) NOT NULL COMMENT 'metric、log',
  `names` varchar(255) NOT NULL,
  `filters` varchar(4096) NOT NULL DEFAULT '',
  `enable` tinyint(1) NOT NULL DEFAULT '1',
  `update_time` datetime NOT NULL,
  `desc` varchar(64) NOT NULL DEFAULT '',
  `hash` varchar(64) NOT NULL,
  PRIMARY KEY (`id`),
  UNIQUE KEY `hash_unique` (`hash`) USING BTREE
) ENGINE=InnoDB AUTO_INCREMENT=11 DEFAULT CHARSET=utf8mb4 COMMENT='企业监控和日志过期时间配置表';


INSERT INTO `sp_monitor_config_register` (`id`, `scope`, `scope_id`, `namespace`, `type`, `names`, `filters`, `enable`, `update_time`, `desc`, `hash`) VALUES (5,'org','','dev','log','container','[{\"key\":\"dice_workspace\",\"value\":\"dev\"}]',1,'2020-05-14 15:56:18','','container_log_dev'),(6,'org','','test','log','container','[{\"key\":\"dice_workspace\",\"value\":\"test\"}]',1,'2020-05-14 15:56:18','','container_log_test'),(7,'org','','staging','log','container','[{\"key\":\"dice_workspace\",\"value\":\"staging\"}]',1,'2020-05-14 15:56:18','','container_log_staging'),(8,'org','','prod','log','container','[{\"key\":\"dice_workspace\",\"value\":\"prod\"}]',1,'2020-05-14 15:56:18','','container_log_prod'),(9,'org','','','metric','*','[]',1,'2020-05-19 14:33:06','','metric_common');

CREATE TABLE `sp_monitor_global_settings` (
  `id` int(11) NOT NULL AUTO_INCREMENT COMMENT '主键',
  `org_id` int(11) NOT NULL COMMENT '企业id',
  `org_name` varchar(255) NOT NULL COMMENT '企业',
  `namespace` varchar(64) NOT NULL COMMENT '通用、开发、测试、预发、生产',
  `group` varchar(64) NOT NULL COMMENT '分组',
  `key` varchar(64) NOT NULL COMMENT '键',
  `type` varchar(32) NOT NULL COMMENT '值类型',
  `value` varchar(128) NOT NULL COMMENT '值',
  `unit` varchar(64) NOT NULL COMMENT '单位',
  PRIMARY KEY (`id`),
  UNIQUE KEY `unique_key` (`org_id`,`namespace`,`group`,`key`)
) ENGINE=InnoDB AUTO_INCREMENT=34 DEFAULT CHARSET=utf8mb4 COMMENT='全局单一配置，面向用户的配置';

CREATE TABLE `sp_notify` (
  `id` int(11) unsigned NOT NULL AUTO_INCREMENT,
  `notify_id` varchar(64)  NOT NULL COMMENT '模版ID唯一',
  `created_at` datetime DEFAULT CURRENT_TIMESTAMP,
  `updated_at` datetime DEFAULT CURRENT_TIMESTAMP,
  `deleted_at` datetime DEFAULT NULL,
  `notify_name` varchar(128)  DEFAULT NULL COMMENT '通知名称',
  `scope` varchar(128)  DEFAULT NULL,
  `scope_id` int(11) DEFAULT NULL,
  `target` varchar(255)  DEFAULT NULL COMMENT '存放群组相关的信息，json格式 {"group_id":1,"notify_style":"email,webhook"}',
  `attributes` varchar(1024)  DEFAULT NULL,
  `enable` tinyint(1) DEFAULT '1' COMMENT '该告警通知模版是否启用',
  PRIMARY KEY (`id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4  COMMENT='用户告警通知';

CREATE TABLE `sp_notify_record` (
  `notify_id` varchar(64)  NOT NULL COMMENT '模版ID唯一',
  `notify_name` varchar(512)  NOT NULL COMMENT '通知名称',
  `scope_type` varchar(128)  NOT NULL COMMENT '租户类型',
  `scope_id` int(11) NOT NULL COMMENT '租户id',
  `group_id` varchar(128)  NOT NULL COMMENT '通知组id',
  `notify_group` varchar(256)  DEFAULT NULL COMMENT '通知组名称',
  `title` varchar(256)  DEFAULT NULL COMMENT '通知模版标题',
  `notify_time` datetime DEFAULT NULL COMMENT '通知处理时间',
  `create_time` datetime NOT NULL DEFAULT CURRENT_TIMESTAMP COMMENT '创建时间',
  `update_time` datetime NOT NULL DEFAULT CURRENT_TIMESTAMP ON UPDATE CURRENT_TIMESTAMP COMMENT '修改时间',
  PRIMARY KEY (`group_id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 ;

CREATE TABLE `sp_notify_user_define` (
  `id` int(11) unsigned NOT NULL AUTO_INCREMENT,
  `notify_id` varchar(64)  NOT NULL COMMENT '模版id唯一',
  `metadata` varchar(2048)  DEFAULT NULL COMMENT '模版字段',
  `behavior` varchar(2048)  NOT NULL COMMENT '模版字段',
  `templates` varchar(4096)  NOT NULL COMMENT '模版字段',
  `scope` varchar(128)  NOT NULL DEFAULT 'org' COMMENT '租户类型',
  `scope_id` int(11) NOT NULL COMMENT '租户id',
  `updated_at` datetime DEFAULT CURRENT_TIMESTAMP,
  `created_at` datetime DEFAULT CURRENT_TIMESTAMP,
  `deleted_at` datetime DEFAULT NULL,
  PRIMARY KEY (`id`),
  KEY `notify_id` (`notify_id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4  COMMENT='用户自定义告警通知模版';

CREATE TABLE `sp_report_history` (
  `id` bigint(20) unsigned NOT NULL AUTO_INCREMENT COMMENT '主键ID',
  `scope` varchar(255) DEFAULT NULL COMMENT 'scope',
  `scope_id` varchar(255) DEFAULT NULL COMMENT 'scope id',
  `task_id` bigint(20) unsigned NOT NULL COMMENT 'scope id',
  `dashboard_id` varchar(255) NOT NULL COMMENT 'dashboard id',
  `created_at` datetime DEFAULT NULL COMMENT '创建时间',
  `start` bigint(20) DEFAULT NULL COMMENT '报表开始统计时间',
  `end` bigint(20) NOT NULL COMMENT '报表截至统计时间',
  PRIMARY KEY (`id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COMMENT='报表记录表';

CREATE TABLE `sp_report_task` (
  `id` bigint(20) unsigned NOT NULL AUTO_INCREMENT COMMENT '主键ID',
  `name` varchar(32) NOT NULL COMMENT '名称',
  `scope` varchar(255) DEFAULT NULL COMMENT 'scope',
  `scope_id` varchar(255) DEFAULT NULL COMMENT 'scope id',
  `type` varchar(255) NOT NULL COMMENT '报表类型',
  `dashboard_id` varchar(255) NOT NULL COMMENT 'dashboard id',
  `enable` tinyint(1) DEFAULT NULL COMMENT '通知开关',
  `notify_target` varchar(1024) NOT NULL COMMENT '通知组',
  `pipeline_cron_id` bigint(20) NOT NULL COMMENT 'pipelineCron id',
  `created_at` datetime DEFAULT NULL COMMENT '创建时间',
  `updated_at` datetime DEFAULT NULL COMMENT '修改时间',
  PRIMARY KEY (`id`),
  UNIQUE KEY `Name` (`name`,`scope`,`scope_id`),
  UNIQUE KEY `Scope` (`name`,`scope`,`scope_id`),
  UNIQUE KEY `ScopeID` (`name`,`scope`,`scope_id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8 COMMENT='报表任务表';

